#ifndef _sunstat_server_h_
#define _sunstat_server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <errno.h>

#include <flick/pres/sun.h>

#define my_ST_FSTYPSZ ((signed long int) 16)

#ifndef _typedef___my_ulong_t
#define _typedef___my_ulong_t
typedef unsigned int my_ulong_t;
#endif /* _typedef___my_ulong_t */

#ifndef _typedef___my_dev_t
#define _typedef___my_dev_t
typedef my_ulong_t my_dev_t;
#endif /* _typedef___my_dev_t */

#ifndef _typedef___my_ino_t
#define _typedef___my_ino_t
typedef my_ulong_t my_ino_t;
#endif /* _typedef___my_ino_t */

#ifndef _typedef___my_mode_t
#define _typedef___my_mode_t
typedef my_ulong_t my_mode_t;
#endif /* _typedef___my_mode_t */

#ifndef _typedef___my_nlink_t
#define _typedef___my_nlink_t
typedef my_ulong_t my_nlink_t;
#endif /* _typedef___my_nlink_t */

#ifndef _typedef___my_uid_t
#define _typedef___my_uid_t
typedef int my_uid_t;
#endif /* _typedef___my_uid_t */

#ifndef _typedef___my_gid_t
#define _typedef___my_gid_t
typedef my_uid_t my_gid_t;
#endif /* _typedef___my_gid_t */

#ifndef _typedef___my_off_t
#define _typedef___my_off_t
typedef int my_off_t;
#endif /* _typedef___my_off_t */

#ifndef _typedef___my_time_t
#define _typedef___my_time_t
typedef int my_time_t;
#endif /* _typedef___my_time_t */

#ifndef _typedef___my_timespec
#define _typedef___my_timespec
typedef struct my_timespec {
  my_time_t tv_sec;
  int tv_nsec;
} my_timespec;
#endif /* _typedef___my_timespec */

#ifndef _typedef___my_timestruc_t
#define _typedef___my_timestruc_t
typedef struct my_timespec my_timestruc_t;
#endif /* _typedef___my_timestruc_t */

#ifndef _typedef___my_stat
#define _typedef___my_stat
typedef struct my_stat {
  my_dev_t st_dev;
  int st_pad1[3];
  my_ino_t st_ino;
  my_mode_t st_mode;
  my_nlink_t st_nlink;
  my_uid_t st_uid;
  my_gid_t st_gid;
  my_dev_t st_rdev;
  int st_pad2[2];
  my_off_t st_size;
  int st_pad3;
  my_timestruc_t st_atime;
  my_timestruc_t st_mtime;
  my_timestruc_t st_ctime;
  int st_blksize;
  int st_blocks;
  char st_fstype[16];
  int st_pad4[8];
} my_stat;
#endif /* _typedef___my_stat */

#ifndef _typedef___entry
#define _typedef___entry
typedef struct entry {
  char *filename;
  struct my_stat info;
} entry;
#endif /* _typedef___entry */

#ifndef _typedef___inner
#define _typedef___inner
typedef struct inner {
  int a;
  int b;
} inner;
#endif /* _typedef___inner */

#ifndef _typedef___outer
#define _typedef___outer
typedef struct outer {
  struct inner a;
  struct inner b;
} outer;
#endif /* _typedef___outer */

#ifndef _typedef___directory
#define _typedef___directory
typedef struct {
  unsigned int directory_len;
  struct entry *directory_val;
} directory;
#endif /* _typedef___directory */

#ifndef _typedef___longlist
#define _typedef___longlist
typedef struct {
  unsigned int longlist_len;
  int *longlist_val;
} longlist;
#endif /* _typedef___longlist */

#ifndef _typedef___structlist
#define _typedef___structlist
typedef struct {
  unsigned int structlist_len;
  struct outer *structlist_val;
} structlist;
#endif /* _typedef___structlist */

#define PROGNAME ((unsigned long int) 3)

#define VERSNAME ((unsigned long int) 2)

extern flick_dispatch_t progname_2;

#define dirlst ((unsigned long int) 1)

int *dirlst_2(directory *arg, struct svc_req *_obj/* , flick_env_t flick_errno */);

#define lng ((unsigned long int) 2)

int *lng_2(longlist *arg, struct svc_req *_obj/* , flick_env_t flick_errno */);

#define strct ((unsigned long int) 3)

int *strct_2(structlist *arg, struct svc_req *_obj/* , flick_env_t flick_errno */);

#endif /* _sunstat_server_h_ */
