#include "complex-1-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	"IDL:PROG:1.0",
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:VERS:1.0",
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t27_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t27_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t27_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t28_principal_len;
            double *_return;
            people *_local_arg;
            people _t29_storage;
            unsigned int _t33_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort81);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t28_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t28_principal_len, _flick_abort81);
            flick_iiop_decode_new_glob(_t28_principal_len);
            flick_iiop_decode_new_chunk(_t28_principal_len);
            flick_iiop_decode_end_chunk(_t28_principal_len);
            flick_iiop_decode_end_glob(_t28_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (people *)(&_t29_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort81);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->people_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            if (_local_arg->people_len > 70000)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort81);
            {
              struct person *_t_alloc_ptr;

              _t_alloc_ptr = (struct person *)(auto_flick_alloc(_local_arg->people_len * sizeof(struct person )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort81);
              _local_arg->people_val = _t_alloc_ptr;
            }
            for (_t33_array_iter = 0; _t33_array_iter < _local_arg->people_len; _t33_array_iter++)
              {
                flick_unsigned32_t _t35_temp_string_len;

                flick_iiop_decode_new_glob(78);
                flick_iiop_check_span(4, _flick_abort92);
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t35_temp_string_len, flick_unsigned32_t );
                if (_t35_temp_string_len > 51)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort92);
                flick_iiop_decode_end_chunk(4);
                flick_iiop_check_span(1 * _t35_temp_string_len, _flick_abort92);
                flick_iiop_decode_new_chunk(1 * _t35_temp_string_len);
                flick_cdr_swap_decode_msgptr(0, _local_arg->people_val[_t33_array_iter].name, char *);
                flick_iiop_decode_end_chunk(1 * _t35_temp_string_len);
                flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
                flick_iiop_check_span(20, _flick_abort92);
                flick_cdr_swap_decode_signed32(0, _local_arg->people_val[_t33_array_iter].zip, int );
                flick_cdr_swap_decode_char8(4, _local_arg->people_val[_t33_array_iter].a, char );
                flick_cdr_swap_decode_signed32(8, _local_arg->people_val[_t33_array_iter].ssn, int );
                flick_cdr_swap_decode_char8(12, _local_arg->people_val[_t33_array_iter].sa.sex, char );
                flick_cdr_swap_decode_float32(16, _local_arg->people_val[_t33_array_iter].sa.age, float );
                flick_iiop_decode_end_chunk(20);
                flick_iiop_decode_end_glob(78);
                continue;
                {
                _flick_abort92:
                  goto _flick_abort91;
                }
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort91);
              flick_iiop_encode_new_glob(16, _flick_abort91);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_return, double );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(16);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(16);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort103);
                    break;
                    {
                    _flick_abort103:
                      goto _flick_abort91;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort104);
                    flick_iiop_encode_end_glob(16);
                    break;
                    {
                    _flick_abort104:
                      goto _flick_abort91;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort91:
              auto_flick_free(_local_arg->people_val);
            _flick_abort81:
              goto _flick_abort80;
            }
          }
          break;
          {
          _flick_abort80:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t9_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t9_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t9_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t10_principal_len;
            double *_return;
            people *_local_arg;
            people _t11_storage;
            unsigned int _t15_array_iter;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort30);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t10_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t10_principal_len, _flick_abort30);
            flick_iiop_decode_new_glob(_t10_principal_len);
            flick_iiop_decode_new_chunk(_t10_principal_len);
            flick_iiop_decode_end_chunk(_t10_principal_len);
            flick_iiop_decode_end_glob(_t10_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (people *)(&_t11_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort30);
            flick_cdr_decode_unsigned32(0, _local_arg->people_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            if (_local_arg->people_len > 70000)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort30);
            {
              struct person *_t_alloc_ptr;

              _t_alloc_ptr = (struct person *)(auto_flick_alloc(_local_arg->people_len * sizeof(struct person )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort30);
              _local_arg->people_val = _t_alloc_ptr;
            }
            for (_t15_array_iter = 0; _t15_array_iter < _local_arg->people_len; _t15_array_iter++)
              {
                flick_unsigned32_t _t17_temp_string_len;

                flick_iiop_decode_new_glob(78);
                flick_iiop_check_span(4, _flick_abort41);
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t17_temp_string_len, flick_unsigned32_t );
                if (_t17_temp_string_len > 51)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort41);
                flick_iiop_decode_end_chunk(4);
                flick_iiop_check_span(1 * _t17_temp_string_len, _flick_abort41);
                flick_iiop_decode_new_chunk(1 * _t17_temp_string_len);
                flick_cdr_decode_msgptr(0, _local_arg->people_val[_t15_array_iter].name, char *);
                flick_iiop_decode_end_chunk(1 * _t17_temp_string_len);
                flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
                flick_iiop_check_span(20, _flick_abort41);
                flick_cdr_decode_signed32(0, _local_arg->people_val[_t15_array_iter].zip, int );
                flick_cdr_decode_char8(4, _local_arg->people_val[_t15_array_iter].a, char );
                flick_cdr_decode_signed32(8, _local_arg->people_val[_t15_array_iter].ssn, int );
                flick_cdr_decode_char8(12, _local_arg->people_val[_t15_array_iter].sa.sex, char );
                flick_cdr_decode_float32(16, _local_arg->people_val[_t15_array_iter].sa.age, float );
                flick_iiop_decode_end_chunk(20);
                flick_iiop_decode_end_glob(78);
                continue;
                {
                _flick_abort41:
                  goto _flick_abort40;
                }
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort40);
              flick_iiop_encode_new_glob(16, _flick_abort40);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_return, double );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(16);
                    break;
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(16);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort52);
                    break;
                    {
                    _flick_abort52:
                      goto _flick_abort40;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort53);
                    flick_iiop_encode_end_glob(16);
                    break;
                    {
                    _flick_abort53:
                      goto _flick_abort40;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort40:
              auto_flick_free(_local_arg->people_val);
            _flick_abort30:
              goto _flick_abort29;
            }
          }
          break;
          {
          _flick_abort29:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_sun_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

