#include "optional-7-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	"IDL:PROG:1.0",
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:VERS:1.0",
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t24_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t24_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t24_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t25_principal_len;
            int_list *_return;
            int_list *_local_arg;
            int_list _t26_storage;
            flick_unsigned32_t _t27_temp_array_len;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort78);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t25_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t25_principal_len, _flick_abort78);
            flick_iiop_decode_new_glob(_t25_principal_len);
            flick_iiop_decode_new_chunk(_t25_principal_len);
            flick_iiop_decode_end_chunk(_t25_principal_len);
            flick_iiop_decode_end_glob(_t25_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int_list *)(&_t26_storage);
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort78);
            flick_cdr_swap_decode_unsigned32(0, _t27_temp_array_len, flick_unsigned32_t );
            flick_iiop_decode_end_chunk(4);
            if (_t27_temp_array_len)
              {
                struct int_node _t29_storage;

                *_local_arg = (struct int_node *)(&_t29_storage);
                flick_iiop_check_span(4, _flick_abort82);
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_arg)->value, int );
                flick_iiop_decode_end_chunk(4);
                flick_iiop_decode_end_glob(11);
                if (flick_unmarshal_stub_int_list_optional_7_x_server_in_swap(_stream, &(*_local_arg)->next))
                  goto _flick_abort82;
                goto _flick_label19;
                {
                _flick_abort82:
                  goto _flick_abort78;
                }
              }
            else
              {
                *_local_arg = 0;
                flick_iiop_decode_end_glob(11);
                goto _flick_label19;
              }
          _flick_label19:
            ;
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort78);
              flick_iiop_encode_new_glob(12, _flick_abort78);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_unsigned32_t _t31_temp_array_len;

                    flick_sun_ptr_not_nil(struct int_node *, *_return, flick_unsigned32_t , _t31_temp_array_len);

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _t31_temp_array_len, flick_unsigned32_t );
                    flick_iiop_encode_end_chunk(4);
                    if (_t31_temp_array_len)
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, (*_return)->value, int );
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(12);
                        if (flick_marshal_stub_int_list_optional_7_x_server_return(_stream, &(*_return)->next))
                          goto _flick_abort97;
                        goto _flick_label23;
                        {
                        _flick_abort97:
                          goto _flick_abort93;
                        }
                      }
                    else
                      {
                        flick_iiop_encode_end_glob(12);
                        goto _flick_label23;
                      }
                  _flick_label23:
                    ;
                    break;
                    {
                    _flick_abort93:
                      goto _flick_abort78;
                    }
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort99);
                    break;
                    {
                    _flick_abort99:
                      goto _flick_abort78;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort100);
                    flick_iiop_encode_end_glob(12);
                    break;
                    {
                    _flick_abort100:
                      goto _flick_abort78;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort78:
              goto _flick_abort77;
            }
          }
          break;
          {
          _flick_abort77:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t8_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t8_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t8_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t9_principal_len;
            int_list *_return;
            int_list *_local_arg;
            int_list _t10_storage;
            flick_unsigned32_t _t11_temp_array_len;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort29);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t9_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t9_principal_len, _flick_abort29);
            flick_iiop_decode_new_glob(_t9_principal_len);
            flick_iiop_decode_new_chunk(_t9_principal_len);
            flick_iiop_decode_end_chunk(_t9_principal_len);
            flick_iiop_decode_end_glob(_t9_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int_list *)(&_t10_storage);
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort29);
            flick_cdr_decode_unsigned32(0, _t11_temp_array_len, flick_unsigned32_t );
            flick_iiop_decode_end_chunk(4);
            if (_t11_temp_array_len)
              {
                struct int_node _t13_storage;

                *_local_arg = (struct int_node *)(&_t13_storage);
                flick_iiop_check_span(4, _flick_abort33);
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, (*_local_arg)->value, int );
                flick_iiop_decode_end_chunk(4);
                flick_iiop_decode_end_glob(11);
                if (flick_unmarshal_stub_int_list_optional_7_x_server_in(_stream, &(*_local_arg)->next))
                  goto _flick_abort33;
                goto _flick_label7;
                {
                _flick_abort33:
                  goto _flick_abort29;
                }
              }
            else
              {
                *_local_arg = 0;
                flick_iiop_decode_end_glob(11);
                goto _flick_label7;
              }
          _flick_label7:
            ;
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort29);
              flick_iiop_encode_new_glob(12, _flick_abort29);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_unsigned32_t _t15_temp_array_len;

                    flick_sun_ptr_not_nil(struct int_node *, *_return, flick_unsigned32_t , _t15_temp_array_len);

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _t15_temp_array_len, flick_unsigned32_t );
                    flick_iiop_encode_end_chunk(4);
                    if (_t15_temp_array_len)
                      {
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, (*_return)->value, int );
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(12);
                        if (flick_marshal_stub_int_list_optional_7_x_server_return(_stream, &(*_return)->next))
                          goto _flick_abort48;
                        goto _flick_label11;
                        {
                        _flick_abort48:
                          goto _flick_abort44;
                        }
                      }
                    else
                      {
                        flick_iiop_encode_end_glob(12);
                        goto _flick_label11;
                      }
                  _flick_label11:
                    ;
                    break;
                    {
                    _flick_abort44:
                      goto _flick_abort29;
                    }
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort50);
                    break;
                    {
                    _flick_abort50:
                      goto _flick_abort29;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort51);
                    flick_iiop_encode_end_glob(12);
                    break;
                    {
                    _flick_abort51:
                      goto _flick_abort29;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort29:
              goto _flick_abort28;
            }
          }
          break;
          {
          _flick_abort28:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_sun_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}


/* Mandatory marshaling/unmarshaling stubs. */

int flick_unmarshal_stub_int_list_optional_7_x_server_in(flick_marshal_stream_t _stream, int_list *_data)
{
  flick_unsigned32_t _t32_temp_array_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(4, _flick_abort101);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t32_temp_array_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(4);
  if (_t32_temp_array_len)
    {
      struct int_node _t34_storage;

      *_data = (struct int_node *)(&_t34_storage);
      flick_iiop_check_span(4, _flick_abort105);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)->value, int );
      flick_iiop_decode_end_chunk(4);
      flick_iiop_decode_end_glob(8);
      if (flick_unmarshal_stub_int_list_optional_7_x_server_in(_stream, &(*_data)->next))
        goto _flick_abort105;
      goto _flick_label25;
      {
      _flick_abort105:
        goto _flick_abort101;
      }
    }
  else
    {
      *_data = 0;
      flick_iiop_decode_end_glob(8);
      goto _flick_label25;
    }
_flick_label25:
  ;
  return 0;
  {
  _flick_abort101:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_int_list_optional_7_x_server_in_swap(flick_marshal_stream_t _stream, int_list *_data)
{
  flick_unsigned32_t _t35_temp_array_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(4, _flick_abort107);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t35_temp_array_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(4);
  if (_t35_temp_array_len)
    {
      struct int_node _t37_storage;

      *_data = (struct int_node *)(&_t37_storage);
      flick_iiop_check_span(4, _flick_abort111);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)->value, int );
      flick_iiop_decode_end_chunk(4);
      flick_iiop_decode_end_glob(8);
      if (flick_unmarshal_stub_int_list_optional_7_x_server_in_swap(_stream, &(*_data)->next))
        goto _flick_abort111;
      goto _flick_label27;
      {
      _flick_abort111:
        goto _flick_abort107;
      }
    }
  else
    {
      *_data = 0;
      flick_iiop_decode_end_glob(8);
      goto _flick_label27;
    }
_flick_label27:
  ;
  return 0;
  {
  _flick_abort107:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_int_list_optional_7_x_server_return(flick_marshal_stream_t _stream, int_list *_data)
{
  flick_unsigned32_t _t38_temp_array_len;

  flick_sun_ptr_not_nil(struct int_node *, *_data, flick_unsigned32_t , _t38_temp_array_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort113);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _t38_temp_array_len, flick_unsigned32_t );
  flick_iiop_encode_end_chunk(4);
  if (_t38_temp_array_len)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)->value, int );
      flick_iiop_encode_end_chunk(4);
      flick_iiop_encode_end_glob(8);
      if (flick_marshal_stub_int_list_optional_7_x_server_return(_stream, &(*_data)->next))
        goto _flick_abort117;
      goto _flick_label29;
      {
      _flick_abort117:
        goto _flick_abort113;
      }
    }
  else
    {
      flick_iiop_encode_end_glob(8);
      goto _flick_label29;
    }
_flick_label29:
  ;
  return 0;
  {
  _flick_abort113:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

