#include "string_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	"IDL:test:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t225_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t225_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t225_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t226_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t226_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t226_switch_tag)
            {
            case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t227_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t227_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t227_switch_tag)
                  {
                  case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                    {
                      char _t228_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t228_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t228_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t229_principal_len;
                              CORBA_char *_return;
                              CORBA_char *_local_a;
                              flick_unsigned32_t _t230_temp_string_len;
                              CORBA_char **_local_b;
                              CORBA_char *_t231_storage;
                              flick_unsigned32_t _t232_temp_string_len;
                              CORBA_char **_local_c;
                              CORBA_char *_t233_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t234_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort402);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t229_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t229_principal_len, _flick_abort402);
                              flick_iiop_decode_new_glob(_t229_principal_len);
                              flick_iiop_decode_new_chunk(_t229_principal_len);
                              flick_iiop_decode_end_chunk(_t229_principal_len);
                              flick_iiop_decode_end_glob(_t229_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort402);
                              flick_cdr_swap_decode_unsigned32(0, _t230_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t230_temp_string_len);
                              flick_iiop_check_span(1 * _t230_temp_string_len, _flick_abort402);
                              flick_iiop_decode_new_chunk(1 * _t230_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t230_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t230_temp_string_len);
                              _local_b = (CORBA_char **)(&_t231_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort402);
                              flick_cdr_swap_decode_unsigned32(0, _t232_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t232_temp_string_len);
                              flick_iiop_check_span(1 * _t232_temp_string_len, _flick_abort402);
                              flick_iiop_decode_new_chunk(1 * _t232_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t232_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort402);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, *_local_b, 1 * _t232_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t232_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t232_temp_string_len);
                              _local_c = (CORBA_char **)(&_t233_storage);
                              _ev = (CORBA_Environment *)(&_t234_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort407);
                                flick_iiop_encode_new_glob(8, _flick_abort407);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t238_temp_string_len;
                                      flick_unsigned32_t _t239_temp_string_len;
                                      flick_unsigned32_t _t240_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t238_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t239_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t240_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t238_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      flick_iiop_encode_new_glob(1 * _t238_temp_string_len, _flick_abort418);
                                      flick_iiop_encode_new_chunk(1 * _t238_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t238_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t238_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t238_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort418);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t239_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t239_temp_string_len, _flick_abort418);
                                      flick_iiop_encode_new_chunk(1 * _t239_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_b, 1 * _t239_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t239_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t239_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort418);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t240_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t240_temp_string_len, _flick_abort418);
                                      flick_iiop_encode_new_chunk(1 * _t240_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_c, 1 * _t240_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t240_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t240_temp_string_len);
                                      break;
                                      {
                                      _flick_abort418:
                                        goto _flick_abort407;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort425);
                                      break;
                                      {
                                      _flick_abort425:
                                        goto _flick_abort407;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort426);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort426:
                                        goto _flick_abort407;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort407:
                                CORBA_flick_free(*_local_b);
                              _flick_abort402:
                                goto _flick_abort401;
                              }
                            }
                            break;
                            {
                            _flick_abort401:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Stru */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140405):
              {
                unsigned short int _t241_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t241_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t241_switch_tag)
                  {
                  case /* ct */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25460):
                    {
                      char _t242_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t242_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t242_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t243_principal_len;
                              struct str *_return;
                              struct str *_local_a;
                              struct str _t244_storage;
                              flick_unsigned32_t _t245_temp_string_len;
                              flick_unsigned32_t _t246_temp_string_len;
                              struct str *_local_b;
                              struct str _t247_storage;
                              flick_unsigned32_t _t248_temp_string_len;
                              flick_unsigned32_t _t249_temp_string_len;
                              struct str **_local_c;
                              struct str *_t250_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t251_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort428);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t243_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t243_principal_len, _flick_abort428);
                              flick_iiop_decode_new_glob(_t243_principal_len);
                              flick_iiop_decode_new_chunk(_t243_principal_len);
                              flick_iiop_decode_end_chunk(_t243_principal_len);
                              flick_iiop_decode_end_glob(_t243_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (struct str *)(&_t244_storage);
                              flick_iiop_decode_new_glob(29);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort428);
                              flick_cdr_swap_decode_unsigned32(0, _t245_temp_string_len, flick_unsigned32_t );
                              if (_t245_temp_string_len > 11)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort428);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t245_temp_string_len, _flick_abort428);
                              flick_iiop_decode_new_chunk(1 * _t245_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a->s10, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t245_temp_string_len);
                              flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                              flick_iiop_check_span(8, _flick_abort428);
                              flick_cdr_swap_decode_signed32(0, _local_a->a, CORBA_long );
                              flick_cdr_swap_decode_unsigned32(4, _t246_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(8);
                              flick_iiop_decode_end_glob(29);
                              flick_iiop_decode_new_glob(1 * _t246_temp_string_len);
                              flick_iiop_check_span(1 * _t246_temp_string_len, _flick_abort428);
                              flick_iiop_decode_new_chunk(1 * _t246_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a->sx, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t246_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t246_temp_string_len);
                              flick_iiop_decode_new_glob(31);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_iiop_check_span(2, _flick_abort428);
                              flick_cdr_swap_decode_signed16(0, _local_a->b, CORBA_short );
                              _local_b = (struct str *)(&_t247_storage);
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                              flick_iiop_check_span(4, _flick_abort428);
                              flick_cdr_swap_decode_unsigned32(0, _t248_temp_string_len, flick_unsigned32_t );
                              if (_t248_temp_string_len > 11)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort428);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t248_temp_string_len, _flick_abort428);
                              flick_iiop_decode_new_chunk(1 * _t248_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort428);
                                _local_b->s10 = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_b->s10, 1 * _t248_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t248_temp_string_len);
                              flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                              flick_iiop_check_span(8, _flick_abort435);
                              flick_cdr_swap_decode_signed32(0, _local_b->a, CORBA_long );
                              flick_cdr_swap_decode_unsigned32(4, _t249_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(8);
                              flick_iiop_decode_end_glob(31);
                              flick_iiop_decode_new_glob(1 * _t249_temp_string_len);
                              flick_iiop_check_span(1 * _t249_temp_string_len, _flick_abort435);
                              flick_iiop_decode_new_chunk(1 * _t249_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t249_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort435);
                                _local_b->sx = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_b->sx, 1 * _t249_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t249_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t249_temp_string_len);
                              flick_iiop_decode_new_glob(3);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_iiop_check_span(2, _flick_abort438);
                              flick_cdr_swap_decode_signed16(0, _local_b->b, CORBA_short );
                              _local_c = (struct str **)(&_t250_storage);
                              _ev = (CORBA_Environment *)(&_t251_storage);
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_end_glob(3);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_Struct(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort438);
                                flick_iiop_encode_new_glob(30, _flick_abort438);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t258_temp_string_len;
                                      flick_unsigned32_t _t259_temp_string_len;
                                      flick_unsigned32_t _t260_temp_string_len;
                                      flick_unsigned32_t _t261_temp_string_len;
                                      flick_unsigned32_t _t262_temp_string_len;
                                      flick_unsigned32_t _t263_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return->s10, flick_unsigned32_t , _t258_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _return->sx, flick_unsigned32_t , _t259_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _local_b->s10, flick_unsigned32_t , _t260_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _local_b->sx, flick_unsigned32_t , _t261_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, (*_local_c)->s10, flick_unsigned32_t , _t262_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, (*_local_c)->sx, flick_unsigned32_t , _t263_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4 + 1 * _t258_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t258_temp_string_len, flick_unsigned32_t );
                                      if (_t258_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort455);
                                      flick_cdr_encode_bcopy(4, _return->s10, 1 * _t258_temp_string_len);
                                      CORBA_flick_free(_return->s10);
                                      _return->s10 = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t258_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _return->a, CORBA_long );
                                      flick_cdr_encode_unsigned32(4, _t259_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(8);
                                      flick_iiop_encode_end_glob(30);
                                      flick_iiop_encode_new_glob(1 * _t259_temp_string_len, _flick_abort455);
                                      flick_iiop_encode_new_chunk(1 * _t259_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->sx, 1 * _t259_temp_string_len);
                                      CORBA_flick_free(_return->sx);
                                      _return->sx = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t259_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t259_temp_string_len);
                                      flick_iiop_encode_new_glob(31, _flick_abort455);
                                      flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, _return->b, CORBA_short );
                                      CORBA_flick_free(_return);
                                      _return = (struct str *)0;
                                      flick_iiop_encode_end_chunk(2);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t260_temp_string_len, 2, 1, 0);
                                      flick_cdr_encode_unsigned32(0, _t260_temp_string_len, flick_unsigned32_t );
                                      if (_t260_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort455);
                                      flick_cdr_encode_bcopy(4, _local_b->s10, 1 * _t260_temp_string_len);
                                      CORBA_flick_free(_local_b->s10);
                                      _local_b->s10 = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t260_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_b->a, CORBA_long );
                                      flick_cdr_encode_unsigned32(4, _t261_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(8);
                                      flick_iiop_encode_end_glob(31);
                                      flick_iiop_encode_new_glob(1 * _t261_temp_string_len, _flick_abort455);
                                      flick_iiop_encode_new_chunk(1 * _t261_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b->sx, 1 * _t261_temp_string_len);
                                      CORBA_flick_free(_local_b->sx);
                                      _local_b->sx = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t261_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t261_temp_string_len);
                                      flick_iiop_encode_new_glob(31, _flick_abort455);
                                      flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, _local_b->b, CORBA_short );
                                      flick_iiop_encode_end_chunk(2);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t262_temp_string_len, 2, 1, 0);
                                      flick_cdr_encode_unsigned32(0, _t262_temp_string_len, flick_unsigned32_t );
                                      if (_t262_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort455);
                                      flick_cdr_encode_bcopy(4, (*_local_c)->s10, 1 * _t262_temp_string_len);
                                      CORBA_flick_free((*_local_c)->s10);
                                      (*_local_c)->s10 = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t262_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, (*_local_c)->a, CORBA_long );
                                      flick_cdr_encode_unsigned32(4, _t263_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(8);
                                      flick_iiop_encode_end_glob(31);
                                      flick_iiop_encode_new_glob(1 * _t263_temp_string_len, _flick_abort455);
                                      flick_iiop_encode_new_chunk(1 * _t263_temp_string_len);
                                      flick_cdr_encode_bcopy(0, (*_local_c)->sx, 1 * _t263_temp_string_len);
                                      CORBA_flick_free((*_local_c)->sx);
                                      (*_local_c)->sx = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t263_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t263_temp_string_len);
                                      flick_iiop_encode_new_glob(3, _flick_abort455);
                                      flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, (*_local_c)->b, CORBA_short );
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (struct str *)0;
                                      flick_iiop_encode_end_chunk(2);
                                      flick_iiop_encode_end_glob(3);
                                      break;
                                      {
                                      _flick_abort455:
                                        goto _flick_abort438;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(30);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort468);
                                      break;
                                      {
                                      _flick_abort468:
                                        goto _flick_abort438;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort469);
                                      flick_iiop_encode_end_glob(30);
                                      break;
                                      {
                                      _flick_abort469:
                                        goto _flick_abort438;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort438:
                                CORBA_flick_free(_local_b->sx);
                              _flick_abort435:
                                CORBA_flick_free(_local_b->s10);
                              _flick_abort428:
                                goto _flick_abort427;
                              }
                            }
                            break;
                            {
                            _flick_abort427:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t264_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t264_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t264_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                unsigned int _t265_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t265_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t265_switch_tag)
                  {
                  case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
                    {
                      unsigned short int _t266_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t266_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t266_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t267_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t267_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t267_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    unsigned int _t268_principal_len;
                                    longstr _return;
                                    longstr _local_a;
                                    flick_unsigned32_t _t269_temp_string_len;
                                    longstr *_local_b;
                                    longstr _t270_storage;
                                    flick_unsigned32_t _t271_temp_string_len;
                                    longstr *_local_c;
                                    longstr _t272_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t273_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort471);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t268_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_check_span(_t268_principal_len, _flick_abort471);
                                    flick_iiop_decode_new_glob(_t268_principal_len);
                                    flick_iiop_decode_new_chunk(_t268_principal_len);
                                    flick_iiop_decode_end_chunk(_t268_principal_len);
                                    flick_iiop_decode_end_glob(_t268_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort471);
                                    flick_cdr_swap_decode_unsigned32(0, _t269_temp_string_len, flick_unsigned32_t );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_decode_new_glob(1 * _t269_temp_string_len);
                                    flick_iiop_check_span(1 * _t269_temp_string_len, _flick_abort471);
                                    flick_iiop_decode_new_chunk(1 * _t269_temp_string_len);
                                    flick_cdr_swap_decode_msgptr(0, _local_a, CORBA_char *);
                                    flick_iiop_decode_end_chunk(1 * _t269_temp_string_len);
                                    flick_iiop_decode_end_glob(1 * _t269_temp_string_len);
                                    _local_b = (longstr *)(&_t270_storage);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort471);
                                    flick_cdr_swap_decode_unsigned32(0, _t271_temp_string_len, flick_unsigned32_t );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_decode_new_glob(1 * _t271_temp_string_len);
                                    flick_iiop_check_span(1 * _t271_temp_string_len, _flick_abort471);
                                    flick_iiop_decode_new_chunk(1 * _t271_temp_string_len);
                                    {
                                      CORBA_char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t271_temp_string_len * sizeof(CORBA_char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort471);
                                      *_local_b = _t_alloc_ptr;
                                    }
                                    flick_cdr_swap_decode_bcopy(0, *_local_b, 1 * _t271_temp_string_len);
                                    flick_iiop_decode_end_chunk(1 * _t271_temp_string_len);
                                    flick_iiop_decode_end_glob(1 * _t271_temp_string_len);
                                    _local_c = (longstr *)(&_t272_storage);
                                    _ev = (CORBA_Environment *)(&_t273_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test_LongString(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort476);
                                      flick_iiop_encode_new_glob(8, _flick_abort476);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t277_temp_string_len;
                                            flick_unsigned32_t _t278_temp_string_len;
                                            flick_unsigned32_t _t279_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t277_temp_string_len);
                                            flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t278_temp_string_len);
                                            flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t279_temp_string_len);

                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t277_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(8);
                                            flick_iiop_encode_new_glob(1 * _t277_temp_string_len, _flick_abort487);
                                            flick_iiop_encode_new_chunk(1 * _t277_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return, 1 * _t277_temp_string_len);
                                            CORBA_flick_free(_return);
                                            _return = (CORBA_char *)0;
                                            flick_iiop_encode_end_chunk(1 * _t277_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t277_temp_string_len);
                                            flick_iiop_encode_new_glob(7, _flick_abort487);
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t278_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(7);
                                            flick_iiop_encode_new_glob(1 * _t278_temp_string_len, _flick_abort487);
                                            flick_iiop_encode_new_chunk(1 * _t278_temp_string_len);
                                            flick_cdr_encode_bcopy(0, *_local_b, 1 * _t278_temp_string_len);
                                            CORBA_flick_free(*_local_b);
                                            *_local_b = (CORBA_char *)0;
                                            flick_iiop_encode_end_chunk(1 * _t278_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t278_temp_string_len);
                                            flick_iiop_encode_new_glob(7, _flick_abort487);
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t279_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(7);
                                            flick_iiop_encode_new_glob(1 * _t279_temp_string_len, _flick_abort487);
                                            flick_iiop_encode_new_chunk(1 * _t279_temp_string_len);
                                            flick_cdr_encode_bcopy(0, *_local_c, 1 * _t279_temp_string_len);
                                            CORBA_flick_free(*_local_c);
                                            *_local_c = (CORBA_char *)0;
                                            flick_iiop_encode_end_chunk(1 * _t279_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t279_temp_string_len);
                                            break;
                                            {
                                            _flick_abort487:
                                              goto _flick_abort476;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort494);
                                            break;
                                            {
                                            _flick_abort494:
                                              goto _flick_abort476;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort495);
                                            flick_iiop_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort495:
                                              goto _flick_abort476;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort476:
                                      CORBA_flick_free(*_local_b);
                                    _flick_abort471:
                                      goto _flick_abort470;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort470:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t280_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t280_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t280_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned int _t281_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t281_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t281_switch_tag)
                  {
                  case /* tStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1951626354):
                    {
                      unsigned int _t282_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t282_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t282_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              test _obj;
                              unsigned int _t283_principal_len;
                              shortstr _return;
                              shortstr _local_a;
                              flick_unsigned32_t _t284_temp_string_len;
                              shortstr *_local_b;
                              shortstr _t285_storage;
                              flick_unsigned32_t _t286_temp_string_len;
                              shortstr *_local_c;
                              shortstr _t287_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t288_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort497);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t283_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t283_principal_len, _flick_abort497);
                              flick_iiop_decode_new_glob(_t283_principal_len);
                              flick_iiop_decode_new_chunk(_t283_principal_len);
                              flick_iiop_decode_end_chunk(_t283_principal_len);
                              flick_iiop_decode_end_glob(_t283_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(66);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort497);
                              flick_cdr_swap_decode_unsigned32(0, _t284_temp_string_len, flick_unsigned32_t );
                              if (_t284_temp_string_len > 26)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort497);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t284_temp_string_len, _flick_abort497);
                              flick_iiop_decode_new_chunk(1 * _t284_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t284_temp_string_len);
                              _local_b = (shortstr *)(&_t285_storage);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort497);
                              flick_cdr_swap_decode_unsigned32(0, _t286_temp_string_len, flick_unsigned32_t );
                              if (_t286_temp_string_len > 26)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort497);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t286_temp_string_len, _flick_abort497);
                              flick_iiop_decode_new_chunk(1 * _t286_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(26 * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort497);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, *_local_b, 1 * _t286_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t286_temp_string_len);
                              _local_c = (shortstr *)(&_t287_storage);
                              _ev = (CORBA_Environment *)(&_t288_storage);
                              flick_iiop_decode_end_glob(66);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_ShortString(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort502);
                                flick_iiop_encode_new_glob(100, _flick_abort502);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t292_temp_string_len;
                                      flick_unsigned32_t _t293_temp_string_len;
                                      flick_unsigned32_t _t294_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t292_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t293_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t294_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4 + 1 * _t292_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t292_temp_string_len, flick_unsigned32_t );
                                      if (_t292_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort513);
                                      flick_cdr_encode_bcopy(4, _return, 1 * _t292_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t292_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t293_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t293_temp_string_len, flick_unsigned32_t );
                                      if (_t293_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort513);
                                      flick_cdr_encode_bcopy(4, *_local_b, 1 * _t293_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t293_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t294_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t294_temp_string_len, flick_unsigned32_t );
                                      if (_t294_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort513);
                                      flick_cdr_encode_bcopy(4, *_local_c, 1 * _t294_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t294_temp_string_len);
                                      flick_iiop_encode_end_glob(100);
                                      break;
                                      {
                                      _flick_abort513:
                                        goto _flick_abort502;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(100);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort520);
                                      break;
                                      {
                                      _flick_abort520:
                                        goto _flick_abort502;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort521);
                                      flick_iiop_encode_end_glob(100);
                                      break;
                                      {
                                      _flick_abort521:
                                        goto _flick_abort502;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort502:
                                CORBA_flick_free(*_local_b);
                              _flick_abort497:
                                goto _flick_abort496;
                              }
                            }
                            break;
                            {
                            _flick_abort496:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t295_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t295_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t295_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t296_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t296_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t296_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t297_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t298_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t299_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort523);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t297_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t297_principal_len, _flick_abort523);
                        flick_iiop_decode_new_glob(_t297_principal_len);
                        flick_iiop_decode_new_chunk(_t297_principal_len);
                        flick_iiop_decode_end_chunk(_t297_principal_len);
                        flick_iiop_decode_end_glob(_t297_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort523);
                        flick_cdr_swap_decode_unsigned32(0, _t298_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t298_temp_string_len);
                        flick_iiop_check_span(1 * _t298_temp_string_len, _flick_abort523);
                        flick_iiop_decode_new_chunk(1 * _t298_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t298_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t298_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t299_storage);
                        _par = flick_interface_parents_test;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort523);
                          flick_iiop_encode_new_glob(5, _flick_abort523);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort531);
                                break;
                                {
                                _flick_abort531:
                                  goto _flick_abort523;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort532);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort532:
                                  goto _flick_abort523;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort523:
                          goto _flick_abort522;
                        }
                      }
                      break;
                      {
                      _flick_abort522:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t75_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t75_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t75_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t76_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t76_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t76_switch_tag)
            {
            case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t77_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t77_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t77_switch_tag)
                  {
                  case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                    {
                      char _t78_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t78_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t78_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t79_principal_len;
                              CORBA_char *_return;
                              CORBA_char *_local_a;
                              flick_unsigned32_t _t80_temp_string_len;
                              CORBA_char **_local_b;
                              CORBA_char *_t81_storage;
                              flick_unsigned32_t _t82_temp_string_len;
                              CORBA_char **_local_c;
                              CORBA_char *_t83_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t84_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort137);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t79_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t79_principal_len, _flick_abort137);
                              flick_iiop_decode_new_glob(_t79_principal_len);
                              flick_iiop_decode_new_chunk(_t79_principal_len);
                              flick_iiop_decode_end_chunk(_t79_principal_len);
                              flick_iiop_decode_end_glob(_t79_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort137);
                              flick_cdr_decode_unsigned32(0, _t80_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t80_temp_string_len);
                              flick_iiop_check_span(1 * _t80_temp_string_len, _flick_abort137);
                              flick_iiop_decode_new_chunk(1 * _t80_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t80_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t80_temp_string_len);
                              _local_b = (CORBA_char **)(&_t81_storage);
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort137);
                              flick_cdr_decode_unsigned32(0, _t82_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              flick_iiop_decode_new_glob(1 * _t82_temp_string_len);
                              flick_iiop_check_span(1 * _t82_temp_string_len, _flick_abort137);
                              flick_iiop_decode_new_chunk(1 * _t82_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t82_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort137);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, *_local_b, 1 * _t82_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t82_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t82_temp_string_len);
                              _local_c = (CORBA_char **)(&_t83_storage);
                              _ev = (CORBA_Environment *)(&_t84_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort142);
                                flick_iiop_encode_new_glob(8, _flick_abort142);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t88_temp_string_len;
                                      flick_unsigned32_t _t89_temp_string_len;
                                      flick_unsigned32_t _t90_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t88_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t89_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t90_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t88_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      flick_iiop_encode_new_glob(1 * _t88_temp_string_len, _flick_abort153);
                                      flick_iiop_encode_new_chunk(1 * _t88_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t88_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t88_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t88_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort153);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t89_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t89_temp_string_len, _flick_abort153);
                                      flick_iiop_encode_new_chunk(1 * _t89_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_b, 1 * _t89_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t89_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t89_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort153);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t90_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      flick_iiop_encode_new_glob(1 * _t90_temp_string_len, _flick_abort153);
                                      flick_iiop_encode_new_chunk(1 * _t90_temp_string_len);
                                      flick_cdr_encode_bcopy(0, *_local_c, 1 * _t90_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t90_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t90_temp_string_len);
                                      break;
                                      {
                                      _flick_abort153:
                                        goto _flick_abort142;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort160);
                                      break;
                                      {
                                      _flick_abort160:
                                        goto _flick_abort142;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort161);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort161:
                                        goto _flick_abort142;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort142:
                                CORBA_flick_free(*_local_b);
                              _flick_abort137:
                                goto _flick_abort136;
                              }
                            }
                            break;
                            {
                            _flick_abort136:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Stru */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140405):
              {
                unsigned short int _t91_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t91_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t91_switch_tag)
                  {
                  case /* ct */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25460):
                    {
                      char _t92_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t92_switch_tag, char );
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t92_switch_tag)
                        {
                        case 0:
                          {
                            {
                              test _obj;
                              unsigned int _t93_principal_len;
                              struct str *_return;
                              struct str *_local_a;
                              struct str _t94_storage;
                              flick_unsigned32_t _t95_temp_string_len;
                              flick_unsigned32_t _t96_temp_string_len;
                              struct str *_local_b;
                              struct str _t97_storage;
                              flick_unsigned32_t _t98_temp_string_len;
                              flick_unsigned32_t _t99_temp_string_len;
                              struct str **_local_c;
                              struct str *_t100_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t101_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort163);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t93_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t93_principal_len, _flick_abort163);
                              flick_iiop_decode_new_glob(_t93_principal_len);
                              flick_iiop_decode_new_chunk(_t93_principal_len);
                              flick_iiop_decode_end_chunk(_t93_principal_len);
                              flick_iiop_decode_end_glob(_t93_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_a = (struct str *)(&_t94_storage);
                              flick_iiop_decode_new_glob(29);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort163);
                              flick_cdr_decode_unsigned32(0, _t95_temp_string_len, flick_unsigned32_t );
                              if (_t95_temp_string_len > 11)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort163);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t95_temp_string_len, _flick_abort163);
                              flick_iiop_decode_new_chunk(1 * _t95_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a->s10, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t95_temp_string_len);
                              flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                              flick_iiop_check_span(8, _flick_abort163);
                              flick_cdr_decode_signed32(0, _local_a->a, CORBA_long );
                              flick_cdr_decode_unsigned32(4, _t96_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(8);
                              flick_iiop_decode_end_glob(29);
                              flick_iiop_decode_new_glob(1 * _t96_temp_string_len);
                              flick_iiop_check_span(1 * _t96_temp_string_len, _flick_abort163);
                              flick_iiop_decode_new_chunk(1 * _t96_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a->sx, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t96_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t96_temp_string_len);
                              flick_iiop_decode_new_glob(31);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_iiop_check_span(2, _flick_abort163);
                              flick_cdr_decode_signed16(0, _local_a->b, CORBA_short );
                              _local_b = (struct str *)(&_t97_storage);
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                              flick_iiop_check_span(4, _flick_abort163);
                              flick_cdr_decode_unsigned32(0, _t98_temp_string_len, flick_unsigned32_t );
                              if (_t98_temp_string_len > 11)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort163);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t98_temp_string_len, _flick_abort163);
                              flick_iiop_decode_new_chunk(1 * _t98_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort163);
                                _local_b->s10 = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_b->s10, 1 * _t98_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t98_temp_string_len);
                              flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                              flick_iiop_check_span(8, _flick_abort170);
                              flick_cdr_decode_signed32(0, _local_b->a, CORBA_long );
                              flick_cdr_decode_unsigned32(4, _t99_temp_string_len, flick_unsigned32_t );
                              flick_iiop_decode_end_chunk(8);
                              flick_iiop_decode_end_glob(31);
                              flick_iiop_decode_new_glob(1 * _t99_temp_string_len);
                              flick_iiop_check_span(1 * _t99_temp_string_len, _flick_abort170);
                              flick_iiop_decode_new_chunk(1 * _t99_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t99_temp_string_len * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort170);
                                _local_b->sx = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_b->sx, 1 * _t99_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t99_temp_string_len);
                              flick_iiop_decode_end_glob(1 * _t99_temp_string_len);
                              flick_iiop_decode_new_glob(3);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_iiop_check_span(2, _flick_abort173);
                              flick_cdr_decode_signed16(0, _local_b->b, CORBA_short );
                              _local_c = (struct str **)(&_t100_storage);
                              _ev = (CORBA_Environment *)(&_t101_storage);
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_end_glob(3);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_Struct(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort173);
                                flick_iiop_encode_new_glob(30, _flick_abort173);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t108_temp_string_len;
                                      flick_unsigned32_t _t109_temp_string_len;
                                      flick_unsigned32_t _t110_temp_string_len;
                                      flick_unsigned32_t _t111_temp_string_len;
                                      flick_unsigned32_t _t112_temp_string_len;
                                      flick_unsigned32_t _t113_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return->s10, flick_unsigned32_t , _t108_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _return->sx, flick_unsigned32_t , _t109_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _local_b->s10, flick_unsigned32_t , _t110_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _local_b->sx, flick_unsigned32_t , _t111_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, (*_local_c)->s10, flick_unsigned32_t , _t112_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, (*_local_c)->sx, flick_unsigned32_t , _t113_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4 + 1 * _t108_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t108_temp_string_len, flick_unsigned32_t );
                                      if (_t108_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort190);
                                      flick_cdr_encode_bcopy(4, _return->s10, 1 * _t108_temp_string_len);
                                      CORBA_flick_free(_return->s10);
                                      _return->s10 = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t108_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _return->a, CORBA_long );
                                      flick_cdr_encode_unsigned32(4, _t109_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(8);
                                      flick_iiop_encode_end_glob(30);
                                      flick_iiop_encode_new_glob(1 * _t109_temp_string_len, _flick_abort190);
                                      flick_iiop_encode_new_chunk(1 * _t109_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->sx, 1 * _t109_temp_string_len);
                                      CORBA_flick_free(_return->sx);
                                      _return->sx = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t109_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t109_temp_string_len);
                                      flick_iiop_encode_new_glob(31, _flick_abort190);
                                      flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, _return->b, CORBA_short );
                                      CORBA_flick_free(_return);
                                      _return = (struct str *)0;
                                      flick_iiop_encode_end_chunk(2);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t110_temp_string_len, 2, 1, 0);
                                      flick_cdr_encode_unsigned32(0, _t110_temp_string_len, flick_unsigned32_t );
                                      if (_t110_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort190);
                                      flick_cdr_encode_bcopy(4, _local_b->s10, 1 * _t110_temp_string_len);
                                      CORBA_flick_free(_local_b->s10);
                                      _local_b->s10 = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t110_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_b->a, CORBA_long );
                                      flick_cdr_encode_unsigned32(4, _t111_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(8);
                                      flick_iiop_encode_end_glob(31);
                                      flick_iiop_encode_new_glob(1 * _t111_temp_string_len, _flick_abort190);
                                      flick_iiop_encode_new_chunk(1 * _t111_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b->sx, 1 * _t111_temp_string_len);
                                      CORBA_flick_free(_local_b->sx);
                                      _local_b->sx = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t111_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t111_temp_string_len);
                                      flick_iiop_encode_new_glob(31, _flick_abort190);
                                      flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, _local_b->b, CORBA_short );
                                      flick_iiop_encode_end_chunk(2);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t112_temp_string_len, 2, 1, 0);
                                      flick_cdr_encode_unsigned32(0, _t112_temp_string_len, flick_unsigned32_t );
                                      if (_t112_temp_string_len > 11)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort190);
                                      flick_cdr_encode_bcopy(4, (*_local_c)->s10, 1 * _t112_temp_string_len);
                                      CORBA_flick_free((*_local_c)->s10);
                                      (*_local_c)->s10 = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t112_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(8, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, (*_local_c)->a, CORBA_long );
                                      flick_cdr_encode_unsigned32(4, _t113_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(8);
                                      flick_iiop_encode_end_glob(31);
                                      flick_iiop_encode_new_glob(1 * _t113_temp_string_len, _flick_abort190);
                                      flick_iiop_encode_new_chunk(1 * _t113_temp_string_len);
                                      flick_cdr_encode_bcopy(0, (*_local_c)->sx, 1 * _t113_temp_string_len);
                                      CORBA_flick_free((*_local_c)->sx);
                                      (*_local_c)->sx = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t113_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t113_temp_string_len);
                                      flick_iiop_encode_new_glob(3, _flick_abort190);
                                      flick_iiop_encode_new_chunk_align(2, 1, 0, 0);
                                      flick_cdr_encode_signed16(0, (*_local_c)->b, CORBA_short );
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (struct str *)0;
                                      flick_iiop_encode_end_chunk(2);
                                      flick_iiop_encode_end_glob(3);
                                      break;
                                      {
                                      _flick_abort190:
                                        goto _flick_abort173;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(30);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort203);
                                      break;
                                      {
                                      _flick_abort203:
                                        goto _flick_abort173;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort204);
                                      flick_iiop_encode_end_glob(30);
                                      break;
                                      {
                                      _flick_abort204:
                                        goto _flick_abort173;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort173:
                                CORBA_flick_free(_local_b->sx);
                              _flick_abort170:
                                CORBA_flick_free(_local_b->s10);
                              _flick_abort163:
                                goto _flick_abort162;
                              }
                            }
                            break;
                            {
                            _flick_abort162:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t114_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t114_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t114_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                unsigned int _t115_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t115_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t115_switch_tag)
                  {
                  case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
                    {
                      unsigned short int _t116_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t116_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t116_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t117_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t117_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t117_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    unsigned int _t118_principal_len;
                                    longstr _return;
                                    longstr _local_a;
                                    flick_unsigned32_t _t119_temp_string_len;
                                    longstr *_local_b;
                                    longstr _t120_storage;
                                    flick_unsigned32_t _t121_temp_string_len;
                                    longstr *_local_c;
                                    longstr _t122_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t123_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort206);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t118_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_check_span(_t118_principal_len, _flick_abort206);
                                    flick_iiop_decode_new_glob(_t118_principal_len);
                                    flick_iiop_decode_new_chunk(_t118_principal_len);
                                    flick_iiop_decode_end_chunk(_t118_principal_len);
                                    flick_iiop_decode_end_glob(_t118_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort206);
                                    flick_cdr_decode_unsigned32(0, _t119_temp_string_len, flick_unsigned32_t );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_decode_new_glob(1 * _t119_temp_string_len);
                                    flick_iiop_check_span(1 * _t119_temp_string_len, _flick_abort206);
                                    flick_iiop_decode_new_chunk(1 * _t119_temp_string_len);
                                    flick_cdr_decode_msgptr(0, _local_a, CORBA_char *);
                                    flick_iiop_decode_end_chunk(1 * _t119_temp_string_len);
                                    flick_iiop_decode_end_glob(1 * _t119_temp_string_len);
                                    _local_b = (longstr *)(&_t120_storage);
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort206);
                                    flick_cdr_decode_unsigned32(0, _t121_temp_string_len, flick_unsigned32_t );
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_decode_new_glob(1 * _t121_temp_string_len);
                                    flick_iiop_check_span(1 * _t121_temp_string_len, _flick_abort206);
                                    flick_iiop_decode_new_chunk(1 * _t121_temp_string_len);
                                    {
                                      CORBA_char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t121_temp_string_len * sizeof(CORBA_char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort206);
                                      *_local_b = _t_alloc_ptr;
                                    }
                                    flick_cdr_decode_bcopy(0, *_local_b, 1 * _t121_temp_string_len);
                                    flick_iiop_decode_end_chunk(1 * _t121_temp_string_len);
                                    flick_iiop_decode_end_glob(1 * _t121_temp_string_len);
                                    _local_c = (longstr *)(&_t122_storage);
                                    _ev = (CORBA_Environment *)(&_t123_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = test_LongString(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort211);
                                      flick_iiop_encode_new_glob(8, _flick_abort211);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t127_temp_string_len;
                                            flick_unsigned32_t _t128_temp_string_len;
                                            flick_unsigned32_t _t129_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t127_temp_string_len);
                                            flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t128_temp_string_len);
                                            flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t129_temp_string_len);

                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t127_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(8);
                                            flick_iiop_encode_new_glob(1 * _t127_temp_string_len, _flick_abort222);
                                            flick_iiop_encode_new_chunk(1 * _t127_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return, 1 * _t127_temp_string_len);
                                            CORBA_flick_free(_return);
                                            _return = (CORBA_char *)0;
                                            flick_iiop_encode_end_chunk(1 * _t127_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t127_temp_string_len);
                                            flick_iiop_encode_new_glob(7, _flick_abort222);
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t128_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(7);
                                            flick_iiop_encode_new_glob(1 * _t128_temp_string_len, _flick_abort222);
                                            flick_iiop_encode_new_chunk(1 * _t128_temp_string_len);
                                            flick_cdr_encode_bcopy(0, *_local_b, 1 * _t128_temp_string_len);
                                            CORBA_flick_free(*_local_b);
                                            *_local_b = (CORBA_char *)0;
                                            flick_iiop_encode_end_chunk(1 * _t128_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t128_temp_string_len);
                                            flick_iiop_encode_new_glob(7, _flick_abort222);
                                            flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_unsigned32(0, _t129_temp_string_len, flick_unsigned32_t );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(7);
                                            flick_iiop_encode_new_glob(1 * _t129_temp_string_len, _flick_abort222);
                                            flick_iiop_encode_new_chunk(1 * _t129_temp_string_len);
                                            flick_cdr_encode_bcopy(0, *_local_c, 1 * _t129_temp_string_len);
                                            CORBA_flick_free(*_local_c);
                                            *_local_c = (CORBA_char *)0;
                                            flick_iiop_encode_end_chunk(1 * _t129_temp_string_len);
                                            flick_iiop_encode_end_glob(1 * _t129_temp_string_len);
                                            break;
                                            {
                                            _flick_abort222:
                                              goto _flick_abort211;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort229);
                                            break;
                                            {
                                            _flick_abort229:
                                              goto _flick_abort211;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort230);
                                            flick_iiop_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort230:
                                              goto _flick_abort211;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort211:
                                      CORBA_flick_free(*_local_b);
                                    _flick_abort206:
                                      goto _flick_abort205;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort205:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t130_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t130_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t130_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned int _t131_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t131_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t131_switch_tag)
                  {
                  case /* tStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1951626354):
                    {
                      unsigned int _t132_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t132_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t132_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              test _obj;
                              unsigned int _t133_principal_len;
                              shortstr _return;
                              shortstr _local_a;
                              flick_unsigned32_t _t134_temp_string_len;
                              shortstr *_local_b;
                              shortstr _t135_storage;
                              flick_unsigned32_t _t136_temp_string_len;
                              shortstr *_local_c;
                              shortstr _t137_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t138_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort232);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t133_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t133_principal_len, _flick_abort232);
                              flick_iiop_decode_new_glob(_t133_principal_len);
                              flick_iiop_decode_new_chunk(_t133_principal_len);
                              flick_iiop_decode_end_chunk(_t133_principal_len);
                              flick_iiop_decode_end_glob(_t133_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(66);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort232);
                              flick_cdr_decode_unsigned32(0, _t134_temp_string_len, flick_unsigned32_t );
                              if (_t134_temp_string_len > 26)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort232);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t134_temp_string_len, _flick_abort232);
                              flick_iiop_decode_new_chunk(1 * _t134_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA_char *);
                              flick_iiop_decode_end_chunk(1 * _t134_temp_string_len);
                              _local_b = (shortstr *)(&_t135_storage);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiop_check_span(4, _flick_abort232);
                              flick_cdr_decode_unsigned32(0, _t136_temp_string_len, flick_unsigned32_t );
                              if (_t136_temp_string_len > 26)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort232);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_check_span(1 * _t136_temp_string_len, _flick_abort232);
                              flick_iiop_decode_new_chunk(1 * _t136_temp_string_len);
                              {
                                CORBA_char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(26 * sizeof(CORBA_char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort232);
                                *_local_b = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, *_local_b, 1 * _t136_temp_string_len);
                              flick_iiop_decode_end_chunk(1 * _t136_temp_string_len);
                              _local_c = (shortstr *)(&_t137_storage);
                              _ev = (CORBA_Environment *)(&_t138_storage);
                              flick_iiop_decode_end_glob(66);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = test_ShortString(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort237);
                                flick_iiop_encode_new_glob(100, _flick_abort237);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t142_temp_string_len;
                                      flick_unsigned32_t _t143_temp_string_len;
                                      flick_unsigned32_t _t144_temp_string_len;

                                      flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t142_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t143_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t144_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4 + 1 * _t142_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t142_temp_string_len, flick_unsigned32_t );
                                      if (_t142_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort248);
                                      flick_cdr_encode_bcopy(4, _return, 1 * _t142_temp_string_len);
                                      CORBA_flick_free(_return);
                                      _return = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t142_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t143_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t143_temp_string_len, flick_unsigned32_t );
                                      if (_t143_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort248);
                                      flick_cdr_encode_bcopy(4, *_local_b, 1 * _t143_temp_string_len);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t143_temp_string_len);
                                      flick_iiop_encode_new_chunk_align(4 + 1 * _t144_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t144_temp_string_len, flick_unsigned32_t );
                                      if (_t144_temp_string_len > 26)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort248);
                                      flick_cdr_encode_bcopy(4, *_local_c, 1 * _t144_temp_string_len);
                                      CORBA_flick_free(*_local_c);
                                      *_local_c = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(4 + 1 * _t144_temp_string_len);
                                      flick_iiop_encode_end_glob(100);
                                      break;
                                      {
                                      _flick_abort248:
                                        goto _flick_abort237;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(100);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort255);
                                      break;
                                      {
                                      _flick_abort255:
                                        goto _flick_abort237;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort256);
                                      flick_iiop_encode_end_glob(100);
                                      break;
                                      {
                                      _flick_abort256:
                                        goto _flick_abort237;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort237:
                                CORBA_flick_free(*_local_b);
                              _flick_abort232:
                                goto _flick_abort231;
                              }
                            }
                            break;
                            {
                            _flick_abort231:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t145_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t145_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t145_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t146_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t146_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t146_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t147_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t148_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t149_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort258);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t147_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t147_principal_len, _flick_abort258);
                        flick_iiop_decode_new_glob(_t147_principal_len);
                        flick_iiop_decode_new_chunk(_t147_principal_len);
                        flick_iiop_decode_end_chunk(_t147_principal_len);
                        flick_iiop_decode_end_glob(_t147_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort258);
                        flick_cdr_decode_unsigned32(0, _t148_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t148_temp_string_len);
                        flick_iiop_check_span(1 * _t148_temp_string_len, _flick_abort258);
                        flick_iiop_decode_new_chunk(1 * _t148_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t148_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t148_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t149_storage);
                        _par = flick_interface_parents_test;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort258);
                          flick_iiop_encode_new_glob(5, _flick_abort258);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort266);
                                break;
                                {
                                _flick_abort266:
                                  goto _flick_abort258;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort267);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort267:
                                  goto _flick_abort258;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort258:
                          goto _flick_abort257;
                        }
                      }
                      break;
                      {
                      _flick_abort257:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

