#ifndef _any_server_h_
#define _any_server_h_

#include "any-client.h"
#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class POA_I ;


typedef POA_I *POA_I_ptr;

class POA_I : public virtual PortableServer::ServantBase {

protected:
  POA_I();

public:
  POA_I(const POA_I &rhs);
  virtual ~POA_I();
  I *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Any *op_any(/* POA_I *this, */ const CORBA::Any &a, CORBA::Any &b, CORBA::Any_out c, CORBA::Environment &_ev) = 0;
  virtual any_seq *op_any_seq(/* POA_I *this, */ const any_seq &a, any_seq &b, any_seq_out c, CORBA::Environment &_ev) = 0;
  virtual struct any_struct *op_any_struct(/* POA_I *this, */ const struct any_struct &a, struct any_struct &b, any_struct_out c, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_I_tie : public POA_I {

  public:
    POA_I_tie(T &t);
    POA_I_tie(T &t, PortableServer::POA_ptr poa);
    POA_I_tie(T *t, CORBA::Boolean release = 1);
    POA_I_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_I_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_I_tie(const POA_I_tie &c);
    void operator=(const POA_I_tie &c);

  public:
    CORBA::Any *op_any(/* POA_I *this, */ const CORBA::Any &a, CORBA::Any &b, CORBA::Any_out c, CORBA::Environment &_ev);
    any_seq *op_any_seq(/* POA_I *this, */ const any_seq &a, any_seq &b, any_seq_out c, CORBA::Environment &_ev);
    struct any_struct *op_any_struct(/* POA_I *this, */ const struct any_struct &a, struct any_struct &b, any_struct_out c, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


I_ptr _TAO_collocation_POA_I_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_I_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_I : public virtual I {

public:
  _tao_thru_poa_collocated_I(TAO_Stub *stub);
  virtual CORBA::Any *op_any(const CORBA::Any &a, CORBA::Any &b, CORBA::Any_out c, CORBA::Environment &_ev);
  virtual any_seq *op_any_seq(const any_seq &a, any_seq &b, any_seq_out c, CORBA::Environment &_ev);
  virtual struct any_struct *op_any_struct(const struct any_struct &a, struct any_struct &b, any_struct_out c, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


#endif /* _any_server_h_ */
