#include "corbastat-client.h"
#include "corbastat-server.h"


static const CORBA::Long _oc_my_timespec[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x7065633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:my_timespec:1.0 */,
    12, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x70656300) /* name = my_timespec */,
    2 /* member count */,
    10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f7365), ACE_NTOHL(0x63000000) /* name = my_tv_sec */,
    CORBA::tk_alias,
    48 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      18, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x743a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:my_time_t:1.0 */,
      10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x74000000) /* name = my_time_t */,
      CORBA::tk_long,
    11, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f6e73), ACE_NTOHL(0x65630000) /* name = my_tv_nsec */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_my_timespec (CORBA::tk_struct, sizeof(_oc_my_timespec), (char *) &_oc_my_timespec, 0, sizeof(struct my_timespec ));

CORBA::TypeCode_ptr _tc_my_timespec = &_tc_TAO_tc_my_timespec;


void operator<<=(CORBA::Any &a, const struct my_timespec &o)
{
  struct my_timespec  *_any_val;
  ACE_NEW(_any_val, struct my_timespec  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_my_timespec, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct my_timespec *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_my_timespec, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct my_timespec *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_my_timespec, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct my_timespec  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct my_timespec , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_my_timespec, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_my_timespec, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

my_timespec_var::my_timespec_var()
  : ptr_(0)
{}

my_timespec_var::my_timespec_var(struct my_timespec *p)
 : ptr_(p)
{}

my_timespec_var::my_timespec_var(const my_timespec_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct my_timespec (*a.ptr_);
  else
    this->ptr_ = 0;
}

my_timespec_var::~my_timespec_var()
{
  delete this->ptr_;
}

my_timespec_var &my_timespec_var::operator=(struct my_timespec *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

my_timespec_var &my_timespec_var::operator=(const my_timespec_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct my_timespec (*p.ptr_);
  }
  return *this;
}

struct my_timespec *my_timespec_var::operator->()
{
  return this->ptr_;
}

const struct my_timespec *my_timespec_var::operator->() const
{
  return this->ptr_;
}

my_timespec_var::operator const struct my_timespec &() const
{
  return *this->ptr_;
}

my_timespec_var::operator struct my_timespec &()
{
  return *this->ptr_;
}

my_timespec_var::operator struct my_timespec &() const
{
  return *this->ptr_;
}

const struct my_timespec &my_timespec_var::in() const
{
  return *this->ptr_;
}

struct my_timespec &my_timespec_var::inout()
{
  return *this->ptr_;
}

struct my_timespec &my_timespec_var::out()
{
  return *this->ptr_;
}

struct my_timespec my_timespec_var::_retn()
{
  return *this->ptr_;
}

struct my_timespec *my_timespec_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_test[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:test:1.0 */,
    5, ACE_NTOHL(0x74657374), ACE_NTOHL(0x00000000) /* name = test */
};

static CORBA::TypeCode _tc_TAO_tc_test (CORBA::tk_objref, sizeof(_oc_test), (char *) &_oc_test, 0, sizeof(test ));

CORBA::TypeCode_ptr _tc_test = &_tc_TAO_tc_test;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<test , test_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<test , test_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


test_ptr  (*_TAO_collocation_test_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


test_ptr test::_duplicate(test_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

test_ptr test::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return test::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:test:1.0", _env);
  if (_env.exception() != 0)
    return test::_nil();
  if (is_a == 0)
    return test::_nil();
  return test::_unchecked_narrow(obj, _env);
}

test_ptr test::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return test::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_test_Stub_Factory_function_pointer != 0)
    {
      test_ptr  retv = _TAO_collocation_test_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new test (stub);
}

test_ptr test::_nil()
{
  return (test_ptr )NULL;
}

CORBA::Boolean test::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:test:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *test::_interface_repository_id() const
{
  return "IDL:test:1.0";
}

test::test()
{}

test::~test()
{}

void operator<<=(CORBA::Any &a, test_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = test::_duplicate(o);
    a.replace (_tc_test, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, test_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = test::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_test, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_test, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = test::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_test, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

test::test(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

test_var::test_var()
  : ptr_(test::_nil())
{}

test_var::test_var(test_ptr p)
  : ptr_(p)
{}

test_var::test_var(const test_var &a)
  : ptr_(test::_duplicate(a.ptr()))
{}

test_var::~test_var()
{
  CORBA::release(this->ptr_);
}

test_var &test_var::operator=(test_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

test_var &test_var::operator=(const test_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = test::_duplicate(p.ptr());
  }
  return *this;
}

test_ptr test_var::operator->() const
{
  return this->ptr_;
}

test_var::operator const test_ptr &() const
{
  return this->ptr_;
}

test_var::operator test_ptr &()
{
  return this->ptr_;
}

test_ptr test_var::in() const
{
  return this->ptr_;
}

test_ptr &test_var::inout()
{
  return this->ptr_;
}

test_ptr &test_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = test::_nil();
  return this->ptr_;
}

test_ptr test_var::_retn()
{
  test_ptr  val = this->ptr_;
  this->ptr_ = test::_nil();
  return val;
}

test_ptr test_var::ptr() const
{
  return this->ptr_;
}

test_out::test_out(test_ptr &r)
  : ptr_(r)
{
  this->ptr_ = test::_nil();
}

test_out::test_out(test_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = test::_nil();
}

test_out::test_out(const test_out &r)
  : ptr_(ACE_const_cast(test_out &,r).ptr_)
{}

test_out &test_out::operator=(const test_out &r)
{
  this->ptr_ = ACE_const_cast(test_out &,r).ptr_;
  return *this;
}

test_out &test_out::operator=(const test_var &r)
{
  this->ptr_ = test::_duplicate(r.ptr());
  return *this;
}

test_out &test_out::operator=(test_ptr r)
{
  this->ptr_ = r;
  return *this;
}

test_out::operator test_ptr &()
{
  return this->ptr_;
}

test_ptr &test_out::ptr()
{
  return this->ptr_;
}

test_ptr test_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_test_my_stat[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    21, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x2f6d795f), ACE_NTOHL(0x73746174), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:test/my_stat:1.0 */,
    8, ACE_NTOHL(0x6d795f73), ACE_NTOHL(0x74617400) /* name = my_stat */,
    18 /* member count */,
    7, ACE_NTOHL(0x73745f64), ACE_NTOHL(0x65760000) /* name = st_dev */,
    CORBA::tk_alias,
    100 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f64), ACE_NTOHL(0x65765f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_dev_t:1.0 */,
      9, ACE_NTOHL(0x6d795f64), ACE_NTOHL(0x65765f74), ACE_NTOHL(0x00000000) /* name = my_dev_t */,
      CORBA::tk_alias,
      48 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_ulong_t:1.0 */,
        11, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f740000) /* name = my_ulong_t */,
        CORBA::tk_ulong,
    8, ACE_NTOHL(0x73745f70), ACE_NTOHL(0x61643100) /* name = st_pad1 */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      3,
    7, ACE_NTOHL(0x73745f69), ACE_NTOHL(0x6e6f0000) /* name = st_ino */,
    CORBA::tk_alias,
    100 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f69), ACE_NTOHL(0x6e6f5f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_ino_t:1.0 */,
      9, ACE_NTOHL(0x6d795f69), ACE_NTOHL(0x6e6f5f74), ACE_NTOHL(0x00000000) /* name = my_ino_t */,
      CORBA::tk_alias,
      48 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_ulong_t:1.0 */,
        11, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f740000) /* name = my_ulong_t */,
        CORBA::tk_ulong,
    8, ACE_NTOHL(0x73745f6d), ACE_NTOHL(0x6f646500) /* name = st_mode */,
    CORBA::tk_alias,
    100 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      18, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f6d), ACE_NTOHL(0x6f64655f), ACE_NTOHL(0x743a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:my_mode_t:1.0 */,
      10, ACE_NTOHL(0x6d795f6d), ACE_NTOHL(0x6f64655f), ACE_NTOHL(0x74000000) /* name = my_mode_t */,
      CORBA::tk_alias,
      48 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_ulong_t:1.0 */,
        11, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f740000) /* name = my_ulong_t */,
        CORBA::tk_ulong,
    9, ACE_NTOHL(0x73745f6e), ACE_NTOHL(0x6c696e6b), ACE_NTOHL(0x00000000) /* name = st_nlink */,
    CORBA::tk_alias,
    100 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f6e), ACE_NTOHL(0x6c696e6b), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_nlink_t:1.0 */,
      11, ACE_NTOHL(0x6d795f6e), ACE_NTOHL(0x6c696e6b), ACE_NTOHL(0x5f740000) /* name = my_nlink_t */,
      CORBA::tk_alias,
      48 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_ulong_t:1.0 */,
        11, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f740000) /* name = my_ulong_t */,
        CORBA::tk_ulong,
    7, ACE_NTOHL(0x73745f75), ACE_NTOHL(0x69640000) /* name = st_uid */,
    CORBA::tk_alias,
    48 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_uid_t:1.0 */,
      9, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x00000000) /* name = my_uid_t */,
      CORBA::tk_long,
    7, ACE_NTOHL(0x73745f67), ACE_NTOHL(0x69640000) /* name = st_gid */,
    CORBA::tk_alias,
    100 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f67), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_gid_t:1.0 */,
      9, ACE_NTOHL(0x6d795f67), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x00000000) /* name = my_gid_t */,
      CORBA::tk_alias,
      48 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_uid_t:1.0 */,
        9, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x00000000) /* name = my_uid_t */,
        CORBA::tk_long,
    8, ACE_NTOHL(0x73745f72), ACE_NTOHL(0x64657600) /* name = st_rdev */,
    CORBA::tk_alias,
    100 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f64), ACE_NTOHL(0x65765f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_dev_t:1.0 */,
      9, ACE_NTOHL(0x6d795f64), ACE_NTOHL(0x65765f74), ACE_NTOHL(0x00000000) /* name = my_dev_t */,
      CORBA::tk_alias,
      48 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_ulong_t:1.0 */,
        11, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f740000) /* name = my_ulong_t */,
        CORBA::tk_ulong,
    8, ACE_NTOHL(0x73745f70), ACE_NTOHL(0x61643200) /* name = st_pad2 */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      2,
    8, ACE_NTOHL(0x73745f73), ACE_NTOHL(0x697a6500) /* name = st_size */,
    CORBA::tk_alias,
    48 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f6f), ACE_NTOHL(0x66665f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_off_t:1.0 */,
      9, ACE_NTOHL(0x6d795f6f), ACE_NTOHL(0x66665f74), ACE_NTOHL(0x00000000) /* name = my_off_t */,
      CORBA::tk_long,
    8, ACE_NTOHL(0x73745f70), ACE_NTOHL(0x61643300) /* name = st_pad3 */,
    CORBA::tk_long,
    9, ACE_NTOHL(0x73745f61), ACE_NTOHL(0x74696d65), ACE_NTOHL(0x00000000) /* name = st_atime */,
    CORBA::tk_alias,
    200 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      23, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_timestruc_t:1.0 */,
      15, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f740000) /* name = my_timestruc_t */,
      CORBA::tk_struct,
      140 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x7065633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:my_timespec:1.0 */,
        12, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x70656300) /* name = my_timespec */,
        2 /* member count */,
        10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f7365), ACE_NTOHL(0x63000000) /* name = my_tv_sec */,
        CORBA::tk_alias,
        48 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          18, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x743a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:my_time_t:1.0 */,
          10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x74000000) /* name = my_time_t */,
          CORBA::tk_long,
        11, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f6e73), ACE_NTOHL(0x65630000) /* name = my_tv_nsec */,
        CORBA::tk_long,
    9, ACE_NTOHL(0x73745f6d), ACE_NTOHL(0x74696d65), ACE_NTOHL(0x00000000) /* name = st_mtime */,
    CORBA::tk_alias,
    200 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      23, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_timestruc_t:1.0 */,
      15, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f740000) /* name = my_timestruc_t */,
      CORBA::tk_struct,
      140 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x7065633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:my_timespec:1.0 */,
        12, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x70656300) /* name = my_timespec */,
        2 /* member count */,
        10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f7365), ACE_NTOHL(0x63000000) /* name = my_tv_sec */,
        CORBA::tk_alias,
        48 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          18, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x743a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:my_time_t:1.0 */,
          10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x74000000) /* name = my_time_t */,
          CORBA::tk_long,
        11, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f6e73), ACE_NTOHL(0x65630000) /* name = my_tv_nsec */,
        CORBA::tk_long,
    9, ACE_NTOHL(0x73745f63), ACE_NTOHL(0x74696d65), ACE_NTOHL(0x00000000) /* name = st_ctime */,
    CORBA::tk_alias,
    200 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      23, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_timestruc_t:1.0 */,
      15, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f740000) /* name = my_timestruc_t */,
      CORBA::tk_struct,
      140 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x7065633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:my_timespec:1.0 */,
        12, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x70656300) /* name = my_timespec */,
        2 /* member count */,
        10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f7365), ACE_NTOHL(0x63000000) /* name = my_tv_sec */,
        CORBA::tk_alias,
        48 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          18, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x743a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:my_time_t:1.0 */,
          10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x74000000) /* name = my_time_t */,
          CORBA::tk_long,
        11, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f6e73), ACE_NTOHL(0x65630000) /* name = my_tv_nsec */,
        CORBA::tk_long,
    11, ACE_NTOHL(0x73745f62), ACE_NTOHL(0x6c6b7369), ACE_NTOHL(0x7a650000) /* name = st_blksize */,
    CORBA::tk_long,
    10, ACE_NTOHL(0x73745f62), ACE_NTOHL(0x6c6f636b), ACE_NTOHL(0x73000000) /* name = st_blocks */,
    CORBA::tk_long,
    10, ACE_NTOHL(0x73745f66), ACE_NTOHL(0x73747970), ACE_NTOHL(0x65000000) /* name = st_fstype */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_char,
      16,
    8, ACE_NTOHL(0x73745f70), ACE_NTOHL(0x61643400) /* name = st_pad4 */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      8
};

static CORBA::TypeCode _tc_TAO_tc_test_my_stat (CORBA::tk_struct, sizeof(_oc_test_my_stat), (char *) &_oc_test_my_stat, 0, sizeof(struct ::test::my_stat ));

CORBA::TypeCode_ptr test::_tc_my_stat = &_tc_TAO_tc_test_my_stat;


void operator<<=(CORBA::Any &a, const struct ::test::my_stat &o)
{
  struct ::test::my_stat  *_any_val;
  ACE_NEW(_any_val, struct ::test::my_stat  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(test::_tc_my_stat, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::test::my_stat *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(test::_tc_my_stat, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::test::my_stat *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(test::_tc_my_stat, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::test::my_stat  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::test::my_stat , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(test::_tc_my_stat, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(test::_tc_my_stat, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

test::my_stat_var::my_stat_var()
  : ptr_(0)
{}

test::my_stat_var::my_stat_var(struct ::test::my_stat *p)
 : ptr_(p)
{}

test::my_stat_var::my_stat_var(const ::test::my_stat_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::test::my_stat (*a.ptr_);
  else
    this->ptr_ = 0;
}

test::my_stat_var::~my_stat_var()
{
  delete this->ptr_;
}

::test::my_stat_var &test::my_stat_var::operator=(struct ::test::my_stat *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::test::my_stat_var &test::my_stat_var::operator=(const ::test::my_stat_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::test::my_stat (*p.ptr_);
  }
  return *this;
}

struct ::test::my_stat *test::my_stat_var::operator->()
{
  return this->ptr_;
}

const struct ::test::my_stat *test::my_stat_var::operator->() const
{
  return this->ptr_;
}

test::my_stat_var::operator const struct ::test::my_stat &() const
{
  return *this->ptr_;
}

test::my_stat_var::operator struct ::test::my_stat &()
{
  return *this->ptr_;
}

test::my_stat_var::operator struct ::test::my_stat &() const
{
  return *this->ptr_;
}

const struct ::test::my_stat &test::my_stat_var::in() const
{
  return *this->ptr_;
}

struct ::test::my_stat &test::my_stat_var::inout()
{
  return *this->ptr_;
}

struct ::test::my_stat &test::my_stat_var::out()
{
  return *this->ptr_;
}

struct ::test::my_stat test::my_stat_var::_retn()
{
  return *this->ptr_;
}

struct ::test::my_stat *test::my_stat_var::ptr() const
{
  return this->ptr_;
}

::test::my_stat::_st_pad1_slice *test::my_stat::_st_pad1_alloc()
{
  return new ::test::my_stat::_st_pad1_slice [3];
}

::test::my_stat::_st_pad1_slice *test::my_stat::_st_pad1_dup(const ::test::my_stat::_st_pad1_slice *_slice)
{
  ::test::my_stat::_st_pad1_slice  *_dup_array = test::my_stat::_st_pad1_alloc();
  if( !_dup_array ) return 0;
  test::my_stat::_st_pad1_copy(_dup_array, _slice);
  return _dup_array;
}

void test::my_stat::_st_pad1_copy(::test::my_stat::_st_pad1_slice *_to_slice, const ::test::my_stat::_st_pad1_slice *_from_slice)
{
 CORBA::ULong iter0;
 
 for(iter0 = 0; iter0 < 3; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void test::my_stat::_st_pad1_free(::test::my_stat::_st_pad1_slice *_slice)
{
  delete [] _slice;
}

test::my_stat::_st_pad1_var::_st_pad1_var()
  : ptr_(0)
{}

test::my_stat::_st_pad1_var::_st_pad1_var(::test::my_stat::_st_pad1_slice *p)
 : ptr_(p)
{}

test::my_stat::_st_pad1_var::_st_pad1_var(const ::test::my_stat::_st_pad1_var &a)
{
  this->ptr_ = test::my_stat::_st_pad1_dup(a.ptr_);
}

test::my_stat::_st_pad1_var::~_st_pad1_var()
{
  test::my_stat::_st_pad1_free(this->ptr_);
}

::test::my_stat::_st_pad1_var &test::my_stat::_st_pad1_var::operator=(::test::my_stat::_st_pad1_slice *p)
{
  if( this->ptr_ != p )
  {
    test::my_stat::_st_pad1_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::test::my_stat::_st_pad1_var &test::my_stat::_st_pad1_var::operator=(const ::test::my_stat::_st_pad1_var &p)
{
  if( this != &p )
  {
    test::my_stat::_st_pad1_free(this->ptr_);
    this->ptr_ = test::my_stat::_st_pad1_dup(p.ptr_);
  }
  return *this;
}

::test::my_stat::_st_pad1_slice &test::my_stat::_st_pad1_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::test::my_stat::_st_pad1_slice &test::my_stat::_st_pad1_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

test::my_stat::_st_pad1_var::operator ::test::my_stat::_st_pad1_slice *const &() const
{
  return this->ptr_;
}

test::my_stat::_st_pad1_var::operator ::test::my_stat::_st_pad1_slice *&()
{
  return this->ptr_;
}

const ::test::my_stat::_st_pad1_slice *test::my_stat::_st_pad1_var::in() const
{
  return this->ptr_;
}

::test::my_stat::_st_pad1_slice *test::my_stat::_st_pad1_var::inout()
{
  return this->ptr_;
}

::test::my_stat::_st_pad1_slice *&test::my_stat::_st_pad1_var::out()
{
  test::my_stat::_st_pad1_free(this->ptr_);
  this->ptr_ = (::test::my_stat::_st_pad1_slice  *)0;
  return this->ptr_;
}

::test::my_stat::_st_pad1_slice *test::my_stat::_st_pad1_var::_retn()
{
  ::test::my_stat::_st_pad1_slice  *tmp = this->ptr_;
  this->ptr_ = (::test::my_stat::_st_pad1_slice  *)0;
  return tmp;
}

::test::my_stat::_st_pad1_slice *test::my_stat::_st_pad1_var::ptr() const
{
  return this->ptr_;
}

test::my_stat::_st_pad1_forany::_st_pad1_forany()
  : ptr_(0),
    nocopy_(0)
{}

test::my_stat::_st_pad1_forany::_st_pad1_forany(::test::my_stat::_st_pad1_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

test::my_stat::_st_pad1_forany::_st_pad1_forany(const ::test::my_stat::_st_pad1_forany &a)
{
  this->ptr_ = test::my_stat::_st_pad1_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

test::my_stat::_st_pad1_forany::~_st_pad1_forany()
{
}

::test::my_stat::_st_pad1_forany &test::my_stat::_st_pad1_forany::operator=(::test::my_stat::_st_pad1_slice *p)
{
  if( this->ptr_ != p )
  {
    test::my_stat::_st_pad1_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::test::my_stat::_st_pad1_forany &test::my_stat::_st_pad1_forany::operator=(const ::test::my_stat::_st_pad1_forany &p)
{
  if( this != &p )
  {
    test::my_stat::_st_pad1_free(this->ptr_);
    this->ptr_ = test::my_stat::_st_pad1_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::test::my_stat::_st_pad1_slice &test::my_stat::_st_pad1_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::test::my_stat::_st_pad1_slice &test::my_stat::_st_pad1_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

test::my_stat::_st_pad1_forany::operator ::test::my_stat::_st_pad1_slice *const &() const
{
  return this->ptr_;
}

test::my_stat::_st_pad1_forany::operator ::test::my_stat::_st_pad1_slice *&()
{
  return this->ptr_;
}

const ::test::my_stat::_st_pad1_slice *test::my_stat::_st_pad1_forany::in() const
{
  return this->ptr_;
}

::test::my_stat::_st_pad1_slice *test::my_stat::_st_pad1_forany::inout()
{
  return this->ptr_;
}

::test::my_stat::_st_pad1_slice *&test::my_stat::_st_pad1_forany::out()
{
  test::my_stat::_st_pad1_free(this->ptr_);
  this->ptr_ = (::test::my_stat::_st_pad1_slice  *)0;
  return this->ptr_;
}

::test::my_stat::_st_pad1_slice *test::my_stat::_st_pad1_forany::_retn()
{
  ::test::my_stat::_st_pad1_slice  *tmp = this->ptr_;
  this->ptr_ = (::test::my_stat::_st_pad1_slice  *)0;
  return tmp;
}

::test::my_stat::_st_pad1_slice *test::my_stat::_st_pad1_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean test::my_stat::_st_pad1_forany::nocopy() const
{
  return this->nocopy_;
}

::test::my_stat::_st_pad2_slice *test::my_stat::_st_pad2_alloc()
{
  return new ::test::my_stat::_st_pad2_slice [2];
}

::test::my_stat::_st_pad2_slice *test::my_stat::_st_pad2_dup(const ::test::my_stat::_st_pad2_slice *_slice)
{
  ::test::my_stat::_st_pad2_slice  *_dup_array = test::my_stat::_st_pad2_alloc();
  if( !_dup_array ) return 0;
  test::my_stat::_st_pad2_copy(_dup_array, _slice);
  return _dup_array;
}

void test::my_stat::_st_pad2_copy(::test::my_stat::_st_pad2_slice *_to_slice, const ::test::my_stat::_st_pad2_slice *_from_slice)
{
 CORBA::ULong iter0;
 
 for(iter0 = 0; iter0 < 2; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void test::my_stat::_st_pad2_free(::test::my_stat::_st_pad2_slice *_slice)
{
  delete [] _slice;
}

test::my_stat::_st_pad2_var::_st_pad2_var()
  : ptr_(0)
{}

test::my_stat::_st_pad2_var::_st_pad2_var(::test::my_stat::_st_pad2_slice *p)
 : ptr_(p)
{}

test::my_stat::_st_pad2_var::_st_pad2_var(const ::test::my_stat::_st_pad2_var &a)
{
  this->ptr_ = test::my_stat::_st_pad2_dup(a.ptr_);
}

test::my_stat::_st_pad2_var::~_st_pad2_var()
{
  test::my_stat::_st_pad2_free(this->ptr_);
}

::test::my_stat::_st_pad2_var &test::my_stat::_st_pad2_var::operator=(::test::my_stat::_st_pad2_slice *p)
{
  if( this->ptr_ != p )
  {
    test::my_stat::_st_pad2_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::test::my_stat::_st_pad2_var &test::my_stat::_st_pad2_var::operator=(const ::test::my_stat::_st_pad2_var &p)
{
  if( this != &p )
  {
    test::my_stat::_st_pad2_free(this->ptr_);
    this->ptr_ = test::my_stat::_st_pad2_dup(p.ptr_);
  }
  return *this;
}

::test::my_stat::_st_pad2_slice &test::my_stat::_st_pad2_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::test::my_stat::_st_pad2_slice &test::my_stat::_st_pad2_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

test::my_stat::_st_pad2_var::operator ::test::my_stat::_st_pad2_slice *const &() const
{
  return this->ptr_;
}

test::my_stat::_st_pad2_var::operator ::test::my_stat::_st_pad2_slice *&()
{
  return this->ptr_;
}

const ::test::my_stat::_st_pad2_slice *test::my_stat::_st_pad2_var::in() const
{
  return this->ptr_;
}

::test::my_stat::_st_pad2_slice *test::my_stat::_st_pad2_var::inout()
{
  return this->ptr_;
}

::test::my_stat::_st_pad2_slice *&test::my_stat::_st_pad2_var::out()
{
  test::my_stat::_st_pad2_free(this->ptr_);
  this->ptr_ = (::test::my_stat::_st_pad2_slice  *)0;
  return this->ptr_;
}

::test::my_stat::_st_pad2_slice *test::my_stat::_st_pad2_var::_retn()
{
  ::test::my_stat::_st_pad2_slice  *tmp = this->ptr_;
  this->ptr_ = (::test::my_stat::_st_pad2_slice  *)0;
  return tmp;
}

::test::my_stat::_st_pad2_slice *test::my_stat::_st_pad2_var::ptr() const
{
  return this->ptr_;
}

test::my_stat::_st_pad2_forany::_st_pad2_forany()
  : ptr_(0),
    nocopy_(0)
{}

test::my_stat::_st_pad2_forany::_st_pad2_forany(::test::my_stat::_st_pad2_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

test::my_stat::_st_pad2_forany::_st_pad2_forany(const ::test::my_stat::_st_pad2_forany &a)
{
  this->ptr_ = test::my_stat::_st_pad2_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

test::my_stat::_st_pad2_forany::~_st_pad2_forany()
{
}

::test::my_stat::_st_pad2_forany &test::my_stat::_st_pad2_forany::operator=(::test::my_stat::_st_pad2_slice *p)
{
  if( this->ptr_ != p )
  {
    test::my_stat::_st_pad2_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::test::my_stat::_st_pad2_forany &test::my_stat::_st_pad2_forany::operator=(const ::test::my_stat::_st_pad2_forany &p)
{
  if( this != &p )
  {
    test::my_stat::_st_pad2_free(this->ptr_);
    this->ptr_ = test::my_stat::_st_pad2_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::test::my_stat::_st_pad2_slice &test::my_stat::_st_pad2_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::test::my_stat::_st_pad2_slice &test::my_stat::_st_pad2_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

test::my_stat::_st_pad2_forany::operator ::test::my_stat::_st_pad2_slice *const &() const
{
  return this->ptr_;
}

test::my_stat::_st_pad2_forany::operator ::test::my_stat::_st_pad2_slice *&()
{
  return this->ptr_;
}

const ::test::my_stat::_st_pad2_slice *test::my_stat::_st_pad2_forany::in() const
{
  return this->ptr_;
}

::test::my_stat::_st_pad2_slice *test::my_stat::_st_pad2_forany::inout()
{
  return this->ptr_;
}

::test::my_stat::_st_pad2_slice *&test::my_stat::_st_pad2_forany::out()
{
  test::my_stat::_st_pad2_free(this->ptr_);
  this->ptr_ = (::test::my_stat::_st_pad2_slice  *)0;
  return this->ptr_;
}

::test::my_stat::_st_pad2_slice *test::my_stat::_st_pad2_forany::_retn()
{
  ::test::my_stat::_st_pad2_slice  *tmp = this->ptr_;
  this->ptr_ = (::test::my_stat::_st_pad2_slice  *)0;
  return tmp;
}

::test::my_stat::_st_pad2_slice *test::my_stat::_st_pad2_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean test::my_stat::_st_pad2_forany::nocopy() const
{
  return this->nocopy_;
}

::test::my_stat::_st_fstype_slice *test::my_stat::_st_fstype_alloc()
{
  return new ::test::my_stat::_st_fstype_slice [16];
}

::test::my_stat::_st_fstype_slice *test::my_stat::_st_fstype_dup(const ::test::my_stat::_st_fstype_slice *_slice)
{
  ::test::my_stat::_st_fstype_slice  *_dup_array = test::my_stat::_st_fstype_alloc();
  if( !_dup_array ) return 0;
  test::my_stat::_st_fstype_copy(_dup_array, _slice);
  return _dup_array;
}

void test::my_stat::_st_fstype_copy(::test::my_stat::_st_fstype_slice *_to_slice, const ::test::my_stat::_st_fstype_slice *_from_slice)
{
 CORBA::ULong iter0;
 
 for(iter0 = 0; iter0 < 16; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void test::my_stat::_st_fstype_free(::test::my_stat::_st_fstype_slice *_slice)
{
  delete [] _slice;
}

test::my_stat::_st_fstype_var::_st_fstype_var()
  : ptr_(0)
{}

test::my_stat::_st_fstype_var::_st_fstype_var(::test::my_stat::_st_fstype_slice *p)
 : ptr_(p)
{}

test::my_stat::_st_fstype_var::_st_fstype_var(const ::test::my_stat::_st_fstype_var &a)
{
  this->ptr_ = test::my_stat::_st_fstype_dup(a.ptr_);
}

test::my_stat::_st_fstype_var::~_st_fstype_var()
{
  test::my_stat::_st_fstype_free(this->ptr_);
}

::test::my_stat::_st_fstype_var &test::my_stat::_st_fstype_var::operator=(::test::my_stat::_st_fstype_slice *p)
{
  if( this->ptr_ != p )
  {
    test::my_stat::_st_fstype_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::test::my_stat::_st_fstype_var &test::my_stat::_st_fstype_var::operator=(const ::test::my_stat::_st_fstype_var &p)
{
  if( this != &p )
  {
    test::my_stat::_st_fstype_free(this->ptr_);
    this->ptr_ = test::my_stat::_st_fstype_dup(p.ptr_);
  }
  return *this;
}

::test::my_stat::_st_fstype_slice &test::my_stat::_st_fstype_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::test::my_stat::_st_fstype_slice &test::my_stat::_st_fstype_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

test::my_stat::_st_fstype_var::operator ::test::my_stat::_st_fstype_slice *const &() const
{
  return this->ptr_;
}

test::my_stat::_st_fstype_var::operator ::test::my_stat::_st_fstype_slice *&()
{
  return this->ptr_;
}

const ::test::my_stat::_st_fstype_slice *test::my_stat::_st_fstype_var::in() const
{
  return this->ptr_;
}

::test::my_stat::_st_fstype_slice *test::my_stat::_st_fstype_var::inout()
{
  return this->ptr_;
}

::test::my_stat::_st_fstype_slice *&test::my_stat::_st_fstype_var::out()
{
  test::my_stat::_st_fstype_free(this->ptr_);
  this->ptr_ = (::test::my_stat::_st_fstype_slice  *)0;
  return this->ptr_;
}

::test::my_stat::_st_fstype_slice *test::my_stat::_st_fstype_var::_retn()
{
  ::test::my_stat::_st_fstype_slice  *tmp = this->ptr_;
  this->ptr_ = (::test::my_stat::_st_fstype_slice  *)0;
  return tmp;
}

::test::my_stat::_st_fstype_slice *test::my_stat::_st_fstype_var::ptr() const
{
  return this->ptr_;
}

test::my_stat::_st_fstype_forany::_st_fstype_forany()
  : ptr_(0),
    nocopy_(0)
{}

test::my_stat::_st_fstype_forany::_st_fstype_forany(::test::my_stat::_st_fstype_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

test::my_stat::_st_fstype_forany::_st_fstype_forany(const ::test::my_stat::_st_fstype_forany &a)
{
  this->ptr_ = test::my_stat::_st_fstype_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

test::my_stat::_st_fstype_forany::~_st_fstype_forany()
{
}

::test::my_stat::_st_fstype_forany &test::my_stat::_st_fstype_forany::operator=(::test::my_stat::_st_fstype_slice *p)
{
  if( this->ptr_ != p )
  {
    test::my_stat::_st_fstype_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::test::my_stat::_st_fstype_forany &test::my_stat::_st_fstype_forany::operator=(const ::test::my_stat::_st_fstype_forany &p)
{
  if( this != &p )
  {
    test::my_stat::_st_fstype_free(this->ptr_);
    this->ptr_ = test::my_stat::_st_fstype_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::test::my_stat::_st_fstype_slice &test::my_stat::_st_fstype_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::test::my_stat::_st_fstype_slice &test::my_stat::_st_fstype_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

test::my_stat::_st_fstype_forany::operator ::test::my_stat::_st_fstype_slice *const &() const
{
  return this->ptr_;
}

test::my_stat::_st_fstype_forany::operator ::test::my_stat::_st_fstype_slice *&()
{
  return this->ptr_;
}

const ::test::my_stat::_st_fstype_slice *test::my_stat::_st_fstype_forany::in() const
{
  return this->ptr_;
}

::test::my_stat::_st_fstype_slice *test::my_stat::_st_fstype_forany::inout()
{
  return this->ptr_;
}

::test::my_stat::_st_fstype_slice *&test::my_stat::_st_fstype_forany::out()
{
  test::my_stat::_st_fstype_free(this->ptr_);
  this->ptr_ = (::test::my_stat::_st_fstype_slice  *)0;
  return this->ptr_;
}

::test::my_stat::_st_fstype_slice *test::my_stat::_st_fstype_forany::_retn()
{
  ::test::my_stat::_st_fstype_slice  *tmp = this->ptr_;
  this->ptr_ = (::test::my_stat::_st_fstype_slice  *)0;
  return tmp;
}

::test::my_stat::_st_fstype_slice *test::my_stat::_st_fstype_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean test::my_stat::_st_fstype_forany::nocopy() const
{
  return this->nocopy_;
}

::test::my_stat::_st_pad4_slice *test::my_stat::_st_pad4_alloc()
{
  return new ::test::my_stat::_st_pad4_slice [8];
}

::test::my_stat::_st_pad4_slice *test::my_stat::_st_pad4_dup(const ::test::my_stat::_st_pad4_slice *_slice)
{
  ::test::my_stat::_st_pad4_slice  *_dup_array = test::my_stat::_st_pad4_alloc();
  if( !_dup_array ) return 0;
  test::my_stat::_st_pad4_copy(_dup_array, _slice);
  return _dup_array;
}

void test::my_stat::_st_pad4_copy(::test::my_stat::_st_pad4_slice *_to_slice, const ::test::my_stat::_st_pad4_slice *_from_slice)
{
 CORBA::ULong iter0;
 
 for(iter0 = 0; iter0 < 8; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void test::my_stat::_st_pad4_free(::test::my_stat::_st_pad4_slice *_slice)
{
  delete [] _slice;
}

test::my_stat::_st_pad4_var::_st_pad4_var()
  : ptr_(0)
{}

test::my_stat::_st_pad4_var::_st_pad4_var(::test::my_stat::_st_pad4_slice *p)
 : ptr_(p)
{}

test::my_stat::_st_pad4_var::_st_pad4_var(const ::test::my_stat::_st_pad4_var &a)
{
  this->ptr_ = test::my_stat::_st_pad4_dup(a.ptr_);
}

test::my_stat::_st_pad4_var::~_st_pad4_var()
{
  test::my_stat::_st_pad4_free(this->ptr_);
}

::test::my_stat::_st_pad4_var &test::my_stat::_st_pad4_var::operator=(::test::my_stat::_st_pad4_slice *p)
{
  if( this->ptr_ != p )
  {
    test::my_stat::_st_pad4_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::test::my_stat::_st_pad4_var &test::my_stat::_st_pad4_var::operator=(const ::test::my_stat::_st_pad4_var &p)
{
  if( this != &p )
  {
    test::my_stat::_st_pad4_free(this->ptr_);
    this->ptr_ = test::my_stat::_st_pad4_dup(p.ptr_);
  }
  return *this;
}

::test::my_stat::_st_pad4_slice &test::my_stat::_st_pad4_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::test::my_stat::_st_pad4_slice &test::my_stat::_st_pad4_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

test::my_stat::_st_pad4_var::operator ::test::my_stat::_st_pad4_slice *const &() const
{
  return this->ptr_;
}

test::my_stat::_st_pad4_var::operator ::test::my_stat::_st_pad4_slice *&()
{
  return this->ptr_;
}

const ::test::my_stat::_st_pad4_slice *test::my_stat::_st_pad4_var::in() const
{
  return this->ptr_;
}

::test::my_stat::_st_pad4_slice *test::my_stat::_st_pad4_var::inout()
{
  return this->ptr_;
}

::test::my_stat::_st_pad4_slice *&test::my_stat::_st_pad4_var::out()
{
  test::my_stat::_st_pad4_free(this->ptr_);
  this->ptr_ = (::test::my_stat::_st_pad4_slice  *)0;
  return this->ptr_;
}

::test::my_stat::_st_pad4_slice *test::my_stat::_st_pad4_var::_retn()
{
  ::test::my_stat::_st_pad4_slice  *tmp = this->ptr_;
  this->ptr_ = (::test::my_stat::_st_pad4_slice  *)0;
  return tmp;
}

::test::my_stat::_st_pad4_slice *test::my_stat::_st_pad4_var::ptr() const
{
  return this->ptr_;
}

test::my_stat::_st_pad4_forany::_st_pad4_forany()
  : ptr_(0),
    nocopy_(0)
{}

test::my_stat::_st_pad4_forany::_st_pad4_forany(::test::my_stat::_st_pad4_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

test::my_stat::_st_pad4_forany::_st_pad4_forany(const ::test::my_stat::_st_pad4_forany &a)
{
  this->ptr_ = test::my_stat::_st_pad4_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

test::my_stat::_st_pad4_forany::~_st_pad4_forany()
{
}

::test::my_stat::_st_pad4_forany &test::my_stat::_st_pad4_forany::operator=(::test::my_stat::_st_pad4_slice *p)
{
  if( this->ptr_ != p )
  {
    test::my_stat::_st_pad4_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::test::my_stat::_st_pad4_forany &test::my_stat::_st_pad4_forany::operator=(const ::test::my_stat::_st_pad4_forany &p)
{
  if( this != &p )
  {
    test::my_stat::_st_pad4_free(this->ptr_);
    this->ptr_ = test::my_stat::_st_pad4_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::test::my_stat::_st_pad4_slice &test::my_stat::_st_pad4_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::test::my_stat::_st_pad4_slice &test::my_stat::_st_pad4_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

test::my_stat::_st_pad4_forany::operator ::test::my_stat::_st_pad4_slice *const &() const
{
  return this->ptr_;
}

test::my_stat::_st_pad4_forany::operator ::test::my_stat::_st_pad4_slice *&()
{
  return this->ptr_;
}

const ::test::my_stat::_st_pad4_slice *test::my_stat::_st_pad4_forany::in() const
{
  return this->ptr_;
}

::test::my_stat::_st_pad4_slice *test::my_stat::_st_pad4_forany::inout()
{
  return this->ptr_;
}

::test::my_stat::_st_pad4_slice *&test::my_stat::_st_pad4_forany::out()
{
  test::my_stat::_st_pad4_free(this->ptr_);
  this->ptr_ = (::test::my_stat::_st_pad4_slice  *)0;
  return this->ptr_;
}

::test::my_stat::_st_pad4_slice *test::my_stat::_st_pad4_forany::_retn()
{
  ::test::my_stat::_st_pad4_slice  *tmp = this->ptr_;
  this->ptr_ = (::test::my_stat::_st_pad4_slice  *)0;
  return tmp;
}

::test::my_stat::_st_pad4_slice *test::my_stat::_st_pad4_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean test::my_stat::_st_pad4_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_test_entry[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x2f656e74), ACE_NTOHL(0x72793a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:test/entry:1.0 */,
    6, ACE_NTOHL(0x656e7472), ACE_NTOHL(0x79000000) /* name = entry */,
    2 /* member count */,
    9, ACE_NTOHL(0x66696c65), ACE_NTOHL(0x6e616d65), ACE_NTOHL(0x00000000) /* name = filename */,
    CORBA::tk_string,
    0,
    5, ACE_NTOHL(0x696e666f), ACE_NTOHL(0x00000000) /* name = info */,
    CORBA::tk_struct,
    1768 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      21, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x2f6d795f), ACE_NTOHL(0x73746174), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:test/my_stat:1.0 */,
      8, ACE_NTOHL(0x6d795f73), ACE_NTOHL(0x74617400) /* name = my_stat */,
      18 /* member count */,
      7, ACE_NTOHL(0x73745f64), ACE_NTOHL(0x65760000) /* name = st_dev */,
      CORBA::tk_alias,
      100 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f64), ACE_NTOHL(0x65765f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_dev_t:1.0 */,
        9, ACE_NTOHL(0x6d795f64), ACE_NTOHL(0x65765f74), ACE_NTOHL(0x00000000) /* name = my_dev_t */,
        CORBA::tk_alias,
        48 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_ulong_t:1.0 */,
          11, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f740000) /* name = my_ulong_t */,
          CORBA::tk_ulong,
      8, ACE_NTOHL(0x73745f70), ACE_NTOHL(0x61643100) /* name = st_pad1 */,
      CORBA::tk_array,
      12 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_long,
        3,
      7, ACE_NTOHL(0x73745f69), ACE_NTOHL(0x6e6f0000) /* name = st_ino */,
      CORBA::tk_alias,
      100 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f69), ACE_NTOHL(0x6e6f5f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_ino_t:1.0 */,
        9, ACE_NTOHL(0x6d795f69), ACE_NTOHL(0x6e6f5f74), ACE_NTOHL(0x00000000) /* name = my_ino_t */,
        CORBA::tk_alias,
        48 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_ulong_t:1.0 */,
          11, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f740000) /* name = my_ulong_t */,
          CORBA::tk_ulong,
      8, ACE_NTOHL(0x73745f6d), ACE_NTOHL(0x6f646500) /* name = st_mode */,
      CORBA::tk_alias,
      100 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        18, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f6d), ACE_NTOHL(0x6f64655f), ACE_NTOHL(0x743a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:my_mode_t:1.0 */,
        10, ACE_NTOHL(0x6d795f6d), ACE_NTOHL(0x6f64655f), ACE_NTOHL(0x74000000) /* name = my_mode_t */,
        CORBA::tk_alias,
        48 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_ulong_t:1.0 */,
          11, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f740000) /* name = my_ulong_t */,
          CORBA::tk_ulong,
      9, ACE_NTOHL(0x73745f6e), ACE_NTOHL(0x6c696e6b), ACE_NTOHL(0x00000000) /* name = st_nlink */,
      CORBA::tk_alias,
      100 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f6e), ACE_NTOHL(0x6c696e6b), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_nlink_t:1.0 */,
        11, ACE_NTOHL(0x6d795f6e), ACE_NTOHL(0x6c696e6b), ACE_NTOHL(0x5f740000) /* name = my_nlink_t */,
        CORBA::tk_alias,
        48 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_ulong_t:1.0 */,
          11, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f740000) /* name = my_ulong_t */,
          CORBA::tk_ulong,
      7, ACE_NTOHL(0x73745f75), ACE_NTOHL(0x69640000) /* name = st_uid */,
      CORBA::tk_alias,
      48 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_uid_t:1.0 */,
        9, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x00000000) /* name = my_uid_t */,
        CORBA::tk_long,
      7, ACE_NTOHL(0x73745f67), ACE_NTOHL(0x69640000) /* name = st_gid */,
      CORBA::tk_alias,
      100 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f67), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_gid_t:1.0 */,
        9, ACE_NTOHL(0x6d795f67), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x00000000) /* name = my_gid_t */,
        CORBA::tk_alias,
        48 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_uid_t:1.0 */,
          9, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x00000000) /* name = my_uid_t */,
          CORBA::tk_long,
      8, ACE_NTOHL(0x73745f72), ACE_NTOHL(0x64657600) /* name = st_rdev */,
      CORBA::tk_alias,
      100 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f64), ACE_NTOHL(0x65765f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_dev_t:1.0 */,
        9, ACE_NTOHL(0x6d795f64), ACE_NTOHL(0x65765f74), ACE_NTOHL(0x00000000) /* name = my_dev_t */,
        CORBA::tk_alias,
        48 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_ulong_t:1.0 */,
          11, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f740000) /* name = my_ulong_t */,
          CORBA::tk_ulong,
      8, ACE_NTOHL(0x73745f70), ACE_NTOHL(0x61643200) /* name = st_pad2 */,
      CORBA::tk_array,
      12 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_long,
        2,
      8, ACE_NTOHL(0x73745f73), ACE_NTOHL(0x697a6500) /* name = st_size */,
      CORBA::tk_alias,
      48 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f6f), ACE_NTOHL(0x66665f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_off_t:1.0 */,
        9, ACE_NTOHL(0x6d795f6f), ACE_NTOHL(0x66665f74), ACE_NTOHL(0x00000000) /* name = my_off_t */,
        CORBA::tk_long,
      8, ACE_NTOHL(0x73745f70), ACE_NTOHL(0x61643300) /* name = st_pad3 */,
      CORBA::tk_long,
      9, ACE_NTOHL(0x73745f61), ACE_NTOHL(0x74696d65), ACE_NTOHL(0x00000000) /* name = st_atime */,
      CORBA::tk_alias,
      200 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        23, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_timestruc_t:1.0 */,
        15, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f740000) /* name = my_timestruc_t */,
        CORBA::tk_struct,
        140 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x7065633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:my_timespec:1.0 */,
          12, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x70656300) /* name = my_timespec */,
          2 /* member count */,
          10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f7365), ACE_NTOHL(0x63000000) /* name = my_tv_sec */,
          CORBA::tk_alias,
          48 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            18, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x743a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:my_time_t:1.0 */,
            10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x74000000) /* name = my_time_t */,
            CORBA::tk_long,
          11, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f6e73), ACE_NTOHL(0x65630000) /* name = my_tv_nsec */,
          CORBA::tk_long,
      9, ACE_NTOHL(0x73745f6d), ACE_NTOHL(0x74696d65), ACE_NTOHL(0x00000000) /* name = st_mtime */,
      CORBA::tk_alias,
      200 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        23, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_timestruc_t:1.0 */,
        15, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f740000) /* name = my_timestruc_t */,
        CORBA::tk_struct,
        140 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x7065633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:my_timespec:1.0 */,
          12, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x70656300) /* name = my_timespec */,
          2 /* member count */,
          10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f7365), ACE_NTOHL(0x63000000) /* name = my_tv_sec */,
          CORBA::tk_alias,
          48 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            18, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x743a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:my_time_t:1.0 */,
            10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x74000000) /* name = my_time_t */,
            CORBA::tk_long,
          11, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f6e73), ACE_NTOHL(0x65630000) /* name = my_tv_nsec */,
          CORBA::tk_long,
      9, ACE_NTOHL(0x73745f63), ACE_NTOHL(0x74696d65), ACE_NTOHL(0x00000000) /* name = st_ctime */,
      CORBA::tk_alias,
      200 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        23, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_timestruc_t:1.0 */,
        15, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f740000) /* name = my_timestruc_t */,
        CORBA::tk_struct,
        140 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x7065633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:my_timespec:1.0 */,
          12, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x70656300) /* name = my_timespec */,
          2 /* member count */,
          10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f7365), ACE_NTOHL(0x63000000) /* name = my_tv_sec */,
          CORBA::tk_alias,
          48 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            18, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x743a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:my_time_t:1.0 */,
            10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x74000000) /* name = my_time_t */,
            CORBA::tk_long,
          11, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f6e73), ACE_NTOHL(0x65630000) /* name = my_tv_nsec */,
          CORBA::tk_long,
      11, ACE_NTOHL(0x73745f62), ACE_NTOHL(0x6c6b7369), ACE_NTOHL(0x7a650000) /* name = st_blksize */,
      CORBA::tk_long,
      10, ACE_NTOHL(0x73745f62), ACE_NTOHL(0x6c6f636b), ACE_NTOHL(0x73000000) /* name = st_blocks */,
      CORBA::tk_long,
      10, ACE_NTOHL(0x73745f66), ACE_NTOHL(0x73747970), ACE_NTOHL(0x65000000) /* name = st_fstype */,
      CORBA::tk_array,
      12 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_char,
        16,
      8, ACE_NTOHL(0x73745f70), ACE_NTOHL(0x61643400) /* name = st_pad4 */,
      CORBA::tk_array,
      12 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_long,
        8
};

static CORBA::TypeCode _tc_TAO_tc_test_entry (CORBA::tk_struct, sizeof(_oc_test_entry), (char *) &_oc_test_entry, 0, sizeof(struct ::test::entry ));

CORBA::TypeCode_ptr test::_tc_entry = &_tc_TAO_tc_test_entry;


void operator<<=(CORBA::Any &a, const struct ::test::entry &o)
{
  struct ::test::entry  *_any_val;
  ACE_NEW(_any_val, struct ::test::entry  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(test::_tc_entry, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::test::entry *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(test::_tc_entry, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::test::entry *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(test::_tc_entry, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::test::entry  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::test::entry , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(test::_tc_entry, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(test::_tc_entry, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

test::entry_var::entry_var()
  : ptr_(0)
{}

test::entry_var::entry_var(struct ::test::entry *p)
 : ptr_(p)
{}

test::entry_var::entry_var(const ::test::entry_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::test::entry (*a.ptr_);
  else
    this->ptr_ = 0;
}

test::entry_var::~entry_var()
{
  delete this->ptr_;
}

::test::entry_var &test::entry_var::operator=(struct ::test::entry *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::test::entry_var &test::entry_var::operator=(const ::test::entry_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::test::entry (*p.ptr_);
  }
  return *this;
}

struct ::test::entry *test::entry_var::operator->()
{
  return this->ptr_;
}

const struct ::test::entry *test::entry_var::operator->() const
{
  return this->ptr_;
}

test::entry_var::operator const struct ::test::entry &() const
{
  return *this->ptr_;
}

test::entry_var::operator struct ::test::entry &()
{
  return *this->ptr_;
}

test::entry_var::operator struct ::test::entry &() const
{
  return *this->ptr_;
}

const struct ::test::entry &test::entry_var::in() const
{
  return *this->ptr_;
}

struct ::test::entry &test::entry_var::inout()
{
  return *this->ptr_;
}

struct ::test::entry *&test::entry_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct ::test::entry *test::entry_var::_retn()
{
  struct ::test::entry  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct ::test::entry *test::entry_var::ptr() const
{
  return this->ptr_;
}

test::entry_out::entry_out(struct ::test::entry *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

test::entry_out::entry_out(::test::entry_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

test::entry_out::entry_out(const ::test::entry_out &r)
  : ptr_(ACE_const_cast(::test::entry_out &,r).ptr_)
{}

::test::entry_out &test::entry_out::operator=(const ::test::entry_out &r)
{
  this->ptr_ = ACE_const_cast(::test::entry_out &,r).ptr_;
  return *this;
}

::test::entry_out &test::entry_out::operator=(struct ::test::entry *r)
{
  this->ptr_ = r;
  return *this;
}

test::entry_out::operator struct ::test::entry *&()
{
  return this->ptr_;
}

struct ::test::entry *&test::entry_out::ptr()
{
  return this->ptr_;
}

struct ::test::entry *test::entry_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_test_inner[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x2f696e6e), ACE_NTOHL(0x65723a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:test/inner:1.0 */,
    6, ACE_NTOHL(0x696e6e65), ACE_NTOHL(0x72000000) /* name = inner */,
    2 /* member count */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_long,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_test_inner (CORBA::tk_struct, sizeof(_oc_test_inner), (char *) &_oc_test_inner, 0, sizeof(struct ::test::inner ));

CORBA::TypeCode_ptr test::_tc_inner = &_tc_TAO_tc_test_inner;


void operator<<=(CORBA::Any &a, const struct ::test::inner &o)
{
  struct ::test::inner  *_any_val;
  ACE_NEW(_any_val, struct ::test::inner  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(test::_tc_inner, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::test::inner *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(test::_tc_inner, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::test::inner *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(test::_tc_inner, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::test::inner  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::test::inner , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(test::_tc_inner, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(test::_tc_inner, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

test::inner_var::inner_var()
  : ptr_(0)
{}

test::inner_var::inner_var(struct ::test::inner *p)
 : ptr_(p)
{}

test::inner_var::inner_var(const ::test::inner_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::test::inner (*a.ptr_);
  else
    this->ptr_ = 0;
}

test::inner_var::~inner_var()
{
  delete this->ptr_;
}

::test::inner_var &test::inner_var::operator=(struct ::test::inner *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::test::inner_var &test::inner_var::operator=(const ::test::inner_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::test::inner (*p.ptr_);
  }
  return *this;
}

struct ::test::inner *test::inner_var::operator->()
{
  return this->ptr_;
}

const struct ::test::inner *test::inner_var::operator->() const
{
  return this->ptr_;
}

test::inner_var::operator const struct ::test::inner &() const
{
  return *this->ptr_;
}

test::inner_var::operator struct ::test::inner &()
{
  return *this->ptr_;
}

test::inner_var::operator struct ::test::inner &() const
{
  return *this->ptr_;
}

const struct ::test::inner &test::inner_var::in() const
{
  return *this->ptr_;
}

struct ::test::inner &test::inner_var::inout()
{
  return *this->ptr_;
}

struct ::test::inner &test::inner_var::out()
{
  return *this->ptr_;
}

struct ::test::inner test::inner_var::_retn()
{
  return *this->ptr_;
}

struct ::test::inner *test::inner_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_test_outer[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x2f6f7574), ACE_NTOHL(0x65723a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:test/outer:1.0 */,
    6, ACE_NTOHL(0x6f757465), ACE_NTOHL(0x72000000) /* name = outer */,
    2 /* member count */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_struct,
    68 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x2f696e6e), ACE_NTOHL(0x65723a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:test/inner:1.0 */,
      6, ACE_NTOHL(0x696e6e65), ACE_NTOHL(0x72000000) /* name = inner */,
      2 /* member count */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      CORBA::tk_long,
      2, ACE_NTOHL(0x62000000) /* name = b */,
      CORBA::tk_long,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_struct,
    68 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x2f696e6e), ACE_NTOHL(0x65723a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:test/inner:1.0 */,
      6, ACE_NTOHL(0x696e6e65), ACE_NTOHL(0x72000000) /* name = inner */,
      2 /* member count */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      CORBA::tk_long,
      2, ACE_NTOHL(0x62000000) /* name = b */,
      CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_test_outer (CORBA::tk_struct, sizeof(_oc_test_outer), (char *) &_oc_test_outer, 0, sizeof(struct ::test::outer ));

CORBA::TypeCode_ptr test::_tc_outer = &_tc_TAO_tc_test_outer;


void operator<<=(CORBA::Any &a, const struct ::test::outer &o)
{
  struct ::test::outer  *_any_val;
  ACE_NEW(_any_val, struct ::test::outer  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(test::_tc_outer, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::test::outer *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(test::_tc_outer, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::test::outer *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(test::_tc_outer, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::test::outer  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::test::outer , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(test::_tc_outer, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(test::_tc_outer, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

test::outer_var::outer_var()
  : ptr_(0)
{}

test::outer_var::outer_var(struct ::test::outer *p)
 : ptr_(p)
{}

test::outer_var::outer_var(const ::test::outer_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::test::outer (*a.ptr_);
  else
    this->ptr_ = 0;
}

test::outer_var::~outer_var()
{
  delete this->ptr_;
}

::test::outer_var &test::outer_var::operator=(struct ::test::outer *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::test::outer_var &test::outer_var::operator=(const ::test::outer_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::test::outer (*p.ptr_);
  }
  return *this;
}

struct ::test::outer *test::outer_var::operator->()
{
  return this->ptr_;
}

const struct ::test::outer *test::outer_var::operator->() const
{
  return this->ptr_;
}

test::outer_var::operator const struct ::test::outer &() const
{
  return *this->ptr_;
}

test::outer_var::operator struct ::test::outer &()
{
  return *this->ptr_;
}

test::outer_var::operator struct ::test::outer &() const
{
  return *this->ptr_;
}

const struct ::test::outer &test::outer_var::in() const
{
  return *this->ptr_;
}

struct ::test::outer &test::outer_var::inout()
{
  return *this->ptr_;
}

struct ::test::outer &test::outer_var::out()
{
  return *this->ptr_;
}

struct ::test::outer test::outer_var::_retn()
{
  return *this->ptr_;
}

struct ::test::outer *test::outer_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_test_directory[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    23, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x2f646972), ACE_NTOHL(0x6563746f), ACE_NTOHL(0x72793a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:test/directory:1.0 */,
    10, ACE_NTOHL(0x64697265), ACE_NTOHL(0x63746f72), ACE_NTOHL(0x79000000) /* name = directory */,
    CORBA::tk_sequence,
    1872 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      1856 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x2f656e74), ACE_NTOHL(0x72793a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:test/entry:1.0 */,
        6, ACE_NTOHL(0x656e7472), ACE_NTOHL(0x79000000) /* name = entry */,
        2 /* member count */,
        9, ACE_NTOHL(0x66696c65), ACE_NTOHL(0x6e616d65), ACE_NTOHL(0x00000000) /* name = filename */,
        CORBA::tk_string,
        0,
        5, ACE_NTOHL(0x696e666f), ACE_NTOHL(0x00000000) /* name = info */,
        CORBA::tk_struct,
        1768 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          21, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x2f6d795f), ACE_NTOHL(0x73746174), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:test/my_stat:1.0 */,
          8, ACE_NTOHL(0x6d795f73), ACE_NTOHL(0x74617400) /* name = my_stat */,
          18 /* member count */,
          7, ACE_NTOHL(0x73745f64), ACE_NTOHL(0x65760000) /* name = st_dev */,
          CORBA::tk_alias,
          100 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f64), ACE_NTOHL(0x65765f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_dev_t:1.0 */,
            9, ACE_NTOHL(0x6d795f64), ACE_NTOHL(0x65765f74), ACE_NTOHL(0x00000000) /* name = my_dev_t */,
            CORBA::tk_alias,
            48 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_ulong_t:1.0 */,
              11, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f740000) /* name = my_ulong_t */,
              CORBA::tk_ulong,
          8, ACE_NTOHL(0x73745f70), ACE_NTOHL(0x61643100) /* name = st_pad1 */,
          CORBA::tk_array,
          12 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            CORBA::tk_long,
            3,
          7, ACE_NTOHL(0x73745f69), ACE_NTOHL(0x6e6f0000) /* name = st_ino */,
          CORBA::tk_alias,
          100 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f69), ACE_NTOHL(0x6e6f5f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_ino_t:1.0 */,
            9, ACE_NTOHL(0x6d795f69), ACE_NTOHL(0x6e6f5f74), ACE_NTOHL(0x00000000) /* name = my_ino_t */,
            CORBA::tk_alias,
            48 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_ulong_t:1.0 */,
              11, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f740000) /* name = my_ulong_t */,
              CORBA::tk_ulong,
          8, ACE_NTOHL(0x73745f6d), ACE_NTOHL(0x6f646500) /* name = st_mode */,
          CORBA::tk_alias,
          100 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            18, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f6d), ACE_NTOHL(0x6f64655f), ACE_NTOHL(0x743a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:my_mode_t:1.0 */,
            10, ACE_NTOHL(0x6d795f6d), ACE_NTOHL(0x6f64655f), ACE_NTOHL(0x74000000) /* name = my_mode_t */,
            CORBA::tk_alias,
            48 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_ulong_t:1.0 */,
              11, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f740000) /* name = my_ulong_t */,
              CORBA::tk_ulong,
          9, ACE_NTOHL(0x73745f6e), ACE_NTOHL(0x6c696e6b), ACE_NTOHL(0x00000000) /* name = st_nlink */,
          CORBA::tk_alias,
          100 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f6e), ACE_NTOHL(0x6c696e6b), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_nlink_t:1.0 */,
            11, ACE_NTOHL(0x6d795f6e), ACE_NTOHL(0x6c696e6b), ACE_NTOHL(0x5f740000) /* name = my_nlink_t */,
            CORBA::tk_alias,
            48 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_ulong_t:1.0 */,
              11, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f740000) /* name = my_ulong_t */,
              CORBA::tk_ulong,
          7, ACE_NTOHL(0x73745f75), ACE_NTOHL(0x69640000) /* name = st_uid */,
          CORBA::tk_alias,
          48 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_uid_t:1.0 */,
            9, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x00000000) /* name = my_uid_t */,
            CORBA::tk_long,
          7, ACE_NTOHL(0x73745f67), ACE_NTOHL(0x69640000) /* name = st_gid */,
          CORBA::tk_alias,
          100 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f67), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_gid_t:1.0 */,
            9, ACE_NTOHL(0x6d795f67), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x00000000) /* name = my_gid_t */,
            CORBA::tk_alias,
            48 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_uid_t:1.0 */,
              9, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x69645f74), ACE_NTOHL(0x00000000) /* name = my_uid_t */,
              CORBA::tk_long,
          8, ACE_NTOHL(0x73745f72), ACE_NTOHL(0x64657600) /* name = st_rdev */,
          CORBA::tk_alias,
          100 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f64), ACE_NTOHL(0x65765f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_dev_t:1.0 */,
            9, ACE_NTOHL(0x6d795f64), ACE_NTOHL(0x65765f74), ACE_NTOHL(0x00000000) /* name = my_dev_t */,
            CORBA::tk_alias,
            48 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_ulong_t:1.0 */,
              11, ACE_NTOHL(0x6d795f75), ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x5f740000) /* name = my_ulong_t */,
              CORBA::tk_ulong,
          8, ACE_NTOHL(0x73745f70), ACE_NTOHL(0x61643200) /* name = st_pad2 */,
          CORBA::tk_array,
          12 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            CORBA::tk_long,
            2,
          8, ACE_NTOHL(0x73745f73), ACE_NTOHL(0x697a6500) /* name = st_size */,
          CORBA::tk_alias,
          48 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f6f), ACE_NTOHL(0x66665f74), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:my_off_t:1.0 */,
            9, ACE_NTOHL(0x6d795f6f), ACE_NTOHL(0x66665f74), ACE_NTOHL(0x00000000) /* name = my_off_t */,
            CORBA::tk_long,
          8, ACE_NTOHL(0x73745f70), ACE_NTOHL(0x61643300) /* name = st_pad3 */,
          CORBA::tk_long,
          9, ACE_NTOHL(0x73745f61), ACE_NTOHL(0x74696d65), ACE_NTOHL(0x00000000) /* name = st_atime */,
          CORBA::tk_alias,
          200 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            23, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_timestruc_t:1.0 */,
            15, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f740000) /* name = my_timestruc_t */,
            CORBA::tk_struct,
            140 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x7065633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:my_timespec:1.0 */,
              12, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x70656300) /* name = my_timespec */,
              2 /* member count */,
              10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f7365), ACE_NTOHL(0x63000000) /* name = my_tv_sec */,
              CORBA::tk_alias,
              48 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                18, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x743a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:my_time_t:1.0 */,
                10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x74000000) /* name = my_time_t */,
                CORBA::tk_long,
              11, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f6e73), ACE_NTOHL(0x65630000) /* name = my_tv_nsec */,
              CORBA::tk_long,
          9, ACE_NTOHL(0x73745f6d), ACE_NTOHL(0x74696d65), ACE_NTOHL(0x00000000) /* name = st_mtime */,
          CORBA::tk_alias,
          200 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            23, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_timestruc_t:1.0 */,
            15, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f740000) /* name = my_timestruc_t */,
            CORBA::tk_struct,
            140 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x7065633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:my_timespec:1.0 */,
              12, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x70656300) /* name = my_timespec */,
              2 /* member count */,
              10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f7365), ACE_NTOHL(0x63000000) /* name = my_tv_sec */,
              CORBA::tk_alias,
              48 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                18, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x743a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:my_time_t:1.0 */,
                10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x74000000) /* name = my_time_t */,
                CORBA::tk_long,
              11, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f6e73), ACE_NTOHL(0x65630000) /* name = my_tv_nsec */,
              CORBA::tk_long,
          9, ACE_NTOHL(0x73745f63), ACE_NTOHL(0x74696d65), ACE_NTOHL(0x00000000) /* name = st_ctime */,
          CORBA::tk_alias,
          200 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            23, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:my_timestruc_t:1.0 */,
            15, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x74727563), ACE_NTOHL(0x5f740000) /* name = my_timestruc_t */,
            CORBA::tk_struct,
            140 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              20, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x7065633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:my_timespec:1.0 */,
              12, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d6573), ACE_NTOHL(0x70656300) /* name = my_timespec */,
              2 /* member count */,
              10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f7365), ACE_NTOHL(0x63000000) /* name = my_tv_sec */,
              CORBA::tk_alias,
              48 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                18, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x743a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:my_time_t:1.0 */,
                10, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x696d655f), ACE_NTOHL(0x74000000) /* name = my_time_t */,
                CORBA::tk_long,
              11, ACE_NTOHL(0x6d795f74), ACE_NTOHL(0x765f6e73), ACE_NTOHL(0x65630000) /* name = my_tv_nsec */,
              CORBA::tk_long,
          11, ACE_NTOHL(0x73745f62), ACE_NTOHL(0x6c6b7369), ACE_NTOHL(0x7a650000) /* name = st_blksize */,
          CORBA::tk_long,
          10, ACE_NTOHL(0x73745f62), ACE_NTOHL(0x6c6f636b), ACE_NTOHL(0x73000000) /* name = st_blocks */,
          CORBA::tk_long,
          10, ACE_NTOHL(0x73745f66), ACE_NTOHL(0x73747970), ACE_NTOHL(0x65000000) /* name = st_fstype */,
          CORBA::tk_array,
          12 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            CORBA::tk_char,
            16,
          8, ACE_NTOHL(0x73745f70), ACE_NTOHL(0x61643400) /* name = st_pad4 */,
          CORBA::tk_array,
          12 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            CORBA::tk_long,
            8,
      0
};

static CORBA::TypeCode _tc_TAO_tc_test_directory (CORBA::tk_alias, sizeof(_oc_test_directory), (char *) &_oc_test_directory, 0, sizeof(::test::directory ));

CORBA::TypeCode_ptr test::_tc_directory = &_tc_TAO_tc_test_directory;


test::directory::directory()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

test::directory::directory(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = test::directory::allocbuf(this->_maximum);
}

test::directory::directory(CORBA::ULong max, CORBA::ULong length, struct ::test::entry *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

test::directory::directory(const ::test::directory &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  struct ::test::entry  *tmp1 = test::directory::allocbuf(this->_maximum);

  struct ::test::entry  * const tmp2 = ACE_reinterpret_cast(struct ::test::entry  * ACE_CAST_CONST, o._buffer);

  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];

  this->_buffer = tmp1;
}

test::directory::~directory()
{
  this->_deallocate_buffer();
}

::test::directory &test::directory::operator=(const ::test::directory &rhs)
{
  if( this == &rhs )
    return *this;

  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      struct ::test::entry  *tmp = ACE_reinterpret_cast(struct ::test::entry  *, this->_buffer);

      test::directory::freebuf(tmp);
      this->_buffer = test::directory::allocbuf(rhs._maximum);
    }

  }
  else
    this->_buffer = test::directory::allocbuf(rhs._maximum);

  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  struct ::test::entry  *tmp1 = ACE_reinterpret_cast(struct ::test::entry  *, this->_buffer);
  struct ::test::entry  * const tmp2 = ACE_reinterpret_cast(struct ::test::entry  * ACE_CAST_CONST, rhs._buffer);

  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];

  return *this;
}

struct ::test::entry &test::directory::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  struct ::test::entry  * tmp = ACE_reinterpret_cast(struct ::test::entry  *, this->_buffer);
  return tmp[i];
}

const struct ::test::entry &test::directory::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  struct ::test::entry  * const tmp = ACE_reinterpret_cast(struct ::test::entry  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

struct ::test::entry *test::directory::allocbuf(CORBA::ULong size)
{
  struct ::test::entry  *tmp;
  tmp = new struct ::test::entry [size];
  return tmp;
}

void test::directory::freebuf(struct ::test::entry *buffer)
{
  delete [] buffer;
}

void test::directory::_allocate_buffer(CORBA::ULong length)
{
  struct ::test::entry  *tmp = test::directory::allocbuf(length);

  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    struct ::test::entry  *old = ACE_reinterpret_cast(struct ::test::entry  *, this->_buffer);

    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];

    if( this->_release )
      test::directory::freebuf(old);
  }
  this->_buffer = tmp;
}

void test::directory::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;

  struct ::test::entry  *tmp = ACE_reinterpret_cast(struct ::test::entry  *, this->_buffer);


  test::directory::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean test::directory::release() const
{
  return this->_release;
}

CORBA::ULong test::directory::maximum() const
{
  return this->_maximum;
}

CORBA::ULong test::directory::length() const
{
  return this->_length;
}

void test::directory::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void test::directory::_shrink_buffer(CORBA::ULong , CORBA::ULong )
{
}

struct ::test::entry *test::directory::get_buffer(CORBA::Boolean orphan)
{
  struct ::test::entry  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = test::directory::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(struct ::test::entry  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(struct ::test::entry  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const struct ::test::entry *test::directory::get_buffer() const
{
  return ACE_const_cast(const struct ::test::entry  * ACE_CAST_CONST, this->_buffer);
}

void operator<<=(CORBA::Any &a, const ::test::directory &o)
{
  ::test::directory  *_any_val;
  ACE_NEW(_any_val, ::test::directory  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(test::_tc_directory, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, ::test::directory *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(test::_tc_directory, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ::test::directory *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(test::_tc_directory, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (::test::directory  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, ::test::directory , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(test::_tc_directory, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(test::_tc_directory, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

test::directory_var::directory_var()
  : ptr_(0)
{}

test::directory_var::directory_var(::test::directory *p)
 : ptr_(p)
{}

test::directory_var::directory_var(const ::test::directory_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::test::directory (*a.ptr_);
  else
    this->ptr_ = 0;
}

test::directory_var::~directory_var()
{
  delete this->ptr_;
}

::test::directory_var &test::directory_var::operator=(::test::directory *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::test::directory_var &test::directory_var::operator=(const ::test::directory_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::test::directory (*p.ptr_);
  }
  return *this;
}

struct ::test::entry &test::directory_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct ::test::entry &test::directory_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::test::directory *test::directory_var::operator->()
{
  return this->ptr_;
}

const ::test::directory *test::directory_var::operator->() const
{
  return this->ptr_;
}

test::directory_var::operator const ::test::directory &() const
{
  return *this->ptr_;
}

test::directory_var::operator ::test::directory &()
{
  return *this->ptr_;
}

test::directory_var::operator ::test::directory &() const
{
  return *this->ptr_;
}

const ::test::directory &test::directory_var::in() const
{
  return *this->ptr_;
}

::test::directory &test::directory_var::inout()
{
  return *this->ptr_;
}

::test::directory *&test::directory_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::test::directory *test::directory_var::_retn()
{
  ::test::directory  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::test::directory *test::directory_var::ptr() const
{
  return this->ptr_;
}

test::directory_out::directory_out(::test::directory *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

test::directory_out::directory_out(::test::directory_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

test::directory_out::directory_out(const ::test::directory_out &r)
  : ptr_(ACE_const_cast(::test::directory_out &,r).ptr_)
{}

::test::directory_out &test::directory_out::operator=(const ::test::directory_out &r)
{
  this->ptr_ = ACE_const_cast(::test::directory_out &,r).ptr_;
  return *this;
}

::test::directory_out &test::directory_out::operator=(::test::directory *r)
{
  this->ptr_ = r;
  return *this;
}

test::directory_out::operator ::test::directory *&()
{
  return this->ptr_;
}

::test::directory *&test::directory_out::ptr()
{
  return this->ptr_;
}

struct ::test::entry &test::directory_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct ::test::entry &test::directory_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::test::directory *test::directory_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_test_longlist[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    22, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x2f6c6f6e), ACE_NTOHL(0x676c6973), ACE_NTOHL(0x743a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:test/longlist:1.0 */,
    9, ACE_NTOHL(0x6c6f6e67), ACE_NTOHL(0x6c697374), ACE_NTOHL(0x00000000) /* name = longlist */,
    CORBA::tk_sequence,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      0
};

static CORBA::TypeCode _tc_TAO_tc_test_longlist (CORBA::tk_alias, sizeof(_oc_test_longlist), (char *) &_oc_test_longlist, 0, sizeof(::test::longlist ));

CORBA::TypeCode_ptr test::_tc_longlist = &_tc_TAO_tc_test_longlist;


test::longlist::longlist()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

test::longlist::longlist(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = test::longlist::allocbuf(this->_maximum);
}

test::longlist::longlist(CORBA::ULong max, CORBA::ULong length, CORBA::Long *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

test::longlist::longlist(const ::test::longlist &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  CORBA::Long  *tmp1 = test::longlist::allocbuf(this->_maximum);

  CORBA::Long  * const tmp2 = ACE_reinterpret_cast(CORBA::Long  * ACE_CAST_CONST, o._buffer);

  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];

  this->_buffer = tmp1;
}

test::longlist::~longlist()
{
  this->_deallocate_buffer();
}

::test::longlist &test::longlist::operator=(const ::test::longlist &rhs)
{
  if( this == &rhs )
    return *this;

  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      CORBA::Long  *tmp = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);

      test::longlist::freebuf(tmp);
      this->_buffer = test::longlist::allocbuf(rhs._maximum);
    }

  }
  else
    this->_buffer = test::longlist::allocbuf(rhs._maximum);

  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  CORBA::Long  *tmp1 = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
  CORBA::Long  * const tmp2 = ACE_reinterpret_cast(CORBA::Long  * ACE_CAST_CONST, rhs._buffer);

  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];

  return *this;
}

CORBA::Long &test::longlist::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Long  * tmp = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
  return tmp[i];
}

const CORBA::Long &test::longlist::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Long  * const tmp = ACE_reinterpret_cast(CORBA::Long  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

CORBA::Long *test::longlist::allocbuf(CORBA::ULong size)
{
  CORBA::Long  *tmp;
  tmp = new CORBA::Long [size];
  return tmp;
}

void test::longlist::freebuf(CORBA::Long *buffer)
{
  delete [] buffer;
}

void test::longlist::_allocate_buffer(CORBA::ULong length)
{
  CORBA::Long  *tmp = test::longlist::allocbuf(length);

  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    CORBA::Long  *old = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);

    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];

    if( this->_release )
      test::longlist::freebuf(old);
  }
  this->_buffer = tmp;
}

void test::longlist::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;

  CORBA::Long  *tmp = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);


  test::longlist::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean test::longlist::release() const
{
  return this->_release;
}

CORBA::ULong test::longlist::maximum() const
{
  return this->_maximum;
}

CORBA::ULong test::longlist::length() const
{
  return this->_length;
}

void test::longlist::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void test::longlist::_shrink_buffer(CORBA::ULong , CORBA::ULong )
{
}

CORBA::Long *test::longlist::get_buffer(CORBA::Boolean orphan)
{
  CORBA::Long  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = test::longlist::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const CORBA::Long *test::longlist::get_buffer() const
{
  return ACE_const_cast(const CORBA::Long  * ACE_CAST_CONST, this->_buffer);
}

void operator<<=(CORBA::Any &a, const ::test::longlist &o)
{
  ::test::longlist  *_any_val;
  ACE_NEW(_any_val, ::test::longlist  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(test::_tc_longlist, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, ::test::longlist *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(test::_tc_longlist, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ::test::longlist *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(test::_tc_longlist, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (::test::longlist  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, ::test::longlist , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(test::_tc_longlist, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(test::_tc_longlist, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

test::longlist_var::longlist_var()
  : ptr_(0)
{}

test::longlist_var::longlist_var(::test::longlist *p)
 : ptr_(p)
{}

test::longlist_var::longlist_var(const ::test::longlist_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::test::longlist (*a.ptr_);
  else
    this->ptr_ = 0;
}

test::longlist_var::~longlist_var()
{
  delete this->ptr_;
}

::test::longlist_var &test::longlist_var::operator=(::test::longlist *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::test::longlist_var &test::longlist_var::operator=(const ::test::longlist_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::test::longlist (*p.ptr_);
  }
  return *this;
}

CORBA::Long &test::longlist_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Long &test::longlist_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::test::longlist *test::longlist_var::operator->()
{
  return this->ptr_;
}

const ::test::longlist *test::longlist_var::operator->() const
{
  return this->ptr_;
}

test::longlist_var::operator const ::test::longlist &() const
{
  return *this->ptr_;
}

test::longlist_var::operator ::test::longlist &()
{
  return *this->ptr_;
}

test::longlist_var::operator ::test::longlist &() const
{
  return *this->ptr_;
}

const ::test::longlist &test::longlist_var::in() const
{
  return *this->ptr_;
}

::test::longlist &test::longlist_var::inout()
{
  return *this->ptr_;
}

::test::longlist *&test::longlist_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::test::longlist *test::longlist_var::_retn()
{
  ::test::longlist  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::test::longlist *test::longlist_var::ptr() const
{
  return this->ptr_;
}

test::longlist_out::longlist_out(::test::longlist *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

test::longlist_out::longlist_out(::test::longlist_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

test::longlist_out::longlist_out(const ::test::longlist_out &r)
  : ptr_(ACE_const_cast(::test::longlist_out &,r).ptr_)
{}

::test::longlist_out &test::longlist_out::operator=(const ::test::longlist_out &r)
{
  this->ptr_ = ACE_const_cast(::test::longlist_out &,r).ptr_;
  return *this;
}

::test::longlist_out &test::longlist_out::operator=(::test::longlist *r)
{
  this->ptr_ = r;
  return *this;
}

test::longlist_out::operator ::test::longlist *&()
{
  return this->ptr_;
}

::test::longlist *&test::longlist_out::ptr()
{
  return this->ptr_;
}

CORBA::Long &test::longlist_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Long &test::longlist_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::test::longlist *test::longlist_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_test_structlist[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    24, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x2f737472), ACE_NTOHL(0x7563746c), ACE_NTOHL(0x6973743a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:test/structlist:1.0 */,
    11, ACE_NTOHL(0x73747275), ACE_NTOHL(0x63746c69), ACE_NTOHL(0x73740000) /* name = structlist */,
    CORBA::tk_sequence,
    228 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      212 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x2f6f7574), ACE_NTOHL(0x65723a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:test/outer:1.0 */,
        6, ACE_NTOHL(0x6f757465), ACE_NTOHL(0x72000000) /* name = outer */,
        2 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_struct,
        68 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x2f696e6e), ACE_NTOHL(0x65723a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:test/inner:1.0 */,
          6, ACE_NTOHL(0x696e6e65), ACE_NTOHL(0x72000000) /* name = inner */,
          2 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_long,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_long,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_struct,
        68 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          19, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x2f696e6e), ACE_NTOHL(0x65723a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:test/inner:1.0 */,
          6, ACE_NTOHL(0x696e6e65), ACE_NTOHL(0x72000000) /* name = inner */,
          2 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_long,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_long,
      0
};

static CORBA::TypeCode _tc_TAO_tc_test_structlist (CORBA::tk_alias, sizeof(_oc_test_structlist), (char *) &_oc_test_structlist, 0, sizeof(::test::structlist ));

CORBA::TypeCode_ptr test::_tc_structlist = &_tc_TAO_tc_test_structlist;


test::structlist::structlist()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

test::structlist::structlist(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = test::structlist::allocbuf(this->_maximum);
}

test::structlist::structlist(CORBA::ULong max, CORBA::ULong length, struct ::test::outer *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

test::structlist::structlist(const ::test::structlist &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  struct ::test::outer  *tmp1 = test::structlist::allocbuf(this->_maximum);

  struct ::test::outer  * const tmp2 = ACE_reinterpret_cast(struct ::test::outer  * ACE_CAST_CONST, o._buffer);

  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];

  this->_buffer = tmp1;
}

test::structlist::~structlist()
{
  this->_deallocate_buffer();
}

::test::structlist &test::structlist::operator=(const ::test::structlist &rhs)
{
  if( this == &rhs )
    return *this;

  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      struct ::test::outer  *tmp = ACE_reinterpret_cast(struct ::test::outer  *, this->_buffer);

      test::structlist::freebuf(tmp);
      this->_buffer = test::structlist::allocbuf(rhs._maximum);
    }

  }
  else
    this->_buffer = test::structlist::allocbuf(rhs._maximum);

  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  struct ::test::outer  *tmp1 = ACE_reinterpret_cast(struct ::test::outer  *, this->_buffer);
  struct ::test::outer  * const tmp2 = ACE_reinterpret_cast(struct ::test::outer  * ACE_CAST_CONST, rhs._buffer);

  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];

  return *this;
}

struct ::test::outer &test::structlist::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  struct ::test::outer  * tmp = ACE_reinterpret_cast(struct ::test::outer  *, this->_buffer);
  return tmp[i];
}

const struct ::test::outer &test::structlist::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  struct ::test::outer  * const tmp = ACE_reinterpret_cast(struct ::test::outer  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

struct ::test::outer *test::structlist::allocbuf(CORBA::ULong size)
{
  struct ::test::outer  *tmp;
  tmp = new struct ::test::outer [size];
  return tmp;
}

void test::structlist::freebuf(struct ::test::outer *buffer)
{
  delete [] buffer;
}

void test::structlist::_allocate_buffer(CORBA::ULong length)
{
  struct ::test::outer  *tmp = test::structlist::allocbuf(length);

  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    struct ::test::outer  *old = ACE_reinterpret_cast(struct ::test::outer  *, this->_buffer);

    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];

    if( this->_release )
      test::structlist::freebuf(old);
  }
  this->_buffer = tmp;
}

void test::structlist::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;

  struct ::test::outer  *tmp = ACE_reinterpret_cast(struct ::test::outer  *, this->_buffer);


  test::structlist::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean test::structlist::release() const
{
  return this->_release;
}

CORBA::ULong test::structlist::maximum() const
{
  return this->_maximum;
}

CORBA::ULong test::structlist::length() const
{
  return this->_length;
}

void test::structlist::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void test::structlist::_shrink_buffer(CORBA::ULong , CORBA::ULong )
{
}

struct ::test::outer *test::structlist::get_buffer(CORBA::Boolean orphan)
{
  struct ::test::outer  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = test::structlist::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(struct ::test::outer  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(struct ::test::outer  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const struct ::test::outer *test::structlist::get_buffer() const
{
  return ACE_const_cast(const struct ::test::outer  * ACE_CAST_CONST, this->_buffer);
}

void operator<<=(CORBA::Any &a, const ::test::structlist &o)
{
  ::test::structlist  *_any_val;
  ACE_NEW(_any_val, ::test::structlist  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(test::_tc_structlist, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, ::test::structlist *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(test::_tc_structlist, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ::test::structlist *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(test::_tc_structlist, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (::test::structlist  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, ::test::structlist , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(test::_tc_structlist, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(test::_tc_structlist, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

test::structlist_var::structlist_var()
  : ptr_(0)
{}

test::structlist_var::structlist_var(::test::structlist *p)
 : ptr_(p)
{}

test::structlist_var::structlist_var(const ::test::structlist_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::test::structlist (*a.ptr_);
  else
    this->ptr_ = 0;
}

test::structlist_var::~structlist_var()
{
  delete this->ptr_;
}

::test::structlist_var &test::structlist_var::operator=(::test::structlist *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::test::structlist_var &test::structlist_var::operator=(const ::test::structlist_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::test::structlist (*p.ptr_);
  }
  return *this;
}

struct ::test::outer &test::structlist_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct ::test::outer &test::structlist_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::test::structlist *test::structlist_var::operator->()
{
  return this->ptr_;
}

const ::test::structlist *test::structlist_var::operator->() const
{
  return this->ptr_;
}

test::structlist_var::operator const ::test::structlist &() const
{
  return *this->ptr_;
}

test::structlist_var::operator ::test::structlist &()
{
  return *this->ptr_;
}

test::structlist_var::operator ::test::structlist &() const
{
  return *this->ptr_;
}

const ::test::structlist &test::structlist_var::in() const
{
  return *this->ptr_;
}

::test::structlist &test::structlist_var::inout()
{
  return *this->ptr_;
}

::test::structlist *&test::structlist_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::test::structlist *test::structlist_var::_retn()
{
  ::test::structlist  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::test::structlist *test::structlist_var::ptr() const
{
  return this->ptr_;
}

test::structlist_out::structlist_out(::test::structlist *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

test::structlist_out::structlist_out(::test::structlist_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

test::structlist_out::structlist_out(const ::test::structlist_out &r)
  : ptr_(ACE_const_cast(::test::structlist_out &,r).ptr_)
{}

::test::structlist_out &test::structlist_out::operator=(const ::test::structlist_out &r)
{
  this->ptr_ = ACE_const_cast(::test::structlist_out &,r).ptr_;
  return *this;
}

::test::structlist_out &test::structlist_out::operator=(::test::structlist *r)
{
  this->ptr_ = r;
  return *this;
}

test::structlist_out::operator ::test::structlist *&()
{
  return this->ptr_;
}

::test::structlist *&test::structlist_out::ptr()
{
  return this->ptr_;
}

struct ::test::outer &test::structlist_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct ::test::outer &test::structlist_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::test::structlist *test::structlist_out::operator->()
{
  return this->ptr_;
}
CORBA::Long test::dir(/* test *this, */ const ::test::directory &entries, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1);
    }




    {
      CORBA::ULong _t9_array_iter;

      flick_iiopxx_encode_new_glob(16, _flick_abort1);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'd', flick_char8_t );
      flick_cdr_encode_char8(5, 'i', flick_char8_t );
      flick_cdr_encode_char8(6, 'r', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(12, entries._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
      for (_t9_array_iter = 0; _t9_array_iter < entries._length; _t9_array_iter++)
        {
          flick_unsigned32_t _t11_temp_string_len;

          flick_cdr_stringlen(CORBA::Char *, entries._buffer[_t9_array_iter].filename.in(), flick_unsigned32_t , _t11_temp_string_len);

          flick_iiopxx_encode_new_glob(399, _flick_abort91);
          flick_iiopxx_encode_new_chunk(4 + 1 * _t11_temp_string_len);
          flick_cdr_encode_unsigned32(0, _t11_temp_string_len, flick_unsigned32_t );
          if (_t11_temp_string_len > 256)
            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort91);
          flick_cdr_encode_bcopy(4, entries._buffer[_t9_array_iter].filename.in(), 1 * _t11_temp_string_len);
          flick_iiopxx_encode_end_chunk(4 + 1 * _t11_temp_string_len);
          flick_iiopxx_encode_new_chunk_align(136, 2, 0, 0);
          flick_cdr_encode_unsigned32(0, entries._buffer[_t9_array_iter].info.st_dev, my_ulong_t );
          flick_cdr_encode_bcopy(4, entries._buffer[_t9_array_iter].info.st_pad1, 12);
          flick_cdr_encode_unsigned32(16, entries._buffer[_t9_array_iter].info.st_ino, my_ulong_t );
          flick_cdr_encode_unsigned32(20, entries._buffer[_t9_array_iter].info.st_mode, my_ulong_t );
          flick_cdr_encode_unsigned32(24, entries._buffer[_t9_array_iter].info.st_nlink, my_ulong_t );
          flick_cdr_encode_signed32(28, entries._buffer[_t9_array_iter].info.st_uid, CORBA::Long );
          flick_cdr_encode_signed32(32, entries._buffer[_t9_array_iter].info.st_gid, my_uid_t );
          flick_cdr_encode_unsigned32(36, entries._buffer[_t9_array_iter].info.st_rdev, my_ulong_t );
          flick_cdr_encode_bcopy(40, entries._buffer[_t9_array_iter].info.st_pad2, 8);
          flick_cdr_encode_signed32(48, entries._buffer[_t9_array_iter].info.st_size, CORBA::Long );
          flick_cdr_encode_signed32(52, entries._buffer[_t9_array_iter].info.st_pad3, CORBA::Long );
          flick_cdr_encode_signed32(56, entries._buffer[_t9_array_iter].info.st_atime.my_tv_sec, CORBA::Long );
          flick_cdr_encode_signed32(60, entries._buffer[_t9_array_iter].info.st_atime.my_tv_nsec, CORBA::Long );
          flick_cdr_encode_signed32(64, entries._buffer[_t9_array_iter].info.st_mtime.my_tv_sec, CORBA::Long );
          flick_cdr_encode_signed32(68, entries._buffer[_t9_array_iter].info.st_mtime.my_tv_nsec, CORBA::Long );
          flick_cdr_encode_signed32(72, entries._buffer[_t9_array_iter].info.st_ctime.my_tv_sec, CORBA::Long );
          flick_cdr_encode_signed32(76, entries._buffer[_t9_array_iter].info.st_ctime.my_tv_nsec, CORBA::Long );
          flick_cdr_encode_signed32(80, entries._buffer[_t9_array_iter].info.st_blksize, CORBA::Long );
          flick_cdr_encode_signed32(84, entries._buffer[_t9_array_iter].info.st_blocks, CORBA::Long );
          flick_cdr_encode_bcopy(88, entries._buffer[_t9_array_iter].info.st_fstype, 16);
          flick_cdr_encode_bcopy(104, entries._buffer[_t9_array_iter].info.st_pad4, 32);
          flick_iiopxx_encode_end_chunk(136);
          flick_iiopxx_encode_end_glob(399);
          continue;
          {
          _flick_abort91:
            goto _flick_abort1;
          }
        }
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t13_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t13_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t13_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort124);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort124:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort125);
              break;
              {
              _flick_abort125:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort126);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort126:
                goto _flick_abort1;
              }
            }
          }
      }

    else
      {
        int _t12_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t12_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t12_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort117);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort117:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort118);
              break;
              {
              _flick_abort118:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort119);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort119:
                goto _flick_abort1;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1);
  }
  return _return;
  {
  _flick_abort1:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long test::lng(/* test *this, */ const ::test::longlist &entries, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort128);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort128);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort128);
    }




    {
      flick_iiopxx_encode_new_glob(16, _flick_abort128);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'l', flick_char8_t );
      flick_cdr_encode_char8(5, 'n', flick_char8_t );
      flick_cdr_encode_char8(6, 'g', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(12, entries._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
      flick_iiopxx_encode_new_glob(4 * entries._length, _flick_abort128);
      flick_iiopxx_encode_new_chunk(4 * entries._length);
      flick_cdr_encode_bcopy(0, entries._buffer, 4 * entries._length);
      flick_iiopxx_encode_end_chunk(4 * entries._length);
      flick_iiopxx_encode_end_glob(4 * entries._length);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort128);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort128);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort128);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort128);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t15_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort128);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t15_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t15_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort145);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort145:
                goto _flick_abort128;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort146);
              break;
              {
              _flick_abort146:
                goto _flick_abort128;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort147);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort147:
                goto _flick_abort128;
              }
            }
          }
      }

    else
      {
        int _t14_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort128);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t14_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t14_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort138);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort138:
                goto _flick_abort128;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort139);
              break;
              {
              _flick_abort139:
                goto _flick_abort128;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort140);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort140:
                goto _flick_abort128;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort128);
  }
  return _return;
  {
  _flick_abort128:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort127);
  _flick_abort127:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long test::strct(/* test *this, */ const ::test::structlist &entries, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort149);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort149);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort149);
    }




    {
      CORBA::ULong _t17_array_iter;

      flick_iiopxx_encode_new_glob(20, _flick_abort149);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 6, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 's', flick_char8_t );
      flick_cdr_encode_char8(5, 't', flick_char8_t );
      flick_cdr_encode_char8(6, 'r', flick_char8_t );
      flick_cdr_encode_char8(7, 'c', flick_char8_t );
      flick_cdr_encode_char8(8, 't', flick_char8_t );
      flick_cdr_encode_char8(9, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, entries._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
      flick_iiopxx_encode_new_glob(16 * entries._length, _flick_abort149);
      for (_t17_array_iter = 0; _t17_array_iter < entries._length; _t17_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(16);
          flick_cdr_encode_signed32(0, entries._buffer[_t17_array_iter].a.a, CORBA::Long );
          flick_cdr_encode_signed32(4, entries._buffer[_t17_array_iter].a.b, CORBA::Long );
          flick_cdr_encode_signed32(8, entries._buffer[_t17_array_iter].b.a, CORBA::Long );
          flick_cdr_encode_signed32(12, entries._buffer[_t17_array_iter].b.b, CORBA::Long );
          flick_iiopxx_encode_end_chunk(16);
          continue;
        }
      flick_iiopxx_encode_end_glob(16 * entries._length);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort149);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort149);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort149);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort149);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t19_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort149);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t19_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t19_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort172);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort172:
                goto _flick_abort149;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort173);
              break;
              {
              _flick_abort173:
                goto _flick_abort149;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort174);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort174:
                goto _flick_abort149;
              }
            }
          }
      }

    else
      {
        int _t18_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort149);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t18_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t18_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort165);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort165:
                goto _flick_abort149;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort166);
              break;
              {
              _flick_abort166:
                goto _flick_abort149;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort167);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort167:
                goto _flick_abort149;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort149);
  }
  return _return;
  {
  _flick_abort149:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort148);
  _flick_abort148:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

