#include "ex-client.h"
#include "ex-server.h"


static const CORBA::Long _oc_A[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    10, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x413a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:A:1.0 */,
    2, ACE_NTOHL(0x41000000) /* name = A */
};

static CORBA::TypeCode _tc_TAO_tc_A (CORBA::tk_objref, sizeof(_oc_A), (char *) &_oc_A, 0, sizeof(A ));

CORBA::TypeCode_ptr _tc_A = &_tc_TAO_tc_A;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<A , A_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<A , A_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


A_ptr  (*_TAO_collocation_A_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


A_ptr A::_duplicate(A_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

A_ptr A::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return A::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:A:1.0", _env);
  if (_env.exception() != 0)
    return A::_nil();
  if (is_a == 0)
    return A::_nil();
  return A::_unchecked_narrow(obj, _env);
}

A_ptr A::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return A::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_A_Stub_Factory_function_pointer != 0)
    {
      A_ptr  retv = _TAO_collocation_A_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new A (stub);
}

A_ptr A::_nil()
{
  return (A_ptr )NULL;
}

CORBA::Boolean A::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:A:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *A::_interface_repository_id() const
{
  return "IDL:A:1.0";
}

A::A()
{}

A::~A()
{}

void operator<<=(CORBA::Any &a, A_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = A::_duplicate(o);
    a.replace (_tc_A, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, A_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = A::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_A, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_A, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = A::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_A, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

A::A(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

A_var::A_var()
  : ptr_(A::_nil())
{}

A_var::A_var(A_ptr p)
  : ptr_(p)
{}

A_var::A_var(const A_var &a)
  : ptr_(A::_duplicate(a.ptr()))
{}

A_var::~A_var()
{
  CORBA::release(this->ptr_);
}

A_var &A_var::operator=(A_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

A_var &A_var::operator=(const A_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = A::_duplicate(p.ptr());
  }
  return *this;
}

A_ptr A_var::operator->() const
{
  return this->ptr_;
}

A_var::operator const A_ptr &() const
{
  return this->ptr_;
}

A_var::operator A_ptr &()
{
  return this->ptr_;
}

A_ptr A_var::in() const
{
  return this->ptr_;
}

A_ptr &A_var::inout()
{
  return this->ptr_;
}

A_ptr &A_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = A::_nil();
  return this->ptr_;
}

A_ptr A_var::_retn()
{
  A_ptr  val = this->ptr_;
  this->ptr_ = A::_nil();
  return val;
}

A_ptr A_var::ptr() const
{
  return this->ptr_;
}

A_out::A_out(A_ptr &r)
  : ptr_(r)
{
  this->ptr_ = A::_nil();
}

A_out::A_out(A_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = A::_nil();
}

A_out::A_out(const A_out &r)
  : ptr_(ACE_const_cast(A_out &,r).ptr_)
{}

A_out &A_out::operator=(const A_out &r)
{
  this->ptr_ = ACE_const_cast(A_out &,r).ptr_;
  return *this;
}

A_out &A_out::operator=(const A_var &r)
{
  this->ptr_ = A::_duplicate(r.ptr());
  return *this;
}

A_out &A_out::operator=(A_ptr r)
{
  this->ptr_ = r;
  return *this;
}

A_out::operator A_ptr &()
{
  return this->ptr_;
}

A_ptr &A_out::ptr()
{
  return this->ptr_;
}

A_ptr A_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_A_B[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x412f423a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:A/B:1.0 */,
    2, ACE_NTOHL(0x42000000) /* name = B */,
    2 /* member count */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_short,
    2, ACE_NTOHL(0x64000000) /* name = d */,
    CORBA::tk_string,
    0
};

static CORBA::TypeCode _tc_TAO_tc_A_B (CORBA::tk_except, sizeof(_oc_A_B), (char *) &_oc_A_B, 0, sizeof(::A::B ));

CORBA::TypeCode_ptr A::_tc_B = &_tc_TAO_tc_A_B;


A::B::B()
  : CORBA_UserException(A::_tc_B)
{
}

A::B::B(const ::A::B &o)
  : CORBA_UserException(o._type())
{
  this->a = o.a;
  this->d = CORBA::string_dup(o.d.in());
}

A::B::~B()
{}

::A::B &A::B::operator=(const ::A::B &o)
{
  this->CORBA_UserException::operator=(o);
  this->a = o.a;
  this->d = CORBA::string_dup(o.d.in());
  return *this;
}

void A::B::_raise()
{
  TAO_RAISE(*this);
}

::A::B *A::B::_narrow(CORBA::Exception *e)
{
  if( !(ACE_OS::strcmp("IDL:A/B:1.0", e->_id())) )
    return ACE_dynamic_cast(::A::B_ptr , e);
  else
    return 0;
}

CORBA::Exception *A::B::_alloc()
{
  return new ::A::B ;
}

A::B::B::B(CORBA::Short _a_, const char *_d_)
  : CORBA_UserException(CORBA::TypeCode::_duplicate(A::_tc_B))
{
  this->a = _a_;
  this->d = CORBA::string_dup(_d_);
}

void operator<<=(CORBA::Any &a, const ::A::B &o)
{
  ::A::B  *_any_val = new ::A::B (o);
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(A::_tc_B, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, ::A::B *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(A::_tc_B, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ::A::B *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(A::_tc_B, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (::A::B  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, ::A::B , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(A::_tc_B, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(A::_tc_B, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}
CORBA::Short A::op(/* A *this, */ CORBA::Short b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Short _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1);
    }




    {
      flick_iiopxx_encode_new_glob(14, _flick_abort1);
      flick_iiopxx_encode_new_chunk(14);
      flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(12, b, CORBA::Short );
      flick_iiopxx_encode_end_chunk(14);
      flick_iiopxx_encode_end_glob(14);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t23_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(49);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t23_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t23_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort35);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(49);
              break;
              {
              _flick_abort35:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(49);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort36);
              break;
              {
              _flick_abort36:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_corbaxx_env _t35_temp_env;
              unsigned int _t41_switch_tag;

              flick_iiopxx_check_span(24, _flick_abort37);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t41_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t41_switch_tag)
                {
                case (unsigned int) 12:
                  {
                    unsigned int _t42_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t42_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t42_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t43_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t43_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t43_switch_tag)
                            {
                            case /* A/B: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1093616186):
                              {
                                unsigned int _t44_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t44_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t44_switch_tag)
                                  {
                                  case /* 1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                    {
                                      flick_unsigned32_t _t45_temp_string_len;

                                      _t35_temp_env._id = "IDL:A/B:1.0";
                                      {
                                        A::B *_t_alloc_ptr;

                                        _t_alloc_ptr = (A::B *)new A::B ;
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort42);
                                        _t35_temp_env._user_except = _t_alloc_ptr;
                                      }
                                      flick_iiopxx_decode_new_chunk(8);
                                      flick_cdr_swap_decode_signed16(0, ((A::B *)(_t35_temp_env._user_except))->a, CORBA::Short );
                                      flick_cdr_swap_decode_unsigned32(4, _t45_temp_string_len, flick_unsigned32_t );
                                      if (_t45_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort42);
                                      flick_iiopxx_decode_end_chunk(8);
                                      flick_iiopxx_check_span(1 * _t45_temp_string_len, _flick_abort42);
                                      flick_iiopxx_decode_new_chunk(1 * _t45_temp_string_len);
                                      {
                                        CORBA::Char *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t45_temp_string_len * sizeof(CORBA::Char )));
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort42);
                                        ((A::B *)(_t35_temp_env._user_except))->d.inout() = _t_alloc_ptr;
                                      }
                                      flick_cdr_swap_decode_bcopy(0, ((A::B *)(_t35_temp_env._user_except))->d.inout(), 1 * _t45_temp_string_len);
                                      flick_iiopxx_decode_end_chunk(1 * _t45_temp_string_len);
                                      break;
                                      {
                                      _flick_abort42:
                                        goto _flick_abort37;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort37);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort37);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort37);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort37);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t35_temp_env);
              flick_iiopxx_decode_end_glob(49);
              break;
              {
              _flick_abort37:
                goto _flick_abort1;
              }
            }
          }
      }

    else
      {
        int _t0_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(49);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t0_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t0_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort14);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(49);
              break;
              {
              _flick_abort14:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(49);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort15);
              break;
              {
              _flick_abort15:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_corbaxx_env _t12_temp_env;
              unsigned int _t18_switch_tag;

              flick_iiopxx_check_span(24, _flick_abort16);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t18_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t18_switch_tag)
                {
                case (unsigned int) 12:
                  {
                    unsigned int _t19_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t19_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t20_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t20_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t20_switch_tag)
                            {
                            case /* A/B: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1093616186):
                              {
                                unsigned int _t21_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t21_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t21_switch_tag)
                                  {
                                  case /* 1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                    {
                                      flick_unsigned32_t _t22_temp_string_len;

                                      _t12_temp_env._id = "IDL:A/B:1.0";
                                      {
                                        A::B *_t_alloc_ptr;

                                        _t_alloc_ptr = (A::B *)new A::B ;
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21);
                                        _t12_temp_env._user_except = _t_alloc_ptr;
                                      }
                                      flick_iiopxx_decode_new_chunk(8);
                                      flick_cdr_decode_signed16(0, ((A::B *)(_t12_temp_env._user_except))->a, CORBA::Short );
                                      flick_cdr_decode_unsigned32(4, _t22_temp_string_len, flick_unsigned32_t );
                                      if (_t22_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort21);
                                      flick_iiopxx_decode_end_chunk(8);
                                      flick_iiopxx_check_span(1 * _t22_temp_string_len, _flick_abort21);
                                      flick_iiopxx_decode_new_chunk(1 * _t22_temp_string_len);
                                      {
                                        CORBA::Char *_t_alloc_ptr;

                                        _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t22_temp_string_len * sizeof(CORBA::Char )));
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort21);
                                        ((A::B *)(_t12_temp_env._user_except))->d.inout() = _t_alloc_ptr;
                                      }
                                      flick_cdr_decode_bcopy(0, ((A::B *)(_t12_temp_env._user_except))->d.inout(), 1 * _t22_temp_string_len);
                                      flick_iiopxx_decode_end_chunk(1 * _t22_temp_string_len);
                                      break;
                                      {
                                      _flick_abort21:
                                        goto _flick_abort16;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort16);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort16);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort16);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort16);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t12_temp_env);
              flick_iiopxx_decode_end_glob(49);
              break;
              {
              _flick_abort16:
                goto _flick_abort1;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1);
  }
  return _return;
  {
  _flick_abort1:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

