#ifndef _interface__server_h_
#define _interface__server_h_

#include "interface_-client.h"
#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class POA_math ;


typedef POA_math *POA_math_ptr;

class POA_math : public virtual PortableServer::ServantBase {

protected:
  POA_math();

public:
  POA_math(const POA_math &rhs);
  virtual ~POA_math();
  math *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Short addshort(/* POA_math *this, */ CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev) = 0;
  virtual CORBA::Short subshort(/* POA_math *this, */ CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev) = 0;
  virtual CORBA::Short multshort(/* POA_math *this, */ CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long addlong(/* POA_math *this, */ CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long sublong(/* POA_math *this, */ CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long multlong(/* POA_math *this, */ CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long addlonglist(/* POA_math *this, */ const long10 &a, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long multlonglist(/* POA_math *this, */ const long10 &a, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_math_tie : public POA_math {

  public:
    POA_math_tie(T &t);
    POA_math_tie(T &t, PortableServer::POA_ptr poa);
    POA_math_tie(T *t, CORBA::Boolean release = 1);
    POA_math_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_math_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_math_tie(const POA_math_tie &c);
    void operator=(const POA_math_tie &c);

  public:
    CORBA::Short addshort(/* POA_math *this, */ CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev);
    CORBA::Short subshort(/* POA_math *this, */ CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev);
    CORBA::Short multshort(/* POA_math *this, */ CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev);
    CORBA::Long addlong(/* POA_math *this, */ CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev);
    CORBA::Long sublong(/* POA_math *this, */ CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev);
    CORBA::Long multlong(/* POA_math *this, */ CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev);
    CORBA::Long addlonglist(/* POA_math *this, */ const long10 &a, CORBA::Environment &_ev);
    CORBA::Long multlonglist(/* POA_math *this, */ const long10 &a, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


math_ptr _TAO_collocation_POA_math_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_math_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_math : public virtual math {

public:
  _tao_thru_poa_collocated_math(TAO_Stub *stub);
  virtual CORBA::Short addshort(CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev);
  virtual CORBA::Short subshort(CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev);
  virtual CORBA::Short multshort(CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev);
  virtual CORBA::Long addlong(CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev);
  virtual CORBA::Long sublong(CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev);
  virtual CORBA::Long multlong(CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev);
  virtual CORBA::Long addlonglist(const long10 &a, CORBA::Environment &_ev);
  virtual CORBA::Long multlonglist(const long10 &a, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


#endif /* _interface__server_h_ */
