#include "primtypes-client.h"
#include "primtypes-server.h"


static const CORBA::Long _oc_ex1[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6578313a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:ex1:1.0 */,
    4, ACE_NTOHL(0x65783100) /* name = ex1 */
};

static CORBA::TypeCode _tc_TAO_tc_ex1 (CORBA::tk_objref, sizeof(_oc_ex1), (char *) &_oc_ex1, 0, sizeof(ex1 ));

CORBA::TypeCode_ptr _tc_ex1 = &_tc_TAO_tc_ex1;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<ex1 , ex1_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<ex1 , ex1_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


ex1_ptr  (*_TAO_collocation_ex1_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


ex1_ptr ex1::_duplicate(ex1_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

ex1_ptr ex1::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return ex1::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:ex1:1.0", _env);
  if (_env.exception() != 0)
    return ex1::_nil();
  if (is_a == 0)
    return ex1::_nil();
  return ex1::_unchecked_narrow(obj, _env);
}

ex1_ptr ex1::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return ex1::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_ex1_Stub_Factory_function_pointer != 0)
    {
      ex1_ptr  retv = _TAO_collocation_ex1_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new ex1 (stub);
}

ex1_ptr ex1::_nil()
{
  return (ex1_ptr )NULL;
}

CORBA::Boolean ex1::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *ex1::_interface_repository_id() const
{
  return "IDL:ex1:1.0";
}

ex1::ex1()
{}

ex1::~ex1()
{}

void operator<<=(CORBA::Any &a, ex1_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = ex1::_duplicate(o);
    a.replace (_tc_ex1, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ex1_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = ex1::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_ex1, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_ex1, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = ex1::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_ex1, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ex1::ex1(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

ex1_var::ex1_var()
  : ptr_(ex1::_nil())
{}

ex1_var::ex1_var(ex1_ptr p)
  : ptr_(p)
{}

ex1_var::ex1_var(const ex1_var &a)
  : ptr_(ex1::_duplicate(a.ptr()))
{}

ex1_var::~ex1_var()
{
  CORBA::release(this->ptr_);
}

ex1_var &ex1_var::operator=(ex1_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

ex1_var &ex1_var::operator=(const ex1_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = ex1::_duplicate(p.ptr());
  }
  return *this;
}

ex1_ptr ex1_var::operator->() const
{
  return this->ptr_;
}

ex1_var::operator const ex1_ptr &() const
{
  return this->ptr_;
}

ex1_var::operator ex1_ptr &()
{
  return this->ptr_;
}

ex1_ptr ex1_var::in() const
{
  return this->ptr_;
}

ex1_ptr &ex1_var::inout()
{
  return this->ptr_;
}

ex1_ptr &ex1_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex1::_nil();
  return this->ptr_;
}

ex1_ptr ex1_var::_retn()
{
  ex1_ptr  val = this->ptr_;
  this->ptr_ = ex1::_nil();
  return val;
}

ex1_ptr ex1_var::ptr() const
{
  return this->ptr_;
}

ex1_out::ex1_out(ex1_ptr &r)
  : ptr_(r)
{
  this->ptr_ = ex1::_nil();
}

ex1_out::ex1_out(ex1_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex1::_nil();
}

ex1_out::ex1_out(const ex1_out &r)
  : ptr_(ACE_const_cast(ex1_out &,r).ptr_)
{}

ex1_out &ex1_out::operator=(const ex1_out &r)
{
  this->ptr_ = ACE_const_cast(ex1_out &,r).ptr_;
  return *this;
}

ex1_out &ex1_out::operator=(const ex1_var &r)
{
  this->ptr_ = ex1::_duplicate(r.ptr());
  return *this;
}

ex1_out &ex1_out::operator=(ex1_ptr r)
{
  this->ptr_ = r;
  return *this;
}

ex1_out::operator ex1_ptr &()
{
  return this->ptr_;
}

ex1_ptr &ex1_out::ptr()
{
  return this->ptr_;
}

ex1_ptr ex1_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_ex2[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6578323a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:ex2:1.0 */,
    4, ACE_NTOHL(0x65783200) /* name = ex2 */
};

static CORBA::TypeCode _tc_TAO_tc_ex2 (CORBA::tk_objref, sizeof(_oc_ex2), (char *) &_oc_ex2, 0, sizeof(ex2 ));

CORBA::TypeCode_ptr _tc_ex2 = &_tc_TAO_tc_ex2;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<ex2 , ex2_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<ex2 , ex2_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


ex2_ptr  (*_TAO_collocation_ex2_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


ex2_ptr ex2::_duplicate(ex2_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

ex2_ptr ex2::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return ex2::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:ex2:1.0", _env);
  if (_env.exception() != 0)
    return ex2::_nil();
  if (is_a == 0)
    return ex2::_nil();
  return ex2::_unchecked_narrow(obj, _env);
}

ex2_ptr ex2::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return ex2::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_ex2_Stub_Factory_function_pointer != 0)
    {
      ex2_ptr  retv = _TAO_collocation_ex2_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new ex2 (stub);
}

ex2_ptr ex2::_nil()
{
  return (ex2_ptr )NULL;
}

CORBA::Boolean ex2::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, "IDL:ex2:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *ex2::_interface_repository_id() const
{
  return "IDL:ex2:1.0";
}

ex2::ex2()
{}

ex2::~ex2()
{}

void operator<<=(CORBA::Any &a, ex2_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = ex2::_duplicate(o);
    a.replace (_tc_ex2, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ex2_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = ex2::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_ex2, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_ex2, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = ex2::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_ex2, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ex2::ex2(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

ex2_var::ex2_var()
  : ptr_(ex2::_nil())
{}

ex2_var::ex2_var(ex2_ptr p)
  : ptr_(p)
{}

ex2_var::ex2_var(const ex2_var &a)
  : ptr_(ex2::_duplicate(a.ptr()))
{}

ex2_var::~ex2_var()
{
  CORBA::release(this->ptr_);
}

ex2_var &ex2_var::operator=(ex2_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

ex2_var &ex2_var::operator=(const ex2_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = ex2::_duplicate(p.ptr());
  }
  return *this;
}

ex2_ptr ex2_var::operator->() const
{
  return this->ptr_;
}

ex2_var::operator const ex2_ptr &() const
{
  return this->ptr_;
}

ex2_var::operator ex2_ptr &()
{
  return this->ptr_;
}

ex2_ptr ex2_var::in() const
{
  return this->ptr_;
}

ex2_ptr &ex2_var::inout()
{
  return this->ptr_;
}

ex2_ptr &ex2_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex2::_nil();
  return this->ptr_;
}

ex2_ptr ex2_var::_retn()
{
  ex2_ptr  val = this->ptr_;
  this->ptr_ = ex2::_nil();
  return val;
}

ex2_ptr ex2_var::ptr() const
{
  return this->ptr_;
}

ex2_out::ex2_out(ex2_ptr &r)
  : ptr_(r)
{
  this->ptr_ = ex2::_nil();
}

ex2_out::ex2_out(ex2_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex2::_nil();
}

ex2_out::ex2_out(const ex2_out &r)
  : ptr_(ACE_const_cast(ex2_out &,r).ptr_)
{}

ex2_out &ex2_out::operator=(const ex2_out &r)
{
  this->ptr_ = ACE_const_cast(ex2_out &,r).ptr_;
  return *this;
}

ex2_out &ex2_out::operator=(const ex2_var &r)
{
  this->ptr_ = ex2::_duplicate(r.ptr());
  return *this;
}

ex2_out &ex2_out::operator=(ex2_ptr r)
{
  this->ptr_ = r;
  return *this;
}

ex2_out::operator ex2_ptr &()
{
  return this->ptr_;
}

ex2_ptr &ex2_out::ptr()
{
  return this->ptr_;
}

ex2_ptr ex2_out::operator->()
{
  return this->ptr_;
}
CORBA::Long ex1::m1(/* ex1 *this, */ CORBA::Long a, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1);
    }




    {
      flick_iiopxx_encode_new_glob(16, _flick_abort1);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'm', flick_char8_t );
      flick_cdr_encode_char8(5, '1', flick_char8_t );
      flick_cdr_encode_char8(6, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a, CORBA::Long );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t1_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t1_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t1_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort14);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort14:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort15);
              break;
              {
              _flick_abort15:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort16);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort16:
                goto _flick_abort1;
              }
            }
          }
      }

    else
      {
        int _t0_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t0_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t0_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort7);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort7:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort8);
              break;
              {
              _flick_abort8:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort9);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort9:
                goto _flick_abort1;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1);
  }
  return _return;
  {
  _flick_abort1:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

ex1_ptr ex1::mtypes(/* ex1 *this, */ CORBA::Long a1, CORBA::Long &a2, ::CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, ::CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, ::CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, ::CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, ::CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, ::CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, ::CORBA::Char &g3, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  ex1_ptr _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort18);
    }




    {
      flick_iiopxx_encode_new_glob(70, _flick_abort18);
      flick_iiopxx_encode_new_chunk(48);
      flick_cdr_encode_unsigned32(0, 7, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'm', flick_char8_t );
      flick_cdr_encode_char8(5, 't', flick_char8_t );
      flick_cdr_encode_char8(6, 'y', flick_char8_t );
      flick_cdr_encode_char8(7, 'p', flick_char8_t );
      flick_cdr_encode_char8(8, 'e', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(16, a1, CORBA::Long );
      flick_cdr_encode_signed32(20, a2, CORBA::Long );
      flick_cdr_encode_unsigned32(24, b1, CORBA::ULong );
      flick_cdr_encode_unsigned32(28, b2, CORBA::ULong );
      flick_cdr_encode_signed16(32, c1, CORBA::Short );
      flick_cdr_encode_signed16(34, c2, CORBA::Short );
      flick_cdr_encode_unsigned16(36, d1, CORBA::UShort );
      flick_cdr_encode_unsigned16(38, d2, CORBA::UShort );
      flick_cdr_encode_float32(40, e1, CORBA::Float );
      flick_cdr_encode_float32(44, e2, CORBA::Float );
      flick_iiopxx_encode_end_chunk(48);
      flick_iiopxx_encode_new_chunk_align(18, 3, 2, 0);
      flick_cdr_encode_float64(0, f1, CORBA::Double );
      flick_cdr_encode_float64(8, f2, CORBA::Double );
      flick_cdr_encode_char8(16, g1, CORBA::Char );
      flick_cdr_encode_char8(17, g2, CORBA::Char );
      flick_iiopxx_encode_end_chunk(18);
      flick_iiopxx_encode_end_glob(70);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t3_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort18);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t3_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              flick_cdr_swapxx_decode_IOR(iiopxx, _return, 1, ex1 , _flick_abort31);
              flick_iiopxx_decode_new_glob(57);
              flick_iiopxx_decode_new_chunk_align(32, 2, 0, 0);
              flick_iiopxx_check_span(32, _flick_abort31);
              flick_cdr_swap_decode_signed32(0, a2, CORBA::Long );
              flick_cdr_swap_decode_signed32(4, a3, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(8, b2, CORBA::ULong );
              flick_cdr_swap_decode_unsigned32(12, b3, CORBA::ULong );
              flick_cdr_swap_decode_signed16(16, c2, CORBA::Short );
              flick_cdr_swap_decode_signed16(18, c3, CORBA::Short );
              flick_cdr_swap_decode_unsigned16(20, d2, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(22, d3, CORBA::UShort );
              flick_cdr_swap_decode_float32(24, e2, CORBA::Float );
              flick_cdr_swap_decode_float32(28, e3, CORBA::Float );
              flick_iiopxx_decode_end_chunk(32);
              flick_iiopxx_decode_new_chunk_align(18, 3, 2, 0);
              flick_iiopxx_check_span(18, _flick_abort31);
              flick_cdr_swap_decode_float64(0, f2, CORBA::Double );
              flick_cdr_swap_decode_float64(8, f3, CORBA::Double );
              flick_cdr_swap_decode_char8(16, g2, CORBA::Char );
              flick_cdr_swap_decode_char8(17, g3, CORBA::Char );
              flick_iiopxx_decode_end_chunk(18);
              flick_iiopxx_decode_end_glob(57);
              break;
              {
              _flick_abort31:
                goto _flick_abort18;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort32);
              break;
              {
              _flick_abort32:
                goto _flick_abort18;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort33);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort33:
                goto _flick_abort18;
              }
            }
          }
      }

    else
      {
        int _t2_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort18);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t2_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t2_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              flick_cdrxx_decode_IOR(iiopxx, _return, 1, ex1 , _flick_abort24);
              flick_iiopxx_decode_new_glob(57);
              flick_iiopxx_decode_new_chunk_align(32, 2, 0, 0);
              flick_iiopxx_check_span(32, _flick_abort24);
              flick_cdr_decode_signed32(0, a2, CORBA::Long );
              flick_cdr_decode_signed32(4, a3, CORBA::Long );
              flick_cdr_decode_unsigned32(8, b2, CORBA::ULong );
              flick_cdr_decode_unsigned32(12, b3, CORBA::ULong );
              flick_cdr_decode_signed16(16, c2, CORBA::Short );
              flick_cdr_decode_signed16(18, c3, CORBA::Short );
              flick_cdr_decode_unsigned16(20, d2, CORBA::UShort );
              flick_cdr_decode_unsigned16(22, d3, CORBA::UShort );
              flick_cdr_decode_float32(24, e2, CORBA::Float );
              flick_cdr_decode_float32(28, e3, CORBA::Float );
              flick_iiopxx_decode_end_chunk(32);
              flick_iiopxx_decode_new_chunk_align(18, 3, 2, 0);
              flick_iiopxx_check_span(18, _flick_abort24);
              flick_cdr_decode_float64(0, f2, CORBA::Double );
              flick_cdr_decode_float64(8, f3, CORBA::Double );
              flick_cdr_decode_char8(16, g2, CORBA::Char );
              flick_cdr_decode_char8(17, g3, CORBA::Char );
              flick_iiopxx_decode_end_chunk(18);
              flick_iiopxx_decode_end_glob(57);
              break;
              {
              _flick_abort24:
                goto _flick_abort18;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort25);
              break;
              {
              _flick_abort25:
                goto _flick_abort18;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort26);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort26:
                goto _flick_abort18;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort18);
  }
  return _return;
  {
  _flick_abort18:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort17);
  _flick_abort17:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long ex1::l1(/* ex1 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort35);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort35);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort35);
    }




    {
      flick_iiopxx_encode_new_glob(16, _flick_abort35);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 8, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'l', flick_char8_t );
      flick_cdr_encode_char8(10, '1', flick_char8_t );
      flick_cdr_encode_char8(11, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort35);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort35);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort35);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort35);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t5_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort35);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t5_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t5_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort48);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort48:
                goto _flick_abort35;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort49);
              break;
              {
              _flick_abort49:
                goto _flick_abort35;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort50);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort50:
                goto _flick_abort35;
              }
            }
          }
      }

    else
      {
        int _t4_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort35);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t4_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t4_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort41);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort41:
                goto _flick_abort35;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort42);
              break;
              {
              _flick_abort42:
                goto _flick_abort35;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort43);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort43:
                goto _flick_abort35;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort35);
  }
  return _return;
  {
  _flick_abort35:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort34);
  _flick_abort34:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

void ex1::l1(/* ex1 *this, */ CORBA::Long l1, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort52);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort52);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort52);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort52);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 8, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'l', flick_char8_t );
      flick_cdr_encode_char8(10, '1', flick_char8_t );
      flick_cdr_encode_char8(11, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(16, l1, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort52);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort52);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort52);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort52);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t7_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort52);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t7_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t7_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort66);
              break;
              {
              _flick_abort66:
                goto _flick_abort52;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort67);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort67:
                goto _flick_abort52;
              }
            }
          }
      }

    else
      {
        int _t6_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort52);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t6_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t6_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort59);
              break;
              {
              _flick_abort59:
                goto _flick_abort52;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort60);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort60:
                goto _flick_abort52;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort52);
  }
  return;
  {
  _flick_abort52:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort51);
  _flick_abort51:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

CORBA::Long ex2::m2(/* ex2 *this, */ CORBA::Long a, ::CORBA::Long &b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort69);
    }




    {
      flick_iiopxx_encode_new_glob(16, _flick_abort69);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'm', flick_char8_t );
      flick_cdr_encode_char8(5, '2', flick_char8_t );
      flick_cdr_encode_char8(6, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a, CORBA::Long );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort69);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t9_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(12);
        flick_iiopxx_check_span(4, _flick_abort69);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t9_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t9_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort82);
              flick_iiopxx_decode_new_chunk(8);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_swap_decode_signed32(4, b, CORBA::Long );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort82:
                goto _flick_abort69;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(12);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort83);
              break;
              {
              _flick_abort83:
                goto _flick_abort69;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort84);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort84:
                goto _flick_abort69;
              }
            }
          }
      }

    else
      {
        int _t8_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(12);
        flick_iiopxx_check_span(4, _flick_abort69);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t8_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t8_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort75);
              flick_iiopxx_decode_new_chunk(8);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_decode_signed32(4, b, CORBA::Long );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort75:
                goto _flick_abort69;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(12);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort76);
              break;
              {
              _flick_abort76:
                goto _flick_abort69;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort77);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort77:
                goto _flick_abort69;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort69);
  }
  return _return;
  {
  _flick_abort69:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort68);
  _flick_abort68:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

void ex2::mv(/* ex2 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort86);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort86);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort86);
    }




    {
      flick_iiopxx_encode_new_glob(12, _flick_abort86);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'm', flick_char8_t );
      flick_cdr_encode_char8(5, 'v', flick_char8_t );
      flick_cdr_encode_char8(6, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_end_glob(12);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort86);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort86);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort86);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort86);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t11_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort86);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t11_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t11_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort100);
              break;
              {
              _flick_abort100:
                goto _flick_abort86;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort101:
                goto _flick_abort86;
              }
            }
          }
      }

    else
      {
        int _t10_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort86);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t10_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t10_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort93);
              break;
              {
              _flick_abort93:
                goto _flick_abort86;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort94);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort94:
                goto _flick_abort86;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort86);
  }
  return;
  {
  _flick_abort86:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort85);
  _flick_abort85:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

CORBA::Long ex2::l2(/* ex2 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort103);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort103);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort103);
    }




    {
      flick_iiopxx_encode_new_glob(16, _flick_abort103);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 8, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'l', flick_char8_t );
      flick_cdr_encode_char8(10, '2', flick_char8_t );
      flick_cdr_encode_char8(11, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort103);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort103);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort103);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort103);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t13_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort103);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t13_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t13_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort116);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort116:
                goto _flick_abort103;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort117);
              break;
              {
              _flick_abort117:
                goto _flick_abort103;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort118);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort118:
                goto _flick_abort103;
              }
            }
          }
      }

    else
      {
        int _t12_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort103);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t12_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t12_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort109);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort109:
                goto _flick_abort103;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort110);
              break;
              {
              _flick_abort110:
                goto _flick_abort103;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort111);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort111:
                goto _flick_abort103;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort103);
  }
  return _return;
  {
  _flick_abort103:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort102);
  _flick_abort102:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long ex2::m1(/* ex2 *this, */ CORBA::Long a, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort120);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort120);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort120);
    }




    {
      flick_iiopxx_encode_new_glob(16, _flick_abort120);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'm', flick_char8_t );
      flick_cdr_encode_char8(5, '1', flick_char8_t );
      flick_cdr_encode_char8(6, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a, CORBA::Long );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort120);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort120);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort120);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort120);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t15_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort120);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t15_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t15_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort133);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort133:
                goto _flick_abort120;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort134);
              break;
              {
              _flick_abort134:
                goto _flick_abort120;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort135);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort135:
                goto _flick_abort120;
              }
            }
          }
      }

    else
      {
        int _t14_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort120);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t14_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t14_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort126);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort126:
                goto _flick_abort120;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort127);
              break;
              {
              _flick_abort127:
                goto _flick_abort120;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort128);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort128:
                goto _flick_abort120;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort120);
  }
  return _return;
  {
  _flick_abort120:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort119);
  _flick_abort119:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

ex1_ptr ex2::mtypes(/* ex2 *this, */ CORBA::Long a1, CORBA::Long &a2, ::CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, ::CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, ::CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, ::CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, ::CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, ::CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, ::CORBA::Char &g3, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  ex1_ptr _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort137);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort137);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort137);
    }




    {
      flick_iiopxx_encode_new_glob(70, _flick_abort137);
      flick_iiopxx_encode_new_chunk(48);
      flick_cdr_encode_unsigned32(0, 7, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'm', flick_char8_t );
      flick_cdr_encode_char8(5, 't', flick_char8_t );
      flick_cdr_encode_char8(6, 'y', flick_char8_t );
      flick_cdr_encode_char8(7, 'p', flick_char8_t );
      flick_cdr_encode_char8(8, 'e', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(16, a1, CORBA::Long );
      flick_cdr_encode_signed32(20, a2, CORBA::Long );
      flick_cdr_encode_unsigned32(24, b1, CORBA::ULong );
      flick_cdr_encode_unsigned32(28, b2, CORBA::ULong );
      flick_cdr_encode_signed16(32, c1, CORBA::Short );
      flick_cdr_encode_signed16(34, c2, CORBA::Short );
      flick_cdr_encode_unsigned16(36, d1, CORBA::UShort );
      flick_cdr_encode_unsigned16(38, d2, CORBA::UShort );
      flick_cdr_encode_float32(40, e1, CORBA::Float );
      flick_cdr_encode_float32(44, e2, CORBA::Float );
      flick_iiopxx_encode_end_chunk(48);
      flick_iiopxx_encode_new_chunk_align(18, 3, 2, 0);
      flick_cdr_encode_float64(0, f1, CORBA::Double );
      flick_cdr_encode_float64(8, f2, CORBA::Double );
      flick_cdr_encode_char8(16, g1, CORBA::Char );
      flick_cdr_encode_char8(17, g2, CORBA::Char );
      flick_iiopxx_encode_end_chunk(18);
      flick_iiopxx_encode_end_glob(70);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort137);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort137);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort137);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort137);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t17_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort137);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t17_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t17_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              flick_cdr_swapxx_decode_IOR(iiopxx, _return, 1, ex1 , _flick_abort150);
              flick_iiopxx_decode_new_glob(57);
              flick_iiopxx_decode_new_chunk_align(32, 2, 0, 0);
              flick_iiopxx_check_span(32, _flick_abort150);
              flick_cdr_swap_decode_signed32(0, a2, CORBA::Long );
              flick_cdr_swap_decode_signed32(4, a3, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(8, b2, CORBA::ULong );
              flick_cdr_swap_decode_unsigned32(12, b3, CORBA::ULong );
              flick_cdr_swap_decode_signed16(16, c2, CORBA::Short );
              flick_cdr_swap_decode_signed16(18, c3, CORBA::Short );
              flick_cdr_swap_decode_unsigned16(20, d2, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(22, d3, CORBA::UShort );
              flick_cdr_swap_decode_float32(24, e2, CORBA::Float );
              flick_cdr_swap_decode_float32(28, e3, CORBA::Float );
              flick_iiopxx_decode_end_chunk(32);
              flick_iiopxx_decode_new_chunk_align(18, 3, 2, 0);
              flick_iiopxx_check_span(18, _flick_abort150);
              flick_cdr_swap_decode_float64(0, f2, CORBA::Double );
              flick_cdr_swap_decode_float64(8, f3, CORBA::Double );
              flick_cdr_swap_decode_char8(16, g2, CORBA::Char );
              flick_cdr_swap_decode_char8(17, g3, CORBA::Char );
              flick_iiopxx_decode_end_chunk(18);
              flick_iiopxx_decode_end_glob(57);
              break;
              {
              _flick_abort150:
                goto _flick_abort137;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort151);
              break;
              {
              _flick_abort151:
                goto _flick_abort137;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort152);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort152:
                goto _flick_abort137;
              }
            }
          }
      }

    else
      {
        int _t16_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort137);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t16_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t16_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              flick_cdrxx_decode_IOR(iiopxx, _return, 1, ex1 , _flick_abort143);
              flick_iiopxx_decode_new_glob(57);
              flick_iiopxx_decode_new_chunk_align(32, 2, 0, 0);
              flick_iiopxx_check_span(32, _flick_abort143);
              flick_cdr_decode_signed32(0, a2, CORBA::Long );
              flick_cdr_decode_signed32(4, a3, CORBA::Long );
              flick_cdr_decode_unsigned32(8, b2, CORBA::ULong );
              flick_cdr_decode_unsigned32(12, b3, CORBA::ULong );
              flick_cdr_decode_signed16(16, c2, CORBA::Short );
              flick_cdr_decode_signed16(18, c3, CORBA::Short );
              flick_cdr_decode_unsigned16(20, d2, CORBA::UShort );
              flick_cdr_decode_unsigned16(22, d3, CORBA::UShort );
              flick_cdr_decode_float32(24, e2, CORBA::Float );
              flick_cdr_decode_float32(28, e3, CORBA::Float );
              flick_iiopxx_decode_end_chunk(32);
              flick_iiopxx_decode_new_chunk_align(18, 3, 2, 0);
              flick_iiopxx_check_span(18, _flick_abort143);
              flick_cdr_decode_float64(0, f2, CORBA::Double );
              flick_cdr_decode_float64(8, f3, CORBA::Double );
              flick_cdr_decode_char8(16, g2, CORBA::Char );
              flick_cdr_decode_char8(17, g3, CORBA::Char );
              flick_iiopxx_decode_end_chunk(18);
              flick_iiopxx_decode_end_glob(57);
              break;
              {
              _flick_abort143:
                goto _flick_abort137;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort144);
              break;
              {
              _flick_abort144:
                goto _flick_abort137;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort145);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort145:
                goto _flick_abort137;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort137);
  }
  return _return;
  {
  _flick_abort137:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort136);
  _flick_abort136:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long ex2::l1(/* ex2 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort154);
    }




    {
      flick_iiopxx_encode_new_glob(16, _flick_abort154);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 8, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'l', flick_char8_t );
      flick_cdr_encode_char8(10, '1', flick_char8_t );
      flick_cdr_encode_char8(11, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t19_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort154);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t19_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t19_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort167);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort167:
                goto _flick_abort154;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort168);
              break;
              {
              _flick_abort168:
                goto _flick_abort154;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort169);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort169:
                goto _flick_abort154;
              }
            }
          }
      }

    else
      {
        int _t18_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort154);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t18_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t18_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort160);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort160:
                goto _flick_abort154;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort161);
              break;
              {
              _flick_abort161:
                goto _flick_abort154;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort162);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort162:
                goto _flick_abort154;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort154);
  }
  return _return;
  {
  _flick_abort154:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort153);
  _flick_abort153:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

void ex2::l1(/* ex2 *this, */ CORBA::Long l1, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();



  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort171);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort171);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort171);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort171);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 8, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'l', flick_char8_t );
      flick_cdr_encode_char8(10, '1', flick_char8_t );
      flick_cdr_encode_char8(11, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(16, l1, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort171);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort171);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort171);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort171);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t21_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort171);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t21_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t21_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort185);
              break;
              {
              _flick_abort185:
                goto _flick_abort171;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort186);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort186:
                goto _flick_abort171;
              }
            }
          }
      }

    else
      {
        int _t20_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort171);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t20_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t20_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort178);
              break;
              {
              _flick_abort178:
                goto _flick_abort171;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort179);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort179:
                goto _flick_abort171;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort171);
  }
  return;
  {
  _flick_abort171:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort170);
  _flick_abort170:
    goto _flick_reaper;
  }

_flick_reaper:
  return;

}

