#ifndef _recursive_server_h_
#define _recursive_server_h_

#include "recursive-client.h"
#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class POA_obj ;


typedef POA_obj *POA_obj_ptr;

class POA_obj : public virtual PortableServer::ServantBase {

protected:
  POA_obj();

public:
  POA_obj(const POA_obj &rhs);
  virtual ~POA_obj();
  obj *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual ::obj::my_obj_ptr get_server(/* POA_obj *this, */ CORBA::Environment &_ev) = 0;
  virtual void set_server(/* POA_obj *this, */ ::obj::my_obj_ptr srvr, CORBA::Environment &_ev) = 0;
  virtual td *convert(/* POA_obj *this, */ struct ta &a1, const struct tb &b1, tc_out c1, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long my_attr(/* POA_obj *this, */ CORBA::Environment &_ev) = 0;
  virtual void my_attr(/* POA_obj *this, */ CORBA::Long my_attr, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_obj_tie : public POA_obj {

  public:
    POA_obj_tie(T &t);
    POA_obj_tie(T &t, PortableServer::POA_ptr poa);
    POA_obj_tie(T *t, CORBA::Boolean release = 1);
    POA_obj_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_obj_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_obj_tie(const POA_obj_tie &c);
    void operator=(const POA_obj_tie &c);

  public:
    ::obj::my_obj_ptr get_server(/* POA_obj *this, */ CORBA::Environment &_ev);
    void set_server(/* POA_obj *this, */ ::obj::my_obj_ptr srvr, CORBA::Environment &_ev);
    td *convert(/* POA_obj *this, */ struct ta &a1, const struct tb &b1, tc_out c1, CORBA::Environment &_ev);
    CORBA::Long my_attr(/* POA_obj *this, */ CORBA::Environment &_ev);
    void my_attr(/* POA_obj *this, */ CORBA::Long my_attr, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


typedef POA_obj POA_my_obj;

typedef POA_obj_ptr POA_my_obj_ptr;

typedef POA_obj POA_my_obj;

obj_ptr _TAO_collocation_POA_obj_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_obj_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_obj : public virtual obj {

public:
  _tao_thru_poa_collocated_obj(TAO_Stub *stub);
  virtual ::obj::my_obj_ptr get_server(CORBA::Environment &_ev);
  virtual void set_server(::obj::my_obj_ptr srvr, CORBA::Environment &_ev);
  virtual td *convert(struct ta &a1, const struct tb &b1, tc_out c1, CORBA::Environment &_ev);
  virtual CORBA::Long my_attr(CORBA::Environment &_ev);
  virtual void my_attr(CORBA::Long my_attr, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


int flick_unmarshal_stub_ta_tc_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ::ta::tc *_data);

int flick_unmarshal_stub_ta_tc_recursive_idl_server_inout_swap(flick_marshal_stream_t _stream, struct ::ta::tc *_data);

int flick_unmarshal_stub_ta_td_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ::ta::td *_data);

int flick_unmarshal_stub_ta_td_recursive_idl_server_inout_swap(flick_marshal_stream_t _stream, struct ::ta::td *_data);

int flick_unmarshal_stub_ta_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ta *_data);

int flick_unmarshal_stub_ta_recursive_idl_server_inout_swap(flick_marshal_stream_t _stream, struct ta *_data);

int flick_unmarshal_stub_ta_td_recursive_idl_server_in(flick_marshal_stream_t _stream, struct ::ta::td *_data);

int flick_unmarshal_stub_ta_td_recursive_idl_server_in_swap(flick_marshal_stream_t _stream, struct ::ta::td *_data);

int flick_unmarshal_stub_tb_recursive_idl_server_in(flick_marshal_stream_t _stream, struct tb *_data);

int flick_unmarshal_stub_tb_recursive_idl_server_in_swap(flick_marshal_stream_t _stream, struct tb *_data);

int flick_marshal_stub_ta_tc_recursive_idl_server_return(flick_marshal_stream_t _stream, struct ::ta::tc *_data);

int flick_marshal_stub_ta_td_recursive_idl_server_return(flick_marshal_stream_t _stream, struct ::ta::td *_data);

int flick_marshal_stub_ta_recursive_idl_server_return(flick_marshal_stream_t _stream, struct ta *_data);

int flick_marshal_stub_tb_recursive_idl_server_return(flick_marshal_stream_t _stream, struct tb *_data);

int flick_marshal_stub_td_recursive_idl_server_return(flick_marshal_stream_t _stream, td *_data);

int flick_marshal_stub_ta_tc_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ::ta::tc *_data);

int flick_marshal_stub_ta_td_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ::ta::td *_data);

int flick_marshal_stub_ta_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ta *_data);

#endif /* _recursive_server_h_ */
