#ifndef _simple_client_h_
#define _simple_client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class vec10 {

public:
  CORBA::ULong _maximum;
  CORBA::ULong _length;
  CORBA::Long *_buffer;
  CORBA::Boolean _release;
  vec10();
  vec10(CORBA::ULong length, CORBA::Long *buffer, CORBA::Boolean release = 0);
  vec10(const vec10 &o);
  virtual ~vec10();
  vec10 &operator=(const vec10 &rhs);
  CORBA::Long &operator[](CORBA::ULong i);
  const CORBA::Long &operator[](CORBA::ULong i) const;
  static CORBA::Long *allocbuf(CORBA::ULong size);
  static void freebuf(CORBA::Long *buffer);
  virtual void _allocate_buffer(CORBA::ULong length);
  virtual void _deallocate_buffer();
  CORBA::Boolean release() const;
  CORBA::ULong maximum() const;
  CORBA::ULong length() const;
  void length(CORBA::ULong length);
  virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
  CORBA::Long *get_buffer(CORBA::Boolean orphan = 0);
  const CORBA::Long *get_buffer() const;
} ;


typedef vec10 *vec10_ptr;

class vec10_var {

public:
  vec10_var();
  vec10_var(vec10 *p);
  vec10_var(const vec10_var &a);
  ~vec10_var();
  vec10_var &operator=(vec10 *p);
  vec10_var &operator=(const vec10_var &p);
  CORBA::Long &operator[](CORBA::ULong index);
  const CORBA::Long &operator[](CORBA::ULong index) const;
  vec10 *operator->();
  const vec10 *operator->() const;
  operator const vec10 &() const;
  operator vec10 &();
  operator vec10 &() const;
  const vec10 &in() const;
  vec10 &inout();
  vec10 *&out();
  vec10 *_retn();
  vec10 *ptr() const;

private:
  vec10_ptr ptr_;
} ;


class vec10_out {

public:
  vec10_out(vec10 *&r);
  vec10_out(vec10_var &r);
  vec10_out(const vec10_out &r);
  vec10_out &operator=(const vec10_out &r);

private:
  vec10_out &operator=(const vec10_var &r);

public:
  vec10_out &operator=(vec10 *r);
  operator vec10 *&();
  vec10 *&ptr();
  CORBA::Long &operator[](CORBA::ULong index);
  const CORBA::Long &operator[](CORBA::ULong index) const;
  vec10 *operator->();

private:
  vec10_ptr &ptr_;
} ;


void operator<<=(CORBA::Any &a, const vec10 &o);

void operator<<=(CORBA::Any &a, vec10 *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, vec10 *&o);

class simple ;


typedef simple *simple_ptr;

class simple_var {

public:
  simple_var();
  simple_var(simple_ptr p);
  simple_var(const simple_var &a);
  ~simple_var();
  simple_var &operator=(simple_ptr p);
  simple_var &operator=(const simple_var &p);
  simple_ptr operator->() const;
  operator const simple_ptr &() const;
  operator simple_ptr &();
  simple_ptr in() const;
  simple_ptr &inout();
  simple_ptr &out();
  simple_ptr _retn();
  simple_ptr ptr() const;

private:
  simple_ptr ptr_;
} ;


class simple_out {

public:
  simple_out(simple_ptr &r);
  simple_out(simple_var &r);
  simple_out(const simple_out &r);
  simple_out &operator=(const simple_out &r);
  simple_out &operator=(const simple_var &r);
  simple_out &operator=(simple_ptr r);
  operator simple_ptr &();
  simple_ptr &ptr();
  simple_ptr operator->();

private:
  simple_ptr &ptr_;
} ;


class simple : public virtual ACE_CORBA_1 (Object) {

public:
  static simple_ptr _duplicate(simple_ptr obj);
  static simple_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static simple_ptr _unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static simple_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *_type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  simple();
  virtual ~simple();

private:
  simple(const simple &v);
  void operator=(const simple &v);

public:
  virtual CORBA::Long op(/* simple *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);

protected:
  simple(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


void operator<<=(CORBA::Any &a, simple_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, simple_ptr &o);

class simple2 ;


typedef simple2 *simple2_ptr;

class simple2_var {

public:
  simple2_var();
  simple2_var(simple2_ptr p);
  simple2_var(const simple2_var &a);
  ~simple2_var();
  simple2_var &operator=(simple2_ptr p);
  simple2_var &operator=(const simple2_var &p);
  simple2_ptr operator->() const;
  operator const simple2_ptr &() const;
  operator simple2_ptr &();
  simple2_ptr in() const;
  simple2_ptr &inout();
  simple2_ptr &out();
  simple2_ptr _retn();
  simple2_ptr ptr() const;

private:
  simple2_ptr ptr_;
} ;


class simple2_out {

public:
  simple2_out(simple2_ptr &r);
  simple2_out(simple2_var &r);
  simple2_out(const simple2_out &r);
  simple2_out &operator=(const simple2_out &r);
  simple2_out &operator=(const simple2_var &r);
  simple2_out &operator=(simple2_ptr r);
  operator simple2_ptr &();
  simple2_ptr &ptr();
  simple2_ptr operator->();

private:
  simple2_ptr &ptr_;
} ;


class simple2 : public virtual ACE_CORBA_1 (Object) {

public:
  static simple2_ptr _duplicate(simple2_ptr obj);
  static simple2_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static simple2_ptr _unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static simple2_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *_type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  simple2();
  virtual ~simple2();

private:
  simple2(const simple2 &v);
  void operator=(const simple2 &v);

public:
  virtual CORBA::Long op2(/* simple2 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev);
  virtual CORBA::Long op(/* simple2 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);

protected:
  simple2(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


void operator<<=(CORBA::Any &a, simple2_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, simple2_ptr &o);

extern CORBA::TypeCode_ptr _tc_vec10;

extern CORBA::TypeCode_ptr _tc_simple;

extern simple_ptr (*_TAO_collocation_simple_Stub_Factory_function_pointer)(CORBA::Object_ptr obj);

extern CORBA::TypeCode_ptr _tc_simple2;

extern simple2_ptr (*_TAO_collocation_simple2_Stub_Factory_function_pointer)(CORBA::Object_ptr obj);

#endif /* _simple_client_h_ */
