#ifndef _simple2_server_h_
#define _simple2_server_h_

#include "simple2-client.h"
#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class POA_simple ;


typedef POA_simple *POA_simple_ptr;

class POA_simple : public virtual PortableServer::ServantBase {

protected:
  POA_simple();

public:
  POA_simple(const POA_simple &rhs);
  virtual ~POA_simple();
  simple *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long op(/* POA_simple *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_simple_tie : public POA_simple {

  public:
    POA_simple_tie(T &t);
    POA_simple_tie(T &t, PortableServer::POA_ptr poa);
    POA_simple_tie(T *t, CORBA::Boolean release = 1);
    POA_simple_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_simple_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_simple_tie(const POA_simple_tie &c);
    void operator=(const POA_simple_tie &c);

  public:
    CORBA::Long op(/* POA_simple *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class POA_simple2 ;


typedef POA_simple2 *POA_simple2_ptr;

class POA_simple2 : public virtual PortableServer::ServantBase {

protected:
  POA_simple2();

public:
  POA_simple2(const POA_simple2 &rhs);
  virtual ~POA_simple2();
  simple2 *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long op2(/* POA_simple2 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op(/* POA_simple2 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_simple2_tie : public POA_simple2 {

  public:
    POA_simple2_tie(T &t);
    POA_simple2_tie(T &t, PortableServer::POA_ptr poa);
    POA_simple2_tie(T *t, CORBA::Boolean release = 1);
    POA_simple2_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_simple2_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_simple2_tie(const POA_simple2_tie &c);
    void operator=(const POA_simple2_tie &c);

  public:
    CORBA::Long op2(/* POA_simple2 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev);
    CORBA::Long op(/* POA_simple2 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class POA_simple3 ;


typedef POA_simple3 *POA_simple3_ptr;

class POA_simple3 : public virtual PortableServer::ServantBase {

protected:
  POA_simple3();

public:
  POA_simple3(const POA_simple3 &rhs);
  virtual ~POA_simple3();
  simple3 *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long op3(/* POA_simple3 *this, */ CORBA::Long a, simple3_out b, simple2_out c, simple_out d, CORBA::Environment &_ev) = 0;
  virtual char *op4(/* POA_simple3 *this, */ const char *x, char *&y, ::CORBA::String_out z, CORBA::Environment &_ev) = 0;
  virtual void op5(/* POA_simple3 *this, */ CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op2(/* POA_simple3 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op(/* POA_simple3 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_simple3_tie : public POA_simple3 {

  public:
    POA_simple3_tie(T &t);
    POA_simple3_tie(T &t, PortableServer::POA_ptr poa);
    POA_simple3_tie(T *t, CORBA::Boolean release = 1);
    POA_simple3_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_simple3_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_simple3_tie(const POA_simple3_tie &c);
    void operator=(const POA_simple3_tie &c);

  public:
    CORBA::Long op3(/* POA_simple3 *this, */ CORBA::Long a, simple3_out b, simple2_out c, simple_out d, CORBA::Environment &_ev);
    char *op4(/* POA_simple3 *this, */ const char *x, char *&y, ::CORBA::String_out z, CORBA::Environment &_ev);
    void op5(/* POA_simple3 *this, */ CORBA::Environment &_ev);
    CORBA::Long op2(/* POA_simple3 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev);
    CORBA::Long op(/* POA_simple3 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


simple_ptr _TAO_collocation_POA_simple_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_simple_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_simple : public virtual simple {

public:
  _tao_thru_poa_collocated_simple(TAO_Stub *stub);
  virtual CORBA::Long op(CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


simple2_ptr _TAO_collocation_POA_simple2_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_simple2_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_simple2 : public virtual simple2 {

public:
  _tao_thru_poa_collocated_simple2(TAO_Stub *stub);
  virtual CORBA::Long op2(CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev);
  virtual CORBA::Long op(CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


simple3_ptr _TAO_collocation_POA_simple3_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_simple3_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_simple3 : public virtual simple3 {

public:
  _tao_thru_poa_collocated_simple3(TAO_Stub *stub);
  virtual CORBA::Long op3(CORBA::Long a, simple3_out b, simple2_out c, simple_out d, CORBA::Environment &_ev);
  virtual char *op4(const char *x, char *&y, ::CORBA::String_out z, CORBA::Environment &_ev);
  virtual void op5(CORBA::Environment &_ev);
  virtual CORBA::Long op2(CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev);
  virtual CORBA::Long op(CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


#endif /* _simple2_server_h_ */
