#include "string_-client.h"
#include "string_-server.h"


static const CORBA::Long _oc_str[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x7374723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:str:1.0 */,
    4, ACE_NTOHL(0x73747200) /* name = str */,
    4 /* member count */,
    4, ACE_NTOHL(0x73313000) /* name = s10 */,
    CORBA::tk_string,
    0,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x73780000) /* name = sx */,
    CORBA::tk_string,
    0,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_str (CORBA::tk_struct, sizeof(_oc_str), (char *) &_oc_str, 0, sizeof(struct str ));

CORBA::TypeCode_ptr _tc_str = &_tc_TAO_tc_str;


void operator<<=(CORBA::Any &a, const struct str &o)
{
  struct str  *_any_val;
  ACE_NEW(_any_val, struct str  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_str, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct str *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_str, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct str *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_str, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct str  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct str , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_str, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_str, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

str_var::str_var()
  : ptr_(0)
{}

str_var::str_var(struct str *p)
 : ptr_(p)
{}

str_var::str_var(const str_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct str (*a.ptr_);
  else
    this->ptr_ = 0;
}

str_var::~str_var()
{
  delete this->ptr_;
}

str_var &str_var::operator=(struct str *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

str_var &str_var::operator=(const str_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct str (*p.ptr_);
  }
  return *this;
}

struct str *str_var::operator->()
{
  return this->ptr_;
}

const struct str *str_var::operator->() const
{
  return this->ptr_;
}

str_var::operator const struct str &() const
{
  return *this->ptr_;
}

str_var::operator struct str &()
{
  return *this->ptr_;
}

str_var::operator struct str &() const
{
  return *this->ptr_;
}

const struct str &str_var::in() const
{
  return *this->ptr_;
}

struct str &str_var::inout()
{
  return *this->ptr_;
}

struct str *&str_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct str *str_var::_retn()
{
  struct str  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct str *str_var::ptr() const
{
  return this->ptr_;
}

str_out::str_out(struct str *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

str_out::str_out(str_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

str_out::str_out(const str_out &r)
  : ptr_(ACE_const_cast(str_out &,r).ptr_)
{}

str_out &str_out::operator=(const str_out &r)
{
  this->ptr_ = ACE_const_cast(str_out &,r).ptr_;
  return *this;
}

str_out &str_out::operator=(struct str *r)
{
  this->ptr_ = r;
  return *this;
}

str_out::operator struct str *&()
{
  return this->ptr_;
}

struct str *&str_out::ptr()
{
  return this->ptr_;
}

struct str *str_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_test[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:test:1.0 */,
    5, ACE_NTOHL(0x74657374), ACE_NTOHL(0x00000000) /* name = test */
};

static CORBA::TypeCode _tc_TAO_tc_test (CORBA::tk_objref, sizeof(_oc_test), (char *) &_oc_test, 0, sizeof(test ));

CORBA::TypeCode_ptr _tc_test = &_tc_TAO_tc_test;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<test , test_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<test , test_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


test_ptr  (*_TAO_collocation_test_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


test_ptr test::_duplicate(test_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

test_ptr test::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return test::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:test:1.0", _env);
  if (_env.exception() != 0)
    return test::_nil();
  if (is_a == 0)
    return test::_nil();
  return test::_unchecked_narrow(obj, _env);
}

test_ptr test::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return test::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_test_Stub_Factory_function_pointer != 0)
    {
      test_ptr  retv = _TAO_collocation_test_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new test (stub);
}

test_ptr test::_nil()
{
  return (test_ptr )NULL;
}

CORBA::Boolean test::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:test:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *test::_interface_repository_id() const
{
  return "IDL:test:1.0";
}

test::test()
{}

test::~test()
{}

void operator<<=(CORBA::Any &a, test_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = test::_duplicate(o);
    a.replace (_tc_test, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, test_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = test::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_test, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_test, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = test::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_test, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

test::test(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

test_var::test_var()
  : ptr_(test::_nil())
{}

test_var::test_var(test_ptr p)
  : ptr_(p)
{}

test_var::test_var(const test_var &a)
  : ptr_(test::_duplicate(a.ptr()))
{}

test_var::~test_var()
{
  CORBA::release(this->ptr_);
}

test_var &test_var::operator=(test_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

test_var &test_var::operator=(const test_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = test::_duplicate(p.ptr());
  }
  return *this;
}

test_ptr test_var::operator->() const
{
  return this->ptr_;
}

test_var::operator const test_ptr &() const
{
  return this->ptr_;
}

test_var::operator test_ptr &()
{
  return this->ptr_;
}

test_ptr test_var::in() const
{
  return this->ptr_;
}

test_ptr &test_var::inout()
{
  return this->ptr_;
}

test_ptr &test_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = test::_nil();
  return this->ptr_;
}

test_ptr test_var::_retn()
{
  test_ptr  val = this->ptr_;
  this->ptr_ = test::_nil();
  return val;
}

test_ptr test_var::ptr() const
{
  return this->ptr_;
}

test_out::test_out(test_ptr &r)
  : ptr_(r)
{
  this->ptr_ = test::_nil();
}

test_out::test_out(test_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = test::_nil();
}

test_out::test_out(const test_out &r)
  : ptr_(ACE_const_cast(test_out &,r).ptr_)
{}

test_out &test_out::operator=(const test_out &r)
{
  this->ptr_ = ACE_const_cast(test_out &,r).ptr_;
  return *this;
}

test_out &test_out::operator=(const test_var &r)
{
  this->ptr_ = test::_duplicate(r.ptr());
  return *this;
}

test_out &test_out::operator=(test_ptr r)
{
  this->ptr_ = r;
  return *this;
}

test_out::operator test_ptr &()
{
  return this->ptr_;
}

test_ptr &test_out::ptr()
{
  return this->ptr_;
}

test_ptr test_out::operator->()
{
  return this->ptr_;
}
char *test::String(/* test *this, */ const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  char *_return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1);
    }




    {
      flick_unsigned32_t _t2_temp_string_len;
      flick_unsigned32_t _t3_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, (a), flick_unsigned32_t , _t2_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, (b), flick_unsigned32_t , _t3_temp_string_len);

      flick_iiopxx_encode_new_glob(20, _flick_abort1);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 7, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'S', flick_char8_t );
      flick_cdr_encode_char8(5, 't', flick_char8_t );
      flick_cdr_encode_char8(6, 'r', flick_char8_t );
      flick_cdr_encode_char8(7, 'i', flick_char8_t );
      flick_cdr_encode_char8(8, 'n', flick_char8_t );
      flick_cdr_encode_char8(9, 'g', flick_char8_t );
      flick_cdr_encode_char8(10, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, _t2_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
      flick_iiopxx_encode_new_glob(1 * _t2_temp_string_len, _flick_abort1);
      flick_iiopxx_encode_new_chunk(1 * _t2_temp_string_len);
      flick_cdr_encode_bcopy(0, (a), 1 * _t2_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t2_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t2_temp_string_len);
      flick_iiopxx_encode_new_glob(7, _flick_abort1);
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _t3_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_end_glob(7);
      flick_iiopxx_encode_new_glob(1 * _t3_temp_string_len, _flick_abort1);
      flick_iiopxx_encode_new_chunk(1 * _t3_temp_string_len);
      flick_cdr_encode_bcopy(0, (b), 1 * _t3_temp_string_len);
      CORBA_string_flick_free((b));
      (b) = (CORBA::Char *)0;
      flick_iiopxx_encode_end_chunk(1 * _t3_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t3_temp_string_len);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t11_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t11_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t11_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t15_temp_string_len;
              flick_unsigned32_t _t16_temp_string_len;
              flick_unsigned32_t _t17_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort49);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t15_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t15_temp_string_len);
              flick_iiopxx_check_span(1 * _t15_temp_string_len, _flick_abort49);
              flick_iiopxx_decode_new_chunk(1 * _t15_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t15_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort49);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t15_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t15_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t15_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort52);
              flick_cdr_swap_decode_unsigned32(0, _t16_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t16_temp_string_len);
              flick_iiopxx_check_span(1 * _t16_temp_string_len, _flick_abort52);
              flick_iiopxx_decode_new_chunk(1 * _t16_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t16_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort52);
                b = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b, 1 * _t16_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t16_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t16_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort55);
              flick_cdr_swap_decode_unsigned32(0, _t17_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t17_temp_string_len);
              flick_iiopxx_check_span(1 * _t17_temp_string_len, _flick_abort55);
              flick_iiopxx_decode_new_chunk(1 * _t17_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t17_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort55);
                c = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, c, 1 * _t17_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t17_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t17_temp_string_len);
              break;
              {
              _flick_abort55:
                CORBA_string_flick_free(b);
              _flick_abort52:
                CORBA_string_flick_free(_return);
              _flick_abort49:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort59);
              break;
              {
              _flick_abort59:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort60);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort60:
                goto _flick_abort1;
              }
            }
          }
      }

    else
      {
        int _t4_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t4_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t4_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t8_temp_string_len;
              flick_unsigned32_t _t9_temp_string_len;
              flick_unsigned32_t _t10_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort24);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t8_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t8_temp_string_len);
              flick_iiopxx_check_span(1 * _t8_temp_string_len, _flick_abort24);
              flick_iiopxx_decode_new_chunk(1 * _t8_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t8_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort24);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t8_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t8_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t8_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort27);
              flick_cdr_decode_unsigned32(0, _t9_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t9_temp_string_len);
              flick_iiopxx_check_span(1 * _t9_temp_string_len, _flick_abort27);
              flick_iiopxx_decode_new_chunk(1 * _t9_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t9_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort27);
                b = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b, 1 * _t9_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t9_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t9_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort30);
              flick_cdr_decode_unsigned32(0, _t10_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t10_temp_string_len);
              flick_iiopxx_check_span(1 * _t10_temp_string_len, _flick_abort30);
              flick_iiopxx_decode_new_chunk(1 * _t10_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t10_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort30);
                c = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, c, 1 * _t10_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t10_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t10_temp_string_len);
              break;
              {
              _flick_abort30:
                CORBA_string_flick_free(b);
              _flick_abort27:
                CORBA_string_flick_free(_return);
              _flick_abort24:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort34);
              break;
              {
              _flick_abort34:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort35);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort35:
                goto _flick_abort1;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1);
  }
  return _return;
  {
  _flick_abort1:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

char *test::LongString(/* test *this, */ const char *a, char *&b, longstr_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  char *_return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort62);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort62);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort62);
    }




    {
      flick_unsigned32_t _t20_temp_string_len;
      flick_unsigned32_t _t21_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, (a), flick_unsigned32_t , _t20_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, (b), flick_unsigned32_t , _t21_temp_string_len);

      flick_iiopxx_encode_new_glob(24, _flick_abort62);
      flick_iiopxx_encode_new_chunk(24);
      flick_cdr_encode_unsigned32(0, 11, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'L', flick_char8_t );
      flick_cdr_encode_char8(5, 'o', flick_char8_t );
      flick_cdr_encode_char8(6, 'n', flick_char8_t );
      flick_cdr_encode_char8(7, 'g', flick_char8_t );
      flick_cdr_encode_char8(8, 'S', flick_char8_t );
      flick_cdr_encode_char8(9, 't', flick_char8_t );
      flick_cdr_encode_char8(10, 'r', flick_char8_t );
      flick_cdr_encode_char8(11, 'i', flick_char8_t );
      flick_cdr_encode_char8(12, 'n', flick_char8_t );
      flick_cdr_encode_char8(13, 'g', flick_char8_t );
      flick_cdr_encode_char8(14, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(20, _t20_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(24);
      flick_iiopxx_encode_end_glob(24);
      flick_iiopxx_encode_new_glob(1 * _t20_temp_string_len, _flick_abort62);
      flick_iiopxx_encode_new_chunk(1 * _t20_temp_string_len);
      flick_cdr_encode_bcopy(0, (a), 1 * _t20_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t20_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t20_temp_string_len);
      flick_iiopxx_encode_new_glob(7, _flick_abort62);
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _t21_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_end_glob(7);
      flick_iiopxx_encode_new_glob(1 * _t21_temp_string_len, _flick_abort62);
      flick_iiopxx_encode_new_chunk(1 * _t21_temp_string_len);
      flick_cdr_encode_bcopy(0, (b), 1 * _t21_temp_string_len);
      CORBA_string_flick_free((b));
      (b) = (CORBA::Char *)0;
      flick_iiopxx_encode_end_chunk(1 * _t21_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t21_temp_string_len);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort62);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort62);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort62);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort62);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t29_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort62);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t29_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t29_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t33_temp_string_len;
              flick_unsigned32_t _t34_temp_string_len;
              flick_unsigned32_t _t35_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort110);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t33_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t33_temp_string_len);
              flick_iiopxx_check_span(1 * _t33_temp_string_len, _flick_abort110);
              flick_iiopxx_decode_new_chunk(1 * _t33_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t33_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort110);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t33_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t33_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t33_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort113);
              flick_cdr_swap_decode_unsigned32(0, _t34_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t34_temp_string_len);
              flick_iiopxx_check_span(1 * _t34_temp_string_len, _flick_abort113);
              flick_iiopxx_decode_new_chunk(1 * _t34_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t34_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort113);
                b = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b, 1 * _t34_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t34_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t34_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort116);
              flick_cdr_swap_decode_unsigned32(0, _t35_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t35_temp_string_len);
              flick_iiopxx_check_span(1 * _t35_temp_string_len, _flick_abort116);
              flick_iiopxx_decode_new_chunk(1 * _t35_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t35_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort116);
                c = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, c, 1 * _t35_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t35_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t35_temp_string_len);
              break;
              {
              _flick_abort116:
                CORBA_string_flick_free(b);
              _flick_abort113:
                CORBA_string_flick_free(_return);
              _flick_abort110:
                goto _flick_abort62;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort120);
              break;
              {
              _flick_abort120:
                goto _flick_abort62;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort121);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort121:
                goto _flick_abort62;
              }
            }
          }
      }

    else
      {
        int _t22_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort62);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t22_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t22_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t26_temp_string_len;
              flick_unsigned32_t _t27_temp_string_len;
              flick_unsigned32_t _t28_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort85);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t26_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t26_temp_string_len);
              flick_iiopxx_check_span(1 * _t26_temp_string_len, _flick_abort85);
              flick_iiopxx_decode_new_chunk(1 * _t26_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t26_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort85);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t26_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t26_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t26_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort88);
              flick_cdr_decode_unsigned32(0, _t27_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t27_temp_string_len);
              flick_iiopxx_check_span(1 * _t27_temp_string_len, _flick_abort88);
              flick_iiopxx_decode_new_chunk(1 * _t27_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t27_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort88);
                b = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b, 1 * _t27_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t27_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t27_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort91);
              flick_cdr_decode_unsigned32(0, _t28_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t28_temp_string_len);
              flick_iiopxx_check_span(1 * _t28_temp_string_len, _flick_abort91);
              flick_iiopxx_decode_new_chunk(1 * _t28_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t28_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort91);
                c = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, c, 1 * _t28_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t28_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t28_temp_string_len);
              break;
              {
              _flick_abort91:
                CORBA_string_flick_free(b);
              _flick_abort88:
                CORBA_string_flick_free(_return);
              _flick_abort85:
                goto _flick_abort62;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort95);
              break;
              {
              _flick_abort95:
                goto _flick_abort62;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort96);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort96:
                goto _flick_abort62;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort62);
  }
  return _return;
  {
  _flick_abort62:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort61);
  _flick_abort61:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

char *test::ShortString(/* test *this, */ const char *a, char *&b, shortstr_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  char *_return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort123);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort123);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort123);
    }




    {
      flick_unsigned32_t _t38_temp_string_len;
      flick_unsigned32_t _t39_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, (a), flick_unsigned32_t , _t38_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, (b), flick_unsigned32_t , _t39_temp_string_len);

      flick_iiopxx_encode_new_glob(83, _flick_abort123);
      flick_iiopxx_encode_new_chunk(24 + 1 * _t38_temp_string_len);
      flick_cdr_encode_unsigned32(0, 12, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'S', flick_char8_t );
      flick_cdr_encode_char8(5, 'h', flick_char8_t );
      flick_cdr_encode_char8(6, 'o', flick_char8_t );
      flick_cdr_encode_char8(7, 'r', flick_char8_t );
      flick_cdr_encode_char8(8, 't', flick_char8_t );
      flick_cdr_encode_char8(9, 'S', flick_char8_t );
      flick_cdr_encode_char8(10, 't', flick_char8_t );
      flick_cdr_encode_char8(11, 'r', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 'n', flick_char8_t );
      flick_cdr_encode_char8(14, 'g', flick_char8_t );
      flick_cdr_encode_char8(15, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(20, _t38_temp_string_len, flick_unsigned32_t );
      if (_t38_temp_string_len > 26)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort123);
      flick_cdr_encode_bcopy(24, (a), 1 * _t38_temp_string_len);
      flick_iiopxx_encode_end_chunk(24 + 1 * _t38_temp_string_len);
      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t39_temp_string_len, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _t39_temp_string_len, flick_unsigned32_t );
      if (_t39_temp_string_len > 26)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort123);
      flick_cdr_encode_bcopy(4, (b), 1 * _t39_temp_string_len);
      CORBA_string_flick_free((b));
      (b) = (CORBA::Char *)0;
      flick_iiopxx_encode_end_chunk(4 + 1 * _t39_temp_string_len);
      flick_iiopxx_encode_end_glob(83);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort123);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort123);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort123);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort123);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t47_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(100);
        flick_iiopxx_check_span(4, _flick_abort123);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t47_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t47_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t51_temp_string_len;
              flick_unsigned32_t _t52_temp_string_len;
              flick_unsigned32_t _t53_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort171);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t51_temp_string_len, flick_unsigned32_t );
              if (_t51_temp_string_len > 26)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort171);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t51_temp_string_len, _flick_abort171);
              flick_iiopxx_decode_new_chunk(1 * _t51_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t51_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort171);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t51_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t51_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort174);
              flick_cdr_swap_decode_unsigned32(0, _t52_temp_string_len, flick_unsigned32_t );
              if (_t52_temp_string_len > 26)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort174);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t52_temp_string_len, _flick_abort174);
              flick_iiopxx_decode_new_chunk(1 * _t52_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t52_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort174);
                b = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b, 1 * _t52_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t52_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort177);
              flick_cdr_swap_decode_unsigned32(0, _t53_temp_string_len, flick_unsigned32_t );
              if (_t53_temp_string_len > 26)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort177);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t53_temp_string_len, _flick_abort177);
              flick_iiopxx_decode_new_chunk(1 * _t53_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t53_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort177);
                c = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, c, 1 * _t53_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t53_temp_string_len);
              flick_iiopxx_decode_end_glob(100);
              break;
              {
              _flick_abort177:
                CORBA_string_flick_free(b);
              _flick_abort174:
                CORBA_string_flick_free(_return);
              _flick_abort171:
                goto _flick_abort123;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(100);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort181);
              break;
              {
              _flick_abort181:
                goto _flick_abort123;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort182);
              flick_iiopxx_decode_end_glob(100);
              break;
              {
              _flick_abort182:
                goto _flick_abort123;
              }
            }
          }
      }

    else
      {
        int _t40_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(100);
        flick_iiopxx_check_span(4, _flick_abort123);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t40_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t40_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t44_temp_string_len;
              flick_unsigned32_t _t45_temp_string_len;
              flick_unsigned32_t _t46_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort146);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t44_temp_string_len, flick_unsigned32_t );
              if (_t44_temp_string_len > 26)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort146);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t44_temp_string_len, _flick_abort146);
              flick_iiopxx_decode_new_chunk(1 * _t44_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t44_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort146);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t44_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t44_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort149);
              flick_cdr_decode_unsigned32(0, _t45_temp_string_len, flick_unsigned32_t );
              if (_t45_temp_string_len > 26)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort149);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t45_temp_string_len, _flick_abort149);
              flick_iiopxx_decode_new_chunk(1 * _t45_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t45_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort149);
                b = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b, 1 * _t45_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t45_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort152);
              flick_cdr_decode_unsigned32(0, _t46_temp_string_len, flick_unsigned32_t );
              if (_t46_temp_string_len > 26)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort152);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t46_temp_string_len, _flick_abort152);
              flick_iiopxx_decode_new_chunk(1 * _t46_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t46_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort152);
                c = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, c, 1 * _t46_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t46_temp_string_len);
              flick_iiopxx_decode_end_glob(100);
              break;
              {
              _flick_abort152:
                CORBA_string_flick_free(b);
              _flick_abort149:
                CORBA_string_flick_free(_return);
              _flick_abort146:
                goto _flick_abort123;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(100);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort156);
              break;
              {
              _flick_abort156:
                goto _flick_abort123;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort157);
              flick_iiopxx_decode_end_glob(100);
              break;
              {
              _flick_abort157:
                goto _flick_abort123;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort123);
  }
  return _return;
  {
  _flick_abort123:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort122);
  _flick_abort122:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

struct str *test::Struct(/* test *this, */ const struct str &a, struct str &b, str_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  struct str *_return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort184);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort184);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort184);
    }




    {
      flick_unsigned32_t _t58_temp_string_len;
      flick_unsigned32_t _t59_temp_string_len;
      flick_unsigned32_t _t60_temp_string_len;
      flick_unsigned32_t _t61_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, a.s10.in(), flick_unsigned32_t , _t58_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, a.sx.in(), flick_unsigned32_t , _t59_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, b.s10.inout(), flick_unsigned32_t , _t60_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, b.sx.inout(), flick_unsigned32_t , _t61_temp_string_len);

      flick_iiopxx_encode_new_glob(42, _flick_abort184);
      flick_iiopxx_encode_new_chunk(20 + 1 * _t58_temp_string_len);
      flick_cdr_encode_unsigned32(0, 7, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'S', flick_char8_t );
      flick_cdr_encode_char8(5, 't', flick_char8_t );
      flick_cdr_encode_char8(6, 'r', flick_char8_t );
      flick_cdr_encode_char8(7, 'u', flick_char8_t );
      flick_cdr_encode_char8(8, 'c', flick_char8_t );
      flick_cdr_encode_char8(9, 't', flick_char8_t );
      flick_cdr_encode_char8(10, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, _t58_temp_string_len, flick_unsigned32_t );
      if (_t58_temp_string_len > 11)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort184);
      flick_cdr_encode_bcopy(20, a.s10.in(), 1 * _t58_temp_string_len);
      flick_iiopxx_encode_end_chunk(20 + 1 * _t58_temp_string_len);
      flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_signed32(0, a.a, CORBA::Long );
      flick_cdr_encode_unsigned32(4, _t59_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(8);
      flick_iiopxx_encode_end_glob(42);
      flick_iiopxx_encode_new_glob(1 * _t59_temp_string_len, _flick_abort184);
      flick_iiopxx_encode_new_chunk(1 * _t59_temp_string_len);
      flick_cdr_encode_bcopy(0, a.sx.in(), 1 * _t59_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t59_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t59_temp_string_len);
      flick_iiopxx_encode_new_glob(31, _flick_abort184);
      flick_iiopxx_encode_new_chunk_align(2, 1, 0, 0);
      flick_cdr_encode_signed16(0, a.b, CORBA::Short );
      flick_iiopxx_encode_end_chunk(2);
      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t60_temp_string_len, 2, 1, 0);
      flick_cdr_encode_unsigned32(0, _t60_temp_string_len, flick_unsigned32_t );
      if (_t60_temp_string_len > 11)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort184);
      flick_cdr_encode_bcopy(4, b.s10.inout(), 1 * _t60_temp_string_len);
      flick_iiopxx_encode_end_chunk(4 + 1 * _t60_temp_string_len);
      flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_signed32(0, b.a, CORBA::Long );
      flick_cdr_encode_unsigned32(4, _t61_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(8);
      flick_iiopxx_encode_end_glob(31);
      flick_iiopxx_encode_new_glob(1 * _t61_temp_string_len, _flick_abort184);
      flick_iiopxx_encode_new_chunk(1 * _t61_temp_string_len);
      flick_cdr_encode_bcopy(0, b.sx.inout(), 1 * _t61_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t61_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t61_temp_string_len);
      flick_iiopxx_encode_new_glob(3, _flick_abort184);
      flick_iiopxx_encode_new_chunk_align(2, 1, 0, 0);
      flick_cdr_encode_signed16(0, b.b, CORBA::Short );
      flick_iiopxx_encode_end_chunk(2);
      flick_iiopxx_encode_end_glob(3);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort184);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort184);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort184);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort184);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t75_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(30);
        flick_iiopxx_check_span(4, _flick_abort184);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t75_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t75_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t82_temp_string_len;
              flick_unsigned32_t _t83_temp_string_len;
              flick_unsigned32_t _t84_temp_string_len;
              flick_unsigned32_t _t85_temp_string_len;
              flick_unsigned32_t _t86_temp_string_len;
              flick_unsigned32_t _t87_temp_string_len;

              /* Begin decode phase on parameters */
              {
                struct str *_t_alloc_ptr;

                _t_alloc_ptr = (struct str *)new (struct str );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort249);
                _return = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(4, _flick_abort249);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t82_temp_string_len, flick_unsigned32_t );
              if (_t82_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort249);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t82_temp_string_len, _flick_abort249);
              flick_iiopxx_decode_new_chunk(1 * _t82_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t82_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort249);
                _return->s10.inout() = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return->s10.inout(), 1 * _t82_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t82_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort249);
              flick_cdr_swap_decode_signed32(0, _return->a, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(4, _t83_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(30);
              flick_iiopxx_decode_new_glob(1 * _t83_temp_string_len);
              flick_iiopxx_check_span(1 * _t83_temp_string_len, _flick_abort249);
              flick_iiopxx_decode_new_chunk(1 * _t83_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t83_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort249);
                _return->sx.inout() = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return->sx.inout(), 1 * _t83_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t83_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t83_temp_string_len);
              flick_iiopxx_decode_new_glob(31);
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort249);
              flick_cdr_swap_decode_signed16(0, _return->b, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
              flick_iiopxx_check_span(4, _flick_abort249);
              flick_cdr_swap_decode_unsigned32(0, _t84_temp_string_len, flick_unsigned32_t );
              if (_t84_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort249);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t84_temp_string_len, _flick_abort249);
              flick_iiopxx_decode_new_chunk(1 * _t84_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t84_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort249);
                b.s10.inout() = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b.s10.inout(), 1 * _t84_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t84_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort249);
              flick_cdr_swap_decode_signed32(0, b.a, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(4, _t85_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(31);
              flick_iiopxx_decode_new_glob(1 * _t85_temp_string_len);
              flick_iiopxx_check_span(1 * _t85_temp_string_len, _flick_abort249);
              flick_iiopxx_decode_new_chunk(1 * _t85_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t85_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort249);
                b.sx.inout() = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b.sx.inout(), 1 * _t85_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t85_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t85_temp_string_len);
              flick_iiopxx_decode_new_glob(31);
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort249);
              flick_cdr_swap_decode_signed16(0, b.b, CORBA::Short );
              {
                struct str *_t_alloc_ptr;

                _t_alloc_ptr = (struct str *)new (struct str );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort249);
                c = _t_alloc_ptr;
              }
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
              flick_iiopxx_check_span(4, _flick_abort249);
              flick_cdr_swap_decode_unsigned32(0, _t86_temp_string_len, flick_unsigned32_t );
              if (_t86_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort249);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t86_temp_string_len, _flick_abort249);
              flick_iiopxx_decode_new_chunk(1 * _t86_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t86_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort249);
                c->s10.inout() = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, c->s10.inout(), 1 * _t86_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t86_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort249);
              flick_cdr_swap_decode_signed32(0, c->a, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(4, _t87_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(31);
              flick_iiopxx_decode_new_glob(1 * _t87_temp_string_len);
              flick_iiopxx_check_span(1 * _t87_temp_string_len, _flick_abort249);
              flick_iiopxx_decode_new_chunk(1 * _t87_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t87_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort249);
                c->sx.inout() = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, c->sx.inout(), 1 * _t87_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t87_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t87_temp_string_len);
              flick_iiopxx_decode_new_glob(3);
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort249);
              flick_cdr_swap_decode_signed16(0, c->b, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(3);
              break;
              {
              _flick_abort249:
                goto _flick_abort184;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(30);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort262);
              break;
              {
              _flick_abort262:
                goto _flick_abort184;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort263);
              flick_iiopxx_decode_end_glob(30);
              break;
              {
              _flick_abort263:
                goto _flick_abort184;
              }
            }
          }
      }

    else
      {
        int _t62_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(30);
        flick_iiopxx_check_span(4, _flick_abort184);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t62_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t62_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t69_temp_string_len;
              flick_unsigned32_t _t70_temp_string_len;
              flick_unsigned32_t _t71_temp_string_len;
              flick_unsigned32_t _t72_temp_string_len;
              flick_unsigned32_t _t73_temp_string_len;
              flick_unsigned32_t _t74_temp_string_len;

              /* Begin decode phase on parameters */
              {
                struct str *_t_alloc_ptr;

                _t_alloc_ptr = (struct str *)new (struct str );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort218);
                _return = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(4, _flick_abort218);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t69_temp_string_len, flick_unsigned32_t );
              if (_t69_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort218);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t69_temp_string_len, _flick_abort218);
              flick_iiopxx_decode_new_chunk(1 * _t69_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t69_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort218);
                _return->s10.inout() = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return->s10.inout(), 1 * _t69_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t69_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort218);
              flick_cdr_decode_signed32(0, _return->a, CORBA::Long );
              flick_cdr_decode_unsigned32(4, _t70_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(30);
              flick_iiopxx_decode_new_glob(1 * _t70_temp_string_len);
              flick_iiopxx_check_span(1 * _t70_temp_string_len, _flick_abort218);
              flick_iiopxx_decode_new_chunk(1 * _t70_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t70_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort218);
                _return->sx.inout() = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return->sx.inout(), 1 * _t70_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t70_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t70_temp_string_len);
              flick_iiopxx_decode_new_glob(31);
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort218);
              flick_cdr_decode_signed16(0, _return->b, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
              flick_iiopxx_check_span(4, _flick_abort218);
              flick_cdr_decode_unsigned32(0, _t71_temp_string_len, flick_unsigned32_t );
              if (_t71_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort218);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t71_temp_string_len, _flick_abort218);
              flick_iiopxx_decode_new_chunk(1 * _t71_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t71_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort218);
                b.s10.inout() = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b.s10.inout(), 1 * _t71_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t71_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort218);
              flick_cdr_decode_signed32(0, b.a, CORBA::Long );
              flick_cdr_decode_unsigned32(4, _t72_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(31);
              flick_iiopxx_decode_new_glob(1 * _t72_temp_string_len);
              flick_iiopxx_check_span(1 * _t72_temp_string_len, _flick_abort218);
              flick_iiopxx_decode_new_chunk(1 * _t72_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t72_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort218);
                b.sx.inout() = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b.sx.inout(), 1 * _t72_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t72_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t72_temp_string_len);
              flick_iiopxx_decode_new_glob(31);
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort218);
              flick_cdr_decode_signed16(0, b.b, CORBA::Short );
              {
                struct str *_t_alloc_ptr;

                _t_alloc_ptr = (struct str *)new (struct str );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort218);
                c = _t_alloc_ptr;
              }
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
              flick_iiopxx_check_span(4, _flick_abort218);
              flick_cdr_decode_unsigned32(0, _t73_temp_string_len, flick_unsigned32_t );
              if (_t73_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort218);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t73_temp_string_len, _flick_abort218);
              flick_iiopxx_decode_new_chunk(1 * _t73_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t73_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort218);
                c->s10.inout() = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, c->s10.inout(), 1 * _t73_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t73_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort218);
              flick_cdr_decode_signed32(0, c->a, CORBA::Long );
              flick_cdr_decode_unsigned32(4, _t74_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(31);
              flick_iiopxx_decode_new_glob(1 * _t74_temp_string_len);
              flick_iiopxx_check_span(1 * _t74_temp_string_len, _flick_abort218);
              flick_iiopxx_decode_new_chunk(1 * _t74_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t74_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort218);
                c->sx.inout() = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, c->sx.inout(), 1 * _t74_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t74_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t74_temp_string_len);
              flick_iiopxx_decode_new_glob(3);
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort218);
              flick_cdr_decode_signed16(0, c->b, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(3);
              break;
              {
              _flick_abort218:
                goto _flick_abort184;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(30);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort231);
              break;
              {
              _flick_abort231:
                goto _flick_abort184;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort232);
              flick_iiopxx_decode_end_glob(30);
              break;
              {
              _flick_abort232:
                goto _flick_abort184;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort184);
  }
  return _return;
  {
  _flick_abort184:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort183);
  _flick_abort183:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

