#include "struct-client.h"
#include "struct-server.h"


static const CORBA::Long _oc_bar[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6261723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:bar:1.0 */,
    4, ACE_NTOHL(0x62617200) /* name = bar */,
    3 /* member count */,
    3, ACE_NTOHL(0x62310000) /* name = b1 */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x62320000) /* name = b2 */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x62330000) /* name = b3 */,
    CORBA::tk_string,
    0
};

static CORBA::TypeCode _tc_TAO_tc_bar (CORBA::tk_struct, sizeof(_oc_bar), (char *) &_oc_bar, 0, sizeof(struct bar ));

CORBA::TypeCode_ptr _tc_bar = &_tc_TAO_tc_bar;


void operator<<=(CORBA::Any &a, const struct bar &o)
{
  struct bar  *_any_val;
  ACE_NEW(_any_val, struct bar  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct bar *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct bar *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_bar, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct bar  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct bar , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_bar, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_bar, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

bar_var::bar_var()
  : ptr_(0)
{}

bar_var::bar_var(struct bar *p)
 : ptr_(p)
{}

bar_var::bar_var(const bar_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct bar (*a.ptr_);
  else
    this->ptr_ = 0;
}

bar_var::~bar_var()
{
  delete this->ptr_;
}

bar_var &bar_var::operator=(struct bar *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

bar_var &bar_var::operator=(const bar_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct bar (*p.ptr_);
  }
  return *this;
}

struct bar *bar_var::operator->()
{
  return this->ptr_;
}

const struct bar *bar_var::operator->() const
{
  return this->ptr_;
}

bar_var::operator const struct bar &() const
{
  return *this->ptr_;
}

bar_var::operator struct bar &()
{
  return *this->ptr_;
}

bar_var::operator struct bar &() const
{
  return *this->ptr_;
}

const struct bar &bar_var::in() const
{
  return *this->ptr_;
}

struct bar &bar_var::inout()
{
  return *this->ptr_;
}

struct bar *&bar_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct bar *bar_var::_retn()
{
  struct bar  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct bar *bar_var::ptr() const
{
  return this->ptr_;
}

bar_out::bar_out(struct bar *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

bar_out::bar_out(bar_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

bar_out::bar_out(const bar_out &r)
  : ptr_(ACE_const_cast(bar_out &,r).ptr_)
{}

bar_out &bar_out::operator=(const bar_out &r)
{
  this->ptr_ = ACE_const_cast(bar_out &,r).ptr_;
  return *this;
}

bar_out &bar_out::operator=(struct bar *r)
{
  this->ptr_ = r;
  return *this;
}

bar_out::operator struct bar *&()
{
  return this->ptr_;
}

struct bar *&bar_out::ptr()
{
  return this->ptr_;
}

struct bar *bar_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_bar2[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62617232), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:bar2:1.0 */,
    5, ACE_NTOHL(0x62617232), ACE_NTOHL(0x00000000) /* name = bar2 */,
    2 /* member count */,
    3, ACE_NTOHL(0x62330000) /* name = b3 */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x62340000) /* name = b4 */,
    CORBA::tk_struct,
    72 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6261723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:bar:1.0 */,
      4, ACE_NTOHL(0x62617200) /* name = bar */,
      3 /* member count */,
      3, ACE_NTOHL(0x62310000) /* name = b1 */,
      CORBA::tk_long,
      3, ACE_NTOHL(0x62320000) /* name = b2 */,
      CORBA::tk_long,
      3, ACE_NTOHL(0x62330000) /* name = b3 */,
      CORBA::tk_string,
      0
};

static CORBA::TypeCode _tc_TAO_tc_bar2 (CORBA::tk_struct, sizeof(_oc_bar2), (char *) &_oc_bar2, 0, sizeof(struct bar2 ));

CORBA::TypeCode_ptr _tc_bar2 = &_tc_TAO_tc_bar2;


void operator<<=(CORBA::Any &a, const struct bar2 &o)
{
  struct bar2  *_any_val;
  ACE_NEW(_any_val, struct bar2  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar2, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct bar2 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar2, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct bar2 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_bar2, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct bar2  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct bar2 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_bar2, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_bar2, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

bar2_var::bar2_var()
  : ptr_(0)
{}

bar2_var::bar2_var(struct bar2 *p)
 : ptr_(p)
{}

bar2_var::bar2_var(const bar2_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct bar2 (*a.ptr_);
  else
    this->ptr_ = 0;
}

bar2_var::~bar2_var()
{
  delete this->ptr_;
}

bar2_var &bar2_var::operator=(struct bar2 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

bar2_var &bar2_var::operator=(const bar2_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct bar2 (*p.ptr_);
  }
  return *this;
}

struct bar2 *bar2_var::operator->()
{
  return this->ptr_;
}

const struct bar2 *bar2_var::operator->() const
{
  return this->ptr_;
}

bar2_var::operator const struct bar2 &() const
{
  return *this->ptr_;
}

bar2_var::operator struct bar2 &()
{
  return *this->ptr_;
}

bar2_var::operator struct bar2 &() const
{
  return *this->ptr_;
}

const struct bar2 &bar2_var::in() const
{
  return *this->ptr_;
}

struct bar2 &bar2_var::inout()
{
  return *this->ptr_;
}

struct bar2 *&bar2_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct bar2 *bar2_var::_retn()
{
  struct bar2  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct bar2 *bar2_var::ptr() const
{
  return this->ptr_;
}

bar2_out::bar2_out(struct bar2 *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

bar2_out::bar2_out(bar2_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

bar2_out::bar2_out(const bar2_out &r)
  : ptr_(ACE_const_cast(bar2_out &,r).ptr_)
{}

bar2_out &bar2_out::operator=(const bar2_out &r)
{
  this->ptr_ = ACE_const_cast(bar2_out &,r).ptr_;
  return *this;
}

bar2_out &bar2_out::operator=(struct bar2 *r)
{
  this->ptr_ = r;
  return *this;
}

bar2_out::operator struct bar2 *&()
{
  return this->ptr_;
}

struct bar2 *&bar2_out::ptr()
{
  return this->ptr_;
}

struct bar2 *bar2_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_bar3[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62617233), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:bar3:1.0 */,
    5, ACE_NTOHL(0x62617233), ACE_NTOHL(0x00000000) /* name = bar3 */,
    3 /* member count */,
    3, ACE_NTOHL(0x62310000) /* name = b1 */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x62320000) /* name = b2 */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x62330000) /* name = b3 */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_bar3 (CORBA::tk_struct, sizeof(_oc_bar3), (char *) &_oc_bar3, 0, sizeof(struct bar3 ));

CORBA::TypeCode_ptr _tc_bar3 = &_tc_TAO_tc_bar3;


void operator<<=(CORBA::Any &a, const struct bar3 &o)
{
  struct bar3  *_any_val;
  ACE_NEW(_any_val, struct bar3  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar3, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct bar3 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar3, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct bar3 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_bar3, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct bar3  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct bar3 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_bar3, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_bar3, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

bar3_var::bar3_var()
  : ptr_(0)
{}

bar3_var::bar3_var(struct bar3 *p)
 : ptr_(p)
{}

bar3_var::bar3_var(const bar3_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct bar3 (*a.ptr_);
  else
    this->ptr_ = 0;
}

bar3_var::~bar3_var()
{
  delete this->ptr_;
}

bar3_var &bar3_var::operator=(struct bar3 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

bar3_var &bar3_var::operator=(const bar3_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct bar3 (*p.ptr_);
  }
  return *this;
}

struct bar3 *bar3_var::operator->()
{
  return this->ptr_;
}

const struct bar3 *bar3_var::operator->() const
{
  return this->ptr_;
}

bar3_var::operator const struct bar3 &() const
{
  return *this->ptr_;
}

bar3_var::operator struct bar3 &()
{
  return *this->ptr_;
}

bar3_var::operator struct bar3 &() const
{
  return *this->ptr_;
}

const struct bar3 &bar3_var::in() const
{
  return *this->ptr_;
}

struct bar3 &bar3_var::inout()
{
  return *this->ptr_;
}

struct bar3 &bar3_var::out()
{
  return *this->ptr_;
}

struct bar3 bar3_var::_retn()
{
  return *this->ptr_;
}

struct bar3 *bar3_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_bar4[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62617234), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:bar4:1.0 */,
    5, ACE_NTOHL(0x62617234), ACE_NTOHL(0x00000000) /* name = bar4 */,
    5 /* member count */,
    3, ACE_NTOHL(0x62310000) /* name = b1 */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x62320000) /* name = b2 */,
    CORBA::tk_struct,
    140 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62617232), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:bar2:1.0 */,
      5, ACE_NTOHL(0x62617232), ACE_NTOHL(0x00000000) /* name = bar2 */,
      2 /* member count */,
      3, ACE_NTOHL(0x62330000) /* name = b3 */,
      CORBA::tk_long,
      3, ACE_NTOHL(0x62340000) /* name = b4 */,
      CORBA::tk_struct,
      72 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6261723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:bar:1.0 */,
        4, ACE_NTOHL(0x62617200) /* name = bar */,
        3 /* member count */,
        3, ACE_NTOHL(0x62310000) /* name = b1 */,
        CORBA::tk_long,
        3, ACE_NTOHL(0x62320000) /* name = b2 */,
        CORBA::tk_long,
        3, ACE_NTOHL(0x62330000) /* name = b3 */,
        CORBA::tk_string,
        0,
    3, ACE_NTOHL(0x62330000) /* name = b3 */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x62340000) /* name = b4 */,
    CORBA::tk_struct,
    76 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62617233), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:bar3:1.0 */,
      5, ACE_NTOHL(0x62617233), ACE_NTOHL(0x00000000) /* name = bar3 */,
      3 /* member count */,
      3, ACE_NTOHL(0x62310000) /* name = b1 */,
      CORBA::tk_long,
      3, ACE_NTOHL(0x62320000) /* name = b2 */,
      CORBA::tk_long,
      3, ACE_NTOHL(0x62330000) /* name = b3 */,
      CORBA::tk_long,
    3, ACE_NTOHL(0x62350000) /* name = b5 */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_bar4 (CORBA::tk_struct, sizeof(_oc_bar4), (char *) &_oc_bar4, 0, sizeof(struct bar4 ));

CORBA::TypeCode_ptr _tc_bar4 = &_tc_TAO_tc_bar4;


void operator<<=(CORBA::Any &a, const struct bar4 &o)
{
  struct bar4  *_any_val;
  ACE_NEW(_any_val, struct bar4  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar4, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct bar4 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_bar4, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct bar4 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_bar4, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct bar4  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct bar4 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_bar4, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_bar4, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

bar4_var::bar4_var()
  : ptr_(0)
{}

bar4_var::bar4_var(struct bar4 *p)
 : ptr_(p)
{}

bar4_var::bar4_var(const bar4_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct bar4 (*a.ptr_);
  else
    this->ptr_ = 0;
}

bar4_var::~bar4_var()
{
  delete this->ptr_;
}

bar4_var &bar4_var::operator=(struct bar4 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

bar4_var &bar4_var::operator=(const bar4_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct bar4 (*p.ptr_);
  }
  return *this;
}

struct bar4 *bar4_var::operator->()
{
  return this->ptr_;
}

const struct bar4 *bar4_var::operator->() const
{
  return this->ptr_;
}

bar4_var::operator const struct bar4 &() const
{
  return *this->ptr_;
}

bar4_var::operator struct bar4 &()
{
  return *this->ptr_;
}

bar4_var::operator struct bar4 &() const
{
  return *this->ptr_;
}

const struct bar4 &bar4_var::in() const
{
  return *this->ptr_;
}

struct bar4 &bar4_var::inout()
{
  return *this->ptr_;
}

struct bar4 *&bar4_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct bar4 *bar4_var::_retn()
{
  struct bar4  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct bar4 *bar4_var::ptr() const
{
  return this->ptr_;
}

bar4_out::bar4_out(struct bar4 *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

bar4_out::bar4_out(bar4_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

bar4_out::bar4_out(const bar4_out &r)
  : ptr_(ACE_const_cast(bar4_out &,r).ptr_)
{}

bar4_out &bar4_out::operator=(const bar4_out &r)
{
  this->ptr_ = ACE_const_cast(bar4_out &,r).ptr_;
  return *this;
}

bar4_out &bar4_out::operator=(struct bar4 *r)
{
  this->ptr_ = r;
  return *this;
}

bar4_out::operator struct bar4 *&()
{
  return this->ptr_;
}

struct bar4 *&bar4_out::ptr()
{
  return this->ptr_;
}

struct bar4 *bar4_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_foo[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x666f6f3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:foo:1.0 */,
    4, ACE_NTOHL(0x666f6f00) /* name = foo */
};

static CORBA::TypeCode _tc_TAO_tc_foo (CORBA::tk_objref, sizeof(_oc_foo), (char *) &_oc_foo, 0, sizeof(foo ));

CORBA::TypeCode_ptr _tc_foo = &_tc_TAO_tc_foo;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<foo , foo_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<foo , foo_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


foo_ptr  (*_TAO_collocation_foo_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


foo_ptr foo::_duplicate(foo_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

foo_ptr foo::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return foo::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:foo:1.0", _env);
  if (_env.exception() != 0)
    return foo::_nil();
  if (is_a == 0)
    return foo::_nil();
  return foo::_unchecked_narrow(obj, _env);
}

foo_ptr foo::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return foo::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_foo_Stub_Factory_function_pointer != 0)
    {
      foo_ptr  retv = _TAO_collocation_foo_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new foo (stub);
}

foo_ptr foo::_nil()
{
  return (foo_ptr )NULL;
}

CORBA::Boolean foo::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:foo:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *foo::_interface_repository_id() const
{
  return "IDL:foo:1.0";
}

foo::foo()
{}

foo::~foo()
{}

void operator<<=(CORBA::Any &a, foo_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = foo::_duplicate(o);
    a.replace (_tc_foo, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, foo_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = foo::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_foo, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_foo, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = foo::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_foo, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

foo::foo(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

foo_var::foo_var()
  : ptr_(foo::_nil())
{}

foo_var::foo_var(foo_ptr p)
  : ptr_(p)
{}

foo_var::foo_var(const foo_var &a)
  : ptr_(foo::_duplicate(a.ptr()))
{}

foo_var::~foo_var()
{
  CORBA::release(this->ptr_);
}

foo_var &foo_var::operator=(foo_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

foo_var &foo_var::operator=(const foo_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = foo::_duplicate(p.ptr());
  }
  return *this;
}

foo_ptr foo_var::operator->() const
{
  return this->ptr_;
}

foo_var::operator const foo_ptr &() const
{
  return this->ptr_;
}

foo_var::operator foo_ptr &()
{
  return this->ptr_;
}

foo_ptr foo_var::in() const
{
  return this->ptr_;
}

foo_ptr &foo_var::inout()
{
  return this->ptr_;
}

foo_ptr &foo_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = foo::_nil();
  return this->ptr_;
}

foo_ptr foo_var::_retn()
{
  foo_ptr  val = this->ptr_;
  this->ptr_ = foo::_nil();
  return val;
}

foo_ptr foo_var::ptr() const
{
  return this->ptr_;
}

foo_out::foo_out(foo_ptr &r)
  : ptr_(r)
{
  this->ptr_ = foo::_nil();
}

foo_out::foo_out(foo_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = foo::_nil();
}

foo_out::foo_out(const foo_out &r)
  : ptr_(ACE_const_cast(foo_out &,r).ptr_)
{}

foo_out &foo_out::operator=(const foo_out &r)
{
  this->ptr_ = ACE_const_cast(foo_out &,r).ptr_;
  return *this;
}

foo_out &foo_out::operator=(const foo_var &r)
{
  this->ptr_ = foo::_duplicate(r.ptr());
  return *this;
}

foo_out &foo_out::operator=(foo_ptr r)
{
  this->ptr_ = r;
  return *this;
}

foo_out::operator foo_ptr &()
{
  return this->ptr_;
}

foo_ptr &foo_out::ptr()
{
  return this->ptr_;
}

foo_ptr foo_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_foo2[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x666f6f32), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:foo2:1.0 */,
    5, ACE_NTOHL(0x666f6f32), ACE_NTOHL(0x00000000) /* name = foo2 */
};

static CORBA::TypeCode _tc_TAO_tc_foo2 (CORBA::tk_objref, sizeof(_oc_foo2), (char *) &_oc_foo2, 0, sizeof(foo2 ));

CORBA::TypeCode_ptr _tc_foo2 = &_tc_TAO_tc_foo2;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<foo2 , foo2_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<foo2 , foo2_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


foo2_ptr  (*_TAO_collocation_foo2_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


foo2_ptr foo2::_duplicate(foo2_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

foo2_ptr foo2::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return foo2::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:foo2:1.0", _env);
  if (_env.exception() != 0)
    return foo2::_nil();
  if (is_a == 0)
    return foo2::_nil();
  return foo2::_unchecked_narrow(obj, _env);
}

foo2_ptr foo2::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return foo2::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_foo2_Stub_Factory_function_pointer != 0)
    {
      foo2_ptr  retv = _TAO_collocation_foo2_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new foo2 (stub);
}

foo2_ptr foo2::_nil()
{
  return (foo2_ptr )NULL;
}

CORBA::Boolean foo2::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:foo:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, "IDL:foo2:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *foo2::_interface_repository_id() const
{
  return "IDL:foo2:1.0";
}

foo2::foo2()
{}

foo2::~foo2()
{}

void operator<<=(CORBA::Any &a, foo2_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = foo2::_duplicate(o);
    a.replace (_tc_foo2, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, foo2_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = foo2::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_foo2, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_foo2, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = foo2::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_foo2, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

foo2::foo2(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

foo2_var::foo2_var()
  : ptr_(foo2::_nil())
{}

foo2_var::foo2_var(foo2_ptr p)
  : ptr_(p)
{}

foo2_var::foo2_var(const foo2_var &a)
  : ptr_(foo2::_duplicate(a.ptr()))
{}

foo2_var::~foo2_var()
{
  CORBA::release(this->ptr_);
}

foo2_var &foo2_var::operator=(foo2_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

foo2_var &foo2_var::operator=(const foo2_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = foo2::_duplicate(p.ptr());
  }
  return *this;
}

foo2_ptr foo2_var::operator->() const
{
  return this->ptr_;
}

foo2_var::operator const foo2_ptr &() const
{
  return this->ptr_;
}

foo2_var::operator foo2_ptr &()
{
  return this->ptr_;
}

foo2_ptr foo2_var::in() const
{
  return this->ptr_;
}

foo2_ptr &foo2_var::inout()
{
  return this->ptr_;
}

foo2_ptr &foo2_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = foo2::_nil();
  return this->ptr_;
}

foo2_ptr foo2_var::_retn()
{
  foo2_ptr  val = this->ptr_;
  this->ptr_ = foo2::_nil();
  return val;
}

foo2_ptr foo2_var::ptr() const
{
  return this->ptr_;
}

foo2_out::foo2_out(foo2_ptr &r)
  : ptr_(r)
{
  this->ptr_ = foo2::_nil();
}

foo2_out::foo2_out(foo2_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = foo2::_nil();
}

foo2_out::foo2_out(const foo2_out &r)
  : ptr_(ACE_const_cast(foo2_out &,r).ptr_)
{}

foo2_out &foo2_out::operator=(const foo2_out &r)
{
  this->ptr_ = ACE_const_cast(foo2_out &,r).ptr_;
  return *this;
}

foo2_out &foo2_out::operator=(const foo2_var &r)
{
  this->ptr_ = foo2::_duplicate(r.ptr());
  return *this;
}

foo2_out &foo2_out::operator=(foo2_ptr r)
{
  this->ptr_ = r;
  return *this;
}

foo2_out::operator foo2_ptr &()
{
  return this->ptr_;
}

foo2_ptr &foo2_out::ptr()
{
  return this->ptr_;
}

foo2_ptr foo2_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_CellPos1[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x43656c6c), ACE_NTOHL(0x506f7331), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:CellPos1:1.0 */,
    9, ACE_NTOHL(0x43656c6c), ACE_NTOHL(0x506f7331), ACE_NTOHL(0x00000000) /* name = CellPos1 */,
    2 /* member count */,
    4, ACE_NTOHL(0x726f7700) /* name = row */,
    CORBA::tk_alias,
    40 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:Coord:1.0 */,
      6, ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x64000000) /* name = Coord */,
      CORBA::tk_ushort,
    4, ACE_NTOHL(0x636f6c00) /* name = col */,
    CORBA::tk_alias,
    40 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:Coord:1.0 */,
      6, ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x64000000) /* name = Coord */,
      CORBA::tk_ushort
};

static CORBA::TypeCode _tc_TAO_tc_CellPos1 (CORBA::tk_struct, sizeof(_oc_CellPos1), (char *) &_oc_CellPos1, 0, sizeof(struct CellPos1 ));

CORBA::TypeCode_ptr _tc_CellPos1 = &_tc_TAO_tc_CellPos1;


void operator<<=(CORBA::Any &a, const struct CellPos1 &o)
{
  struct CellPos1  *_any_val;
  ACE_NEW(_any_val, struct CellPos1  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_CellPos1, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct CellPos1 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_CellPos1, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct CellPos1 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_CellPos1, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct CellPos1  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct CellPos1 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_CellPos1, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_CellPos1, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

CellPos1_var::CellPos1_var()
  : ptr_(0)
{}

CellPos1_var::CellPos1_var(struct CellPos1 *p)
 : ptr_(p)
{}

CellPos1_var::CellPos1_var(const CellPos1_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct CellPos1 (*a.ptr_);
  else
    this->ptr_ = 0;
}

CellPos1_var::~CellPos1_var()
{
  delete this->ptr_;
}

CellPos1_var &CellPos1_var::operator=(struct CellPos1 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

CellPos1_var &CellPos1_var::operator=(const CellPos1_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct CellPos1 (*p.ptr_);
  }
  return *this;
}

struct CellPos1 *CellPos1_var::operator->()
{
  return this->ptr_;
}

const struct CellPos1 *CellPos1_var::operator->() const
{
  return this->ptr_;
}

CellPos1_var::operator const struct CellPos1 &() const
{
  return *this->ptr_;
}

CellPos1_var::operator struct CellPos1 &()
{
  return *this->ptr_;
}

CellPos1_var::operator struct CellPos1 &() const
{
  return *this->ptr_;
}

const struct CellPos1 &CellPos1_var::in() const
{
  return *this->ptr_;
}

struct CellPos1 &CellPos1_var::inout()
{
  return *this->ptr_;
}

struct CellPos1 &CellPos1_var::out()
{
  return *this->ptr_;
}

struct CellPos1 CellPos1_var::_retn()
{
  return *this->ptr_;
}

struct CellPos1 *CellPos1_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_CellPos2[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x43656c6c), ACE_NTOHL(0x506f7332), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:CellPos2:1.0 */,
    9, ACE_NTOHL(0x43656c6c), ACE_NTOHL(0x506f7332), ACE_NTOHL(0x00000000) /* name = CellPos2 */,
    2 /* member count */,
    4, ACE_NTOHL(0x726f7700) /* name = row */,
    CORBA::tk_ushort,
    4, ACE_NTOHL(0x636f6c00) /* name = col */,
    CORBA::tk_ushort
};

static CORBA::TypeCode _tc_TAO_tc_CellPos2 (CORBA::tk_struct, sizeof(_oc_CellPos2), (char *) &_oc_CellPos2, 0, sizeof(struct CellPos2 ));

CORBA::TypeCode_ptr _tc_CellPos2 = &_tc_TAO_tc_CellPos2;


void operator<<=(CORBA::Any &a, const struct CellPos2 &o)
{
  struct CellPos2  *_any_val;
  ACE_NEW(_any_val, struct CellPos2  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_CellPos2, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct CellPos2 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_CellPos2, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct CellPos2 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_CellPos2, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct CellPos2  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct CellPos2 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_CellPos2, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_CellPos2, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

CellPos2_var::CellPos2_var()
  : ptr_(0)
{}

CellPos2_var::CellPos2_var(struct CellPos2 *p)
 : ptr_(p)
{}

CellPos2_var::CellPos2_var(const CellPos2_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct CellPos2 (*a.ptr_);
  else
    this->ptr_ = 0;
}

CellPos2_var::~CellPos2_var()
{
  delete this->ptr_;
}

CellPos2_var &CellPos2_var::operator=(struct CellPos2 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

CellPos2_var &CellPos2_var::operator=(const CellPos2_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct CellPos2 (*p.ptr_);
  }
  return *this;
}

struct CellPos2 *CellPos2_var::operator->()
{
  return this->ptr_;
}

const struct CellPos2 *CellPos2_var::operator->() const
{
  return this->ptr_;
}

CellPos2_var::operator const struct CellPos2 &() const
{
  return *this->ptr_;
}

CellPos2_var::operator struct CellPos2 &()
{
  return *this->ptr_;
}

CellPos2_var::operator struct CellPos2 &() const
{
  return *this->ptr_;
}

const struct CellPos2 &CellPos2_var::in() const
{
  return *this->ptr_;
}

struct CellPos2 &CellPos2_var::inout()
{
  return *this->ptr_;
}

struct CellPos2 &CellPos2_var::out()
{
  return *this->ptr_;
}

struct CellPos2 CellPos2_var::_retn()
{
  return *this->ptr_;
}

struct CellPos2 *CellPos2_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_CellPos3[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x43656c6c), ACE_NTOHL(0x506f7333), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:CellPos3:1.0 */,
    9, ACE_NTOHL(0x43656c6c), ACE_NTOHL(0x506f7333), ACE_NTOHL(0x00000000) /* name = CellPos3 */,
    3 /* member count */,
    4, ACE_NTOHL(0x726f7700) /* name = row */,
    CORBA::tk_alias,
    40 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:Coord:1.0 */,
      6, ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x64000000) /* name = Coord */,
      CORBA::tk_ushort,
    4, ACE_NTOHL(0x636f6c00) /* name = col */,
    CORBA::tk_alias,
    40 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:Coord:1.0 */,
      6, ACE_NTOHL(0x436f6f72), ACE_NTOHL(0x64000000) /* name = Coord */,
      CORBA::tk_ushort,
    5, ACE_NTOHL(0x636f6c32), ACE_NTOHL(0x00000000) /* name = col2 */,
    CORBA::tk_ushort
};

static CORBA::TypeCode _tc_TAO_tc_CellPos3 (CORBA::tk_struct, sizeof(_oc_CellPos3), (char *) &_oc_CellPos3, 0, sizeof(struct CellPos3 ));

CORBA::TypeCode_ptr _tc_CellPos3 = &_tc_TAO_tc_CellPos3;


void operator<<=(CORBA::Any &a, const struct CellPos3 &o)
{
  struct CellPos3  *_any_val;
  ACE_NEW(_any_val, struct CellPos3  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_CellPos3, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct CellPos3 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_CellPos3, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct CellPos3 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_CellPos3, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct CellPos3  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct CellPos3 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_CellPos3, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_CellPos3, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

CellPos3_var::CellPos3_var()
  : ptr_(0)
{}

CellPos3_var::CellPos3_var(struct CellPos3 *p)
 : ptr_(p)
{}

CellPos3_var::CellPos3_var(const CellPos3_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct CellPos3 (*a.ptr_);
  else
    this->ptr_ = 0;
}

CellPos3_var::~CellPos3_var()
{
  delete this->ptr_;
}

CellPos3_var &CellPos3_var::operator=(struct CellPos3 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

CellPos3_var &CellPos3_var::operator=(const CellPos3_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct CellPos3 (*p.ptr_);
  }
  return *this;
}

struct CellPos3 *CellPos3_var::operator->()
{
  return this->ptr_;
}

const struct CellPos3 *CellPos3_var::operator->() const
{
  return this->ptr_;
}

CellPos3_var::operator const struct CellPos3 &() const
{
  return *this->ptr_;
}

CellPos3_var::operator struct CellPos3 &()
{
  return *this->ptr_;
}

CellPos3_var::operator struct CellPos3 &() const
{
  return *this->ptr_;
}

const struct CellPos3 &CellPos3_var::in() const
{
  return *this->ptr_;
}

struct CellPos3 &CellPos3_var::inout()
{
  return *this->ptr_;
}

struct CellPos3 &CellPos3_var::out()
{
  return *this->ptr_;
}

struct CellPos3 CellPos3_var::_retn()
{
  return *this->ptr_;
}

struct CellPos3 *CellPos3_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_Cells[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x43656c6c), ACE_NTOHL(0x733a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:Cells:1.0 */,
    6, ACE_NTOHL(0x43656c6c), ACE_NTOHL(0x73000000) /* name = Cells */
};

static CORBA::TypeCode _tc_TAO_tc_Cells (CORBA::tk_objref, sizeof(_oc_Cells), (char *) &_oc_Cells, 0, sizeof(Cells ));

CORBA::TypeCode_ptr _tc_Cells = &_tc_TAO_tc_Cells;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<Cells , Cells_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<Cells , Cells_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


Cells_ptr  (*_TAO_collocation_Cells_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


Cells_ptr Cells::_duplicate(Cells_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

Cells_ptr Cells::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return Cells::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:Cells:1.0", _env);
  if (_env.exception() != 0)
    return Cells::_nil();
  if (is_a == 0)
    return Cells::_nil();
  return Cells::_unchecked_narrow(obj, _env);
}

Cells_ptr Cells::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return Cells::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_Cells_Stub_Factory_function_pointer != 0)
    {
      Cells_ptr  retv = _TAO_collocation_Cells_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new Cells (stub);
}

Cells_ptr Cells::_nil()
{
  return (Cells_ptr )NULL;
}

CORBA::Boolean Cells::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:foo:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, "IDL:foo2:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, "IDL:Cells:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *Cells::_interface_repository_id() const
{
  return "IDL:Cells:1.0";
}

Cells::Cells()
{}

Cells::~Cells()
{}

void operator<<=(CORBA::Any &a, Cells_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = Cells::_duplicate(o);
    a.replace (_tc_Cells, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, Cells_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = Cells::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_Cells, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_Cells, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = Cells::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_Cells, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

Cells::Cells(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

Cells_var::Cells_var()
  : ptr_(Cells::_nil())
{}

Cells_var::Cells_var(Cells_ptr p)
  : ptr_(p)
{}

Cells_var::Cells_var(const Cells_var &a)
  : ptr_(Cells::_duplicate(a.ptr()))
{}

Cells_var::~Cells_var()
{
  CORBA::release(this->ptr_);
}

Cells_var &Cells_var::operator=(Cells_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

Cells_var &Cells_var::operator=(const Cells_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = Cells::_duplicate(p.ptr());
  }
  return *this;
}

Cells_ptr Cells_var::operator->() const
{
  return this->ptr_;
}

Cells_var::operator const Cells_ptr &() const
{
  return this->ptr_;
}

Cells_var::operator Cells_ptr &()
{
  return this->ptr_;
}

Cells_ptr Cells_var::in() const
{
  return this->ptr_;
}

Cells_ptr &Cells_var::inout()
{
  return this->ptr_;
}

Cells_ptr &Cells_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = Cells::_nil();
  return this->ptr_;
}

Cells_ptr Cells_var::_retn()
{
  Cells_ptr  val = this->ptr_;
  this->ptr_ = Cells::_nil();
  return val;
}

Cells_ptr Cells_var::ptr() const
{
  return this->ptr_;
}

Cells_out::Cells_out(Cells_ptr &r)
  : ptr_(r)
{
  this->ptr_ = Cells::_nil();
}

Cells_out::Cells_out(Cells_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = Cells::_nil();
}

Cells_out::Cells_out(const Cells_out &r)
  : ptr_(ACE_const_cast(Cells_out &,r).ptr_)
{}

Cells_out &Cells_out::operator=(const Cells_out &r)
{
  this->ptr_ = ACE_const_cast(Cells_out &,r).ptr_;
  return *this;
}

Cells_out &Cells_out::operator=(const Cells_var &r)
{
  this->ptr_ = Cells::_duplicate(r.ptr());
  return *this;
}

Cells_out &Cells_out::operator=(Cells_ptr r)
{
  this->ptr_ = r;
  return *this;
}

Cells_out::operator Cells_ptr &()
{
  return this->ptr_;
}

Cells_ptr &Cells_out::ptr()
{
  return this->ptr_;
}

Cells_ptr Cells_out::operator->()
{
  return this->ptr_;
}
CORBA::Long foo::op(/* foo *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1);
    }




    {
      flick_unsigned32_t _t1_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, a.b3.in(), flick_unsigned32_t , _t1_temp_string_len);

      flick_iiopxx_encode_new_glob(45, _flick_abort1);
      flick_iiopxx_encode_new_chunk(24 + 1 * _t1_temp_string_len);
      flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a.b1, CORBA::Long );
      flick_cdr_encode_signed32(16, a.b2, CORBA::Long );
      flick_cdr_encode_unsigned32(20, _t1_temp_string_len, flick_unsigned32_t );
      if (_t1_temp_string_len > 21)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1);
      flick_cdr_encode_bcopy(24, a.b3.in(), 1 * _t1_temp_string_len);
      flick_iiopxx_encode_end_chunk(24 + 1 * _t1_temp_string_len);
      flick_iiopxx_encode_end_glob(45);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t5_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(45);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t5_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t5_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t7_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(20, _flick_abort24);
              flick_iiopxx_decode_new_chunk(20);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              {
                struct bar2 *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar2 *)new (struct bar2 );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort24);
                b = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_signed32(4, b->b3, CORBA::Long );
              flick_cdr_swap_decode_signed32(8, b->b4.b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(12, b->b4.b2, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(16, _t7_temp_string_len, flick_unsigned32_t );
              if (_t7_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort24);
              flick_iiopxx_decode_end_chunk(20);
              flick_iiopxx_check_span(1 * _t7_temp_string_len, _flick_abort24);
              flick_iiopxx_decode_new_chunk(1 * _t7_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t7_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort24);
                b->b4.b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b->b4.b3.inout(), 1 * _t7_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t7_temp_string_len);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort24:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(45);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort27);
              break;
              {
              _flick_abort27:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort28);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort28:
                goto _flick_abort1;
              }
            }
          }
      }

    else
      {
        int _t2_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(45);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t2_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t2_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t4_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(20, _flick_abort13);
              flick_iiopxx_decode_new_chunk(20);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              {
                struct bar2 *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar2 *)new (struct bar2 );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13);
                b = _t_alloc_ptr;
              }
              flick_cdr_decode_signed32(4, b->b3, CORBA::Long );
              flick_cdr_decode_signed32(8, b->b4.b1, CORBA::Long );
              flick_cdr_decode_signed32(12, b->b4.b2, CORBA::Long );
              flick_cdr_decode_unsigned32(16, _t4_temp_string_len, flick_unsigned32_t );
              if (_t4_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort13);
              flick_iiopxx_decode_end_chunk(20);
              flick_iiopxx_check_span(1 * _t4_temp_string_len, _flick_abort13);
              flick_iiopxx_decode_new_chunk(1 * _t4_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t4_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13);
                b->b4.b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b->b4.b3.inout(), 1 * _t4_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t4_temp_string_len);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort13:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(45);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort16);
              break;
              {
              _flick_abort16:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort17);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort17:
                goto _flick_abort1;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1);
  }
  return _return;
  {
  _flick_abort1:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

struct bar *foo2::op2(/* foo2 *this, */ const struct bar2 &a, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  struct bar *_return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort30);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort30);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort30);
    }




    {
      flick_unsigned32_t _t9_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, a.b4.b3.in(), flick_unsigned32_t , _t9_temp_string_len);

      flick_iiopxx_encode_new_glob(49, _flick_abort30);
      flick_iiopxx_encode_new_chunk(28 + 1 * _t9_temp_string_len);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '2', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a.b3, CORBA::Long );
      flick_cdr_encode_signed32(16, a.b4.b1, CORBA::Long );
      flick_cdr_encode_signed32(20, a.b4.b2, CORBA::Long );
      flick_cdr_encode_unsigned32(24, _t9_temp_string_len, flick_unsigned32_t );
      if (_t9_temp_string_len > 21)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort30);
      flick_cdr_encode_bcopy(28, a.b4.b3.in(), 1 * _t9_temp_string_len);
      flick_iiopxx_encode_end_chunk(28 + 1 * _t9_temp_string_len);
      flick_iiopxx_encode_end_glob(49);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort30);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort30);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort30);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort30);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t13_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(37);
        flick_iiopxx_check_span(4, _flick_abort30);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t13_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t13_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t15_temp_string_len;

              /* Begin decode phase on parameters */
              {
                struct bar *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar *)new (struct bar );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort53);
                _return = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(12, _flick_abort53);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_signed32(0, _return->b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(4, _return->b2, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(8, _t15_temp_string_len, flick_unsigned32_t );
              if (_t15_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort53);
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_check_span(1 * _t15_temp_string_len, _flick_abort53);
              flick_iiopxx_decode_new_chunk(1 * _t15_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t15_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort53);
                _return->b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return->b3.inout(), 1 * _t15_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t15_temp_string_len);
              flick_iiopxx_decode_end_glob(37);
              break;
              {
              _flick_abort53:
                goto _flick_abort30;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(37);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort56);
              break;
              {
              _flick_abort56:
                goto _flick_abort30;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort57);
              flick_iiopxx_decode_end_glob(37);
              break;
              {
              _flick_abort57:
                goto _flick_abort30;
              }
            }
          }
      }

    else
      {
        int _t10_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(37);
        flick_iiopxx_check_span(4, _flick_abort30);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t10_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t10_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t12_temp_string_len;

              /* Begin decode phase on parameters */
              {
                struct bar *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar *)new (struct bar );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort42);
                _return = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(12, _flick_abort42);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_signed32(0, _return->b1, CORBA::Long );
              flick_cdr_decode_signed32(4, _return->b2, CORBA::Long );
              flick_cdr_decode_unsigned32(8, _t12_temp_string_len, flick_unsigned32_t );
              if (_t12_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort42);
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_check_span(1 * _t12_temp_string_len, _flick_abort42);
              flick_iiopxx_decode_new_chunk(1 * _t12_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t12_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort42);
                _return->b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return->b3.inout(), 1 * _t12_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t12_temp_string_len);
              flick_iiopxx_decode_end_glob(37);
              break;
              {
              _flick_abort42:
                goto _flick_abort30;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(37);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort45);
              break;
              {
              _flick_abort45:
                goto _flick_abort30;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort46);
              flick_iiopxx_decode_end_glob(37);
              break;
              {
              _flick_abort46:
                goto _flick_abort30;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort30);
  }
  return _return;
  {
  _flick_abort30:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort29);
  _flick_abort29:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long foo2::op3(/* foo2 *this, */ CORBA::Long a, ::CORBA::Char &b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort59);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort59);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort59);
    }




    {
      flick_iiopxx_encode_new_glob(16, _flick_abort59);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '3', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a, CORBA::Long );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort59);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort59);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort59);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort59);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t17_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort59);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t17_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t17_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort72);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_swap_decode_char8(4, b, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort72:
                goto _flick_abort59;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort73);
              break;
              {
              _flick_abort73:
                goto _flick_abort59;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort74);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort74:
                goto _flick_abort59;
              }
            }
          }
      }

    else
      {
        int _t16_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort59);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t16_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t16_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort65);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_decode_char8(4, b, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort65:
                goto _flick_abort59;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort66);
              break;
              {
              _flick_abort66:
                goto _flick_abort59;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort67);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort67:
                goto _flick_abort59;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort59);
  }
  return _return;
  {
  _flick_abort59:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort58);
  _flick_abort58:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long foo2::op(/* foo2 *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort76);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort76);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort76);
    }




    {
      flick_unsigned32_t _t19_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, a.b3.in(), flick_unsigned32_t , _t19_temp_string_len);

      flick_iiopxx_encode_new_glob(45, _flick_abort76);
      flick_iiopxx_encode_new_chunk(24 + 1 * _t19_temp_string_len);
      flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a.b1, CORBA::Long );
      flick_cdr_encode_signed32(16, a.b2, CORBA::Long );
      flick_cdr_encode_unsigned32(20, _t19_temp_string_len, flick_unsigned32_t );
      if (_t19_temp_string_len > 21)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort76);
      flick_cdr_encode_bcopy(24, a.b3.in(), 1 * _t19_temp_string_len);
      flick_iiopxx_encode_end_chunk(24 + 1 * _t19_temp_string_len);
      flick_iiopxx_encode_end_glob(45);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort76);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort76);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort76);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort76);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t23_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(45);
        flick_iiopxx_check_span(4, _flick_abort76);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t23_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t23_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t25_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(20, _flick_abort99);
              flick_iiopxx_decode_new_chunk(20);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              {
                struct bar2 *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar2 *)new (struct bar2 );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort99);
                b = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_signed32(4, b->b3, CORBA::Long );
              flick_cdr_swap_decode_signed32(8, b->b4.b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(12, b->b4.b2, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(16, _t25_temp_string_len, flick_unsigned32_t );
              if (_t25_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort99);
              flick_iiopxx_decode_end_chunk(20);
              flick_iiopxx_check_span(1 * _t25_temp_string_len, _flick_abort99);
              flick_iiopxx_decode_new_chunk(1 * _t25_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t25_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort99);
                b->b4.b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b->b4.b3.inout(), 1 * _t25_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t25_temp_string_len);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort99:
                goto _flick_abort76;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(45);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort102);
              break;
              {
              _flick_abort102:
                goto _flick_abort76;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort103);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort103:
                goto _flick_abort76;
              }
            }
          }
      }

    else
      {
        int _t20_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(45);
        flick_iiopxx_check_span(4, _flick_abort76);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t20_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t20_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t22_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(20, _flick_abort88);
              flick_iiopxx_decode_new_chunk(20);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              {
                struct bar2 *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar2 *)new (struct bar2 );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort88);
                b = _t_alloc_ptr;
              }
              flick_cdr_decode_signed32(4, b->b3, CORBA::Long );
              flick_cdr_decode_signed32(8, b->b4.b1, CORBA::Long );
              flick_cdr_decode_signed32(12, b->b4.b2, CORBA::Long );
              flick_cdr_decode_unsigned32(16, _t22_temp_string_len, flick_unsigned32_t );
              if (_t22_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort88);
              flick_iiopxx_decode_end_chunk(20);
              flick_iiopxx_check_span(1 * _t22_temp_string_len, _flick_abort88);
              flick_iiopxx_decode_new_chunk(1 * _t22_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t22_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort88);
                b->b4.b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b->b4.b3.inout(), 1 * _t22_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t22_temp_string_len);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort88:
                goto _flick_abort76;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(45);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort91);
              break;
              {
              _flick_abort91:
                goto _flick_abort76;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort92);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort92:
                goto _flick_abort76;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort76);
  }
  return _return;
  {
  _flick_abort76:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort75);
  _flick_abort75:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

struct bar4 *Cells::op4(/* Cells *this, */ const struct bar4 &a, struct bar4 &b, bar4_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  struct bar4 *_return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort105);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort105);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort105);
    }




    {
      flick_unsigned32_t _t28_temp_string_len;
      flick_unsigned32_t _t29_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, a.b2.b4.b3.in(), flick_unsigned32_t , _t28_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, b.b2.b4.b3.inout(), flick_unsigned32_t , _t29_temp_string_len);

      flick_iiopxx_encode_new_glob(140, _flick_abort105);
      flick_iiopxx_encode_new_chunk(32 + 1 * _t28_temp_string_len);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '4', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a.b1, CORBA::Long );
      flick_cdr_encode_signed32(16, a.b2.b3, CORBA::Long );
      flick_cdr_encode_signed32(20, a.b2.b4.b1, CORBA::Long );
      flick_cdr_encode_signed32(24, a.b2.b4.b2, CORBA::Long );
      flick_cdr_encode_unsigned32(28, _t28_temp_string_len, flick_unsigned32_t );
      if (_t28_temp_string_len > 21)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort105);
      flick_cdr_encode_bcopy(32, a.b2.b4.b3.in(), 1 * _t28_temp_string_len);
      flick_iiopxx_encode_end_chunk(32 + 1 * _t28_temp_string_len);
      flick_iiopxx_encode_new_chunk_align(40 + 1 * _t29_temp_string_len, 2, 0, 0);
      flick_cdr_encode_signed32(0, a.b3, CORBA::Long );
      flick_cdr_encode_signed32(4, a.b4.b1, CORBA::Long );
      flick_cdr_encode_signed32(8, a.b4.b2, CORBA::Long );
      flick_cdr_encode_signed32(12, a.b4.b3, CORBA::Long );
      flick_cdr_encode_signed32(16, a.b5, CORBA::Long );
      flick_cdr_encode_signed32(20, b.b1, CORBA::Long );
      flick_cdr_encode_signed32(24, b.b2.b3, CORBA::Long );
      flick_cdr_encode_signed32(28, b.b2.b4.b1, CORBA::Long );
      flick_cdr_encode_signed32(32, b.b2.b4.b2, CORBA::Long );
      flick_cdr_encode_unsigned32(36, _t29_temp_string_len, flick_unsigned32_t );
      if (_t29_temp_string_len > 21)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort105);
      flick_cdr_encode_bcopy(40, b.b2.b4.b3.inout(), 1 * _t29_temp_string_len);
      flick_iiopxx_encode_end_chunk(40 + 1 * _t29_temp_string_len);
      flick_iiopxx_encode_new_chunk_align(20, 2, 0, 0);
      flick_cdr_encode_signed32(0, b.b3, CORBA::Long );
      flick_cdr_encode_signed32(4, b.b4.b1, CORBA::Long );
      flick_cdr_encode_signed32(8, b.b4.b2, CORBA::Long );
      flick_cdr_encode_signed32(12, b.b4.b3, CORBA::Long );
      flick_cdr_encode_signed32(16, b.b5, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(140);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort105);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort105);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort105);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort105);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t37_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(196);
        flick_iiopxx_check_span(4, _flick_abort105);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t37_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t37_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t41_temp_string_len;
              flick_unsigned32_t _t42_temp_string_len;
              flick_unsigned32_t _t43_temp_string_len;

              /* Begin decode phase on parameters */
              {
                struct bar4 *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar4 *)new (struct bar4 );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort144);
                _return = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(20, _flick_abort144);
              flick_iiopxx_decode_new_chunk(20);
              flick_cdr_swap_decode_signed32(0, _return->b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(4, _return->b2.b3, CORBA::Long );
              flick_cdr_swap_decode_signed32(8, _return->b2.b4.b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(12, _return->b2.b4.b2, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(16, _t41_temp_string_len, flick_unsigned32_t );
              if (_t41_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort144);
              flick_iiopxx_decode_end_chunk(20);
              flick_iiopxx_check_span(1 * _t41_temp_string_len, _flick_abort144);
              flick_iiopxx_decode_new_chunk(1 * _t41_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t41_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort144);
                _return->b2.b4.b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return->b2.b4.b3.inout(), 1 * _t41_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t41_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(40, 2, 0, 0);
              flick_iiopxx_check_span(40, _flick_abort144);
              flick_cdr_swap_decode_signed32(0, _return->b3, CORBA::Long );
              flick_cdr_swap_decode_signed32(4, _return->b4.b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(8, _return->b4.b2, CORBA::Long );
              flick_cdr_swap_decode_signed32(12, _return->b4.b3, CORBA::Long );
              flick_cdr_swap_decode_signed32(16, _return->b5, CORBA::Long );
              flick_cdr_swap_decode_signed32(20, b.b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(24, b.b2.b3, CORBA::Long );
              flick_cdr_swap_decode_signed32(28, b.b2.b4.b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(32, b.b2.b4.b2, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(36, _t42_temp_string_len, flick_unsigned32_t );
              if (_t42_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort144);
              flick_iiopxx_decode_end_chunk(40);
              flick_iiopxx_check_span(1 * _t42_temp_string_len, _flick_abort144);
              flick_iiopxx_decode_new_chunk(1 * _t42_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t42_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort144);
                b.b2.b4.b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b.b2.b4.b3.inout(), 1 * _t42_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t42_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(40, 2, 0, 0);
              flick_iiopxx_check_span(40, _flick_abort144);
              flick_cdr_swap_decode_signed32(0, b.b3, CORBA::Long );
              flick_cdr_swap_decode_signed32(4, b.b4.b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(8, b.b4.b2, CORBA::Long );
              flick_cdr_swap_decode_signed32(12, b.b4.b3, CORBA::Long );
              flick_cdr_swap_decode_signed32(16, b.b5, CORBA::Long );
              {
                struct bar4 *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar4 *)new (struct bar4 );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort144);
                c = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_signed32(20, c->b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(24, c->b2.b3, CORBA::Long );
              flick_cdr_swap_decode_signed32(28, c->b2.b4.b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(32, c->b2.b4.b2, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(36, _t43_temp_string_len, flick_unsigned32_t );
              if (_t43_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort144);
              flick_iiopxx_decode_end_chunk(40);
              flick_iiopxx_check_span(1 * _t43_temp_string_len, _flick_abort144);
              flick_iiopxx_decode_new_chunk(1 * _t43_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t43_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort144);
                c->b2.b4.b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, c->b2.b4.b3.inout(), 1 * _t43_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t43_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(20, 2, 0, 0);
              flick_iiopxx_check_span(20, _flick_abort144);
              flick_cdr_swap_decode_signed32(0, c->b3, CORBA::Long );
              flick_cdr_swap_decode_signed32(4, c->b4.b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(8, c->b4.b2, CORBA::Long );
              flick_cdr_swap_decode_signed32(12, c->b4.b3, CORBA::Long );
              flick_cdr_swap_decode_signed32(16, c->b5, CORBA::Long );
              flick_iiopxx_decode_end_chunk(20);
              flick_iiopxx_decode_end_glob(196);
              break;
              {
              _flick_abort144:
                goto _flick_abort105;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(196);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort151);
              break;
              {
              _flick_abort151:
                goto _flick_abort105;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort152);
              flick_iiopxx_decode_end_glob(196);
              break;
              {
              _flick_abort152:
                goto _flick_abort105;
              }
            }
          }
      }

    else
      {
        int _t30_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(196);
        flick_iiopxx_check_span(4, _flick_abort105);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t30_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t30_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t34_temp_string_len;
              flick_unsigned32_t _t35_temp_string_len;
              flick_unsigned32_t _t36_temp_string_len;

              /* Begin decode phase on parameters */
              {
                struct bar4 *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar4 *)new (struct bar4 );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort125);
                _return = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(20, _flick_abort125);
              flick_iiopxx_decode_new_chunk(20);
              flick_cdr_decode_signed32(0, _return->b1, CORBA::Long );
              flick_cdr_decode_signed32(4, _return->b2.b3, CORBA::Long );
              flick_cdr_decode_signed32(8, _return->b2.b4.b1, CORBA::Long );
              flick_cdr_decode_signed32(12, _return->b2.b4.b2, CORBA::Long );
              flick_cdr_decode_unsigned32(16, _t34_temp_string_len, flick_unsigned32_t );
              if (_t34_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort125);
              flick_iiopxx_decode_end_chunk(20);
              flick_iiopxx_check_span(1 * _t34_temp_string_len, _flick_abort125);
              flick_iiopxx_decode_new_chunk(1 * _t34_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t34_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort125);
                _return->b2.b4.b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return->b2.b4.b3.inout(), 1 * _t34_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t34_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(40, 2, 0, 0);
              flick_iiopxx_check_span(40, _flick_abort125);
              flick_cdr_decode_signed32(0, _return->b3, CORBA::Long );
              flick_cdr_decode_signed32(4, _return->b4.b1, CORBA::Long );
              flick_cdr_decode_signed32(8, _return->b4.b2, CORBA::Long );
              flick_cdr_decode_signed32(12, _return->b4.b3, CORBA::Long );
              flick_cdr_decode_signed32(16, _return->b5, CORBA::Long );
              flick_cdr_decode_signed32(20, b.b1, CORBA::Long );
              flick_cdr_decode_signed32(24, b.b2.b3, CORBA::Long );
              flick_cdr_decode_signed32(28, b.b2.b4.b1, CORBA::Long );
              flick_cdr_decode_signed32(32, b.b2.b4.b2, CORBA::Long );
              flick_cdr_decode_unsigned32(36, _t35_temp_string_len, flick_unsigned32_t );
              if (_t35_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort125);
              flick_iiopxx_decode_end_chunk(40);
              flick_iiopxx_check_span(1 * _t35_temp_string_len, _flick_abort125);
              flick_iiopxx_decode_new_chunk(1 * _t35_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t35_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort125);
                b.b2.b4.b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b.b2.b4.b3.inout(), 1 * _t35_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t35_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(40, 2, 0, 0);
              flick_iiopxx_check_span(40, _flick_abort125);
              flick_cdr_decode_signed32(0, b.b3, CORBA::Long );
              flick_cdr_decode_signed32(4, b.b4.b1, CORBA::Long );
              flick_cdr_decode_signed32(8, b.b4.b2, CORBA::Long );
              flick_cdr_decode_signed32(12, b.b4.b3, CORBA::Long );
              flick_cdr_decode_signed32(16, b.b5, CORBA::Long );
              {
                struct bar4 *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar4 *)new (struct bar4 );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort125);
                c = _t_alloc_ptr;
              }
              flick_cdr_decode_signed32(20, c->b1, CORBA::Long );
              flick_cdr_decode_signed32(24, c->b2.b3, CORBA::Long );
              flick_cdr_decode_signed32(28, c->b2.b4.b1, CORBA::Long );
              flick_cdr_decode_signed32(32, c->b2.b4.b2, CORBA::Long );
              flick_cdr_decode_unsigned32(36, _t36_temp_string_len, flick_unsigned32_t );
              if (_t36_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort125);
              flick_iiopxx_decode_end_chunk(40);
              flick_iiopxx_check_span(1 * _t36_temp_string_len, _flick_abort125);
              flick_iiopxx_decode_new_chunk(1 * _t36_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t36_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort125);
                c->b2.b4.b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, c->b2.b4.b3.inout(), 1 * _t36_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t36_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(20, 2, 0, 0);
              flick_iiopxx_check_span(20, _flick_abort125);
              flick_cdr_decode_signed32(0, c->b3, CORBA::Long );
              flick_cdr_decode_signed32(4, c->b4.b1, CORBA::Long );
              flick_cdr_decode_signed32(8, c->b4.b2, CORBA::Long );
              flick_cdr_decode_signed32(12, c->b4.b3, CORBA::Long );
              flick_cdr_decode_signed32(16, c->b5, CORBA::Long );
              flick_iiopxx_decode_end_chunk(20);
              flick_iiopxx_decode_end_glob(196);
              break;
              {
              _flick_abort125:
                goto _flick_abort105;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(196);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort132);
              break;
              {
              _flick_abort132:
                goto _flick_abort105;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort133);
              flick_iiopxx_decode_end_glob(196);
              break;
              {
              _flick_abort133:
                goto _flick_abort105;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort105);
  }
  return _return;
  {
  _flick_abort105:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort104);
  _flick_abort104:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

Coord Cells::op5(/* Cells *this, */ const struct CellPos1 &a, struct CellPos2 &b, CellPos3_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  Coord _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort154);
    }




    {
      flick_iiopxx_encode_new_glob(20, _flick_abort154);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '5', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned16(12, a.row, CORBA::UShort );
      flick_cdr_encode_unsigned16(14, a.col, CORBA::UShort );
      flick_cdr_encode_unsigned16(16, b.row, CORBA::UShort );
      flick_cdr_encode_unsigned16(18, b.col, CORBA::UShort );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort154);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t45_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort154);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t45_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t45_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort167);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(2, b.row, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(4, b.col, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(6, c.row, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(8, c.col, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(10, c.col2, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort167:
                goto _flick_abort154;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort168);
              break;
              {
              _flick_abort168:
                goto _flick_abort154;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort169);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort169:
                goto _flick_abort154;
              }
            }
          }
      }

    else
      {
        int _t44_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort154);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t44_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t44_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort160);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_decode_unsigned16(2, b.row, CORBA::UShort );
              flick_cdr_decode_unsigned16(4, b.col, CORBA::UShort );
              flick_cdr_decode_unsigned16(6, c.row, CORBA::UShort );
              flick_cdr_decode_unsigned16(8, c.col, CORBA::UShort );
              flick_cdr_decode_unsigned16(10, c.col2, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort160:
                goto _flick_abort154;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort161);
              break;
              {
              _flick_abort161:
                goto _flick_abort154;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort162);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort162:
                goto _flick_abort154;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort154);
  }
  return _return;
  {
  _flick_abort154:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort153);
  _flick_abort153:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

struct bar *Cells::op2(/* Cells *this, */ const struct bar2 &a, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  struct bar *_return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort171);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort171);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort171);
    }




    {
      flick_unsigned32_t _t47_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, a.b4.b3.in(), flick_unsigned32_t , _t47_temp_string_len);

      flick_iiopxx_encode_new_glob(49, _flick_abort171);
      flick_iiopxx_encode_new_chunk(28 + 1 * _t47_temp_string_len);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '2', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a.b3, CORBA::Long );
      flick_cdr_encode_signed32(16, a.b4.b1, CORBA::Long );
      flick_cdr_encode_signed32(20, a.b4.b2, CORBA::Long );
      flick_cdr_encode_unsigned32(24, _t47_temp_string_len, flick_unsigned32_t );
      if (_t47_temp_string_len > 21)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort171);
      flick_cdr_encode_bcopy(28, a.b4.b3.in(), 1 * _t47_temp_string_len);
      flick_iiopxx_encode_end_chunk(28 + 1 * _t47_temp_string_len);
      flick_iiopxx_encode_end_glob(49);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort171);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort171);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort171);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort171);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t51_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(37);
        flick_iiopxx_check_span(4, _flick_abort171);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t51_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t51_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t53_temp_string_len;

              /* Begin decode phase on parameters */
              {
                struct bar *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar *)new (struct bar );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort194);
                _return = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(12, _flick_abort194);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_signed32(0, _return->b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(4, _return->b2, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(8, _t53_temp_string_len, flick_unsigned32_t );
              if (_t53_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort194);
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_check_span(1 * _t53_temp_string_len, _flick_abort194);
              flick_iiopxx_decode_new_chunk(1 * _t53_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t53_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort194);
                _return->b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return->b3.inout(), 1 * _t53_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t53_temp_string_len);
              flick_iiopxx_decode_end_glob(37);
              break;
              {
              _flick_abort194:
                goto _flick_abort171;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(37);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort197);
              break;
              {
              _flick_abort197:
                goto _flick_abort171;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort198);
              flick_iiopxx_decode_end_glob(37);
              break;
              {
              _flick_abort198:
                goto _flick_abort171;
              }
            }
          }
      }

    else
      {
        int _t48_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(37);
        flick_iiopxx_check_span(4, _flick_abort171);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t48_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t48_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t50_temp_string_len;

              /* Begin decode phase on parameters */
              {
                struct bar *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar *)new (struct bar );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort183);
                _return = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(12, _flick_abort183);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_signed32(0, _return->b1, CORBA::Long );
              flick_cdr_decode_signed32(4, _return->b2, CORBA::Long );
              flick_cdr_decode_unsigned32(8, _t50_temp_string_len, flick_unsigned32_t );
              if (_t50_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort183);
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_check_span(1 * _t50_temp_string_len, _flick_abort183);
              flick_iiopxx_decode_new_chunk(1 * _t50_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t50_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort183);
                _return->b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return->b3.inout(), 1 * _t50_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t50_temp_string_len);
              flick_iiopxx_decode_end_glob(37);
              break;
              {
              _flick_abort183:
                goto _flick_abort171;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(37);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort186);
              break;
              {
              _flick_abort186:
                goto _flick_abort171;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort187);
              flick_iiopxx_decode_end_glob(37);
              break;
              {
              _flick_abort187:
                goto _flick_abort171;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort171);
  }
  return _return;
  {
  _flick_abort171:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort170);
  _flick_abort170:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long Cells::op3(/* Cells *this, */ CORBA::Long a, ::CORBA::Char &b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort200);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort200);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort200);
    }




    {
      flick_iiopxx_encode_new_glob(16, _flick_abort200);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '3', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a, CORBA::Long );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort200);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort200);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort200);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort200);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t55_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort200);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t55_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t55_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort213);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_swap_decode_char8(4, b, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort213:
                goto _flick_abort200;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort214);
              break;
              {
              _flick_abort214:
                goto _flick_abort200;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort215);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort215:
                goto _flick_abort200;
              }
            }
          }
      }

    else
      {
        int _t54_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort200);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t54_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t54_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort206);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_decode_char8(4, b, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort206:
                goto _flick_abort200;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort207);
              break;
              {
              _flick_abort207:
                goto _flick_abort200;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort208);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort208:
                goto _flick_abort200;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort200);
  }
  return _return;
  {
  _flick_abort200:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort199);
  _flick_abort199:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

CORBA::Long Cells::op(/* Cells *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  CORBA::Long _return;


  _return = 0;

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort217);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort217);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort217);
    }




    {
      flick_unsigned32_t _t57_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, a.b3.in(), flick_unsigned32_t , _t57_temp_string_len);

      flick_iiopxx_encode_new_glob(45, _flick_abort217);
      flick_iiopxx_encode_new_chunk(24 + 1 * _t57_temp_string_len);
      flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, a.b1, CORBA::Long );
      flick_cdr_encode_signed32(16, a.b2, CORBA::Long );
      flick_cdr_encode_unsigned32(20, _t57_temp_string_len, flick_unsigned32_t );
      if (_t57_temp_string_len > 21)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort217);
      flick_cdr_encode_bcopy(24, a.b3.in(), 1 * _t57_temp_string_len);
      flick_iiopxx_encode_end_chunk(24 + 1 * _t57_temp_string_len);
      flick_iiopxx_encode_end_glob(45);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort217);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort217);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort217);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort217);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t61_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(45);
        flick_iiopxx_check_span(4, _flick_abort217);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t61_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t61_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t63_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(20, _flick_abort240);
              flick_iiopxx_decode_new_chunk(20);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              {
                struct bar2 *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar2 *)new (struct bar2 );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort240);
                b = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_signed32(4, b->b3, CORBA::Long );
              flick_cdr_swap_decode_signed32(8, b->b4.b1, CORBA::Long );
              flick_cdr_swap_decode_signed32(12, b->b4.b2, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(16, _t63_temp_string_len, flick_unsigned32_t );
              if (_t63_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort240);
              flick_iiopxx_decode_end_chunk(20);
              flick_iiopxx_check_span(1 * _t63_temp_string_len, _flick_abort240);
              flick_iiopxx_decode_new_chunk(1 * _t63_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t63_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort240);
                b->b4.b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b->b4.b3.inout(), 1 * _t63_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t63_temp_string_len);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort240:
                goto _flick_abort217;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(45);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort243);
              break;
              {
              _flick_abort243:
                goto _flick_abort217;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort244);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort244:
                goto _flick_abort217;
              }
            }
          }
      }

    else
      {
        int _t58_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(45);
        flick_iiopxx_check_span(4, _flick_abort217);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t58_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t58_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t60_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(20, _flick_abort229);
              flick_iiopxx_decode_new_chunk(20);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              {
                struct bar2 *_t_alloc_ptr;

                _t_alloc_ptr = (struct bar2 *)new (struct bar2 );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort229);
                b = _t_alloc_ptr;
              }
              flick_cdr_decode_signed32(4, b->b3, CORBA::Long );
              flick_cdr_decode_signed32(8, b->b4.b1, CORBA::Long );
              flick_cdr_decode_signed32(12, b->b4.b2, CORBA::Long );
              flick_cdr_decode_unsigned32(16, _t60_temp_string_len, flick_unsigned32_t );
              if (_t60_temp_string_len > 21)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort229);
              flick_iiopxx_decode_end_chunk(20);
              flick_iiopxx_check_span(1 * _t60_temp_string_len, _flick_abort229);
              flick_iiopxx_decode_new_chunk(1 * _t60_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t60_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort229);
                b->b4.b3.inout() = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b->b4.b3.inout(), 1 * _t60_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t60_temp_string_len);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort229:
                goto _flick_abort217;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(45);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort232);
              break;
              {
              _flick_abort232:
                goto _flick_abort217;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort233);
              flick_iiopxx_decode_end_glob(45);
              break;
              {
              _flick_abort233:
                goto _flick_abort217;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort217);
  }
  return _return;
  {
  _flick_abort217:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort216);
  _flick_abort216:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

