#ifndef _struct_server_h_
#define _struct_server_h_

#include "struct-client.h"
#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class POA_foo ;


typedef POA_foo *POA_foo_ptr;

class POA_foo : public virtual PortableServer::ServantBase {

protected:
  POA_foo();

public:
  POA_foo(const POA_foo &rhs);
  virtual ~POA_foo();
  foo *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long op(/* POA_foo *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_foo_tie : public POA_foo {

  public:
    POA_foo_tie(T &t);
    POA_foo_tie(T &t, PortableServer::POA_ptr poa);
    POA_foo_tie(T *t, CORBA::Boolean release = 1);
    POA_foo_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_foo_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_foo_tie(const POA_foo_tie &c);
    void operator=(const POA_foo_tie &c);

  public:
    CORBA::Long op(/* POA_foo *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class POA_foo2 ;


typedef POA_foo2 *POA_foo2_ptr;

class POA_foo2 : public virtual PortableServer::ServantBase {

protected:
  POA_foo2();

public:
  POA_foo2(const POA_foo2 &rhs);
  virtual ~POA_foo2();
  foo2 *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual struct bar *op2(/* POA_foo2 *this, */ const struct bar2 &a, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op3(/* POA_foo2 *this, */ CORBA::Long a, ::CORBA::Char &b, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op(/* POA_foo2 *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_foo2_tie : public POA_foo2 {

  public:
    POA_foo2_tie(T &t);
    POA_foo2_tie(T &t, PortableServer::POA_ptr poa);
    POA_foo2_tie(T *t, CORBA::Boolean release = 1);
    POA_foo2_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_foo2_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_foo2_tie(const POA_foo2_tie &c);
    void operator=(const POA_foo2_tie &c);

  public:
    struct bar *op2(/* POA_foo2 *this, */ const struct bar2 &a, CORBA::Environment &_ev);
    CORBA::Long op3(/* POA_foo2 *this, */ CORBA::Long a, ::CORBA::Char &b, CORBA::Environment &_ev);
    CORBA::Long op(/* POA_foo2 *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class POA_Cells ;


typedef POA_Cells *POA_Cells_ptr;

class POA_Cells : public virtual PortableServer::ServantBase {

protected:
  POA_Cells();

public:
  POA_Cells(const POA_Cells &rhs);
  virtual ~POA_Cells();
  Cells *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual struct bar4 *op4(/* POA_Cells *this, */ const struct bar4 &a, struct bar4 &b, bar4_out c, CORBA::Environment &_ev) = 0;
  virtual Coord op5(/* POA_Cells *this, */ const struct CellPos1 &a, struct CellPos2 &b, CellPos3_out c, CORBA::Environment &_ev) = 0;
  virtual struct bar *op2(/* POA_Cells *this, */ const struct bar2 &a, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op3(/* POA_Cells *this, */ CORBA::Long a, ::CORBA::Char &b, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op(/* POA_Cells *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_Cells_tie : public POA_Cells {

  public:
    POA_Cells_tie(T &t);
    POA_Cells_tie(T &t, PortableServer::POA_ptr poa);
    POA_Cells_tie(T *t, CORBA::Boolean release = 1);
    POA_Cells_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_Cells_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_Cells_tie(const POA_Cells_tie &c);
    void operator=(const POA_Cells_tie &c);

  public:
    struct bar4 *op4(/* POA_Cells *this, */ const struct bar4 &a, struct bar4 &b, bar4_out c, CORBA::Environment &_ev);
    Coord op5(/* POA_Cells *this, */ const struct CellPos1 &a, struct CellPos2 &b, CellPos3_out c, CORBA::Environment &_ev);
    struct bar *op2(/* POA_Cells *this, */ const struct bar2 &a, CORBA::Environment &_ev);
    CORBA::Long op3(/* POA_Cells *this, */ CORBA::Long a, ::CORBA::Char &b, CORBA::Environment &_ev);
    CORBA::Long op(/* POA_Cells *this, */ const struct bar &a, bar2_out b, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


foo_ptr _TAO_collocation_POA_foo_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_foo_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_foo : public virtual foo {

public:
  _tao_thru_poa_collocated_foo(TAO_Stub *stub);
  virtual CORBA::Long op(const struct bar &a, bar2_out b, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


foo2_ptr _TAO_collocation_POA_foo2_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_foo2_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_foo2 : public virtual foo2 {

public:
  _tao_thru_poa_collocated_foo2(TAO_Stub *stub);
  virtual struct bar *op2(const struct bar2 &a, CORBA::Environment &_ev);
  virtual CORBA::Long op3(CORBA::Long a, ::CORBA::Char &b, CORBA::Environment &_ev);
  virtual CORBA::Long op(const struct bar &a, bar2_out b, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


Cells_ptr _TAO_collocation_POA_Cells_Stub_Factory(CORBA::Object_ptr obj);

int _TAO_collocation_POA_Cells_Stub_Factory_Initializer(int dummy);

class _tao_thru_poa_collocated_Cells : public virtual Cells {

public:
  _tao_thru_poa_collocated_Cells(TAO_Stub *stub);
  virtual struct bar4 *op4(const struct bar4 &a, struct bar4 &b, bar4_out c, CORBA::Environment &_ev);
  virtual Coord op5(const struct CellPos1 &a, struct CellPos2 &b, CellPos3_out c, CORBA::Environment &_ev);
  virtual struct bar *op2(const struct bar2 &a, CORBA::Environment &_ev);
  virtual CORBA::Long op3(CORBA::Long a, ::CORBA::Char &b, CORBA::Environment &_ev);
  virtual CORBA::Long op(const struct bar &a, bar2_out b, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);
  virtual CORBA::Boolean _non_existent(CORBA::Environment &_ev);
} ;


#endif /* _struct_server_h_ */
