#include "union-client.h"
#include "union-server.h"


static const CORBA::Long _oc_Bar[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x4261723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Bar:1.0 */,
    4, ACE_NTOHL(0x42617200) /* name = Bar */,
    2 /* member count */,
    3, ACE_NTOHL(0x62310000) /* name = b1 */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x62320000) /* name = b2 */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_Bar (CORBA::tk_struct, sizeof(_oc_Bar), (char *) &_oc_Bar, 0, sizeof(struct Bar ));

CORBA::TypeCode_ptr _tc_Bar = &_tc_TAO_tc_Bar;


void operator<<=(CORBA::Any &a, const struct Bar &o)
{
  struct Bar  *_any_val;
  ACE_NEW(_any_val, struct Bar  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Bar, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct Bar *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Bar, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct Bar *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_Bar, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct Bar  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct Bar , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_Bar, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_Bar, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

Bar_var::Bar_var()
  : ptr_(0)
{}

Bar_var::Bar_var(struct Bar *p)
 : ptr_(p)
{}

Bar_var::Bar_var(const Bar_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct Bar (*a.ptr_);
  else
    this->ptr_ = 0;
}

Bar_var::~Bar_var()
{
  delete this->ptr_;
}

Bar_var &Bar_var::operator=(struct Bar *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

Bar_var &Bar_var::operator=(const Bar_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct Bar (*p.ptr_);
  }
  return *this;
}

struct Bar *Bar_var::operator->()
{
  return this->ptr_;
}

const struct Bar *Bar_var::operator->() const
{
  return this->ptr_;
}

Bar_var::operator const struct Bar &() const
{
  return *this->ptr_;
}

Bar_var::operator struct Bar &()
{
  return *this->ptr_;
}

Bar_var::operator struct Bar &() const
{
  return *this->ptr_;
}

const struct Bar &Bar_var::in() const
{
  return *this->ptr_;
}

struct Bar &Bar_var::inout()
{
  return *this->ptr_;
}

struct Bar &Bar_var::out()
{
  return *this->ptr_;
}

struct Bar Bar_var::_retn()
{
  return *this->ptr_;
}

struct Bar *Bar_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_Foo[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Foo:1.0 */,
    4, ACE_NTOHL(0x466f6f00) /* name = Foo */,
    CORBA::tk_long,
    -1 /* default used index */,
    3 /* member count */,
    (0x0001) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x78000000) /* name = x */,
    CORBA::tk_long,
    (0x0002) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x79000000) /* name = y */,
    CORBA::tk_struct,
    56 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x4261723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Bar:1.0 */,
      4, ACE_NTOHL(0x42617200) /* name = Bar */,
      2 /* member count */,
      3, ACE_NTOHL(0x62310000) /* name = b1 */,
      CORBA::tk_long,
      3, ACE_NTOHL(0x62320000) /* name = b2 */,
      CORBA::tk_char,
    (0x0000) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x7a000000) /* name = z */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_Foo (CORBA::tk_union, sizeof(_oc_Foo), (char *) &_oc_Foo, 0, sizeof(Foo ));

CORBA::TypeCode_ptr _tc_Foo = &_tc_TAO_tc_Foo;


Foo::Foo()
  : TAO_Base_Union()
{
  ACE_OS::memset(&this->disc_, 0, sizeof(this->disc_));
  ACE_OS::memset(&this->_u, 0, sizeof(this->_u));
}

Foo::Foo(const Foo &o)
  : TAO_Base_Union()
{
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  1:
    {
      this->_u.x = o._u.x;
    }
    break;
  case  2:
    {
      this->_u.y = o._u.y;
    }
    break;
  default:
    {
      this->_u.z = o._u.z;
    }
    break;
  }
}

Foo::~Foo()
{
  this->_reset(this->disc_, 1);
}

Foo &Foo::operator=(const Foo &o)
{
  this->_reset(o.disc_, 0);
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  1:
    {
      this->_u.x = o._u.x;
    }
    break;
  case  2:
    {
      this->_u.y = o._u.y;
    }
    break;
  default:
    {
      this->_u.z = o._u.z;
    }
    break;
  }
  return *this;
}

void Foo::_reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_)
{
  if( (this->disc_ != _new_disc_) || _finalize_ )
  {
    switch( this->disc_ )
    {
    case  1:
;
      break;
    case  2:
;
      break;
    default:
;
      break;
    }
  }
}

void *Foo::_discriminant()
{
  return &this->disc_;
}

void Foo::_reset()
{
  this->_reset(this->disc_, 1);
}

void *Foo::_access(CORBA::Boolean flag)
{
  switch(this->disc_)
  {
  case  1:
    return &this->_u.x;
  case  2:
    return &this->_u.y;
  default:
    return &this->_u.z;
  }
  return 0;
}

void Foo::_d(CORBA::Long _d_)
{
  this->disc_ = _d_;
}

CORBA::Long Foo::_d() const
{
  return this->disc_;
}

void operator<<=(CORBA::Any &a, const Foo &o)
{
  Foo  *_any_val;
  ACE_NEW(_any_val, Foo  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, Foo *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, Foo *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_Foo, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (Foo  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, Foo , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_Foo, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_Foo, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

void Foo::x(CORBA::Long v)
{
  this->_reset(1, 0);
  this->disc_ = (CORBA::Long )1;
  this->_u.x = v;
}

CORBA::Long Foo::x() const
{
  return this->_u.x;
}

void Foo::y(const struct Bar &v)
{
  this->_reset(2, 0);
  this->disc_ = (CORBA::Long )2;
  this->_u.y = v;
}

const struct Bar &Foo::y() const
{
  return this->_u.y;
}

struct Bar &Foo::y()
{
  return this->_u.y;
}

void Foo::z(CORBA::Char v)
{
  this->_reset(0, 0);
  this->disc_ = (CORBA::Long )0;
  this->_u.z = v;
}

CORBA::Char Foo::z() const
{
  return this->_u.z;
}

Foo_var::Foo_var()
  : ptr_(0)
{}

Foo_var::Foo_var(Foo *p)
 : ptr_(p)
{}

Foo_var::Foo_var(const Foo_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new Foo (*a.ptr_);
  else
    this->ptr_ = 0;
}

Foo_var::~Foo_var()
{
  delete this->ptr_;
}

Foo_var &Foo_var::operator=(Foo *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

Foo_var &Foo_var::operator=(const Foo_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new Foo (*p.ptr_);
  }
  return *this;
}

Foo *Foo_var::operator->()
{
  return this->ptr_;
}

const Foo *Foo_var::operator->() const
{
  return this->ptr_;
}

Foo_var::operator const Foo &() const
{
  return *this->ptr_;
}

Foo_var::operator Foo &()
{
  return *this->ptr_;
}

Foo_var::operator Foo &() const
{
  return *this->ptr_;
}

const Foo &Foo_var::in() const
{
  return *this->ptr_;
}

Foo &Foo_var::inout()
{
  return *this->ptr_;
}

Foo &Foo_var::out()
{
  return *this->ptr_;
}

Foo Foo_var::_retn()
{
  return *this->ptr_;
}

Foo *Foo_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_Foo2[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f32), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:Foo2:1.0 */,
    5, ACE_NTOHL(0x466f6f32), ACE_NTOHL(0x00000000) /* name = Foo2 */,
    CORBA::tk_char,
    -1 /* default used index */,
    2 /* member count */,
    'a' /* union case label (evaluated) */,
    2, ACE_NTOHL(0x78000000) /* name = x */,
    CORBA::tk_long,
    'b' /* union case label (evaluated) */,
    2, ACE_NTOHL(0x79000000) /* name = y */,
    CORBA::tk_union,
    148 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Foo:1.0 */,
      4, ACE_NTOHL(0x466f6f00) /* name = Foo */,
      CORBA::tk_long,
      -1 /* default used index */,
      3 /* member count */,
      (0x0001) /* union case label (evaluated) */,
      2, ACE_NTOHL(0x78000000) /* name = x */,
      CORBA::tk_long,
      (0x0002) /* union case label (evaluated) */,
      2, ACE_NTOHL(0x79000000) /* name = y */,
      CORBA::tk_struct,
      56 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x4261723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Bar:1.0 */,
        4, ACE_NTOHL(0x42617200) /* name = Bar */,
        2 /* member count */,
        3, ACE_NTOHL(0x62310000) /* name = b1 */,
        CORBA::tk_long,
        3, ACE_NTOHL(0x62320000) /* name = b2 */,
        CORBA::tk_char,
      (0x0000) /* union case label (evaluated) */,
      2, ACE_NTOHL(0x7a000000) /* name = z */,
      CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_Foo2 (CORBA::tk_union, sizeof(_oc_Foo2), (char *) &_oc_Foo2, 0, sizeof(Foo2 ));

CORBA::TypeCode_ptr _tc_Foo2 = &_tc_TAO_tc_Foo2;


Foo2::Foo2()
  : TAO_Base_Union()
{
  ACE_OS::memset(&this->disc_, 0, sizeof(this->disc_));
  ACE_OS::memset(&this->_u, 0, sizeof(this->_u));
}

Foo2::Foo2(const Foo2 &o)
  : TAO_Base_Union()
{
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  'a':
    {
      this->_u.x = o._u.x;
    }
    break;
  case  'b':
    {
      this->_u.y = new Foo (*o._u.y);
    }
    break;
  }
}

Foo2::~Foo2()
{
  this->_reset(this->disc_, 1);
}

Foo2 &Foo2::operator=(const Foo2 &o)
{
  this->_reset(o.disc_, 0);
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case  'a':
    {
      this->_u.x = o._u.x;
    }
    break;
  case  'b':
    {
      this->_u.y = new Foo (*o._u.y);
    }
    break;
  }
  return *this;
}

void Foo2::_reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_)
{
  if( (this->disc_ != _new_disc_) || _finalize_ )
  {
    switch( this->disc_ )
    {
    case  'a':
;
      break;
    case  'b':
      delete this->_u.y;
      break;
    }
  }
}

void *Foo2::_discriminant()
{
  return &this->disc_;
}

void Foo2::_reset()
{
  this->_reset(this->disc_, 1);
}

void *Foo2::_access(CORBA::Boolean flag)
{
  switch(this->disc_)
  {
  case  'a':
    return &this->_u.x;
  case  'b':
    return &this->_u.y;
  }
  return 0;
}

void Foo2::_d(CORBA::Char _d_)
{
  this->disc_ = _d_;
}

CORBA::Char Foo2::_d() const
{
  return this->disc_;
}

void operator<<=(CORBA::Any &a, const Foo2 &o)
{
  Foo2  *_any_val;
  ACE_NEW(_any_val, Foo2  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo2, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, Foo2 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Foo2, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, Foo2 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_Foo2, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (Foo2  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, Foo2 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_Foo2, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_Foo2, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

void Foo2::x(CORBA::Long v)
{
  this->_reset('a', 0);
  this->disc_ = (CORBA::Char )'a';
  this->_u.x = v;
}

CORBA::Long Foo2::x() const
{
  return this->_u.x;
}

void Foo2::y(const Foo &v)
{
  this->_reset('b', 0);
  this->disc_ = (CORBA::Char )'b';
  this->_u.y = new Foo (v);
}

const Foo &Foo2::y() const
{
  return *this->_u.y;
}

Foo &Foo2::y()
{
  return *this->_u.y;
}

Foo2_var::Foo2_var()
  : ptr_(0)
{}

Foo2_var::Foo2_var(Foo2 *p)
 : ptr_(p)
{}

Foo2_var::Foo2_var(const Foo2_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new Foo2 (*a.ptr_);
  else
    this->ptr_ = 0;
}

Foo2_var::~Foo2_var()
{
  delete this->ptr_;
}

Foo2_var &Foo2_var::operator=(Foo2 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

Foo2_var &Foo2_var::operator=(const Foo2_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new Foo2 (*p.ptr_);
  }
  return *this;
}

Foo2 *Foo2_var::operator->()
{
  return this->ptr_;
}

const Foo2 *Foo2_var::operator->() const
{
  return this->ptr_;
}

Foo2_var::operator const Foo2 &() const
{
  return *this->ptr_;
}

Foo2_var::operator Foo2 &()
{
  return *this->ptr_;
}

Foo2_var::operator Foo2 &() const
{
  return *this->ptr_;
}

const Foo2 &Foo2_var::in() const
{
  return *this->ptr_;
}

Foo2 &Foo2_var::inout()
{
  return *this->ptr_;
}

Foo2 &Foo2_var::out()
{
  return *this->ptr_;
}

Foo2 Foo2_var::_retn()
{
  return *this->ptr_;
}

Foo2 *Foo2_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_a[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    10, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x613a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:a:1.0 */,
    2, ACE_NTOHL(0x61000000) /* name = a */
};

static CORBA::TypeCode _tc_TAO_tc_a (CORBA::tk_objref, sizeof(_oc_a), (char *) &_oc_a, 0, sizeof(a ));

CORBA::TypeCode_ptr _tc_a = &_tc_TAO_tc_a;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<a , a_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<a , a_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


a_ptr  (*_TAO_collocation_a_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


a_ptr a::_duplicate(a_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

a_ptr a::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return a::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:a:1.0", _env);
  if (_env.exception() != 0)
    return a::_nil();
  if (is_a == 0)
    return a::_nil();
  return a::_unchecked_narrow(obj, _env);
}

a_ptr a::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return a::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_a_Stub_Factory_function_pointer != 0)
    {
      a_ptr  retv = _TAO_collocation_a_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new a (stub);
}

a_ptr a::_nil()
{
  return (a_ptr )NULL;
}

CORBA::Boolean a::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:a:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *a::_interface_repository_id() const
{
  return "IDL:a:1.0";
}

a::a()
{}

a::~a()
{}

void operator<<=(CORBA::Any &a, a_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = a::_duplicate(o);
    a.replace (_tc_a, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, a_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = a::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_a, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_a, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = a::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_a, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

a::a(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

a_var::a_var()
  : ptr_(a::_nil())
{}

a_var::a_var(a_ptr p)
  : ptr_(p)
{}

a_var::a_var(const a_var &a)
  : ptr_(a::_duplicate(a.ptr()))
{}

a_var::~a_var()
{
  CORBA::release(this->ptr_);
}

a_var &a_var::operator=(a_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

a_var &a_var::operator=(const a_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = a::_duplicate(p.ptr());
  }
  return *this;
}

a_ptr a_var::operator->() const
{
  return this->ptr_;
}

a_var::operator const a_ptr &() const
{
  return this->ptr_;
}

a_var::operator a_ptr &()
{
  return this->ptr_;
}

a_ptr a_var::in() const
{
  return this->ptr_;
}

a_ptr &a_var::inout()
{
  return this->ptr_;
}

a_ptr &a_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = a::_nil();
  return this->ptr_;
}

a_ptr a_var::_retn()
{
  a_ptr  val = this->ptr_;
  this->ptr_ = a::_nil();
  return val;
}

a_ptr a_var::ptr() const
{
  return this->ptr_;
}

a_out::a_out(a_ptr &r)
  : ptr_(r)
{
  this->ptr_ = a::_nil();
}

a_out::a_out(a_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = a::_nil();
}

a_out::a_out(const a_out &r)
  : ptr_(ACE_const_cast(a_out &,r).ptr_)
{}

a_out &a_out::operator=(const a_out &r)
{
  this->ptr_ = ACE_const_cast(a_out &,r).ptr_;
  return *this;
}

a_out &a_out::operator=(const a_var &r)
{
  this->ptr_ = a::_duplicate(r.ptr());
  return *this;
}

a_out &a_out::operator=(a_ptr r)
{
  this->ptr_ = r;
  return *this;
}

a_out::operator a_ptr &()
{
  return this->ptr_;
}

a_ptr &a_out::ptr()
{
  return this->ptr_;
}

a_ptr a_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_a_astruct[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    18, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x612f6173), ACE_NTOHL(0x74727563), ACE_NTOHL(0x743a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:a/astruct:1.0 */,
    8, ACE_NTOHL(0x61737472), ACE_NTOHL(0x75637400) /* name = astruct */,
    3 /* member count */,
    3, ACE_NTOHL(0x61310000) /* name = a1 */,
    CORBA::tk_union,
    232 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f32), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:Foo2:1.0 */,
      5, ACE_NTOHL(0x466f6f32), ACE_NTOHL(0x00000000) /* name = Foo2 */,
      CORBA::tk_char,
      -1 /* default used index */,
      2 /* member count */,
      'a' /* union case label (evaluated) */,
      2, ACE_NTOHL(0x78000000) /* name = x */,
      CORBA::tk_long,
      'b' /* union case label (evaluated) */,
      2, ACE_NTOHL(0x79000000) /* name = y */,
      CORBA::tk_union,
      148 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Foo:1.0 */,
        4, ACE_NTOHL(0x466f6f00) /* name = Foo */,
        CORBA::tk_long,
        -1 /* default used index */,
        3 /* member count */,
        (0x0001) /* union case label (evaluated) */,
        2, ACE_NTOHL(0x78000000) /* name = x */,
        CORBA::tk_long,
        (0x0002) /* union case label (evaluated) */,
        2, ACE_NTOHL(0x79000000) /* name = y */,
        CORBA::tk_struct,
        56 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x4261723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Bar:1.0 */,
          4, ACE_NTOHL(0x42617200) /* name = Bar */,
          2 /* member count */,
          3, ACE_NTOHL(0x62310000) /* name = b1 */,
          CORBA::tk_long,
          3, ACE_NTOHL(0x62320000) /* name = b2 */,
          CORBA::tk_char,
        (0x0000) /* union case label (evaluated) */,
        2, ACE_NTOHL(0x7a000000) /* name = z */,
        CORBA::tk_char,
    3, ACE_NTOHL(0x61320000) /* name = a2 */,
    CORBA::tk_union,
    148 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x466f6f3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Foo:1.0 */,
      4, ACE_NTOHL(0x466f6f00) /* name = Foo */,
      CORBA::tk_long,
      -1 /* default used index */,
      3 /* member count */,
      (0x0001) /* union case label (evaluated) */,
      2, ACE_NTOHL(0x78000000) /* name = x */,
      CORBA::tk_long,
      (0x0002) /* union case label (evaluated) */,
      2, ACE_NTOHL(0x79000000) /* name = y */,
      CORBA::tk_struct,
      56 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x4261723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Bar:1.0 */,
        4, ACE_NTOHL(0x42617200) /* name = Bar */,
        2 /* member count */,
        3, ACE_NTOHL(0x62310000) /* name = b1 */,
        CORBA::tk_long,
        3, ACE_NTOHL(0x62320000) /* name = b2 */,
        CORBA::tk_char,
      (0x0000) /* union case label (evaluated) */,
      2, ACE_NTOHL(0x7a000000) /* name = z */,
      CORBA::tk_char,
    3, ACE_NTOHL(0x61330000) /* name = a3 */,
    CORBA::tk_struct,
    56 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x4261723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Bar:1.0 */,
      4, ACE_NTOHL(0x42617200) /* name = Bar */,
      2 /* member count */,
      3, ACE_NTOHL(0x62310000) /* name = b1 */,
      CORBA::tk_long,
      3, ACE_NTOHL(0x62320000) /* name = b2 */,
      CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_a_astruct (CORBA::tk_struct, sizeof(_oc_a_astruct), (char *) &_oc_a_astruct, 0, sizeof(struct ::a::astruct ));

CORBA::TypeCode_ptr a::_tc_astruct = &_tc_TAO_tc_a_astruct;


void operator<<=(CORBA::Any &a, const struct ::a::astruct &o)
{
  struct ::a::astruct  *_any_val;
  ACE_NEW(_any_val, struct ::a::astruct  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(a::_tc_astruct, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::a::astruct *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(a::_tc_astruct, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::a::astruct *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(a::_tc_astruct, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::a::astruct  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::a::astruct , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(a::_tc_astruct, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(a::_tc_astruct, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

a::astruct_var::astruct_var()
  : ptr_(0)
{}

a::astruct_var::astruct_var(struct ::a::astruct *p)
 : ptr_(p)
{}

a::astruct_var::astruct_var(const ::a::astruct_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::a::astruct (*a.ptr_);
  else
    this->ptr_ = 0;
}

a::astruct_var::~astruct_var()
{
  delete this->ptr_;
}

::a::astruct_var &a::astruct_var::operator=(struct ::a::astruct *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::a::astruct_var &a::astruct_var::operator=(const ::a::astruct_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::a::astruct (*p.ptr_);
  }
  return *this;
}

struct ::a::astruct *a::astruct_var::operator->()
{
  return this->ptr_;
}

const struct ::a::astruct *a::astruct_var::operator->() const
{
  return this->ptr_;
}

a::astruct_var::operator const struct ::a::astruct &() const
{
  return *this->ptr_;
}

a::astruct_var::operator struct ::a::astruct &()
{
  return *this->ptr_;
}

a::astruct_var::operator struct ::a::astruct &() const
{
  return *this->ptr_;
}

const struct ::a::astruct &a::astruct_var::in() const
{
  return *this->ptr_;
}

struct ::a::astruct &a::astruct_var::inout()
{
  return *this->ptr_;
}

struct ::a::astruct &a::astruct_var::out()
{
  return *this->ptr_;
}

struct ::a::astruct a::astruct_var::_retn()
{
  return *this->ptr_;
}

struct ::a::astruct *a::astruct_var::ptr() const
{
  return this->ptr_;
}
Foo2 a::opA(/* a *this, */ const struct ::a::astruct &b, struct ::a::astruct &c, ::a::astruct_out d, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  Foo2 _return;


  memset(&_return, 0, sizeof(Foo2 ));

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1);
    }




    {
      flick_iiopxx_encode_new_glob(77, _flick_abort1);
      flick_iiopxx_encode_new_chunk(13);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, 'A', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(12, b.a1.disc_, CORBA::Char );
      flick_iiopxx_encode_end_chunk(13);
      switch (b.a1.disc_)
        {
        case 'a':
          {
            flick_iiopxx_encode_new_chunk(7);
            flick_cdr_encode_signed32(3, b.a1._u.x, CORBA::Long );
            flick_iiopxx_encode_end_chunk(7);
            break;
          }
        case 'b':
          {
            flick_iiopxx_encode_new_chunk(7);
            flick_cdr_encode_signed32(3, b.a1._u.y->disc_, CORBA::Long );
            flick_iiopxx_encode_end_chunk(7);
            switch (b.a1._u.y->disc_)
              {
              case 1:
                {
                  flick_iiopxx_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, b.a1._u.y->_u.x, CORBA::Long );
                  flick_iiopxx_encode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_iiopxx_encode_new_chunk(5);
                  flick_cdr_encode_signed32(0, b.a1._u.y->_u.y.b1, CORBA::Long );
                  flick_cdr_encode_char8(4, b.a1._u.y->_u.y.b2, CORBA::Char );
                  flick_iiopxx_encode_end_chunk(5);
                  break;
                }
              default:
                {
                  flick_iiopxx_encode_new_chunk(1);
                  flick_cdr_encode_char8(0, b.a1._u.y->_u.z, CORBA::Char );
                  flick_iiopxx_encode_end_chunk(1);
                  break;
                }
              }
            break;
          }
        default:
          {
            break;
          }
        }
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, b.a2.disc_, CORBA::Long );
      flick_iiopxx_encode_end_chunk(4);
      switch (b.a2.disc_)
        {
        case 1:
          {
            flick_iiopxx_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, b.a2._u.x, CORBA::Long );
            flick_iiopxx_encode_end_chunk(4);
            break;
          }
        case 2:
          {
            flick_iiopxx_encode_new_chunk(5);
            flick_cdr_encode_signed32(0, b.a2._u.y.b1, CORBA::Long );
            flick_cdr_encode_char8(4, b.a2._u.y.b2, CORBA::Char );
            flick_iiopxx_encode_end_chunk(5);
            break;
          }
        default:
          {
            flick_iiopxx_encode_new_chunk(1);
            flick_cdr_encode_char8(0, b.a2._u.z, CORBA::Char );
            flick_iiopxx_encode_end_chunk(1);
            break;
          }
        }
      flick_iiopxx_encode_new_chunk_align(6, 2, 0, 0);
      flick_cdr_encode_signed32(0, b.a3.b1, CORBA::Long );
      flick_cdr_encode_char8(4, b.a3.b2, CORBA::Char );
      flick_cdr_encode_char8(5, c.a1.disc_, CORBA::Char );
      flick_iiopxx_encode_end_chunk(6);
      switch (c.a1.disc_)
        {
        case 'a':
          {
            flick_iiopxx_encode_new_chunk(6);
            flick_cdr_encode_signed32(2, c.a1._u.x, CORBA::Long );
            flick_iiopxx_encode_end_chunk(6);
            break;
          }
        case 'b':
          {
            flick_iiopxx_encode_new_chunk(6);
            flick_cdr_encode_signed32(2, c.a1._u.y->disc_, CORBA::Long );
            flick_iiopxx_encode_end_chunk(6);
            switch (c.a1._u.y->disc_)
              {
              case 1:
                {
                  flick_iiopxx_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, c.a1._u.y->_u.x, CORBA::Long );
                  flick_iiopxx_encode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_iiopxx_encode_new_chunk(5);
                  flick_cdr_encode_signed32(0, c.a1._u.y->_u.y.b1, CORBA::Long );
                  flick_cdr_encode_char8(4, c.a1._u.y->_u.y.b2, CORBA::Char );
                  flick_iiopxx_encode_end_chunk(5);
                  break;
                }
              default:
                {
                  flick_iiopxx_encode_new_chunk(1);
                  flick_cdr_encode_char8(0, c.a1._u.y->_u.z, CORBA::Char );
                  flick_iiopxx_encode_end_chunk(1);
                  break;
                }
              }
            break;
          }
        default:
          {
            break;
          }
        }
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, c.a2.disc_, CORBA::Long );
      flick_iiopxx_encode_end_chunk(4);
      switch (c.a2.disc_)
        {
        case 1:
          {
            flick_iiopxx_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, c.a2._u.x, CORBA::Long );
            flick_iiopxx_encode_end_chunk(4);
            break;
          }
        case 2:
          {
            flick_iiopxx_encode_new_chunk(5);
            flick_cdr_encode_signed32(0, c.a2._u.y.b1, CORBA::Long );
            flick_cdr_encode_char8(4, c.a2._u.y.b2, CORBA::Char );
            flick_iiopxx_encode_end_chunk(5);
            break;
          }
        default:
          {
            flick_iiopxx_encode_new_chunk(1);
            flick_cdr_encode_char8(0, c.a2._u.z, CORBA::Char );
            flick_iiopxx_encode_end_chunk(1);
            break;
          }
        }
      flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, c.a3.b1, CORBA::Long );
      flick_cdr_encode_char8(4, c.a3.b2, CORBA::Char );
      flick_iiopxx_encode_end_chunk(5);
      flick_iiopxx_encode_end_glob(77);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t1_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(82);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t1_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t1_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort357);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _return.disc_, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              switch (_return.disc_)
                {
                case 'a':
                  {
                    flick_iiopxx_decode_new_chunk(7);
                    flick_cdr_swap_decode_signed32(3, _return._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(7);
                    break;
                  }
                case 'b':
                  {
                    {
                      Foo *_t_alloc_ptr;

                      _t_alloc_ptr = (Foo *)new Foo ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort370);
                      _return._u.y = _t_alloc_ptr;
                    }
                    flick_iiopxx_check_span(9, _flick_abort370);
                    flick_iiopxx_decode_new_chunk(7);
                    flick_cdr_swap_decode_signed32(3, _return._u.y->disc_, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(7);
                    switch (_return._u.y->disc_)
                      {
                      case 1:
                        {
                          flick_iiopxx_check_span(5, _flick_abort375);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_signed32(0, _return._u.y->_u.x, CORBA::Long );
                          flick_iiopxx_decode_end_chunk(4);
                          break;
                          {
                          _flick_abort375:
                            goto _flick_abort370;
                          }
                        }
                      case 2:
                        {
                          flick_iiopxx_check_span(6, _flick_abort376);
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_swap_decode_signed32(0, _return._u.y->_u.y.b1, CORBA::Long );
                          flick_cdr_swap_decode_char8(4, _return._u.y->_u.y.b2, CORBA::Char );
                          flick_iiopxx_decode_end_chunk(5);
                          break;
                          {
                          _flick_abort376:
                            goto _flick_abort370;
                          }
                        }
                      default:
                        {
                          flick_iiopxx_decode_new_chunk(1);
                          flick_cdr_swap_decode_char8(0, _return._u.y->_u.z, CORBA::Char );
                          flick_iiopxx_decode_end_chunk(1);
                          break;
                        }
                      }
                    break;
                    {
                    _flick_abort370:
                      goto _flick_abort357;
                    }
                  }
                default:
                  {
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, c.a1.disc_, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              switch (c.a1.disc_)
                {
                case 'a':
                  {
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort390);
                    flick_cdr_swap_decode_signed32(0, c.a1._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort390:
                      goto _flick_abort357;
                    }
                  }
                case 'b':
                  {
                    {
                      Foo *_t_alloc_ptr;

                      _t_alloc_ptr = (Foo *)new Foo ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort391);
                      c.a1._u.y = _t_alloc_ptr;
                    }
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(5, _flick_abort391);
                    flick_cdr_swap_decode_signed32(0, c.a1._u.y->disc_, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    switch (c.a1._u.y->disc_)
                      {
                      case 1:
                        {
                          flick_iiopxx_check_span(4, _flick_abort396);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_signed32(0, c.a1._u.y->_u.x, CORBA::Long );
                          flick_iiopxx_decode_end_chunk(4);
                          break;
                          {
                          _flick_abort396:
                            goto _flick_abort391;
                          }
                        }
                      case 2:
                        {
                          flick_iiopxx_check_span(5, _flick_abort397);
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_swap_decode_signed32(0, c.a1._u.y->_u.y.b1, CORBA::Long );
                          flick_cdr_swap_decode_char8(4, c.a1._u.y->_u.y.b2, CORBA::Char );
                          flick_iiopxx_decode_end_chunk(5);
                          break;
                          {
                          _flick_abort397:
                            goto _flick_abort391;
                          }
                        }
                      default:
                        {
                          flick_iiopxx_decode_new_chunk(1);
                          flick_cdr_swap_decode_char8(0, c.a1._u.y->_u.z, CORBA::Char );
                          flick_iiopxx_decode_end_chunk(1);
                          break;
                        }
                      }
                    break;
                    {
                    _flick_abort391:
                      goto _flick_abort357;
                    }
                  }
                default:
                  {
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(5, _flick_abort357);
              flick_cdr_swap_decode_signed32(0, c.a2.disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (c.a2.disc_)
                {
                case 1:
                  {
                    flick_iiopxx_check_span(4, _flick_abort404);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, c.a2._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort404:
                      goto _flick_abort357;
                    }
                  }
                case 2:
                  {
                    flick_iiopxx_check_span(5, _flick_abort405);
                    flick_iiopxx_decode_new_chunk(5);
                    flick_cdr_swap_decode_signed32(0, c.a2._u.y.b1, CORBA::Long );
                    flick_cdr_swap_decode_char8(4, c.a2._u.y.b2, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(5);
                    break;
                    {
                    _flick_abort405:
                      goto _flick_abort357;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_swap_decode_char8(0, c.a2._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(6, 2, 0, 0);
              flick_iiopxx_check_span(12, _flick_abort357);
              flick_cdr_swap_decode_signed32(0, c.a3.b1, CORBA::Long );
              flick_cdr_swap_decode_char8(4, c.a3.b2, CORBA::Char );
              flick_cdr_swap_decode_char8(5, d.a1.disc_, CORBA::Char );
              flick_iiopxx_decode_end_chunk(6);
              switch (d.a1.disc_)
                {
                case 'a':
                  {
                    flick_iiopxx_decode_new_chunk(6);
                    flick_cdr_swap_decode_signed32(2, d.a1._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(6);
                    break;
                  }
                case 'b':
                  {
                    {
                      Foo *_t_alloc_ptr;

                      _t_alloc_ptr = (Foo *)new Foo ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort419);
                      d.a1._u.y = _t_alloc_ptr;
                    }
                    flick_iiopxx_check_span(7, _flick_abort419);
                    flick_iiopxx_decode_new_chunk(6);
                    flick_cdr_swap_decode_signed32(2, d.a1._u.y->disc_, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(6);
                    switch (d.a1._u.y->disc_)
                      {
                      case 1:
                        {
                          flick_iiopxx_check_span(4, _flick_abort424);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_swap_decode_signed32(0, d.a1._u.y->_u.x, CORBA::Long );
                          flick_iiopxx_decode_end_chunk(4);
                          break;
                          {
                          _flick_abort424:
                            goto _flick_abort419;
                          }
                        }
                      case 2:
                        {
                          flick_iiopxx_check_span(5, _flick_abort425);
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_swap_decode_signed32(0, d.a1._u.y->_u.y.b1, CORBA::Long );
                          flick_cdr_swap_decode_char8(4, d.a1._u.y->_u.y.b2, CORBA::Char );
                          flick_iiopxx_decode_end_chunk(5);
                          break;
                          {
                          _flick_abort425:
                            goto _flick_abort419;
                          }
                        }
                      default:
                        {
                          flick_iiopxx_decode_new_chunk(1);
                          flick_cdr_swap_decode_char8(0, d.a1._u.y->_u.z, CORBA::Char );
                          flick_iiopxx_decode_end_chunk(1);
                          break;
                        }
                      }
                    break;
                    {
                    _flick_abort419:
                      goto _flick_abort357;
                    }
                  }
                default:
                  {
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(5, _flick_abort357);
              flick_cdr_swap_decode_signed32(0, d.a2.disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (d.a2.disc_)
                {
                case 1:
                  {
                    flick_iiopxx_check_span(4, _flick_abort432);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, d.a2._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort432:
                      goto _flick_abort357;
                    }
                  }
                case 2:
                  {
                    flick_iiopxx_check_span(5, _flick_abort433);
                    flick_iiopxx_decode_new_chunk(5);
                    flick_cdr_swap_decode_signed32(0, d.a2._u.y.b1, CORBA::Long );
                    flick_cdr_swap_decode_char8(4, d.a2._u.y.b2, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(5);
                    break;
                    {
                    _flick_abort433:
                      goto _flick_abort357;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_swap_decode_char8(0, d.a2._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
              flick_iiopxx_check_span(5, _flick_abort357);
              flick_cdr_swap_decode_signed32(0, d.a3.b1, CORBA::Long );
              flick_cdr_swap_decode_char8(4, d.a3.b2, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(82);
              break;
              {
              _flick_abort357:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(82);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort435);
              break;
              {
              _flick_abort435:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort436);
              flick_iiopxx_decode_end_glob(82);
              break;
              {
              _flick_abort436:
                goto _flick_abort1;
              }
            }
          }
      }

    else
      {
        int _t0_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(82);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t0_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t0_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort196);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _return.disc_, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              switch (_return.disc_)
                {
                case 'a':
                  {
                    flick_iiopxx_decode_new_chunk(7);
                    flick_cdr_decode_signed32(3, _return._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(7);
                    break;
                  }
                case 'b':
                  {
                    {
                      Foo *_t_alloc_ptr;

                      _t_alloc_ptr = (Foo *)new Foo ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort209);
                      _return._u.y = _t_alloc_ptr;
                    }
                    flick_iiopxx_check_span(9, _flick_abort209);
                    flick_iiopxx_decode_new_chunk(7);
                    flick_cdr_decode_signed32(3, _return._u.y->disc_, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(7);
                    switch (_return._u.y->disc_)
                      {
                      case 1:
                        {
                          flick_iiopxx_check_span(5, _flick_abort214);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_signed32(0, _return._u.y->_u.x, CORBA::Long );
                          flick_iiopxx_decode_end_chunk(4);
                          break;
                          {
                          _flick_abort214:
                            goto _flick_abort209;
                          }
                        }
                      case 2:
                        {
                          flick_iiopxx_check_span(6, _flick_abort215);
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_decode_signed32(0, _return._u.y->_u.y.b1, CORBA::Long );
                          flick_cdr_decode_char8(4, _return._u.y->_u.y.b2, CORBA::Char );
                          flick_iiopxx_decode_end_chunk(5);
                          break;
                          {
                          _flick_abort215:
                            goto _flick_abort209;
                          }
                        }
                      default:
                        {
                          flick_iiopxx_decode_new_chunk(1);
                          flick_cdr_decode_char8(0, _return._u.y->_u.z, CORBA::Char );
                          flick_iiopxx_decode_end_chunk(1);
                          break;
                        }
                      }
                    break;
                    {
                    _flick_abort209:
                      goto _flick_abort196;
                    }
                  }
                default:
                  {
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, c.a1.disc_, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              switch (c.a1.disc_)
                {
                case 'a':
                  {
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(4, _flick_abort229);
                    flick_cdr_decode_signed32(0, c.a1._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort229:
                      goto _flick_abort196;
                    }
                  }
                case 'b':
                  {
                    {
                      Foo *_t_alloc_ptr;

                      _t_alloc_ptr = (Foo *)new Foo ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort230);
                      c.a1._u.y = _t_alloc_ptr;
                    }
                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                    flick_iiopxx_check_span(5, _flick_abort230);
                    flick_cdr_decode_signed32(0, c.a1._u.y->disc_, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    switch (c.a1._u.y->disc_)
                      {
                      case 1:
                        {
                          flick_iiopxx_check_span(4, _flick_abort235);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_signed32(0, c.a1._u.y->_u.x, CORBA::Long );
                          flick_iiopxx_decode_end_chunk(4);
                          break;
                          {
                          _flick_abort235:
                            goto _flick_abort230;
                          }
                        }
                      case 2:
                        {
                          flick_iiopxx_check_span(5, _flick_abort236);
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_decode_signed32(0, c.a1._u.y->_u.y.b1, CORBA::Long );
                          flick_cdr_decode_char8(4, c.a1._u.y->_u.y.b2, CORBA::Char );
                          flick_iiopxx_decode_end_chunk(5);
                          break;
                          {
                          _flick_abort236:
                            goto _flick_abort230;
                          }
                        }
                      default:
                        {
                          flick_iiopxx_decode_new_chunk(1);
                          flick_cdr_decode_char8(0, c.a1._u.y->_u.z, CORBA::Char );
                          flick_iiopxx_decode_end_chunk(1);
                          break;
                        }
                      }
                    break;
                    {
                    _flick_abort230:
                      goto _flick_abort196;
                    }
                  }
                default:
                  {
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(5, _flick_abort196);
              flick_cdr_decode_signed32(0, c.a2.disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (c.a2.disc_)
                {
                case 1:
                  {
                    flick_iiopxx_check_span(4, _flick_abort243);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_signed32(0, c.a2._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort243:
                      goto _flick_abort196;
                    }
                  }
                case 2:
                  {
                    flick_iiopxx_check_span(5, _flick_abort244);
                    flick_iiopxx_decode_new_chunk(5);
                    flick_cdr_decode_signed32(0, c.a2._u.y.b1, CORBA::Long );
                    flick_cdr_decode_char8(4, c.a2._u.y.b2, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(5);
                    break;
                    {
                    _flick_abort244:
                      goto _flick_abort196;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_decode_char8(0, c.a2._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(6, 2, 0, 0);
              flick_iiopxx_check_span(12, _flick_abort196);
              flick_cdr_decode_signed32(0, c.a3.b1, CORBA::Long );
              flick_cdr_decode_char8(4, c.a3.b2, CORBA::Char );
              flick_cdr_decode_char8(5, d.a1.disc_, CORBA::Char );
              flick_iiopxx_decode_end_chunk(6);
              switch (d.a1.disc_)
                {
                case 'a':
                  {
                    flick_iiopxx_decode_new_chunk(6);
                    flick_cdr_decode_signed32(2, d.a1._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(6);
                    break;
                  }
                case 'b':
                  {
                    {
                      Foo *_t_alloc_ptr;

                      _t_alloc_ptr = (Foo *)new Foo ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort258);
                      d.a1._u.y = _t_alloc_ptr;
                    }
                    flick_iiopxx_check_span(7, _flick_abort258);
                    flick_iiopxx_decode_new_chunk(6);
                    flick_cdr_decode_signed32(2, d.a1._u.y->disc_, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(6);
                    switch (d.a1._u.y->disc_)
                      {
                      case 1:
                        {
                          flick_iiopxx_check_span(4, _flick_abort263);
                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_signed32(0, d.a1._u.y->_u.x, CORBA::Long );
                          flick_iiopxx_decode_end_chunk(4);
                          break;
                          {
                          _flick_abort263:
                            goto _flick_abort258;
                          }
                        }
                      case 2:
                        {
                          flick_iiopxx_check_span(5, _flick_abort264);
                          flick_iiopxx_decode_new_chunk(5);
                          flick_cdr_decode_signed32(0, d.a1._u.y->_u.y.b1, CORBA::Long );
                          flick_cdr_decode_char8(4, d.a1._u.y->_u.y.b2, CORBA::Char );
                          flick_iiopxx_decode_end_chunk(5);
                          break;
                          {
                          _flick_abort264:
                            goto _flick_abort258;
                          }
                        }
                      default:
                        {
                          flick_iiopxx_decode_new_chunk(1);
                          flick_cdr_decode_char8(0, d.a1._u.y->_u.z, CORBA::Char );
                          flick_iiopxx_decode_end_chunk(1);
                          break;
                        }
                      }
                    break;
                    {
                    _flick_abort258:
                      goto _flick_abort196;
                    }
                  }
                default:
                  {
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(5, _flick_abort196);
              flick_cdr_decode_signed32(0, d.a2.disc_, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              switch (d.a2.disc_)
                {
                case 1:
                  {
                    flick_iiopxx_check_span(4, _flick_abort271);
                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_signed32(0, d.a2._u.x, CORBA::Long );
                    flick_iiopxx_decode_end_chunk(4);
                    break;
                    {
                    _flick_abort271:
                      goto _flick_abort196;
                    }
                  }
                case 2:
                  {
                    flick_iiopxx_check_span(5, _flick_abort272);
                    flick_iiopxx_decode_new_chunk(5);
                    flick_cdr_decode_signed32(0, d.a2._u.y.b1, CORBA::Long );
                    flick_cdr_decode_char8(4, d.a2._u.y.b2, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(5);
                    break;
                    {
                    _flick_abort272:
                      goto _flick_abort196;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_new_chunk(1);
                    flick_cdr_decode_char8(0, d.a2._u.z, CORBA::Char );
                    flick_iiopxx_decode_end_chunk(1);
                    break;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
              flick_iiopxx_check_span(5, _flick_abort196);
              flick_cdr_decode_signed32(0, d.a3.b1, CORBA::Long );
              flick_cdr_decode_char8(4, d.a3.b2, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(82);
              break;
              {
              _flick_abort196:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(82);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort274);
              break;
              {
              _flick_abort274:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort275);
              flick_iiopxx_decode_end_glob(82);
              break;
              {
              _flick_abort275:
                goto _flick_abort1;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1);
  }
  return _return;
  {
  _flick_abort1:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

