#include "arrays-server.h"

/* This is the runtime type information */
char *flick_interface_parents_arrays[] = {
	"IDL:arrays:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t arrays_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t342_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t342_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t342_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t343_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t343_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t343_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t344_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t344_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t344_switch_tag)
                  {
                  case /* _cLd */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343140):
                    {
                      char _t345_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t345_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t345_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t346_principal_len;
                              struct cLd _return;
                              struct cLd *_local_inp;
                              struct cLd _t347_storage;
                              flick_unsigned32_t _t348_array_iter;
                              struct cLd *_local_iop;
                              struct cLd _t349_storage;
                              flick_unsigned32_t _t350_array_iter;
                              struct cLd *_local_outp;
                              struct cLd _t351_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t352_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1164);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t346_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t346_principal_len + 1, _flick_abort1164);
                              flick_khazana_decode_new_glob(_t346_principal_len);
                              flick_khazana_decode_new_chunk(_t346_principal_len);
                              flick_khazana_decode_end_chunk(_t346_principal_len);
                              flick_khazana_decode_end_glob(_t346_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct cLd *)(&_t347_storage);
                              flick_khazana_decode_new_glob(726);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->first, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              for (_t348_array_iter = 0; _t348_array_iter < 50; _t348_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort1168);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t348_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1168:
                                    goto _flick_abort1164;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(9, 3, 2, 0);
                              flick_khazana_check_span(9, _flick_abort1164);
                              flick_cdr_swap_decode_float64(0, _local_inp->last, CORBA_double );
                              _local_iop = (struct cLd *)(&_t349_storage);
                              flick_cdr_swap_decode_char8(8, _local_iop->first, CORBA_char );
                              flick_khazana_decode_end_chunk(9);
                              for (_t350_array_iter = 0; _t350_array_iter < 50; _t350_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort1173);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t350_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1173:
                                    goto _flick_abort1164;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
                              flick_khazana_check_span(8, _flick_abort1164);
                              flick_cdr_swap_decode_float64(0, _local_iop->last, CORBA_double );
                              _local_outp = (struct cLd *)(&_t351_storage);
                              _ev = (CORBA_Environment *)(&_t352_storage);
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(726);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1164);
                                flick_khazana_encode_new_glob(652, _flick_abort1164);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(204);
                                      flick_cdr_encode_char8(0, _return.first, CORBA_char );
                                      flick_cdr_encode_bcopy(4, _return.data, 200);
                                      flick_khazana_encode_end_chunk(204);
                                      flick_khazana_encode_new_chunk_align(440, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_iop->first, CORBA_char );
                                      flick_cdr_encode_bcopy(12, _local_iop->data, 200);
                                      flick_cdr_encode_float64(216, _local_iop->last, CORBA_double );
                                      flick_cdr_encode_char8(224, _local_outp->first, CORBA_char );
                                      flick_cdr_encode_bcopy(228, _local_outp->data, 200);
                                      flick_cdr_encode_float64(432, _local_outp->last, CORBA_double );
                                      flick_khazana_encode_end_chunk(440);
                                      flick_khazana_encode_end_glob(652);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(652);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1192);
                                      break;
                                      {
                                      _flick_abort1192:
                                        goto _flick_abort1164;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1193);
                                      flick_khazana_encode_end_glob(652);
                                      break;
                                      {
                                      _flick_abort1193:
                                        goto _flick_abort1164;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1164:
                                goto _flick_abort1163;
                              }
                            }
                            break;
                            {
                            _flick_abort1163:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408675):
                    {
                      char _t353_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t353_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t353_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t354_principal_len;
                              struct dLc _return;
                              struct dLc *_local_inp;
                              struct dLc _t355_storage;
                              flick_unsigned32_t _t356_array_iter;
                              struct dLc *_local_iop;
                              struct dLc _t357_storage;
                              flick_unsigned32_t _t358_array_iter;
                              struct dLc *_local_outp;
                              struct dLc _t359_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t360_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1195);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t354_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t354_principal_len, _flick_abort1195);
                              flick_khazana_decode_new_glob(_t354_principal_len);
                              flick_khazana_decode_new_chunk(_t354_principal_len);
                              flick_khazana_decode_end_chunk(_t354_principal_len);
                              flick_khazana_decode_end_glob(_t354_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct dLc *)(&_t355_storage);
                              flick_khazana_decode_new_glob(432);
                              flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                              flick_khazana_check_span(50 * 4 + 1 + 8, _flick_abort1195);
                              flick_cdr_swap_decode_float64(0, _local_inp->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t356_array_iter = 0; _t356_array_iter < 50; _t356_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t356_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->last, CORBA_char );
                              _local_iop = (struct dLc *)(&_t357_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_new_chunk_align(8, 3, 2, 1);
                              flick_khazana_check_span(50 * 4 + 1 + 8, _flick_abort1195);
                              flick_cdr_swap_decode_float64(0, _local_iop->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t358_array_iter = 0; _t358_array_iter < 50; _t358_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t358_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_iop->last, CORBA_char );
                              _local_outp = (struct dLc *)(&_t359_storage);
                              _ev = (CORBA_Environment *)(&_t360_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_end_glob(432);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1195);
                                flick_khazana_encode_new_glob(649, _flick_abort1195);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(641, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA_double );
                                      flick_cdr_encode_bcopy(8, _return.data, 200);
                                      flick_cdr_encode_char8(208, _return.last, CORBA_char );
                                      flick_cdr_encode_float64(216, _local_iop->first, CORBA_double );
                                      flick_cdr_encode_bcopy(224, _local_iop->data, 200);
                                      flick_cdr_encode_char8(424, _local_iop->last, CORBA_char );
                                      flick_cdr_encode_float64(432, _local_outp->first, CORBA_double );
                                      flick_cdr_encode_bcopy(440, _local_outp->data, 200);
                                      flick_cdr_encode_char8(640, _local_outp->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(641);
                                      flick_khazana_encode_end_glob(649);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(649);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1223);
                                      break;
                                      {
                                      _flick_abort1223:
                                        goto _flick_abort1195;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1224);
                                      flick_khazana_encode_end_glob(649);
                                      break;
                                      {
                                      _flick_abort1224:
                                        goto _flick_abort1195;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1195:
                                goto _flick_abort1194;
                              }
                            }
                            break;
                            {
                            _flick_abort1194:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391731):
                    {
                      char _t361_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t361_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t361_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t362_principal_len;
                              struct sLs _return;
                              struct sLs *_local_inp;
                              struct sLs _t363_storage;
                              flick_unsigned32_t _t364_array_iter;
                              struct sLs *_local_iop;
                              struct sLs _t365_storage;
                              flick_unsigned32_t _t366_array_iter;
                              struct sLs *_local_outp;
                              struct sLs _t367_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t368_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1226);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t362_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t362_principal_len, _flick_abort1226);
                              flick_khazana_decode_new_glob(_t362_principal_len);
                              flick_khazana_decode_new_chunk(_t362_principal_len);
                              flick_khazana_decode_end_chunk(_t362_principal_len);
                              flick_khazana_decode_end_glob(_t362_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct sLs *)(&_t363_storage);
                              flick_khazana_decode_new_glob(509);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort1226);
                              flick_cdr_swap_decode_signed16(0, _local_inp->first, CORBA_short );
                              flick_khazana_decode_end_chunk(2);
                              for (_t364_array_iter = 0; _t364_array_iter < 50; _t364_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(4, 2, 1, 0);
                                  flick_khazana_check_span(4, _flick_abort1230);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t364_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1230:
                                    goto _flick_abort1226;
                                  }
                                }
                              flick_khazana_check_span(50 * 4 + 2 + 4, _flick_abort1226);
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed16(0, _local_inp->last, CORBA_short );
                              _local_iop = (struct sLs *)(&_t365_storage);
                              flick_cdr_swap_decode_signed16(2, _local_iop->first, CORBA_short );
                              flick_khazana_decode_end_chunk(4);
                              for (_t366_array_iter = 0; _t366_array_iter < 50; _t366_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t366_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(2);
                              flick_cdr_swap_decode_signed16(0, _local_iop->last, CORBA_short );
                              _local_outp = (struct sLs *)(&_t367_storage);
                              _ev = (CORBA_Environment *)(&_t368_storage);
                              flick_khazana_decode_end_chunk(2);
                              flick_khazana_decode_end_glob(509);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1226);
                                flick_khazana_encode_new_glob(618, _flick_abort1226);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(614);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA_short );
                                      flick_cdr_encode_bcopy(4, _return.data, 200);
                                      flick_cdr_encode_signed16(204, _return.last, CORBA_short );
                                      flick_cdr_encode_signed16(206, _local_iop->first, CORBA_short );
                                      flick_cdr_encode_bcopy(208, _local_iop->data, 200);
                                      flick_cdr_encode_signed16(408, _local_iop->last, CORBA_short );
                                      flick_cdr_encode_signed16(410, _local_outp->first, CORBA_short );
                                      flick_cdr_encode_bcopy(412, _local_outp->data, 200);
                                      flick_cdr_encode_signed16(612, _local_outp->last, CORBA_short );
                                      flick_khazana_encode_end_chunk(614);
                                      flick_khazana_encode_end_glob(618);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(618);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1254);
                                      break;
                                      {
                                      _flick_abort1254:
                                        goto _flick_abort1226;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1255);
                                      flick_khazana_encode_end_glob(618);
                                      break;
                                      {
                                      _flick_abort1255:
                                        goto _flick_abort1226;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1226:
                                goto _flick_abort1225;
                              }
                            }
                            break;
                            {
                            _flick_abort1225:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t369_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t369_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t369_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t370_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t370_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t370_switch_tag)
                  {
                  case /* _cLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343107):
                    {
                      unsigned short int _t371_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t371_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t371_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              unsigned int _t372_principal_len;
                              struct cLCd _return;
                              struct cLCd *_local_inp;
                              struct cLCd _t373_storage;
                              flick_unsigned32_t _t374_array_iter;
                              struct cLCd *_local_iop;
                              struct cLCd _t375_storage;
                              flick_unsigned32_t _t376_array_iter;
                              struct cLCd *_local_outp;
                              struct cLCd _t377_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t378_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1257);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t372_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t372_principal_len + 1, _flick_abort1257);
                              flick_khazana_decode_new_glob(_t372_principal_len);
                              flick_khazana_decode_new_chunk(_t372_principal_len);
                              flick_khazana_decode_end_chunk(_t372_principal_len);
                              flick_khazana_decode_end_glob(_t372_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct cLCd *)(&_t373_storage);
                              flick_khazana_decode_new_glob(832);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->first, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              for (_t374_array_iter = 0; _t374_array_iter < 50; _t374_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort1261);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t374_array_iter].elem1, CORBA_long );
                                  flick_cdr_swap_decode_char8(4, _local_inp->data[_t374_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort1261:
                                    goto _flick_abort1257;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(9, 3, 2, 1);
                              flick_khazana_check_span(50 * 8 + 15 + 9, _flick_abort1257);
                              flick_cdr_swap_decode_float64(0, _local_inp->last, CORBA_double );
                              _local_iop = (struct cLCd *)(&_t375_storage);
                              flick_cdr_swap_decode_char8(8, _local_iop->first, CORBA_char );
                              flick_khazana_decode_end_chunk(9);
                              for (_t376_array_iter = 0; _t376_array_iter < 50; _t376_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_swap_decode_signed32(3, _local_iop->data[_t376_array_iter].elem1, CORBA_long );
                                  flick_cdr_swap_decode_char8(7, _local_iop->data[_t376_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(15);
                              flick_cdr_swap_decode_float64(7, _local_iop->last, CORBA_double );
                              _local_outp = (struct cLCd *)(&_t377_storage);
                              _ev = (CORBA_Environment *)(&_t378_storage);
                              flick_khazana_decode_end_chunk(15);
                              flick_khazana_decode_end_glob(832);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1257);
                                flick_khazana_encode_new_glob(1252, _flick_abort1257);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t382_array_iter;
                                      flick_unsigned32_t _t383_array_iter;
                                      flick_unsigned32_t _t384_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.first, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      for (_t382_array_iter = 0; _t382_array_iter < 50; _t382_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _return.data[_t382_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(7, _return.data[_t382_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(9, 3, 2, 1);
                                      flick_cdr_encode_float64(0, _return.last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_iop->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(9);
                                      for (_t383_array_iter = 0; _t383_array_iter < 50; _t383_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _local_iop->data[_t383_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(7, _local_iop->data[_t383_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(16);
                                      flick_cdr_encode_float64(7, _local_iop->last, CORBA_double );
                                      flick_cdr_encode_char8(15, _local_outp->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(16);
                                      for (_t384_array_iter = 0; _t384_array_iter < 50; _t384_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _local_outp->data[_t384_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(7, _local_outp->data[_t384_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(15);
                                      flick_cdr_encode_float64(7, _local_outp->last, CORBA_double );
                                      flick_khazana_encode_end_chunk(15);
                                      flick_khazana_encode_end_glob(1252);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1252);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1303);
                                      break;
                                      {
                                      _flick_abort1303:
                                        goto _flick_abort1257;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1304);
                                      flick_khazana_encode_end_glob(1252);
                                      break;
                                      {
                                      _flick_abort1304:
                                        goto _flick_abort1257;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1257:
                                goto _flick_abort1256;
                              }
                            }
                            break;
                            {
                            _flick_abort1256:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408643):
                    {
                      unsigned short int _t385_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t385_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t385_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              unsigned int _t386_principal_len;
                              struct dLCc _return;
                              struct dLCc *_local_inp;
                              struct dLCc _t387_storage;
                              flick_unsigned32_t _t388_array_iter;
                              struct dLCc *_local_iop;
                              struct dLCc _t389_storage;
                              flick_unsigned32_t _t390_array_iter;
                              struct dLCc *_local_outp;
                              struct dLCc _t391_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t392_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1306);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t386_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t386_principal_len, _flick_abort1306);
                              flick_khazana_decode_new_glob(_t386_principal_len);
                              flick_khazana_decode_new_chunk(_t386_principal_len);
                              flick_khazana_decode_end_chunk(_t386_principal_len);
                              flick_khazana_decode_end_glob(_t386_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct dLCc *)(&_t387_storage);
                              flick_khazana_decode_new_glob(831);
                              flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                              flick_khazana_check_span(8, _flick_abort1306);
                              flick_cdr_swap_decode_float64(0, _local_inp->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t388_array_iter = 0; _t388_array_iter < 50; _t388_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort1310);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t388_array_iter].elem1, CORBA_long );
                                  flick_cdr_swap_decode_char8(4, _local_inp->data[_t388_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort1310:
                                    goto _flick_abort1306;
                                  }
                                }
                              flick_khazana_check_span(1, _flick_abort1306);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->last, CORBA_char );
                              _local_iop = (struct dLCc *)(&_t389_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_new_chunk_align(8, 3, 2, 2);
                              flick_khazana_check_span(8, _flick_abort1306);
                              flick_cdr_swap_decode_float64(0, _local_iop->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t390_array_iter = 0; _t390_array_iter < 50; _t390_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort1315);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t390_array_iter].elem1, CORBA_long );
                                  flick_cdr_swap_decode_char8(4, _local_iop->data[_t390_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort1315:
                                    goto _flick_abort1306;
                                  }
                                }
                              flick_khazana_check_span(1, _flick_abort1306);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_iop->last, CORBA_char );
                              _local_outp = (struct dLCc *)(&_t391_storage);
                              _ev = (CORBA_Environment *)(&_t392_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_end_glob(831);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1306);
                                flick_khazana_encode_new_glob(1247, _flick_abort1306);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t396_array_iter;
                                      flick_unsigned32_t _t397_array_iter;
                                      flick_unsigned32_t _t398_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t396_array_iter = 0; _t396_array_iter < 50; _t396_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t396_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _return.data[_t396_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 2);
                                      flick_cdr_encode_float64(0, _local_iop->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t397_array_iter = 0; _t397_array_iter < 50; _t397_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop->data[_t397_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_iop->data[_t397_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_iop->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 2);
                                      flick_cdr_encode_float64(0, _local_outp->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t398_array_iter = 0; _t398_array_iter < 50; _t398_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp->data[_t398_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_outp->data[_t398_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_outp->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_end_glob(1247);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1247);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1352);
                                      break;
                                      {
                                      _flick_abort1352:
                                        goto _flick_abort1306;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1353);
                                      flick_khazana_encode_end_glob(1247);
                                      break;
                                      {
                                      _flick_abort1353:
                                        goto _flick_abort1306;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1306:
                                goto _flick_abort1305;
                              }
                            }
                            break;
                            {
                            _flick_abort1305:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391683):
                    {
                      unsigned short int _t399_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t399_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t399_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              unsigned int _t400_principal_len;
                              struct sLCs _return;
                              struct sLCs *_local_inp;
                              struct sLCs _t401_storage;
                              flick_unsigned32_t _t402_array_iter;
                              struct sLCs *_local_iop;
                              struct sLCs _t403_storage;
                              flick_unsigned32_t _t404_array_iter;
                              struct sLCs *_local_outp;
                              struct sLCs _t405_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t406_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1355);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t400_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t400_principal_len, _flick_abort1355);
                              flick_khazana_decode_new_glob(_t400_principal_len);
                              flick_khazana_decode_new_chunk(_t400_principal_len);
                              flick_khazana_decode_end_chunk(_t400_principal_len);
                              flick_khazana_decode_end_glob(_t400_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct sLCs *)(&_t401_storage);
                              flick_khazana_decode_new_glob(811);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort1355);
                              flick_cdr_swap_decode_signed16(0, _local_inp->first, CORBA_short );
                              flick_khazana_decode_end_chunk(2);
                              for (_t402_array_iter = 0; _t402_array_iter < 50; _t402_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort1359);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t402_array_iter].elem1, CORBA_long );
                                  flick_cdr_swap_decode_char8(4, _local_inp->data[_t402_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort1359:
                                    goto _flick_abort1355;
                                  }
                                }
                              flick_khazana_check_span(5, _flick_abort1355);
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_signed16(1, _local_inp->last, CORBA_short );
                              _local_iop = (struct sLCs *)(&_t403_storage);
                              flick_cdr_swap_decode_signed16(3, _local_iop->first, CORBA_short );
                              flick_khazana_decode_end_chunk(5);
                              for (_t404_array_iter = 0; _t404_array_iter < 50; _t404_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort1364);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t404_array_iter].elem1, CORBA_long );
                                  flick_cdr_swap_decode_char8(4, _local_iop->data[_t404_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort1364:
                                    goto _flick_abort1355;
                                  }
                                }
                              flick_khazana_check_span(3, _flick_abort1355);
                              flick_khazana_decode_new_chunk(3);
                              flick_cdr_swap_decode_signed16(1, _local_iop->last, CORBA_short );
                              _local_outp = (struct sLCs *)(&_t405_storage);
                              _ev = (CORBA_Environment *)(&_t406_storage);
                              flick_khazana_decode_end_chunk(3);
                              flick_khazana_decode_end_glob(811);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1355);
                                flick_khazana_encode_new_glob(1219, _flick_abort1355);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t410_array_iter;
                                      flick_unsigned32_t _t411_array_iter;
                                      flick_unsigned32_t _t412_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      for (_t410_array_iter = 0; _t410_array_iter < 50; _t410_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t410_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _return.data[_t410_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(5);
                                      flick_cdr_encode_signed16(1, _return.last, CORBA_short );
                                      flick_cdr_encode_signed16(3, _local_iop->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(5);
                                      for (_t411_array_iter = 0; _t411_array_iter < 50; _t411_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop->data[_t411_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_iop->data[_t411_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(5);
                                      flick_cdr_encode_signed16(1, _local_iop->last, CORBA_short );
                                      flick_cdr_encode_signed16(3, _local_outp->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(5);
                                      for (_t412_array_iter = 0; _t412_array_iter < 50; _t412_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp->data[_t412_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_outp->data[_t412_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(3);
                                      flick_cdr_encode_signed16(1, _local_outp->last, CORBA_short );
                                      flick_khazana_encode_end_chunk(3);
                                      flick_khazana_encode_end_glob(1219);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1219);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1401);
                                      break;
                                      {
                                      _flick_abort1401:
                                        goto _flick_abort1355;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1402);
                                      flick_khazana_encode_end_glob(1219);
                                      break;
                                      {
                                      _flick_abort1402:
                                        goto _flick_abort1355;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1355:
                                goto _flick_abort1354;
                              }
                            }
                            break;
                            {
                            _flick_abort1354:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600340812):
                    {
                      unsigned short int _t413_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t413_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t413_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              unsigned int _t414_principal_len;
                              struct cCLd _return;
                              struct cCLd *_local_inp;
                              struct cCLd _t415_storage;
                              flick_unsigned32_t _t416_array_iter;
                              struct cCLd *_local_iop;
                              struct cCLd _t417_storage;
                              flick_unsigned32_t _t418_array_iter;
                              struct cCLd *_local_outp;
                              struct cCLd _t419_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t420_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1404);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t414_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t414_principal_len + 1, _flick_abort1404);
                              flick_khazana_decode_new_glob(_t414_principal_len);
                              flick_khazana_decode_new_chunk(_t414_principal_len);
                              flick_khazana_decode_end_chunk(_t414_principal_len);
                              flick_khazana_decode_end_glob(_t414_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct cCLd *)(&_t415_storage);
                              flick_khazana_decode_new_glob(826);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->first, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              for (_t416_array_iter = 0; _t416_array_iter < 50; _t416_array_iter++)
                                {
                                  flick_khazana_check_span(1, _flick_abort1408);
                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _local_inp->data[_t416_array_iter].elem1, CORBA_char );
                                  flick_khazana_decode_end_chunk(1);
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort1408);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t416_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1408:
                                    goto _flick_abort1404;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(9, 3, 2, 0);
                              flick_khazana_check_span(9, _flick_abort1404);
                              flick_cdr_swap_decode_float64(0, _local_inp->last, CORBA_double );
                              _local_iop = (struct cCLd *)(&_t417_storage);
                              flick_cdr_swap_decode_char8(8, _local_iop->first, CORBA_char );
                              flick_khazana_decode_end_chunk(9);
                              for (_t418_array_iter = 0; _t418_array_iter < 50; _t418_array_iter++)
                                {
                                  flick_khazana_check_span(1, _flick_abort1413);
                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _local_iop->data[_t418_array_iter].elem1, CORBA_char );
                                  flick_khazana_decode_end_chunk(1);
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort1413);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t418_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1413:
                                    goto _flick_abort1404;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
                              flick_khazana_check_span(8, _flick_abort1404);
                              flick_cdr_swap_decode_float64(0, _local_iop->last, CORBA_double );
                              _local_outp = (struct cCLd *)(&_t419_storage);
                              _ev = (CORBA_Environment *)(&_t420_storage);
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(826);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1404);
                                flick_khazana_encode_new_glob(1243, _flick_abort1404);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t424_array_iter;
                                      flick_unsigned32_t _t425_array_iter;
                                      flick_unsigned32_t _t426_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.first, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      for (_t424_array_iter = 0; _t424_array_iter < 50; _t424_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return.data[_t424_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t424_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(9, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_iop->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(9);
                                      for (_t425_array_iter = 0; _t425_array_iter < 50; _t425_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_iop->data[_t425_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop->data[_t425_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(9, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_iop->last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_outp->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(9);
                                      for (_t426_array_iter = 0; _t426_array_iter < 50; _t426_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_outp->data[_t426_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp->data[_t426_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_outp->last, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      flick_khazana_encode_end_glob(1243);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1243);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1450);
                                      break;
                                      {
                                      _flick_abort1450:
                                        goto _flick_abort1404;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1451);
                                      flick_khazana_encode_end_glob(1243);
                                      break;
                                      {
                                      _flick_abort1451:
                                        goto _flick_abort1404;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1404:
                                goto _flick_abort1403;
                              }
                            }
                            break;
                            {
                            _flick_abort1403:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600406348):
                    {
                      unsigned short int _t427_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t427_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t427_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              unsigned int _t428_principal_len;
                              struct dCLc _return;
                              struct dCLc *_local_inp;
                              struct dCLc _t429_storage;
                              flick_unsigned32_t _t430_array_iter;
                              struct dCLc *_local_iop;
                              struct dCLc _t431_storage;
                              flick_unsigned32_t _t432_array_iter;
                              struct dCLc *_local_outp;
                              struct dCLc _t433_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t434_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1453);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t428_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t428_principal_len, _flick_abort1453);
                              flick_khazana_decode_new_glob(_t428_principal_len);
                              flick_khazana_decode_new_chunk(_t428_principal_len);
                              flick_khazana_decode_end_chunk(_t428_principal_len);
                              flick_khazana_decode_end_glob(_t428_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct dCLc *)(&_t429_storage);
                              flick_khazana_decode_new_glob(832);
                              flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                              flick_khazana_check_span(50 * 8 + (50 * 8 + 1) + 24, _flick_abort1453);
                              flick_cdr_swap_decode_float64(0, _local_inp->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t430_array_iter = 0; _t430_array_iter < 50; _t430_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_swap_decode_char8(0, _local_inp->data[_t430_array_iter].elem1, CORBA_char );
                                  flick_cdr_swap_decode_signed32(4, _local_inp->data[_t430_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(16);
                              flick_cdr_swap_decode_char8(0, _local_inp->last, CORBA_char );
                              _local_iop = (struct dCLc *)(&_t431_storage);
                              flick_cdr_swap_decode_float64(8, _local_iop->first, CORBA_double );
                              flick_khazana_decode_end_chunk(16);
                              for (_t432_array_iter = 0; _t432_array_iter < 50; _t432_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_swap_decode_char8(0, _local_iop->data[_t432_array_iter].elem1, CORBA_char );
                                  flick_cdr_swap_decode_signed32(4, _local_iop->data[_t432_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_iop->last, CORBA_char );
                              _local_outp = (struct dCLc *)(&_t433_storage);
                              _ev = (CORBA_Environment *)(&_t434_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_end_glob(832);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1453);
                                flick_khazana_encode_new_glob(1249, _flick_abort1453);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t438_array_iter;
                                      flick_unsigned32_t _t439_array_iter;
                                      flick_unsigned32_t _t440_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t438_array_iter = 0; _t438_array_iter < 50; _t438_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _return.data[_t438_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _return.data[_t438_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(16);
                                      flick_cdr_encode_char8(0, _return.last, CORBA_char );
                                      flick_cdr_encode_float64(8, _local_iop->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(16);
                                      for (_t439_array_iter = 0; _t439_array_iter < 50; _t439_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_iop->data[_t439_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_iop->data[_t439_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(16);
                                      flick_cdr_encode_char8(0, _local_iop->last, CORBA_char );
                                      flick_cdr_encode_float64(8, _local_outp->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(16);
                                      for (_t440_array_iter = 0; _t440_array_iter < 50; _t440_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_outp->data[_t440_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_outp->data[_t440_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_outp->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_end_glob(1249);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1249);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1499);
                                      break;
                                      {
                                      _flick_abort1499:
                                        goto _flick_abort1453;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1500);
                                      flick_khazana_encode_end_glob(1249);
                                      break;
                                      {
                                      _flick_abort1500:
                                        goto _flick_abort1453;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1453:
                                goto _flick_abort1452;
                              }
                            }
                            break;
                            {
                            _flick_abort1452:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601389388):
                    {
                      unsigned short int _t441_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t441_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t441_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              unsigned int _t442_principal_len;
                              struct sCLs _return;
                              struct sCLs *_local_inp;
                              struct sCLs _t443_storage;
                              flick_unsigned32_t _t444_array_iter;
                              struct sCLs *_local_iop;
                              struct sCLs _t445_storage;
                              flick_unsigned32_t _t446_array_iter;
                              struct sCLs *_local_outp;
                              struct sCLs _t447_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t448_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1502);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t442_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t442_principal_len, _flick_abort1502);
                              flick_khazana_decode_new_glob(_t442_principal_len);
                              flick_khazana_decode_new_chunk(_t442_principal_len);
                              flick_khazana_decode_end_chunk(_t442_principal_len);
                              flick_khazana_decode_end_glob(_t442_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct sCLs *)(&_t443_storage);
                              flick_khazana_decode_new_glob(809);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort1502);
                              flick_cdr_swap_decode_signed16(0, _local_inp->first, CORBA_short );
                              flick_khazana_decode_end_chunk(2);
                              for (_t444_array_iter = 0; _t444_array_iter < 50; _t444_array_iter++)
                                {
                                  flick_khazana_check_span(1, _flick_abort1506);
                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _local_inp->data[_t444_array_iter].elem1, CORBA_char );
                                  flick_khazana_decode_end_chunk(1);
                                  flick_khazana_decode_new_chunk_align(4, 2, 1, 1);
                                  flick_khazana_check_span(4, _flick_abort1506);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t444_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1506:
                                    goto _flick_abort1502;
                                  }
                                }
                              flick_khazana_check_span(50 * 8 + 2 + 4, _flick_abort1502);
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed16(0, _local_inp->last, CORBA_short );
                              _local_iop = (struct sCLs *)(&_t445_storage);
                              flick_cdr_swap_decode_signed16(2, _local_iop->first, CORBA_short );
                              flick_khazana_decode_end_chunk(4);
                              for (_t446_array_iter = 0; _t446_array_iter < 50; _t446_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_swap_decode_char8(0, _local_iop->data[_t446_array_iter].elem1, CORBA_char );
                                  flick_cdr_swap_decode_signed32(4, _local_iop->data[_t446_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(2);
                              flick_cdr_swap_decode_signed16(0, _local_iop->last, CORBA_short );
                              _local_outp = (struct sCLs *)(&_t447_storage);
                              _ev = (CORBA_Environment *)(&_t448_storage);
                              flick_khazana_decode_end_chunk(2);
                              flick_khazana_decode_end_glob(809);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1502);
                                flick_khazana_encode_new_glob(1216, _flick_abort1502);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t452_array_iter;
                                      flick_unsigned32_t _t453_array_iter;
                                      flick_unsigned32_t _t454_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      for (_t452_array_iter = 0; _t452_array_iter < 50; _t452_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return.data[_t452_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 1, 1);
                                          flick_cdr_encode_signed32(0, _return.data[_t452_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed16(0, _return.last, CORBA_short );
                                      flick_cdr_encode_signed16(2, _local_iop->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(4);
                                      for (_t453_array_iter = 0; _t453_array_iter < 50; _t453_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_iop->data[_t453_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_iop->data[_t453_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed16(0, _local_iop->last, CORBA_short );
                                      flick_cdr_encode_signed16(2, _local_outp->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(4);
                                      for (_t454_array_iter = 0; _t454_array_iter < 50; _t454_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_outp->data[_t454_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_outp->data[_t454_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _local_outp->last, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(1216);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1216);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1548);
                                      break;
                                      {
                                      _flick_abort1548:
                                        goto _flick_abort1502;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1549);
                                      flick_khazana_encode_end_glob(1216);
                                      break;
                                      {
                                      _flick_abort1549:
                                        goto _flick_abort1502;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1502:
                                goto _flick_abort1501;
                              }
                            }
                            break;
                            {
                            _flick_abort1501:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t455_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t455_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t455_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t456_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t456_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t456_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t457_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t458_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t459_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1551);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t457_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t457_principal_len, _flick_abort1551);
                        flick_khazana_decode_new_glob(_t457_principal_len);
                        flick_khazana_decode_new_chunk(_t457_principal_len);
                        flick_khazana_decode_end_chunk(_t457_principal_len);
                        flick_khazana_decode_end_glob(_t457_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort1551);
                        flick_cdr_swap_decode_unsigned32(0, _t458_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t458_temp_string_len);
                        flick_khazana_check_span(1 * _t458_temp_string_len, _flick_abort1551);
                        flick_khazana_decode_new_chunk(1 * _t458_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t458_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t458_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t459_storage);
                        _par = flick_interface_parents_arrays;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1551);
                          flick_khazana_encode_new_glob(5, _flick_abort1551);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1559);
                                break;
                                {
                                _flick_abort1559:
                                  goto _flick_abort1551;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1560);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1560:
                                  goto _flick_abort1551;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1551:
                          goto _flick_abort1550;
                        }
                      }
                      break;
                      {
                      _flick_abort1550:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t112_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t112_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t112_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t113_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t113_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t113_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t114_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t114_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t114_switch_tag)
                  {
                  case /* _cLd */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343140):
                    {
                      char _t115_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t115_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t115_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t116_principal_len;
                              struct cLd _return;
                              struct cLd *_local_inp;
                              struct cLd _t117_storage;
                              struct cLd *_local_iop;
                              struct cLd _t118_storage;
                              struct cLd *_local_outp;
                              struct cLd _t119_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t120_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort385);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t116_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t116_principal_len + 1, _flick_abort385);
                              flick_khazana_decode_new_glob(_t116_principal_len);
                              flick_khazana_decode_new_chunk(_t116_principal_len);
                              flick_khazana_decode_end_chunk(_t116_principal_len);
                              flick_khazana_decode_end_glob(_t116_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct cLd *)(&_t117_storage);
                              flick_khazana_decode_new_glob(432);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->first, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_new_chunk_align(200, 2, 0, 0);
                              flick_khazana_check_span(200, _flick_abort385);
                              flick_cdr_decode_bcopy(0, _local_inp->data, 200);
                              flick_khazana_decode_end_chunk(200);
                              flick_khazana_decode_new_chunk_align(224, 3, 2, 0);
                              flick_khazana_check_span(224, _flick_abort385);
                              flick_cdr_decode_float64(0, _local_inp->last, CORBA_double );
                              _local_iop = (struct cLd *)(&_t118_storage);
                              flick_cdr_decode_char8(8, _local_iop->first, CORBA_char );
                              flick_cdr_decode_bcopy(12, _local_iop->data, 200);
                              flick_cdr_decode_float64(216, _local_iop->last, CORBA_double );
                              _local_outp = (struct cLd *)(&_t119_storage);
                              _ev = (CORBA_Environment *)(&_t120_storage);
                              flick_khazana_decode_end_chunk(224);
                              flick_khazana_decode_end_glob(432);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort385);
                                flick_khazana_encode_new_glob(652, _flick_abort385);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(204);
                                      flick_cdr_encode_char8(0, _return.first, CORBA_char );
                                      flick_cdr_encode_bcopy(4, _return.data, 200);
                                      flick_khazana_encode_end_chunk(204);
                                      flick_khazana_encode_new_chunk_align(440, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_iop->first, CORBA_char );
                                      flick_cdr_encode_bcopy(12, _local_iop->data, 200);
                                      flick_cdr_encode_float64(216, _local_iop->last, CORBA_double );
                                      flick_cdr_encode_char8(224, _local_outp->first, CORBA_char );
                                      flick_cdr_encode_bcopy(228, _local_outp->data, 200);
                                      flick_cdr_encode_float64(432, _local_outp->last, CORBA_double );
                                      flick_khazana_encode_end_chunk(440);
                                      flick_khazana_encode_end_glob(652);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(652);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort407);
                                      break;
                                      {
                                      _flick_abort407:
                                        goto _flick_abort385;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort408);
                                      flick_khazana_encode_end_glob(652);
                                      break;
                                      {
                                      _flick_abort408:
                                        goto _flick_abort385;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort385:
                                goto _flick_abort384;
                              }
                            }
                            break;
                            {
                            _flick_abort384:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408675):
                    {
                      char _t121_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t121_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t121_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t122_principal_len;
                              struct dLc _return;
                              struct dLc *_local_inp;
                              struct dLc _t123_storage;
                              struct dLc *_local_iop;
                              struct dLc _t124_storage;
                              struct dLc *_local_outp;
                              struct dLc _t125_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t126_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort410);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t122_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t122_principal_len, _flick_abort410);
                              flick_khazana_decode_new_glob(_t122_principal_len);
                              flick_khazana_decode_new_chunk(_t122_principal_len);
                              flick_khazana_decode_end_chunk(_t122_principal_len);
                              flick_khazana_decode_end_glob(_t122_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct dLc *)(&_t123_storage);
                              flick_khazana_decode_new_glob(432);
                              flick_khazana_decode_new_chunk_align(425, 3, 0, 0);
                              flick_khazana_check_span(425, _flick_abort410);
                              flick_cdr_decode_float64(0, _local_inp->first, CORBA_double );
                              flick_cdr_decode_bcopy(8, _local_inp->data, 200);
                              flick_cdr_decode_char8(208, _local_inp->last, CORBA_char );
                              _local_iop = (struct dLc *)(&_t124_storage);
                              flick_cdr_decode_float64(216, _local_iop->first, CORBA_double );
                              flick_cdr_decode_bcopy(224, _local_iop->data, 200);
                              flick_cdr_decode_char8(424, _local_iop->last, CORBA_char );
                              _local_outp = (struct dLc *)(&_t125_storage);
                              _ev = (CORBA_Environment *)(&_t126_storage);
                              flick_khazana_decode_end_chunk(425);
                              flick_khazana_decode_end_glob(432);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort410);
                                flick_khazana_encode_new_glob(649, _flick_abort410);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(641, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA_double );
                                      flick_cdr_encode_bcopy(8, _return.data, 200);
                                      flick_cdr_encode_char8(208, _return.last, CORBA_char );
                                      flick_cdr_encode_float64(216, _local_iop->first, CORBA_double );
                                      flick_cdr_encode_bcopy(224, _local_iop->data, 200);
                                      flick_cdr_encode_char8(424, _local_iop->last, CORBA_char );
                                      flick_cdr_encode_float64(432, _local_outp->first, CORBA_double );
                                      flick_cdr_encode_bcopy(440, _local_outp->data, 200);
                                      flick_cdr_encode_char8(640, _local_outp->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(641);
                                      flick_khazana_encode_end_glob(649);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(649);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort432);
                                      break;
                                      {
                                      _flick_abort432:
                                        goto _flick_abort410;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort433);
                                      flick_khazana_encode_end_glob(649);
                                      break;
                                      {
                                      _flick_abort433:
                                        goto _flick_abort410;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort410:
                                goto _flick_abort409;
                              }
                            }
                            break;
                            {
                            _flick_abort409:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391731):
                    {
                      char _t127_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t127_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t127_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t128_principal_len;
                              struct sLs _return;
                              struct sLs *_local_inp;
                              struct sLs _t129_storage;
                              struct sLs *_local_iop;
                              struct sLs _t130_storage;
                              struct sLs *_local_outp;
                              struct sLs _t131_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t132_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort435);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t128_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t128_principal_len, _flick_abort435);
                              flick_khazana_decode_new_glob(_t128_principal_len);
                              flick_khazana_decode_new_chunk(_t128_principal_len);
                              flick_khazana_decode_end_chunk(_t128_principal_len);
                              flick_khazana_decode_end_glob(_t128_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct sLs *)(&_t129_storage);
                              flick_khazana_decode_new_glob(411);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort435);
                              flick_cdr_decode_signed16(0, _local_inp->first, CORBA_short );
                              flick_khazana_decode_end_chunk(2);
                              flick_khazana_decode_new_chunk_align(406, 2, 1, 0);
                              flick_khazana_check_span(406, _flick_abort435);
                              flick_cdr_decode_bcopy(0, _local_inp->data, 200);
                              flick_cdr_decode_signed16(200, _local_inp->last, CORBA_short );
                              _local_iop = (struct sLs *)(&_t130_storage);
                              flick_cdr_decode_signed16(202, _local_iop->first, CORBA_short );
                              flick_cdr_decode_bcopy(204, _local_iop->data, 200);
                              flick_cdr_decode_signed16(404, _local_iop->last, CORBA_short );
                              _local_outp = (struct sLs *)(&_t131_storage);
                              _ev = (CORBA_Environment *)(&_t132_storage);
                              flick_khazana_decode_end_chunk(406);
                              flick_khazana_decode_end_glob(411);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort435);
                                flick_khazana_encode_new_glob(618, _flick_abort435);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(614);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA_short );
                                      flick_cdr_encode_bcopy(4, _return.data, 200);
                                      flick_cdr_encode_signed16(204, _return.last, CORBA_short );
                                      flick_cdr_encode_signed16(206, _local_iop->first, CORBA_short );
                                      flick_cdr_encode_bcopy(208, _local_iop->data, 200);
                                      flick_cdr_encode_signed16(408, _local_iop->last, CORBA_short );
                                      flick_cdr_encode_signed16(410, _local_outp->first, CORBA_short );
                                      flick_cdr_encode_bcopy(412, _local_outp->data, 200);
                                      flick_cdr_encode_signed16(612, _local_outp->last, CORBA_short );
                                      flick_khazana_encode_end_chunk(614);
                                      flick_khazana_encode_end_glob(618);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(618);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort457);
                                      break;
                                      {
                                      _flick_abort457:
                                        goto _flick_abort435;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort458);
                                      flick_khazana_encode_end_glob(618);
                                      break;
                                      {
                                      _flick_abort458:
                                        goto _flick_abort435;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort435:
                                goto _flick_abort434;
                              }
                            }
                            break;
                            {
                            _flick_abort434:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t133_switch_tag;

          flick_khazana_check_span(16, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t133_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t133_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t134_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t134_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t134_switch_tag)
                  {
                  case /* _cLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343107):
                    {
                      unsigned short int _t135_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t135_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t135_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              unsigned int _t136_principal_len;
                              struct cLCd _return;
                              struct cLCd *_local_inp;
                              struct cLCd _t137_storage;
                              flick_unsigned32_t _t138_array_iter;
                              struct cLCd *_local_iop;
                              struct cLCd _t139_storage;
                              flick_unsigned32_t _t140_array_iter;
                              struct cLCd *_local_outp;
                              struct cLCd _t141_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t142_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort460);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t136_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t136_principal_len + 1, _flick_abort460);
                              flick_khazana_decode_new_glob(_t136_principal_len);
                              flick_khazana_decode_new_chunk(_t136_principal_len);
                              flick_khazana_decode_end_chunk(_t136_principal_len);
                              flick_khazana_decode_end_glob(_t136_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct cLCd *)(&_t137_storage);
                              flick_khazana_decode_new_glob(832);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->first, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              for (_t138_array_iter = 0; _t138_array_iter < 50; _t138_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort464);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t138_array_iter].elem1, CORBA_long );
                                  flick_cdr_decode_char8(4, _local_inp->data[_t138_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort464:
                                    goto _flick_abort460;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(9, 3, 2, 1);
                              flick_khazana_check_span(50 * 8 + 15 + 9, _flick_abort460);
                              flick_cdr_decode_float64(0, _local_inp->last, CORBA_double );
                              _local_iop = (struct cLCd *)(&_t139_storage);
                              flick_cdr_decode_char8(8, _local_iop->first, CORBA_char );
                              flick_khazana_decode_end_chunk(9);
                              for (_t140_array_iter = 0; _t140_array_iter < 50; _t140_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_decode_signed32(3, _local_iop->data[_t140_array_iter].elem1, CORBA_long );
                                  flick_cdr_decode_char8(7, _local_iop->data[_t140_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(15);
                              flick_cdr_decode_float64(7, _local_iop->last, CORBA_double );
                              _local_outp = (struct cLCd *)(&_t141_storage);
                              _ev = (CORBA_Environment *)(&_t142_storage);
                              flick_khazana_decode_end_chunk(15);
                              flick_khazana_decode_end_glob(832);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort460);
                                flick_khazana_encode_new_glob(1252, _flick_abort460);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t146_array_iter;
                                      flick_unsigned32_t _t147_array_iter;
                                      flick_unsigned32_t _t148_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.first, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      for (_t146_array_iter = 0; _t146_array_iter < 50; _t146_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _return.data[_t146_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(7, _return.data[_t146_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(9, 3, 2, 1);
                                      flick_cdr_encode_float64(0, _return.last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_iop->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(9);
                                      for (_t147_array_iter = 0; _t147_array_iter < 50; _t147_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _local_iop->data[_t147_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(7, _local_iop->data[_t147_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(16);
                                      flick_cdr_encode_float64(7, _local_iop->last, CORBA_double );
                                      flick_cdr_encode_char8(15, _local_outp->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(16);
                                      for (_t148_array_iter = 0; _t148_array_iter < 50; _t148_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _local_outp->data[_t148_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(7, _local_outp->data[_t148_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(15);
                                      flick_cdr_encode_float64(7, _local_outp->last, CORBA_double );
                                      flick_khazana_encode_end_chunk(15);
                                      flick_khazana_encode_end_glob(1252);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1252);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort506);
                                      break;
                                      {
                                      _flick_abort506:
                                        goto _flick_abort460;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort507);
                                      flick_khazana_encode_end_glob(1252);
                                      break;
                                      {
                                      _flick_abort507:
                                        goto _flick_abort460;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort460:
                                goto _flick_abort459;
                              }
                            }
                            break;
                            {
                            _flick_abort459:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408643):
                    {
                      unsigned short int _t149_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t149_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t149_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              unsigned int _t150_principal_len;
                              struct dLCc _return;
                              struct dLCc *_local_inp;
                              struct dLCc _t151_storage;
                              flick_unsigned32_t _t152_array_iter;
                              struct dLCc *_local_iop;
                              struct dLCc _t153_storage;
                              flick_unsigned32_t _t154_array_iter;
                              struct dLCc *_local_outp;
                              struct dLCc _t155_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t156_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort509);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t150_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t150_principal_len, _flick_abort509);
                              flick_khazana_decode_new_glob(_t150_principal_len);
                              flick_khazana_decode_new_chunk(_t150_principal_len);
                              flick_khazana_decode_end_chunk(_t150_principal_len);
                              flick_khazana_decode_end_glob(_t150_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct dLCc *)(&_t151_storage);
                              flick_khazana_decode_new_glob(831);
                              flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                              flick_khazana_check_span(8, _flick_abort509);
                              flick_cdr_decode_float64(0, _local_inp->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t152_array_iter = 0; _t152_array_iter < 50; _t152_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort513);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t152_array_iter].elem1, CORBA_long );
                                  flick_cdr_decode_char8(4, _local_inp->data[_t152_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort513:
                                    goto _flick_abort509;
                                  }
                                }
                              flick_khazana_check_span(1, _flick_abort509);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->last, CORBA_char );
                              _local_iop = (struct dLCc *)(&_t153_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_new_chunk_align(8, 3, 2, 2);
                              flick_khazana_check_span(8, _flick_abort509);
                              flick_cdr_decode_float64(0, _local_iop->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t154_array_iter = 0; _t154_array_iter < 50; _t154_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort518);
                                  flick_cdr_decode_signed32(0, _local_iop->data[_t154_array_iter].elem1, CORBA_long );
                                  flick_cdr_decode_char8(4, _local_iop->data[_t154_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort518:
                                    goto _flick_abort509;
                                  }
                                }
                              flick_khazana_check_span(1, _flick_abort509);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_iop->last, CORBA_char );
                              _local_outp = (struct dLCc *)(&_t155_storage);
                              _ev = (CORBA_Environment *)(&_t156_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_end_glob(831);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort509);
                                flick_khazana_encode_new_glob(1247, _flick_abort509);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t160_array_iter;
                                      flick_unsigned32_t _t161_array_iter;
                                      flick_unsigned32_t _t162_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t160_array_iter = 0; _t160_array_iter < 50; _t160_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t160_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _return.data[_t160_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 2);
                                      flick_cdr_encode_float64(0, _local_iop->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t161_array_iter = 0; _t161_array_iter < 50; _t161_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop->data[_t161_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_iop->data[_t161_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_iop->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 2);
                                      flick_cdr_encode_float64(0, _local_outp->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t162_array_iter = 0; _t162_array_iter < 50; _t162_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp->data[_t162_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_outp->data[_t162_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_outp->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_end_glob(1247);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1247);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort555);
                                      break;
                                      {
                                      _flick_abort555:
                                        goto _flick_abort509;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort556);
                                      flick_khazana_encode_end_glob(1247);
                                      break;
                                      {
                                      _flick_abort556:
                                        goto _flick_abort509;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort509:
                                goto _flick_abort508;
                              }
                            }
                            break;
                            {
                            _flick_abort508:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391683):
                    {
                      unsigned short int _t163_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t163_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t163_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              unsigned int _t164_principal_len;
                              struct sLCs _return;
                              struct sLCs *_local_inp;
                              struct sLCs _t165_storage;
                              flick_unsigned32_t _t166_array_iter;
                              struct sLCs *_local_iop;
                              struct sLCs _t167_storage;
                              flick_unsigned32_t _t168_array_iter;
                              struct sLCs *_local_outp;
                              struct sLCs _t169_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t170_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort558);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t164_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t164_principal_len, _flick_abort558);
                              flick_khazana_decode_new_glob(_t164_principal_len);
                              flick_khazana_decode_new_chunk(_t164_principal_len);
                              flick_khazana_decode_end_chunk(_t164_principal_len);
                              flick_khazana_decode_end_glob(_t164_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct sLCs *)(&_t165_storage);
                              flick_khazana_decode_new_glob(811);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort558);
                              flick_cdr_decode_signed16(0, _local_inp->first, CORBA_short );
                              flick_khazana_decode_end_chunk(2);
                              for (_t166_array_iter = 0; _t166_array_iter < 50; _t166_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort562);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t166_array_iter].elem1, CORBA_long );
                                  flick_cdr_decode_char8(4, _local_inp->data[_t166_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort562:
                                    goto _flick_abort558;
                                  }
                                }
                              flick_khazana_check_span(5, _flick_abort558);
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_signed16(1, _local_inp->last, CORBA_short );
                              _local_iop = (struct sLCs *)(&_t167_storage);
                              flick_cdr_decode_signed16(3, _local_iop->first, CORBA_short );
                              flick_khazana_decode_end_chunk(5);
                              for (_t168_array_iter = 0; _t168_array_iter < 50; _t168_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort567);
                                  flick_cdr_decode_signed32(0, _local_iop->data[_t168_array_iter].elem1, CORBA_long );
                                  flick_cdr_decode_char8(4, _local_iop->data[_t168_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort567:
                                    goto _flick_abort558;
                                  }
                                }
                              flick_khazana_check_span(3, _flick_abort558);
                              flick_khazana_decode_new_chunk(3);
                              flick_cdr_decode_signed16(1, _local_iop->last, CORBA_short );
                              _local_outp = (struct sLCs *)(&_t169_storage);
                              _ev = (CORBA_Environment *)(&_t170_storage);
                              flick_khazana_decode_end_chunk(3);
                              flick_khazana_decode_end_glob(811);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort558);
                                flick_khazana_encode_new_glob(1219, _flick_abort558);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t174_array_iter;
                                      flick_unsigned32_t _t175_array_iter;
                                      flick_unsigned32_t _t176_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      for (_t174_array_iter = 0; _t174_array_iter < 50; _t174_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t174_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _return.data[_t174_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(5);
                                      flick_cdr_encode_signed16(1, _return.last, CORBA_short );
                                      flick_cdr_encode_signed16(3, _local_iop->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(5);
                                      for (_t175_array_iter = 0; _t175_array_iter < 50; _t175_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop->data[_t175_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_iop->data[_t175_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(5);
                                      flick_cdr_encode_signed16(1, _local_iop->last, CORBA_short );
                                      flick_cdr_encode_signed16(3, _local_outp->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(5);
                                      for (_t176_array_iter = 0; _t176_array_iter < 50; _t176_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp->data[_t176_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_outp->data[_t176_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(3);
                                      flick_cdr_encode_signed16(1, _local_outp->last, CORBA_short );
                                      flick_khazana_encode_end_chunk(3);
                                      flick_khazana_encode_end_glob(1219);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1219);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort604);
                                      break;
                                      {
                                      _flick_abort604:
                                        goto _flick_abort558;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort605);
                                      flick_khazana_encode_end_glob(1219);
                                      break;
                                      {
                                      _flick_abort605:
                                        goto _flick_abort558;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort558:
                                goto _flick_abort557;
                              }
                            }
                            break;
                            {
                            _flick_abort557:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600340812):
                    {
                      unsigned short int _t177_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t177_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t177_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              unsigned int _t178_principal_len;
                              struct cCLd _return;
                              struct cCLd *_local_inp;
                              struct cCLd _t179_storage;
                              flick_unsigned32_t _t180_array_iter;
                              struct cCLd *_local_iop;
                              struct cCLd _t181_storage;
                              flick_unsigned32_t _t182_array_iter;
                              struct cCLd *_local_outp;
                              struct cCLd _t183_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t184_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort607);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t178_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t178_principal_len + 1, _flick_abort607);
                              flick_khazana_decode_new_glob(_t178_principal_len);
                              flick_khazana_decode_new_chunk(_t178_principal_len);
                              flick_khazana_decode_end_chunk(_t178_principal_len);
                              flick_khazana_decode_end_glob(_t178_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct cCLd *)(&_t179_storage);
                              flick_khazana_decode_new_glob(826);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->first, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              for (_t180_array_iter = 0; _t180_array_iter < 50; _t180_array_iter++)
                                {
                                  flick_khazana_check_span(1, _flick_abort611);
                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _local_inp->data[_t180_array_iter].elem1, CORBA_char );
                                  flick_khazana_decode_end_chunk(1);
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort611);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t180_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort611:
                                    goto _flick_abort607;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(9, 3, 2, 0);
                              flick_khazana_check_span(9, _flick_abort607);
                              flick_cdr_decode_float64(0, _local_inp->last, CORBA_double );
                              _local_iop = (struct cCLd *)(&_t181_storage);
                              flick_cdr_decode_char8(8, _local_iop->first, CORBA_char );
                              flick_khazana_decode_end_chunk(9);
                              for (_t182_array_iter = 0; _t182_array_iter < 50; _t182_array_iter++)
                                {
                                  flick_khazana_check_span(1, _flick_abort616);
                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _local_iop->data[_t182_array_iter].elem1, CORBA_char );
                                  flick_khazana_decode_end_chunk(1);
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort616);
                                  flick_cdr_decode_signed32(0, _local_iop->data[_t182_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort616:
                                    goto _flick_abort607;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
                              flick_khazana_check_span(8, _flick_abort607);
                              flick_cdr_decode_float64(0, _local_iop->last, CORBA_double );
                              _local_outp = (struct cCLd *)(&_t183_storage);
                              _ev = (CORBA_Environment *)(&_t184_storage);
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(826);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort607);
                                flick_khazana_encode_new_glob(1243, _flick_abort607);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t188_array_iter;
                                      flick_unsigned32_t _t189_array_iter;
                                      flick_unsigned32_t _t190_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.first, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      for (_t188_array_iter = 0; _t188_array_iter < 50; _t188_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return.data[_t188_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t188_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(9, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_iop->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(9);
                                      for (_t189_array_iter = 0; _t189_array_iter < 50; _t189_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_iop->data[_t189_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop->data[_t189_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(9, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_iop->last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_outp->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(9);
                                      for (_t190_array_iter = 0; _t190_array_iter < 50; _t190_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_outp->data[_t190_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp->data[_t190_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_outp->last, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      flick_khazana_encode_end_glob(1243);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1243);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort653);
                                      break;
                                      {
                                      _flick_abort653:
                                        goto _flick_abort607;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort654);
                                      flick_khazana_encode_end_glob(1243);
                                      break;
                                      {
                                      _flick_abort654:
                                        goto _flick_abort607;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort607:
                                goto _flick_abort606;
                              }
                            }
                            break;
                            {
                            _flick_abort606:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600406348):
                    {
                      unsigned short int _t191_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t191_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t191_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              unsigned int _t192_principal_len;
                              struct dCLc _return;
                              struct dCLc *_local_inp;
                              struct dCLc _t193_storage;
                              flick_unsigned32_t _t194_array_iter;
                              struct dCLc *_local_iop;
                              struct dCLc _t195_storage;
                              flick_unsigned32_t _t196_array_iter;
                              struct dCLc *_local_outp;
                              struct dCLc _t197_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t198_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort656);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t192_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t192_principal_len, _flick_abort656);
                              flick_khazana_decode_new_glob(_t192_principal_len);
                              flick_khazana_decode_new_chunk(_t192_principal_len);
                              flick_khazana_decode_end_chunk(_t192_principal_len);
                              flick_khazana_decode_end_glob(_t192_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct dCLc *)(&_t193_storage);
                              flick_khazana_decode_new_glob(832);
                              flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                              flick_khazana_check_span(50 * 8 + (50 * 8 + 1) + 24, _flick_abort656);
                              flick_cdr_decode_float64(0, _local_inp->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t194_array_iter = 0; _t194_array_iter < 50; _t194_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_decode_char8(0, _local_inp->data[_t194_array_iter].elem1, CORBA_char );
                                  flick_cdr_decode_signed32(4, _local_inp->data[_t194_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(16);
                              flick_cdr_decode_char8(0, _local_inp->last, CORBA_char );
                              _local_iop = (struct dCLc *)(&_t195_storage);
                              flick_cdr_decode_float64(8, _local_iop->first, CORBA_double );
                              flick_khazana_decode_end_chunk(16);
                              for (_t196_array_iter = 0; _t196_array_iter < 50; _t196_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_decode_char8(0, _local_iop->data[_t196_array_iter].elem1, CORBA_char );
                                  flick_cdr_decode_signed32(4, _local_iop->data[_t196_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_iop->last, CORBA_char );
                              _local_outp = (struct dCLc *)(&_t197_storage);
                              _ev = (CORBA_Environment *)(&_t198_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_end_glob(832);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort656);
                                flick_khazana_encode_new_glob(1249, _flick_abort656);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t202_array_iter;
                                      flick_unsigned32_t _t203_array_iter;
                                      flick_unsigned32_t _t204_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t202_array_iter = 0; _t202_array_iter < 50; _t202_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _return.data[_t202_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _return.data[_t202_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(16);
                                      flick_cdr_encode_char8(0, _return.last, CORBA_char );
                                      flick_cdr_encode_float64(8, _local_iop->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(16);
                                      for (_t203_array_iter = 0; _t203_array_iter < 50; _t203_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_iop->data[_t203_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_iop->data[_t203_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(16);
                                      flick_cdr_encode_char8(0, _local_iop->last, CORBA_char );
                                      flick_cdr_encode_float64(8, _local_outp->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(16);
                                      for (_t204_array_iter = 0; _t204_array_iter < 50; _t204_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_outp->data[_t204_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_outp->data[_t204_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_outp->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_end_glob(1249);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1249);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort702);
                                      break;
                                      {
                                      _flick_abort702:
                                        goto _flick_abort656;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort703);
                                      flick_khazana_encode_end_glob(1249);
                                      break;
                                      {
                                      _flick_abort703:
                                        goto _flick_abort656;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort656:
                                goto _flick_abort655;
                              }
                            }
                            break;
                            {
                            _flick_abort655:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601389388):
                    {
                      unsigned short int _t205_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t205_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t205_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              unsigned int _t206_principal_len;
                              struct sCLs _return;
                              struct sCLs *_local_inp;
                              struct sCLs _t207_storage;
                              flick_unsigned32_t _t208_array_iter;
                              struct sCLs *_local_iop;
                              struct sCLs _t209_storage;
                              flick_unsigned32_t _t210_array_iter;
                              struct sCLs *_local_outp;
                              struct sCLs _t211_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t212_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort705);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t206_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t206_principal_len, _flick_abort705);
                              flick_khazana_decode_new_glob(_t206_principal_len);
                              flick_khazana_decode_new_chunk(_t206_principal_len);
                              flick_khazana_decode_end_chunk(_t206_principal_len);
                              flick_khazana_decode_end_glob(_t206_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct sCLs *)(&_t207_storage);
                              flick_khazana_decode_new_glob(809);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort705);
                              flick_cdr_decode_signed16(0, _local_inp->first, CORBA_short );
                              flick_khazana_decode_end_chunk(2);
                              for (_t208_array_iter = 0; _t208_array_iter < 50; _t208_array_iter++)
                                {
                                  flick_khazana_check_span(1, _flick_abort709);
                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _local_inp->data[_t208_array_iter].elem1, CORBA_char );
                                  flick_khazana_decode_end_chunk(1);
                                  flick_khazana_decode_new_chunk_align(4, 2, 1, 1);
                                  flick_khazana_check_span(4, _flick_abort709);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t208_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort709:
                                    goto _flick_abort705;
                                  }
                                }
                              flick_khazana_check_span(50 * 8 + 2 + 4, _flick_abort705);
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_decode_signed16(0, _local_inp->last, CORBA_short );
                              _local_iop = (struct sCLs *)(&_t209_storage);
                              flick_cdr_decode_signed16(2, _local_iop->first, CORBA_short );
                              flick_khazana_decode_end_chunk(4);
                              for (_t210_array_iter = 0; _t210_array_iter < 50; _t210_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_decode_char8(0, _local_iop->data[_t210_array_iter].elem1, CORBA_char );
                                  flick_cdr_decode_signed32(4, _local_iop->data[_t210_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(2);
                              flick_cdr_decode_signed16(0, _local_iop->last, CORBA_short );
                              _local_outp = (struct sCLs *)(&_t211_storage);
                              _ev = (CORBA_Environment *)(&_t212_storage);
                              flick_khazana_decode_end_chunk(2);
                              flick_khazana_decode_end_glob(809);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort705);
                                flick_khazana_encode_new_glob(1216, _flick_abort705);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t216_array_iter;
                                      flick_unsigned32_t _t217_array_iter;
                                      flick_unsigned32_t _t218_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      for (_t216_array_iter = 0; _t216_array_iter < 50; _t216_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return.data[_t216_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 1, 1);
                                          flick_cdr_encode_signed32(0, _return.data[_t216_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed16(0, _return.last, CORBA_short );
                                      flick_cdr_encode_signed16(2, _local_iop->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(4);
                                      for (_t217_array_iter = 0; _t217_array_iter < 50; _t217_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_iop->data[_t217_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_iop->data[_t217_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed16(0, _local_iop->last, CORBA_short );
                                      flick_cdr_encode_signed16(2, _local_outp->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(4);
                                      for (_t218_array_iter = 0; _t218_array_iter < 50; _t218_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_outp->data[_t218_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_outp->data[_t218_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _local_outp->last, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(1216);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1216);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort751);
                                      break;
                                      {
                                      _flick_abort751:
                                        goto _flick_abort705;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort752);
                                      flick_khazana_encode_end_glob(1216);
                                      break;
                                      {
                                      _flick_abort752:
                                        goto _flick_abort705;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort705:
                                goto _flick_abort704;
                              }
                            }
                            break;
                            {
                            _flick_abort704:
                              goto _flick_abort2;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t219_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t219_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t219_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t220_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t220_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t220_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t221_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t222_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t223_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort754);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t221_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t221_principal_len, _flick_abort754);
                        flick_khazana_decode_new_glob(_t221_principal_len);
                        flick_khazana_decode_new_chunk(_t221_principal_len);
                        flick_khazana_decode_end_chunk(_t221_principal_len);
                        flick_khazana_decode_end_glob(_t221_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort754);
                        flick_cdr_decode_unsigned32(0, _t222_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t222_temp_string_len);
                        flick_khazana_check_span(1 * _t222_temp_string_len, _flick_abort754);
                        flick_khazana_decode_new_chunk(1 * _t222_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t222_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t222_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t223_storage);
                        _par = flick_interface_parents_arrays;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort754);
                          flick_khazana_encode_new_glob(5, _flick_abort754);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort762);
                                break;
                                {
                                _flick_abort762:
                                  goto _flick_abort754;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort763);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort763:
                                  goto _flick_abort754;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort754:
                          goto _flick_abort753;
                        }
                      }
                      break;
                      {
                      _flick_abort753:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

