#include "ex-server.h"

/* This is the runtime type information */
char *flick_interface_parents_A[] = {
	"IDL:A:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t A_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t42_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t42_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t42_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t43_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t43_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t43_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t44_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t44_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t44_switch_tag)
                  {
                  case 0:
                    {
                      {
                        A _obj;
                        unsigned int _t45_principal_len;
                        CORBA_short _return;
                        CORBA_short _local_b;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t46_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort108);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t45_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t45_principal_len, _flick_abort108);
                        flick_khazana_decode_new_glob(_t45_principal_len);
                        flick_khazana_decode_new_chunk(_t45_principal_len);
                        flick_khazana_decode_end_chunk(_t45_principal_len);
                        flick_khazana_decode_end_glob(_t45_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(3);
                        flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                        flick_khazana_check_span(2, _flick_abort108);
                        flick_cdr_swap_decode_signed16(0, _local_b, CORBA_short );
                        _ev = (CORBA_Environment *)(&_t46_storage);
                        flick_khazana_decode_end_chunk(2);
                        flick_khazana_decode_end_glob(3);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = A_op(_obj, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort108);
                          flick_khazana_encode_new_glob(49, _flick_abort108);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return, CORBA_short );
                                flick_khazana_encode_end_chunk(2);
                                flick_khazana_encode_end_glob(49);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(49);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort121);
                                break;
                                {
                                _flick_abort121:
                                  goto _flick_abort108;
                                }
                              }
                            default:
                              {
                                switch ((unsigned int )(1+strlen(_ev->_id)))
                                  {
                                  case (unsigned int) 12:
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 4))
                                              {
                                              case /* A/B: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1093616186):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 8))
                                                    {
                                                    case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                      {
                                                        flick_unsigned32_t _t50_temp_string_len;

                                                        flick_cdr_stringlen(CORBA_char *, ((A_B *)(_ev->_value._user_except))->d, flick_unsigned32_t , _t50_temp_string_len);

                                                        flick_khazana_encode_new_chunk(24 + 1 * _t50_temp_string_len);
                                                        flick_cdr_encode_unsigned32(0, 12, flick_unsigned32_t );
                                                        flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                        flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                        flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                        flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(8, 'A', flick_char8_t );
                                                        flick_cdr_encode_char8(9, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(10, 'B', flick_char8_t );
                                                        flick_cdr_encode_char8(11, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                        flick_cdr_encode_char8(13, '.', flick_char8_t );
                                                        flick_cdr_encode_char8(14, '0', flick_char8_t );
                                                        flick_cdr_encode_char8(15, 0, flick_char8_t );
                                                        flick_cdr_encode_signed16(16, ((A_B *)(_ev->_value._user_except))->a, CORBA_short );
                                                        flick_cdr_encode_unsigned32(20, _t50_temp_string_len, flick_unsigned32_t );
                                                        if (_t50_temp_string_len > 21)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort127);
                                                        flick_cdr_encode_bcopy(24, ((A_B *)(_ev->_value._user_except))->d, 1 * _t50_temp_string_len);
                                                        CORBA_flick_free(((A_B *)(_ev->_value._user_except))->d);
                                                        flick_khazana_encode_end_chunk(24 + 1 * _t50_temp_string_len);
                                                        CORBA_flick_free((A_B *)(_ev->_value._user_except));
                                                        break;
                                                        {
                                                        _flick_abort127:
                                                          goto _flick_abort122;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort122);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort122);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort122);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort122);
                                      break;
                                    }
                                  }
                                flick_khazana_encode_end_glob(49);
                                break;
                                {
                                _flick_abort122:
                                  goto _flick_abort108;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort108:
                          goto _flick_abort107;
                        }
                      }
                      break;
                      {
                      _flick_abort107:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t51_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t51_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t51_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t52_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t52_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t52_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t53_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t54_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t55_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort131);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t53_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t53_principal_len, _flick_abort131);
                        flick_khazana_decode_new_glob(_t53_principal_len);
                        flick_khazana_decode_new_chunk(_t53_principal_len);
                        flick_khazana_decode_end_chunk(_t53_principal_len);
                        flick_khazana_decode_end_glob(_t53_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort131);
                        flick_cdr_swap_decode_unsigned32(0, _t54_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t54_temp_string_len);
                        flick_khazana_check_span(1 * _t54_temp_string_len, _flick_abort131);
                        flick_khazana_decode_new_chunk(1 * _t54_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t54_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t54_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t55_storage);
                        _par = flick_interface_parents_A;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort131);
                          flick_khazana_encode_new_glob(5, _flick_abort131);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort139);
                                break;
                                {
                                _flick_abort139:
                                  goto _flick_abort131;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort140);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort140:
                                  goto _flick_abort131;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort131:
                          goto _flick_abort130;
                        }
                      }
                      break;
                      {
                      _flick_abort130:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t14_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t14_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t14_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t15_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t15_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t15_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t16_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t16_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t16_switch_tag)
                  {
                  case 0:
                    {
                      {
                        A _obj;
                        unsigned int _t17_principal_len;
                        CORBA_short _return;
                        CORBA_short _local_b;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t18_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort39);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t17_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t17_principal_len, _flick_abort39);
                        flick_khazana_decode_new_glob(_t17_principal_len);
                        flick_khazana_decode_new_chunk(_t17_principal_len);
                        flick_khazana_decode_end_chunk(_t17_principal_len);
                        flick_khazana_decode_end_glob(_t17_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(3);
                        flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                        flick_khazana_check_span(2, _flick_abort39);
                        flick_cdr_decode_signed16(0, _local_b, CORBA_short );
                        _ev = (CORBA_Environment *)(&_t18_storage);
                        flick_khazana_decode_end_chunk(2);
                        flick_khazana_decode_end_glob(3);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = A_op(_obj, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort39);
                          flick_khazana_encode_new_glob(49, _flick_abort39);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return, CORBA_short );
                                flick_khazana_encode_end_chunk(2);
                                flick_khazana_encode_end_glob(49);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(49);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort52);
                                break;
                                {
                                _flick_abort52:
                                  goto _flick_abort39;
                                }
                              }
                            default:
                              {
                                switch ((unsigned int )(1+strlen(_ev->_id)))
                                  {
                                  case (unsigned int) 12:
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 4))
                                              {
                                              case /* A/B: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1093616186):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 8))
                                                    {
                                                    case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                      {
                                                        flick_unsigned32_t _t22_temp_string_len;

                                                        flick_cdr_stringlen(CORBA_char *, ((A_B *)(_ev->_value._user_except))->d, flick_unsigned32_t , _t22_temp_string_len);

                                                        flick_khazana_encode_new_chunk(24 + 1 * _t22_temp_string_len);
                                                        flick_cdr_encode_unsigned32(0, 12, flick_unsigned32_t );
                                                        flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                        flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                        flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                        flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(8, 'A', flick_char8_t );
                                                        flick_cdr_encode_char8(9, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(10, 'B', flick_char8_t );
                                                        flick_cdr_encode_char8(11, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                        flick_cdr_encode_char8(13, '.', flick_char8_t );
                                                        flick_cdr_encode_char8(14, '0', flick_char8_t );
                                                        flick_cdr_encode_char8(15, 0, flick_char8_t );
                                                        flick_cdr_encode_signed16(16, ((A_B *)(_ev->_value._user_except))->a, CORBA_short );
                                                        flick_cdr_encode_unsigned32(20, _t22_temp_string_len, flick_unsigned32_t );
                                                        if (_t22_temp_string_len > 21)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort58);
                                                        flick_cdr_encode_bcopy(24, ((A_B *)(_ev->_value._user_except))->d, 1 * _t22_temp_string_len);
                                                        CORBA_flick_free(((A_B *)(_ev->_value._user_except))->d);
                                                        flick_khazana_encode_end_chunk(24 + 1 * _t22_temp_string_len);
                                                        CORBA_flick_free((A_B *)(_ev->_value._user_except));
                                                        break;
                                                        {
                                                        _flick_abort58:
                                                          goto _flick_abort53;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort53);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort53);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort53);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort53);
                                      break;
                                    }
                                  }
                                flick_khazana_encode_end_glob(49);
                                break;
                                {
                                _flick_abort53:
                                  goto _flick_abort39;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort39:
                          goto _flick_abort38;
                        }
                      }
                      break;
                      {
                      _flick_abort38:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t23_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t23_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t23_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t24_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t24_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t24_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t25_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t26_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t27_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort62);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t25_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t25_principal_len, _flick_abort62);
                        flick_khazana_decode_new_glob(_t25_principal_len);
                        flick_khazana_decode_new_chunk(_t25_principal_len);
                        flick_khazana_decode_end_chunk(_t25_principal_len);
                        flick_khazana_decode_end_glob(_t25_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort62);
                        flick_cdr_decode_unsigned32(0, _t26_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t26_temp_string_len);
                        flick_khazana_check_span(1 * _t26_temp_string_len, _flick_abort62);
                        flick_khazana_decode_new_chunk(1 * _t26_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t26_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t26_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t27_storage);
                        _par = flick_interface_parents_A;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort62);
                          flick_khazana_encode_new_glob(5, _flick_abort62);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort70);
                                break;
                                {
                                _flick_abort70:
                                  goto _flick_abort62;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort71);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort71:
                                  goto _flick_abort62;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort62:
                          goto _flick_abort61;
                        }
                      }
                      break;
                      {
                      _flick_abort61:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

