#include "mig-arrays-server.h"

/* This is the runtime type information */
/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t arrays_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t84_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t84_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t84_switch_tag)
      {
      case (signed int) 123002:
        {
          {
            mach_port_t _local_target;
            unsigned int _t85_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;
            unsigned _t86_storage[16];
            flick_unsigned32_t _t87_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort492);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t85_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t85_principal_len, _flick_abort492);
            flick_khazana_decode_new_glob(_t85_principal_len);
            flick_khazana_decode_new_chunk(_t85_principal_len);
            flick_khazana_decode_end_chunk(_t85_principal_len);
            flick_khazana_decode_end_glob(_t85_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(112);
            _local_foo = (unsigned *)_t86_storage;
            for (_t87_array_iter = 0; _t87_array_iter < 16; _t87_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort496);
                flick_cdr_swap_decode_signed32(0, _local_foo[_t87_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort496:
                  goto _flick_abort492;
                }
              }
            flick_khazana_decode_end_glob(112);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort492);
              flick_khazana_encode_new_glob(4, _flick_abort492);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort502);
                    break;
                    {
                    _flick_abort502:
                      goto _flick_abort492;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort492:
              goto _flick_abort491;
            }
          }
          break;
          {
          _flick_abort491:
            goto _flick_abort2;
          }
        }
      case (signed int) 123003:
        {
          {
            mach_port_t _local_target;
            unsigned int _t88_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;
            unsigned _t89_storage[32];
            flick_unsigned32_t _t90_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort504);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t88_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t88_principal_len, _flick_abort504);
            flick_khazana_decode_new_glob(_t88_principal_len);
            flick_khazana_decode_new_chunk(_t88_principal_len);
            flick_khazana_decode_end_chunk(_t88_principal_len);
            flick_khazana_decode_end_glob(_t88_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(224);
            _local_foo = (unsigned *)_t89_storage;
            for (_t90_array_iter = 0; _t90_array_iter < 32; _t90_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort508);
                flick_cdr_swap_decode_signed32(0, _local_foo[_t90_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort508:
                  goto _flick_abort504;
                }
              }
            flick_khazana_decode_end_glob(224);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_128_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort504);
              flick_khazana_encode_new_glob(4, _flick_abort504);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort514);
                    break;
                    {
                    _flick_abort514:
                      goto _flick_abort504;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort504:
              goto _flick_abort503;
            }
          }
          break;
          {
          _flick_abort503:
            goto _flick_abort2;
          }
        }
      case (signed int) 123004:
        {
          {
            mach_port_t _local_target;
            unsigned int _t91_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;
            unsigned _t92_storage[64];
            flick_unsigned32_t _t93_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort516);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t91_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t91_principal_len, _flick_abort516);
            flick_khazana_decode_new_glob(_t91_principal_len);
            flick_khazana_decode_new_chunk(_t91_principal_len);
            flick_khazana_decode_end_chunk(_t91_principal_len);
            flick_khazana_decode_end_glob(_t91_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(448);
            _local_foo = (unsigned *)_t92_storage;
            for (_t93_array_iter = 0; _t93_array_iter < 64; _t93_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort520);
                flick_cdr_swap_decode_signed32(0, _local_foo[_t93_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort520:
                  goto _flick_abort516;
                }
              }
            flick_khazana_decode_end_glob(448);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_256_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort516);
              flick_khazana_encode_new_glob(4, _flick_abort516);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort526);
                    break;
                    {
                    _flick_abort526:
                      goto _flick_abort516;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort516:
              goto _flick_abort515;
            }
          }
          break;
          {
          _flick_abort515:
            goto _flick_abort2;
          }
        }
      case (signed int) 123005:
        {
          {
            mach_port_t _local_target;
            unsigned int _t94_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;
            unsigned _t95_storage[128];
            flick_unsigned32_t _t96_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort528);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t94_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t94_principal_len, _flick_abort528);
            flick_khazana_decode_new_glob(_t94_principal_len);
            flick_khazana_decode_new_chunk(_t94_principal_len);
            flick_khazana_decode_end_chunk(_t94_principal_len);
            flick_khazana_decode_end_glob(_t94_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(896);
            _local_foo = (unsigned *)_t95_storage;
            for (_t96_array_iter = 0; _t96_array_iter < 128; _t96_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort532);
                flick_cdr_swap_decode_signed32(0, _local_foo[_t96_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort532:
                  goto _flick_abort528;
                }
              }
            flick_khazana_decode_end_glob(896);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_512_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort528);
              flick_khazana_encode_new_glob(4, _flick_abort528);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort538);
                    break;
                    {
                    _flick_abort538:
                      goto _flick_abort528;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort528:
              goto _flick_abort527;
            }
          }
          break;
          {
          _flick_abort527:
            goto _flick_abort2;
          }
        }
      case (signed int) 123006:
        {
          {
            mach_port_t _local_target;
            unsigned int _t97_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t98_storage[256];
            flick_unsigned32_t _t99_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort540);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t97_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t97_principal_len, _flick_abort540);
            flick_khazana_decode_new_glob(_t97_principal_len);
            flick_khazana_decode_new_chunk(_t97_principal_len);
            flick_khazana_decode_end_chunk(_t97_principal_len);
            flick_khazana_decode_end_glob(_t97_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(1792);
            _local_data = (unsigned *)_t98_storage;
            for (_t99_array_iter = 0; _t99_array_iter < 256; _t99_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort544);
                flick_cdr_swap_decode_signed32(0, _local_data[_t99_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort544:
                  goto _flick_abort540;
                }
              }
            flick_khazana_decode_end_glob(1792);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_1K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort540);
              flick_khazana_encode_new_glob(4, _flick_abort540);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort550);
                    break;
                    {
                    _flick_abort550:
                      goto _flick_abort540;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort540:
              goto _flick_abort539;
            }
          }
          break;
          {
          _flick_abort539:
            goto _flick_abort2;
          }
        }
      case (signed int) 123007:
        {
          {
            mach_port_t _local_target;
            unsigned int _t100_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t101_storage[512];
            flick_unsigned32_t _t102_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort552);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t100_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t100_principal_len, _flick_abort552);
            flick_khazana_decode_new_glob(_t100_principal_len);
            flick_khazana_decode_new_chunk(_t100_principal_len);
            flick_khazana_decode_end_chunk(_t100_principal_len);
            flick_khazana_decode_end_glob(_t100_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(3584);
            _local_data = (unsigned *)_t101_storage;
            for (_t102_array_iter = 0; _t102_array_iter < 512; _t102_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort556);
                flick_cdr_swap_decode_signed32(0, _local_data[_t102_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort556:
                  goto _flick_abort552;
                }
              }
            flick_khazana_decode_end_glob(3584);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_2K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort552);
              flick_khazana_encode_new_glob(4, _flick_abort552);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort562);
                    break;
                    {
                    _flick_abort562:
                      goto _flick_abort552;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort552:
              goto _flick_abort551;
            }
          }
          break;
          {
          _flick_abort551:
            goto _flick_abort2;
          }
        }
      case (signed int) 123008:
        {
          {
            mach_port_t _local_target;
            unsigned int _t103_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t104_storage[1024];
            flick_unsigned32_t _t105_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort564);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t103_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t103_principal_len, _flick_abort564);
            flick_khazana_decode_new_glob(_t103_principal_len);
            flick_khazana_decode_new_chunk(_t103_principal_len);
            flick_khazana_decode_end_chunk(_t103_principal_len);
            flick_khazana_decode_end_glob(_t103_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(7168);
            _local_data = (unsigned *)_t104_storage;
            for (_t105_array_iter = 0; _t105_array_iter < 1024; _t105_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort568);
                flick_cdr_swap_decode_signed32(0, _local_data[_t105_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort568:
                  goto _flick_abort564;
                }
              }
            flick_khazana_decode_end_glob(7168);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_4K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort564);
              flick_khazana_encode_new_glob(4, _flick_abort564);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort574);
                    break;
                    {
                    _flick_abort574:
                      goto _flick_abort564;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort564:
              goto _flick_abort563;
            }
          }
          break;
          {
          _flick_abort563:
            goto _flick_abort2;
          }
        }
      case (signed int) 123009:
        {
          {
            mach_port_t _local_target;
            unsigned int _t106_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t107_storage[2048];
            flick_unsigned32_t _t108_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort576);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t106_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t106_principal_len, _flick_abort576);
            flick_khazana_decode_new_glob(_t106_principal_len);
            flick_khazana_decode_new_chunk(_t106_principal_len);
            flick_khazana_decode_end_chunk(_t106_principal_len);
            flick_khazana_decode_end_glob(_t106_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(14336);
            _local_data = (unsigned *)_t107_storage;
            for (_t108_array_iter = 0; _t108_array_iter < 2048; _t108_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort580);
                flick_cdr_swap_decode_signed32(0, _local_data[_t108_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort580:
                  goto _flick_abort576;
                }
              }
            flick_khazana_decode_end_glob(14336);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_8K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort576);
              flick_khazana_encode_new_glob(4, _flick_abort576);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort586);
                    break;
                    {
                    _flick_abort586:
                      goto _flick_abort576;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort576:
              goto _flick_abort575;
            }
          }
          break;
          {
          _flick_abort575:
            goto _flick_abort2;
          }
        }
      case (signed int) 123010:
        {
          {
            mach_port_t _local_target;
            unsigned int _t109_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t110_storage[4096];
            flick_unsigned32_t _t111_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort588);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t109_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t109_principal_len, _flick_abort588);
            flick_khazana_decode_new_glob(_t109_principal_len);
            flick_khazana_decode_new_chunk(_t109_principal_len);
            flick_khazana_decode_end_chunk(_t109_principal_len);
            flick_khazana_decode_end_glob(_t109_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(28672);
            _local_data = (unsigned *)_t110_storage;
            for (_t111_array_iter = 0; _t111_array_iter < 4096; _t111_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort592);
                flick_cdr_swap_decode_signed32(0, _local_data[_t111_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort592:
                  goto _flick_abort588;
                }
              }
            flick_khazana_decode_end_glob(28672);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_16K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort588);
              flick_khazana_encode_new_glob(4, _flick_abort588);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort598);
                    break;
                    {
                    _flick_abort598:
                      goto _flick_abort588;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort588:
              goto _flick_abort587;
            }
          }
          break;
          {
          _flick_abort587:
            goto _flick_abort2;
          }
        }
      case (signed int) 123011:
        {
          {
            mach_port_t _local_target;
            unsigned int _t112_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t113_storage[8192];
            flick_unsigned32_t _t114_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort600);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t112_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t112_principal_len, _flick_abort600);
            flick_khazana_decode_new_glob(_t112_principal_len);
            flick_khazana_decode_new_chunk(_t112_principal_len);
            flick_khazana_decode_end_chunk(_t112_principal_len);
            flick_khazana_decode_end_glob(_t112_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(57344);
            _local_data = (unsigned *)_t113_storage;
            for (_t114_array_iter = 0; _t114_array_iter < 8192; _t114_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort604);
                flick_cdr_swap_decode_signed32(0, _local_data[_t114_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort604:
                  goto _flick_abort600;
                }
              }
            flick_khazana_decode_end_glob(57344);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_32K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort600);
              flick_khazana_encode_new_glob(4, _flick_abort600);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort610);
                    break;
                    {
                    _flick_abort610:
                      goto _flick_abort600;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort600:
              goto _flick_abort599;
            }
          }
          break;
          {
          _flick_abort599:
            goto _flick_abort2;
          }
        }
      case (signed int) 123012:
        {
          {
            mach_port_t _local_target;
            unsigned int _t115_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t116_storage[16384];
            flick_unsigned32_t _t117_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort612);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t115_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t115_principal_len, _flick_abort612);
            flick_khazana_decode_new_glob(_t115_principal_len);
            flick_khazana_decode_new_chunk(_t115_principal_len);
            flick_khazana_decode_end_chunk(_t115_principal_len);
            flick_khazana_decode_end_glob(_t115_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(114688);
            _local_data = (unsigned *)_t116_storage;
            for (_t117_array_iter = 0; _t117_array_iter < 16384; _t117_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort616);
                flick_cdr_swap_decode_signed32(0, _local_data[_t117_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort616:
                  goto _flick_abort612;
                }
              }
            flick_khazana_decode_end_glob(114688);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort612);
              flick_khazana_encode_new_glob(4, _flick_abort612);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort622);
                    break;
                    {
                    _flick_abort622:
                      goto _flick_abort612;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort612:
              goto _flick_abort611;
            }
          }
          break;
          {
          _flick_abort611:
            goto _flick_abort2;
          }
        }
      case (signed int) 123013:
        {
          {
            mach_port_t _local_target;
            unsigned int _t118_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t119_storage[32768];
            flick_unsigned32_t _t120_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort624);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t118_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t118_principal_len, _flick_abort624);
            flick_khazana_decode_new_glob(_t118_principal_len);
            flick_khazana_decode_new_chunk(_t118_principal_len);
            flick_khazana_decode_end_chunk(_t118_principal_len);
            flick_khazana_decode_end_glob(_t118_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(229376);
            _local_data = (unsigned *)_t119_storage;
            for (_t120_array_iter = 0; _t120_array_iter < 32768; _t120_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort628);
                flick_cdr_swap_decode_signed32(0, _local_data[_t120_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort628:
                  goto _flick_abort624;
                }
              }
            flick_khazana_decode_end_glob(229376);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_128K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort624);
              flick_khazana_encode_new_glob(4, _flick_abort624);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort634);
                    break;
                    {
                    _flick_abort634:
                      goto _flick_abort624;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort624:
              goto _flick_abort623;
            }
          }
          break;
          {
          _flick_abort623:
            goto _flick_abort2;
          }
        }
      case (signed int) 123014:
        {
          {
            mach_port_t _local_target;
            unsigned int _t121_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t122_storage[65536];
            flick_unsigned32_t _t123_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort636);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t121_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t121_principal_len, _flick_abort636);
            flick_khazana_decode_new_glob(_t121_principal_len);
            flick_khazana_decode_new_chunk(_t121_principal_len);
            flick_khazana_decode_end_chunk(_t121_principal_len);
            flick_khazana_decode_end_glob(_t121_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(458752);
            _local_data = (unsigned *)_t122_storage;
            for (_t123_array_iter = 0; _t123_array_iter < 65536; _t123_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort640);
                flick_cdr_swap_decode_signed32(0, _local_data[_t123_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort640:
                  goto _flick_abort636;
                }
              }
            flick_khazana_decode_end_glob(458752);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_256K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort636);
              flick_khazana_encode_new_glob(4, _flick_abort636);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort646);
                    break;
                    {
                    _flick_abort646:
                      goto _flick_abort636;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort636:
              goto _flick_abort635;
            }
          }
          break;
          {
          _flick_abort635:
            goto _flick_abort2;
          }
        }
      case (signed int) 123015:
        {
          {
            mach_port_t _local_target;
            unsigned int _t124_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t125_storage[131072];
            flick_unsigned32_t _t126_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort648);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t124_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t124_principal_len, _flick_abort648);
            flick_khazana_decode_new_glob(_t124_principal_len);
            flick_khazana_decode_new_chunk(_t124_principal_len);
            flick_khazana_decode_end_chunk(_t124_principal_len);
            flick_khazana_decode_end_glob(_t124_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(917504);
            _local_data = (unsigned *)_t125_storage;
            for (_t126_array_iter = 0; _t126_array_iter < 131072; _t126_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort652);
                flick_cdr_swap_decode_signed32(0, _local_data[_t126_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort652:
                  goto _flick_abort648;
                }
              }
            flick_khazana_decode_end_glob(917504);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_512K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort648);
              flick_khazana_encode_new_glob(4, _flick_abort648);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort658);
                    break;
                    {
                    _flick_abort658:
                      goto _flick_abort648;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort648:
              goto _flick_abort647;
            }
          }
          break;
          {
          _flick_abort647:
            goto _flick_abort2;
          }
        }
      case (signed int) 123016:
        {
          {
            mach_port_t _local_target;
            unsigned int _t127_principal_len;
            kern_return_t _return;
            unsigned *_local_data;
            unsigned _t128_storage[262144];
            flick_unsigned32_t _t129_array_iter;

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort660);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t127_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t127_principal_len, _flick_abort660);
            flick_khazana_decode_new_glob(_t127_principal_len);
            flick_khazana_decode_new_chunk(_t127_principal_len);
            flick_khazana_decode_end_chunk(_t127_principal_len);
            flick_khazana_decode_end_glob(_t127_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(1835008);
            _local_data = (unsigned *)_t128_storage;
            for (_t129_array_iter = 0; _t129_array_iter < 262144; _t129_array_iter++)
              {
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort664);
                flick_cdr_swap_decode_signed32(0, _local_data[_t129_array_iter], unsigned );
                flick_khazana_decode_end_chunk(4);
                continue;
                {
                _flick_abort664:
                  goto _flick_abort660;
                }
              }
            flick_khazana_decode_end_glob(1835008);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_1024K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort660);
              flick_khazana_encode_new_glob(4, _flick_abort660);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort670);
                    break;
                    {
                    _flick_abort670:
                      goto _flick_abort660;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort660:
              goto _flick_abort659;
            }
          }
          break;
          {
          _flick_abort659:
            goto _flick_abort2;
          }
        }
      case (signed int) 123017:
        {
          {
            mach_port_t _local_target;
            unsigned int _t130_principal_len;
            kern_return_t _return;
            unsigned *_local_timer;
            unsigned _t131_storage[2];

            flick_khazana_server_decode_target(_local_target, 0, cdr_swap, _flick_abort672);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t130_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t130_principal_len, _flick_abort672);
            flick_khazana_decode_new_glob(_t130_principal_len);
            flick_khazana_decode_new_chunk(_t130_principal_len);
            flick_khazana_decode_end_chunk(_t130_principal_len);
            flick_khazana_decode_end_glob(_t130_principal_len);
            /* Begin decode phase on parameters */
            _local_timer = (unsigned *)_t131_storage;
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_time(_local_target, _local_timer);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort672);
              flick_khazana_encode_new_glob(12, _flick_abort672);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(8);
                    flick_cdr_encode_bcopy(0, _local_timer, 8);
                    flick_khazana_encode_end_chunk(8);
                    flick_khazana_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort682);
                    break;
                    {
                    _flick_abort682:
                      goto _flick_abort672;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort672:
              goto _flick_abort671;
            }
          }
          break;
          {
          _flick_abort671:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t18_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t18_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t18_switch_tag)
      {
      case (signed int) 123002:
        {
          {
            mach_port_t _local_target;
            unsigned int _t19_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort152);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t19_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t19_principal_len, _flick_abort152);
            flick_khazana_decode_new_glob(_t19_principal_len);
            flick_khazana_decode_new_chunk(_t19_principal_len);
            flick_khazana_decode_end_chunk(_t19_principal_len);
            flick_khazana_decode_end_glob(_t19_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(67);
            flick_khazana_decode_new_chunk_align(64, 2, 0, 0);
            flick_khazana_check_span(64, _flick_abort152);
            flick_cdr_decode_msgptr(0, _local_foo, unsigned *);
            flick_khazana_decode_end_chunk(64);
            flick_khazana_decode_end_glob(67);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort152);
              flick_khazana_encode_new_glob(4, _flick_abort152);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort159);
                    break;
                    {
                    _flick_abort159:
                      goto _flick_abort152;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort152:
              goto _flick_abort151;
            }
          }
          break;
          {
          _flick_abort151:
            goto _flick_abort2;
          }
        }
      case (signed int) 123003:
        {
          {
            mach_port_t _local_target;
            unsigned int _t20_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort161);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t20_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t20_principal_len, _flick_abort161);
            flick_khazana_decode_new_glob(_t20_principal_len);
            flick_khazana_decode_new_chunk(_t20_principal_len);
            flick_khazana_decode_end_chunk(_t20_principal_len);
            flick_khazana_decode_end_glob(_t20_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(131);
            flick_khazana_decode_new_chunk_align(128, 2, 0, 0);
            flick_khazana_check_span(128, _flick_abort161);
            flick_cdr_decode_msgptr(0, _local_foo, unsigned *);
            flick_khazana_decode_end_chunk(128);
            flick_khazana_decode_end_glob(131);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_128_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort161);
              flick_khazana_encode_new_glob(4, _flick_abort161);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort168);
                    break;
                    {
                    _flick_abort168:
                      goto _flick_abort161;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort161:
              goto _flick_abort160;
            }
          }
          break;
          {
          _flick_abort160:
            goto _flick_abort2;
          }
        }
      case (signed int) 123004:
        {
          {
            mach_port_t _local_target;
            unsigned int _t21_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort170);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t21_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t21_principal_len, _flick_abort170);
            flick_khazana_decode_new_glob(_t21_principal_len);
            flick_khazana_decode_new_chunk(_t21_principal_len);
            flick_khazana_decode_end_chunk(_t21_principal_len);
            flick_khazana_decode_end_glob(_t21_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(259);
            flick_khazana_decode_new_chunk_align(256, 2, 0, 0);
            flick_khazana_check_span(256, _flick_abort170);
            flick_cdr_decode_msgptr(0, _local_foo, unsigned *);
            flick_khazana_decode_end_chunk(256);
            flick_khazana_decode_end_glob(259);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_256_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort170);
              flick_khazana_encode_new_glob(4, _flick_abort170);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort177);
                    break;
                    {
                    _flick_abort177:
                      goto _flick_abort170;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort170:
              goto _flick_abort169;
            }
          }
          break;
          {
          _flick_abort169:
            goto _flick_abort2;
          }
        }
      case (signed int) 123005:
        {
          {
            mach_port_t _local_target;
            unsigned int _t22_principal_len;
            kern_return_t _return;
            unsigned *_local_foo;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort179);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t22_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t22_principal_len, _flick_abort179);
            flick_khazana_decode_new_glob(_t22_principal_len);
            flick_khazana_decode_new_chunk(_t22_principal_len);
            flick_khazana_decode_end_chunk(_t22_principal_len);
            flick_khazana_decode_end_glob(_t22_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(515);
            flick_khazana_decode_new_chunk_align(512, 2, 0, 0);
            flick_khazana_check_span(512, _flick_abort179);
            flick_cdr_decode_msgptr(0, _local_foo, unsigned *);
            flick_khazana_decode_end_chunk(512);
            flick_khazana_decode_end_glob(515);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_512_in(_local_target, _local_foo);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort179);
              flick_khazana_encode_new_glob(4, _flick_abort179);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort186);
                    break;
                    {
                    _flick_abort186:
                      goto _flick_abort179;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort179:
              goto _flick_abort178;
            }
          }
          break;
          {
          _flick_abort178:
            goto _flick_abort2;
          }
        }
      case (signed int) 123006:
        {
          {
            mach_port_t _local_target;
            unsigned int _t23_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort188);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t23_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t23_principal_len, _flick_abort188);
            flick_khazana_decode_new_glob(_t23_principal_len);
            flick_khazana_decode_new_chunk(_t23_principal_len);
            flick_khazana_decode_end_chunk(_t23_principal_len);
            flick_khazana_decode_end_glob(_t23_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(1027);
            flick_khazana_decode_new_chunk_align(1024, 2, 0, 0);
            flick_khazana_check_span(1024, _flick_abort188);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_khazana_decode_end_chunk(1024);
            flick_khazana_decode_end_glob(1027);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_1K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort188);
              flick_khazana_encode_new_glob(4, _flick_abort188);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort195);
                    break;
                    {
                    _flick_abort195:
                      goto _flick_abort188;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort188:
              goto _flick_abort187;
            }
          }
          break;
          {
          _flick_abort187:
            goto _flick_abort2;
          }
        }
      case (signed int) 123007:
        {
          {
            mach_port_t _local_target;
            unsigned int _t24_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort197);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t24_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t24_principal_len, _flick_abort197);
            flick_khazana_decode_new_glob(_t24_principal_len);
            flick_khazana_decode_new_chunk(_t24_principal_len);
            flick_khazana_decode_end_chunk(_t24_principal_len);
            flick_khazana_decode_end_glob(_t24_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(2051);
            flick_khazana_decode_new_chunk_align(2048, 2, 0, 0);
            flick_khazana_check_span(2048, _flick_abort197);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_khazana_decode_end_chunk(2048);
            flick_khazana_decode_end_glob(2051);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_2K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort197);
              flick_khazana_encode_new_glob(4, _flick_abort197);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort204);
                    break;
                    {
                    _flick_abort204:
                      goto _flick_abort197;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort197:
              goto _flick_abort196;
            }
          }
          break;
          {
          _flick_abort196:
            goto _flick_abort2;
          }
        }
      case (signed int) 123008:
        {
          {
            mach_port_t _local_target;
            unsigned int _t25_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort206);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t25_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t25_principal_len, _flick_abort206);
            flick_khazana_decode_new_glob(_t25_principal_len);
            flick_khazana_decode_new_chunk(_t25_principal_len);
            flick_khazana_decode_end_chunk(_t25_principal_len);
            flick_khazana_decode_end_glob(_t25_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(4099);
            flick_khazana_decode_new_chunk_align(4096, 2, 0, 0);
            flick_khazana_check_span(4096, _flick_abort206);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_khazana_decode_end_chunk(4096);
            flick_khazana_decode_end_glob(4099);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_4K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort206);
              flick_khazana_encode_new_glob(4, _flick_abort206);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort213);
                    break;
                    {
                    _flick_abort213:
                      goto _flick_abort206;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort206:
              goto _flick_abort205;
            }
          }
          break;
          {
          _flick_abort205:
            goto _flick_abort2;
          }
        }
      case (signed int) 123009:
        {
          {
            mach_port_t _local_target;
            unsigned int _t26_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort215);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t26_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t26_principal_len, _flick_abort215);
            flick_khazana_decode_new_glob(_t26_principal_len);
            flick_khazana_decode_new_chunk(_t26_principal_len);
            flick_khazana_decode_end_chunk(_t26_principal_len);
            flick_khazana_decode_end_glob(_t26_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(8195);
            flick_khazana_decode_new_chunk_align(8192, 2, 0, 0);
            flick_khazana_check_span(8192, _flick_abort215);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_khazana_decode_end_chunk(8192);
            flick_khazana_decode_end_glob(8195);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_8K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort215);
              flick_khazana_encode_new_glob(4, _flick_abort215);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort222);
                    break;
                    {
                    _flick_abort222:
                      goto _flick_abort215;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort215:
              goto _flick_abort214;
            }
          }
          break;
          {
          _flick_abort214:
            goto _flick_abort2;
          }
        }
      case (signed int) 123010:
        {
          {
            mach_port_t _local_target;
            unsigned int _t27_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort224);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t27_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t27_principal_len, _flick_abort224);
            flick_khazana_decode_new_glob(_t27_principal_len);
            flick_khazana_decode_new_chunk(_t27_principal_len);
            flick_khazana_decode_end_chunk(_t27_principal_len);
            flick_khazana_decode_end_glob(_t27_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(16384, 2, 0, 0);
            flick_khazana_check_span(16384, _flick_abort224);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_khazana_decode_end_chunk(16384);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_16K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort224);
              flick_khazana_encode_new_glob(4, _flick_abort224);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort231);
                    break;
                    {
                    _flick_abort231:
                      goto _flick_abort224;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort224:
              goto _flick_abort223;
            }
          }
          break;
          {
          _flick_abort223:
            goto _flick_abort2;
          }
        }
      case (signed int) 123011:
        {
          {
            mach_port_t _local_target;
            unsigned int _t28_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort233);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t28_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t28_principal_len, _flick_abort233);
            flick_khazana_decode_new_glob(_t28_principal_len);
            flick_khazana_decode_new_chunk(_t28_principal_len);
            flick_khazana_decode_end_chunk(_t28_principal_len);
            flick_khazana_decode_end_glob(_t28_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(32768, 2, 0, 0);
            flick_khazana_check_span(32768, _flick_abort233);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_khazana_decode_end_chunk(32768);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_32K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort233);
              flick_khazana_encode_new_glob(4, _flick_abort233);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort240);
                    break;
                    {
                    _flick_abort240:
                      goto _flick_abort233;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort233:
              goto _flick_abort232;
            }
          }
          break;
          {
          _flick_abort232:
            goto _flick_abort2;
          }
        }
      case (signed int) 123012:
        {
          {
            mach_port_t _local_target;
            unsigned int _t29_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort242);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t29_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t29_principal_len, _flick_abort242);
            flick_khazana_decode_new_glob(_t29_principal_len);
            flick_khazana_decode_new_chunk(_t29_principal_len);
            flick_khazana_decode_end_chunk(_t29_principal_len);
            flick_khazana_decode_end_glob(_t29_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(65536, 2, 0, 0);
            flick_khazana_check_span(65536, _flick_abort242);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_khazana_decode_end_chunk(65536);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_64K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort242);
              flick_khazana_encode_new_glob(4, _flick_abort242);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort249);
                    break;
                    {
                    _flick_abort249:
                      goto _flick_abort242;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort242:
              goto _flick_abort241;
            }
          }
          break;
          {
          _flick_abort241:
            goto _flick_abort2;
          }
        }
      case (signed int) 123013:
        {
          {
            mach_port_t _local_target;
            unsigned int _t30_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort251);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t30_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t30_principal_len, _flick_abort251);
            flick_khazana_decode_new_glob(_t30_principal_len);
            flick_khazana_decode_new_chunk(_t30_principal_len);
            flick_khazana_decode_end_chunk(_t30_principal_len);
            flick_khazana_decode_end_glob(_t30_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(131072, 2, 0, 0);
            flick_khazana_check_span(131072, _flick_abort251);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_khazana_decode_end_chunk(131072);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_128K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort251);
              flick_khazana_encode_new_glob(4, _flick_abort251);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort258);
                    break;
                    {
                    _flick_abort258:
                      goto _flick_abort251;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort251:
              goto _flick_abort250;
            }
          }
          break;
          {
          _flick_abort250:
            goto _flick_abort2;
          }
        }
      case (signed int) 123014:
        {
          {
            mach_port_t _local_target;
            unsigned int _t31_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort260);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t31_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t31_principal_len, _flick_abort260);
            flick_khazana_decode_new_glob(_t31_principal_len);
            flick_khazana_decode_new_chunk(_t31_principal_len);
            flick_khazana_decode_end_chunk(_t31_principal_len);
            flick_khazana_decode_end_glob(_t31_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(262144, 2, 0, 0);
            flick_khazana_check_span(262144, _flick_abort260);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_khazana_decode_end_chunk(262144);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_256K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort260);
              flick_khazana_encode_new_glob(4, _flick_abort260);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort267);
                    break;
                    {
                    _flick_abort267:
                      goto _flick_abort260;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort260:
              goto _flick_abort259;
            }
          }
          break;
          {
          _flick_abort259:
            goto _flick_abort2;
          }
        }
      case (signed int) 123015:
        {
          {
            mach_port_t _local_target;
            unsigned int _t32_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort269);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t32_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t32_principal_len, _flick_abort269);
            flick_khazana_decode_new_glob(_t32_principal_len);
            flick_khazana_decode_new_chunk(_t32_principal_len);
            flick_khazana_decode_end_chunk(_t32_principal_len);
            flick_khazana_decode_end_glob(_t32_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(524288, 2, 0, 0);
            flick_khazana_check_span(524288, _flick_abort269);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_khazana_decode_end_chunk(524288);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_512K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort269);
              flick_khazana_encode_new_glob(4, _flick_abort269);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort276);
                    break;
                    {
                    _flick_abort276:
                      goto _flick_abort269;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort269:
              goto _flick_abort268;
            }
          }
          break;
          {
          _flick_abort268:
            goto _flick_abort2;
          }
        }
      case (signed int) 123016:
        {
          {
            mach_port_t _local_target;
            unsigned int _t33_principal_len;
            kern_return_t _return;
            unsigned *_local_data;

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort278);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t33_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t33_principal_len, _flick_abort278);
            flick_khazana_decode_new_glob(_t33_principal_len);
            flick_khazana_decode_new_chunk(_t33_principal_len);
            flick_khazana_decode_end_chunk(_t33_principal_len);
            flick_khazana_decode_end_glob(_t33_principal_len);
            /* Begin decode phase on parameters */
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(1048576, 2, 0, 0);
            flick_khazana_check_span(1048576, _flick_abort278);
            flick_cdr_decode_msgptr(0, _local_data, unsigned *);
            flick_khazana_decode_end_chunk(1048576);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_1024K_in(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort278);
              flick_khazana_encode_new_glob(4, _flick_abort278);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort285);
                    break;
                    {
                    _flick_abort285:
                      goto _flick_abort278;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort278:
              goto _flick_abort277;
            }
          }
          break;
          {
          _flick_abort277:
            goto _flick_abort2;
          }
        }
      case (signed int) 123017:
        {
          {
            mach_port_t _local_target;
            unsigned int _t34_principal_len;
            kern_return_t _return;
            unsigned *_local_timer;
            unsigned _t35_storage[2];

            flick_khazana_server_decode_target(_local_target, 0, cdr, _flick_abort287);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t34_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t34_principal_len, _flick_abort287);
            flick_khazana_decode_new_glob(_t34_principal_len);
            flick_khazana_decode_new_chunk(_t34_principal_len);
            flick_khazana_decode_end_chunk(_t34_principal_len);
            flick_khazana_decode_end_glob(_t34_principal_len);
            /* Begin decode phase on parameters */
            _local_timer = (unsigned *)_t35_storage;
            flick_khazana_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rpc_time(_local_target, _local_timer);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_local_target, 0, cdr, _flick_abort287);
              flick_khazana_encode_new_glob(12, _flick_abort287);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_khazana_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(8);
                    flick_cdr_encode_bcopy(0, _local_timer, 8);
                    flick_khazana_encode_end_chunk(8);
                    flick_khazana_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_khazana_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, khazana, _flick_abort297);
                    break;
                    {
                    _flick_abort297:
                      goto _flick_abort287;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort287:
              goto _flick_abort286;
            }
          }
          break;
          {
          _flick_abort286:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_mig_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

