#include "parms-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PARM[] = {
	"IDL:PARM:1.0",
	0
};

char *flick_interface_parents_ONE[] = {
	"IDL:ONE:1.0",
	"IDL:PARM:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t parm_2345(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t65_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t65_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t65_switch_tag)
      {
      case (signed int) 0:
        {
          {
            struct svc_req *_obj;
            unsigned int _t66_principal_len;
            void *_return;
            void *_local_arg;
            char _t67_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort297);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t66_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t66_principal_len, _flick_abort297);
            flick_khazana_decode_new_glob(_t66_principal_len);
            flick_khazana_decode_new_chunk(_t66_principal_len);
            flick_khazana_decode_end_chunk(_t66_principal_len);
            flick_khazana_decode_end_glob(_t66_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char *)(&_t67_storage);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = void_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort297);
              flick_khazana_encode_new_glob(4, _flick_abort297);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort303);
                    break;
                    {
                    _flick_abort303:
                      goto _flick_abort297;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort304);
                    flick_khazana_encode_end_glob(4);
                    break;
                    {
                    _flick_abort304:
                      goto _flick_abort297;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort297:
              goto _flick_abort296;
            }
          }
          break;
          {
          _flick_abort296:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t68_principal_len;
            char *_return;
            char *_local_arg;
            char _t69_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort306);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t68_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t68_principal_len + 1, _flick_abort306);
            flick_khazana_decode_new_glob(_t68_principal_len);
            flick_khazana_decode_new_chunk(_t68_principal_len);
            flick_khazana_decode_end_chunk(_t68_principal_len);
            flick_khazana_decode_end_glob(_t68_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char *)(&_t69_storage);
            flick_khazana_decode_new_glob(1);
            flick_khazana_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, *_local_arg, char );
            flick_khazana_decode_end_chunk(1);
            flick_khazana_decode_end_glob(1);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = char_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort306);
              flick_khazana_encode_new_glob(5, _flick_abort306);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(1);
                    flick_cdr_encode_char8(0, *_return, char );
                    flick_khazana_encode_end_chunk(1);
                    flick_khazana_encode_end_glob(5);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(5);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort312);
                    break;
                    {
                    _flick_abort312:
                      goto _flick_abort306;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort313);
                    flick_khazana_encode_end_glob(5);
                    break;
                    {
                    _flick_abort313:
                      goto _flick_abort306;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort306:
              goto _flick_abort305;
            }
          }
          break;
          {
          _flick_abort305:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t70_principal_len;
            int *_return;
            int *_local_arg;
            int _t71_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort315);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t70_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t70_principal_len + 1, _flick_abort315);
            flick_khazana_decode_new_glob(_t70_principal_len);
            flick_khazana_decode_new_chunk(_t70_principal_len);
            flick_khazana_decode_end_chunk(_t70_principal_len);
            flick_khazana_decode_end_glob(_t70_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int *)(&_t71_storage);
            flick_khazana_decode_new_glob(1);
            flick_khazana_decode_new_chunk(1);
            flick_cdr_swap_decode_unsigned8(0, *_local_arg, int );
            flick_khazana_decode_end_chunk(1);
            flick_khazana_decode_end_glob(1);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = bool_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort315);
              flick_khazana_encode_new_glob(5, _flick_abort315);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, *_return, int );
                    flick_khazana_encode_end_chunk(1);
                    flick_khazana_encode_end_glob(5);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(5);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort321);
                    break;
                    {
                    _flick_abort321:
                      goto _flick_abort315;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort322);
                    flick_khazana_encode_end_glob(5);
                    break;
                    {
                    _flick_abort322:
                      goto _flick_abort315;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort315:
              goto _flick_abort314;
            }
          }
          break;
          {
          _flick_abort314:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t72_principal_len;
            short int *_return;
            short int *_local_arg;
            short int _t73_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort324);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t72_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t72_principal_len, _flick_abort324);
            flick_khazana_decode_new_glob(_t72_principal_len);
            flick_khazana_decode_new_chunk(_t72_principal_len);
            flick_khazana_decode_end_chunk(_t72_principal_len);
            flick_khazana_decode_end_glob(_t72_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (short int *)(&_t73_storage);
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
            flick_khazana_check_span(2, _flick_abort324);
            flick_cdr_swap_decode_signed16(0, *_local_arg, short int );
            flick_khazana_decode_end_chunk(2);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = short_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort324);
              flick_khazana_encode_new_glob(6, _flick_abort324);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, *_return, short int );
                    flick_khazana_encode_end_chunk(2);
                    flick_khazana_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort330);
                    break;
                    {
                    _flick_abort330:
                      goto _flick_abort324;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort331);
                    flick_khazana_encode_end_glob(6);
                    break;
                    {
                    _flick_abort331:
                      goto _flick_abort324;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort324:
              goto _flick_abort323;
            }
          }
          break;
          {
          _flick_abort323:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            struct svc_req *_obj;
            unsigned int _t74_principal_len;
            unsigned short int *_return;
            unsigned short int *_local_arg;
            unsigned short int _t75_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort333);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t74_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t74_principal_len, _flick_abort333);
            flick_khazana_decode_new_glob(_t74_principal_len);
            flick_khazana_decode_new_chunk(_t74_principal_len);
            flick_khazana_decode_end_chunk(_t74_principal_len);
            flick_khazana_decode_end_glob(_t74_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (unsigned short int *)(&_t75_storage);
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
            flick_khazana_check_span(2, _flick_abort333);
            flick_cdr_swap_decode_unsigned16(0, *_local_arg, unsigned short int );
            flick_khazana_decode_end_chunk(2);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ushort_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort333);
              flick_khazana_encode_new_glob(6, _flick_abort333);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(2);
                    flick_cdr_encode_unsigned16(0, *_return, unsigned short int );
                    flick_khazana_encode_end_chunk(2);
                    flick_khazana_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort339);
                    break;
                    {
                    _flick_abort339:
                      goto _flick_abort333;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort340);
                    flick_khazana_encode_end_glob(6);
                    break;
                    {
                    _flick_abort340:
                      goto _flick_abort333;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort333:
              goto _flick_abort332;
            }
          }
          break;
          {
          _flick_abort332:
            goto _flick_abort2;
          }
        }
      case (signed int) 5:
        {
          {
            struct svc_req *_obj;
            unsigned int _t76_principal_len;
            int *_return;
            int *_local_arg;
            int _t77_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort342);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t76_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t76_principal_len, _flick_abort342);
            flick_khazana_decode_new_glob(_t76_principal_len);
            flick_khazana_decode_new_chunk(_t76_principal_len);
            flick_khazana_decode_end_chunk(_t76_principal_len);
            flick_khazana_decode_end_glob(_t76_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int *)(&_t77_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort342);
            flick_cdr_swap_decode_signed32(0, *_local_arg, int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = long_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort342);
              flick_khazana_encode_new_glob(8, _flick_abort342);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort348);
                    break;
                    {
                    _flick_abort348:
                      goto _flick_abort342;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort349);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort349:
                      goto _flick_abort342;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort342:
              goto _flick_abort341;
            }
          }
          break;
          {
          _flick_abort341:
            goto _flick_abort2;
          }
        }
      case (signed int) 6:
        {
          {
            struct svc_req *_obj;
            unsigned int _t78_principal_len;
            unsigned int *_return;
            unsigned int *_local_arg;
            unsigned int _t79_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort351);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t78_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t78_principal_len, _flick_abort351);
            flick_khazana_decode_new_glob(_t78_principal_len);
            flick_khazana_decode_new_chunk(_t78_principal_len);
            flick_khazana_decode_end_chunk(_t78_principal_len);
            flick_khazana_decode_end_glob(_t78_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (unsigned int *)(&_t79_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort351);
            flick_cdr_swap_decode_unsigned32(0, *_local_arg, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ulong_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort351);
              flick_khazana_encode_new_glob(8, _flick_abort351);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_return, unsigned int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort357);
                    break;
                    {
                    _flick_abort357:
                      goto _flick_abort351;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort358);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort358:
                      goto _flick_abort351;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort351:
              goto _flick_abort350;
            }
          }
          break;
          {
          _flick_abort350:
            goto _flick_abort2;
          }
        }
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t80_principal_len;
            float *_return;
            float *_local_arg;
            float _t81_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort360);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t80_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t80_principal_len, _flick_abort360);
            flick_khazana_decode_new_glob(_t80_principal_len);
            flick_khazana_decode_new_chunk(_t80_principal_len);
            flick_khazana_decode_end_chunk(_t80_principal_len);
            flick_khazana_decode_end_glob(_t80_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (float *)(&_t81_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort360);
            flick_cdr_swap_decode_float32(0, *_local_arg, float );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = float_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort360);
              flick_khazana_encode_new_glob(8, _flick_abort360);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_float32(0, *_return, float );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort366);
                    break;
                    {
                    _flick_abort366:
                      goto _flick_abort360;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort367);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort367:
                      goto _flick_abort360;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort360:
              goto _flick_abort359;
            }
          }
          break;
          {
          _flick_abort359:
            goto _flick_abort2;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t82_principal_len;
            double *_return;
            double *_local_arg;
            double _t83_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort369);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t82_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t82_principal_len, _flick_abort369);
            flick_khazana_decode_new_glob(_t82_principal_len);
            flick_khazana_decode_new_chunk(_t82_principal_len);
            flick_khazana_decode_end_chunk(_t82_principal_len);
            flick_khazana_decode_end_glob(_t82_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (double *)(&_t83_storage);
            flick_khazana_decode_new_glob(15);
            flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
            flick_khazana_check_span(8, _flick_abort369);
            flick_cdr_swap_decode_float64(0, *_local_arg, double );
            flick_khazana_decode_end_chunk(8);
            flick_khazana_decode_end_glob(15);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = double_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort369);
              flick_khazana_encode_new_glob(16, _flick_abort369);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_return, double );
                    flick_khazana_encode_end_chunk(8);
                    flick_khazana_encode_end_glob(16);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(16);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort375);
                    break;
                    {
                    _flick_abort375:
                      goto _flick_abort369;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort376);
                    flick_khazana_encode_end_glob(16);
                    break;
                    {
                    _flick_abort376:
                      goto _flick_abort369;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort369:
              goto _flick_abort368;
            }
          }
          break;
          {
          _flick_abort368:
            goto _flick_abort2;
          }
        }
      case (signed int) 9:
        {
          {
            struct svc_req *_obj;
            unsigned int _t84_principal_len;
            long_seq *_return;
            long_seq *_local_arg;
            long_seq _t85_storage;
            int _t86_storage[10];
            unsigned int _t87_array_iter;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort378);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t84_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t84_principal_len, _flick_abort378);
            flick_khazana_decode_new_glob(_t84_principal_len);
            flick_khazana_decode_new_chunk(_t84_principal_len);
            flick_khazana_decode_end_chunk(_t84_principal_len);
            flick_khazana_decode_end_glob(_t84_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (long_seq *)(&_t85_storage);
            flick_khazana_decode_new_glob(47);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort378);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->long_seq_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            if (_local_arg->long_seq_len > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort378);
            _local_arg->long_seq_val = (int *)_t86_storage;
            flick_khazana_check_span(_local_arg->long_seq_len * 4, _flick_abort378);
            for (_t87_array_iter = 0; _t87_array_iter < _local_arg->long_seq_len; _t87_array_iter++)
              {
                flick_khazana_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_arg->long_seq_val[_t87_array_iter], int );
                flick_khazana_decode_end_chunk(4);
                continue;
              }
            flick_khazana_decode_end_glob(47);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = long_seq_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort378);
              flick_khazana_encode_new_glob(48, _flick_abort378);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4 + 4 * _return->long_seq_len);
                    flick_cdr_encode_unsigned32(0, _return->long_seq_len, unsigned int );
                    if (_return->long_seq_len > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort390);
                    flick_cdr_encode_bcopy(4, _return->long_seq_val, 4 * _return->long_seq_len);
                    flick_khazana_encode_end_chunk(4 + 4 * _return->long_seq_len);
                    flick_khazana_encode_end_glob(48);
                    break;
                    {
                    _flick_abort390:
                      goto _flick_abort378;
                    }
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(48);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort393);
                    break;
                    {
                    _flick_abort393:
                      goto _flick_abort378;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort394);
                    flick_khazana_encode_end_glob(48);
                    break;
                    {
                    _flick_abort394:
                      goto _flick_abort378;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort378:
              goto _flick_abort377;
            }
          }
          break;
          {
          _flick_abort377:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t21_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t21_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t21_switch_tag)
      {
      case (signed int) 0:
        {
          {
            struct svc_req *_obj;
            unsigned int _t22_principal_len;
            void *_return;
            void *_local_arg;
            char _t23_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort101);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t22_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t22_principal_len, _flick_abort101);
            flick_khazana_decode_new_glob(_t22_principal_len);
            flick_khazana_decode_new_chunk(_t22_principal_len);
            flick_khazana_decode_end_chunk(_t22_principal_len);
            flick_khazana_decode_end_glob(_t22_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char *)(&_t23_storage);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = void_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort101);
              flick_khazana_encode_new_glob(4, _flick_abort101);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort107);
                    break;
                    {
                    _flick_abort107:
                      goto _flick_abort101;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort108);
                    flick_khazana_encode_end_glob(4);
                    break;
                    {
                    _flick_abort108:
                      goto _flick_abort101;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort101:
              goto _flick_abort100;
            }
          }
          break;
          {
          _flick_abort100:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t24_principal_len;
            char *_return;
            char *_local_arg;
            char _t25_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort110);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t24_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t24_principal_len + 1, _flick_abort110);
            flick_khazana_decode_new_glob(_t24_principal_len);
            flick_khazana_decode_new_chunk(_t24_principal_len);
            flick_khazana_decode_end_chunk(_t24_principal_len);
            flick_khazana_decode_end_glob(_t24_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (char *)(&_t25_storage);
            flick_khazana_decode_new_glob(1);
            flick_khazana_decode_new_chunk(1);
            flick_cdr_decode_char8(0, *_local_arg, char );
            flick_khazana_decode_end_chunk(1);
            flick_khazana_decode_end_glob(1);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = char_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort110);
              flick_khazana_encode_new_glob(5, _flick_abort110);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(1);
                    flick_cdr_encode_char8(0, *_return, char );
                    flick_khazana_encode_end_chunk(1);
                    flick_khazana_encode_end_glob(5);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(5);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort116);
                    break;
                    {
                    _flick_abort116:
                      goto _flick_abort110;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort117);
                    flick_khazana_encode_end_glob(5);
                    break;
                    {
                    _flick_abort117:
                      goto _flick_abort110;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort110:
              goto _flick_abort109;
            }
          }
          break;
          {
          _flick_abort109:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t26_principal_len;
            int *_return;
            int *_local_arg;
            int _t27_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort119);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t26_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t26_principal_len + 1, _flick_abort119);
            flick_khazana_decode_new_glob(_t26_principal_len);
            flick_khazana_decode_new_chunk(_t26_principal_len);
            flick_khazana_decode_end_chunk(_t26_principal_len);
            flick_khazana_decode_end_glob(_t26_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int *)(&_t27_storage);
            flick_khazana_decode_new_glob(1);
            flick_khazana_decode_new_chunk(1);
            flick_cdr_decode_unsigned8(0, *_local_arg, int );
            flick_khazana_decode_end_chunk(1);
            flick_khazana_decode_end_glob(1);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = bool_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort119);
              flick_khazana_encode_new_glob(5, _flick_abort119);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, *_return, int );
                    flick_khazana_encode_end_chunk(1);
                    flick_khazana_encode_end_glob(5);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(5);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort125);
                    break;
                    {
                    _flick_abort125:
                      goto _flick_abort119;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort126);
                    flick_khazana_encode_end_glob(5);
                    break;
                    {
                    _flick_abort126:
                      goto _flick_abort119;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort119:
              goto _flick_abort118;
            }
          }
          break;
          {
          _flick_abort118:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t28_principal_len;
            short int *_return;
            short int *_local_arg;
            short int _t29_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort128);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t28_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t28_principal_len, _flick_abort128);
            flick_khazana_decode_new_glob(_t28_principal_len);
            flick_khazana_decode_new_chunk(_t28_principal_len);
            flick_khazana_decode_end_chunk(_t28_principal_len);
            flick_khazana_decode_end_glob(_t28_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (short int *)(&_t29_storage);
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
            flick_khazana_check_span(2, _flick_abort128);
            flick_cdr_decode_signed16(0, *_local_arg, short int );
            flick_khazana_decode_end_chunk(2);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = short_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort128);
              flick_khazana_encode_new_glob(6, _flick_abort128);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(2);
                    flick_cdr_encode_signed16(0, *_return, short int );
                    flick_khazana_encode_end_chunk(2);
                    flick_khazana_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort134);
                    break;
                    {
                    _flick_abort134:
                      goto _flick_abort128;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort135);
                    flick_khazana_encode_end_glob(6);
                    break;
                    {
                    _flick_abort135:
                      goto _flick_abort128;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort128:
              goto _flick_abort127;
            }
          }
          break;
          {
          _flick_abort127:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            struct svc_req *_obj;
            unsigned int _t30_principal_len;
            unsigned short int *_return;
            unsigned short int *_local_arg;
            unsigned short int _t31_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort137);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t30_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t30_principal_len, _flick_abort137);
            flick_khazana_decode_new_glob(_t30_principal_len);
            flick_khazana_decode_new_chunk(_t30_principal_len);
            flick_khazana_decode_end_chunk(_t30_principal_len);
            flick_khazana_decode_end_glob(_t30_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (unsigned short int *)(&_t31_storage);
            flick_khazana_decode_new_glob(3);
            flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
            flick_khazana_check_span(2, _flick_abort137);
            flick_cdr_decode_unsigned16(0, *_local_arg, unsigned short int );
            flick_khazana_decode_end_chunk(2);
            flick_khazana_decode_end_glob(3);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ushort_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort137);
              flick_khazana_encode_new_glob(6, _flick_abort137);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(2);
                    flick_cdr_encode_unsigned16(0, *_return, unsigned short int );
                    flick_khazana_encode_end_chunk(2);
                    flick_khazana_encode_end_glob(6);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(6);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort143);
                    break;
                    {
                    _flick_abort143:
                      goto _flick_abort137;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort144);
                    flick_khazana_encode_end_glob(6);
                    break;
                    {
                    _flick_abort144:
                      goto _flick_abort137;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort137:
              goto _flick_abort136;
            }
          }
          break;
          {
          _flick_abort136:
            goto _flick_abort2;
          }
        }
      case (signed int) 5:
        {
          {
            struct svc_req *_obj;
            unsigned int _t32_principal_len;
            int *_return;
            int *_local_arg;
            int _t33_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort146);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t32_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t32_principal_len, _flick_abort146);
            flick_khazana_decode_new_glob(_t32_principal_len);
            flick_khazana_decode_new_chunk(_t32_principal_len);
            flick_khazana_decode_end_chunk(_t32_principal_len);
            flick_khazana_decode_end_glob(_t32_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int *)(&_t33_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort146);
            flick_cdr_decode_signed32(0, *_local_arg, int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = long_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort146);
              flick_khazana_encode_new_glob(8, _flick_abort146);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort152);
                    break;
                    {
                    _flick_abort152:
                      goto _flick_abort146;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort153);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort153:
                      goto _flick_abort146;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort146:
              goto _flick_abort145;
            }
          }
          break;
          {
          _flick_abort145:
            goto _flick_abort2;
          }
        }
      case (signed int) 6:
        {
          {
            struct svc_req *_obj;
            unsigned int _t34_principal_len;
            unsigned int *_return;
            unsigned int *_local_arg;
            unsigned int _t35_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort155);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t34_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t34_principal_len, _flick_abort155);
            flick_khazana_decode_new_glob(_t34_principal_len);
            flick_khazana_decode_new_chunk(_t34_principal_len);
            flick_khazana_decode_end_chunk(_t34_principal_len);
            flick_khazana_decode_end_glob(_t34_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (unsigned int *)(&_t35_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort155);
            flick_cdr_decode_unsigned32(0, *_local_arg, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = ulong_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort155);
              flick_khazana_encode_new_glob(8, _flick_abort155);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_return, unsigned int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort161);
                    break;
                    {
                    _flick_abort161:
                      goto _flick_abort155;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort162);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort162:
                      goto _flick_abort155;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort155:
              goto _flick_abort154;
            }
          }
          break;
          {
          _flick_abort154:
            goto _flick_abort2;
          }
        }
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t36_principal_len;
            float *_return;
            float *_local_arg;
            float _t37_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort164);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t36_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t36_principal_len, _flick_abort164);
            flick_khazana_decode_new_glob(_t36_principal_len);
            flick_khazana_decode_new_chunk(_t36_principal_len);
            flick_khazana_decode_end_chunk(_t36_principal_len);
            flick_khazana_decode_end_glob(_t36_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (float *)(&_t37_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort164);
            flick_cdr_decode_float32(0, *_local_arg, float );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = float_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort164);
              flick_khazana_encode_new_glob(8, _flick_abort164);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_float32(0, *_return, float );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort170);
                    break;
                    {
                    _flick_abort170:
                      goto _flick_abort164;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort171);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort171:
                      goto _flick_abort164;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort164:
              goto _flick_abort163;
            }
          }
          break;
          {
          _flick_abort163:
            goto _flick_abort2;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t38_principal_len;
            double *_return;
            double *_local_arg;
            double _t39_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort173);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t38_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t38_principal_len, _flick_abort173);
            flick_khazana_decode_new_glob(_t38_principal_len);
            flick_khazana_decode_new_chunk(_t38_principal_len);
            flick_khazana_decode_end_chunk(_t38_principal_len);
            flick_khazana_decode_end_glob(_t38_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (double *)(&_t39_storage);
            flick_khazana_decode_new_glob(15);
            flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
            flick_khazana_check_span(8, _flick_abort173);
            flick_cdr_decode_float64(0, *_local_arg, double );
            flick_khazana_decode_end_chunk(8);
            flick_khazana_decode_end_glob(15);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = double_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort173);
              flick_khazana_encode_new_glob(16, _flick_abort173);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_return, double );
                    flick_khazana_encode_end_chunk(8);
                    flick_khazana_encode_end_glob(16);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(16);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort179);
                    break;
                    {
                    _flick_abort179:
                      goto _flick_abort173;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort180);
                    flick_khazana_encode_end_glob(16);
                    break;
                    {
                    _flick_abort180:
                      goto _flick_abort173;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort173:
              goto _flick_abort172;
            }
          }
          break;
          {
          _flick_abort172:
            goto _flick_abort2;
          }
        }
      case (signed int) 9:
        {
          {
            struct svc_req *_obj;
            unsigned int _t40_principal_len;
            long_seq *_return;
            long_seq *_local_arg;
            long_seq _t41_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort182);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t40_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t40_principal_len, _flick_abort182);
            flick_khazana_decode_new_glob(_t40_principal_len);
            flick_khazana_decode_new_chunk(_t40_principal_len);
            flick_khazana_decode_end_chunk(_t40_principal_len);
            flick_khazana_decode_end_glob(_t40_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (long_seq *)(&_t41_storage);
            flick_khazana_decode_new_glob(47);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort182);
            flick_cdr_decode_unsigned32(0, _local_arg->long_seq_len, unsigned int );
            if (_local_arg->long_seq_len > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort182);
            flick_khazana_decode_end_chunk(4);
            flick_khazana_check_span(4 * _local_arg->long_seq_len, _flick_abort182);
            flick_khazana_decode_new_chunk(4 * _local_arg->long_seq_len);
            flick_cdr_decode_msgptr(0, _local_arg->long_seq_val, int *);
            flick_khazana_decode_end_chunk(4 * _local_arg->long_seq_len);
            flick_khazana_decode_end_glob(47);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = long_seq_test_2345(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort182);
              flick_khazana_encode_new_glob(48, _flick_abort182);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4 + 4 * _return->long_seq_len);
                    flick_cdr_encode_unsigned32(0, _return->long_seq_len, unsigned int );
                    if (_return->long_seq_len > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort191);
                    flick_cdr_encode_bcopy(4, _return->long_seq_val, 4 * _return->long_seq_len);
                    flick_khazana_encode_end_chunk(4 + 4 * _return->long_seq_len);
                    flick_khazana_encode_end_glob(48);
                    break;
                    {
                    _flick_abort191:
                      goto _flick_abort182;
                    }
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(48);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort194);
                    break;
                    {
                    _flick_abort194:
                      goto _flick_abort182;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort195);
                    flick_khazana_encode_end_glob(48);
                    break;
                    {
                    _flick_abort195:
                      goto _flick_abort182;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort182:
              goto _flick_abort181;
            }
          }
          break;
          {
          _flick_abort181:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_sun_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

