#include "structnestez_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	"IDL:test:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t test_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t57_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t57_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t57_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t58_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t58_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t58_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t59_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t59_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t59_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        unsigned int _t60_principal_len;
                        struct bar _return;
                        struct bar *_local_arg1;
                        struct bar _t61_storage;
                        struct bar *_local_arg2;
                        struct bar _t62_storage;
                        struct bar *_local_arg3;
                        struct bar _t63_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t64_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort93);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t60_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t60_principal_len, _flick_abort93);
                        flick_khazana_decode_new_glob(_t60_principal_len);
                        flick_khazana_decode_new_chunk(_t60_principal_len);
                        flick_khazana_decode_end_chunk(_t60_principal_len);
                        flick_khazana_decode_end_glob(_t60_principal_len);
                        /* Begin decode phase on parameters */
                        _local_arg1 = (struct bar *)(&_t61_storage);
                        flick_khazana_decode_new_glob(5);
                        flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                        flick_khazana_check_span(4, _flick_abort93);
                        flick_cdr_swap_decode_signed16(0, _local_arg1->f.f, CORBA_short );
                        _local_arg2 = (struct bar *)(&_t62_storage);
                        flick_cdr_swap_decode_signed16(2, _local_arg2->f.f, CORBA_short );
                        _local_arg3 = (struct bar *)(&_t63_storage);
                        _ev = (CORBA_Environment *)(&_t64_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(5);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_op(_obj, _local_arg1, _local_arg2, _local_arg3, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort93);
                          flick_khazana_encode_new_glob(10, _flick_abort93);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(6);
                                flick_cdr_encode_signed16(0, _return.f.f, CORBA_short );
                                flick_cdr_encode_signed16(2, _local_arg2->f.f, CORBA_short );
                                flick_cdr_encode_signed16(4, _local_arg3->f.f, CORBA_short );
                                flick_khazana_encode_end_chunk(6);
                                flick_khazana_encode_end_glob(10);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(10);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort99);
                                break;
                                {
                                _flick_abort99:
                                  goto _flick_abort93;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort100);
                                flick_khazana_encode_end_glob(10);
                                break;
                                {
                                _flick_abort100:
                                  goto _flick_abort93;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort93:
                          goto _flick_abort92;
                        }
                      }
                      break;
                      {
                      _flick_abort92:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t65_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t65_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t65_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  test _obj;
                  unsigned int _t66_principal_len;
                  struct b _return;
                  struct b *_local_arg1;
                  struct b _t67_storage;
                  struct b *_local_arg2;
                  struct b _t68_storage;
                  struct b *_local_arg3;
                  struct b _t69_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t70_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort102);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t66_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t66_principal_len, _flick_abort102);
                  flick_khazana_decode_new_glob(_t66_principal_len);
                  flick_khazana_decode_new_chunk(_t66_principal_len);
                  flick_khazana_decode_end_chunk(_t66_principal_len);
                  flick_khazana_decode_end_glob(_t66_principal_len);
                  /* Begin decode phase on parameters */
                  _local_arg1 = (struct b *)(&_t67_storage);
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort102);
                  flick_cdr_swap_decode_signed16(0, _local_arg1->f.f, CORBA_short );
                  _local_arg2 = (struct b *)(&_t68_storage);
                  flick_cdr_swap_decode_signed16(2, _local_arg2->f.f, CORBA_short );
                  _local_arg3 = (struct b *)(&_t69_storage);
                  _ev = (CORBA_Environment *)(&_t70_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_op2(_obj, _local_arg1, _local_arg2, _local_arg3, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort102);
                    flick_khazana_encode_new_glob(10, _flick_abort102);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(6);
                          flick_cdr_encode_signed16(0, _return.f.f, CORBA_short );
                          flick_cdr_encode_signed16(2, _local_arg2->f.f, CORBA_short );
                          flick_cdr_encode_signed16(4, _local_arg3->f.f, CORBA_short );
                          flick_khazana_encode_end_chunk(6);
                          flick_khazana_encode_end_glob(10);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(10);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort108);
                          break;
                          {
                          _flick_abort108:
                            goto _flick_abort102;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort109);
                          flick_khazana_encode_end_glob(10);
                          break;
                          {
                          _flick_abort109:
                            goto _flick_abort102;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort102:
                    goto _flick_abort101;
                  }
                }
                break;
                {
                _flick_abort101:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t71_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t71_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t72_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t72_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t72_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t73_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t74_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t75_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort111);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t73_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t73_principal_len, _flick_abort111);
                        flick_khazana_decode_new_glob(_t73_principal_len);
                        flick_khazana_decode_new_chunk(_t73_principal_len);
                        flick_khazana_decode_end_chunk(_t73_principal_len);
                        flick_khazana_decode_end_glob(_t73_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort111);
                        flick_cdr_swap_decode_unsigned32(0, _t74_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t74_temp_string_len);
                        flick_khazana_check_span(1 * _t74_temp_string_len, _flick_abort111);
                        flick_khazana_decode_new_chunk(1 * _t74_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t74_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t74_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t75_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort111);
                          flick_khazana_encode_new_glob(5, _flick_abort111);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort119);
                                break;
                                {
                                _flick_abort119:
                                  goto _flick_abort111;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort120);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort120:
                                  goto _flick_abort111;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort111:
                          goto _flick_abort110;
                        }
                      }
                      break;
                      {
                      _flick_abort110:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t19_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort2);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t19_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t20_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t20_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t20_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t21_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t21_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t21_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        unsigned int _t22_principal_len;
                        struct bar _return;
                        struct bar *_local_arg1;
                        struct bar _t23_storage;
                        struct bar *_local_arg2;
                        struct bar _t24_storage;
                        struct bar *_local_arg3;
                        struct bar _t25_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t26_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort34);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t22_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t22_principal_len, _flick_abort34);
                        flick_khazana_decode_new_glob(_t22_principal_len);
                        flick_khazana_decode_new_chunk(_t22_principal_len);
                        flick_khazana_decode_end_chunk(_t22_principal_len);
                        flick_khazana_decode_end_glob(_t22_principal_len);
                        /* Begin decode phase on parameters */
                        _local_arg1 = (struct bar *)(&_t23_storage);
                        flick_khazana_decode_new_glob(5);
                        flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                        flick_khazana_check_span(4, _flick_abort34);
                        flick_cdr_decode_signed16(0, _local_arg1->f.f, CORBA_short );
                        _local_arg2 = (struct bar *)(&_t24_storage);
                        flick_cdr_decode_signed16(2, _local_arg2->f.f, CORBA_short );
                        _local_arg3 = (struct bar *)(&_t25_storage);
                        _ev = (CORBA_Environment *)(&_t26_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(5);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_op(_obj, _local_arg1, _local_arg2, _local_arg3, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort34);
                          flick_khazana_encode_new_glob(10, _flick_abort34);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(6);
                                flick_cdr_encode_signed16(0, _return.f.f, CORBA_short );
                                flick_cdr_encode_signed16(2, _local_arg2->f.f, CORBA_short );
                                flick_cdr_encode_signed16(4, _local_arg3->f.f, CORBA_short );
                                flick_khazana_encode_end_chunk(6);
                                flick_khazana_encode_end_glob(10);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(10);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort40);
                                break;
                                {
                                _flick_abort40:
                                  goto _flick_abort34;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort41);
                                flick_khazana_encode_end_glob(10);
                                break;
                                {
                                _flick_abort41:
                                  goto _flick_abort34;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort34:
                          goto _flick_abort33;
                        }
                      }
                      break;
                      {
                      _flick_abort33:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t27_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t27_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t27_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  test _obj;
                  unsigned int _t28_principal_len;
                  struct b _return;
                  struct b *_local_arg1;
                  struct b _t29_storage;
                  struct b *_local_arg2;
                  struct b _t30_storage;
                  struct b *_local_arg3;
                  struct b _t31_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t32_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort43);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t28_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t28_principal_len, _flick_abort43);
                  flick_khazana_decode_new_glob(_t28_principal_len);
                  flick_khazana_decode_new_chunk(_t28_principal_len);
                  flick_khazana_decode_end_chunk(_t28_principal_len);
                  flick_khazana_decode_end_glob(_t28_principal_len);
                  /* Begin decode phase on parameters */
                  _local_arg1 = (struct b *)(&_t29_storage);
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort43);
                  flick_cdr_decode_signed16(0, _local_arg1->f.f, CORBA_short );
                  _local_arg2 = (struct b *)(&_t30_storage);
                  flick_cdr_decode_signed16(2, _local_arg2->f.f, CORBA_short );
                  _local_arg3 = (struct b *)(&_t31_storage);
                  _ev = (CORBA_Environment *)(&_t32_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_op2(_obj, _local_arg1, _local_arg2, _local_arg3, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort43);
                    flick_khazana_encode_new_glob(10, _flick_abort43);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(6);
                          flick_cdr_encode_signed16(0, _return.f.f, CORBA_short );
                          flick_cdr_encode_signed16(2, _local_arg2->f.f, CORBA_short );
                          flick_cdr_encode_signed16(4, _local_arg3->f.f, CORBA_short );
                          flick_khazana_encode_end_chunk(6);
                          flick_khazana_encode_end_glob(10);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(10);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort49);
                          break;
                          {
                          _flick_abort49:
                            goto _flick_abort43;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort50);
                          flick_khazana_encode_end_glob(10);
                          break;
                          {
                          _flick_abort50:
                            goto _flick_abort43;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort43:
                    goto _flick_abort42;
                  }
                }
                break;
                {
                _flick_abort42:
                  goto _flick_abort2;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t33_switch_tag;

          flick_khazana_check_span(12, _flick_abort2);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t33_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t34_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t34_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t34_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t35_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t36_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t37_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort52);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t35_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t35_principal_len, _flick_abort52);
                        flick_khazana_decode_new_glob(_t35_principal_len);
                        flick_khazana_decode_new_chunk(_t35_principal_len);
                        flick_khazana_decode_end_chunk(_t35_principal_len);
                        flick_khazana_decode_end_glob(_t35_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort52);
                        flick_cdr_decode_unsigned32(0, _t36_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t36_temp_string_len);
                        flick_khazana_check_span(1 * _t36_temp_string_len, _flick_abort52);
                        flick_khazana_decode_new_chunk(1 * _t36_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t36_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t36_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t37_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort52);
                          flick_khazana_encode_new_glob(5, _flick_abort52);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort60);
                                break;
                                {
                                _flick_abort60:
                                  goto _flick_abort52;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort61);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort61:
                                  goto _flick_abort52;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort52:
                          goto _flick_abort51;
                        }
                      }
                      break;
                      {
                      _flick_abort51:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

