#ifndef _mig_tests_server_h_
#define _mig_tests_server_h_

#include <flick/link/mach3mig.h>

#include <flick/encode/mach3mig.h>

#include <flick/pres/mig.h>

extern flick_server_t tests_server;

#include "mig-tests.h"

kern_return_t s_inline_integers(mach_port_t target, Iint inInt, Iint *inoutInt, Iint *outInt);

kern_return_t s_inline_fixed_structs(mach_port_t target, IFstruct inStruct, IFstruct *inoutStruct, IFstruct *outStruct);

kern_return_t s_inline_fixed_arrays(mach_port_t target, IFarray inArray, IFarray inoutArray, IFarray outArray);

kern_return_t s_inline_bounded_arrays(mach_port_t target, IBarray inArray, mach_msg_type_number_t inArrayCnt, IBarray outArray, mach_msg_type_number_t *outArrayCnt);

kern_return_t s_inline_unbounded_arrays(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, Iarray *outArray, mach_msg_type_number_t *outArrayCnt);

kern_return_t s_inline_fixed_strings(mach_port_t target, IFstring inString, IFstring inoutString, IFstring outString);

kern_return_t s_inline_bounded_strings(mach_port_t target, IVstring inString, IVstring outString);

kern_return_t s_inline_port_rights(mach_port_t target, mach_port_t inRight, mach_port_t *inoutRight, mach_port_t *outRight);

kern_return_t s_inline_port_arrays(mach_port_t target, Imach_port_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt);

kern_return_t s_inline_poly_arrays(mach_port_t target, Imach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt);

kern_return_t s_outline_integers(mach_port_t target, Oint inInt, Oint *inoutInt, Oint *outInt);

kern_return_t s_outline_fixed_structs(mach_port_t target, OFstruct inStruct, OFstruct *inoutStruct, OFstruct *outStruct);

kern_return_t s_outline_fixed_arrays(mach_port_t target, OFarray inArray, OFarray *inoutArray, OFarray *outArray);

kern_return_t s_outline_unbounded_arrays(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt);

kern_return_t s_outline_fixed_strings(mach_port_t target, OFstring inString, OFstring *inoutString, OFstring *outString);

kern_return_t s_outline_port_arrays(mach_port_t target, mach_port_array_t inRight, mach_msg_type_number_t inRightCnt, mach_port_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, mach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt);

kern_return_t s_outline_poly_arrays(mach_port_t target, Omach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Omach_poly_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, Omach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt);

kern_return_t s_test_reply_ports(mach_port_t reply, mach_port_t target, unsigned int *data);

kern_return_t s_test_sreply_ports(mach_port_t target, mach_port_t reply, unsigned int *data);

kern_return_t s_test_ureply_ports(mach_port_t target, unsigned int *data);

kern_return_t s_test_param_flags(mach_port_t target, unsigned int seq, unsigned int *data);

kern_return_t s_test_countinout(mach_port_t target, Iarray *outArray, mach_msg_type_number_t *outArrayCnt);

kern_return_t s_test_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt);

kern_return_t s_test_dynamic_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, boolean_t *inoutArrayDealloc, Oarray *outArray, mach_msg_type_number_t *outArrayCnt, boolean_t *outArrayDealloc);

kern_return_t s_test_servercopy(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, boolean_t inArraySCopy, boolean_t *scopy);

kern_return_t s_terminate(mach_port_t target);

#endif /* _mig_tests_server_h_ */
