#include "structnest_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	"IDL:test:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t test_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t23_switch_tag;

    flick_trapeze_decode_new_glob(120);
    flick_trapeze_check_span(12, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t23_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t23_switch_tag)
      {
      case (signed int) 0:
        {
          {
            test _obj;
            struct a _return;
            struct a *_local_s1;
            struct a _t24_storage;
            struct a *_local_s2;
            struct a _t25_storage;
            struct a *_local_s3;
            struct a _t26_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t27_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort41);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(22, _flick_abort41);
            flick_trapeze_decode_new_chunk(22);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_s1 = (struct a *)(&_t24_storage);
            flick_cdr_decode_signed16(4, _local_s1->e.c, CORBA_short );
            flick_cdr_decode_char8(6, _local_s1->e.d, CORBA_char );
            flick_cdr_decode_unsigned8(7, _local_s1->e.e.c, CORBA_boolean );
            flick_cdr_decode_signed32(8, _local_s1->e.e.d, CORBA_long );
            flick_cdr_decode_signed16(12, _local_s1->e.f, CORBA_short );
            flick_cdr_decode_unsigned8(14, _local_s1->e.g.c, CORBA_boolean );
            flick_cdr_decode_signed32(16, _local_s1->e.g.d, CORBA_long );
            flick_cdr_decode_signed16(20, _local_s1->h.a, CORBA_short );
            flick_trapeze_decode_end_chunk(22);
            flick_trapeze_decode_new_chunk_align(88, 3, 2, 2);
            flick_trapeze_check_span(168, _flick_abort41);
            flick_cdr_decode_float64(0, _local_s1->h.b, CORBA_double );
            flick_cdr_decode_signed16(8, _local_s1->j.b.a.a, CORBA_short );
            flick_cdr_decode_float64(16, _local_s1->j.b.a.b, CORBA_double );
            flick_cdr_decode_signed16(24, _local_s1->j.m.a, CORBA_short );
            flick_cdr_decode_float64(32, _local_s1->j.m.b, CORBA_double );
            flick_cdr_decode_float32(40, _local_s1->f, CORBA_float );
            flick_cdr_decode_signed16(44, _local_s1->g.c, CORBA_short );
            flick_cdr_decode_char8(46, _local_s1->g.d, CORBA_char );
            flick_cdr_decode_unsigned8(47, _local_s1->g.e.c, CORBA_boolean );
            flick_cdr_decode_signed32(48, _local_s1->g.e.d, CORBA_long );
            flick_cdr_decode_signed16(52, _local_s1->g.f, CORBA_short );
            flick_cdr_decode_unsigned8(54, _local_s1->g.g.c, CORBA_boolean );
            flick_cdr_decode_signed32(56, _local_s1->g.g.d, CORBA_long );
            flick_cdr_decode_signed16(60, _local_s1->i.a, CORBA_short );
            flick_cdr_decode_float64(64, _local_s1->i.b, CORBA_double );
            _local_s2 = (struct a *)(&_t25_storage);
            flick_cdr_decode_signed16(72, _local_s2->e.c, CORBA_short );
            flick_cdr_decode_char8(74, _local_s2->e.d, CORBA_char );
            flick_cdr_decode_unsigned8(75, _local_s2->e.e.c, CORBA_boolean );
            flick_cdr_decode_signed32(76, _local_s2->e.e.d, CORBA_long );
            flick_cdr_decode_signed16(80, _local_s2->e.f, CORBA_short );
            flick_cdr_decode_unsigned8(82, _local_s2->e.g.c, CORBA_boolean );
            flick_cdr_decode_signed32(84, _local_s2->e.g.d, CORBA_long );
            flick_trapeze_decode_end_chunk(88);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_decode_new_glob(80);
            flick_trapeze_decode_new_chunk(80);
            flick_cdr_decode_signed16(0, _local_s2->h.a, CORBA_short );
            flick_cdr_decode_float64(8, _local_s2->h.b, CORBA_double );
            flick_cdr_decode_signed16(16, _local_s2->j.b.a.a, CORBA_short );
            flick_cdr_decode_float64(24, _local_s2->j.b.a.b, CORBA_double );
            flick_cdr_decode_signed16(32, _local_s2->j.m.a, CORBA_short );
            flick_cdr_decode_float64(40, _local_s2->j.m.b, CORBA_double );
            flick_cdr_decode_float32(48, _local_s2->f, CORBA_float );
            flick_cdr_decode_signed16(52, _local_s2->g.c, CORBA_short );
            flick_cdr_decode_char8(54, _local_s2->g.d, CORBA_char );
            flick_cdr_decode_unsigned8(55, _local_s2->g.e.c, CORBA_boolean );
            flick_cdr_decode_signed32(56, _local_s2->g.e.d, CORBA_long );
            flick_cdr_decode_signed16(60, _local_s2->g.f, CORBA_short );
            flick_cdr_decode_unsigned8(62, _local_s2->g.g.c, CORBA_boolean );
            flick_cdr_decode_signed32(64, _local_s2->g.g.d, CORBA_long );
            flick_cdr_decode_signed16(68, _local_s2->i.a, CORBA_short );
            flick_cdr_decode_float64(72, _local_s2->i.b, CORBA_double );
            _local_s3 = (struct a *)(&_t26_storage);
            _ev = (CORBA_Environment *)(&_t27_storage);
            flick_trapeze_decode_end_chunk(80);
            flick_trapeze_decode_end_glob(80);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_op1(_obj, _local_s1, _local_s2, _local_s3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort41);
              flick_trapeze_encode_new_glob(118, _flick_abort41);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(18);
                    flick_cdr_encode_signed16(0, _return.e.c, CORBA_short );
                    flick_cdr_encode_char8(2, _return.e.d, CORBA_char );
                    flick_cdr_encode_unsigned8(3, _return.e.e.c, CORBA_boolean );
                    flick_cdr_encode_signed32(4, _return.e.e.d, CORBA_long );
                    flick_cdr_encode_signed16(8, _return.e.f, CORBA_short );
                    flick_cdr_encode_unsigned8(10, _return.e.g.c, CORBA_boolean );
                    flick_cdr_encode_signed32(12, _return.e.g.d, CORBA_long );
                    flick_cdr_encode_signed16(16, _return.h.a, CORBA_short );
                    flick_trapeze_encode_end_chunk(18);
                    flick_trapeze_encode_new_chunk_align(90, 3, 2, 2);
                    flick_cdr_encode_float64(0, _return.h.b, CORBA_double );
                    flick_cdr_encode_signed16(8, _return.j.b.a.a, CORBA_short );
                    flick_cdr_encode_float64(16, _return.j.b.a.b, CORBA_double );
                    flick_cdr_encode_signed16(24, _return.j.m.a, CORBA_short );
                    flick_cdr_encode_float64(32, _return.j.m.b, CORBA_double );
                    flick_cdr_encode_float32(40, _return.f, CORBA_float );
                    flick_cdr_encode_signed16(44, _return.g.c, CORBA_short );
                    flick_cdr_encode_char8(46, _return.g.d, CORBA_char );
                    flick_cdr_encode_unsigned8(47, _return.g.e.c, CORBA_boolean );
                    flick_cdr_encode_signed32(48, _return.g.e.d, CORBA_long );
                    flick_cdr_encode_signed16(52, _return.g.f, CORBA_short );
                    flick_cdr_encode_unsigned8(54, _return.g.g.c, CORBA_boolean );
                    flick_cdr_encode_signed32(56, _return.g.g.d, CORBA_long );
                    flick_cdr_encode_signed16(60, _return.i.a, CORBA_short );
                    flick_cdr_encode_float64(64, _return.i.b, CORBA_double );
                    flick_cdr_encode_signed16(72, _local_s2->e.c, CORBA_short );
                    flick_cdr_encode_char8(74, _local_s2->e.d, CORBA_char );
                    flick_cdr_encode_unsigned8(75, _local_s2->e.e.c, CORBA_boolean );
                    flick_cdr_encode_signed32(76, _local_s2->e.e.d, CORBA_long );
                    flick_cdr_encode_signed16(80, _local_s2->e.f, CORBA_short );
                    flick_cdr_encode_unsigned8(82, _local_s2->e.g.c, CORBA_boolean );
                    flick_cdr_encode_signed32(84, _local_s2->e.g.d, CORBA_long );
                    flick_cdr_encode_signed16(88, _local_s2->h.a, CORBA_short );
                    flick_trapeze_encode_end_chunk(90);
                    flick_trapeze_encode_end_glob(118);
                    flick_trapeze_encode_new_glob(118, _flick_abort46);
                    flick_trapeze_encode_new_chunk(112);
                    flick_cdr_encode_float64(6, _local_s2->h.b, CORBA_double );
                    flick_cdr_encode_signed16(14, _local_s2->j.b.a.a, CORBA_short );
                    flick_cdr_encode_float64(22, _local_s2->j.b.a.b, CORBA_double );
                    flick_cdr_encode_signed16(30, _local_s2->j.m.a, CORBA_short );
                    flick_cdr_encode_float64(38, _local_s2->j.m.b, CORBA_double );
                    flick_cdr_encode_float32(46, _local_s2->f, CORBA_float );
                    flick_cdr_encode_signed16(50, _local_s2->g.c, CORBA_short );
                    flick_cdr_encode_char8(52, _local_s2->g.d, CORBA_char );
                    flick_cdr_encode_unsigned8(53, _local_s2->g.e.c, CORBA_boolean );
                    flick_cdr_encode_signed32(54, _local_s2->g.e.d, CORBA_long );
                    flick_cdr_encode_signed16(58, _local_s2->g.f, CORBA_short );
                    flick_cdr_encode_unsigned8(60, _local_s2->g.g.c, CORBA_boolean );
                    flick_cdr_encode_signed32(62, _local_s2->g.g.d, CORBA_long );
                    flick_cdr_encode_signed16(66, _local_s2->i.a, CORBA_short );
                    flick_cdr_encode_float64(70, _local_s2->i.b, CORBA_double );
                    flick_cdr_encode_signed16(78, _local_s3->e.c, CORBA_short );
                    flick_cdr_encode_char8(80, _local_s3->e.d, CORBA_char );
                    flick_cdr_encode_unsigned8(81, _local_s3->e.e.c, CORBA_boolean );
                    flick_cdr_encode_signed32(82, _local_s3->e.e.d, CORBA_long );
                    flick_cdr_encode_signed16(86, _local_s3->e.f, CORBA_short );
                    flick_cdr_encode_unsigned8(88, _local_s3->e.g.c, CORBA_boolean );
                    flick_cdr_encode_signed32(90, _local_s3->e.g.d, CORBA_long );
                    flick_cdr_encode_signed16(94, _local_s3->h.a, CORBA_short );
                    flick_cdr_encode_float64(102, _local_s3->h.b, CORBA_double );
                    flick_cdr_encode_signed16(110, _local_s3->j.b.a.a, CORBA_short );
                    flick_trapeze_encode_end_chunk(112);
                    flick_trapeze_encode_end_glob(118);
                    flick_trapeze_encode_new_glob(56, _flick_abort46);
                    flick_trapeze_encode_new_chunk(62);
                    flick_cdr_encode_float64(6, _local_s3->j.b.a.b, CORBA_double );
                    flick_cdr_encode_signed16(14, _local_s3->j.m.a, CORBA_short );
                    flick_cdr_encode_float64(22, _local_s3->j.m.b, CORBA_double );
                    flick_cdr_encode_float32(30, _local_s3->f, CORBA_float );
                    flick_cdr_encode_signed16(34, _local_s3->g.c, CORBA_short );
                    flick_cdr_encode_char8(36, _local_s3->g.d, CORBA_char );
                    flick_cdr_encode_unsigned8(37, _local_s3->g.e.c, CORBA_boolean );
                    flick_cdr_encode_signed32(38, _local_s3->g.e.d, CORBA_long );
                    flick_cdr_encode_signed16(42, _local_s3->g.f, CORBA_short );
                    flick_cdr_encode_unsigned8(44, _local_s3->g.g.c, CORBA_boolean );
                    flick_cdr_encode_signed32(46, _local_s3->g.g.d, CORBA_long );
                    flick_cdr_encode_signed16(50, _local_s3->i.a, CORBA_short );
                    flick_cdr_encode_float64(54, _local_s3->i.b, CORBA_double );
                    flick_trapeze_encode_end_chunk(62);
                    flick_trapeze_encode_end_glob(56);
                    break;
                    {
                    _flick_abort46:
                      goto _flick_abort41;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    flick_trapeze_encode_end_glob(118);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort48);
                    flick_trapeze_encode_end_glob(118);
                    break;
                    {
                    _flick_abort48:
                      goto _flick_abort41;
                    }
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort41:
              goto _flick_abort40;
            }
          }
          break;
          {
          _flick_abort40:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            test _obj;
            struct b _return;
            struct b *_local_s1;
            struct b _t28_storage;
            struct b *_local_s2;
            struct b _t29_storage;
            struct b *_local_s3;
            struct b _t30_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t31_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort50);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(41, _flick_abort50);
            flick_trapeze_decode_new_chunk(41);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_s1 = (struct b *)(&_t28_storage);
            flick_cdr_decode_signed16(4, _local_s1->c.c, CORBA_short );
            flick_cdr_decode_char8(6, _local_s1->c.d, CORBA_char );
            flick_cdr_decode_unsigned8(7, _local_s1->c.e.c, CORBA_boolean );
            flick_cdr_decode_signed32(8, _local_s1->c.e.d, CORBA_long );
            flick_cdr_decode_signed16(12, _local_s1->c.f, CORBA_short );
            flick_cdr_decode_unsigned8(14, _local_s1->c.g.c, CORBA_boolean );
            flick_cdr_decode_signed32(16, _local_s1->c.g.d, CORBA_long );
            flick_cdr_decode_char8(20, _local_s1->d, CORBA_char );
            _local_s2 = (struct b *)(&_t29_storage);
            flick_cdr_decode_signed16(22, _local_s2->c.c, CORBA_short );
            flick_cdr_decode_char8(24, _local_s2->c.d, CORBA_char );
            flick_cdr_decode_unsigned8(25, _local_s2->c.e.c, CORBA_boolean );
            flick_cdr_decode_signed32(28, _local_s2->c.e.d, CORBA_long );
            flick_cdr_decode_signed16(32, _local_s2->c.f, CORBA_short );
            flick_cdr_decode_unsigned8(34, _local_s2->c.g.c, CORBA_boolean );
            flick_cdr_decode_signed32(36, _local_s2->c.g.d, CORBA_long );
            flick_cdr_decode_char8(40, _local_s2->d, CORBA_char );
            _local_s3 = (struct b *)(&_t30_storage);
            _ev = (CORBA_Environment *)(&_t31_storage);
            flick_trapeze_decode_end_chunk(41);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_op2(_obj, _local_s1, _local_s2, _local_s3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort50);
              flick_trapeze_encode_new_glob(61, _flick_abort50);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(57);
                    flick_cdr_encode_signed16(0, _return.c.c, CORBA_short );
                    flick_cdr_encode_char8(2, _return.c.d, CORBA_char );
                    flick_cdr_encode_unsigned8(3, _return.c.e.c, CORBA_boolean );
                    flick_cdr_encode_signed32(4, _return.c.e.d, CORBA_long );
                    flick_cdr_encode_signed16(8, _return.c.f, CORBA_short );
                    flick_cdr_encode_unsigned8(10, _return.c.g.c, CORBA_boolean );
                    flick_cdr_encode_signed32(12, _return.c.g.d, CORBA_long );
                    flick_cdr_encode_char8(16, _return.d, CORBA_char );
                    flick_cdr_encode_signed16(18, _local_s2->c.c, CORBA_short );
                    flick_cdr_encode_char8(20, _local_s2->c.d, CORBA_char );
                    flick_cdr_encode_unsigned8(21, _local_s2->c.e.c, CORBA_boolean );
                    flick_cdr_encode_signed32(24, _local_s2->c.e.d, CORBA_long );
                    flick_cdr_encode_signed16(28, _local_s2->c.f, CORBA_short );
                    flick_cdr_encode_unsigned8(30, _local_s2->c.g.c, CORBA_boolean );
                    flick_cdr_encode_signed32(32, _local_s2->c.g.d, CORBA_long );
                    flick_cdr_encode_char8(36, _local_s2->d, CORBA_char );
                    flick_cdr_encode_signed16(38, _local_s3->c.c, CORBA_short );
                    flick_cdr_encode_char8(40, _local_s3->c.d, CORBA_char );
                    flick_cdr_encode_unsigned8(41, _local_s3->c.e.c, CORBA_boolean );
                    flick_cdr_encode_signed32(44, _local_s3->c.e.d, CORBA_long );
                    flick_cdr_encode_signed16(48, _local_s3->c.f, CORBA_short );
                    flick_cdr_encode_unsigned8(50, _local_s3->c.g.c, CORBA_boolean );
                    flick_cdr_encode_signed32(52, _local_s3->c.g.d, CORBA_long );
                    flick_cdr_encode_char8(56, _local_s3->d, CORBA_char );
                    flick_trapeze_encode_end_chunk(57);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort57);
                    break;
                    {
                    _flick_abort57:
                      goto _flick_abort50;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(61);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort50:
              goto _flick_abort49;
            }
          }
          break;
          {
          _flick_abort49:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            test _obj;
            struct c *_return;
            struct c *_local_s1;
            struct c _t32_storage;
            flick_unsigned32_t _t33_temp_string_len;
            struct c *_local_s2;
            struct c _t34_storage;
            flick_unsigned32_t _t35_temp_string_len;
            struct c **_local_s3;
            struct c *_t36_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t37_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort59);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(14, _flick_abort59);
            flick_trapeze_decode_new_chunk(14);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_s1 = (struct c *)(&_t32_storage);
            flick_cdr_decode_unsigned8(4, _local_s1->q.c, CORBA_boolean );
            flick_cdr_decode_signed32(8, _local_s1->q.d, CORBA_long );
            flick_cdr_decode_signed16(12, _local_s1->z.a.a, CORBA_short );
            flick_trapeze_decode_end_chunk(14);
            flick_trapeze_decode_new_chunk_align(36, 3, 2, 2);
            flick_trapeze_check_span(36, _flick_abort59);
            flick_cdr_decode_float64(0, _local_s1->z.a.b, CORBA_double );
            flick_cdr_decode_unsigned32(8, _t33_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_s1->s, 1 * _t33_temp_string_len);
            _local_s2 = (struct c *)(&_t34_storage);
            flick_cdr_decode_unsigned8(12, _local_s2->q.c, CORBA_boolean );
            flick_cdr_decode_signed32(16, _local_s2->q.d, CORBA_long );
            flick_cdr_decode_signed16(20, _local_s2->z.a.a, CORBA_short );
            flick_cdr_decode_float64(24, _local_s2->z.a.b, CORBA_double );
            flick_cdr_decode_unsigned32(32, _t35_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_s2->s, 1 * _t35_temp_string_len);
            _local_s3 = (struct c **)(&_t36_storage);
            _ev = (CORBA_Environment *)(&_t37_storage);
            flick_trapeze_decode_end_chunk(36);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_op3(_obj, _local_s1, _local_s2, _local_s3, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort59);
              flick_trapeze_encode_new_glob(80, _flick_abort59);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t41_temp_string_len;
                    flick_unsigned32_t _t42_temp_string_len;
                    flick_unsigned32_t _t43_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return->s, flick_unsigned32_t , _t41_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, _local_s2->s, flick_unsigned32_t , _t42_temp_string_len);
                    flick_cdr_stringlen(CORBA_char *, (*_local_s3)->s, flick_unsigned32_t , _t43_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(10);
                    flick_cdr_encode_unsigned8(0, _return->q.c, CORBA_boolean );
                    flick_cdr_encode_signed32(4, _return->q.d, CORBA_long );
                    flick_cdr_encode_signed16(8, _return->z.a.a, CORBA_short );
                    flick_trapeze_encode_end_chunk(10);
                    flick_trapeze_encode_new_chunk_align(60, 3, 2, 2);
                    flick_cdr_encode_float64(0, _return->z.a.b, CORBA_double );
                    flick_cdr_encode_unsigned32(8, _t41_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_return->s, 1 * _t41_temp_string_len);
                    CORBA_flick_free(_return);
                    _return = (struct c *)0;
                    flick_cdr_encode_unsigned8(12, _local_s2->q.c, CORBA_boolean );
                    flick_cdr_encode_signed32(16, _local_s2->q.d, CORBA_long );
                    flick_cdr_encode_signed16(20, _local_s2->z.a.a, CORBA_short );
                    flick_cdr_encode_float64(24, _local_s2->z.a.b, CORBA_double );
                    flick_cdr_encode_unsigned32(32, _t42_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array(_local_s2->s, 1 * _t42_temp_string_len);
                    flick_cdr_encode_unsigned8(36, (*_local_s3)->q.c, CORBA_boolean );
                    flick_cdr_encode_signed32(40, (*_local_s3)->q.d, CORBA_long );
                    flick_cdr_encode_signed16(44, (*_local_s3)->z.a.a, CORBA_short );
                    flick_cdr_encode_float64(48, (*_local_s3)->z.a.b, CORBA_double );
                    flick_cdr_encode_unsigned32(56, _t43_temp_string_len, flick_unsigned32_t );
                    flick_trapeze_server_encode_array((*_local_s3)->s, 1 * _t43_temp_string_len);
                    CORBA_flick_free(*_local_s3);
                    *_local_s3 = (struct c *)0;
                    flick_trapeze_encode_end_chunk(60);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort66);
                    break;
                    {
                    _flick_abort66:
                      goto _flick_abort59;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(80);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort59:
              goto _flick_abort58;
            }
          }
          break;
          {
          _flick_abort58:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t44_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t45_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort68);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t44_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t44_temp_string_len);
            _ev = (CORBA_Environment *)(&_t45_storage);
            _par = flick_interface_parents_test;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort68);
              flick_trapeze_encode_new_glob(12, _flick_abort68);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort75);
                    break;
                    {
                    _flick_abort75:
                      goto _flick_abort68;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort68:
              goto _flick_abort67;
            }
          }
          break;
          {
          _flick_abort67:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(120);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

