#include "recursive-server.h"

/* This is the runtime type information */
char *flick_interface_parents_obj[] = {
	"IDL:obj:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t obj_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t624_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t624_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t624_switch_tag)
      {
      case (unsigned int) 11:
        {
          unsigned int _t625_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t625_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t625_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t626_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t626_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t626_switch_tag)
                  {
                  case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                    {
                      unsigned short int _t627_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t627_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t627_switch_tag)
                        {
                        case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                          {
                            char _t628_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t628_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t628_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t629_principal_len;
                                    obj_my_obj _return;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t630_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2985);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t629_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_check_span(_t629_principal_len, _flick_abort2985);
                                    flick_iiop_decode_new_glob(_t629_principal_len);
                                    flick_iiop_decode_new_chunk(_t629_principal_len);
                                    flick_iiop_decode_end_chunk(_t629_principal_len);
                                    flick_iiop_decode_end_glob(_t629_principal_len);
                                    /* Begin decode phase on parameters */
                                    _ev = (CORBA_Environment *)(&_t630_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = obj_get_server(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2985);
                                      flick_iiop_encode_new_glob(4, _flick_abort2985);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_end_glob(4);
                                            flick_cdr_encode_IOR(iiop, _return, 0, _flick_abort2990);
                                            CORBA_object_flick_free(_return);
                                            _return = (void *)0;
                                            break;
                                            {
                                            _flick_abort2990:
                                              goto _flick_abort2985;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort2991);
                                            break;
                                            {
                                            _flick_abort2991:
                                              goto _flick_abort2985;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2992);
                                            flick_iiop_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort2992:
                                              goto _flick_abort2985;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort2985:
                                      goto _flick_abort2984;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort2984:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* set_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028767):
              {
                unsigned int _t631_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t631_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t631_switch_tag)
                  {
                  case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                    {
                      unsigned short int _t632_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t632_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t632_switch_tag)
                        {
                        case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                          {
                            char _t633_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t633_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t633_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t634_principal_len;
                                    obj_my_obj _local_srvr;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t635_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort2994);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t634_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_check_span(_t634_principal_len, _flick_abort2994);
                                    flick_iiop_decode_new_glob(_t634_principal_len);
                                    flick_iiop_decode_new_chunk(_t634_principal_len);
                                    flick_iiop_decode_end_chunk(_t634_principal_len);
                                    flick_iiop_decode_end_glob(_t634_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_cdr_swap_decode_IOR(iiop, _local_srvr, 1);
                                    flick_iiop_mark_port_for_cleanup(_local_srvr, 1);
                                    _ev = (CORBA_Environment *)(&_t635_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    obj_set_server(_obj, _local_srvr, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort2994);
                                      flick_iiop_encode_new_glob(4, _flick_abort2994);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort3000);
                                            break;
                                            {
                                            _flick_abort3000:
                                              goto _flick_abort2994;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3001);
                                            flick_iiop_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort3001:
                                              goto _flick_abort2994;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort2994:
                                      goto _flick_abort2993;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort2993:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t636_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t636_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t636_switch_tag)
            {
            case /* conv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668247158):
              {
                unsigned int _t637_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t637_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t637_switch_tag)
                  {
                  case /* ert */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701999616):
                    {
                      {
                        obj _obj;
                        unsigned int _t638_principal_len;
                        struct td *_return;
                        struct ta *_local_a1;
                        struct ta _t639_storage;
                        flick_unsigned32_t _t640_temp_string_len;
                        CORBA_unsigned_long _t641_array_iter;
                        CORBA_unsigned_long _t642_array_iter;
                        CORBA_unsigned_long _t643_array_iter;
                        flick_unsigned32_t _t644_temp_string_len;
                        CORBA_unsigned_long _t645_array_iter;
                        CORBA_unsigned_long _t646_array_iter;
                        struct tb *_local_b1;
                        struct tb _t647_storage;
                        CORBA_unsigned_long _t648_array_iter;
                        CORBA_unsigned_long _t652_array_iter;
                        CORBA_unsigned_long _t655_array_iter;
                        tc *_local_c1;
                        tc _t656_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t657_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort3003);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t638_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(24);
                        flick_iiop_check_span(_t638_principal_len, _flick_abort3003);
                        flick_iiop_decode_new_glob(_t638_principal_len);
                        flick_iiop_decode_new_chunk(_t638_principal_len);
                        flick_iiop_decode_end_chunk(_t638_principal_len);
                        flick_iiop_decode_end_glob(_t638_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a1 = (struct ta *)(&_t639_storage);
                        flick_iiop_decode_new_glob(27);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort3003);
                        flick_cdr_swap_decode_signed32(0, _local_a1->a.a, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_new_chunk_align(16, 3, 2, 0);
                        flick_iiop_check_span(16, _flick_abort3003);
                        flick_cdr_swap_decode_float64(0, _local_a1->a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(8, _local_a1->a.c, CORBA_short );
                        flick_cdr_swap_decode_char8(10, _local_a1->b.a, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(12, _t640_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(16);
                        flick_iiop_decode_end_glob(27);
                        flick_iiop_decode_new_glob(1 * _t640_temp_string_len);
                        flick_iiop_check_span(1 * _t640_temp_string_len, _flick_abort3003);
                        flick_iiop_decode_new_chunk(1 * _t640_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t640_temp_string_len * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3003);
                          _local_a1->b.b = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_a1->b.b, 1 * _t640_temp_string_len);
                        flick_iiop_decode_end_chunk(1 * _t640_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t640_temp_string_len);
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort3006);
                        flick_cdr_swap_decode_unsigned32(0, _local_a1->b.c._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        {
                          struct ta_tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_local_a1->b.c._length * sizeof(struct ta_tc )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3006);
                          _local_a1->b.c._buffer = _t_alloc_ptr;
                          _local_a1->b.c._maximum = _local_a1->b.c._length;
                          _local_a1->b.c._release = 1;
                        }
                        for (_t641_array_iter = 0; _t641_array_iter < _local_a1->b.c._length; _t641_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout_swap(_stream, _local_a1->b.c._buffer + _t641_array_iter))
                              goto _flick_abort3011;
                            continue;
                            {
                            _flick_abort3011:
                              goto _flick_abort3010;
                            }
                          }
                        flick_iiop_decode_new_glob(28);
                        flick_iiop_check_span(4, _flick_abort3010);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_a1->c.a.a, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
                        flick_iiop_check_span(20, _flick_abort3010);
                        flick_cdr_swap_decode_float64(0, _local_a1->c.a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(8, _local_a1->c.a.c, CORBA_short );
                        flick_cdr_swap_decode_char8(10, _local_a1->c.b.a, CORBA_char );
                        flick_cdr_swap_decode_char8(11, _local_a1->c.b.b, CORBA_char );
                        flick_cdr_swap_decode_char8(12, _local_a1->c.b.c, CORBA_char );
                        flick_cdr_swap_decode_char8(13, _local_a1->c.b.d, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(16, _local_a1->c.b.e._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(20);
                        flick_iiop_decode_end_glob(28);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_local_a1->c.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3010);
                          _local_a1->c.b.e._buffer = _t_alloc_ptr;
                          _local_a1->c.b.e._maximum = _local_a1->c.b.e._length;
                          _local_a1->c.b.e._release = 1;
                        }
                        for (_t642_array_iter = 0; _t642_array_iter < _local_a1->c.b.e._length; _t642_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout_swap(_stream, _local_a1->c.b.e._buffer + _t642_array_iter))
                              goto _flick_abort3017;
                            continue;
                            {
                            _flick_abort3017:
                              goto _flick_abort3016;
                            }
                          }
                        flick_iiop_decode_new_glob(4);
                        flick_iiop_check_span(4, _flick_abort3016);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _local_a1->next._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(4);
                        {
                          struct ta *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta *)(CORBA_flick_alloc(_local_a1->next._length * sizeof(struct ta )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3016);
                          _local_a1->next._buffer = _t_alloc_ptr;
                          _local_a1->next._maximum = _local_a1->next._length;
                          _local_a1->next._release = 1;
                        }
                        for (_t643_array_iter = 0; _t643_array_iter < _local_a1->next._length; _t643_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_recursive_idl_server_inout_swap(_stream, _local_a1->next._buffer + _t643_array_iter))
                              goto _flick_abort3023;
                            continue;
                            {
                            _flick_abort3023:
                              goto _flick_abort3022;
                            }
                          }
                        flick_iiop_decode_new_glob(24);
                        flick_iiop_check_span(24, _flick_abort3022);
                        flick_iiop_decode_new_chunk(24);
                        flick_cdr_swap_decode_signed32(0, _local_a1->d.a, CORBA_long );
                        flick_cdr_swap_decode_float64(8, _local_a1->d.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(16, _local_a1->d.c, CORBA_short );
                        flick_cdr_swap_decode_char8(18, _local_a1->e.a, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(20, _t644_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(24);
                        flick_iiop_decode_end_glob(24);
                        flick_iiop_decode_new_glob(1 * _t644_temp_string_len);
                        flick_iiop_check_span(1 * _t644_temp_string_len, _flick_abort3022);
                        flick_iiop_decode_new_chunk(1 * _t644_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t644_temp_string_len * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3022);
                          _local_a1->e.b = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_a1->e.b, 1 * _t644_temp_string_len);
                        flick_iiop_decode_end_chunk(1 * _t644_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t644_temp_string_len);
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort3027);
                        flick_cdr_swap_decode_unsigned32(0, _local_a1->e.c._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        {
                          struct ta_tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_local_a1->e.c._length * sizeof(struct ta_tc )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3027);
                          _local_a1->e.c._buffer = _t_alloc_ptr;
                          _local_a1->e.c._maximum = _local_a1->e.c._length;
                          _local_a1->e.c._release = 1;
                        }
                        for (_t645_array_iter = 0; _t645_array_iter < _local_a1->e.c._length; _t645_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout_swap(_stream, _local_a1->e.c._buffer + _t645_array_iter))
                              goto _flick_abort3032;
                            continue;
                            {
                            _flick_abort3032:
                              goto _flick_abort3031;
                            }
                          }
                        flick_iiop_decode_new_glob(28);
                        flick_iiop_check_span(4, _flick_abort3031);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_a1->f.a.a, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
                        flick_iiop_check_span(20, _flick_abort3031);
                        flick_cdr_swap_decode_float64(0, _local_a1->f.a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(8, _local_a1->f.a.c, CORBA_short );
                        flick_cdr_swap_decode_char8(10, _local_a1->f.b.a, CORBA_char );
                        flick_cdr_swap_decode_char8(11, _local_a1->f.b.b, CORBA_char );
                        flick_cdr_swap_decode_char8(12, _local_a1->f.b.c, CORBA_char );
                        flick_cdr_swap_decode_char8(13, _local_a1->f.b.d, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(16, _local_a1->f.b.e._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(20);
                        flick_iiop_decode_end_glob(28);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_local_a1->f.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3031);
                          _local_a1->f.b.e._buffer = _t_alloc_ptr;
                          _local_a1->f.b.e._maximum = _local_a1->f.b.e._length;
                          _local_a1->f.b.e._release = 1;
                        }
                        for (_t646_array_iter = 0; _t646_array_iter < _local_a1->f.b.e._length; _t646_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout_swap(_stream, _local_a1->f.b.e._buffer + _t646_array_iter))
                              goto _flick_abort3038;
                            continue;
                            {
                            _flick_abort3038:
                              goto _flick_abort3037;
                            }
                          }
                        _local_b1 = (struct tb *)(&_t647_storage);
                        flick_iiop_decode_new_glob(40);
                        flick_iiop_check_span(40, _flick_abort3037);
                        flick_iiop_decode_new_chunk(40);
                        flick_cdr_swap_decode_signed32(0, _local_b1->a.a, CORBA_long );
                        flick_cdr_swap_decode_float64(4, _local_b1->a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(12, _local_b1->a.c, CORBA_short );
                        flick_cdr_swap_decode_signed32(16, _local_b1->b.a.a, CORBA_long );
                        flick_cdr_swap_decode_float64(20, _local_b1->b.a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(28, _local_b1->b.a.c, CORBA_short );
                        flick_cdr_swap_decode_char8(30, _local_b1->b.b.a, CORBA_char );
                        flick_cdr_swap_decode_char8(31, _local_b1->b.b.b, CORBA_char );
                        flick_cdr_swap_decode_char8(32, _local_b1->b.b.c, CORBA_char );
                        flick_cdr_swap_decode_char8(33, _local_b1->b.b.d, CORBA_char );
                        flick_cdr_swap_decode_unsigned32(36, _local_b1->b.b.e._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(40);
                        flick_iiop_decode_end_glob(40);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_b1->b.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3037);
                          _local_b1->b.b.e._buffer = _t_alloc_ptr;
                          _local_b1->b.b.e._maximum = _local_b1->b.b.e._length;
                          _local_b1->b.b.e._release = 1;
                        }
                        for (_t648_array_iter = 0; _t648_array_iter < _local_b1->b.b.e._length; _t648_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_recursive_idl_server_in_swap(_stream, _local_b1->b.b.e._buffer + _t648_array_iter))
                              goto _flick_abort3044;
                            continue;
                            {
                            _flick_abort3044:
                              goto _flick_abort3043;
                            }
                          }
                        flick_iiop_decode_new_glob(4);
                        flick_iiop_check_span(4, _flick_abort3043);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _local_b1->c._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(4);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_b1->c._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3043);
                          _local_b1->c._buffer = _t_alloc_ptr;
                          _local_b1->c._maximum = _local_b1->c._length;
                          _local_b1->c._release = 1;
                        }
                        for (_t652_array_iter = 0; _t652_array_iter < _local_b1->c._length; _t652_array_iter++)
                          {
                            CORBA_unsigned_long _t654_array_iter;

                            flick_iiop_decode_new_glob(28);
                            flick_iiop_check_span(4, _flick_abort3068);
                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_b1->c._buffer[_t652_array_iter].a.a, CORBA_long );
                            flick_iiop_decode_end_chunk(4);
                            flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
                            flick_iiop_check_span(20, _flick_abort3068);
                            flick_cdr_swap_decode_float64(0, _local_b1->c._buffer[_t652_array_iter].a.b, CORBA_double );
                            flick_cdr_swap_decode_signed16(8, _local_b1->c._buffer[_t652_array_iter].a.c, CORBA_short );
                            flick_cdr_swap_decode_char8(10, _local_b1->c._buffer[_t652_array_iter].b.a, CORBA_char );
                            flick_cdr_swap_decode_char8(11, _local_b1->c._buffer[_t652_array_iter].b.b, CORBA_char );
                            flick_cdr_swap_decode_char8(12, _local_b1->c._buffer[_t652_array_iter].b.c, CORBA_char );
                            flick_cdr_swap_decode_char8(13, _local_b1->c._buffer[_t652_array_iter].b.d, CORBA_char );
                            flick_cdr_swap_decode_unsigned32(16, _local_b1->c._buffer[_t652_array_iter].b.e._length, CORBA_unsigned_long );
                            flick_iiop_decode_end_chunk(20);
                            flick_iiop_decode_end_glob(28);
                            {
                              struct ta_td *_t_alloc_ptr;

                              _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_b1->c._buffer[_t652_array_iter].b.e._length * sizeof(struct ta_td )));
                              if (!_t_alloc_ptr)
                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3068);
                              _local_b1->c._buffer[_t652_array_iter].b.e._buffer = _t_alloc_ptr;
                              _local_b1->c._buffer[_t652_array_iter].b.e._maximum = _local_b1->c._buffer[_t652_array_iter].b.e._length;
                              _local_b1->c._buffer[_t652_array_iter].b.e._release = 1;
                            }
                            for (_t654_array_iter = 0; _t654_array_iter < _local_b1->c._buffer[_t652_array_iter].b.e._length; _t654_array_iter++)
                              {
                                if (flick_unmarshal_stub_ta_td_recursive_idl_server_in_swap(_stream, _local_b1->c._buffer[_t652_array_iter].b.e._buffer + _t654_array_iter))
                                  goto _flick_abort3080;
                                continue;
                                {
                                _flick_abort3080:
                                  goto _flick_abort3079;
                                }
                              }
                            continue;
                          _flick_abort_block3669:
                            {
                              _t652_array_iter = _local_b1->c._length;
                            _flick_abort3084:
                              _t652_array_iter--;
                            _flick_abort3079:
                              auto_flick_free(_local_b1->c._buffer[_t652_array_iter].b.e._buffer);
                            _flick_abort3068:
                              if ((unsigned int )_t652_array_iter > 0)
                                goto _flick_abort3084;
                              goto _flick_abort3067;
                            }
                          }
                        flick_iiop_decode_new_glob(4);
                        flick_iiop_check_span(4, _flick_abort3086);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _local_b1->d._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(4);
                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)(auto_flick_alloc(_local_b1->d._length * sizeof(struct tb )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3086);
                          _local_b1->d._buffer = _t_alloc_ptr;
                          _local_b1->d._maximum = _local_b1->d._length;
                          _local_b1->d._release = 1;
                        }
                        for (_t655_array_iter = 0; _t655_array_iter < _local_b1->d._length; _t655_array_iter++)
                          {
                            if (flick_unmarshal_stub_tb_recursive_idl_server_in_swap(_stream, _local_b1->d._buffer + _t655_array_iter))
                              goto _flick_abort3091;
                            continue;
                            {
                            _flick_abort3091:
                              goto _flick_abort3090;
                            }
                          }
                        _local_c1 = (tc *)(&_t656_storage);
                        _ev = (CORBA_Environment *)(&_t657_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = obj_convert(_obj, _local_a1, _local_b1, _local_c1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort3090);
                          flick_iiop_encode_new_glob(56, _flick_abort3090);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t809_temp_string_len;
                                CORBA_unsigned_long _t810_array_iter;
                                CORBA_unsigned_long _t811_array_iter;
                                CORBA_unsigned_long _t812_array_iter;
                                flick_unsigned32_t _t813_temp_string_len;
                                CORBA_unsigned_long _t814_array_iter;
                                CORBA_unsigned_long _t815_array_iter;

                                flick_cdr_stringlen(CORBA_char *, _local_a1->b.b, flick_unsigned32_t , _t809_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, _local_a1->e.b, flick_unsigned32_t , _t813_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return->_d, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                switch (_return->_d)
                                  {
                                  case 1:
                                    {
                                      flick_unsigned32_t _t773_temp_string_len;
                                      CORBA_unsigned_long _t774_array_iter;
                                      CORBA_unsigned_long _t775_array_iter;
                                      CORBA_unsigned_long _t776_array_iter;
                                      flick_unsigned32_t _t777_temp_string_len;
                                      CORBA_unsigned_long _t778_array_iter;
                                      CORBA_unsigned_long _t779_array_iter;

                                      flick_cdr_stringlen(CORBA_char *, _return->_u.one.b.b, flick_unsigned32_t , _t773_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _return->_u.one.e.b, flick_unsigned32_t , _t777_temp_string_len);

                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->_u.one.a.a, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return->_u.one.a.b, CORBA_double );
                                      flick_cdr_encode_signed16(8, _return->_u.one.a.c, CORBA_short );
                                      flick_cdr_encode_char8(10, _return->_u.one.b.a, CORBA_char );
                                      flick_cdr_encode_unsigned32(12, _t773_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(16);
                                      flick_iiop_encode_end_glob(56);
                                      flick_iiop_encode_new_glob(1 * _t773_temp_string_len, _flick_abort3720);
                                      flick_iiop_encode_new_chunk(1 * _t773_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->_u.one.b.b, 1 * _t773_temp_string_len);
                                      CORBA_flick_free(_return->_u.one.b.b);
                                      _return->_u.one.b.b = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t773_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t773_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort3720);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _return->_u.one.b.c._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      for (_t774_array_iter = 0; _t774_array_iter < _return->_u.one.b.c._length; _t774_array_iter++)
                                        {
                                          if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _return->_u.one.b.c._buffer + _t774_array_iter))
                                            goto _flick_abort3726;
                                          continue;
                                          {
                                          _flick_abort3726:
                                            goto _flick_abort3720;
                                          }
                                        }
                                      if (_return->_u.one.b.c._release)
                                        CORBA_flick_free(_return->_u.one.b.c._buffer);
                                      _return->_u.one.b.c._maximum = 0;
                                      _return->_u.one.b.c._release = 0;
                                      _return->_u.one.b.c._buffer = (struct ta_tc *)0;
                                      flick_iiop_encode_new_glob(28, _flick_abort3720);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->_u.one.c.a.a, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return->_u.one.c.a.b, CORBA_double );
                                      flick_cdr_encode_signed16(8, _return->_u.one.c.a.c, CORBA_short );
                                      flick_cdr_encode_char8(10, _return->_u.one.c.b.a, CORBA_char );
                                      flick_cdr_encode_char8(11, _return->_u.one.c.b.b, CORBA_char );
                                      flick_cdr_encode_char8(12, _return->_u.one.c.b.c, CORBA_char );
                                      flick_cdr_encode_char8(13, _return->_u.one.c.b.d, CORBA_char );
                                      flick_cdr_encode_unsigned32(16, _return->_u.one.c.b.e._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(20);
                                      flick_iiop_encode_end_glob(28);
                                      for (_t775_array_iter = 0; _t775_array_iter < _return->_u.one.c.b.e._length; _t775_array_iter++)
                                        {
                                          if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.one.c.b.e._buffer + _t775_array_iter))
                                            goto _flick_abort3731;
                                          continue;
                                          {
                                          _flick_abort3731:
                                            goto _flick_abort3720;
                                          }
                                        }
                                      if (_return->_u.one.c.b.e._release)
                                        CORBA_flick_free(_return->_u.one.c.b.e._buffer);
                                      _return->_u.one.c.b.e._maximum = 0;
                                      _return->_u.one.c.b.e._release = 0;
                                      _return->_u.one.c.b.e._buffer = (struct ta_td *)0;
                                      flick_iiop_encode_new_glob(4, _flick_abort3720);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_u.one.next._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(4);
                                      for (_t776_array_iter = 0; _t776_array_iter < _return->_u.one.next._length; _t776_array_iter++)
                                        {
                                          if (flick_marshal_stub_ta_recursive_idl_server_return(_stream, _return->_u.one.next._buffer + _t776_array_iter))
                                            goto _flick_abort3736;
                                          continue;
                                          {
                                          _flick_abort3736:
                                            goto _flick_abort3720;
                                          }
                                        }
                                      if (_return->_u.one.next._release)
                                        CORBA_flick_free(_return->_u.one.next._buffer);
                                      _return->_u.one.next._maximum = 0;
                                      _return->_u.one.next._release = 0;
                                      _return->_u.one.next._buffer = (struct ta *)0;
                                      flick_iiop_encode_new_glob(24, _flick_abort3720);
                                      flick_iiop_encode_new_chunk(24);
                                      flick_cdr_encode_signed32(0, _return->_u.one.d.a, CORBA_long );
                                      flick_cdr_encode_float64(8, _return->_u.one.d.b, CORBA_double );
                                      flick_cdr_encode_signed16(16, _return->_u.one.d.c, CORBA_short );
                                      flick_cdr_encode_char8(18, _return->_u.one.e.a, CORBA_char );
                                      flick_cdr_encode_unsigned32(20, _t777_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(24);
                                      flick_iiop_encode_end_glob(24);
                                      flick_iiop_encode_new_glob(1 * _t777_temp_string_len, _flick_abort3720);
                                      flick_iiop_encode_new_chunk(1 * _t777_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->_u.one.e.b, 1 * _t777_temp_string_len);
                                      CORBA_flick_free(_return->_u.one.e.b);
                                      _return->_u.one.e.b = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t777_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t777_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort3720);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _return->_u.one.e.c._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      for (_t778_array_iter = 0; _t778_array_iter < _return->_u.one.e.c._length; _t778_array_iter++)
                                        {
                                          if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _return->_u.one.e.c._buffer + _t778_array_iter))
                                            goto _flick_abort3743;
                                          continue;
                                          {
                                          _flick_abort3743:
                                            goto _flick_abort3720;
                                          }
                                        }
                                      if (_return->_u.one.e.c._release)
                                        CORBA_flick_free(_return->_u.one.e.c._buffer);
                                      _return->_u.one.e.c._maximum = 0;
                                      _return->_u.one.e.c._release = 0;
                                      _return->_u.one.e.c._buffer = (struct ta_tc *)0;
                                      flick_iiop_encode_new_glob(28, _flick_abort3720);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->_u.one.f.a.a, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return->_u.one.f.a.b, CORBA_double );
                                      flick_cdr_encode_signed16(8, _return->_u.one.f.a.c, CORBA_short );
                                      flick_cdr_encode_char8(10, _return->_u.one.f.b.a, CORBA_char );
                                      flick_cdr_encode_char8(11, _return->_u.one.f.b.b, CORBA_char );
                                      flick_cdr_encode_char8(12, _return->_u.one.f.b.c, CORBA_char );
                                      flick_cdr_encode_char8(13, _return->_u.one.f.b.d, CORBA_char );
                                      flick_cdr_encode_unsigned32(16, _return->_u.one.f.b.e._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(20);
                                      flick_iiop_encode_end_glob(28);
                                      for (_t779_array_iter = 0; _t779_array_iter < _return->_u.one.f.b.e._length; _t779_array_iter++)
                                        {
                                          if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.one.f.b.e._buffer + _t779_array_iter))
                                            goto _flick_abort3748;
                                          continue;
                                          {
                                          _flick_abort3748:
                                            goto _flick_abort3720;
                                          }
                                        }
                                      if (_return->_u.one.f.b.e._release)
                                        CORBA_flick_free(_return->_u.one.f.b.e._buffer);
                                      _return->_u.one.f.b.e._maximum = 0;
                                      _return->_u.one.f.b.e._release = 0;
                                      _return->_u.one.f.b.e._buffer = (struct ta_td *)0;
                                      break;
                                      {
                                      _flick_abort3720:
                                        goto _flick_abort3521;
                                      }
                                    }
                                  case 2:
                                    {
                                      CORBA_unsigned_long _t780_array_iter;
                                      CORBA_unsigned_long _t784_array_iter;
                                      CORBA_unsigned_long _t787_array_iter;

                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->_u.two.a.a, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_new_chunk_align(36, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return->_u.two.a.b, CORBA_double );
                                      flick_cdr_encode_signed16(8, _return->_u.two.a.c, CORBA_short );
                                      flick_cdr_encode_signed32(12, _return->_u.two.b.a.a, CORBA_long );
                                      flick_cdr_encode_float64(16, _return->_u.two.b.a.b, CORBA_double );
                                      flick_cdr_encode_signed16(24, _return->_u.two.b.a.c, CORBA_short );
                                      flick_cdr_encode_char8(26, _return->_u.two.b.b.a, CORBA_char );
                                      flick_cdr_encode_char8(27, _return->_u.two.b.b.b, CORBA_char );
                                      flick_cdr_encode_char8(28, _return->_u.two.b.b.c, CORBA_char );
                                      flick_cdr_encode_char8(29, _return->_u.two.b.b.d, CORBA_char );
                                      flick_cdr_encode_unsigned32(32, _return->_u.two.b.b.e._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(36);
                                      flick_iiop_encode_end_glob(56);
                                      for (_t780_array_iter = 0; _t780_array_iter < _return->_u.two.b.b.e._length; _t780_array_iter++)
                                        {
                                          if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.two.b.b.e._buffer + _t780_array_iter))
                                            goto _flick_abort3754;
                                          continue;
                                          {
                                          _flick_abort3754:
                                            goto _flick_abort3750;
                                          }
                                        }
                                      if (_return->_u.two.b.b.e._release)
                                        CORBA_flick_free(_return->_u.two.b.b.e._buffer);
                                      _return->_u.two.b.b.e._maximum = 0;
                                      _return->_u.two.b.b.e._release = 0;
                                      _return->_u.two.b.b.e._buffer = (struct ta_td *)0;
                                      flick_iiop_encode_new_glob(4, _flick_abort3750);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_u.two.c._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(4);
                                      for (_t784_array_iter = 0; _t784_array_iter < _return->_u.two.c._length; _t784_array_iter++)
                                        {
                                          CORBA_unsigned_long _t786_array_iter;

                                          flick_iiop_encode_new_glob(28, _flick_abort3774);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return->_u.two.c._buffer[_t784_array_iter].a.a, CORBA_long );
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
                                          flick_cdr_encode_float64(0, _return->_u.two.c._buffer[_t784_array_iter].a.b, CORBA_double );
                                          flick_cdr_encode_signed16(8, _return->_u.two.c._buffer[_t784_array_iter].a.c, CORBA_short );
                                          flick_cdr_encode_char8(10, _return->_u.two.c._buffer[_t784_array_iter].b.a, CORBA_char );
                                          flick_cdr_encode_char8(11, _return->_u.two.c._buffer[_t784_array_iter].b.b, CORBA_char );
                                          flick_cdr_encode_char8(12, _return->_u.two.c._buffer[_t784_array_iter].b.c, CORBA_char );
                                          flick_cdr_encode_char8(13, _return->_u.two.c._buffer[_t784_array_iter].b.d, CORBA_char );
                                          flick_cdr_encode_unsigned32(16, _return->_u.two.c._buffer[_t784_array_iter].b.e._length, CORBA_unsigned_long );
                                          flick_iiop_encode_end_chunk(20);
                                          flick_iiop_encode_end_glob(28);
                                          for (_t786_array_iter = 0; _t786_array_iter < _return->_u.two.c._buffer[_t784_array_iter].b.e._length; _t786_array_iter++)
                                            {
                                              if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.two.c._buffer[_t784_array_iter].b.e._buffer + _t786_array_iter))
                                                goto _flick_abort3784;
                                              continue;
                                              {
                                              _flick_abort3784:
                                                goto _flick_abort3774;
                                              }
                                            }
                                          if (_return->_u.two.c._buffer[_t784_array_iter].b.e._release)
                                            CORBA_flick_free(_return->_u.two.c._buffer[_t784_array_iter].b.e._buffer);
                                          _return->_u.two.c._buffer[_t784_array_iter].b.e._maximum = 0;
                                          _return->_u.two.c._buffer[_t784_array_iter].b.e._release = 0;
                                          _return->_u.two.c._buffer[_t784_array_iter].b.e._buffer = (struct ta_td *)0;
                                          continue;
                                          {
                                          _flick_abort3774:
                                            goto _flick_abort3750;
                                          }
                                        }
                                      if (_return->_u.two.c._release)
                                        CORBA_flick_free(_return->_u.two.c._buffer);
                                      _return->_u.two.c._maximum = 0;
                                      _return->_u.two.c._release = 0;
                                      _return->_u.two.c._buffer = (struct ta_td *)0;
                                      flick_iiop_encode_new_glob(4, _flick_abort3750);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_u.two.d._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(4);
                                      for (_t787_array_iter = 0; _t787_array_iter < _return->_u.two.d._length; _t787_array_iter++)
                                        {
                                          if (flick_marshal_stub_tb_recursive_idl_server_return(_stream, _return->_u.two.d._buffer + _t787_array_iter))
                                            goto _flick_abort3789;
                                          continue;
                                          {
                                          _flick_abort3789:
                                            goto _flick_abort3750;
                                          }
                                        }
                                      if (_return->_u.two.d._release)
                                        CORBA_flick_free(_return->_u.two.d._buffer);
                                      _return->_u.two.d._maximum = 0;
                                      _return->_u.two.d._release = 0;
                                      _return->_u.two.d._buffer = (struct tb *)0;
                                      break;
                                      {
                                      _flick_abort3750:
                                        goto _flick_abort3521;
                                      }
                                    }
                                  case 3:
                                    {
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_u.three._d, CORBA_enum );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_return->_u.three._d)
                                        {
                                        case 0:
                                          {
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return->_u.three._u.x, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(56);
                                            break;
                                          }
                                        case 1:
                                          {
                                            flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                            flick_cdr_encode_float64(0, _return->_u.three._u.y, CORBA_double );
                                            flick_iiop_encode_end_chunk(8);
                                            flick_iiop_encode_end_glob(56);
                                            break;
                                          }
                                        case 2:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_unsigned8(0, _return->_u.three._u.z, CORBA_boolean );
                                            flick_iiop_encode_end_chunk(1);
                                            flick_iiop_encode_end_glob(56);
                                            break;
                                          }
                                        case 3:
                                          {
                                            CORBA_unsigned_long _t798_array_iter;
                                            CORBA_unsigned_long _t802_array_iter;
                                            CORBA_unsigned_long _t805_array_iter;

                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return->_u.three._u.s.a.a, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_new_chunk_align(36, 3, 2, 0);
                                            flick_cdr_encode_float64(0, _return->_u.three._u.s.a.b, CORBA_double );
                                            flick_cdr_encode_signed16(8, _return->_u.three._u.s.a.c, CORBA_short );
                                            flick_cdr_encode_signed32(12, _return->_u.three._u.s.b.a.a, CORBA_long );
                                            flick_cdr_encode_float64(16, _return->_u.three._u.s.b.a.b, CORBA_double );
                                            flick_cdr_encode_signed16(24, _return->_u.three._u.s.b.a.c, CORBA_short );
                                            flick_cdr_encode_char8(26, _return->_u.three._u.s.b.b.a, CORBA_char );
                                            flick_cdr_encode_char8(27, _return->_u.three._u.s.b.b.b, CORBA_char );
                                            flick_cdr_encode_char8(28, _return->_u.three._u.s.b.b.c, CORBA_char );
                                            flick_cdr_encode_char8(29, _return->_u.three._u.s.b.b.d, CORBA_char );
                                            flick_cdr_encode_unsigned32(32, _return->_u.three._u.s.b.b.e._length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(36);
                                            flick_iiop_encode_end_glob(56);
                                            for (_t798_array_iter = 0; _t798_array_iter < _return->_u.three._u.s.b.b.e._length; _t798_array_iter++)
                                              {
                                                if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.three._u.s.b.b.e._buffer + _t798_array_iter))
                                                  goto _flick_abort3859;
                                                continue;
                                                {
                                                _flick_abort3859:
                                                  goto _flick_abort3855;
                                                }
                                              }
                                            if (_return->_u.three._u.s.b.b.e._release)
                                              CORBA_flick_free(_return->_u.three._u.s.b.b.e._buffer);
                                            _return->_u.three._u.s.b.b.e._maximum = 0;
                                            _return->_u.three._u.s.b.b.e._release = 0;
                                            _return->_u.three._u.s.b.b.e._buffer = (struct ta_td *)0;
                                            flick_iiop_encode_new_glob(4, _flick_abort3855);
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _return->_u.three._u.s.c._length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(4);
                                            for (_t802_array_iter = 0; _t802_array_iter < _return->_u.three._u.s.c._length; _t802_array_iter++)
                                              {
                                                CORBA_unsigned_long _t804_array_iter;

                                                flick_iiop_encode_new_glob(28, _flick_abort3879);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return->_u.three._u.s.c._buffer[_t802_array_iter].a.a, CORBA_long );
                                                flick_iiop_encode_end_chunk(4);
                                                flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
                                                flick_cdr_encode_float64(0, _return->_u.three._u.s.c._buffer[_t802_array_iter].a.b, CORBA_double );
                                                flick_cdr_encode_signed16(8, _return->_u.three._u.s.c._buffer[_t802_array_iter].a.c, CORBA_short );
                                                flick_cdr_encode_char8(10, _return->_u.three._u.s.c._buffer[_t802_array_iter].b.a, CORBA_char );
                                                flick_cdr_encode_char8(11, _return->_u.three._u.s.c._buffer[_t802_array_iter].b.b, CORBA_char );
                                                flick_cdr_encode_char8(12, _return->_u.three._u.s.c._buffer[_t802_array_iter].b.c, CORBA_char );
                                                flick_cdr_encode_char8(13, _return->_u.three._u.s.c._buffer[_t802_array_iter].b.d, CORBA_char );
                                                flick_cdr_encode_unsigned32(16, _return->_u.three._u.s.c._buffer[_t802_array_iter].b.e._length, CORBA_unsigned_long );
                                                flick_iiop_encode_end_chunk(20);
                                                flick_iiop_encode_end_glob(28);
                                                for (_t804_array_iter = 0; _t804_array_iter < _return->_u.three._u.s.c._buffer[_t802_array_iter].b.e._length; _t804_array_iter++)
                                                  {
                                                    if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.three._u.s.c._buffer[_t802_array_iter].b.e._buffer + _t804_array_iter))
                                                      goto _flick_abort3889;
                                                    continue;
                                                    {
                                                    _flick_abort3889:
                                                      goto _flick_abort3879;
                                                    }
                                                  }
                                                if (_return->_u.three._u.s.c._buffer[_t802_array_iter].b.e._release)
                                                  CORBA_flick_free(_return->_u.three._u.s.c._buffer[_t802_array_iter].b.e._buffer);
                                                _return->_u.three._u.s.c._buffer[_t802_array_iter].b.e._maximum = 0;
                                                _return->_u.three._u.s.c._buffer[_t802_array_iter].b.e._release = 0;
                                                _return->_u.three._u.s.c._buffer[_t802_array_iter].b.e._buffer = (struct ta_td *)0;
                                                continue;
                                                {
                                                _flick_abort3879:
                                                  goto _flick_abort3855;
                                                }
                                              }
                                            if (_return->_u.three._u.s.c._release)
                                              CORBA_flick_free(_return->_u.three._u.s.c._buffer);
                                            _return->_u.three._u.s.c._maximum = 0;
                                            _return->_u.three._u.s.c._release = 0;
                                            _return->_u.three._u.s.c._buffer = (struct ta_td *)0;
                                            flick_iiop_encode_new_glob(4, _flick_abort3855);
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _return->_u.three._u.s.d._length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(4);
                                            for (_t805_array_iter = 0; _t805_array_iter < _return->_u.three._u.s.d._length; _t805_array_iter++)
                                              {
                                                if (flick_marshal_stub_tb_recursive_idl_server_return(_stream, _return->_u.three._u.s.d._buffer + _t805_array_iter))
                                                  goto _flick_abort3894;
                                                continue;
                                                {
                                                _flick_abort3894:
                                                  goto _flick_abort3855;
                                                }
                                              }
                                            if (_return->_u.three._u.s.d._release)
                                              CORBA_flick_free(_return->_u.three._u.s.d._buffer);
                                            _return->_u.three._u.s.d._maximum = 0;
                                            _return->_u.three._u.s.d._release = 0;
                                            _return->_u.three._u.s.d._buffer = (struct tb *)0;
                                            break;
                                            {
                                            _flick_abort3855:
                                              goto _flick_abort3791;
                                            }
                                          }
                                        case 4:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_unsigned8(0, _return->_u.three._u.u._d, CORBA_boolean );
                                            flick_iiop_encode_end_chunk(1);
                                            switch (_return->_u.three._u.u._d)
                                              {
                                              case 1:
                                                {
                                                  CORBA_unsigned_long _t807_array_iter;

                                                  flick_iiop_encode_new_chunk(7);
                                                  flick_cdr_encode_unsigned32(3, _return->_u.three._u.u._u.next._length, CORBA_unsigned_long );
                                                  flick_iiop_encode_end_chunk(7);
                                                  flick_iiop_encode_end_glob(56);
                                                  if (_return->_u.three._u.u._u.next._length > 1)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3904);
                                                  for (_t807_array_iter = 0; _t807_array_iter < _return->_u.three._u.u._u.next._length; _t807_array_iter++)
                                                    {
                                                      if (flick_marshal_stub_td_recursive_idl_server_return(_stream, _return->_u.three._u.u._u.next._buffer + _t807_array_iter))
                                                        goto _flick_abort3907;
                                                      continue;
                                                      {
                                                      _flick_abort3907:
                                                        goto _flick_abort3904;
                                                      }
                                                    }
                                                  if (_return->_u.three._u.u._u.next._release)
                                                    CORBA_flick_free(_return->_u.three._u.u._u.next._buffer);
                                                  _return->_u.three._u.u._u.next._maximum = 0;
                                                  _return->_u.three._u.u._u.next._release = 0;
                                                  _return->_u.three._u.u._u.next._buffer = (struct td *)0;
                                                  break;
                                                  {
                                                  _flick_abort3904:
                                                    goto _flick_abort3896;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_iiop_encode_end_glob(56);
                                                  break;
                                                }
                                              }
                                            break;
                                            {
                                            _flick_abort3896:
                                              goto _flick_abort3791;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiop_encode_end_glob(56);
                                            break;
                                          }
                                        }
                                      break;
                                      {
                                      _flick_abort3791:
                                        goto _flick_abort3521;
                                      }
                                    }
                                  default:
                                    {
                                      CORBA_unsigned_long _t808_array_iter;

                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_u.again._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(56);
                                      for (_t808_array_iter = 0; _t808_array_iter < _return->_u.again._length; _t808_array_iter++)
                                        {
                                          if (flick_marshal_stub_td_recursive_idl_server_return(_stream, _return->_u.again._buffer + _t808_array_iter))
                                            goto _flick_abort3915;
                                          continue;
                                          {
                                          _flick_abort3915:
                                            goto _flick_abort3911;
                                          }
                                        }
                                      if (_return->_u.again._release)
                                        CORBA_flick_free(_return->_u.again._buffer);
                                      _return->_u.again._maximum = 0;
                                      _return->_u.again._release = 0;
                                      _return->_u.again._buffer = (struct td *)0;
                                      break;
                                      {
                                      _flick_abort3911:
                                        goto _flick_abort3521;
                                      }
                                    }
                                  }
                                CORBA_flick_free(_return);
                                _return = (struct td *)0;
                                flick_iiop_encode_new_glob(27, _flick_abort3521);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_a1->a.a, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
                                flick_cdr_encode_float64(0, _local_a1->a.b, CORBA_double );
                                flick_cdr_encode_signed16(8, _local_a1->a.c, CORBA_short );
                                flick_cdr_encode_char8(10, _local_a1->b.a, CORBA_char );
                                flick_cdr_encode_unsigned32(12, _t809_temp_string_len, flick_unsigned32_t );
                                flick_iiop_encode_end_chunk(16);
                                flick_iiop_encode_end_glob(27);
                                flick_iiop_encode_new_glob(1 * _t809_temp_string_len, _flick_abort3521);
                                flick_iiop_encode_new_chunk(1 * _t809_temp_string_len);
                                flick_cdr_encode_bcopy(0, _local_a1->b.b, 1 * _t809_temp_string_len);
                                CORBA_flick_free(_local_a1->b.b);
                                _local_a1->b.b = (CORBA_char *)0;
                                flick_iiop_encode_end_chunk(1 * _t809_temp_string_len);
                                flick_iiop_encode_end_glob(1 * _t809_temp_string_len);
                                flick_iiop_encode_new_glob(7, _flick_abort3521);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _local_a1->b.c._length, CORBA_unsigned_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                for (_t810_array_iter = 0; _t810_array_iter < _local_a1->b.c._length; _t810_array_iter++)
                                  {
                                    if (flick_marshal_stub_ta_tc_recursive_idl_server_inout(_stream, _local_a1->b.c._buffer + _t810_array_iter))
                                      goto _flick_abort3922;
                                    continue;
                                    {
                                    _flick_abort3922:
                                      goto _flick_abort3521;
                                    }
                                  }
                                if (_local_a1->b.c._release)
                                  CORBA_flick_free(_local_a1->b.c._buffer);
                                _local_a1->b.c._maximum = 0;
                                _local_a1->b.c._release = 0;
                                _local_a1->b.c._buffer = (struct ta_tc *)0;
                                flick_iiop_encode_new_glob(28, _flick_abort3521);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _local_a1->c.a.a, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
                                flick_cdr_encode_float64(0, _local_a1->c.a.b, CORBA_double );
                                flick_cdr_encode_signed16(8, _local_a1->c.a.c, CORBA_short );
                                flick_cdr_encode_char8(10, _local_a1->c.b.a, CORBA_char );
                                flick_cdr_encode_char8(11, _local_a1->c.b.b, CORBA_char );
                                flick_cdr_encode_char8(12, _local_a1->c.b.c, CORBA_char );
                                flick_cdr_encode_char8(13, _local_a1->c.b.d, CORBA_char );
                                flick_cdr_encode_unsigned32(16, _local_a1->c.b.e._length, CORBA_unsigned_long );
                                flick_iiop_encode_end_chunk(20);
                                flick_iiop_encode_end_glob(28);
                                for (_t811_array_iter = 0; _t811_array_iter < _local_a1->c.b.e._length; _t811_array_iter++)
                                  {
                                    if (flick_marshal_stub_ta_td_recursive_idl_server_inout(_stream, _local_a1->c.b.e._buffer + _t811_array_iter))
                                      goto _flick_abort3927;
                                    continue;
                                    {
                                    _flick_abort3927:
                                      goto _flick_abort3521;
                                    }
                                  }
                                if (_local_a1->c.b.e._release)
                                  CORBA_flick_free(_local_a1->c.b.e._buffer);
                                _local_a1->c.b.e._maximum = 0;
                                _local_a1->c.b.e._release = 0;
                                _local_a1->c.b.e._buffer = (struct ta_td *)0;
                                flick_iiop_encode_new_glob(4, _flick_abort3521);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _local_a1->next._length, CORBA_unsigned_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(4);
                                for (_t812_array_iter = 0; _t812_array_iter < _local_a1->next._length; _t812_array_iter++)
                                  {
                                    if (flick_marshal_stub_ta_recursive_idl_server_inout(_stream, _local_a1->next._buffer + _t812_array_iter))
                                      goto _flick_abort3932;
                                    continue;
                                    {
                                    _flick_abort3932:
                                      goto _flick_abort3521;
                                    }
                                  }
                                if (_local_a1->next._release)
                                  CORBA_flick_free(_local_a1->next._buffer);
                                _local_a1->next._maximum = 0;
                                _local_a1->next._release = 0;
                                _local_a1->next._buffer = (struct ta *)0;
                                flick_iiop_encode_new_glob(24, _flick_abort3521);
                                flick_iiop_encode_new_chunk(24);
                                flick_cdr_encode_signed32(0, _local_a1->d.a, CORBA_long );
                                flick_cdr_encode_float64(8, _local_a1->d.b, CORBA_double );
                                flick_cdr_encode_signed16(16, _local_a1->d.c, CORBA_short );
                                flick_cdr_encode_char8(18, _local_a1->e.a, CORBA_char );
                                flick_cdr_encode_unsigned32(20, _t813_temp_string_len, flick_unsigned32_t );
                                flick_iiop_encode_end_chunk(24);
                                flick_iiop_encode_end_glob(24);
                                flick_iiop_encode_new_glob(1 * _t813_temp_string_len, _flick_abort3521);
                                flick_iiop_encode_new_chunk(1 * _t813_temp_string_len);
                                flick_cdr_encode_bcopy(0, _local_a1->e.b, 1 * _t813_temp_string_len);
                                CORBA_flick_free(_local_a1->e.b);
                                _local_a1->e.b = (CORBA_char *)0;
                                flick_iiop_encode_end_chunk(1 * _t813_temp_string_len);
                                flick_iiop_encode_end_glob(1 * _t813_temp_string_len);
                                flick_iiop_encode_new_glob(7, _flick_abort3521);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _local_a1->e.c._length, CORBA_unsigned_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                for (_t814_array_iter = 0; _t814_array_iter < _local_a1->e.c._length; _t814_array_iter++)
                                  {
                                    if (flick_marshal_stub_ta_tc_recursive_idl_server_inout(_stream, _local_a1->e.c._buffer + _t814_array_iter))
                                      goto _flick_abort3939;
                                    continue;
                                    {
                                    _flick_abort3939:
                                      goto _flick_abort3521;
                                    }
                                  }
                                if (_local_a1->e.c._release)
                                  CORBA_flick_free(_local_a1->e.c._buffer);
                                _local_a1->e.c._maximum = 0;
                                _local_a1->e.c._release = 0;
                                _local_a1->e.c._buffer = (struct ta_tc *)0;
                                flick_iiop_encode_new_glob(28, _flick_abort3521);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _local_a1->f.a.a, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
                                flick_cdr_encode_float64(0, _local_a1->f.a.b, CORBA_double );
                                flick_cdr_encode_signed16(8, _local_a1->f.a.c, CORBA_short );
                                flick_cdr_encode_char8(10, _local_a1->f.b.a, CORBA_char );
                                flick_cdr_encode_char8(11, _local_a1->f.b.b, CORBA_char );
                                flick_cdr_encode_char8(12, _local_a1->f.b.c, CORBA_char );
                                flick_cdr_encode_char8(13, _local_a1->f.b.d, CORBA_char );
                                flick_cdr_encode_unsigned32(16, _local_a1->f.b.e._length, CORBA_unsigned_long );
                                flick_iiop_encode_end_chunk(20);
                                flick_iiop_encode_end_glob(28);
                                for (_t815_array_iter = 0; _t815_array_iter < _local_a1->f.b.e._length; _t815_array_iter++)
                                  {
                                    if (flick_marshal_stub_ta_td_recursive_idl_server_inout(_stream, _local_a1->f.b.e._buffer + _t815_array_iter))
                                      goto _flick_abort3944;
                                    continue;
                                    {
                                    _flick_abort3944:
                                      goto _flick_abort3521;
                                    }
                                  }
                                if (_local_a1->f.b.e._release)
                                  CORBA_flick_free(_local_a1->f.b.e._buffer);
                                _local_a1->f.b.e._maximum = 0;
                                _local_a1->f.b.e._release = 0;
                                _local_a1->f.b.e._buffer = (struct ta_td *)0;
                                flick_iiop_encode_new_glob(4, _flick_abort3521);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, *_local_c1, CORBA_enum );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort3521:
                                  goto _flick_abort3090;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(56);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort3946);
                                break;
                                {
                                _flick_abort3946:
                                  goto _flick_abort3090;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3947);
                                flick_iiop_encode_end_glob(56);
                                break;
                                {
                                _flick_abort3947:
                                  goto _flick_abort3090;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort3090:
                          auto_flick_free(_local_b1->d._buffer);
                        _flick_abort3086:
                          goto _flick_abort_block3669;
                        _flick_abort3067:
                          auto_flick_free(_local_b1->c._buffer);
                        _flick_abort3043:
                          auto_flick_free(_local_b1->b.b.e._buffer);
                        _flick_abort3037:
                          CORBA_flick_free(_local_a1->f.b.e._buffer);
                        _flick_abort3031:
                          CORBA_flick_free(_local_a1->e.c._buffer);
                        _flick_abort3027:
                          CORBA_flick_free(_local_a1->e.b);
                        _flick_abort3022:
                          CORBA_flick_free(_local_a1->next._buffer);
                        _flick_abort3016:
                          CORBA_flick_free(_local_a1->c.b.e._buffer);
                        _flick_abort3010:
                          CORBA_flick_free(_local_a1->b.c._buffer);
                        _flick_abort3006:
                          CORBA_flick_free(_local_a1->b.b);
                        _flick_abort3003:
                          goto _flick_abort3002;
                        }
                      }
                      break;
                      {
                      _flick_abort3002:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t816_switch_tag;

          flick_iiop_check_span(20, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t816_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t816_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t817_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t817_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t817_switch_tag)
                  {
                  case /* _my_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601010015):
                    {
                      unsigned int _t818_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t818_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t818_switch_tag)
                        {
                        case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                          {
                            char _t819_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t819_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t819_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t820_principal_len;
                                    CORBA_long _return;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t821_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort3949);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(7);
                                    flick_cdr_swap_decode_unsigned32(3, _t820_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(7);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_check_span(_t820_principal_len, _flick_abort3949);
                                    flick_iiop_decode_new_glob(_t820_principal_len);
                                    flick_iiop_decode_new_chunk(_t820_principal_len);
                                    flick_iiop_decode_end_chunk(_t820_principal_len);
                                    flick_iiop_decode_end_glob(_t820_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _ev = (CORBA_Environment *)(&_t821_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = obj__get_my_attr(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort3949);
                                      flick_iiop_encode_new_glob(8, _flick_abort3949);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(8);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort3955);
                                            break;
                                            {
                                            _flick_abort3955:
                                              goto _flick_abort3949;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3956);
                                            flick_iiop_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort3956:
                                              goto _flick_abort3949;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort3949:
                                      goto _flick_abort3948;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort3948:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t822_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t822_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t822_switch_tag)
                  {
                  case /* _my_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601010015):
                    {
                      unsigned int _t823_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t823_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t823_switch_tag)
                        {
                        case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                          {
                            char _t824_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t824_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t824_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t825_principal_len;
                                    CORBA_long _local_my_attr;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t826_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort3958);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(7);
                                    flick_cdr_swap_decode_unsigned32(3, _t825_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(7);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_check_span(_t825_principal_len, _flick_abort3958);
                                    flick_iiop_decode_new_glob(_t825_principal_len);
                                    flick_iiop_decode_new_chunk(_t825_principal_len);
                                    flick_iiop_decode_end_chunk(_t825_principal_len);
                                    flick_iiop_decode_end_glob(_t825_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort3958);
                                    flick_cdr_swap_decode_signed32(0, _local_my_attr, CORBA_long );
                                    _ev = (CORBA_Environment *)(&_t826_storage);
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    obj__set_my_attr(_obj, _local_my_attr, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort3958);
                                      flick_iiop_encode_new_glob(4, _flick_abort3958);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort3964);
                                            break;
                                            {
                                            _flick_abort3964:
                                              goto _flick_abort3958;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3965);
                                            flick_iiop_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort3965:
                                              goto _flick_abort3958;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort3958:
                                      goto _flick_abort3957;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort3957:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t827_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t827_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t827_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t828_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t828_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t828_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t829_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t830_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t831_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort3967);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t829_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(24);
                        flick_iiop_check_span(_t829_principal_len, _flick_abort3967);
                        flick_iiop_decode_new_glob(_t829_principal_len);
                        flick_iiop_decode_new_chunk(_t829_principal_len);
                        flick_iiop_decode_end_chunk(_t829_principal_len);
                        flick_iiop_decode_end_glob(_t829_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort3967);
                        flick_cdr_swap_decode_unsigned32(0, _t830_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t830_temp_string_len);
                        flick_iiop_check_span(1 * _t830_temp_string_len, _flick_abort3967);
                        flick_iiop_decode_new_chunk(1 * _t830_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t830_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t830_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t831_storage);
                        _par = flick_interface_parents_obj;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort3967);
                          flick_iiop_encode_new_glob(5, _flick_abort3967);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort3975);
                                break;
                                {
                                _flick_abort3975:
                                  goto _flick_abort3967;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort3976);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort3976:
                                  goto _flick_abort3967;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort3967:
                          goto _flick_abort3966;
                        }
                      }
                      break;
                      {
                      _flick_abort3966:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t208_switch_tag;

    flick_iiop_decode_new_glob(24);
    flick_iiop_check_span(16, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t208_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t208_switch_tag)
      {
      case (unsigned int) 11:
        {
          unsigned int _t209_switch_tag;

          flick_iiop_check_span(16, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t209_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t209_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t210_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t210_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t210_switch_tag)
                  {
                  case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                    {
                      unsigned short int _t211_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t211_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t211_switch_tag)
                        {
                        case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                          {
                            char _t212_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t212_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t212_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t213_principal_len;
                                    obj_my_obj _return;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t214_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort998);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t213_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_check_span(_t213_principal_len, _flick_abort998);
                                    flick_iiop_decode_new_glob(_t213_principal_len);
                                    flick_iiop_decode_new_chunk(_t213_principal_len);
                                    flick_iiop_decode_end_chunk(_t213_principal_len);
                                    flick_iiop_decode_end_glob(_t213_principal_len);
                                    /* Begin decode phase on parameters */
                                    _ev = (CORBA_Environment *)(&_t214_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = obj_get_server(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort998);
                                      flick_iiop_encode_new_glob(4, _flick_abort998);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_end_glob(4);
                                            flick_cdr_encode_IOR(iiop, _return, 0, _flick_abort1003);
                                            CORBA_object_flick_free(_return);
                                            _return = (void *)0;
                                            break;
                                            {
                                            _flick_abort1003:
                                              goto _flick_abort998;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1004);
                                            break;
                                            {
                                            _flick_abort1004:
                                              goto _flick_abort998;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1005);
                                            flick_iiop_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort1005:
                                              goto _flick_abort998;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort998:
                                      goto _flick_abort997;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort997:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* set_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028767):
              {
                unsigned int _t215_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t215_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t215_switch_tag)
                  {
                  case /* serv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936028278):
                    {
                      unsigned short int _t216_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t216_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t216_switch_tag)
                        {
                        case /* er */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25970):
                          {
                            char _t217_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t217_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t217_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t218_principal_len;
                                    obj_my_obj _local_srvr;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t219_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1007);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t218_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_check_span(_t218_principal_len, _flick_abort1007);
                                    flick_iiop_decode_new_glob(_t218_principal_len);
                                    flick_iiop_decode_new_chunk(_t218_principal_len);
                                    flick_iiop_decode_end_chunk(_t218_principal_len);
                                    flick_iiop_decode_end_glob(_t218_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_cdr_decode_IOR(iiop, _local_srvr, 1);
                                    flick_iiop_mark_port_for_cleanup(_local_srvr, 1);
                                    _ev = (CORBA_Environment *)(&_t219_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    obj_set_server(_obj, _local_srvr, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1007);
                                      flick_iiop_encode_new_glob(4, _flick_abort1007);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1013);
                                            break;
                                            {
                                            _flick_abort1013:
                                              goto _flick_abort1007;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1014);
                                            flick_iiop_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort1014:
                                              goto _flick_abort1007;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1007:
                                      goto _flick_abort1006;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1006:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t220_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t220_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t220_switch_tag)
            {
            case /* conv */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668247158):
              {
                unsigned int _t221_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t221_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t221_switch_tag)
                  {
                  case /* ert */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701999616):
                    {
                      {
                        obj _obj;
                        unsigned int _t222_principal_len;
                        struct td *_return;
                        struct ta *_local_a1;
                        struct ta _t223_storage;
                        flick_unsigned32_t _t224_temp_string_len;
                        CORBA_unsigned_long _t225_array_iter;
                        CORBA_unsigned_long _t226_array_iter;
                        CORBA_unsigned_long _t227_array_iter;
                        flick_unsigned32_t _t228_temp_string_len;
                        CORBA_unsigned_long _t229_array_iter;
                        CORBA_unsigned_long _t230_array_iter;
                        struct tb *_local_b1;
                        struct tb _t231_storage;
                        CORBA_unsigned_long _t232_array_iter;
                        CORBA_unsigned_long _t236_array_iter;
                        CORBA_unsigned_long _t239_array_iter;
                        tc *_local_c1;
                        tc _t240_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t241_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1016);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t222_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(24);
                        flick_iiop_check_span(_t222_principal_len, _flick_abort1016);
                        flick_iiop_decode_new_glob(_t222_principal_len);
                        flick_iiop_decode_new_chunk(_t222_principal_len);
                        flick_iiop_decode_end_chunk(_t222_principal_len);
                        flick_iiop_decode_end_glob(_t222_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a1 = (struct ta *)(&_t223_storage);
                        flick_iiop_decode_new_glob(27);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort1016);
                        flick_cdr_decode_signed32(0, _local_a1->a.a, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_new_chunk_align(16, 3, 2, 0);
                        flick_iiop_check_span(16, _flick_abort1016);
                        flick_cdr_decode_float64(0, _local_a1->a.b, CORBA_double );
                        flick_cdr_decode_signed16(8, _local_a1->a.c, CORBA_short );
                        flick_cdr_decode_char8(10, _local_a1->b.a, CORBA_char );
                        flick_cdr_decode_unsigned32(12, _t224_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(16);
                        flick_iiop_decode_end_glob(27);
                        flick_iiop_decode_new_glob(1 * _t224_temp_string_len);
                        flick_iiop_check_span(1 * _t224_temp_string_len, _flick_abort1016);
                        flick_iiop_decode_new_chunk(1 * _t224_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t224_temp_string_len * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1016);
                          _local_a1->b.b = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_a1->b.b, 1 * _t224_temp_string_len);
                        flick_iiop_decode_end_chunk(1 * _t224_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t224_temp_string_len);
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort1019);
                        flick_cdr_decode_unsigned32(0, _local_a1->b.c._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        {
                          struct ta_tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_local_a1->b.c._length * sizeof(struct ta_tc )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1019);
                          _local_a1->b.c._buffer = _t_alloc_ptr;
                          _local_a1->b.c._maximum = _local_a1->b.c._length;
                          _local_a1->b.c._release = 1;
                        }
                        for (_t225_array_iter = 0; _t225_array_iter < _local_a1->b.c._length; _t225_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout(_stream, _local_a1->b.c._buffer + _t225_array_iter))
                              goto _flick_abort1024;
                            continue;
                            {
                            _flick_abort1024:
                              goto _flick_abort1023;
                            }
                          }
                        flick_iiop_decode_new_glob(28);
                        flick_iiop_check_span(4, _flick_abort1023);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_a1->c.a.a, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
                        flick_iiop_check_span(20, _flick_abort1023);
                        flick_cdr_decode_float64(0, _local_a1->c.a.b, CORBA_double );
                        flick_cdr_decode_signed16(8, _local_a1->c.a.c, CORBA_short );
                        flick_cdr_decode_char8(10, _local_a1->c.b.a, CORBA_char );
                        flick_cdr_decode_char8(11, _local_a1->c.b.b, CORBA_char );
                        flick_cdr_decode_char8(12, _local_a1->c.b.c, CORBA_char );
                        flick_cdr_decode_char8(13, _local_a1->c.b.d, CORBA_char );
                        flick_cdr_decode_unsigned32(16, _local_a1->c.b.e._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(20);
                        flick_iiop_decode_end_glob(28);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_local_a1->c.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1023);
                          _local_a1->c.b.e._buffer = _t_alloc_ptr;
                          _local_a1->c.b.e._maximum = _local_a1->c.b.e._length;
                          _local_a1->c.b.e._release = 1;
                        }
                        for (_t226_array_iter = 0; _t226_array_iter < _local_a1->c.b.e._length; _t226_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout(_stream, _local_a1->c.b.e._buffer + _t226_array_iter))
                              goto _flick_abort1030;
                            continue;
                            {
                            _flick_abort1030:
                              goto _flick_abort1029;
                            }
                          }
                        flick_iiop_decode_new_glob(4);
                        flick_iiop_check_span(4, _flick_abort1029);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _local_a1->next._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(4);
                        {
                          struct ta *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta *)(CORBA_flick_alloc(_local_a1->next._length * sizeof(struct ta )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1029);
                          _local_a1->next._buffer = _t_alloc_ptr;
                          _local_a1->next._maximum = _local_a1->next._length;
                          _local_a1->next._release = 1;
                        }
                        for (_t227_array_iter = 0; _t227_array_iter < _local_a1->next._length; _t227_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_recursive_idl_server_inout(_stream, _local_a1->next._buffer + _t227_array_iter))
                              goto _flick_abort1036;
                            continue;
                            {
                            _flick_abort1036:
                              goto _flick_abort1035;
                            }
                          }
                        flick_iiop_decode_new_glob(24);
                        flick_iiop_check_span(24, _flick_abort1035);
                        flick_iiop_decode_new_chunk(24);
                        flick_cdr_decode_signed32(0, _local_a1->d.a, CORBA_long );
                        flick_cdr_decode_float64(8, _local_a1->d.b, CORBA_double );
                        flick_cdr_decode_signed16(16, _local_a1->d.c, CORBA_short );
                        flick_cdr_decode_char8(18, _local_a1->e.a, CORBA_char );
                        flick_cdr_decode_unsigned32(20, _t228_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(24);
                        flick_iiop_decode_end_glob(24);
                        flick_iiop_decode_new_glob(1 * _t228_temp_string_len);
                        flick_iiop_check_span(1 * _t228_temp_string_len, _flick_abort1035);
                        flick_iiop_decode_new_chunk(1 * _t228_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t228_temp_string_len * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1035);
                          _local_a1->e.b = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_a1->e.b, 1 * _t228_temp_string_len);
                        flick_iiop_decode_end_chunk(1 * _t228_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t228_temp_string_len);
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort1040);
                        flick_cdr_decode_unsigned32(0, _local_a1->e.c._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        {
                          struct ta_tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_local_a1->e.c._length * sizeof(struct ta_tc )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1040);
                          _local_a1->e.c._buffer = _t_alloc_ptr;
                          _local_a1->e.c._maximum = _local_a1->e.c._length;
                          _local_a1->e.c._release = 1;
                        }
                        for (_t229_array_iter = 0; _t229_array_iter < _local_a1->e.c._length; _t229_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout(_stream, _local_a1->e.c._buffer + _t229_array_iter))
                              goto _flick_abort1045;
                            continue;
                            {
                            _flick_abort1045:
                              goto _flick_abort1044;
                            }
                          }
                        flick_iiop_decode_new_glob(28);
                        flick_iiop_check_span(4, _flick_abort1044);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_a1->f.a.a, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
                        flick_iiop_check_span(20, _flick_abort1044);
                        flick_cdr_decode_float64(0, _local_a1->f.a.b, CORBA_double );
                        flick_cdr_decode_signed16(8, _local_a1->f.a.c, CORBA_short );
                        flick_cdr_decode_char8(10, _local_a1->f.b.a, CORBA_char );
                        flick_cdr_decode_char8(11, _local_a1->f.b.b, CORBA_char );
                        flick_cdr_decode_char8(12, _local_a1->f.b.c, CORBA_char );
                        flick_cdr_decode_char8(13, _local_a1->f.b.d, CORBA_char );
                        flick_cdr_decode_unsigned32(16, _local_a1->f.b.e._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(20);
                        flick_iiop_decode_end_glob(28);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_local_a1->f.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1044);
                          _local_a1->f.b.e._buffer = _t_alloc_ptr;
                          _local_a1->f.b.e._maximum = _local_a1->f.b.e._length;
                          _local_a1->f.b.e._release = 1;
                        }
                        for (_t230_array_iter = 0; _t230_array_iter < _local_a1->f.b.e._length; _t230_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout(_stream, _local_a1->f.b.e._buffer + _t230_array_iter))
                              goto _flick_abort1051;
                            continue;
                            {
                            _flick_abort1051:
                              goto _flick_abort1050;
                            }
                          }
                        _local_b1 = (struct tb *)(&_t231_storage);
                        flick_iiop_decode_new_glob(40);
                        flick_iiop_check_span(40, _flick_abort1050);
                        flick_iiop_decode_new_chunk(40);
                        flick_cdr_decode_signed32(0, _local_b1->a.a, CORBA_long );
                        flick_cdr_decode_float64(4, _local_b1->a.b, CORBA_double );
                        flick_cdr_decode_signed16(12, _local_b1->a.c, CORBA_short );
                        flick_cdr_decode_signed32(16, _local_b1->b.a.a, CORBA_long );
                        flick_cdr_decode_float64(20, _local_b1->b.a.b, CORBA_double );
                        flick_cdr_decode_signed16(28, _local_b1->b.a.c, CORBA_short );
                        flick_cdr_decode_char8(30, _local_b1->b.b.a, CORBA_char );
                        flick_cdr_decode_char8(31, _local_b1->b.b.b, CORBA_char );
                        flick_cdr_decode_char8(32, _local_b1->b.b.c, CORBA_char );
                        flick_cdr_decode_char8(33, _local_b1->b.b.d, CORBA_char );
                        flick_cdr_decode_unsigned32(36, _local_b1->b.b.e._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(40);
                        flick_iiop_decode_end_glob(40);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_b1->b.b.e._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1050);
                          _local_b1->b.b.e._buffer = _t_alloc_ptr;
                          _local_b1->b.b.e._maximum = _local_b1->b.b.e._length;
                          _local_b1->b.b.e._release = 1;
                        }
                        for (_t232_array_iter = 0; _t232_array_iter < _local_b1->b.b.e._length; _t232_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_recursive_idl_server_in(_stream, _local_b1->b.b.e._buffer + _t232_array_iter))
                              goto _flick_abort1057;
                            continue;
                            {
                            _flick_abort1057:
                              goto _flick_abort1056;
                            }
                          }
                        flick_iiop_decode_new_glob(4);
                        flick_iiop_check_span(4, _flick_abort1056);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _local_b1->c._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(4);
                        {
                          struct ta_td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_b1->c._length * sizeof(struct ta_td )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1056);
                          _local_b1->c._buffer = _t_alloc_ptr;
                          _local_b1->c._maximum = _local_b1->c._length;
                          _local_b1->c._release = 1;
                        }
                        for (_t236_array_iter = 0; _t236_array_iter < _local_b1->c._length; _t236_array_iter++)
                          {
                            CORBA_unsigned_long _t238_array_iter;

                            flick_iiop_decode_new_glob(28);
                            flick_iiop_check_span(4, _flick_abort1081);
                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_signed32(0, _local_b1->c._buffer[_t236_array_iter].a.a, CORBA_long );
                            flick_iiop_decode_end_chunk(4);
                            flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
                            flick_iiop_check_span(20, _flick_abort1081);
                            flick_cdr_decode_float64(0, _local_b1->c._buffer[_t236_array_iter].a.b, CORBA_double );
                            flick_cdr_decode_signed16(8, _local_b1->c._buffer[_t236_array_iter].a.c, CORBA_short );
                            flick_cdr_decode_char8(10, _local_b1->c._buffer[_t236_array_iter].b.a, CORBA_char );
                            flick_cdr_decode_char8(11, _local_b1->c._buffer[_t236_array_iter].b.b, CORBA_char );
                            flick_cdr_decode_char8(12, _local_b1->c._buffer[_t236_array_iter].b.c, CORBA_char );
                            flick_cdr_decode_char8(13, _local_b1->c._buffer[_t236_array_iter].b.d, CORBA_char );
                            flick_cdr_decode_unsigned32(16, _local_b1->c._buffer[_t236_array_iter].b.e._length, CORBA_unsigned_long );
                            flick_iiop_decode_end_chunk(20);
                            flick_iiop_decode_end_glob(28);
                            {
                              struct ta_td *_t_alloc_ptr;

                              _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_local_b1->c._buffer[_t236_array_iter].b.e._length * sizeof(struct ta_td )));
                              if (!_t_alloc_ptr)
                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1081);
                              _local_b1->c._buffer[_t236_array_iter].b.e._buffer = _t_alloc_ptr;
                              _local_b1->c._buffer[_t236_array_iter].b.e._maximum = _local_b1->c._buffer[_t236_array_iter].b.e._length;
                              _local_b1->c._buffer[_t236_array_iter].b.e._release = 1;
                            }
                            for (_t238_array_iter = 0; _t238_array_iter < _local_b1->c._buffer[_t236_array_iter].b.e._length; _t238_array_iter++)
                              {
                                if (flick_unmarshal_stub_ta_td_recursive_idl_server_in(_stream, _local_b1->c._buffer[_t236_array_iter].b.e._buffer + _t238_array_iter))
                                  goto _flick_abort1093;
                                continue;
                                {
                                _flick_abort1093:
                                  goto _flick_abort1092;
                                }
                              }
                            continue;
                          _flick_abort_block1292:
                            {
                              _t236_array_iter = _local_b1->c._length;
                            _flick_abort1097:
                              _t236_array_iter--;
                            _flick_abort1092:
                              auto_flick_free(_local_b1->c._buffer[_t236_array_iter].b.e._buffer);
                            _flick_abort1081:
                              if ((unsigned int )_t236_array_iter > 0)
                                goto _flick_abort1097;
                              goto _flick_abort1080;
                            }
                          }
                        flick_iiop_decode_new_glob(4);
                        flick_iiop_check_span(4, _flick_abort1099);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _local_b1->d._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(4);
                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)(auto_flick_alloc(_local_b1->d._length * sizeof(struct tb )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1099);
                          _local_b1->d._buffer = _t_alloc_ptr;
                          _local_b1->d._maximum = _local_b1->d._length;
                          _local_b1->d._release = 1;
                        }
                        for (_t239_array_iter = 0; _t239_array_iter < _local_b1->d._length; _t239_array_iter++)
                          {
                            if (flick_unmarshal_stub_tb_recursive_idl_server_in(_stream, _local_b1->d._buffer + _t239_array_iter))
                              goto _flick_abort1104;
                            continue;
                            {
                            _flick_abort1104:
                              goto _flick_abort1103;
                            }
                          }
                        _local_c1 = (tc *)(&_t240_storage);
                        _ev = (CORBA_Environment *)(&_t241_storage);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = obj_convert(_obj, _local_a1, _local_b1, _local_c1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1103);
                          flick_iiop_encode_new_glob(56, _flick_abort1103);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t393_temp_string_len;
                                CORBA_unsigned_long _t394_array_iter;
                                CORBA_unsigned_long _t395_array_iter;
                                CORBA_unsigned_long _t396_array_iter;
                                flick_unsigned32_t _t397_temp_string_len;
                                CORBA_unsigned_long _t398_array_iter;
                                CORBA_unsigned_long _t399_array_iter;

                                flick_cdr_stringlen(CORBA_char *, _local_a1->b.b, flick_unsigned32_t , _t393_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, _local_a1->e.b, flick_unsigned32_t , _t397_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return->_d, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                switch (_return->_d)
                                  {
                                  case 1:
                                    {
                                      flick_unsigned32_t _t357_temp_string_len;
                                      CORBA_unsigned_long _t358_array_iter;
                                      CORBA_unsigned_long _t359_array_iter;
                                      CORBA_unsigned_long _t360_array_iter;
                                      flick_unsigned32_t _t361_temp_string_len;
                                      CORBA_unsigned_long _t362_array_iter;
                                      CORBA_unsigned_long _t363_array_iter;

                                      flick_cdr_stringlen(CORBA_char *, _return->_u.one.b.b, flick_unsigned32_t , _t357_temp_string_len);
                                      flick_cdr_stringlen(CORBA_char *, _return->_u.one.e.b, flick_unsigned32_t , _t361_temp_string_len);

                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->_u.one.a.a, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return->_u.one.a.b, CORBA_double );
                                      flick_cdr_encode_signed16(8, _return->_u.one.a.c, CORBA_short );
                                      flick_cdr_encode_char8(10, _return->_u.one.b.a, CORBA_char );
                                      flick_cdr_encode_unsigned32(12, _t357_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(16);
                                      flick_iiop_encode_end_glob(56);
                                      flick_iiop_encode_new_glob(1 * _t357_temp_string_len, _flick_abort1733);
                                      flick_iiop_encode_new_chunk(1 * _t357_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->_u.one.b.b, 1 * _t357_temp_string_len);
                                      CORBA_flick_free(_return->_u.one.b.b);
                                      _return->_u.one.b.b = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t357_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t357_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort1733);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _return->_u.one.b.c._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      for (_t358_array_iter = 0; _t358_array_iter < _return->_u.one.b.c._length; _t358_array_iter++)
                                        {
                                          if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _return->_u.one.b.c._buffer + _t358_array_iter))
                                            goto _flick_abort1739;
                                          continue;
                                          {
                                          _flick_abort1739:
                                            goto _flick_abort1733;
                                          }
                                        }
                                      if (_return->_u.one.b.c._release)
                                        CORBA_flick_free(_return->_u.one.b.c._buffer);
                                      _return->_u.one.b.c._maximum = 0;
                                      _return->_u.one.b.c._release = 0;
                                      _return->_u.one.b.c._buffer = (struct ta_tc *)0;
                                      flick_iiop_encode_new_glob(28, _flick_abort1733);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->_u.one.c.a.a, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return->_u.one.c.a.b, CORBA_double );
                                      flick_cdr_encode_signed16(8, _return->_u.one.c.a.c, CORBA_short );
                                      flick_cdr_encode_char8(10, _return->_u.one.c.b.a, CORBA_char );
                                      flick_cdr_encode_char8(11, _return->_u.one.c.b.b, CORBA_char );
                                      flick_cdr_encode_char8(12, _return->_u.one.c.b.c, CORBA_char );
                                      flick_cdr_encode_char8(13, _return->_u.one.c.b.d, CORBA_char );
                                      flick_cdr_encode_unsigned32(16, _return->_u.one.c.b.e._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(20);
                                      flick_iiop_encode_end_glob(28);
                                      for (_t359_array_iter = 0; _t359_array_iter < _return->_u.one.c.b.e._length; _t359_array_iter++)
                                        {
                                          if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.one.c.b.e._buffer + _t359_array_iter))
                                            goto _flick_abort1744;
                                          continue;
                                          {
                                          _flick_abort1744:
                                            goto _flick_abort1733;
                                          }
                                        }
                                      if (_return->_u.one.c.b.e._release)
                                        CORBA_flick_free(_return->_u.one.c.b.e._buffer);
                                      _return->_u.one.c.b.e._maximum = 0;
                                      _return->_u.one.c.b.e._release = 0;
                                      _return->_u.one.c.b.e._buffer = (struct ta_td *)0;
                                      flick_iiop_encode_new_glob(4, _flick_abort1733);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_u.one.next._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(4);
                                      for (_t360_array_iter = 0; _t360_array_iter < _return->_u.one.next._length; _t360_array_iter++)
                                        {
                                          if (flick_marshal_stub_ta_recursive_idl_server_return(_stream, _return->_u.one.next._buffer + _t360_array_iter))
                                            goto _flick_abort1749;
                                          continue;
                                          {
                                          _flick_abort1749:
                                            goto _flick_abort1733;
                                          }
                                        }
                                      if (_return->_u.one.next._release)
                                        CORBA_flick_free(_return->_u.one.next._buffer);
                                      _return->_u.one.next._maximum = 0;
                                      _return->_u.one.next._release = 0;
                                      _return->_u.one.next._buffer = (struct ta *)0;
                                      flick_iiop_encode_new_glob(24, _flick_abort1733);
                                      flick_iiop_encode_new_chunk(24);
                                      flick_cdr_encode_signed32(0, _return->_u.one.d.a, CORBA_long );
                                      flick_cdr_encode_float64(8, _return->_u.one.d.b, CORBA_double );
                                      flick_cdr_encode_signed16(16, _return->_u.one.d.c, CORBA_short );
                                      flick_cdr_encode_char8(18, _return->_u.one.e.a, CORBA_char );
                                      flick_cdr_encode_unsigned32(20, _t361_temp_string_len, flick_unsigned32_t );
                                      flick_iiop_encode_end_chunk(24);
                                      flick_iiop_encode_end_glob(24);
                                      flick_iiop_encode_new_glob(1 * _t361_temp_string_len, _flick_abort1733);
                                      flick_iiop_encode_new_chunk(1 * _t361_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->_u.one.e.b, 1 * _t361_temp_string_len);
                                      CORBA_flick_free(_return->_u.one.e.b);
                                      _return->_u.one.e.b = (CORBA_char *)0;
                                      flick_iiop_encode_end_chunk(1 * _t361_temp_string_len);
                                      flick_iiop_encode_end_glob(1 * _t361_temp_string_len);
                                      flick_iiop_encode_new_glob(7, _flick_abort1733);
                                      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _return->_u.one.e.c._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(7);
                                      for (_t362_array_iter = 0; _t362_array_iter < _return->_u.one.e.c._length; _t362_array_iter++)
                                        {
                                          if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _return->_u.one.e.c._buffer + _t362_array_iter))
                                            goto _flick_abort1756;
                                          continue;
                                          {
                                          _flick_abort1756:
                                            goto _flick_abort1733;
                                          }
                                        }
                                      if (_return->_u.one.e.c._release)
                                        CORBA_flick_free(_return->_u.one.e.c._buffer);
                                      _return->_u.one.e.c._maximum = 0;
                                      _return->_u.one.e.c._release = 0;
                                      _return->_u.one.e.c._buffer = (struct ta_tc *)0;
                                      flick_iiop_encode_new_glob(28, _flick_abort1733);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->_u.one.f.a.a, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return->_u.one.f.a.b, CORBA_double );
                                      flick_cdr_encode_signed16(8, _return->_u.one.f.a.c, CORBA_short );
                                      flick_cdr_encode_char8(10, _return->_u.one.f.b.a, CORBA_char );
                                      flick_cdr_encode_char8(11, _return->_u.one.f.b.b, CORBA_char );
                                      flick_cdr_encode_char8(12, _return->_u.one.f.b.c, CORBA_char );
                                      flick_cdr_encode_char8(13, _return->_u.one.f.b.d, CORBA_char );
                                      flick_cdr_encode_unsigned32(16, _return->_u.one.f.b.e._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(20);
                                      flick_iiop_encode_end_glob(28);
                                      for (_t363_array_iter = 0; _t363_array_iter < _return->_u.one.f.b.e._length; _t363_array_iter++)
                                        {
                                          if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.one.f.b.e._buffer + _t363_array_iter))
                                            goto _flick_abort1761;
                                          continue;
                                          {
                                          _flick_abort1761:
                                            goto _flick_abort1733;
                                          }
                                        }
                                      if (_return->_u.one.f.b.e._release)
                                        CORBA_flick_free(_return->_u.one.f.b.e._buffer);
                                      _return->_u.one.f.b.e._maximum = 0;
                                      _return->_u.one.f.b.e._release = 0;
                                      _return->_u.one.f.b.e._buffer = (struct ta_td *)0;
                                      break;
                                      {
                                      _flick_abort1733:
                                        goto _flick_abort1534;
                                      }
                                    }
                                  case 2:
                                    {
                                      CORBA_unsigned_long _t364_array_iter;
                                      CORBA_unsigned_long _t368_array_iter;
                                      CORBA_unsigned_long _t371_array_iter;

                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->_u.two.a.a, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_new_chunk_align(36, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return->_u.two.a.b, CORBA_double );
                                      flick_cdr_encode_signed16(8, _return->_u.two.a.c, CORBA_short );
                                      flick_cdr_encode_signed32(12, _return->_u.two.b.a.a, CORBA_long );
                                      flick_cdr_encode_float64(16, _return->_u.two.b.a.b, CORBA_double );
                                      flick_cdr_encode_signed16(24, _return->_u.two.b.a.c, CORBA_short );
                                      flick_cdr_encode_char8(26, _return->_u.two.b.b.a, CORBA_char );
                                      flick_cdr_encode_char8(27, _return->_u.two.b.b.b, CORBA_char );
                                      flick_cdr_encode_char8(28, _return->_u.two.b.b.c, CORBA_char );
                                      flick_cdr_encode_char8(29, _return->_u.two.b.b.d, CORBA_char );
                                      flick_cdr_encode_unsigned32(32, _return->_u.two.b.b.e._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(36);
                                      flick_iiop_encode_end_glob(56);
                                      for (_t364_array_iter = 0; _t364_array_iter < _return->_u.two.b.b.e._length; _t364_array_iter++)
                                        {
                                          if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.two.b.b.e._buffer + _t364_array_iter))
                                            goto _flick_abort1767;
                                          continue;
                                          {
                                          _flick_abort1767:
                                            goto _flick_abort1763;
                                          }
                                        }
                                      if (_return->_u.two.b.b.e._release)
                                        CORBA_flick_free(_return->_u.two.b.b.e._buffer);
                                      _return->_u.two.b.b.e._maximum = 0;
                                      _return->_u.two.b.b.e._release = 0;
                                      _return->_u.two.b.b.e._buffer = (struct ta_td *)0;
                                      flick_iiop_encode_new_glob(4, _flick_abort1763);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_u.two.c._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(4);
                                      for (_t368_array_iter = 0; _t368_array_iter < _return->_u.two.c._length; _t368_array_iter++)
                                        {
                                          CORBA_unsigned_long _t370_array_iter;

                                          flick_iiop_encode_new_glob(28, _flick_abort1787);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return->_u.two.c._buffer[_t368_array_iter].a.a, CORBA_long );
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
                                          flick_cdr_encode_float64(0, _return->_u.two.c._buffer[_t368_array_iter].a.b, CORBA_double );
                                          flick_cdr_encode_signed16(8, _return->_u.two.c._buffer[_t368_array_iter].a.c, CORBA_short );
                                          flick_cdr_encode_char8(10, _return->_u.two.c._buffer[_t368_array_iter].b.a, CORBA_char );
                                          flick_cdr_encode_char8(11, _return->_u.two.c._buffer[_t368_array_iter].b.b, CORBA_char );
                                          flick_cdr_encode_char8(12, _return->_u.two.c._buffer[_t368_array_iter].b.c, CORBA_char );
                                          flick_cdr_encode_char8(13, _return->_u.two.c._buffer[_t368_array_iter].b.d, CORBA_char );
                                          flick_cdr_encode_unsigned32(16, _return->_u.two.c._buffer[_t368_array_iter].b.e._length, CORBA_unsigned_long );
                                          flick_iiop_encode_end_chunk(20);
                                          flick_iiop_encode_end_glob(28);
                                          for (_t370_array_iter = 0; _t370_array_iter < _return->_u.two.c._buffer[_t368_array_iter].b.e._length; _t370_array_iter++)
                                            {
                                              if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.two.c._buffer[_t368_array_iter].b.e._buffer + _t370_array_iter))
                                                goto _flick_abort1797;
                                              continue;
                                              {
                                              _flick_abort1797:
                                                goto _flick_abort1787;
                                              }
                                            }
                                          if (_return->_u.two.c._buffer[_t368_array_iter].b.e._release)
                                            CORBA_flick_free(_return->_u.two.c._buffer[_t368_array_iter].b.e._buffer);
                                          _return->_u.two.c._buffer[_t368_array_iter].b.e._maximum = 0;
                                          _return->_u.two.c._buffer[_t368_array_iter].b.e._release = 0;
                                          _return->_u.two.c._buffer[_t368_array_iter].b.e._buffer = (struct ta_td *)0;
                                          continue;
                                          {
                                          _flick_abort1787:
                                            goto _flick_abort1763;
                                          }
                                        }
                                      if (_return->_u.two.c._release)
                                        CORBA_flick_free(_return->_u.two.c._buffer);
                                      _return->_u.two.c._maximum = 0;
                                      _return->_u.two.c._release = 0;
                                      _return->_u.two.c._buffer = (struct ta_td *)0;
                                      flick_iiop_encode_new_glob(4, _flick_abort1763);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_u.two.d._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(4);
                                      for (_t371_array_iter = 0; _t371_array_iter < _return->_u.two.d._length; _t371_array_iter++)
                                        {
                                          if (flick_marshal_stub_tb_recursive_idl_server_return(_stream, _return->_u.two.d._buffer + _t371_array_iter))
                                            goto _flick_abort1802;
                                          continue;
                                          {
                                          _flick_abort1802:
                                            goto _flick_abort1763;
                                          }
                                        }
                                      if (_return->_u.two.d._release)
                                        CORBA_flick_free(_return->_u.two.d._buffer);
                                      _return->_u.two.d._maximum = 0;
                                      _return->_u.two.d._release = 0;
                                      _return->_u.two.d._buffer = (struct tb *)0;
                                      break;
                                      {
                                      _flick_abort1763:
                                        goto _flick_abort1534;
                                      }
                                    }
                                  case 3:
                                    {
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_u.three._d, CORBA_enum );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_return->_u.three._d)
                                        {
                                        case 0:
                                          {
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return->_u.three._u.x, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(56);
                                            break;
                                          }
                                        case 1:
                                          {
                                            flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                            flick_cdr_encode_float64(0, _return->_u.three._u.y, CORBA_double );
                                            flick_iiop_encode_end_chunk(8);
                                            flick_iiop_encode_end_glob(56);
                                            break;
                                          }
                                        case 2:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_unsigned8(0, _return->_u.three._u.z, CORBA_boolean );
                                            flick_iiop_encode_end_chunk(1);
                                            flick_iiop_encode_end_glob(56);
                                            break;
                                          }
                                        case 3:
                                          {
                                            CORBA_unsigned_long _t382_array_iter;
                                            CORBA_unsigned_long _t386_array_iter;
                                            CORBA_unsigned_long _t389_array_iter;

                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return->_u.three._u.s.a.a, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_new_chunk_align(36, 3, 2, 0);
                                            flick_cdr_encode_float64(0, _return->_u.three._u.s.a.b, CORBA_double );
                                            flick_cdr_encode_signed16(8, _return->_u.three._u.s.a.c, CORBA_short );
                                            flick_cdr_encode_signed32(12, _return->_u.three._u.s.b.a.a, CORBA_long );
                                            flick_cdr_encode_float64(16, _return->_u.three._u.s.b.a.b, CORBA_double );
                                            flick_cdr_encode_signed16(24, _return->_u.three._u.s.b.a.c, CORBA_short );
                                            flick_cdr_encode_char8(26, _return->_u.three._u.s.b.b.a, CORBA_char );
                                            flick_cdr_encode_char8(27, _return->_u.three._u.s.b.b.b, CORBA_char );
                                            flick_cdr_encode_char8(28, _return->_u.three._u.s.b.b.c, CORBA_char );
                                            flick_cdr_encode_char8(29, _return->_u.three._u.s.b.b.d, CORBA_char );
                                            flick_cdr_encode_unsigned32(32, _return->_u.three._u.s.b.b.e._length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(36);
                                            flick_iiop_encode_end_glob(56);
                                            for (_t382_array_iter = 0; _t382_array_iter < _return->_u.three._u.s.b.b.e._length; _t382_array_iter++)
                                              {
                                                if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.three._u.s.b.b.e._buffer + _t382_array_iter))
                                                  goto _flick_abort1872;
                                                continue;
                                                {
                                                _flick_abort1872:
                                                  goto _flick_abort1868;
                                                }
                                              }
                                            if (_return->_u.three._u.s.b.b.e._release)
                                              CORBA_flick_free(_return->_u.three._u.s.b.b.e._buffer);
                                            _return->_u.three._u.s.b.b.e._maximum = 0;
                                            _return->_u.three._u.s.b.b.e._release = 0;
                                            _return->_u.three._u.s.b.b.e._buffer = (struct ta_td *)0;
                                            flick_iiop_encode_new_glob(4, _flick_abort1868);
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _return->_u.three._u.s.c._length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(4);
                                            for (_t386_array_iter = 0; _t386_array_iter < _return->_u.three._u.s.c._length; _t386_array_iter++)
                                              {
                                                CORBA_unsigned_long _t388_array_iter;

                                                flick_iiop_encode_new_glob(28, _flick_abort1892);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _return->_u.three._u.s.c._buffer[_t386_array_iter].a.a, CORBA_long );
                                                flick_iiop_encode_end_chunk(4);
                                                flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
                                                flick_cdr_encode_float64(0, _return->_u.three._u.s.c._buffer[_t386_array_iter].a.b, CORBA_double );
                                                flick_cdr_encode_signed16(8, _return->_u.three._u.s.c._buffer[_t386_array_iter].a.c, CORBA_short );
                                                flick_cdr_encode_char8(10, _return->_u.three._u.s.c._buffer[_t386_array_iter].b.a, CORBA_char );
                                                flick_cdr_encode_char8(11, _return->_u.three._u.s.c._buffer[_t386_array_iter].b.b, CORBA_char );
                                                flick_cdr_encode_char8(12, _return->_u.three._u.s.c._buffer[_t386_array_iter].b.c, CORBA_char );
                                                flick_cdr_encode_char8(13, _return->_u.three._u.s.c._buffer[_t386_array_iter].b.d, CORBA_char );
                                                flick_cdr_encode_unsigned32(16, _return->_u.three._u.s.c._buffer[_t386_array_iter].b.e._length, CORBA_unsigned_long );
                                                flick_iiop_encode_end_chunk(20);
                                                flick_iiop_encode_end_glob(28);
                                                for (_t388_array_iter = 0; _t388_array_iter < _return->_u.three._u.s.c._buffer[_t386_array_iter].b.e._length; _t388_array_iter++)
                                                  {
                                                    if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _return->_u.three._u.s.c._buffer[_t386_array_iter].b.e._buffer + _t388_array_iter))
                                                      goto _flick_abort1902;
                                                    continue;
                                                    {
                                                    _flick_abort1902:
                                                      goto _flick_abort1892;
                                                    }
                                                  }
                                                if (_return->_u.three._u.s.c._buffer[_t386_array_iter].b.e._release)
                                                  CORBA_flick_free(_return->_u.three._u.s.c._buffer[_t386_array_iter].b.e._buffer);
                                                _return->_u.three._u.s.c._buffer[_t386_array_iter].b.e._maximum = 0;
                                                _return->_u.three._u.s.c._buffer[_t386_array_iter].b.e._release = 0;
                                                _return->_u.three._u.s.c._buffer[_t386_array_iter].b.e._buffer = (struct ta_td *)0;
                                                continue;
                                                {
                                                _flick_abort1892:
                                                  goto _flick_abort1868;
                                                }
                                              }
                                            if (_return->_u.three._u.s.c._release)
                                              CORBA_flick_free(_return->_u.three._u.s.c._buffer);
                                            _return->_u.three._u.s.c._maximum = 0;
                                            _return->_u.three._u.s.c._release = 0;
                                            _return->_u.three._u.s.c._buffer = (struct ta_td *)0;
                                            flick_iiop_encode_new_glob(4, _flick_abort1868);
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _return->_u.three._u.s.d._length, CORBA_unsigned_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(4);
                                            for (_t389_array_iter = 0; _t389_array_iter < _return->_u.three._u.s.d._length; _t389_array_iter++)
                                              {
                                                if (flick_marshal_stub_tb_recursive_idl_server_return(_stream, _return->_u.three._u.s.d._buffer + _t389_array_iter))
                                                  goto _flick_abort1907;
                                                continue;
                                                {
                                                _flick_abort1907:
                                                  goto _flick_abort1868;
                                                }
                                              }
                                            if (_return->_u.three._u.s.d._release)
                                              CORBA_flick_free(_return->_u.three._u.s.d._buffer);
                                            _return->_u.three._u.s.d._maximum = 0;
                                            _return->_u.three._u.s.d._release = 0;
                                            _return->_u.three._u.s.d._buffer = (struct tb *)0;
                                            break;
                                            {
                                            _flick_abort1868:
                                              goto _flick_abort1804;
                                            }
                                          }
                                        case 4:
                                          {
                                            flick_iiop_encode_new_chunk(1);
                                            flick_cdr_encode_unsigned8(0, _return->_u.three._u.u._d, CORBA_boolean );
                                            flick_iiop_encode_end_chunk(1);
                                            switch (_return->_u.three._u.u._d)
                                              {
                                              case 1:
                                                {
                                                  CORBA_unsigned_long _t391_array_iter;

                                                  flick_iiop_encode_new_chunk(7);
                                                  flick_cdr_encode_unsigned32(3, _return->_u.three._u.u._u.next._length, CORBA_unsigned_long );
                                                  flick_iiop_encode_end_chunk(7);
                                                  flick_iiop_encode_end_glob(56);
                                                  if (_return->_u.three._u.u._u.next._length > 1)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1917);
                                                  for (_t391_array_iter = 0; _t391_array_iter < _return->_u.three._u.u._u.next._length; _t391_array_iter++)
                                                    {
                                                      if (flick_marshal_stub_td_recursive_idl_server_return(_stream, _return->_u.three._u.u._u.next._buffer + _t391_array_iter))
                                                        goto _flick_abort1920;
                                                      continue;
                                                      {
                                                      _flick_abort1920:
                                                        goto _flick_abort1917;
                                                      }
                                                    }
                                                  if (_return->_u.three._u.u._u.next._release)
                                                    CORBA_flick_free(_return->_u.three._u.u._u.next._buffer);
                                                  _return->_u.three._u.u._u.next._maximum = 0;
                                                  _return->_u.three._u.u._u.next._release = 0;
                                                  _return->_u.three._u.u._u.next._buffer = (struct td *)0;
                                                  break;
                                                  {
                                                  _flick_abort1917:
                                                    goto _flick_abort1909;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_iiop_encode_end_glob(56);
                                                  break;
                                                }
                                              }
                                            break;
                                            {
                                            _flick_abort1909:
                                              goto _flick_abort1804;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiop_encode_end_glob(56);
                                            break;
                                          }
                                        }
                                      break;
                                      {
                                      _flick_abort1804:
                                        goto _flick_abort1534;
                                      }
                                    }
                                  default:
                                    {
                                      CORBA_unsigned_long _t392_array_iter;

                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_u.again._length, CORBA_unsigned_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(56);
                                      for (_t392_array_iter = 0; _t392_array_iter < _return->_u.again._length; _t392_array_iter++)
                                        {
                                          if (flick_marshal_stub_td_recursive_idl_server_return(_stream, _return->_u.again._buffer + _t392_array_iter))
                                            goto _flick_abort1928;
                                          continue;
                                          {
                                          _flick_abort1928:
                                            goto _flick_abort1924;
                                          }
                                        }
                                      if (_return->_u.again._release)
                                        CORBA_flick_free(_return->_u.again._buffer);
                                      _return->_u.again._maximum = 0;
                                      _return->_u.again._release = 0;
                                      _return->_u.again._buffer = (struct td *)0;
                                      break;
                                      {
                                      _flick_abort1924:
                                        goto _flick_abort1534;
                                      }
                                    }
                                  }
                                CORBA_flick_free(_return);
                                _return = (struct td *)0;
                                flick_iiop_encode_new_glob(27, _flick_abort1534);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_a1->a.a, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
                                flick_cdr_encode_float64(0, _local_a1->a.b, CORBA_double );
                                flick_cdr_encode_signed16(8, _local_a1->a.c, CORBA_short );
                                flick_cdr_encode_char8(10, _local_a1->b.a, CORBA_char );
                                flick_cdr_encode_unsigned32(12, _t393_temp_string_len, flick_unsigned32_t );
                                flick_iiop_encode_end_chunk(16);
                                flick_iiop_encode_end_glob(27);
                                flick_iiop_encode_new_glob(1 * _t393_temp_string_len, _flick_abort1534);
                                flick_iiop_encode_new_chunk(1 * _t393_temp_string_len);
                                flick_cdr_encode_bcopy(0, _local_a1->b.b, 1 * _t393_temp_string_len);
                                CORBA_flick_free(_local_a1->b.b);
                                _local_a1->b.b = (CORBA_char *)0;
                                flick_iiop_encode_end_chunk(1 * _t393_temp_string_len);
                                flick_iiop_encode_end_glob(1 * _t393_temp_string_len);
                                flick_iiop_encode_new_glob(7, _flick_abort1534);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _local_a1->b.c._length, CORBA_unsigned_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                for (_t394_array_iter = 0; _t394_array_iter < _local_a1->b.c._length; _t394_array_iter++)
                                  {
                                    if (flick_marshal_stub_ta_tc_recursive_idl_server_inout(_stream, _local_a1->b.c._buffer + _t394_array_iter))
                                      goto _flick_abort1935;
                                    continue;
                                    {
                                    _flick_abort1935:
                                      goto _flick_abort1534;
                                    }
                                  }
                                if (_local_a1->b.c._release)
                                  CORBA_flick_free(_local_a1->b.c._buffer);
                                _local_a1->b.c._maximum = 0;
                                _local_a1->b.c._release = 0;
                                _local_a1->b.c._buffer = (struct ta_tc *)0;
                                flick_iiop_encode_new_glob(28, _flick_abort1534);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _local_a1->c.a.a, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
                                flick_cdr_encode_float64(0, _local_a1->c.a.b, CORBA_double );
                                flick_cdr_encode_signed16(8, _local_a1->c.a.c, CORBA_short );
                                flick_cdr_encode_char8(10, _local_a1->c.b.a, CORBA_char );
                                flick_cdr_encode_char8(11, _local_a1->c.b.b, CORBA_char );
                                flick_cdr_encode_char8(12, _local_a1->c.b.c, CORBA_char );
                                flick_cdr_encode_char8(13, _local_a1->c.b.d, CORBA_char );
                                flick_cdr_encode_unsigned32(16, _local_a1->c.b.e._length, CORBA_unsigned_long );
                                flick_iiop_encode_end_chunk(20);
                                flick_iiop_encode_end_glob(28);
                                for (_t395_array_iter = 0; _t395_array_iter < _local_a1->c.b.e._length; _t395_array_iter++)
                                  {
                                    if (flick_marshal_stub_ta_td_recursive_idl_server_inout(_stream, _local_a1->c.b.e._buffer + _t395_array_iter))
                                      goto _flick_abort1940;
                                    continue;
                                    {
                                    _flick_abort1940:
                                      goto _flick_abort1534;
                                    }
                                  }
                                if (_local_a1->c.b.e._release)
                                  CORBA_flick_free(_local_a1->c.b.e._buffer);
                                _local_a1->c.b.e._maximum = 0;
                                _local_a1->c.b.e._release = 0;
                                _local_a1->c.b.e._buffer = (struct ta_td *)0;
                                flick_iiop_encode_new_glob(4, _flick_abort1534);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _local_a1->next._length, CORBA_unsigned_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(4);
                                for (_t396_array_iter = 0; _t396_array_iter < _local_a1->next._length; _t396_array_iter++)
                                  {
                                    if (flick_marshal_stub_ta_recursive_idl_server_inout(_stream, _local_a1->next._buffer + _t396_array_iter))
                                      goto _flick_abort1945;
                                    continue;
                                    {
                                    _flick_abort1945:
                                      goto _flick_abort1534;
                                    }
                                  }
                                if (_local_a1->next._release)
                                  CORBA_flick_free(_local_a1->next._buffer);
                                _local_a1->next._maximum = 0;
                                _local_a1->next._release = 0;
                                _local_a1->next._buffer = (struct ta *)0;
                                flick_iiop_encode_new_glob(24, _flick_abort1534);
                                flick_iiop_encode_new_chunk(24);
                                flick_cdr_encode_signed32(0, _local_a1->d.a, CORBA_long );
                                flick_cdr_encode_float64(8, _local_a1->d.b, CORBA_double );
                                flick_cdr_encode_signed16(16, _local_a1->d.c, CORBA_short );
                                flick_cdr_encode_char8(18, _local_a1->e.a, CORBA_char );
                                flick_cdr_encode_unsigned32(20, _t397_temp_string_len, flick_unsigned32_t );
                                flick_iiop_encode_end_chunk(24);
                                flick_iiop_encode_end_glob(24);
                                flick_iiop_encode_new_glob(1 * _t397_temp_string_len, _flick_abort1534);
                                flick_iiop_encode_new_chunk(1 * _t397_temp_string_len);
                                flick_cdr_encode_bcopy(0, _local_a1->e.b, 1 * _t397_temp_string_len);
                                CORBA_flick_free(_local_a1->e.b);
                                _local_a1->e.b = (CORBA_char *)0;
                                flick_iiop_encode_end_chunk(1 * _t397_temp_string_len);
                                flick_iiop_encode_end_glob(1 * _t397_temp_string_len);
                                flick_iiop_encode_new_glob(7, _flick_abort1534);
                                flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _local_a1->e.c._length, CORBA_unsigned_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(7);
                                for (_t398_array_iter = 0; _t398_array_iter < _local_a1->e.c._length; _t398_array_iter++)
                                  {
                                    if (flick_marshal_stub_ta_tc_recursive_idl_server_inout(_stream, _local_a1->e.c._buffer + _t398_array_iter))
                                      goto _flick_abort1952;
                                    continue;
                                    {
                                    _flick_abort1952:
                                      goto _flick_abort1534;
                                    }
                                  }
                                if (_local_a1->e.c._release)
                                  CORBA_flick_free(_local_a1->e.c._buffer);
                                _local_a1->e.c._maximum = 0;
                                _local_a1->e.c._release = 0;
                                _local_a1->e.c._buffer = (struct ta_tc *)0;
                                flick_iiop_encode_new_glob(28, _flick_abort1534);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _local_a1->f.a.a, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
                                flick_cdr_encode_float64(0, _local_a1->f.a.b, CORBA_double );
                                flick_cdr_encode_signed16(8, _local_a1->f.a.c, CORBA_short );
                                flick_cdr_encode_char8(10, _local_a1->f.b.a, CORBA_char );
                                flick_cdr_encode_char8(11, _local_a1->f.b.b, CORBA_char );
                                flick_cdr_encode_char8(12, _local_a1->f.b.c, CORBA_char );
                                flick_cdr_encode_char8(13, _local_a1->f.b.d, CORBA_char );
                                flick_cdr_encode_unsigned32(16, _local_a1->f.b.e._length, CORBA_unsigned_long );
                                flick_iiop_encode_end_chunk(20);
                                flick_iiop_encode_end_glob(28);
                                for (_t399_array_iter = 0; _t399_array_iter < _local_a1->f.b.e._length; _t399_array_iter++)
                                  {
                                    if (flick_marshal_stub_ta_td_recursive_idl_server_inout(_stream, _local_a1->f.b.e._buffer + _t399_array_iter))
                                      goto _flick_abort1957;
                                    continue;
                                    {
                                    _flick_abort1957:
                                      goto _flick_abort1534;
                                    }
                                  }
                                if (_local_a1->f.b.e._release)
                                  CORBA_flick_free(_local_a1->f.b.e._buffer);
                                _local_a1->f.b.e._maximum = 0;
                                _local_a1->f.b.e._release = 0;
                                _local_a1->f.b.e._buffer = (struct ta_td *)0;
                                flick_iiop_encode_new_glob(4, _flick_abort1534);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, *_local_c1, CORBA_enum );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(4);
                                break;
                                {
                                _flick_abort1534:
                                  goto _flick_abort1103;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(56);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1959);
                                break;
                                {
                                _flick_abort1959:
                                  goto _flick_abort1103;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1960);
                                flick_iiop_encode_end_glob(56);
                                break;
                                {
                                _flick_abort1960:
                                  goto _flick_abort1103;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1103:
                          auto_flick_free(_local_b1->d._buffer);
                        _flick_abort1099:
                          goto _flick_abort_block1292;
                        _flick_abort1080:
                          auto_flick_free(_local_b1->c._buffer);
                        _flick_abort1056:
                          auto_flick_free(_local_b1->b.b.e._buffer);
                        _flick_abort1050:
                          CORBA_flick_free(_local_a1->f.b.e._buffer);
                        _flick_abort1044:
                          CORBA_flick_free(_local_a1->e.c._buffer);
                        _flick_abort1040:
                          CORBA_flick_free(_local_a1->e.b);
                        _flick_abort1035:
                          CORBA_flick_free(_local_a1->next._buffer);
                        _flick_abort1029:
                          CORBA_flick_free(_local_a1->c.b.e._buffer);
                        _flick_abort1023:
                          CORBA_flick_free(_local_a1->b.c._buffer);
                        _flick_abort1019:
                          CORBA_flick_free(_local_a1->b.b);
                        _flick_abort1016:
                          goto _flick_abort1015;
                        }
                      }
                      break;
                      {
                      _flick_abort1015:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t400_switch_tag;

          flick_iiop_check_span(20, _flick_abort2);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t400_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t400_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t401_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t401_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t401_switch_tag)
                  {
                  case /* _my_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601010015):
                    {
                      unsigned int _t402_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t402_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t402_switch_tag)
                        {
                        case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                          {
                            char _t403_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t403_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t403_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t404_principal_len;
                                    CORBA_long _return;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t405_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1962);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(7);
                                    flick_cdr_decode_unsigned32(3, _t404_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(7);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_check_span(_t404_principal_len, _flick_abort1962);
                                    flick_iiop_decode_new_glob(_t404_principal_len);
                                    flick_iiop_decode_new_chunk(_t404_principal_len);
                                    flick_iiop_decode_end_chunk(_t404_principal_len);
                                    flick_iiop_decode_end_glob(_t404_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _ev = (CORBA_Environment *)(&_t405_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = obj__get_my_attr(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1962);
                                      flick_iiop_encode_new_glob(8, _flick_abort1962);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(8);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1968);
                                            break;
                                            {
                                            _flick_abort1968:
                                              goto _flick_abort1962;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1969);
                                            flick_iiop_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort1969:
                                              goto _flick_abort1962;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1962:
                                      goto _flick_abort1961;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1961:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t406_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t406_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t406_switch_tag)
                  {
                  case /* _my_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601010015):
                    {
                      unsigned int _t407_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t407_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t407_switch_tag)
                        {
                        case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                          {
                            char _t408_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t408_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t408_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    obj _obj;
                                    unsigned int _t409_principal_len;
                                    CORBA_long _local_my_attr;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t410_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1971);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(7);
                                    flick_cdr_decode_unsigned32(3, _t409_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(7);
                                    flick_iiop_decode_end_glob(24);
                                    flick_iiop_check_span(_t409_principal_len, _flick_abort1971);
                                    flick_iiop_decode_new_glob(_t409_principal_len);
                                    flick_iiop_decode_new_chunk(_t409_principal_len);
                                    flick_iiop_decode_end_chunk(_t409_principal_len);
                                    flick_iiop_decode_end_glob(_t409_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiop_decode_new_glob(7);
                                    flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiop_check_span(4, _flick_abort1971);
                                    flick_cdr_decode_signed32(0, _local_my_attr, CORBA_long );
                                    _ev = (CORBA_Environment *)(&_t410_storage);
                                    flick_iiop_decode_end_chunk(4);
                                    flick_iiop_decode_end_glob(7);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    obj__set_my_attr(_obj, _local_my_attr, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1971);
                                      flick_iiop_encode_new_glob(4, _flick_abort1971);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1977);
                                            break;
                                            {
                                            _flick_abort1977:
                                              goto _flick_abort1971;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1978);
                                            flick_iiop_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort1978:
                                              goto _flick_abort1971;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1971:
                                      goto _flick_abort1970;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1970:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_iiop_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_iiop_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t411_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t411_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t411_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t412_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t412_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t412_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t413_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t414_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t415_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort1980);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t413_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(24);
                        flick_iiop_check_span(_t413_principal_len, _flick_abort1980);
                        flick_iiop_decode_new_glob(_t413_principal_len);
                        flick_iiop_decode_new_chunk(_t413_principal_len);
                        flick_iiop_decode_end_chunk(_t413_principal_len);
                        flick_iiop_decode_end_glob(_t413_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort1980);
                        flick_cdr_decode_unsigned32(0, _t414_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t414_temp_string_len);
                        flick_iiop_check_span(1 * _t414_temp_string_len, _flick_abort1980);
                        flick_iiop_decode_new_chunk(1 * _t414_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t414_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t414_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t415_storage);
                        _par = flick_interface_parents_obj;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort1980);
                          flick_iiop_encode_new_glob(5, _flick_abort1980);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort1988);
                                break;
                                {
                                _flick_abort1988:
                                  goto _flick_abort1980;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1989);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1989:
                                  goto _flick_abort1980;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort1980:
                          goto _flick_abort1979;
                        }
                      }
                      break;
                      {
                      _flick_abort1979:
                        goto _flick_abort2;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_iiop_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_iiop_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(24);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}


/* Mandatory marshaling/unmarshaling stubs. */

int flick_unmarshal_stub_ta_tc_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ta_tc *_data)
{
  flick_unsigned32_t _t832_temp_string_len;
  CORBA_unsigned_long _t833_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort3977);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->a, CORBA_char );
  flick_cdr_decode_unsigned32(4, _t832_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _t832_temp_string_len);
  flick_iiop_check_span(1 * _t832_temp_string_len, _flick_abort3977);
  flick_iiop_decode_new_chunk(1 * _t832_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t832_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3977);
    _data->b = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->b, 1 * _t832_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t832_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t832_temp_string_len);
  flick_iiop_decode_new_glob(7);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiop_check_span(4, _flick_abort3980);
  flick_cdr_decode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(7);
  {
    struct ta_tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->c._length * sizeof(struct ta_tc )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3980);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t833_array_iter = 0; _t833_array_iter < _data->c._length; _t833_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout(_stream, _data->c._buffer + _t833_array_iter))
        goto _flick_abort3985;
      continue;
      {
      _flick_abort3985:
        goto _flick_abort3984;
      }
    }
  return 0;
  {
  _flick_abort3984:
    CORBA_flick_free(_data->c._buffer);
  _flick_abort3980:
    CORBA_flick_free(_data->b);
  _flick_abort3977:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_tc_recursive_idl_server_inout_swap(flick_marshal_stream_t _stream, struct ta_tc *_data)
{
  flick_unsigned32_t _t834_temp_string_len;
  CORBA_unsigned_long _t835_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(8, _flick_abort3987);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->a, CORBA_char );
  flick_cdr_swap_decode_unsigned32(4, _t834_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_iiop_decode_new_glob(1 * _t834_temp_string_len);
  flick_iiop_check_span(1 * _t834_temp_string_len, _flick_abort3987);
  flick_iiop_decode_new_chunk(1 * _t834_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t834_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3987);
    _data->b = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->b, 1 * _t834_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t834_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t834_temp_string_len);
  flick_iiop_decode_new_glob(7);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiop_check_span(4, _flick_abort3990);
  flick_cdr_swap_decode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(7);
  {
    struct ta_tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->c._length * sizeof(struct ta_tc )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3990);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t835_array_iter = 0; _t835_array_iter < _data->c._length; _t835_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout_swap(_stream, _data->c._buffer + _t835_array_iter))
        goto _flick_abort3995;
      continue;
      {
      _flick_abort3995:
        goto _flick_abort3994;
      }
    }
  return 0;
  {
  _flick_abort3994:
    CORBA_flick_free(_data->c._buffer);
  _flick_abort3990:
    CORBA_flick_free(_data->b);
  _flick_abort3987:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ta_td *_data)
{
  CORBA_unsigned_long _t836_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(28);
  flick_iiop_check_span(4, _flick_abort3997);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a.a, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiop_check_span(20, _flick_abort3997);
  flick_cdr_decode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_decode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_decode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_decode_char8(11, _data->b.b, CORBA_char );
  flick_cdr_decode_char8(12, _data->b.c, CORBA_char );
  flick_cdr_decode_char8(13, _data->b.d, CORBA_char );
  flick_cdr_decode_unsigned32(16, _data->b.e._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(28);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3997);
    _data->b.e._buffer = _t_alloc_ptr;
    _data->b.e._maximum = _data->b.e._length;
    _data->b.e._release = 1;
  }
  for (_t836_array_iter = 0; _t836_array_iter < _data->b.e._length; _t836_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout(_stream, _data->b.e._buffer + _t836_array_iter))
        goto _flick_abort4002;
      continue;
      {
      _flick_abort4002:
        goto _flick_abort4001;
      }
    }
  return 0;
  {
  _flick_abort4001:
    CORBA_flick_free(_data->b.e._buffer);
  _flick_abort3997:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td_recursive_idl_server_inout_swap(flick_marshal_stream_t _stream, struct ta_td *_data)
{
  CORBA_unsigned_long _t837_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(28);
  flick_iiop_check_span(4, _flick_abort4004);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a.a, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiop_check_span(20, _flick_abort4004);
  flick_cdr_swap_decode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_swap_decode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_swap_decode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_swap_decode_char8(11, _data->b.b, CORBA_char );
  flick_cdr_swap_decode_char8(12, _data->b.c, CORBA_char );
  flick_cdr_swap_decode_char8(13, _data->b.d, CORBA_char );
  flick_cdr_swap_decode_unsigned32(16, _data->b.e._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(28);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4004);
    _data->b.e._buffer = _t_alloc_ptr;
    _data->b.e._maximum = _data->b.e._length;
    _data->b.e._release = 1;
  }
  for (_t837_array_iter = 0; _t837_array_iter < _data->b.e._length; _t837_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout_swap(_stream, _data->b.e._buffer + _t837_array_iter))
        goto _flick_abort4009;
      continue;
      {
      _flick_abort4009:
        goto _flick_abort4008;
      }
    }
  return 0;
  {
  _flick_abort4008:
    CORBA_flick_free(_data->b.e._buffer);
  _flick_abort4004:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ta *_data)
{
  flick_unsigned32_t _t838_temp_string_len;
  CORBA_unsigned_long _t839_array_iter;
  CORBA_unsigned_long _t840_array_iter;
  CORBA_unsigned_long _t841_array_iter;
  flick_unsigned32_t _t842_temp_string_len;
  CORBA_unsigned_long _t843_array_iter;
  CORBA_unsigned_long _t844_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(24);
  flick_iiop_check_span(4, _flick_abort4011);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a.a, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk_align(16, 3, 2, 0);
  flick_iiop_check_span(16, _flick_abort4011);
  flick_cdr_decode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_decode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_decode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_decode_unsigned32(12, _t838_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(24);
  flick_iiop_decode_new_glob(1 * _t838_temp_string_len);
  flick_iiop_check_span(1 * _t838_temp_string_len, _flick_abort4011);
  flick_iiop_decode_new_chunk(1 * _t838_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t838_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4011);
    _data->b.b = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->b.b, 1 * _t838_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t838_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t838_temp_string_len);
  flick_iiop_decode_new_glob(7);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiop_check_span(4, _flick_abort4014);
  flick_cdr_decode_unsigned32(0, _data->b.c._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(7);
  {
    struct ta_tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->b.c._length * sizeof(struct ta_tc )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4014);
    _data->b.c._buffer = _t_alloc_ptr;
    _data->b.c._maximum = _data->b.c._length;
    _data->b.c._release = 1;
  }
  for (_t839_array_iter = 0; _t839_array_iter < _data->b.c._length; _t839_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout(_stream, _data->b.c._buffer + _t839_array_iter))
        goto _flick_abort4019;
      continue;
      {
      _flick_abort4019:
        goto _flick_abort4018;
      }
    }
  flick_iiop_decode_new_glob(28);
  flick_iiop_check_span(4, _flick_abort4018);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->c.a.a, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiop_check_span(20, _flick_abort4018);
  flick_cdr_decode_float64(0, _data->c.a.b, CORBA_double );
  flick_cdr_decode_signed16(8, _data->c.a.c, CORBA_short );
  flick_cdr_decode_char8(10, _data->c.b.a, CORBA_char );
  flick_cdr_decode_char8(11, _data->c.b.b, CORBA_char );
  flick_cdr_decode_char8(12, _data->c.b.c, CORBA_char );
  flick_cdr_decode_char8(13, _data->c.b.d, CORBA_char );
  flick_cdr_decode_unsigned32(16, _data->c.b.e._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(28);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->c.b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4018);
    _data->c.b.e._buffer = _t_alloc_ptr;
    _data->c.b.e._maximum = _data->c.b.e._length;
    _data->c.b.e._release = 1;
  }
  for (_t840_array_iter = 0; _t840_array_iter < _data->c.b.e._length; _t840_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout(_stream, _data->c.b.e._buffer + _t840_array_iter))
        goto _flick_abort4025;
      continue;
      {
      _flick_abort4025:
        goto _flick_abort4024;
      }
    }
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort4024);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->next._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  {
    struct ta *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta *)(CORBA_flick_alloc(_data->next._length * sizeof(struct ta )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4024);
    _data->next._buffer = _t_alloc_ptr;
    _data->next._maximum = _data->next._length;
    _data->next._release = 1;
  }
  for (_t841_array_iter = 0; _t841_array_iter < _data->next._length; _t841_array_iter++)
    {
      if (flick_unmarshal_stub_ta_recursive_idl_server_inout(_stream, _data->next._buffer + _t841_array_iter))
        goto _flick_abort4031;
      continue;
      {
      _flick_abort4031:
        goto _flick_abort4030;
      }
    }
  flick_iiop_decode_new_glob(24);
  flick_iiop_check_span(24, _flick_abort4030);
  flick_iiop_decode_new_chunk(24);
  flick_cdr_decode_signed32(0, _data->d.a, CORBA_long );
  flick_cdr_decode_float64(8, _data->d.b, CORBA_double );
  flick_cdr_decode_signed16(16, _data->d.c, CORBA_short );
  flick_cdr_decode_char8(18, _data->e.a, CORBA_char );
  flick_cdr_decode_unsigned32(20, _t842_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(24);
  flick_iiop_decode_end_glob(24);
  flick_iiop_decode_new_glob(1 * _t842_temp_string_len);
  flick_iiop_check_span(1 * _t842_temp_string_len, _flick_abort4030);
  flick_iiop_decode_new_chunk(1 * _t842_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t842_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4030);
    _data->e.b = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->e.b, 1 * _t842_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t842_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t842_temp_string_len);
  flick_iiop_decode_new_glob(7);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiop_check_span(4, _flick_abort4035);
  flick_cdr_decode_unsigned32(0, _data->e.c._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(7);
  {
    struct ta_tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->e.c._length * sizeof(struct ta_tc )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4035);
    _data->e.c._buffer = _t_alloc_ptr;
    _data->e.c._maximum = _data->e.c._length;
    _data->e.c._release = 1;
  }
  for (_t843_array_iter = 0; _t843_array_iter < _data->e.c._length; _t843_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout(_stream, _data->e.c._buffer + _t843_array_iter))
        goto _flick_abort4040;
      continue;
      {
      _flick_abort4040:
        goto _flick_abort4039;
      }
    }
  flick_iiop_decode_new_glob(28);
  flick_iiop_check_span(4, _flick_abort4039);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->f.a.a, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiop_check_span(20, _flick_abort4039);
  flick_cdr_decode_float64(0, _data->f.a.b, CORBA_double );
  flick_cdr_decode_signed16(8, _data->f.a.c, CORBA_short );
  flick_cdr_decode_char8(10, _data->f.b.a, CORBA_char );
  flick_cdr_decode_char8(11, _data->f.b.b, CORBA_char );
  flick_cdr_decode_char8(12, _data->f.b.c, CORBA_char );
  flick_cdr_decode_char8(13, _data->f.b.d, CORBA_char );
  flick_cdr_decode_unsigned32(16, _data->f.b.e._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(28);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->f.b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4039);
    _data->f.b.e._buffer = _t_alloc_ptr;
    _data->f.b.e._maximum = _data->f.b.e._length;
    _data->f.b.e._release = 1;
  }
  for (_t844_array_iter = 0; _t844_array_iter < _data->f.b.e._length; _t844_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout(_stream, _data->f.b.e._buffer + _t844_array_iter))
        goto _flick_abort4046;
      continue;
      {
      _flick_abort4046:
        goto _flick_abort4045;
      }
    }
  return 0;
  {
  _flick_abort4045:
    CORBA_flick_free(_data->f.b.e._buffer);
  _flick_abort4039:
    CORBA_flick_free(_data->e.c._buffer);
  _flick_abort4035:
    CORBA_flick_free(_data->e.b);
  _flick_abort4030:
    CORBA_flick_free(_data->next._buffer);
  _flick_abort4024:
    CORBA_flick_free(_data->c.b.e._buffer);
  _flick_abort4018:
    CORBA_flick_free(_data->b.c._buffer);
  _flick_abort4014:
    CORBA_flick_free(_data->b.b);
  _flick_abort4011:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_recursive_idl_server_inout_swap(flick_marshal_stream_t _stream, struct ta *_data)
{
  flick_unsigned32_t _t845_temp_string_len;
  CORBA_unsigned_long _t846_array_iter;
  CORBA_unsigned_long _t847_array_iter;
  CORBA_unsigned_long _t848_array_iter;
  flick_unsigned32_t _t849_temp_string_len;
  CORBA_unsigned_long _t850_array_iter;
  CORBA_unsigned_long _t851_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(24);
  flick_iiop_check_span(4, _flick_abort4048);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a.a, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk_align(16, 3, 2, 0);
  flick_iiop_check_span(16, _flick_abort4048);
  flick_cdr_swap_decode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_swap_decode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_swap_decode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_swap_decode_unsigned32(12, _t845_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(24);
  flick_iiop_decode_new_glob(1 * _t845_temp_string_len);
  flick_iiop_check_span(1 * _t845_temp_string_len, _flick_abort4048);
  flick_iiop_decode_new_chunk(1 * _t845_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t845_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4048);
    _data->b.b = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->b.b, 1 * _t845_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t845_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t845_temp_string_len);
  flick_iiop_decode_new_glob(7);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiop_check_span(4, _flick_abort4051);
  flick_cdr_swap_decode_unsigned32(0, _data->b.c._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(7);
  {
    struct ta_tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->b.c._length * sizeof(struct ta_tc )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4051);
    _data->b.c._buffer = _t_alloc_ptr;
    _data->b.c._maximum = _data->b.c._length;
    _data->b.c._release = 1;
  }
  for (_t846_array_iter = 0; _t846_array_iter < _data->b.c._length; _t846_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout_swap(_stream, _data->b.c._buffer + _t846_array_iter))
        goto _flick_abort4056;
      continue;
      {
      _flick_abort4056:
        goto _flick_abort4055;
      }
    }
  flick_iiop_decode_new_glob(28);
  flick_iiop_check_span(4, _flick_abort4055);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->c.a.a, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiop_check_span(20, _flick_abort4055);
  flick_cdr_swap_decode_float64(0, _data->c.a.b, CORBA_double );
  flick_cdr_swap_decode_signed16(8, _data->c.a.c, CORBA_short );
  flick_cdr_swap_decode_char8(10, _data->c.b.a, CORBA_char );
  flick_cdr_swap_decode_char8(11, _data->c.b.b, CORBA_char );
  flick_cdr_swap_decode_char8(12, _data->c.b.c, CORBA_char );
  flick_cdr_swap_decode_char8(13, _data->c.b.d, CORBA_char );
  flick_cdr_swap_decode_unsigned32(16, _data->c.b.e._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(28);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->c.b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4055);
    _data->c.b.e._buffer = _t_alloc_ptr;
    _data->c.b.e._maximum = _data->c.b.e._length;
    _data->c.b.e._release = 1;
  }
  for (_t847_array_iter = 0; _t847_array_iter < _data->c.b.e._length; _t847_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout_swap(_stream, _data->c.b.e._buffer + _t847_array_iter))
        goto _flick_abort4062;
      continue;
      {
      _flick_abort4062:
        goto _flick_abort4061;
      }
    }
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort4061);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->next._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  {
    struct ta *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta *)(CORBA_flick_alloc(_data->next._length * sizeof(struct ta )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4061);
    _data->next._buffer = _t_alloc_ptr;
    _data->next._maximum = _data->next._length;
    _data->next._release = 1;
  }
  for (_t848_array_iter = 0; _t848_array_iter < _data->next._length; _t848_array_iter++)
    {
      if (flick_unmarshal_stub_ta_recursive_idl_server_inout_swap(_stream, _data->next._buffer + _t848_array_iter))
        goto _flick_abort4068;
      continue;
      {
      _flick_abort4068:
        goto _flick_abort4067;
      }
    }
  flick_iiop_decode_new_glob(24);
  flick_iiop_check_span(24, _flick_abort4067);
  flick_iiop_decode_new_chunk(24);
  flick_cdr_swap_decode_signed32(0, _data->d.a, CORBA_long );
  flick_cdr_swap_decode_float64(8, _data->d.b, CORBA_double );
  flick_cdr_swap_decode_signed16(16, _data->d.c, CORBA_short );
  flick_cdr_swap_decode_char8(18, _data->e.a, CORBA_char );
  flick_cdr_swap_decode_unsigned32(20, _t849_temp_string_len, flick_unsigned32_t );
  flick_iiop_decode_end_chunk(24);
  flick_iiop_decode_end_glob(24);
  flick_iiop_decode_new_glob(1 * _t849_temp_string_len);
  flick_iiop_check_span(1 * _t849_temp_string_len, _flick_abort4067);
  flick_iiop_decode_new_chunk(1 * _t849_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t849_temp_string_len * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4067);
    _data->e.b = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->e.b, 1 * _t849_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t849_temp_string_len);
  flick_iiop_decode_end_glob(1 * _t849_temp_string_len);
  flick_iiop_decode_new_glob(7);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiop_check_span(4, _flick_abort4072);
  flick_cdr_swap_decode_unsigned32(0, _data->e.c._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(7);
  {
    struct ta_tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_tc *)(CORBA_flick_alloc(_data->e.c._length * sizeof(struct ta_tc )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4072);
    _data->e.c._buffer = _t_alloc_ptr;
    _data->e.c._maximum = _data->e.c._length;
    _data->e.c._release = 1;
  }
  for (_t850_array_iter = 0; _t850_array_iter < _data->e.c._length; _t850_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_recursive_idl_server_inout_swap(_stream, _data->e.c._buffer + _t850_array_iter))
        goto _flick_abort4077;
      continue;
      {
      _flick_abort4077:
        goto _flick_abort4076;
      }
    }
  flick_iiop_decode_new_glob(28);
  flick_iiop_check_span(4, _flick_abort4076);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->f.a.a, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiop_check_span(20, _flick_abort4076);
  flick_cdr_swap_decode_float64(0, _data->f.a.b, CORBA_double );
  flick_cdr_swap_decode_signed16(8, _data->f.a.c, CORBA_short );
  flick_cdr_swap_decode_char8(10, _data->f.b.a, CORBA_char );
  flick_cdr_swap_decode_char8(11, _data->f.b.b, CORBA_char );
  flick_cdr_swap_decode_char8(12, _data->f.b.c, CORBA_char );
  flick_cdr_swap_decode_char8(13, _data->f.b.d, CORBA_char );
  flick_cdr_swap_decode_unsigned32(16, _data->f.b.e._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(28);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(CORBA_flick_alloc(_data->f.b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4076);
    _data->f.b.e._buffer = _t_alloc_ptr;
    _data->f.b.e._maximum = _data->f.b.e._length;
    _data->f.b.e._release = 1;
  }
  for (_t851_array_iter = 0; _t851_array_iter < _data->f.b.e._length; _t851_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_inout_swap(_stream, _data->f.b.e._buffer + _t851_array_iter))
        goto _flick_abort4083;
      continue;
      {
      _flick_abort4083:
        goto _flick_abort4082;
      }
    }
  return 0;
  {
  _flick_abort4082:
    CORBA_flick_free(_data->f.b.e._buffer);
  _flick_abort4076:
    CORBA_flick_free(_data->e.c._buffer);
  _flick_abort4072:
    CORBA_flick_free(_data->e.b);
  _flick_abort4067:
    CORBA_flick_free(_data->next._buffer);
  _flick_abort4061:
    CORBA_flick_free(_data->c.b.e._buffer);
  _flick_abort4055:
    CORBA_flick_free(_data->b.c._buffer);
  _flick_abort4051:
    CORBA_flick_free(_data->b.b);
  _flick_abort4048:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td_recursive_idl_server_in(flick_marshal_stream_t _stream, struct ta_td *_data)
{
  CORBA_unsigned_long _t852_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(28);
  flick_iiop_check_span(4, _flick_abort4085);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a.a, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiop_check_span(20, _flick_abort4085);
  flick_cdr_decode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_decode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_decode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_decode_char8(11, _data->b.b, CORBA_char );
  flick_cdr_decode_char8(12, _data->b.c, CORBA_char );
  flick_cdr_decode_char8(13, _data->b.d, CORBA_char );
  flick_cdr_decode_unsigned32(16, _data->b.e._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(28);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_data->b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4085);
    _data->b.e._buffer = _t_alloc_ptr;
    _data->b.e._maximum = _data->b.e._length;
    _data->b.e._release = 1;
  }
  for (_t852_array_iter = 0; _t852_array_iter < _data->b.e._length; _t852_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_in(_stream, _data->b.e._buffer + _t852_array_iter))
        goto _flick_abort4090;
      continue;
      {
      _flick_abort4090:
        goto _flick_abort4089;
      }
    }
  return 0;
  {
  _flick_abort4089:
    auto_flick_free(_data->b.e._buffer);
  _flick_abort4085:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td_recursive_idl_server_in_swap(flick_marshal_stream_t _stream, struct ta_td *_data)
{
  CORBA_unsigned_long _t853_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(28);
  flick_iiop_check_span(4, _flick_abort4092);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a.a, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiop_check_span(20, _flick_abort4092);
  flick_cdr_swap_decode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_swap_decode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_swap_decode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_swap_decode_char8(11, _data->b.b, CORBA_char );
  flick_cdr_swap_decode_char8(12, _data->b.c, CORBA_char );
  flick_cdr_swap_decode_char8(13, _data->b.d, CORBA_char );
  flick_cdr_swap_decode_unsigned32(16, _data->b.e._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(28);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_data->b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4092);
    _data->b.e._buffer = _t_alloc_ptr;
    _data->b.e._maximum = _data->b.e._length;
    _data->b.e._release = 1;
  }
  for (_t853_array_iter = 0; _t853_array_iter < _data->b.e._length; _t853_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_in_swap(_stream, _data->b.e._buffer + _t853_array_iter))
        goto _flick_abort4097;
      continue;
      {
      _flick_abort4097:
        goto _flick_abort4096;
      }
    }
  return 0;
  {
  _flick_abort4096:
    auto_flick_free(_data->b.e._buffer);
  _flick_abort4092:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tb_recursive_idl_server_in(flick_marshal_stream_t _stream, struct tb *_data)
{
  CORBA_unsigned_long _t854_array_iter;
  CORBA_unsigned_long _t858_array_iter;
  CORBA_unsigned_long _t861_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort4099);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a.a, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk_align(36, 3, 2, 0);
  flick_iiop_check_span(36, _flick_abort4099);
  flick_cdr_decode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_decode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_decode_signed32(12, _data->b.a.a, CORBA_long );
  flick_cdr_decode_float64(16, _data->b.a.b, CORBA_double );
  flick_cdr_decode_signed16(24, _data->b.a.c, CORBA_short );
  flick_cdr_decode_char8(26, _data->b.b.a, CORBA_char );
  flick_cdr_decode_char8(27, _data->b.b.b, CORBA_char );
  flick_cdr_decode_char8(28, _data->b.b.c, CORBA_char );
  flick_cdr_decode_char8(29, _data->b.b.d, CORBA_char );
  flick_cdr_decode_unsigned32(32, _data->b.b.e._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(36);
  flick_iiop_decode_end_glob(44);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_data->b.b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4099);
    _data->b.b.e._buffer = _t_alloc_ptr;
    _data->b.b.e._maximum = _data->b.b.e._length;
    _data->b.b.e._release = 1;
  }
  for (_t854_array_iter = 0; _t854_array_iter < _data->b.b.e._length; _t854_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_in(_stream, _data->b.b.e._buffer + _t854_array_iter))
        goto _flick_abort4104;
      continue;
      {
      _flick_abort4104:
        goto _flick_abort4103;
      }
    }
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort4103);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_data->c._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4103);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t858_array_iter = 0; _t858_array_iter < _data->c._length; _t858_array_iter++)
    {
      CORBA_unsigned_long _t860_array_iter;

      flick_iiop_decode_new_glob(28);
      flick_iiop_check_span(4, _flick_abort4128);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->c._buffer[_t858_array_iter].a.a, CORBA_long );
      flick_iiop_decode_end_chunk(4);
      flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
      flick_iiop_check_span(20, _flick_abort4128);
      flick_cdr_decode_float64(0, _data->c._buffer[_t858_array_iter].a.b, CORBA_double );
      flick_cdr_decode_signed16(8, _data->c._buffer[_t858_array_iter].a.c, CORBA_short );
      flick_cdr_decode_char8(10, _data->c._buffer[_t858_array_iter].b.a, CORBA_char );
      flick_cdr_decode_char8(11, _data->c._buffer[_t858_array_iter].b.b, CORBA_char );
      flick_cdr_decode_char8(12, _data->c._buffer[_t858_array_iter].b.c, CORBA_char );
      flick_cdr_decode_char8(13, _data->c._buffer[_t858_array_iter].b.d, CORBA_char );
      flick_cdr_decode_unsigned32(16, _data->c._buffer[_t858_array_iter].b.e._length, CORBA_unsigned_long );
      flick_iiop_decode_end_chunk(20);
      flick_iiop_decode_end_glob(28);
      {
        struct ta_td *_t_alloc_ptr;

        _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_data->c._buffer[_t858_array_iter].b.e._length * sizeof(struct ta_td )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4128);
        _data->c._buffer[_t858_array_iter].b.e._buffer = _t_alloc_ptr;
        _data->c._buffer[_t858_array_iter].b.e._maximum = _data->c._buffer[_t858_array_iter].b.e._length;
        _data->c._buffer[_t858_array_iter].b.e._release = 1;
      }
      for (_t860_array_iter = 0; _t860_array_iter < _data->c._buffer[_t858_array_iter].b.e._length; _t860_array_iter++)
        {
          if (flick_unmarshal_stub_ta_td_recursive_idl_server_in(_stream, _data->c._buffer[_t858_array_iter].b.e._buffer + _t860_array_iter))
            goto _flick_abort4140;
          continue;
          {
          _flick_abort4140:
            goto _flick_abort4139;
          }
        }
      continue;
    _flick_abort_block4920:
      {
        _t858_array_iter = _data->c._length;
      _flick_abort4144:
        _t858_array_iter--;
      _flick_abort4139:
        auto_flick_free(_data->c._buffer[_t858_array_iter].b.e._buffer);
      _flick_abort4128:
        if ((unsigned int )_t858_array_iter > 0)
          goto _flick_abort4144;
        goto _flick_abort4127;
      }
    }
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort4146);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->d._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  {
    struct tb *_t_alloc_ptr;

    _t_alloc_ptr = (struct tb *)(auto_flick_alloc(_data->d._length * sizeof(struct tb )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4146);
    _data->d._buffer = _t_alloc_ptr;
    _data->d._maximum = _data->d._length;
    _data->d._release = 1;
  }
  for (_t861_array_iter = 0; _t861_array_iter < _data->d._length; _t861_array_iter++)
    {
      if (flick_unmarshal_stub_tb_recursive_idl_server_in(_stream, _data->d._buffer + _t861_array_iter))
        goto _flick_abort4151;
      continue;
      {
      _flick_abort4151:
        goto _flick_abort4150;
      }
    }
  return 0;
  {
  _flick_abort4150:
    auto_flick_free(_data->d._buffer);
  _flick_abort4146:
    goto _flick_abort_block4920;
  _flick_abort4127:
    auto_flick_free(_data->c._buffer);
  _flick_abort4103:
    auto_flick_free(_data->b.b.e._buffer);
  _flick_abort4099:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tb_recursive_idl_server_in_swap(flick_marshal_stream_t _stream, struct tb *_data)
{
  CORBA_unsigned_long _t862_array_iter;
  CORBA_unsigned_long _t866_array_iter;
  CORBA_unsigned_long _t869_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(44);
  flick_iiop_check_span(4, _flick_abort4153);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a.a, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk_align(36, 3, 2, 0);
  flick_iiop_check_span(36, _flick_abort4153);
  flick_cdr_swap_decode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_swap_decode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_swap_decode_signed32(12, _data->b.a.a, CORBA_long );
  flick_cdr_swap_decode_float64(16, _data->b.a.b, CORBA_double );
  flick_cdr_swap_decode_signed16(24, _data->b.a.c, CORBA_short );
  flick_cdr_swap_decode_char8(26, _data->b.b.a, CORBA_char );
  flick_cdr_swap_decode_char8(27, _data->b.b.b, CORBA_char );
  flick_cdr_swap_decode_char8(28, _data->b.b.c, CORBA_char );
  flick_cdr_swap_decode_char8(29, _data->b.b.d, CORBA_char );
  flick_cdr_swap_decode_unsigned32(32, _data->b.b.e._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(36);
  flick_iiop_decode_end_glob(44);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_data->b.b.e._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4153);
    _data->b.b.e._buffer = _t_alloc_ptr;
    _data->b.b.e._maximum = _data->b.b.e._length;
    _data->b.b.e._release = 1;
  }
  for (_t862_array_iter = 0; _t862_array_iter < _data->b.b.e._length; _t862_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_recursive_idl_server_in_swap(_stream, _data->b.b.e._buffer + _t862_array_iter))
        goto _flick_abort4158;
      continue;
      {
      _flick_abort4158:
        goto _flick_abort4157;
      }
    }
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort4157);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  {
    struct ta_td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_data->c._length * sizeof(struct ta_td )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4157);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t866_array_iter = 0; _t866_array_iter < _data->c._length; _t866_array_iter++)
    {
      CORBA_unsigned_long _t868_array_iter;

      flick_iiop_decode_new_glob(28);
      flick_iiop_check_span(4, _flick_abort4182);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->c._buffer[_t866_array_iter].a.a, CORBA_long );
      flick_iiop_decode_end_chunk(4);
      flick_iiop_decode_new_chunk_align(20, 3, 2, 0);
      flick_iiop_check_span(20, _flick_abort4182);
      flick_cdr_swap_decode_float64(0, _data->c._buffer[_t866_array_iter].a.b, CORBA_double );
      flick_cdr_swap_decode_signed16(8, _data->c._buffer[_t866_array_iter].a.c, CORBA_short );
      flick_cdr_swap_decode_char8(10, _data->c._buffer[_t866_array_iter].b.a, CORBA_char );
      flick_cdr_swap_decode_char8(11, _data->c._buffer[_t866_array_iter].b.b, CORBA_char );
      flick_cdr_swap_decode_char8(12, _data->c._buffer[_t866_array_iter].b.c, CORBA_char );
      flick_cdr_swap_decode_char8(13, _data->c._buffer[_t866_array_iter].b.d, CORBA_char );
      flick_cdr_swap_decode_unsigned32(16, _data->c._buffer[_t866_array_iter].b.e._length, CORBA_unsigned_long );
      flick_iiop_decode_end_chunk(20);
      flick_iiop_decode_end_glob(28);
      {
        struct ta_td *_t_alloc_ptr;

        _t_alloc_ptr = (struct ta_td *)(auto_flick_alloc(_data->c._buffer[_t866_array_iter].b.e._length * sizeof(struct ta_td )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4182);
        _data->c._buffer[_t866_array_iter].b.e._buffer = _t_alloc_ptr;
        _data->c._buffer[_t866_array_iter].b.e._maximum = _data->c._buffer[_t866_array_iter].b.e._length;
        _data->c._buffer[_t866_array_iter].b.e._release = 1;
      }
      for (_t868_array_iter = 0; _t868_array_iter < _data->c._buffer[_t866_array_iter].b.e._length; _t868_array_iter++)
        {
          if (flick_unmarshal_stub_ta_td_recursive_idl_server_in_swap(_stream, _data->c._buffer[_t866_array_iter].b.e._buffer + _t868_array_iter))
            goto _flick_abort4194;
          continue;
          {
          _flick_abort4194:
            goto _flick_abort4193;
          }
        }
      continue;
    _flick_abort_block4970:
      {
        _t866_array_iter = _data->c._length;
      _flick_abort4198:
        _t866_array_iter--;
      _flick_abort4193:
        auto_flick_free(_data->c._buffer[_t866_array_iter].b.e._buffer);
      _flick_abort4182:
        if ((unsigned int )_t866_array_iter > 0)
          goto _flick_abort4198;
        goto _flick_abort4181;
      }
    }
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort4200);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->d._length, CORBA_unsigned_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  {
    struct tb *_t_alloc_ptr;

    _t_alloc_ptr = (struct tb *)(auto_flick_alloc(_data->d._length * sizeof(struct tb )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4200);
    _data->d._buffer = _t_alloc_ptr;
    _data->d._maximum = _data->d._length;
    _data->d._release = 1;
  }
  for (_t869_array_iter = 0; _t869_array_iter < _data->d._length; _t869_array_iter++)
    {
      if (flick_unmarshal_stub_tb_recursive_idl_server_in_swap(_stream, _data->d._buffer + _t869_array_iter))
        goto _flick_abort4205;
      continue;
      {
      _flick_abort4205:
        goto _flick_abort4204;
      }
    }
  return 0;
  {
  _flick_abort4204:
    auto_flick_free(_data->d._buffer);
  _flick_abort4200:
    goto _flick_abort_block4970;
  _flick_abort4181:
    auto_flick_free(_data->c._buffer);
  _flick_abort4157:
    auto_flick_free(_data->b.b.e._buffer);
  _flick_abort4153:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_tc_recursive_idl_server_return(flick_marshal_stream_t _stream, struct ta_tc *_data)
{
  flick_unsigned32_t _t870_temp_string_len;
  CORBA_unsigned_long _t871_array_iter;

  flick_cdr_stringlen(CORBA_char *, _data->b, flick_unsigned32_t , _t870_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort4207);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->a, CORBA_char );
  flick_cdr_encode_unsigned32(4, _t870_temp_string_len, flick_unsigned32_t );
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  flick_iiop_encode_new_glob(1 * _t870_temp_string_len, _flick_abort4207);
  flick_iiop_encode_new_chunk(1 * _t870_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->b, 1 * _t870_temp_string_len);
  CORBA_flick_free(_data->b);
  _data->b = (CORBA_char *)0;
  flick_iiop_encode_end_chunk(1 * _t870_temp_string_len);
  flick_iiop_encode_end_glob(1 * _t870_temp_string_len);
  flick_iiop_encode_new_glob(7, _flick_abort4207);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(7);
  for (_t871_array_iter = 0; _t871_array_iter < _data->c._length; _t871_array_iter++)
    {
      if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _data->c._buffer + _t871_array_iter))
        goto _flick_abort4213;
      continue;
      {
      _flick_abort4213:
        goto _flick_abort4207;
      }
    }
  if (_data->c._release)
    CORBA_flick_free(_data->c._buffer);
  _data->c._maximum = 0;
  _data->c._release = 0;
  _data->c._buffer = (struct ta_tc *)0;
  return 0;
  {
  _flick_abort4207:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_td_recursive_idl_server_return(flick_marshal_stream_t _stream, struct ta_td *_data)
{
  CORBA_unsigned_long _t872_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(28, _flick_abort4215);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_encode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_encode_char8(11, _data->b.b, CORBA_char );
  flick_cdr_encode_char8(12, _data->b.c, CORBA_char );
  flick_cdr_encode_char8(13, _data->b.d, CORBA_char );
  flick_cdr_encode_unsigned32(16, _data->b.e._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(20);
  flick_iiop_encode_end_glob(28);
  for (_t872_array_iter = 0; _t872_array_iter < _data->b.e._length; _t872_array_iter++)
    {
      if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->b.e._buffer + _t872_array_iter))
        goto _flick_abort4219;
      continue;
      {
      _flick_abort4219:
        goto _flick_abort4215;
      }
    }
  if (_data->b.e._release)
    CORBA_flick_free(_data->b.e._buffer);
  _data->b.e._maximum = 0;
  _data->b.e._release = 0;
  _data->b.e._buffer = (struct ta_td *)0;
  return 0;
  {
  _flick_abort4215:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_recursive_idl_server_return(flick_marshal_stream_t _stream, struct ta *_data)
{
  flick_unsigned32_t _t873_temp_string_len;
  CORBA_unsigned_long _t874_array_iter;
  CORBA_unsigned_long _t875_array_iter;
  CORBA_unsigned_long _t876_array_iter;
  flick_unsigned32_t _t877_temp_string_len;
  CORBA_unsigned_long _t878_array_iter;
  CORBA_unsigned_long _t879_array_iter;

  flick_cdr_stringlen(CORBA_char *, _data->b.b, flick_unsigned32_t , _t873_temp_string_len);
  flick_cdr_stringlen(CORBA_char *, _data->e.b, flick_unsigned32_t , _t877_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(24, _flick_abort4221);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_encode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_encode_unsigned32(12, _t873_temp_string_len, flick_unsigned32_t );
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(24);
  flick_iiop_encode_new_glob(1 * _t873_temp_string_len, _flick_abort4221);
  flick_iiop_encode_new_chunk(1 * _t873_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->b.b, 1 * _t873_temp_string_len);
  CORBA_flick_free(_data->b.b);
  _data->b.b = (CORBA_char *)0;
  flick_iiop_encode_end_chunk(1 * _t873_temp_string_len);
  flick_iiop_encode_end_glob(1 * _t873_temp_string_len);
  flick_iiop_encode_new_glob(7, _flick_abort4221);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->b.c._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(7);
  for (_t874_array_iter = 0; _t874_array_iter < _data->b.c._length; _t874_array_iter++)
    {
      if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _data->b.c._buffer + _t874_array_iter))
        goto _flick_abort4227;
      continue;
      {
      _flick_abort4227:
        goto _flick_abort4221;
      }
    }
  if (_data->b.c._release)
    CORBA_flick_free(_data->b.c._buffer);
  _data->b.c._maximum = 0;
  _data->b.c._release = 0;
  _data->b.c._buffer = (struct ta_tc *)0;
  flick_iiop_encode_new_glob(28, _flick_abort4221);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->c.a.a, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->c.a.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->c.a.c, CORBA_short );
  flick_cdr_encode_char8(10, _data->c.b.a, CORBA_char );
  flick_cdr_encode_char8(11, _data->c.b.b, CORBA_char );
  flick_cdr_encode_char8(12, _data->c.b.c, CORBA_char );
  flick_cdr_encode_char8(13, _data->c.b.d, CORBA_char );
  flick_cdr_encode_unsigned32(16, _data->c.b.e._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(20);
  flick_iiop_encode_end_glob(28);
  for (_t875_array_iter = 0; _t875_array_iter < _data->c.b.e._length; _t875_array_iter++)
    {
      if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->c.b.e._buffer + _t875_array_iter))
        goto _flick_abort4232;
      continue;
      {
      _flick_abort4232:
        goto _flick_abort4221;
      }
    }
  if (_data->c.b.e._release)
    CORBA_flick_free(_data->c.b.e._buffer);
  _data->c.b.e._maximum = 0;
  _data->c.b.e._release = 0;
  _data->c.b.e._buffer = (struct ta_td *)0;
  flick_iiop_encode_new_glob(4, _flick_abort4221);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->next._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t876_array_iter = 0; _t876_array_iter < _data->next._length; _t876_array_iter++)
    {
      if (flick_marshal_stub_ta_recursive_idl_server_return(_stream, _data->next._buffer + _t876_array_iter))
        goto _flick_abort4237;
      continue;
      {
      _flick_abort4237:
        goto _flick_abort4221;
      }
    }
  if (_data->next._release)
    CORBA_flick_free(_data->next._buffer);
  _data->next._maximum = 0;
  _data->next._release = 0;
  _data->next._buffer = (struct ta *)0;
  flick_iiop_encode_new_glob(24, _flick_abort4221);
  flick_iiop_encode_new_chunk(24);
  flick_cdr_encode_signed32(0, _data->d.a, CORBA_long );
  flick_cdr_encode_float64(8, _data->d.b, CORBA_double );
  flick_cdr_encode_signed16(16, _data->d.c, CORBA_short );
  flick_cdr_encode_char8(18, _data->e.a, CORBA_char );
  flick_cdr_encode_unsigned32(20, _t877_temp_string_len, flick_unsigned32_t );
  flick_iiop_encode_end_chunk(24);
  flick_iiop_encode_end_glob(24);
  flick_iiop_encode_new_glob(1 * _t877_temp_string_len, _flick_abort4221);
  flick_iiop_encode_new_chunk(1 * _t877_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->e.b, 1 * _t877_temp_string_len);
  CORBA_flick_free(_data->e.b);
  _data->e.b = (CORBA_char *)0;
  flick_iiop_encode_end_chunk(1 * _t877_temp_string_len);
  flick_iiop_encode_end_glob(1 * _t877_temp_string_len);
  flick_iiop_encode_new_glob(7, _flick_abort4221);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->e.c._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(7);
  for (_t878_array_iter = 0; _t878_array_iter < _data->e.c._length; _t878_array_iter++)
    {
      if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _data->e.c._buffer + _t878_array_iter))
        goto _flick_abort4244;
      continue;
      {
      _flick_abort4244:
        goto _flick_abort4221;
      }
    }
  if (_data->e.c._release)
    CORBA_flick_free(_data->e.c._buffer);
  _data->e.c._maximum = 0;
  _data->e.c._release = 0;
  _data->e.c._buffer = (struct ta_tc *)0;
  flick_iiop_encode_new_glob(28, _flick_abort4221);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->f.a.a, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->f.a.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->f.a.c, CORBA_short );
  flick_cdr_encode_char8(10, _data->f.b.a, CORBA_char );
  flick_cdr_encode_char8(11, _data->f.b.b, CORBA_char );
  flick_cdr_encode_char8(12, _data->f.b.c, CORBA_char );
  flick_cdr_encode_char8(13, _data->f.b.d, CORBA_char );
  flick_cdr_encode_unsigned32(16, _data->f.b.e._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(20);
  flick_iiop_encode_end_glob(28);
  for (_t879_array_iter = 0; _t879_array_iter < _data->f.b.e._length; _t879_array_iter++)
    {
      if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->f.b.e._buffer + _t879_array_iter))
        goto _flick_abort4249;
      continue;
      {
      _flick_abort4249:
        goto _flick_abort4221;
      }
    }
  if (_data->f.b.e._release)
    CORBA_flick_free(_data->f.b.e._buffer);
  _data->f.b.e._maximum = 0;
  _data->f.b.e._release = 0;
  _data->f.b.e._buffer = (struct ta_td *)0;
  return 0;
  {
  _flick_abort4221:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_tb_recursive_idl_server_return(flick_marshal_stream_t _stream, struct tb *_data)
{
  CORBA_unsigned_long _t880_array_iter;
  CORBA_unsigned_long _t884_array_iter;
  CORBA_unsigned_long _t887_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(44, _flick_abort4251);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_new_chunk_align(36, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_encode_signed32(12, _data->b.a.a, CORBA_long );
  flick_cdr_encode_float64(16, _data->b.a.b, CORBA_double );
  flick_cdr_encode_signed16(24, _data->b.a.c, CORBA_short );
  flick_cdr_encode_char8(26, _data->b.b.a, CORBA_char );
  flick_cdr_encode_char8(27, _data->b.b.b, CORBA_char );
  flick_cdr_encode_char8(28, _data->b.b.c, CORBA_char );
  flick_cdr_encode_char8(29, _data->b.b.d, CORBA_char );
  flick_cdr_encode_unsigned32(32, _data->b.b.e._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(36);
  flick_iiop_encode_end_glob(44);
  for (_t880_array_iter = 0; _t880_array_iter < _data->b.b.e._length; _t880_array_iter++)
    {
      if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->b.b.e._buffer + _t880_array_iter))
        goto _flick_abort4255;
      continue;
      {
      _flick_abort4255:
        goto _flick_abort4251;
      }
    }
  if (_data->b.b.e._release)
    CORBA_flick_free(_data->b.b.e._buffer);
  _data->b.b.e._maximum = 0;
  _data->b.b.e._release = 0;
  _data->b.b.e._buffer = (struct ta_td *)0;
  flick_iiop_encode_new_glob(4, _flick_abort4251);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t884_array_iter = 0; _t884_array_iter < _data->c._length; _t884_array_iter++)
    {
      CORBA_unsigned_long _t886_array_iter;

      flick_iiop_encode_new_glob(28, _flick_abort4275);
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->c._buffer[_t884_array_iter].a.a, CORBA_long );
      flick_iiop_encode_end_chunk(4);
      flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
      flick_cdr_encode_float64(0, _data->c._buffer[_t884_array_iter].a.b, CORBA_double );
      flick_cdr_encode_signed16(8, _data->c._buffer[_t884_array_iter].a.c, CORBA_short );
      flick_cdr_encode_char8(10, _data->c._buffer[_t884_array_iter].b.a, CORBA_char );
      flick_cdr_encode_char8(11, _data->c._buffer[_t884_array_iter].b.b, CORBA_char );
      flick_cdr_encode_char8(12, _data->c._buffer[_t884_array_iter].b.c, CORBA_char );
      flick_cdr_encode_char8(13, _data->c._buffer[_t884_array_iter].b.d, CORBA_char );
      flick_cdr_encode_unsigned32(16, _data->c._buffer[_t884_array_iter].b.e._length, CORBA_unsigned_long );
      flick_iiop_encode_end_chunk(20);
      flick_iiop_encode_end_glob(28);
      for (_t886_array_iter = 0; _t886_array_iter < _data->c._buffer[_t884_array_iter].b.e._length; _t886_array_iter++)
        {
          if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->c._buffer[_t884_array_iter].b.e._buffer + _t886_array_iter))
            goto _flick_abort4285;
          continue;
          {
          _flick_abort4285:
            goto _flick_abort4275;
          }
        }
      if (_data->c._buffer[_t884_array_iter].b.e._release)
        CORBA_flick_free(_data->c._buffer[_t884_array_iter].b.e._buffer);
      _data->c._buffer[_t884_array_iter].b.e._maximum = 0;
      _data->c._buffer[_t884_array_iter].b.e._release = 0;
      _data->c._buffer[_t884_array_iter].b.e._buffer = (struct ta_td *)0;
      continue;
      {
      _flick_abort4275:
        goto _flick_abort4251;
      }
    }
  if (_data->c._release)
    CORBA_flick_free(_data->c._buffer);
  _data->c._maximum = 0;
  _data->c._release = 0;
  _data->c._buffer = (struct ta_td *)0;
  flick_iiop_encode_new_glob(4, _flick_abort4251);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->d._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t887_array_iter = 0; _t887_array_iter < _data->d._length; _t887_array_iter++)
    {
      if (flick_marshal_stub_tb_recursive_idl_server_return(_stream, _data->d._buffer + _t887_array_iter))
        goto _flick_abort4290;
      continue;
      {
      _flick_abort4290:
        goto _flick_abort4251;
      }
    }
  if (_data->d._release)
    CORBA_flick_free(_data->d._buffer);
  _data->d._maximum = 0;
  _data->d._release = 0;
  _data->d._buffer = (struct tb *)0;
  return 0;
  {
  _flick_abort4251:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_td_recursive_idl_server_return(flick_marshal_stream_t _stream, struct td *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(52, _flick_abort4292);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t924_temp_string_len;
        CORBA_unsigned_long _t925_array_iter;
        CORBA_unsigned_long _t926_array_iter;
        CORBA_unsigned_long _t927_array_iter;
        flick_unsigned32_t _t928_temp_string_len;
        CORBA_unsigned_long _t929_array_iter;
        CORBA_unsigned_long _t930_array_iter;

        flick_cdr_stringlen(CORBA_char *, _data->_u.one.b.b, flick_unsigned32_t , _t924_temp_string_len);
        flick_cdr_stringlen(CORBA_char *, _data->_u.one.e.b, flick_unsigned32_t , _t928_temp_string_len);

        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.one.a.a, CORBA_long );
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.one.a.b, CORBA_double );
        flick_cdr_encode_signed16(8, _data->_u.one.a.c, CORBA_short );
        flick_cdr_encode_char8(10, _data->_u.one.b.a, CORBA_char );
        flick_cdr_encode_unsigned32(12, _t924_temp_string_len, flick_unsigned32_t );
        flick_iiop_encode_end_chunk(16);
        flick_iiop_encode_end_glob(52);
        flick_iiop_encode_new_glob(1 * _t924_temp_string_len, _flick_abort4491);
        flick_iiop_encode_new_chunk(1 * _t924_temp_string_len);
        flick_cdr_encode_bcopy(0, _data->_u.one.b.b, 1 * _t924_temp_string_len);
        CORBA_flick_free(_data->_u.one.b.b);
        _data->_u.one.b.b = (CORBA_char *)0;
        flick_iiop_encode_end_chunk(1 * _t924_temp_string_len);
        flick_iiop_encode_end_glob(1 * _t924_temp_string_len);
        flick_iiop_encode_new_glob(7, _flick_abort4491);
        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_unsigned32(0, _data->_u.one.b.c._length, CORBA_unsigned_long );
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_end_glob(7);
        for (_t925_array_iter = 0; _t925_array_iter < _data->_u.one.b.c._length; _t925_array_iter++)
          {
            if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _data->_u.one.b.c._buffer + _t925_array_iter))
              goto _flick_abort4497;
            continue;
            {
            _flick_abort4497:
              goto _flick_abort4491;
            }
          }
        if (_data->_u.one.b.c._release)
          CORBA_flick_free(_data->_u.one.b.c._buffer);
        _data->_u.one.b.c._maximum = 0;
        _data->_u.one.b.c._release = 0;
        _data->_u.one.b.c._buffer = (struct ta_tc *)0;
        flick_iiop_encode_new_glob(28, _flick_abort4491);
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.one.c.a.a, CORBA_long );
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.one.c.a.b, CORBA_double );
        flick_cdr_encode_signed16(8, _data->_u.one.c.a.c, CORBA_short );
        flick_cdr_encode_char8(10, _data->_u.one.c.b.a, CORBA_char );
        flick_cdr_encode_char8(11, _data->_u.one.c.b.b, CORBA_char );
        flick_cdr_encode_char8(12, _data->_u.one.c.b.c, CORBA_char );
        flick_cdr_encode_char8(13, _data->_u.one.c.b.d, CORBA_char );
        flick_cdr_encode_unsigned32(16, _data->_u.one.c.b.e._length, CORBA_unsigned_long );
        flick_iiop_encode_end_chunk(20);
        flick_iiop_encode_end_glob(28);
        for (_t926_array_iter = 0; _t926_array_iter < _data->_u.one.c.b.e._length; _t926_array_iter++)
          {
            if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->_u.one.c.b.e._buffer + _t926_array_iter))
              goto _flick_abort4502;
            continue;
            {
            _flick_abort4502:
              goto _flick_abort4491;
            }
          }
        if (_data->_u.one.c.b.e._release)
          CORBA_flick_free(_data->_u.one.c.b.e._buffer);
        _data->_u.one.c.b.e._maximum = 0;
        _data->_u.one.c.b.e._release = 0;
        _data->_u.one.c.b.e._buffer = (struct ta_td *)0;
        flick_iiop_encode_new_glob(4, _flick_abort4491);
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.one.next._length, CORBA_unsigned_long );
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_end_glob(4);
        for (_t927_array_iter = 0; _t927_array_iter < _data->_u.one.next._length; _t927_array_iter++)
          {
            if (flick_marshal_stub_ta_recursive_idl_server_return(_stream, _data->_u.one.next._buffer + _t927_array_iter))
              goto _flick_abort4507;
            continue;
            {
            _flick_abort4507:
              goto _flick_abort4491;
            }
          }
        if (_data->_u.one.next._release)
          CORBA_flick_free(_data->_u.one.next._buffer);
        _data->_u.one.next._maximum = 0;
        _data->_u.one.next._release = 0;
        _data->_u.one.next._buffer = (struct ta *)0;
        flick_iiop_encode_new_glob(24, _flick_abort4491);
        flick_iiop_encode_new_chunk(24);
        flick_cdr_encode_signed32(0, _data->_u.one.d.a, CORBA_long );
        flick_cdr_encode_float64(8, _data->_u.one.d.b, CORBA_double );
        flick_cdr_encode_signed16(16, _data->_u.one.d.c, CORBA_short );
        flick_cdr_encode_char8(18, _data->_u.one.e.a, CORBA_char );
        flick_cdr_encode_unsigned32(20, _t928_temp_string_len, flick_unsigned32_t );
        flick_iiop_encode_end_chunk(24);
        flick_iiop_encode_end_glob(24);
        flick_iiop_encode_new_glob(1 * _t928_temp_string_len, _flick_abort4491);
        flick_iiop_encode_new_chunk(1 * _t928_temp_string_len);
        flick_cdr_encode_bcopy(0, _data->_u.one.e.b, 1 * _t928_temp_string_len);
        CORBA_flick_free(_data->_u.one.e.b);
        _data->_u.one.e.b = (CORBA_char *)0;
        flick_iiop_encode_end_chunk(1 * _t928_temp_string_len);
        flick_iiop_encode_end_glob(1 * _t928_temp_string_len);
        flick_iiop_encode_new_glob(7, _flick_abort4491);
        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_unsigned32(0, _data->_u.one.e.c._length, CORBA_unsigned_long );
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_end_glob(7);
        for (_t929_array_iter = 0; _t929_array_iter < _data->_u.one.e.c._length; _t929_array_iter++)
          {
            if (flick_marshal_stub_ta_tc_recursive_idl_server_return(_stream, _data->_u.one.e.c._buffer + _t929_array_iter))
              goto _flick_abort4514;
            continue;
            {
            _flick_abort4514:
              goto _flick_abort4491;
            }
          }
        if (_data->_u.one.e.c._release)
          CORBA_flick_free(_data->_u.one.e.c._buffer);
        _data->_u.one.e.c._maximum = 0;
        _data->_u.one.e.c._release = 0;
        _data->_u.one.e.c._buffer = (struct ta_tc *)0;
        flick_iiop_encode_new_glob(28, _flick_abort4491);
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.one.f.a.a, CORBA_long );
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.one.f.a.b, CORBA_double );
        flick_cdr_encode_signed16(8, _data->_u.one.f.a.c, CORBA_short );
        flick_cdr_encode_char8(10, _data->_u.one.f.b.a, CORBA_char );
        flick_cdr_encode_char8(11, _data->_u.one.f.b.b, CORBA_char );
        flick_cdr_encode_char8(12, _data->_u.one.f.b.c, CORBA_char );
        flick_cdr_encode_char8(13, _data->_u.one.f.b.d, CORBA_char );
        flick_cdr_encode_unsigned32(16, _data->_u.one.f.b.e._length, CORBA_unsigned_long );
        flick_iiop_encode_end_chunk(20);
        flick_iiop_encode_end_glob(28);
        for (_t930_array_iter = 0; _t930_array_iter < _data->_u.one.f.b.e._length; _t930_array_iter++)
          {
            if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->_u.one.f.b.e._buffer + _t930_array_iter))
              goto _flick_abort4519;
            continue;
            {
            _flick_abort4519:
              goto _flick_abort4491;
            }
          }
        if (_data->_u.one.f.b.e._release)
          CORBA_flick_free(_data->_u.one.f.b.e._buffer);
        _data->_u.one.f.b.e._maximum = 0;
        _data->_u.one.f.b.e._release = 0;
        _data->_u.one.f.b.e._buffer = (struct ta_td *)0;
        break;
        {
        _flick_abort4491:
          goto _flick_abort4292;
        }
      }
    case 2:
      {
        CORBA_unsigned_long _t931_array_iter;
        CORBA_unsigned_long _t935_array_iter;
        CORBA_unsigned_long _t938_array_iter;

        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.two.a.a, CORBA_long );
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_new_chunk_align(36, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.two.a.b, CORBA_double );
        flick_cdr_encode_signed16(8, _data->_u.two.a.c, CORBA_short );
        flick_cdr_encode_signed32(12, _data->_u.two.b.a.a, CORBA_long );
        flick_cdr_encode_float64(16, _data->_u.two.b.a.b, CORBA_double );
        flick_cdr_encode_signed16(24, _data->_u.two.b.a.c, CORBA_short );
        flick_cdr_encode_char8(26, _data->_u.two.b.b.a, CORBA_char );
        flick_cdr_encode_char8(27, _data->_u.two.b.b.b, CORBA_char );
        flick_cdr_encode_char8(28, _data->_u.two.b.b.c, CORBA_char );
        flick_cdr_encode_char8(29, _data->_u.two.b.b.d, CORBA_char );
        flick_cdr_encode_unsigned32(32, _data->_u.two.b.b.e._length, CORBA_unsigned_long );
        flick_iiop_encode_end_chunk(36);
        flick_iiop_encode_end_glob(52);
        for (_t931_array_iter = 0; _t931_array_iter < _data->_u.two.b.b.e._length; _t931_array_iter++)
          {
            if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->_u.two.b.b.e._buffer + _t931_array_iter))
              goto _flick_abort4525;
            continue;
            {
            _flick_abort4525:
              goto _flick_abort4521;
            }
          }
        if (_data->_u.two.b.b.e._release)
          CORBA_flick_free(_data->_u.two.b.b.e._buffer);
        _data->_u.two.b.b.e._maximum = 0;
        _data->_u.two.b.b.e._release = 0;
        _data->_u.two.b.b.e._buffer = (struct ta_td *)0;
        flick_iiop_encode_new_glob(4, _flick_abort4521);
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.two.c._length, CORBA_unsigned_long );
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_end_glob(4);
        for (_t935_array_iter = 0; _t935_array_iter < _data->_u.two.c._length; _t935_array_iter++)
          {
            CORBA_unsigned_long _t937_array_iter;

            flick_iiop_encode_new_glob(28, _flick_abort4545);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _data->_u.two.c._buffer[_t935_array_iter].a.a, CORBA_long );
            flick_iiop_encode_end_chunk(4);
            flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
            flick_cdr_encode_float64(0, _data->_u.two.c._buffer[_t935_array_iter].a.b, CORBA_double );
            flick_cdr_encode_signed16(8, _data->_u.two.c._buffer[_t935_array_iter].a.c, CORBA_short );
            flick_cdr_encode_char8(10, _data->_u.two.c._buffer[_t935_array_iter].b.a, CORBA_char );
            flick_cdr_encode_char8(11, _data->_u.two.c._buffer[_t935_array_iter].b.b, CORBA_char );
            flick_cdr_encode_char8(12, _data->_u.two.c._buffer[_t935_array_iter].b.c, CORBA_char );
            flick_cdr_encode_char8(13, _data->_u.two.c._buffer[_t935_array_iter].b.d, CORBA_char );
            flick_cdr_encode_unsigned32(16, _data->_u.two.c._buffer[_t935_array_iter].b.e._length, CORBA_unsigned_long );
            flick_iiop_encode_end_chunk(20);
            flick_iiop_encode_end_glob(28);
            for (_t937_array_iter = 0; _t937_array_iter < _data->_u.two.c._buffer[_t935_array_iter].b.e._length; _t937_array_iter++)
              {
                if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->_u.two.c._buffer[_t935_array_iter].b.e._buffer + _t937_array_iter))
                  goto _flick_abort4555;
                continue;
                {
                _flick_abort4555:
                  goto _flick_abort4545;
                }
              }
            if (_data->_u.two.c._buffer[_t935_array_iter].b.e._release)
              CORBA_flick_free(_data->_u.two.c._buffer[_t935_array_iter].b.e._buffer);
            _data->_u.two.c._buffer[_t935_array_iter].b.e._maximum = 0;
            _data->_u.two.c._buffer[_t935_array_iter].b.e._release = 0;
            _data->_u.two.c._buffer[_t935_array_iter].b.e._buffer = (struct ta_td *)0;
            continue;
            {
            _flick_abort4545:
              goto _flick_abort4521;
            }
          }
        if (_data->_u.two.c._release)
          CORBA_flick_free(_data->_u.two.c._buffer);
        _data->_u.two.c._maximum = 0;
        _data->_u.two.c._release = 0;
        _data->_u.two.c._buffer = (struct ta_td *)0;
        flick_iiop_encode_new_glob(4, _flick_abort4521);
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.two.d._length, CORBA_unsigned_long );
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_end_glob(4);
        for (_t938_array_iter = 0; _t938_array_iter < _data->_u.two.d._length; _t938_array_iter++)
          {
            if (flick_marshal_stub_tb_recursive_idl_server_return(_stream, _data->_u.two.d._buffer + _t938_array_iter))
              goto _flick_abort4560;
            continue;
            {
            _flick_abort4560:
              goto _flick_abort4521;
            }
          }
        if (_data->_u.two.d._release)
          CORBA_flick_free(_data->_u.two.d._buffer);
        _data->_u.two.d._maximum = 0;
        _data->_u.two.d._release = 0;
        _data->_u.two.d._buffer = (struct tb *)0;
        break;
        {
        _flick_abort4521:
          goto _flick_abort4292;
        }
      }
    case 3:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.three._d, CORBA_enum );
        flick_iiop_encode_end_chunk(4);
        switch (_data->_u.three._d)
          {
          case 0:
            {
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->_u.three._u.x, CORBA_long );
              flick_iiop_encode_end_chunk(4);
              flick_iiop_encode_end_glob(52);
              break;
            }
          case 1:
            {
              flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
              flick_cdr_encode_float64(0, _data->_u.three._u.y, CORBA_double );
              flick_iiop_encode_end_chunk(8);
              flick_iiop_encode_end_glob(52);
              break;
            }
          case 2:
            {
              flick_iiop_encode_new_chunk(1);
              flick_cdr_encode_unsigned8(0, _data->_u.three._u.z, CORBA_boolean );
              flick_iiop_encode_end_chunk(1);
              flick_iiop_encode_end_glob(52);
              break;
            }
          case 3:
            {
              CORBA_unsigned_long _t949_array_iter;
              CORBA_unsigned_long _t953_array_iter;
              CORBA_unsigned_long _t956_array_iter;

              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->_u.three._u.s.a.a, CORBA_long );
              flick_iiop_encode_end_chunk(4);
              flick_iiop_encode_new_chunk_align(36, 3, 2, 0);
              flick_cdr_encode_float64(0, _data->_u.three._u.s.a.b, CORBA_double );
              flick_cdr_encode_signed16(8, _data->_u.three._u.s.a.c, CORBA_short );
              flick_cdr_encode_signed32(12, _data->_u.three._u.s.b.a.a, CORBA_long );
              flick_cdr_encode_float64(16, _data->_u.three._u.s.b.a.b, CORBA_double );
              flick_cdr_encode_signed16(24, _data->_u.three._u.s.b.a.c, CORBA_short );
              flick_cdr_encode_char8(26, _data->_u.three._u.s.b.b.a, CORBA_char );
              flick_cdr_encode_char8(27, _data->_u.three._u.s.b.b.b, CORBA_char );
              flick_cdr_encode_char8(28, _data->_u.three._u.s.b.b.c, CORBA_char );
              flick_cdr_encode_char8(29, _data->_u.three._u.s.b.b.d, CORBA_char );
              flick_cdr_encode_unsigned32(32, _data->_u.three._u.s.b.b.e._length, CORBA_unsigned_long );
              flick_iiop_encode_end_chunk(36);
              flick_iiop_encode_end_glob(52);
              for (_t949_array_iter = 0; _t949_array_iter < _data->_u.three._u.s.b.b.e._length; _t949_array_iter++)
                {
                  if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->_u.three._u.s.b.b.e._buffer + _t949_array_iter))
                    goto _flick_abort4630;
                  continue;
                  {
                  _flick_abort4630:
                    goto _flick_abort4626;
                  }
                }
              if (_data->_u.three._u.s.b.b.e._release)
                CORBA_flick_free(_data->_u.three._u.s.b.b.e._buffer);
              _data->_u.three._u.s.b.b.e._maximum = 0;
              _data->_u.three._u.s.b.b.e._release = 0;
              _data->_u.three._u.s.b.b.e._buffer = (struct ta_td *)0;
              flick_iiop_encode_new_glob(4, _flick_abort4626);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _data->_u.three._u.s.c._length, CORBA_unsigned_long );
              flick_iiop_encode_end_chunk(4);
              flick_iiop_encode_end_glob(4);
              for (_t953_array_iter = 0; _t953_array_iter < _data->_u.three._u.s.c._length; _t953_array_iter++)
                {
                  CORBA_unsigned_long _t955_array_iter;

                  flick_iiop_encode_new_glob(28, _flick_abort4650);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _data->_u.three._u.s.c._buffer[_t953_array_iter].a.a, CORBA_long );
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
                  flick_cdr_encode_float64(0, _data->_u.three._u.s.c._buffer[_t953_array_iter].a.b, CORBA_double );
                  flick_cdr_encode_signed16(8, _data->_u.three._u.s.c._buffer[_t953_array_iter].a.c, CORBA_short );
                  flick_cdr_encode_char8(10, _data->_u.three._u.s.c._buffer[_t953_array_iter].b.a, CORBA_char );
                  flick_cdr_encode_char8(11, _data->_u.three._u.s.c._buffer[_t953_array_iter].b.b, CORBA_char );
                  flick_cdr_encode_char8(12, _data->_u.three._u.s.c._buffer[_t953_array_iter].b.c, CORBA_char );
                  flick_cdr_encode_char8(13, _data->_u.three._u.s.c._buffer[_t953_array_iter].b.d, CORBA_char );
                  flick_cdr_encode_unsigned32(16, _data->_u.three._u.s.c._buffer[_t953_array_iter].b.e._length, CORBA_unsigned_long );
                  flick_iiop_encode_end_chunk(20);
                  flick_iiop_encode_end_glob(28);
                  for (_t955_array_iter = 0; _t955_array_iter < _data->_u.three._u.s.c._buffer[_t953_array_iter].b.e._length; _t955_array_iter++)
                    {
                      if (flick_marshal_stub_ta_td_recursive_idl_server_return(_stream, _data->_u.three._u.s.c._buffer[_t953_array_iter].b.e._buffer + _t955_array_iter))
                        goto _flick_abort4660;
                      continue;
                      {
                      _flick_abort4660:
                        goto _flick_abort4650;
                      }
                    }
                  if (_data->_u.three._u.s.c._buffer[_t953_array_iter].b.e._release)
                    CORBA_flick_free(_data->_u.three._u.s.c._buffer[_t953_array_iter].b.e._buffer);
                  _data->_u.three._u.s.c._buffer[_t953_array_iter].b.e._maximum = 0;
                  _data->_u.three._u.s.c._buffer[_t953_array_iter].b.e._release = 0;
                  _data->_u.three._u.s.c._buffer[_t953_array_iter].b.e._buffer = (struct ta_td *)0;
                  continue;
                  {
                  _flick_abort4650:
                    goto _flick_abort4626;
                  }
                }
              if (_data->_u.three._u.s.c._release)
                CORBA_flick_free(_data->_u.three._u.s.c._buffer);
              _data->_u.three._u.s.c._maximum = 0;
              _data->_u.three._u.s.c._release = 0;
              _data->_u.three._u.s.c._buffer = (struct ta_td *)0;
              flick_iiop_encode_new_glob(4, _flick_abort4626);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _data->_u.three._u.s.d._length, CORBA_unsigned_long );
              flick_iiop_encode_end_chunk(4);
              flick_iiop_encode_end_glob(4);
              for (_t956_array_iter = 0; _t956_array_iter < _data->_u.three._u.s.d._length; _t956_array_iter++)
                {
                  if (flick_marshal_stub_tb_recursive_idl_server_return(_stream, _data->_u.three._u.s.d._buffer + _t956_array_iter))
                    goto _flick_abort4665;
                  continue;
                  {
                  _flick_abort4665:
                    goto _flick_abort4626;
                  }
                }
              if (_data->_u.three._u.s.d._release)
                CORBA_flick_free(_data->_u.three._u.s.d._buffer);
              _data->_u.three._u.s.d._maximum = 0;
              _data->_u.three._u.s.d._release = 0;
              _data->_u.three._u.s.d._buffer = (struct tb *)0;
              break;
              {
              _flick_abort4626:
                goto _flick_abort4562;
              }
            }
          case 4:
            {
              flick_iiop_encode_new_chunk(1);
              flick_cdr_encode_unsigned8(0, _data->_u.three._u.u._d, CORBA_boolean );
              flick_iiop_encode_end_chunk(1);
              switch (_data->_u.three._u.u._d)
                {
                case 1:
                  {
                    CORBA_unsigned_long _t958_array_iter;

                    flick_iiop_encode_new_chunk(7);
                    flick_cdr_encode_unsigned32(3, _data->_u.three._u.u._u.next._length, CORBA_unsigned_long );
                    flick_iiop_encode_end_chunk(7);
                    flick_iiop_encode_end_glob(52);
                    if (_data->_u.three._u.u._u.next._length > 1)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort4675);
                    for (_t958_array_iter = 0; _t958_array_iter < _data->_u.three._u.u._u.next._length; _t958_array_iter++)
                      {
                        if (flick_marshal_stub_td_recursive_idl_server_return(_stream, _data->_u.three._u.u._u.next._buffer + _t958_array_iter))
                          goto _flick_abort4678;
                        continue;
                        {
                        _flick_abort4678:
                          goto _flick_abort4675;
                        }
                      }
                    if (_data->_u.three._u.u._u.next._release)
                      CORBA_flick_free(_data->_u.three._u.u._u.next._buffer);
                    _data->_u.three._u.u._u.next._maximum = 0;
                    _data->_u.three._u.u._u.next._release = 0;
                    _data->_u.three._u.u._u.next._buffer = (struct td *)0;
                    break;
                    {
                    _flick_abort4675:
                      goto _flick_abort4667;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(52);
                    break;
                  }
                }
              break;
              {
              _flick_abort4667:
                goto _flick_abort4562;
              }
            }
          default:
            {
              flick_iiop_encode_end_glob(52);
              break;
            }
          }
        break;
        {
        _flick_abort4562:
          goto _flick_abort4292;
        }
      }
    default:
      {
        CORBA_unsigned_long _t959_array_iter;

        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.again._length, CORBA_unsigned_long );
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_end_glob(52);
        for (_t959_array_iter = 0; _t959_array_iter < _data->_u.again._length; _t959_array_iter++)
          {
            if (flick_marshal_stub_td_recursive_idl_server_return(_stream, _data->_u.again._buffer + _t959_array_iter))
              goto _flick_abort4686;
            continue;
            {
            _flick_abort4686:
              goto _flick_abort4682;
            }
          }
        if (_data->_u.again._release)
          CORBA_flick_free(_data->_u.again._buffer);
        _data->_u.again._maximum = 0;
        _data->_u.again._release = 0;
        _data->_u.again._buffer = (struct td *)0;
        break;
        {
        _flick_abort4682:
          goto _flick_abort4292;
        }
      }
    }
  return 0;
  {
  _flick_abort4292:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_tc_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ta_tc *_data)
{
  flick_unsigned32_t _t960_temp_string_len;
  CORBA_unsigned_long _t961_array_iter;

  flick_cdr_stringlen(CORBA_char *, _data->b, flick_unsigned32_t , _t960_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort4688);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->a, CORBA_char );
  flick_cdr_encode_unsigned32(4, _t960_temp_string_len, flick_unsigned32_t );
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  flick_iiop_encode_new_glob(1 * _t960_temp_string_len, _flick_abort4688);
  flick_iiop_encode_new_chunk(1 * _t960_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->b, 1 * _t960_temp_string_len);
  CORBA_flick_free(_data->b);
  _data->b = (CORBA_char *)0;
  flick_iiop_encode_end_chunk(1 * _t960_temp_string_len);
  flick_iiop_encode_end_glob(1 * _t960_temp_string_len);
  flick_iiop_encode_new_glob(7, _flick_abort4688);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->c._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(7);
  for (_t961_array_iter = 0; _t961_array_iter < _data->c._length; _t961_array_iter++)
    {
      if (flick_marshal_stub_ta_tc_recursive_idl_server_inout(_stream, _data->c._buffer + _t961_array_iter))
        goto _flick_abort4694;
      continue;
      {
      _flick_abort4694:
        goto _flick_abort4688;
      }
    }
  if (_data->c._release)
    CORBA_flick_free(_data->c._buffer);
  _data->c._maximum = 0;
  _data->c._release = 0;
  _data->c._buffer = (struct ta_tc *)0;
  return 0;
  {
  _flick_abort4688:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_td_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ta_td *_data)
{
  CORBA_unsigned_long _t962_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(28, _flick_abort4696);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_encode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_encode_char8(11, _data->b.b, CORBA_char );
  flick_cdr_encode_char8(12, _data->b.c, CORBA_char );
  flick_cdr_encode_char8(13, _data->b.d, CORBA_char );
  flick_cdr_encode_unsigned32(16, _data->b.e._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(20);
  flick_iiop_encode_end_glob(28);
  for (_t962_array_iter = 0; _t962_array_iter < _data->b.e._length; _t962_array_iter++)
    {
      if (flick_marshal_stub_ta_td_recursive_idl_server_inout(_stream, _data->b.e._buffer + _t962_array_iter))
        goto _flick_abort4700;
      continue;
      {
      _flick_abort4700:
        goto _flick_abort4696;
      }
    }
  if (_data->b.e._release)
    CORBA_flick_free(_data->b.e._buffer);
  _data->b.e._maximum = 0;
  _data->b.e._release = 0;
  _data->b.e._buffer = (struct ta_td *)0;
  return 0;
  {
  _flick_abort4696:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_recursive_idl_server_inout(flick_marshal_stream_t _stream, struct ta *_data)
{
  flick_unsigned32_t _t963_temp_string_len;
  CORBA_unsigned_long _t964_array_iter;
  CORBA_unsigned_long _t965_array_iter;
  CORBA_unsigned_long _t966_array_iter;
  flick_unsigned32_t _t967_temp_string_len;
  CORBA_unsigned_long _t968_array_iter;
  CORBA_unsigned_long _t969_array_iter;

  flick_cdr_stringlen(CORBA_char *, _data->b.b, flick_unsigned32_t , _t963_temp_string_len);
  flick_cdr_stringlen(CORBA_char *, _data->e.b, flick_unsigned32_t , _t967_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(24, _flick_abort4702);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA_short );
  flick_cdr_encode_char8(10, _data->b.a, CORBA_char );
  flick_cdr_encode_unsigned32(12, _t963_temp_string_len, flick_unsigned32_t );
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(24);
  flick_iiop_encode_new_glob(1 * _t963_temp_string_len, _flick_abort4702);
  flick_iiop_encode_new_chunk(1 * _t963_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->b.b, 1 * _t963_temp_string_len);
  CORBA_flick_free(_data->b.b);
  _data->b.b = (CORBA_char *)0;
  flick_iiop_encode_end_chunk(1 * _t963_temp_string_len);
  flick_iiop_encode_end_glob(1 * _t963_temp_string_len);
  flick_iiop_encode_new_glob(7, _flick_abort4702);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->b.c._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(7);
  for (_t964_array_iter = 0; _t964_array_iter < _data->b.c._length; _t964_array_iter++)
    {
      if (flick_marshal_stub_ta_tc_recursive_idl_server_inout(_stream, _data->b.c._buffer + _t964_array_iter))
        goto _flick_abort4708;
      continue;
      {
      _flick_abort4708:
        goto _flick_abort4702;
      }
    }
  if (_data->b.c._release)
    CORBA_flick_free(_data->b.c._buffer);
  _data->b.c._maximum = 0;
  _data->b.c._release = 0;
  _data->b.c._buffer = (struct ta_tc *)0;
  flick_iiop_encode_new_glob(28, _flick_abort4702);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->c.a.a, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->c.a.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->c.a.c, CORBA_short );
  flick_cdr_encode_char8(10, _data->c.b.a, CORBA_char );
  flick_cdr_encode_char8(11, _data->c.b.b, CORBA_char );
  flick_cdr_encode_char8(12, _data->c.b.c, CORBA_char );
  flick_cdr_encode_char8(13, _data->c.b.d, CORBA_char );
  flick_cdr_encode_unsigned32(16, _data->c.b.e._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(20);
  flick_iiop_encode_end_glob(28);
  for (_t965_array_iter = 0; _t965_array_iter < _data->c.b.e._length; _t965_array_iter++)
    {
      if (flick_marshal_stub_ta_td_recursive_idl_server_inout(_stream, _data->c.b.e._buffer + _t965_array_iter))
        goto _flick_abort4713;
      continue;
      {
      _flick_abort4713:
        goto _flick_abort4702;
      }
    }
  if (_data->c.b.e._release)
    CORBA_flick_free(_data->c.b.e._buffer);
  _data->c.b.e._maximum = 0;
  _data->c.b.e._release = 0;
  _data->c.b.e._buffer = (struct ta_td *)0;
  flick_iiop_encode_new_glob(4, _flick_abort4702);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->next._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t966_array_iter = 0; _t966_array_iter < _data->next._length; _t966_array_iter++)
    {
      if (flick_marshal_stub_ta_recursive_idl_server_inout(_stream, _data->next._buffer + _t966_array_iter))
        goto _flick_abort4718;
      continue;
      {
      _flick_abort4718:
        goto _flick_abort4702;
      }
    }
  if (_data->next._release)
    CORBA_flick_free(_data->next._buffer);
  _data->next._maximum = 0;
  _data->next._release = 0;
  _data->next._buffer = (struct ta *)0;
  flick_iiop_encode_new_glob(24, _flick_abort4702);
  flick_iiop_encode_new_chunk(24);
  flick_cdr_encode_signed32(0, _data->d.a, CORBA_long );
  flick_cdr_encode_float64(8, _data->d.b, CORBA_double );
  flick_cdr_encode_signed16(16, _data->d.c, CORBA_short );
  flick_cdr_encode_char8(18, _data->e.a, CORBA_char );
  flick_cdr_encode_unsigned32(20, _t967_temp_string_len, flick_unsigned32_t );
  flick_iiop_encode_end_chunk(24);
  flick_iiop_encode_end_glob(24);
  flick_iiop_encode_new_glob(1 * _t967_temp_string_len, _flick_abort4702);
  flick_iiop_encode_new_chunk(1 * _t967_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->e.b, 1 * _t967_temp_string_len);
  CORBA_flick_free(_data->e.b);
  _data->e.b = (CORBA_char *)0;
  flick_iiop_encode_end_chunk(1 * _t967_temp_string_len);
  flick_iiop_encode_end_glob(1 * _t967_temp_string_len);
  flick_iiop_encode_new_glob(7, _flick_abort4702);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->e.c._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(7);
  for (_t968_array_iter = 0; _t968_array_iter < _data->e.c._length; _t968_array_iter++)
    {
      if (flick_marshal_stub_ta_tc_recursive_idl_server_inout(_stream, _data->e.c._buffer + _t968_array_iter))
        goto _flick_abort4725;
      continue;
      {
      _flick_abort4725:
        goto _flick_abort4702;
      }
    }
  if (_data->e.c._release)
    CORBA_flick_free(_data->e.c._buffer);
  _data->e.c._maximum = 0;
  _data->e.c._release = 0;
  _data->e.c._buffer = (struct ta_tc *)0;
  flick_iiop_encode_new_glob(28, _flick_abort4702);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->f.a.a, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->f.a.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->f.a.c, CORBA_short );
  flick_cdr_encode_char8(10, _data->f.b.a, CORBA_char );
  flick_cdr_encode_char8(11, _data->f.b.b, CORBA_char );
  flick_cdr_encode_char8(12, _data->f.b.c, CORBA_char );
  flick_cdr_encode_char8(13, _data->f.b.d, CORBA_char );
  flick_cdr_encode_unsigned32(16, _data->f.b.e._length, CORBA_unsigned_long );
  flick_iiop_encode_end_chunk(20);
  flick_iiop_encode_end_glob(28);
  for (_t969_array_iter = 0; _t969_array_iter < _data->f.b.e._length; _t969_array_iter++)
    {
      if (flick_marshal_stub_ta_td_recursive_idl_server_inout(_stream, _data->f.b.e._buffer + _t969_array_iter))
        goto _flick_abort4730;
      continue;
      {
      _flick_abort4730:
        goto _flick_abort4702;
      }
    }
  if (_data->f.b.e._release)
    CORBA_flick_free(_data->f.b.e._buffer);
  _data->f.b.e._maximum = 0;
  _data->f.b.e._release = 0;
  _data->f.b.e._buffer = (struct ta_td *)0;
  return 0;
  {
  _flick_abort4702:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

