#include "arrays-client.h"
#include "arrays-server.h"


static const CORBA::Long _oc_end[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x656e643a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:end:1.0 */,
    4, ACE_NTOHL(0x656e6400) /* name = end */,
    2 /* member count */,
    6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
    CORBA::tk_long,
    6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_end (CORBA::tk_struct, sizeof(_oc_end), (char *) &_oc_end, 0, sizeof(struct end ));

CORBA::TypeCode_ptr _tc_end = &_tc_TAO_tc_end;


void operator<<=(CORBA::Any &a, const struct end &o)
{
  struct end  *_any_val;
  ACE_NEW(_any_val, struct end  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_end, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct end *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_end, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct end *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_end, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct end  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct end , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_end, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_end, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

end_var::end_var()
  : ptr_(0)
{}

end_var::end_var(struct end *p)
 : ptr_(p)
{}

end_var::end_var(const end_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct end (*a.ptr_);
  else
    this->ptr_ = 0;
}

end_var::~end_var()
{
  delete this->ptr_;
}

end_var &end_var::operator=(struct end *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

end_var &end_var::operator=(const end_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct end (*p.ptr_);
  }
  return *this;
}

struct end *end_var::operator->()
{
  return this->ptr_;
}

const struct end *end_var::operator->() const
{
  return this->ptr_;
}

end_var::operator const struct end &() const
{
  return *this->ptr_;
}

end_var::operator struct end &()
{
  return *this->ptr_;
}

end_var::operator struct end &() const
{
  return *this->ptr_;
}

const struct end &end_var::in() const
{
  return *this->ptr_;
}

struct end &end_var::inout()
{
  return *this->ptr_;
}

struct end &end_var::out()
{
  return *this->ptr_;
}

struct end end_var::_retn()
{
  return *this->ptr_;
}

struct end *end_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_begin[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e3a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:begin:1.0 */,
    6, ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e000000) /* name = begin */,
    2 /* member count */,
    6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
    CORBA::tk_char,
    6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_begin (CORBA::tk_struct, sizeof(_oc_begin), (char *) &_oc_begin, 0, sizeof(struct begin ));

CORBA::TypeCode_ptr _tc_begin = &_tc_TAO_tc_begin;


void operator<<=(CORBA::Any &a, const struct begin &o)
{
  struct begin  *_any_val;
  ACE_NEW(_any_val, struct begin  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_begin, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct begin *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_begin, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct begin *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_begin, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct begin  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct begin , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_begin, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_begin, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

begin_var::begin_var()
  : ptr_(0)
{}

begin_var::begin_var(struct begin *p)
 : ptr_(p)
{}

begin_var::begin_var(const begin_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct begin (*a.ptr_);
  else
    this->ptr_ = 0;
}

begin_var::~begin_var()
{
  delete this->ptr_;
}

begin_var &begin_var::operator=(struct begin *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

begin_var &begin_var::operator=(const begin_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct begin (*p.ptr_);
  }
  return *this;
}

struct begin *begin_var::operator->()
{
  return this->ptr_;
}

const struct begin *begin_var::operator->() const
{
  return this->ptr_;
}

begin_var::operator const struct begin &() const
{
  return *this->ptr_;
}

begin_var::operator struct begin &()
{
  return *this->ptr_;
}

begin_var::operator struct begin &() const
{
  return *this->ptr_;
}

const struct begin &begin_var::in() const
{
  return *this->ptr_;
}

struct begin &begin_var::inout()
{
  return *this->ptr_;
}

struct begin &begin_var::out()
{
  return *this->ptr_;
}

struct begin begin_var::_retn()
{
  return *this->ptr_;
}

struct begin *begin_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_cLd[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x634c643a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:cLd:1.0 */,
    4, ACE_NTOHL(0x634c6400) /* name = cLd */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_char,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_double
};

static CORBA::TypeCode _tc_TAO_tc_cLd (CORBA::tk_struct, sizeof(_oc_cLd), (char *) &_oc_cLd, 0, sizeof(struct cLd ));

CORBA::TypeCode_ptr _tc_cLd = &_tc_TAO_tc_cLd;


void operator<<=(CORBA::Any &a, const struct cLd &o)
{
  struct cLd  *_any_val;
  ACE_NEW(_any_val, struct cLd  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_cLd, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct cLd *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_cLd, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct cLd *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_cLd, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct cLd  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct cLd , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_cLd, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_cLd, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

cLd_var::cLd_var()
  : ptr_(0)
{}

cLd_var::cLd_var(struct cLd *p)
 : ptr_(p)
{}

cLd_var::cLd_var(const cLd_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct cLd (*a.ptr_);
  else
    this->ptr_ = 0;
}

cLd_var::~cLd_var()
{
  delete this->ptr_;
}

cLd_var &cLd_var::operator=(struct cLd *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

cLd_var &cLd_var::operator=(const cLd_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct cLd (*p.ptr_);
  }
  return *this;
}

struct cLd *cLd_var::operator->()
{
  return this->ptr_;
}

const struct cLd *cLd_var::operator->() const
{
  return this->ptr_;
}

cLd_var::operator const struct cLd &() const
{
  return *this->ptr_;
}

cLd_var::operator struct cLd &()
{
  return *this->ptr_;
}

cLd_var::operator struct cLd &() const
{
  return *this->ptr_;
}

const struct cLd &cLd_var::in() const
{
  return *this->ptr_;
}

struct cLd &cLd_var::inout()
{
  return *this->ptr_;
}

struct cLd &cLd_var::out()
{
  return *this->ptr_;
}

struct cLd cLd_var::_retn()
{
  return *this->ptr_;
}

struct cLd *cLd_var::ptr() const
{
  return this->ptr_;
}

::cLd::_data_slice *cLd::_data_alloc()
{
  return new ::cLd::_data_slice [50];
}

::cLd::_data_slice *cLd::_data_dup(const ::cLd::_data_slice *_slice)
{
  ::cLd::_data_slice  *_dup_array = cLd::_data_alloc();
  if( !_dup_array ) return 0;
  cLd::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void cLd::_data_copy(::cLd::_data_slice *_to_slice, const ::cLd::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void cLd::_data_free(::cLd::_data_slice *_slice)
{
  delete [] _slice;
}

cLd::_data_var::_data_var()
  : ptr_(0)
{}

cLd::_data_var::_data_var(::cLd::_data_slice *p)
 : ptr_(p)
{}

cLd::_data_var::_data_var(const ::cLd::_data_var &a)
{
  this->ptr_ = cLd::_data_dup(a.ptr_);
}

cLd::_data_var::~_data_var()
{
  cLd::_data_free(this->ptr_);
}

::cLd::_data_var &cLd::_data_var::operator=(::cLd::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    cLd::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::cLd::_data_var &cLd::_data_var::operator=(const ::cLd::_data_var &p)
{
  if( this != &p )
  {
    cLd::_data_free(this->ptr_);
    this->ptr_ = cLd::_data_dup(p.ptr_);
  }
  return *this;
}

::cLd::_data_slice &cLd::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::cLd::_data_slice &cLd::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

cLd::_data_var::operator ::cLd::_data_slice *const &() const
{
  return this->ptr_;
}

cLd::_data_var::operator ::cLd::_data_slice *&()
{
  return this->ptr_;
}

const ::cLd::_data_slice *cLd::_data_var::in() const
{
  return this->ptr_;
}

::cLd::_data_slice *cLd::_data_var::inout()
{
  return this->ptr_;
}

::cLd::_data_slice *&cLd::_data_var::out()
{
  cLd::_data_free(this->ptr_);
  this->ptr_ = (::cLd::_data_slice  *)0;
  return this->ptr_;
}

::cLd::_data_slice *cLd::_data_var::_retn()
{
  ::cLd::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::cLd::_data_slice  *)0;
  return tmp;
}

::cLd::_data_slice *cLd::_data_var::ptr() const
{
  return this->ptr_;
}

cLd::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

cLd::_data_forany::_data_forany(::cLd::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

cLd::_data_forany::_data_forany(const ::cLd::_data_forany &a)
{
  this->ptr_ = cLd::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

cLd::_data_forany::~_data_forany()
{
}

::cLd::_data_forany &cLd::_data_forany::operator=(::cLd::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    cLd::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::cLd::_data_forany &cLd::_data_forany::operator=(const ::cLd::_data_forany &p)
{
  if( this != &p )
  {
    cLd::_data_free(this->ptr_);
    this->ptr_ = cLd::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::cLd::_data_slice &cLd::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::cLd::_data_slice &cLd::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

cLd::_data_forany::operator ::cLd::_data_slice *const &() const
{
  return this->ptr_;
}

cLd::_data_forany::operator ::cLd::_data_slice *&()
{
  return this->ptr_;
}

const ::cLd::_data_slice *cLd::_data_forany::in() const
{
  return this->ptr_;
}

::cLd::_data_slice *cLd::_data_forany::inout()
{
  return this->ptr_;
}

::cLd::_data_slice *&cLd::_data_forany::out()
{
  cLd::_data_free(this->ptr_);
  this->ptr_ = (::cLd::_data_slice  *)0;
  return this->ptr_;
}

::cLd::_data_slice *cLd::_data_forany::_retn()
{
  ::cLd::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::cLd::_data_slice  *)0;
  return tmp;
}

::cLd::_data_slice *cLd::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean cLd::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_dLc[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x644c633a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:dLc:1.0 */,
    4, ACE_NTOHL(0x644c6300) /* name = dLc */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_double,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_dLc (CORBA::tk_struct, sizeof(_oc_dLc), (char *) &_oc_dLc, 0, sizeof(struct dLc ));

CORBA::TypeCode_ptr _tc_dLc = &_tc_TAO_tc_dLc;


void operator<<=(CORBA::Any &a, const struct dLc &o)
{
  struct dLc  *_any_val;
  ACE_NEW(_any_val, struct dLc  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_dLc, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct dLc *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_dLc, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct dLc *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_dLc, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct dLc  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct dLc , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_dLc, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_dLc, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

dLc_var::dLc_var()
  : ptr_(0)
{}

dLc_var::dLc_var(struct dLc *p)
 : ptr_(p)
{}

dLc_var::dLc_var(const dLc_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct dLc (*a.ptr_);
  else
    this->ptr_ = 0;
}

dLc_var::~dLc_var()
{
  delete this->ptr_;
}

dLc_var &dLc_var::operator=(struct dLc *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

dLc_var &dLc_var::operator=(const dLc_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct dLc (*p.ptr_);
  }
  return *this;
}

struct dLc *dLc_var::operator->()
{
  return this->ptr_;
}

const struct dLc *dLc_var::operator->() const
{
  return this->ptr_;
}

dLc_var::operator const struct dLc &() const
{
  return *this->ptr_;
}

dLc_var::operator struct dLc &()
{
  return *this->ptr_;
}

dLc_var::operator struct dLc &() const
{
  return *this->ptr_;
}

const struct dLc &dLc_var::in() const
{
  return *this->ptr_;
}

struct dLc &dLc_var::inout()
{
  return *this->ptr_;
}

struct dLc &dLc_var::out()
{
  return *this->ptr_;
}

struct dLc dLc_var::_retn()
{
  return *this->ptr_;
}

struct dLc *dLc_var::ptr() const
{
  return this->ptr_;
}

::dLc::_data_slice *dLc::_data_alloc()
{
  return new ::dLc::_data_slice [50];
}

::dLc::_data_slice *dLc::_data_dup(const ::dLc::_data_slice *_slice)
{
  ::dLc::_data_slice  *_dup_array = dLc::_data_alloc();
  if( !_dup_array ) return 0;
  dLc::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void dLc::_data_copy(::dLc::_data_slice *_to_slice, const ::dLc::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void dLc::_data_free(::dLc::_data_slice *_slice)
{
  delete [] _slice;
}

dLc::_data_var::_data_var()
  : ptr_(0)
{}

dLc::_data_var::_data_var(::dLc::_data_slice *p)
 : ptr_(p)
{}

dLc::_data_var::_data_var(const ::dLc::_data_var &a)
{
  this->ptr_ = dLc::_data_dup(a.ptr_);
}

dLc::_data_var::~_data_var()
{
  dLc::_data_free(this->ptr_);
}

::dLc::_data_var &dLc::_data_var::operator=(::dLc::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    dLc::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::dLc::_data_var &dLc::_data_var::operator=(const ::dLc::_data_var &p)
{
  if( this != &p )
  {
    dLc::_data_free(this->ptr_);
    this->ptr_ = dLc::_data_dup(p.ptr_);
  }
  return *this;
}

::dLc::_data_slice &dLc::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::dLc::_data_slice &dLc::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

dLc::_data_var::operator ::dLc::_data_slice *const &() const
{
  return this->ptr_;
}

dLc::_data_var::operator ::dLc::_data_slice *&()
{
  return this->ptr_;
}

const ::dLc::_data_slice *dLc::_data_var::in() const
{
  return this->ptr_;
}

::dLc::_data_slice *dLc::_data_var::inout()
{
  return this->ptr_;
}

::dLc::_data_slice *&dLc::_data_var::out()
{
  dLc::_data_free(this->ptr_);
  this->ptr_ = (::dLc::_data_slice  *)0;
  return this->ptr_;
}

::dLc::_data_slice *dLc::_data_var::_retn()
{
  ::dLc::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::dLc::_data_slice  *)0;
  return tmp;
}

::dLc::_data_slice *dLc::_data_var::ptr() const
{
  return this->ptr_;
}

dLc::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

dLc::_data_forany::_data_forany(::dLc::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

dLc::_data_forany::_data_forany(const ::dLc::_data_forany &a)
{
  this->ptr_ = dLc::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

dLc::_data_forany::~_data_forany()
{
}

::dLc::_data_forany &dLc::_data_forany::operator=(::dLc::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    dLc::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::dLc::_data_forany &dLc::_data_forany::operator=(const ::dLc::_data_forany &p)
{
  if( this != &p )
  {
    dLc::_data_free(this->ptr_);
    this->ptr_ = dLc::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::dLc::_data_slice &dLc::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::dLc::_data_slice &dLc::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

dLc::_data_forany::operator ::dLc::_data_slice *const &() const
{
  return this->ptr_;
}

dLc::_data_forany::operator ::dLc::_data_slice *&()
{
  return this->ptr_;
}

const ::dLc::_data_slice *dLc::_data_forany::in() const
{
  return this->ptr_;
}

::dLc::_data_slice *dLc::_data_forany::inout()
{
  return this->ptr_;
}

::dLc::_data_slice *&dLc::_data_forany::out()
{
  dLc::_data_free(this->ptr_);
  this->ptr_ = (::dLc::_data_slice  *)0;
  return this->ptr_;
}

::dLc::_data_slice *dLc::_data_forany::_retn()
{
  ::dLc::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::dLc::_data_slice  *)0;
  return tmp;
}

::dLc::_data_slice *dLc::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean dLc::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_sLs[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x734c733a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:sLs:1.0 */,
    4, ACE_NTOHL(0x734c7300) /* name = sLs */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_short,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_sLs (CORBA::tk_struct, sizeof(_oc_sLs), (char *) &_oc_sLs, 0, sizeof(struct sLs ));

CORBA::TypeCode_ptr _tc_sLs = &_tc_TAO_tc_sLs;


void operator<<=(CORBA::Any &a, const struct sLs &o)
{
  struct sLs  *_any_val;
  ACE_NEW(_any_val, struct sLs  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_sLs, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct sLs *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_sLs, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct sLs *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_sLs, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct sLs  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct sLs , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_sLs, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_sLs, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

sLs_var::sLs_var()
  : ptr_(0)
{}

sLs_var::sLs_var(struct sLs *p)
 : ptr_(p)
{}

sLs_var::sLs_var(const sLs_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct sLs (*a.ptr_);
  else
    this->ptr_ = 0;
}

sLs_var::~sLs_var()
{
  delete this->ptr_;
}

sLs_var &sLs_var::operator=(struct sLs *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

sLs_var &sLs_var::operator=(const sLs_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct sLs (*p.ptr_);
  }
  return *this;
}

struct sLs *sLs_var::operator->()
{
  return this->ptr_;
}

const struct sLs *sLs_var::operator->() const
{
  return this->ptr_;
}

sLs_var::operator const struct sLs &() const
{
  return *this->ptr_;
}

sLs_var::operator struct sLs &()
{
  return *this->ptr_;
}

sLs_var::operator struct sLs &() const
{
  return *this->ptr_;
}

const struct sLs &sLs_var::in() const
{
  return *this->ptr_;
}

struct sLs &sLs_var::inout()
{
  return *this->ptr_;
}

struct sLs &sLs_var::out()
{
  return *this->ptr_;
}

struct sLs sLs_var::_retn()
{
  return *this->ptr_;
}

struct sLs *sLs_var::ptr() const
{
  return this->ptr_;
}

::sLs::_data_slice *sLs::_data_alloc()
{
  return new ::sLs::_data_slice [50];
}

::sLs::_data_slice *sLs::_data_dup(const ::sLs::_data_slice *_slice)
{
  ::sLs::_data_slice  *_dup_array = sLs::_data_alloc();
  if( !_dup_array ) return 0;
  sLs::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void sLs::_data_copy(::sLs::_data_slice *_to_slice, const ::sLs::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void sLs::_data_free(::sLs::_data_slice *_slice)
{
  delete [] _slice;
}

sLs::_data_var::_data_var()
  : ptr_(0)
{}

sLs::_data_var::_data_var(::sLs::_data_slice *p)
 : ptr_(p)
{}

sLs::_data_var::_data_var(const ::sLs::_data_var &a)
{
  this->ptr_ = sLs::_data_dup(a.ptr_);
}

sLs::_data_var::~_data_var()
{
  sLs::_data_free(this->ptr_);
}

::sLs::_data_var &sLs::_data_var::operator=(::sLs::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    sLs::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::sLs::_data_var &sLs::_data_var::operator=(const ::sLs::_data_var &p)
{
  if( this != &p )
  {
    sLs::_data_free(this->ptr_);
    this->ptr_ = sLs::_data_dup(p.ptr_);
  }
  return *this;
}

::sLs::_data_slice &sLs::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::sLs::_data_slice &sLs::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

sLs::_data_var::operator ::sLs::_data_slice *const &() const
{
  return this->ptr_;
}

sLs::_data_var::operator ::sLs::_data_slice *&()
{
  return this->ptr_;
}

const ::sLs::_data_slice *sLs::_data_var::in() const
{
  return this->ptr_;
}

::sLs::_data_slice *sLs::_data_var::inout()
{
  return this->ptr_;
}

::sLs::_data_slice *&sLs::_data_var::out()
{
  sLs::_data_free(this->ptr_);
  this->ptr_ = (::sLs::_data_slice  *)0;
  return this->ptr_;
}

::sLs::_data_slice *sLs::_data_var::_retn()
{
  ::sLs::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::sLs::_data_slice  *)0;
  return tmp;
}

::sLs::_data_slice *sLs::_data_var::ptr() const
{
  return this->ptr_;
}

sLs::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

sLs::_data_forany::_data_forany(::sLs::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

sLs::_data_forany::_data_forany(const ::sLs::_data_forany &a)
{
  this->ptr_ = sLs::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

sLs::_data_forany::~_data_forany()
{
}

::sLs::_data_forany &sLs::_data_forany::operator=(::sLs::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    sLs::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::sLs::_data_forany &sLs::_data_forany::operator=(const ::sLs::_data_forany &p)
{
  if( this != &p )
  {
    sLs::_data_free(this->ptr_);
    this->ptr_ = sLs::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::sLs::_data_slice &sLs::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::sLs::_data_slice &sLs::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

sLs::_data_forany::operator ::sLs::_data_slice *const &() const
{
  return this->ptr_;
}

sLs::_data_forany::operator ::sLs::_data_slice *&()
{
  return this->ptr_;
}

const ::sLs::_data_slice *sLs::_data_forany::in() const
{
  return this->ptr_;
}

::sLs::_data_slice *sLs::_data_forany::inout()
{
  return this->ptr_;
}

::sLs::_data_slice *&sLs::_data_forany::out()
{
  sLs::_data_free(this->ptr_);
  this->ptr_ = (::sLs::_data_slice  *)0;
  return this->ptr_;
}

::sLs::_data_slice *sLs::_data_forany::_retn()
{
  ::sLs::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::sLs::_data_slice  *)0;
  return tmp;
}

::sLs::_data_slice *sLs::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean sLs::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_cLCd[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x634c4364), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:cLCd:1.0 */,
    5, ACE_NTOHL(0x634c4364), ACE_NTOHL(0x00000000) /* name = cLCd */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_char,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    80 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      64 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x656e643a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:end:1.0 */,
        4, ACE_NTOHL(0x656e6400) /* name = end */,
        2 /* member count */,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
        CORBA::tk_long,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
        CORBA::tk_char,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_double
};

static CORBA::TypeCode _tc_TAO_tc_cLCd (CORBA::tk_struct, sizeof(_oc_cLCd), (char *) &_oc_cLCd, 0, sizeof(struct cLCd ));

CORBA::TypeCode_ptr _tc_cLCd = &_tc_TAO_tc_cLCd;


void operator<<=(CORBA::Any &a, const struct cLCd &o)
{
  struct cLCd  *_any_val;
  ACE_NEW(_any_val, struct cLCd  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_cLCd, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct cLCd *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_cLCd, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct cLCd *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_cLCd, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct cLCd  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct cLCd , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_cLCd, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_cLCd, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

cLCd_var::cLCd_var()
  : ptr_(0)
{}

cLCd_var::cLCd_var(struct cLCd *p)
 : ptr_(p)
{}

cLCd_var::cLCd_var(const cLCd_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct cLCd (*a.ptr_);
  else
    this->ptr_ = 0;
}

cLCd_var::~cLCd_var()
{
  delete this->ptr_;
}

cLCd_var &cLCd_var::operator=(struct cLCd *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

cLCd_var &cLCd_var::operator=(const cLCd_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct cLCd (*p.ptr_);
  }
  return *this;
}

struct cLCd *cLCd_var::operator->()
{
  return this->ptr_;
}

const struct cLCd *cLCd_var::operator->() const
{
  return this->ptr_;
}

cLCd_var::operator const struct cLCd &() const
{
  return *this->ptr_;
}

cLCd_var::operator struct cLCd &()
{
  return *this->ptr_;
}

cLCd_var::operator struct cLCd &() const
{
  return *this->ptr_;
}

const struct cLCd &cLCd_var::in() const
{
  return *this->ptr_;
}

struct cLCd &cLCd_var::inout()
{
  return *this->ptr_;
}

struct cLCd &cLCd_var::out()
{
  return *this->ptr_;
}

struct cLCd cLCd_var::_retn()
{
  return *this->ptr_;
}

struct cLCd *cLCd_var::ptr() const
{
  return this->ptr_;
}

::cLCd::_data_slice *cLCd::_data_alloc()
{
  return new ::cLCd::_data_slice [50];
}

::cLCd::_data_slice *cLCd::_data_dup(const ::cLCd::_data_slice *_slice)
{
  ::cLCd::_data_slice  *_dup_array = cLCd::_data_alloc();
  if( !_dup_array ) return 0;
  cLCd::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void cLCd::_data_copy(::cLCd::_data_slice *_to_slice, const ::cLCd::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void cLCd::_data_free(::cLCd::_data_slice *_slice)
{
  delete [] _slice;
}

cLCd::_data_var::_data_var()
  : ptr_(0)
{}

cLCd::_data_var::_data_var(::cLCd::_data_slice *p)
 : ptr_(p)
{}

cLCd::_data_var::_data_var(const ::cLCd::_data_var &a)
{
  this->ptr_ = cLCd::_data_dup(a.ptr_);
}

cLCd::_data_var::~_data_var()
{
  cLCd::_data_free(this->ptr_);
}

::cLCd::_data_var &cLCd::_data_var::operator=(::cLCd::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    cLCd::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::cLCd::_data_var &cLCd::_data_var::operator=(const ::cLCd::_data_var &p)
{
  if( this != &p )
  {
    cLCd::_data_free(this->ptr_);
    this->ptr_ = cLCd::_data_dup(p.ptr_);
  }
  return *this;
}

::cLCd::_data_slice &cLCd::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::cLCd::_data_slice &cLCd::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

cLCd::_data_var::operator ::cLCd::_data_slice *const &() const
{
  return this->ptr_;
}

cLCd::_data_var::operator ::cLCd::_data_slice *&()
{
  return this->ptr_;
}

const ::cLCd::_data_slice *cLCd::_data_var::in() const
{
  return this->ptr_;
}

::cLCd::_data_slice *cLCd::_data_var::inout()
{
  return this->ptr_;
}

::cLCd::_data_slice *&cLCd::_data_var::out()
{
  cLCd::_data_free(this->ptr_);
  this->ptr_ = (::cLCd::_data_slice  *)0;
  return this->ptr_;
}

::cLCd::_data_slice *cLCd::_data_var::_retn()
{
  ::cLCd::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::cLCd::_data_slice  *)0;
  return tmp;
}

::cLCd::_data_slice *cLCd::_data_var::ptr() const
{
  return this->ptr_;
}

cLCd::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

cLCd::_data_forany::_data_forany(::cLCd::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

cLCd::_data_forany::_data_forany(const ::cLCd::_data_forany &a)
{
  this->ptr_ = cLCd::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

cLCd::_data_forany::~_data_forany()
{
}

::cLCd::_data_forany &cLCd::_data_forany::operator=(::cLCd::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    cLCd::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::cLCd::_data_forany &cLCd::_data_forany::operator=(const ::cLCd::_data_forany &p)
{
  if( this != &p )
  {
    cLCd::_data_free(this->ptr_);
    this->ptr_ = cLCd::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::cLCd::_data_slice &cLCd::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::cLCd::_data_slice &cLCd::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

cLCd::_data_forany::operator ::cLCd::_data_slice *const &() const
{
  return this->ptr_;
}

cLCd::_data_forany::operator ::cLCd::_data_slice *&()
{
  return this->ptr_;
}

const ::cLCd::_data_slice *cLCd::_data_forany::in() const
{
  return this->ptr_;
}

::cLCd::_data_slice *cLCd::_data_forany::inout()
{
  return this->ptr_;
}

::cLCd::_data_slice *&cLCd::_data_forany::out()
{
  cLCd::_data_free(this->ptr_);
  this->ptr_ = (::cLCd::_data_slice  *)0;
  return this->ptr_;
}

::cLCd::_data_slice *cLCd::_data_forany::_retn()
{
  ::cLCd::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::cLCd::_data_slice  *)0;
  return tmp;
}

::cLCd::_data_slice *cLCd::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean cLCd::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_dLCc[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x644c4363), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:dLCc:1.0 */,
    5, ACE_NTOHL(0x644c4363), ACE_NTOHL(0x00000000) /* name = dLCc */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_double,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    80 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      64 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x656e643a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:end:1.0 */,
        4, ACE_NTOHL(0x656e6400) /* name = end */,
        2 /* member count */,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
        CORBA::tk_long,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
        CORBA::tk_char,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_dLCc (CORBA::tk_struct, sizeof(_oc_dLCc), (char *) &_oc_dLCc, 0, sizeof(struct dLCc ));

CORBA::TypeCode_ptr _tc_dLCc = &_tc_TAO_tc_dLCc;


void operator<<=(CORBA::Any &a, const struct dLCc &o)
{
  struct dLCc  *_any_val;
  ACE_NEW(_any_val, struct dLCc  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_dLCc, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct dLCc *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_dLCc, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct dLCc *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_dLCc, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct dLCc  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct dLCc , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_dLCc, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_dLCc, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

dLCc_var::dLCc_var()
  : ptr_(0)
{}

dLCc_var::dLCc_var(struct dLCc *p)
 : ptr_(p)
{}

dLCc_var::dLCc_var(const dLCc_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct dLCc (*a.ptr_);
  else
    this->ptr_ = 0;
}

dLCc_var::~dLCc_var()
{
  delete this->ptr_;
}

dLCc_var &dLCc_var::operator=(struct dLCc *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

dLCc_var &dLCc_var::operator=(const dLCc_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct dLCc (*p.ptr_);
  }
  return *this;
}

struct dLCc *dLCc_var::operator->()
{
  return this->ptr_;
}

const struct dLCc *dLCc_var::operator->() const
{
  return this->ptr_;
}

dLCc_var::operator const struct dLCc &() const
{
  return *this->ptr_;
}

dLCc_var::operator struct dLCc &()
{
  return *this->ptr_;
}

dLCc_var::operator struct dLCc &() const
{
  return *this->ptr_;
}

const struct dLCc &dLCc_var::in() const
{
  return *this->ptr_;
}

struct dLCc &dLCc_var::inout()
{
  return *this->ptr_;
}

struct dLCc &dLCc_var::out()
{
  return *this->ptr_;
}

struct dLCc dLCc_var::_retn()
{
  return *this->ptr_;
}

struct dLCc *dLCc_var::ptr() const
{
  return this->ptr_;
}

::dLCc::_data_slice *dLCc::_data_alloc()
{
  return new ::dLCc::_data_slice [50];
}

::dLCc::_data_slice *dLCc::_data_dup(const ::dLCc::_data_slice *_slice)
{
  ::dLCc::_data_slice  *_dup_array = dLCc::_data_alloc();
  if( !_dup_array ) return 0;
  dLCc::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void dLCc::_data_copy(::dLCc::_data_slice *_to_slice, const ::dLCc::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void dLCc::_data_free(::dLCc::_data_slice *_slice)
{
  delete [] _slice;
}

dLCc::_data_var::_data_var()
  : ptr_(0)
{}

dLCc::_data_var::_data_var(::dLCc::_data_slice *p)
 : ptr_(p)
{}

dLCc::_data_var::_data_var(const ::dLCc::_data_var &a)
{
  this->ptr_ = dLCc::_data_dup(a.ptr_);
}

dLCc::_data_var::~_data_var()
{
  dLCc::_data_free(this->ptr_);
}

::dLCc::_data_var &dLCc::_data_var::operator=(::dLCc::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    dLCc::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::dLCc::_data_var &dLCc::_data_var::operator=(const ::dLCc::_data_var &p)
{
  if( this != &p )
  {
    dLCc::_data_free(this->ptr_);
    this->ptr_ = dLCc::_data_dup(p.ptr_);
  }
  return *this;
}

::dLCc::_data_slice &dLCc::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::dLCc::_data_slice &dLCc::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

dLCc::_data_var::operator ::dLCc::_data_slice *const &() const
{
  return this->ptr_;
}

dLCc::_data_var::operator ::dLCc::_data_slice *&()
{
  return this->ptr_;
}

const ::dLCc::_data_slice *dLCc::_data_var::in() const
{
  return this->ptr_;
}

::dLCc::_data_slice *dLCc::_data_var::inout()
{
  return this->ptr_;
}

::dLCc::_data_slice *&dLCc::_data_var::out()
{
  dLCc::_data_free(this->ptr_);
  this->ptr_ = (::dLCc::_data_slice  *)0;
  return this->ptr_;
}

::dLCc::_data_slice *dLCc::_data_var::_retn()
{
  ::dLCc::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::dLCc::_data_slice  *)0;
  return tmp;
}

::dLCc::_data_slice *dLCc::_data_var::ptr() const
{
  return this->ptr_;
}

dLCc::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

dLCc::_data_forany::_data_forany(::dLCc::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

dLCc::_data_forany::_data_forany(const ::dLCc::_data_forany &a)
{
  this->ptr_ = dLCc::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

dLCc::_data_forany::~_data_forany()
{
}

::dLCc::_data_forany &dLCc::_data_forany::operator=(::dLCc::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    dLCc::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::dLCc::_data_forany &dLCc::_data_forany::operator=(const ::dLCc::_data_forany &p)
{
  if( this != &p )
  {
    dLCc::_data_free(this->ptr_);
    this->ptr_ = dLCc::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::dLCc::_data_slice &dLCc::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::dLCc::_data_slice &dLCc::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

dLCc::_data_forany::operator ::dLCc::_data_slice *const &() const
{
  return this->ptr_;
}

dLCc::_data_forany::operator ::dLCc::_data_slice *&()
{
  return this->ptr_;
}

const ::dLCc::_data_slice *dLCc::_data_forany::in() const
{
  return this->ptr_;
}

::dLCc::_data_slice *dLCc::_data_forany::inout()
{
  return this->ptr_;
}

::dLCc::_data_slice *&dLCc::_data_forany::out()
{
  dLCc::_data_free(this->ptr_);
  this->ptr_ = (::dLCc::_data_slice  *)0;
  return this->ptr_;
}

::dLCc::_data_slice *dLCc::_data_forany::_retn()
{
  ::dLCc::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::dLCc::_data_slice  *)0;
  return tmp;
}

::dLCc::_data_slice *dLCc::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean dLCc::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_sLCs[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x734c4373), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:sLCs:1.0 */,
    5, ACE_NTOHL(0x734c4373), ACE_NTOHL(0x00000000) /* name = sLCs */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_short,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    80 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      64 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x656e643a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:end:1.0 */,
        4, ACE_NTOHL(0x656e6400) /* name = end */,
        2 /* member count */,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
        CORBA::tk_long,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
        CORBA::tk_char,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_sLCs (CORBA::tk_struct, sizeof(_oc_sLCs), (char *) &_oc_sLCs, 0, sizeof(struct sLCs ));

CORBA::TypeCode_ptr _tc_sLCs = &_tc_TAO_tc_sLCs;


void operator<<=(CORBA::Any &a, const struct sLCs &o)
{
  struct sLCs  *_any_val;
  ACE_NEW(_any_val, struct sLCs  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_sLCs, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct sLCs *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_sLCs, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct sLCs *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_sLCs, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct sLCs  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct sLCs , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_sLCs, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_sLCs, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

sLCs_var::sLCs_var()
  : ptr_(0)
{}

sLCs_var::sLCs_var(struct sLCs *p)
 : ptr_(p)
{}

sLCs_var::sLCs_var(const sLCs_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct sLCs (*a.ptr_);
  else
    this->ptr_ = 0;
}

sLCs_var::~sLCs_var()
{
  delete this->ptr_;
}

sLCs_var &sLCs_var::operator=(struct sLCs *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

sLCs_var &sLCs_var::operator=(const sLCs_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct sLCs (*p.ptr_);
  }
  return *this;
}

struct sLCs *sLCs_var::operator->()
{
  return this->ptr_;
}

const struct sLCs *sLCs_var::operator->() const
{
  return this->ptr_;
}

sLCs_var::operator const struct sLCs &() const
{
  return *this->ptr_;
}

sLCs_var::operator struct sLCs &()
{
  return *this->ptr_;
}

sLCs_var::operator struct sLCs &() const
{
  return *this->ptr_;
}

const struct sLCs &sLCs_var::in() const
{
  return *this->ptr_;
}

struct sLCs &sLCs_var::inout()
{
  return *this->ptr_;
}

struct sLCs &sLCs_var::out()
{
  return *this->ptr_;
}

struct sLCs sLCs_var::_retn()
{
  return *this->ptr_;
}

struct sLCs *sLCs_var::ptr() const
{
  return this->ptr_;
}

::sLCs::_data_slice *sLCs::_data_alloc()
{
  return new ::sLCs::_data_slice [50];
}

::sLCs::_data_slice *sLCs::_data_dup(const ::sLCs::_data_slice *_slice)
{
  ::sLCs::_data_slice  *_dup_array = sLCs::_data_alloc();
  if( !_dup_array ) return 0;
  sLCs::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void sLCs::_data_copy(::sLCs::_data_slice *_to_slice, const ::sLCs::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void sLCs::_data_free(::sLCs::_data_slice *_slice)
{
  delete [] _slice;
}

sLCs::_data_var::_data_var()
  : ptr_(0)
{}

sLCs::_data_var::_data_var(::sLCs::_data_slice *p)
 : ptr_(p)
{}

sLCs::_data_var::_data_var(const ::sLCs::_data_var &a)
{
  this->ptr_ = sLCs::_data_dup(a.ptr_);
}

sLCs::_data_var::~_data_var()
{
  sLCs::_data_free(this->ptr_);
}

::sLCs::_data_var &sLCs::_data_var::operator=(::sLCs::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    sLCs::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::sLCs::_data_var &sLCs::_data_var::operator=(const ::sLCs::_data_var &p)
{
  if( this != &p )
  {
    sLCs::_data_free(this->ptr_);
    this->ptr_ = sLCs::_data_dup(p.ptr_);
  }
  return *this;
}

::sLCs::_data_slice &sLCs::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::sLCs::_data_slice &sLCs::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

sLCs::_data_var::operator ::sLCs::_data_slice *const &() const
{
  return this->ptr_;
}

sLCs::_data_var::operator ::sLCs::_data_slice *&()
{
  return this->ptr_;
}

const ::sLCs::_data_slice *sLCs::_data_var::in() const
{
  return this->ptr_;
}

::sLCs::_data_slice *sLCs::_data_var::inout()
{
  return this->ptr_;
}

::sLCs::_data_slice *&sLCs::_data_var::out()
{
  sLCs::_data_free(this->ptr_);
  this->ptr_ = (::sLCs::_data_slice  *)0;
  return this->ptr_;
}

::sLCs::_data_slice *sLCs::_data_var::_retn()
{
  ::sLCs::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::sLCs::_data_slice  *)0;
  return tmp;
}

::sLCs::_data_slice *sLCs::_data_var::ptr() const
{
  return this->ptr_;
}

sLCs::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

sLCs::_data_forany::_data_forany(::sLCs::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

sLCs::_data_forany::_data_forany(const ::sLCs::_data_forany &a)
{
  this->ptr_ = sLCs::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

sLCs::_data_forany::~_data_forany()
{
}

::sLCs::_data_forany &sLCs::_data_forany::operator=(::sLCs::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    sLCs::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::sLCs::_data_forany &sLCs::_data_forany::operator=(const ::sLCs::_data_forany &p)
{
  if( this != &p )
  {
    sLCs::_data_free(this->ptr_);
    this->ptr_ = sLCs::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::sLCs::_data_slice &sLCs::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::sLCs::_data_slice &sLCs::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

sLCs::_data_forany::operator ::sLCs::_data_slice *const &() const
{
  return this->ptr_;
}

sLCs::_data_forany::operator ::sLCs::_data_slice *&()
{
  return this->ptr_;
}

const ::sLCs::_data_slice *sLCs::_data_forany::in() const
{
  return this->ptr_;
}

::sLCs::_data_slice *sLCs::_data_forany::inout()
{
  return this->ptr_;
}

::sLCs::_data_slice *&sLCs::_data_forany::out()
{
  sLCs::_data_free(this->ptr_);
  this->ptr_ = (::sLCs::_data_slice  *)0;
  return this->ptr_;
}

::sLCs::_data_slice *sLCs::_data_forany::_retn()
{
  ::sLCs::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::sLCs::_data_slice  *)0;
  return tmp;
}

::sLCs::_data_slice *sLCs::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean sLCs::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_cCLd[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x63434c64), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:cCLd:1.0 */,
    5, ACE_NTOHL(0x63434c64), ACE_NTOHL(0x00000000) /* name = cCLd */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_char,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    88 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      72 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e3a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:begin:1.0 */,
        6, ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e000000) /* name = begin */,
        2 /* member count */,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
        CORBA::tk_char,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
        CORBA::tk_long,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_double
};

static CORBA::TypeCode _tc_TAO_tc_cCLd (CORBA::tk_struct, sizeof(_oc_cCLd), (char *) &_oc_cCLd, 0, sizeof(struct cCLd ));

CORBA::TypeCode_ptr _tc_cCLd = &_tc_TAO_tc_cCLd;


void operator<<=(CORBA::Any &a, const struct cCLd &o)
{
  struct cCLd  *_any_val;
  ACE_NEW(_any_val, struct cCLd  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_cCLd, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct cCLd *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_cCLd, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct cCLd *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_cCLd, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct cCLd  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct cCLd , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_cCLd, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_cCLd, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

cCLd_var::cCLd_var()
  : ptr_(0)
{}

cCLd_var::cCLd_var(struct cCLd *p)
 : ptr_(p)
{}

cCLd_var::cCLd_var(const cCLd_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct cCLd (*a.ptr_);
  else
    this->ptr_ = 0;
}

cCLd_var::~cCLd_var()
{
  delete this->ptr_;
}

cCLd_var &cCLd_var::operator=(struct cCLd *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

cCLd_var &cCLd_var::operator=(const cCLd_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct cCLd (*p.ptr_);
  }
  return *this;
}

struct cCLd *cCLd_var::operator->()
{
  return this->ptr_;
}

const struct cCLd *cCLd_var::operator->() const
{
  return this->ptr_;
}

cCLd_var::operator const struct cCLd &() const
{
  return *this->ptr_;
}

cCLd_var::operator struct cCLd &()
{
  return *this->ptr_;
}

cCLd_var::operator struct cCLd &() const
{
  return *this->ptr_;
}

const struct cCLd &cCLd_var::in() const
{
  return *this->ptr_;
}

struct cCLd &cCLd_var::inout()
{
  return *this->ptr_;
}

struct cCLd &cCLd_var::out()
{
  return *this->ptr_;
}

struct cCLd cCLd_var::_retn()
{
  return *this->ptr_;
}

struct cCLd *cCLd_var::ptr() const
{
  return this->ptr_;
}

::cCLd::_data_slice *cCLd::_data_alloc()
{
  return new ::cCLd::_data_slice [50];
}

::cCLd::_data_slice *cCLd::_data_dup(const ::cCLd::_data_slice *_slice)
{
  ::cCLd::_data_slice  *_dup_array = cCLd::_data_alloc();
  if( !_dup_array ) return 0;
  cCLd::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void cCLd::_data_copy(::cCLd::_data_slice *_to_slice, const ::cCLd::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void cCLd::_data_free(::cCLd::_data_slice *_slice)
{
  delete [] _slice;
}

cCLd::_data_var::_data_var()
  : ptr_(0)
{}

cCLd::_data_var::_data_var(::cCLd::_data_slice *p)
 : ptr_(p)
{}

cCLd::_data_var::_data_var(const ::cCLd::_data_var &a)
{
  this->ptr_ = cCLd::_data_dup(a.ptr_);
}

cCLd::_data_var::~_data_var()
{
  cCLd::_data_free(this->ptr_);
}

::cCLd::_data_var &cCLd::_data_var::operator=(::cCLd::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    cCLd::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::cCLd::_data_var &cCLd::_data_var::operator=(const ::cCLd::_data_var &p)
{
  if( this != &p )
  {
    cCLd::_data_free(this->ptr_);
    this->ptr_ = cCLd::_data_dup(p.ptr_);
  }
  return *this;
}

::cCLd::_data_slice &cCLd::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::cCLd::_data_slice &cCLd::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

cCLd::_data_var::operator ::cCLd::_data_slice *const &() const
{
  return this->ptr_;
}

cCLd::_data_var::operator ::cCLd::_data_slice *&()
{
  return this->ptr_;
}

const ::cCLd::_data_slice *cCLd::_data_var::in() const
{
  return this->ptr_;
}

::cCLd::_data_slice *cCLd::_data_var::inout()
{
  return this->ptr_;
}

::cCLd::_data_slice *&cCLd::_data_var::out()
{
  cCLd::_data_free(this->ptr_);
  this->ptr_ = (::cCLd::_data_slice  *)0;
  return this->ptr_;
}

::cCLd::_data_slice *cCLd::_data_var::_retn()
{
  ::cCLd::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::cCLd::_data_slice  *)0;
  return tmp;
}

::cCLd::_data_slice *cCLd::_data_var::ptr() const
{
  return this->ptr_;
}

cCLd::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

cCLd::_data_forany::_data_forany(::cCLd::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

cCLd::_data_forany::_data_forany(const ::cCLd::_data_forany &a)
{
  this->ptr_ = cCLd::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

cCLd::_data_forany::~_data_forany()
{
}

::cCLd::_data_forany &cCLd::_data_forany::operator=(::cCLd::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    cCLd::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::cCLd::_data_forany &cCLd::_data_forany::operator=(const ::cCLd::_data_forany &p)
{
  if( this != &p )
  {
    cCLd::_data_free(this->ptr_);
    this->ptr_ = cCLd::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::cCLd::_data_slice &cCLd::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::cCLd::_data_slice &cCLd::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

cCLd::_data_forany::operator ::cCLd::_data_slice *const &() const
{
  return this->ptr_;
}

cCLd::_data_forany::operator ::cCLd::_data_slice *&()
{
  return this->ptr_;
}

const ::cCLd::_data_slice *cCLd::_data_forany::in() const
{
  return this->ptr_;
}

::cCLd::_data_slice *cCLd::_data_forany::inout()
{
  return this->ptr_;
}

::cCLd::_data_slice *&cCLd::_data_forany::out()
{
  cCLd::_data_free(this->ptr_);
  this->ptr_ = (::cCLd::_data_slice  *)0;
  return this->ptr_;
}

::cCLd::_data_slice *cCLd::_data_forany::_retn()
{
  ::cCLd::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::cCLd::_data_slice  *)0;
  return tmp;
}

::cCLd::_data_slice *cCLd::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean cCLd::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_dCLc[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x64434c63), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:dCLc:1.0 */,
    5, ACE_NTOHL(0x64434c63), ACE_NTOHL(0x00000000) /* name = dCLc */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_double,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    88 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      72 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e3a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:begin:1.0 */,
        6, ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e000000) /* name = begin */,
        2 /* member count */,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
        CORBA::tk_char,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
        CORBA::tk_long,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_dCLc (CORBA::tk_struct, sizeof(_oc_dCLc), (char *) &_oc_dCLc, 0, sizeof(struct dCLc ));

CORBA::TypeCode_ptr _tc_dCLc = &_tc_TAO_tc_dCLc;


void operator<<=(CORBA::Any &a, const struct dCLc &o)
{
  struct dCLc  *_any_val;
  ACE_NEW(_any_val, struct dCLc  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_dCLc, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct dCLc *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_dCLc, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct dCLc *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_dCLc, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct dCLc  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct dCLc , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_dCLc, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_dCLc, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

dCLc_var::dCLc_var()
  : ptr_(0)
{}

dCLc_var::dCLc_var(struct dCLc *p)
 : ptr_(p)
{}

dCLc_var::dCLc_var(const dCLc_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct dCLc (*a.ptr_);
  else
    this->ptr_ = 0;
}

dCLc_var::~dCLc_var()
{
  delete this->ptr_;
}

dCLc_var &dCLc_var::operator=(struct dCLc *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

dCLc_var &dCLc_var::operator=(const dCLc_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct dCLc (*p.ptr_);
  }
  return *this;
}

struct dCLc *dCLc_var::operator->()
{
  return this->ptr_;
}

const struct dCLc *dCLc_var::operator->() const
{
  return this->ptr_;
}

dCLc_var::operator const struct dCLc &() const
{
  return *this->ptr_;
}

dCLc_var::operator struct dCLc &()
{
  return *this->ptr_;
}

dCLc_var::operator struct dCLc &() const
{
  return *this->ptr_;
}

const struct dCLc &dCLc_var::in() const
{
  return *this->ptr_;
}

struct dCLc &dCLc_var::inout()
{
  return *this->ptr_;
}

struct dCLc &dCLc_var::out()
{
  return *this->ptr_;
}

struct dCLc dCLc_var::_retn()
{
  return *this->ptr_;
}

struct dCLc *dCLc_var::ptr() const
{
  return this->ptr_;
}

::dCLc::_data_slice *dCLc::_data_alloc()
{
  return new ::dCLc::_data_slice [50];
}

::dCLc::_data_slice *dCLc::_data_dup(const ::dCLc::_data_slice *_slice)
{
  ::dCLc::_data_slice  *_dup_array = dCLc::_data_alloc();
  if( !_dup_array ) return 0;
  dCLc::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void dCLc::_data_copy(::dCLc::_data_slice *_to_slice, const ::dCLc::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void dCLc::_data_free(::dCLc::_data_slice *_slice)
{
  delete [] _slice;
}

dCLc::_data_var::_data_var()
  : ptr_(0)
{}

dCLc::_data_var::_data_var(::dCLc::_data_slice *p)
 : ptr_(p)
{}

dCLc::_data_var::_data_var(const ::dCLc::_data_var &a)
{
  this->ptr_ = dCLc::_data_dup(a.ptr_);
}

dCLc::_data_var::~_data_var()
{
  dCLc::_data_free(this->ptr_);
}

::dCLc::_data_var &dCLc::_data_var::operator=(::dCLc::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    dCLc::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::dCLc::_data_var &dCLc::_data_var::operator=(const ::dCLc::_data_var &p)
{
  if( this != &p )
  {
    dCLc::_data_free(this->ptr_);
    this->ptr_ = dCLc::_data_dup(p.ptr_);
  }
  return *this;
}

::dCLc::_data_slice &dCLc::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::dCLc::_data_slice &dCLc::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

dCLc::_data_var::operator ::dCLc::_data_slice *const &() const
{
  return this->ptr_;
}

dCLc::_data_var::operator ::dCLc::_data_slice *&()
{
  return this->ptr_;
}

const ::dCLc::_data_slice *dCLc::_data_var::in() const
{
  return this->ptr_;
}

::dCLc::_data_slice *dCLc::_data_var::inout()
{
  return this->ptr_;
}

::dCLc::_data_slice *&dCLc::_data_var::out()
{
  dCLc::_data_free(this->ptr_);
  this->ptr_ = (::dCLc::_data_slice  *)0;
  return this->ptr_;
}

::dCLc::_data_slice *dCLc::_data_var::_retn()
{
  ::dCLc::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::dCLc::_data_slice  *)0;
  return tmp;
}

::dCLc::_data_slice *dCLc::_data_var::ptr() const
{
  return this->ptr_;
}

dCLc::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

dCLc::_data_forany::_data_forany(::dCLc::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

dCLc::_data_forany::_data_forany(const ::dCLc::_data_forany &a)
{
  this->ptr_ = dCLc::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

dCLc::_data_forany::~_data_forany()
{
}

::dCLc::_data_forany &dCLc::_data_forany::operator=(::dCLc::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    dCLc::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::dCLc::_data_forany &dCLc::_data_forany::operator=(const ::dCLc::_data_forany &p)
{
  if( this != &p )
  {
    dCLc::_data_free(this->ptr_);
    this->ptr_ = dCLc::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::dCLc::_data_slice &dCLc::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::dCLc::_data_slice &dCLc::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

dCLc::_data_forany::operator ::dCLc::_data_slice *const &() const
{
  return this->ptr_;
}

dCLc::_data_forany::operator ::dCLc::_data_slice *&()
{
  return this->ptr_;
}

const ::dCLc::_data_slice *dCLc::_data_forany::in() const
{
  return this->ptr_;
}

::dCLc::_data_slice *dCLc::_data_forany::inout()
{
  return this->ptr_;
}

::dCLc::_data_slice *&dCLc::_data_forany::out()
{
  dCLc::_data_free(this->ptr_);
  this->ptr_ = (::dCLc::_data_slice  *)0;
  return this->ptr_;
}

::dCLc::_data_slice *dCLc::_data_forany::_retn()
{
  ::dCLc::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::dCLc::_data_slice  *)0;
  return tmp;
}

::dCLc::_data_slice *dCLc::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean dCLc::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_sCLs[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x73434c73), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:sCLs:1.0 */,
    5, ACE_NTOHL(0x73434c73), ACE_NTOHL(0x00000000) /* name = sCLs */,
    3 /* member count */,
    6, ACE_NTOHL(0x66697273), ACE_NTOHL(0x74000000) /* name = first */,
    CORBA::tk_short,
    5, ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = data */,
    CORBA::tk_array,
    88 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      72 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e3a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:begin:1.0 */,
        6, ACE_NTOHL(0x62656769), ACE_NTOHL(0x6e000000) /* name = begin */,
        2 /* member count */,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x31000000) /* name = elem1 */,
        CORBA::tk_char,
        6, ACE_NTOHL(0x656c656d), ACE_NTOHL(0x32000000) /* name = elem2 */,
        CORBA::tk_long,
      50,
    5, ACE_NTOHL(0x6c617374), ACE_NTOHL(0x00000000) /* name = last */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_sCLs (CORBA::tk_struct, sizeof(_oc_sCLs), (char *) &_oc_sCLs, 0, sizeof(struct sCLs ));

CORBA::TypeCode_ptr _tc_sCLs = &_tc_TAO_tc_sCLs;


void operator<<=(CORBA::Any &a, const struct sCLs &o)
{
  struct sCLs  *_any_val;
  ACE_NEW(_any_val, struct sCLs  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_sCLs, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct sCLs *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_sCLs, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct sCLs *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_sCLs, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct sCLs  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct sCLs , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_sCLs, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_sCLs, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

sCLs_var::sCLs_var()
  : ptr_(0)
{}

sCLs_var::sCLs_var(struct sCLs *p)
 : ptr_(p)
{}

sCLs_var::sCLs_var(const sCLs_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct sCLs (*a.ptr_);
  else
    this->ptr_ = 0;
}

sCLs_var::~sCLs_var()
{
  delete this->ptr_;
}

sCLs_var &sCLs_var::operator=(struct sCLs *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

sCLs_var &sCLs_var::operator=(const sCLs_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct sCLs (*p.ptr_);
  }
  return *this;
}

struct sCLs *sCLs_var::operator->()
{
  return this->ptr_;
}

const struct sCLs *sCLs_var::operator->() const
{
  return this->ptr_;
}

sCLs_var::operator const struct sCLs &() const
{
  return *this->ptr_;
}

sCLs_var::operator struct sCLs &()
{
  return *this->ptr_;
}

sCLs_var::operator struct sCLs &() const
{
  return *this->ptr_;
}

const struct sCLs &sCLs_var::in() const
{
  return *this->ptr_;
}

struct sCLs &sCLs_var::inout()
{
  return *this->ptr_;
}

struct sCLs &sCLs_var::out()
{
  return *this->ptr_;
}

struct sCLs sCLs_var::_retn()
{
  return *this->ptr_;
}

struct sCLs *sCLs_var::ptr() const
{
  return this->ptr_;
}

::sCLs::_data_slice *sCLs::_data_alloc()
{
  return new ::sCLs::_data_slice [50];
}

::sCLs::_data_slice *sCLs::_data_dup(const ::sCLs::_data_slice *_slice)
{
  ::sCLs::_data_slice  *_dup_array = sCLs::_data_alloc();
  if( !_dup_array ) return 0;
  sCLs::_data_copy(_dup_array, _slice);
  return _dup_array;
}

void sCLs::_data_copy(::sCLs::_data_slice *_to_slice, const ::sCLs::_data_slice *_from_slice)
{
 CORBA::ULong iter0;
 
 for(iter0 = 0; iter0 < 50; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void sCLs::_data_free(::sCLs::_data_slice *_slice)
{
  delete [] _slice;
}

sCLs::_data_var::_data_var()
  : ptr_(0)
{}

sCLs::_data_var::_data_var(::sCLs::_data_slice *p)
 : ptr_(p)
{}

sCLs::_data_var::_data_var(const ::sCLs::_data_var &a)
{
  this->ptr_ = sCLs::_data_dup(a.ptr_);
}

sCLs::_data_var::~_data_var()
{
  sCLs::_data_free(this->ptr_);
}

::sCLs::_data_var &sCLs::_data_var::operator=(::sCLs::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    sCLs::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::sCLs::_data_var &sCLs::_data_var::operator=(const ::sCLs::_data_var &p)
{
  if( this != &p )
  {
    sCLs::_data_free(this->ptr_);
    this->ptr_ = sCLs::_data_dup(p.ptr_);
  }
  return *this;
}

::sCLs::_data_slice &sCLs::_data_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::sCLs::_data_slice &sCLs::_data_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

sCLs::_data_var::operator ::sCLs::_data_slice *const &() const
{
  return this->ptr_;
}

sCLs::_data_var::operator ::sCLs::_data_slice *&()
{
  return this->ptr_;
}

const ::sCLs::_data_slice *sCLs::_data_var::in() const
{
  return this->ptr_;
}

::sCLs::_data_slice *sCLs::_data_var::inout()
{
  return this->ptr_;
}

::sCLs::_data_slice *&sCLs::_data_var::out()
{
  sCLs::_data_free(this->ptr_);
  this->ptr_ = (::sCLs::_data_slice  *)0;
  return this->ptr_;
}

::sCLs::_data_slice *sCLs::_data_var::_retn()
{
  ::sCLs::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::sCLs::_data_slice  *)0;
  return tmp;
}

::sCLs::_data_slice *sCLs::_data_var::ptr() const
{
  return this->ptr_;
}

sCLs::_data_forany::_data_forany()
  : ptr_(0),
    nocopy_(0)
{}

sCLs::_data_forany::_data_forany(::sCLs::_data_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

sCLs::_data_forany::_data_forany(const ::sCLs::_data_forany &a)
{
  this->ptr_ = sCLs::_data_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

sCLs::_data_forany::~_data_forany()
{
}

::sCLs::_data_forany &sCLs::_data_forany::operator=(::sCLs::_data_slice *p)
{
  if( this->ptr_ != p )
  {
    sCLs::_data_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::sCLs::_data_forany &sCLs::_data_forany::operator=(const ::sCLs::_data_forany &p)
{
  if( this != &p )
  {
    sCLs::_data_free(this->ptr_);
    this->ptr_ = sCLs::_data_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::sCLs::_data_slice &sCLs::_data_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::sCLs::_data_slice &sCLs::_data_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

sCLs::_data_forany::operator ::sCLs::_data_slice *const &() const
{
  return this->ptr_;
}

sCLs::_data_forany::operator ::sCLs::_data_slice *&()
{
  return this->ptr_;
}

const ::sCLs::_data_slice *sCLs::_data_forany::in() const
{
  return this->ptr_;
}

::sCLs::_data_slice *sCLs::_data_forany::inout()
{
  return this->ptr_;
}

::sCLs::_data_slice *&sCLs::_data_forany::out()
{
  sCLs::_data_free(this->ptr_);
  this->ptr_ = (::sCLs::_data_slice  *)0;
  return this->ptr_;
}

::sCLs::_data_slice *sCLs::_data_forany::_retn()
{
  ::sCLs::_data_slice  *tmp = this->ptr_;
  this->ptr_ = (::sCLs::_data_slice  *)0;
  return tmp;
}

::sCLs::_data_slice *sCLs::_data_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean sCLs::_data_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_arrays[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    15, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x61727261), ACE_NTOHL(0x79733a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:arrays:1.0 */,
    7, ACE_NTOHL(0x61727261), ACE_NTOHL(0x79730000) /* name = arrays */
};

static CORBA::TypeCode _tc_TAO_tc_arrays (CORBA::tk_objref, sizeof(_oc_arrays), (char *) &_oc_arrays, 0, sizeof(arrays ));

CORBA::TypeCode_ptr _tc_arrays = &_tc_TAO_tc_arrays;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<arrays , arrays_var >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<arrays , arrays_var >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */


arrays_ptr  (*_TAO_collocation_arrays_Stub_Factory_function_pointer)(CORBA::Object_ptr obj) = 0;


arrays_ptr arrays::_duplicate(arrays_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

arrays_ptr arrays::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if (CORBA::is_nil(obj))
    return arrays::_nil();
  CORBA::Boolean is_a = obj->_is_a ("IDL:arrays:1.0", _env);
  if (_env.exception() != 0)
    return arrays::_nil();
  if (is_a == 0)
    return arrays::_nil();
  return arrays::_unchecked_narrow(obj, _env);
}

arrays_ptr arrays::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &)
{
  if( CORBA::is_nil(_obj) )
    return arrays::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  if (_obj->_is_collocated () && _TAO_collocation_arrays_Stub_Factory_function_pointer != 0)
    {
      arrays_ptr  retv = _TAO_collocation_arrays_Stub_Factory_function_pointer(_obj);
      if (retv != 0)
        return retv;
    }
  return new arrays (stub);
}

arrays_ptr arrays::_nil()
{
  return (arrays_ptr )NULL;
}

CORBA::Boolean arrays::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:arrays:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *arrays::_interface_repository_id() const
{
  return "IDL:arrays:1.0";
}

arrays::arrays()
{}

arrays::~arrays()
{}

void operator<<=(CORBA::Any &a, arrays_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = arrays::_duplicate(o);
    a.replace (_tc_arrays, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, arrays_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = arrays::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_arrays, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_arrays, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = arrays::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_arrays, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

arrays::arrays(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

arrays_var::arrays_var()
  : ptr_(arrays::_nil())
{}

arrays_var::arrays_var(arrays_ptr p)
  : ptr_(p)
{}

arrays_var::arrays_var(const arrays_var &a)
  : ptr_(arrays::_duplicate(a.ptr()))
{}

arrays_var::~arrays_var()
{
  CORBA::release(this->ptr_);
}

arrays_var &arrays_var::operator=(arrays_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

arrays_var &arrays_var::operator=(const arrays_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = arrays::_duplicate(p.ptr());
  }
  return *this;
}

arrays_ptr arrays_var::operator->() const
{
  return this->ptr_;
}

arrays_var::operator const arrays_ptr &() const
{
  return this->ptr_;
}

arrays_var::operator arrays_ptr &()
{
  return this->ptr_;
}

arrays_ptr arrays_var::in() const
{
  return this->ptr_;
}

arrays_ptr &arrays_var::inout()
{
  return this->ptr_;
}

arrays_ptr &arrays_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = arrays::_nil();
  return this->ptr_;
}

arrays_ptr arrays_var::_retn()
{
  arrays_ptr  val = this->ptr_;
  this->ptr_ = arrays::_nil();
  return val;
}

arrays_ptr arrays_var::ptr() const
{
  return this->ptr_;
}

arrays_out::arrays_out(arrays_ptr &r)
  : ptr_(r)
{
  this->ptr_ = arrays::_nil();
}

arrays_out::arrays_out(arrays_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = arrays::_nil();
}

arrays_out::arrays_out(const arrays_out &r)
  : ptr_(ACE_const_cast(arrays_out &,r).ptr_)
{}

arrays_out &arrays_out::operator=(const arrays_out &r)
{
  this->ptr_ = ACE_const_cast(arrays_out &,r).ptr_;
  return *this;
}

arrays_out &arrays_out::operator=(const arrays_var &r)
{
  this->ptr_ = arrays::_duplicate(r.ptr());
  return *this;
}

arrays_out &arrays_out::operator=(arrays_ptr r)
{
  this->ptr_ = r;
  return *this;
}

arrays_out::operator arrays_ptr &()
{
  return this->ptr_;
}

arrays_ptr &arrays_out::ptr()
{
  return this->ptr_;
}

arrays_ptr arrays_out::operator->()
{
  return this->ptr_;
}
struct cLd arrays::test_cLd(/* arrays *this, */ const struct cLd &inp, struct cLd &iop, cLd_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  struct cLd _return;


  memset(&_return, 0, sizeof(struct cLd ));

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1);
    }




    {
      flick_iiopxx_encode_new_glob(452, _flick_abort1);
      flick_iiopxx_encode_new_chunk(224);
      flick_cdr_encode_unsigned32(0, 9, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'c', flick_char8_t );
      flick_cdr_encode_char8(10, 'L', flick_char8_t );
      flick_cdr_encode_char8(11, 'd', flick_char8_t );
      flick_cdr_encode_char8(12, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(20, inp.first, CORBA::Char );
      flick_cdr_encode_bcopy(24, inp.data, 200);
      flick_iiopxx_encode_end_chunk(224);
      flick_iiopxx_encode_new_chunk_align(224, 3, 2, 0);
      flick_cdr_encode_float64(0, inp.last, CORBA::Double );
      flick_cdr_encode_char8(8, iop.first, CORBA::Char );
      flick_cdr_encode_bcopy(12, iop.data, 200);
      flick_cdr_encode_float64(216, iop.last, CORBA::Double );
      flick_iiopxx_encode_end_chunk(224);
      flick_iiopxx_encode_end_glob(452);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t1_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1093);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t1_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t1_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t5_array_iter;
              flick_unsigned32_t _t6_array_iter;
              flick_unsigned32_t _t7_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort49);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _return.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              for (_t5_array_iter = 0; _t5_array_iter < 50; _t5_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort53);
                  flick_cdr_swap_decode_signed32(0, _return.data[_t5_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort53:
                    goto _flick_abort49;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 0);
              flick_iiopxx_check_span(9, _flick_abort49);
              flick_cdr_swap_decode_float64(0, _return.last, CORBA::Double );
              flick_cdr_swap_decode_char8(8, iop.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t6_array_iter = 0; _t6_array_iter < 50; _t6_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort58);
                  flick_cdr_swap_decode_signed32(0, iop.data[_t6_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort58:
                    goto _flick_abort49;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 0);
              flick_iiopxx_check_span(9, _flick_abort49);
              flick_cdr_swap_decode_float64(0, iop.last, CORBA::Double );
              flick_cdr_swap_decode_char8(8, outp.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t7_array_iter = 0; _t7_array_iter < 50; _t7_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort63);
                  flick_cdr_swap_decode_signed32(0, outp.data[_t7_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort63:
                    goto _flick_abort49;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort49);
              flick_cdr_swap_decode_float64(0, outp.last, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(1093);
              break;
              {
              _flick_abort49:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1093);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort65);
              break;
              {
              _flick_abort65:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort66);
              flick_iiopxx_decode_end_glob(1093);
              break;
              {
              _flick_abort66:
                goto _flick_abort1;
              }
            }
          }
      }

    else
      {
        int _t0_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(652);
        flick_iiopxx_check_span(4, _flick_abort1);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t0_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t0_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(204, _flick_abort21);
              flick_iiopxx_decode_new_chunk(204);
              flick_cdr_decode_char8(0, _return.first, CORBA::Char );
              flick_cdr_decode_bcopy(4, _return.data, 200);
              flick_iiopxx_decode_end_chunk(204);
              flick_iiopxx_decode_new_chunk_align(440, 3, 2, 0);
              flick_iiopxx_check_span(440, _flick_abort21);
              flick_cdr_decode_float64(0, _return.last, CORBA::Double );
              flick_cdr_decode_char8(8, iop.first, CORBA::Char );
              flick_cdr_decode_bcopy(12, iop.data, 200);
              flick_cdr_decode_float64(216, iop.last, CORBA::Double );
              flick_cdr_decode_char8(224, outp.first, CORBA::Char );
              flick_cdr_decode_bcopy(228, outp.data, 200);
              flick_cdr_decode_float64(432, outp.last, CORBA::Double );
              flick_iiopxx_decode_end_chunk(440);
              flick_iiopxx_decode_end_glob(652);
              break;
              {
              _flick_abort21:
                goto _flick_abort1;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(652);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort28);
              break;
              {
              _flick_abort28:
                goto _flick_abort1;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort29);
              flick_iiopxx_decode_end_glob(652);
              break;
              {
              _flick_abort29:
                goto _flick_abort1;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort1);
  }
  return _return;
  {
  _flick_abort1:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

struct dLc arrays::test_dLc(/* arrays *this, */ const struct dLc &inp, struct dLc &iop, dLc_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  struct dLc _return;


  memset(&_return, 0, sizeof(struct dLc ));

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort68);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort68);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort68);
    }




    {
      flick_iiopxx_encode_new_glob(449, _flick_abort68);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 9, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'd', flick_char8_t );
      flick_cdr_encode_char8(10, 'L', flick_char8_t );
      flick_cdr_encode_char8(11, 'c', flick_char8_t );
      flick_cdr_encode_char8(12, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_new_chunk_align(425, 3, 2, 0);
      flick_cdr_encode_float64(0, inp.first, CORBA::Double );
      flick_cdr_encode_bcopy(8, inp.data, 200);
      flick_cdr_encode_char8(208, inp.last, CORBA::Char );
      flick_cdr_encode_float64(216, iop.first, CORBA::Double );
      flick_cdr_encode_bcopy(224, iop.data, 200);
      flick_cdr_encode_char8(424, iop.last, CORBA::Char );
      flick_iiopxx_encode_end_chunk(425);
      flick_iiopxx_encode_end_glob(449);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort68);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort68);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort68);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort68);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t9_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(649);
        flick_iiopxx_check_span(4, _flick_abort68);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t9_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t9_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t13_array_iter;
              flick_unsigned32_t _t14_array_iter;
              flick_unsigned32_t _t15_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(50 * 4 + 1 + 8, _flick_abort116);
              flick_cdr_swap_decode_float64(0, _return.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t13_array_iter = 0; _t13_array_iter < 50; _t13_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _return.data[_t13_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _return.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 1);
              flick_iiopxx_check_span(50 * 4 + 1 + 8, _flick_abort116);
              flick_cdr_swap_decode_float64(0, iop.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t14_array_iter = 0; _t14_array_iter < 50; _t14_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, iop.data[_t14_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, iop.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 1);
              flick_iiopxx_check_span(50 * 4 + 1 + 8, _flick_abort116);
              flick_cdr_swap_decode_float64(0, outp.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t15_array_iter = 0; _t15_array_iter < 50; _t15_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, outp.data[_t15_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, outp.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(649);
              break;
              {
              _flick_abort116:
                goto _flick_abort68;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(649);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort132);
              break;
              {
              _flick_abort132:
                goto _flick_abort68;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort133);
              flick_iiopxx_decode_end_glob(649);
              break;
              {
              _flick_abort133:
                goto _flick_abort68;
              }
            }
          }
      }

    else
      {
        int _t8_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(649);
        flick_iiopxx_check_span(4, _flick_abort68);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t8_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t8_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(641, 3, 2, 0);
              flick_iiopxx_check_span(641, _flick_abort88);
              flick_cdr_decode_float64(0, _return.first, CORBA::Double );
              flick_cdr_decode_bcopy(8, _return.data, 200);
              flick_cdr_decode_char8(208, _return.last, CORBA::Char );
              flick_cdr_decode_float64(216, iop.first, CORBA::Double );
              flick_cdr_decode_bcopy(224, iop.data, 200);
              flick_cdr_decode_char8(424, iop.last, CORBA::Char );
              flick_cdr_decode_float64(432, outp.first, CORBA::Double );
              flick_cdr_decode_bcopy(440, outp.data, 200);
              flick_cdr_decode_char8(640, outp.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(641);
              flick_iiopxx_decode_end_glob(649);
              break;
              {
              _flick_abort88:
                goto _flick_abort68;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(649);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort95);
              break;
              {
              _flick_abort95:
                goto _flick_abort68;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort96);
              flick_iiopxx_decode_end_glob(649);
              break;
              {
              _flick_abort96:
                goto _flick_abort68;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort68);
  }
  return _return;
  {
  _flick_abort68:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort67);
  _flick_abort67:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

struct sLs arrays::test_sLs(/* arrays *this, */ const struct sLs &inp, struct sLs &iop, sLs_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  struct sLs _return;


  memset(&_return, 0, sizeof(struct sLs ));

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort135);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort135);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort135);
    }




    {
      flick_iiopxx_encode_new_glob(430, _flick_abort135);
      flick_iiopxx_encode_new_chunk(430);
      flick_cdr_encode_unsigned32(0, 9, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 'L', flick_char8_t );
      flick_cdr_encode_char8(11, 's', flick_char8_t );
      flick_cdr_encode_char8(12, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(20, inp.first, CORBA::Short );
      flick_cdr_encode_bcopy(24, inp.data, 200);
      flick_cdr_encode_signed16(224, inp.last, CORBA::Short );
      flick_cdr_encode_signed16(226, iop.first, CORBA::Short );
      flick_cdr_encode_bcopy(228, iop.data, 200);
      flick_cdr_encode_signed16(428, iop.last, CORBA::Short );
      flick_iiopxx_encode_end_chunk(430);
      flick_iiopxx_encode_end_glob(430);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort135);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort135);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort135);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort135);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t17_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(716);
        flick_iiopxx_check_span(4, _flick_abort135);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t17_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t17_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t21_array_iter;
              flick_unsigned32_t _t22_array_iter;
              flick_unsigned32_t _t23_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort183);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              for (_t21_array_iter = 0; _t21_array_iter < 50; _t21_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
                  flick_iiopxx_check_span(4, _flick_abort187);
                  flick_cdr_swap_decode_signed32(0, _return.data[_t21_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort187:
                    goto _flick_abort183;
                  }
                }
              flick_iiopxx_check_span(50 * 4 + (50 * 4 + 2) + 8, _flick_abort183);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed16(0, _return.last, CORBA::Short );
              flick_cdr_swap_decode_signed16(2, iop.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(4);
              for (_t22_array_iter = 0; _t22_array_iter < 50; _t22_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, iop.data[_t22_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed16(0, iop.last, CORBA::Short );
              flick_cdr_swap_decode_signed16(2, outp.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(4);
              for (_t23_array_iter = 0; _t23_array_iter < 50; _t23_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, outp.data[_t23_array_iter], CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, outp.last, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(716);
              break;
              {
              _flick_abort183:
                goto _flick_abort135;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(716);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort199);
              break;
              {
              _flick_abort199:
                goto _flick_abort135;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort200);
              flick_iiopxx_decode_end_glob(716);
              break;
              {
              _flick_abort200:
                goto _flick_abort135;
              }
            }
          }
      }

    else
      {
        int _t16_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(618);
        flick_iiopxx_check_span(4, _flick_abort135);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t16_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t16_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(614, _flick_abort155);
              flick_iiopxx_decode_new_chunk(614);
              flick_cdr_decode_signed16(0, _return.first, CORBA::Short );
              flick_cdr_decode_bcopy(4, _return.data, 200);
              flick_cdr_decode_signed16(204, _return.last, CORBA::Short );
              flick_cdr_decode_signed16(206, iop.first, CORBA::Short );
              flick_cdr_decode_bcopy(208, iop.data, 200);
              flick_cdr_decode_signed16(408, iop.last, CORBA::Short );
              flick_cdr_decode_signed16(410, outp.first, CORBA::Short );
              flick_cdr_decode_bcopy(412, outp.data, 200);
              flick_cdr_decode_signed16(612, outp.last, CORBA::Short );
              flick_iiopxx_decode_end_chunk(614);
              flick_iiopxx_decode_end_glob(618);
              break;
              {
              _flick_abort155:
                goto _flick_abort135;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(618);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort162);
              break;
              {
              _flick_abort162:
                goto _flick_abort135;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort163);
              flick_iiopxx_decode_end_glob(618);
              break;
              {
              _flick_abort163:
                goto _flick_abort135;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort135);
  }
  return _return;
  {
  _flick_abort135:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort134);
  _flick_abort134:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

struct cLCd arrays::test_cLCd(/* arrays *this, */ const struct cLCd &inp, struct cLCd &iop, cLCd_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  struct cLCd _return;


  memset(&_return, 0, sizeof(struct cLCd ));

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort202);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort202);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort202);
    }




    {
      flick_unsigned32_t _t26_array_iter;
      flick_unsigned32_t _t27_array_iter;

      flick_iiopxx_encode_new_glob(852, _flick_abort202);
      flick_iiopxx_encode_new_chunk(21);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'c', flick_char8_t );
      flick_cdr_encode_char8(10, 'L', flick_char8_t );
      flick_cdr_encode_char8(11, 'C', flick_char8_t );
      flick_cdr_encode_char8(12, 'd', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(20, inp.first, CORBA::Char );
      flick_iiopxx_encode_end_chunk(21);
      for (_t26_array_iter = 0; _t26_array_iter < 50; _t26_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(8);
          flick_cdr_encode_signed32(3, inp.data[_t26_array_iter].elem1, CORBA::Long );
          flick_cdr_encode_char8(7, inp.data[_t26_array_iter].elem2, CORBA::Char );
          flick_iiopxx_encode_end_chunk(8);
          continue;
        }
      flick_iiopxx_encode_new_chunk_align(9, 3, 2, 1);
      flick_cdr_encode_float64(0, inp.last, CORBA::Double );
      flick_cdr_encode_char8(8, iop.first, CORBA::Char );
      flick_iiopxx_encode_end_chunk(9);
      for (_t27_array_iter = 0; _t27_array_iter < 50; _t27_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(8);
          flick_cdr_encode_signed32(3, iop.data[_t27_array_iter].elem1, CORBA::Long );
          flick_cdr_encode_char8(7, iop.data[_t27_array_iter].elem2, CORBA::Char );
          flick_iiopxx_encode_end_chunk(8);
          continue;
        }
      flick_iiopxx_encode_new_chunk(15);
      flick_cdr_encode_float64(7, iop.last, CORBA::Double );
      flick_iiopxx_encode_end_chunk(15);
      flick_iiopxx_encode_end_glob(852);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort202);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort202);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort202);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort202);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t35_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1252);
        flick_iiopxx_check_span(4, _flick_abort202);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t35_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t35_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t39_array_iter;
              flick_unsigned32_t _t40_array_iter;
              flick_unsigned32_t _t41_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(50 * 8 + 1, _flick_abort280);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _return.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              for (_t39_array_iter = 0; _t39_array_iter < 50; _t39_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_signed32(3, _return.data[_t39_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(7, _return.data[_t39_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 1);
              flick_iiopxx_check_span(50 * 8 + (50 * 8 + 15) + 25, _flick_abort280);
              flick_cdr_swap_decode_float64(0, _return.last, CORBA::Double );
              flick_cdr_swap_decode_char8(8, iop.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t40_array_iter = 0; _t40_array_iter < 50; _t40_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_signed32(3, iop.data[_t40_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(7, iop.data[_t40_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(16);
              flick_cdr_swap_decode_float64(7, iop.last, CORBA::Double );
              flick_cdr_swap_decode_char8(15, outp.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(16);
              for (_t41_array_iter = 0; _t41_array_iter < 50; _t41_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_signed32(3, outp.data[_t41_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(7, outp.data[_t41_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(15);
              flick_cdr_swap_decode_float64(7, outp.last, CORBA::Double );
              flick_iiopxx_decode_end_chunk(15);
              flick_iiopxx_decode_end_glob(1252);
              break;
              {
              _flick_abort280:
                goto _flick_abort202;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1252);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort296);
              break;
              {
              _flick_abort296:
                goto _flick_abort202;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort297);
              flick_iiopxx_decode_end_glob(1252);
              break;
              {
              _flick_abort297:
                goto _flick_abort202;
              }
            }
          }
      }

    else
      {
        int _t28_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1252);
        flick_iiopxx_check_span(4, _flick_abort202);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t28_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t28_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t32_array_iter;
              flick_unsigned32_t _t33_array_iter;
              flick_unsigned32_t _t34_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(50 * 8 + 1, _flick_abort243);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _return.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              for (_t32_array_iter = 0; _t32_array_iter < 50; _t32_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_signed32(3, _return.data[_t32_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(7, _return.data[_t32_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 1);
              flick_iiopxx_check_span(50 * 8 + (50 * 8 + 15) + 25, _flick_abort243);
              flick_cdr_decode_float64(0, _return.last, CORBA::Double );
              flick_cdr_decode_char8(8, iop.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t33_array_iter = 0; _t33_array_iter < 50; _t33_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_signed32(3, iop.data[_t33_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(7, iop.data[_t33_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(16);
              flick_cdr_decode_float64(7, iop.last, CORBA::Double );
              flick_cdr_decode_char8(15, outp.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(16);
              for (_t34_array_iter = 0; _t34_array_iter < 50; _t34_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_signed32(3, outp.data[_t34_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(7, outp.data[_t34_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(15);
              flick_cdr_decode_float64(7, outp.last, CORBA::Double );
              flick_iiopxx_decode_end_chunk(15);
              flick_iiopxx_decode_end_glob(1252);
              break;
              {
              _flick_abort243:
                goto _flick_abort202;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1252);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort259);
              break;
              {
              _flick_abort259:
                goto _flick_abort202;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort260);
              flick_iiopxx_decode_end_glob(1252);
              break;
              {
              _flick_abort260:
                goto _flick_abort202;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort202);
  }
  return _return;
  {
  _flick_abort202:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort201);
  _flick_abort201:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

struct dLCc arrays::test_dLCc(/* arrays *this, */ const struct dLCc &inp, struct dLCc &iop, dLCc_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  struct dLCc _return;


  memset(&_return, 0, sizeof(struct dLCc ));

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort299);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort299);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort299);
    }




    {
      flick_unsigned32_t _t44_array_iter;
      flick_unsigned32_t _t45_array_iter;

      flick_iiopxx_encode_new_glob(848, _flick_abort299);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'd', flick_char8_t );
      flick_cdr_encode_char8(10, 'L', flick_char8_t );
      flick_cdr_encode_char8(11, 'C', flick_char8_t );
      flick_cdr_encode_char8(12, 'c', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
      flick_cdr_encode_float64(0, inp.first, CORBA::Double );
      flick_iiopxx_encode_end_chunk(8);
      for (_t44_array_iter = 0; _t44_array_iter < 50; _t44_array_iter++)
        {
          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
          flick_cdr_encode_signed32(0, inp.data[_t44_array_iter].elem1, CORBA::Long );
          flick_cdr_encode_char8(4, inp.data[_t44_array_iter].elem2, CORBA::Char );
          flick_iiopxx_encode_end_chunk(5);
          continue;
        }
      flick_iiopxx_encode_new_chunk(1);
      flick_cdr_encode_char8(0, inp.last, CORBA::Char );
      flick_iiopxx_encode_end_chunk(1);
      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 2);
      flick_cdr_encode_float64(0, iop.first, CORBA::Double );
      flick_iiopxx_encode_end_chunk(8);
      for (_t45_array_iter = 0; _t45_array_iter < 50; _t45_array_iter++)
        {
          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
          flick_cdr_encode_signed32(0, iop.data[_t45_array_iter].elem1, CORBA::Long );
          flick_cdr_encode_char8(4, iop.data[_t45_array_iter].elem2, CORBA::Char );
          flick_iiopxx_encode_end_chunk(5);
          continue;
        }
      flick_iiopxx_encode_new_chunk(1);
      flick_cdr_encode_char8(0, iop.last, CORBA::Char );
      flick_iiopxx_encode_end_chunk(1);
      flick_iiopxx_encode_end_glob(848);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort299);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort299);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort299);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort299);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t53_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1247);
        flick_iiopxx_check_span(4, _flick_abort299);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t53_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t53_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t57_array_iter;
              flick_unsigned32_t _t58_array_iter;
              flick_unsigned32_t _t59_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort377);
              flick_cdr_swap_decode_float64(0, _return.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t57_array_iter = 0; _t57_array_iter < 50; _t57_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort381);
                  flick_cdr_swap_decode_signed32(0, _return.data[_t57_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(4, _return.data[_t57_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort381:
                    goto _flick_abort377;
                  }
                }
              flick_iiopxx_check_span(1, _flick_abort377);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _return.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 2);
              flick_iiopxx_check_span(8, _flick_abort377);
              flick_cdr_swap_decode_float64(0, iop.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t58_array_iter = 0; _t58_array_iter < 50; _t58_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort386);
                  flick_cdr_swap_decode_signed32(0, iop.data[_t58_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(4, iop.data[_t58_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort386:
                    goto _flick_abort377;
                  }
                }
              flick_iiopxx_check_span(1, _flick_abort377);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, iop.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 2);
              flick_iiopxx_check_span(8, _flick_abort377);
              flick_cdr_swap_decode_float64(0, outp.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t59_array_iter = 0; _t59_array_iter < 50; _t59_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort391);
                  flick_cdr_swap_decode_signed32(0, outp.data[_t59_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(4, outp.data[_t59_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort391:
                    goto _flick_abort377;
                  }
                }
              flick_iiopxx_check_span(1, _flick_abort377);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, outp.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(1247);
              break;
              {
              _flick_abort377:
                goto _flick_abort299;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1247);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort393);
              break;
              {
              _flick_abort393:
                goto _flick_abort299;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort394);
              flick_iiopxx_decode_end_glob(1247);
              break;
              {
              _flick_abort394:
                goto _flick_abort299;
              }
            }
          }
      }

    else
      {
        int _t46_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1247);
        flick_iiopxx_check_span(4, _flick_abort299);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t46_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t46_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t50_array_iter;
              flick_unsigned32_t _t51_array_iter;
              flick_unsigned32_t _t52_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort340);
              flick_cdr_decode_float64(0, _return.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t50_array_iter = 0; _t50_array_iter < 50; _t50_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort344);
                  flick_cdr_decode_signed32(0, _return.data[_t50_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(4, _return.data[_t50_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort344:
                    goto _flick_abort340;
                  }
                }
              flick_iiopxx_check_span(1, _flick_abort340);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _return.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 2);
              flick_iiopxx_check_span(8, _flick_abort340);
              flick_cdr_decode_float64(0, iop.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t51_array_iter = 0; _t51_array_iter < 50; _t51_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort349);
                  flick_cdr_decode_signed32(0, iop.data[_t51_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(4, iop.data[_t51_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort349:
                    goto _flick_abort340;
                  }
                }
              flick_iiopxx_check_span(1, _flick_abort340);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, iop.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 2);
              flick_iiopxx_check_span(8, _flick_abort340);
              flick_cdr_decode_float64(0, outp.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t52_array_iter = 0; _t52_array_iter < 50; _t52_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort354);
                  flick_cdr_decode_signed32(0, outp.data[_t52_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(4, outp.data[_t52_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort354:
                    goto _flick_abort340;
                  }
                }
              flick_iiopxx_check_span(1, _flick_abort340);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, outp.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(1247);
              break;
              {
              _flick_abort340:
                goto _flick_abort299;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1247);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort356);
              break;
              {
              _flick_abort356:
                goto _flick_abort299;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort357);
              flick_iiopxx_decode_end_glob(1247);
              break;
              {
              _flick_abort357:
                goto _flick_abort299;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort299);
  }
  return _return;
  {
  _flick_abort299:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort298);
  _flick_abort298:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

struct sLCs arrays::test_sLCs(/* arrays *this, */ const struct sLCs &inp, struct sLCs &iop, sLCs_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  struct sLCs _return;


  memset(&_return, 0, sizeof(struct sLCs ));

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort396);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort396);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort396);
    }




    {
      flick_unsigned32_t _t62_array_iter;
      flick_unsigned32_t _t63_array_iter;

      flick_iiopxx_encode_new_glob(830, _flick_abort396);
      flick_iiopxx_encode_new_chunk(22);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 'L', flick_char8_t );
      flick_cdr_encode_char8(11, 'C', flick_char8_t );
      flick_cdr_encode_char8(12, 's', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(20, inp.first, CORBA::Short );
      flick_iiopxx_encode_end_chunk(22);
      for (_t62_array_iter = 0; _t62_array_iter < 50; _t62_array_iter++)
        {
          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
          flick_cdr_encode_signed32(0, inp.data[_t62_array_iter].elem1, CORBA::Long );
          flick_cdr_encode_char8(4, inp.data[_t62_array_iter].elem2, CORBA::Char );
          flick_iiopxx_encode_end_chunk(5);
          continue;
        }
      flick_iiopxx_encode_new_chunk(5);
      flick_cdr_encode_signed16(1, inp.last, CORBA::Short );
      flick_cdr_encode_signed16(3, iop.first, CORBA::Short );
      flick_iiopxx_encode_end_chunk(5);
      for (_t63_array_iter = 0; _t63_array_iter < 50; _t63_array_iter++)
        {
          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
          flick_cdr_encode_signed32(0, iop.data[_t63_array_iter].elem1, CORBA::Long );
          flick_cdr_encode_char8(4, iop.data[_t63_array_iter].elem2, CORBA::Char );
          flick_iiopxx_encode_end_chunk(5);
          continue;
        }
      flick_iiopxx_encode_new_chunk(3);
      flick_cdr_encode_signed16(1, iop.last, CORBA::Short );
      flick_iiopxx_encode_end_chunk(3);
      flick_iiopxx_encode_end_glob(830);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort396);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort396);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort396);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort396);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t71_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1219);
        flick_iiopxx_check_span(4, _flick_abort396);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t71_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t71_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t75_array_iter;
              flick_unsigned32_t _t76_array_iter;
              flick_unsigned32_t _t77_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort474);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              for (_t75_array_iter = 0; _t75_array_iter < 50; _t75_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort478);
                  flick_cdr_swap_decode_signed32(0, _return.data[_t75_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(4, _return.data[_t75_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort478:
                    goto _flick_abort474;
                  }
                }
              flick_iiopxx_check_span(5, _flick_abort474);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_swap_decode_signed16(1, _return.last, CORBA::Short );
              flick_cdr_swap_decode_signed16(3, iop.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(5);
              for (_t76_array_iter = 0; _t76_array_iter < 50; _t76_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort483);
                  flick_cdr_swap_decode_signed32(0, iop.data[_t76_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(4, iop.data[_t76_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort483:
                    goto _flick_abort474;
                  }
                }
              flick_iiopxx_check_span(5, _flick_abort474);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_swap_decode_signed16(1, iop.last, CORBA::Short );
              flick_cdr_swap_decode_signed16(3, outp.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(5);
              for (_t77_array_iter = 0; _t77_array_iter < 50; _t77_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort488);
                  flick_cdr_swap_decode_signed32(0, outp.data[_t77_array_iter].elem1, CORBA::Long );
                  flick_cdr_swap_decode_char8(4, outp.data[_t77_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort488:
                    goto _flick_abort474;
                  }
                }
              flick_iiopxx_check_span(3, _flick_abort474);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_swap_decode_signed16(1, outp.last, CORBA::Short );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(1219);
              break;
              {
              _flick_abort474:
                goto _flick_abort396;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1219);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort490);
              break;
              {
              _flick_abort490:
                goto _flick_abort396;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort491);
              flick_iiopxx_decode_end_glob(1219);
              break;
              {
              _flick_abort491:
                goto _flick_abort396;
              }
            }
          }
      }

    else
      {
        int _t64_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1219);
        flick_iiopxx_check_span(4, _flick_abort396);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t64_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t64_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t68_array_iter;
              flick_unsigned32_t _t69_array_iter;
              flick_unsigned32_t _t70_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort437);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, _return.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              for (_t68_array_iter = 0; _t68_array_iter < 50; _t68_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort441);
                  flick_cdr_decode_signed32(0, _return.data[_t68_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(4, _return.data[_t68_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort441:
                    goto _flick_abort437;
                  }
                }
              flick_iiopxx_check_span(5, _flick_abort437);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_decode_signed16(1, _return.last, CORBA::Short );
              flick_cdr_decode_signed16(3, iop.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(5);
              for (_t69_array_iter = 0; _t69_array_iter < 50; _t69_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort446);
                  flick_cdr_decode_signed32(0, iop.data[_t69_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(4, iop.data[_t69_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort446:
                    goto _flick_abort437;
                  }
                }
              flick_iiopxx_check_span(5, _flick_abort437);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_decode_signed16(1, iop.last, CORBA::Short );
              flick_cdr_decode_signed16(3, outp.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(5);
              for (_t70_array_iter = 0; _t70_array_iter < 50; _t70_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiopxx_check_span(5, _flick_abort451);
                  flick_cdr_decode_signed32(0, outp.data[_t70_array_iter].elem1, CORBA::Long );
                  flick_cdr_decode_char8(4, outp.data[_t70_array_iter].elem2, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(5);
                  continue;
                  {
                  _flick_abort451:
                    goto _flick_abort437;
                  }
                }
              flick_iiopxx_check_span(3, _flick_abort437);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_decode_signed16(1, outp.last, CORBA::Short );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(1219);
              break;
              {
              _flick_abort437:
                goto _flick_abort396;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1219);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort453);
              break;
              {
              _flick_abort453:
                goto _flick_abort396;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort454);
              flick_iiopxx_decode_end_glob(1219);
              break;
              {
              _flick_abort454:
                goto _flick_abort396;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort396);
  }
  return _return;
  {
  _flick_abort396:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort395);
  _flick_abort395:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

struct cCLd arrays::test_cCLd(/* arrays *this, */ const struct cCLd &inp, struct cCLd &iop, cCLd_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  struct cCLd _return;


  memset(&_return, 0, sizeof(struct cCLd ));

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort493);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort493);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort493);
    }




    {
      flick_unsigned32_t _t80_array_iter;
      flick_unsigned32_t _t81_array_iter;

      flick_iiopxx_encode_new_glob(846, _flick_abort493);
      flick_iiopxx_encode_new_chunk(21);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'c', flick_char8_t );
      flick_cdr_encode_char8(10, 'C', flick_char8_t );
      flick_cdr_encode_char8(11, 'L', flick_char8_t );
      flick_cdr_encode_char8(12, 'd', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(20, inp.first, CORBA::Char );
      flick_iiopxx_encode_end_chunk(21);
      for (_t80_array_iter = 0; _t80_array_iter < 50; _t80_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(1);
          flick_cdr_encode_char8(0, inp.data[_t80_array_iter].elem1, CORBA::Char );
          flick_iiopxx_encode_end_chunk(1);
          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
          flick_cdr_encode_signed32(0, inp.data[_t80_array_iter].elem2, CORBA::Long );
          flick_iiopxx_encode_end_chunk(4);
          continue;
        }
      flick_iiopxx_encode_new_chunk_align(9, 3, 2, 0);
      flick_cdr_encode_float64(0, inp.last, CORBA::Double );
      flick_cdr_encode_char8(8, iop.first, CORBA::Char );
      flick_iiopxx_encode_end_chunk(9);
      for (_t81_array_iter = 0; _t81_array_iter < 50; _t81_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(1);
          flick_cdr_encode_char8(0, iop.data[_t81_array_iter].elem1, CORBA::Char );
          flick_iiopxx_encode_end_chunk(1);
          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
          flick_cdr_encode_signed32(0, iop.data[_t81_array_iter].elem2, CORBA::Long );
          flick_iiopxx_encode_end_chunk(4);
          continue;
        }
      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
      flick_cdr_encode_float64(0, iop.last, CORBA::Double );
      flick_iiopxx_encode_end_chunk(8);
      flick_iiopxx_encode_end_glob(846);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort493);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort493);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort493);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort493);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t89_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1243);
        flick_iiopxx_check_span(4, _flick_abort493);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t89_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t89_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t93_array_iter;
              flick_unsigned32_t _t94_array_iter;
              flick_unsigned32_t _t95_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort571);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _return.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              for (_t93_array_iter = 0; _t93_array_iter < 50; _t93_array_iter++)
                {
                  flick_iiopxx_check_span(1, _flick_abort575);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _return.data[_t93_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort575);
                  flick_cdr_swap_decode_signed32(0, _return.data[_t93_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort575:
                    goto _flick_abort571;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 0);
              flick_iiopxx_check_span(9, _flick_abort571);
              flick_cdr_swap_decode_float64(0, _return.last, CORBA::Double );
              flick_cdr_swap_decode_char8(8, iop.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t94_array_iter = 0; _t94_array_iter < 50; _t94_array_iter++)
                {
                  flick_iiopxx_check_span(1, _flick_abort580);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, iop.data[_t94_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort580);
                  flick_cdr_swap_decode_signed32(0, iop.data[_t94_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort580:
                    goto _flick_abort571;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 0);
              flick_iiopxx_check_span(9, _flick_abort571);
              flick_cdr_swap_decode_float64(0, iop.last, CORBA::Double );
              flick_cdr_swap_decode_char8(8, outp.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t95_array_iter = 0; _t95_array_iter < 50; _t95_array_iter++)
                {
                  flick_iiopxx_check_span(1, _flick_abort585);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, outp.data[_t95_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort585);
                  flick_cdr_swap_decode_signed32(0, outp.data[_t95_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort585:
                    goto _flick_abort571;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort571);
              flick_cdr_swap_decode_float64(0, outp.last, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(1243);
              break;
              {
              _flick_abort571:
                goto _flick_abort493;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1243);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort587);
              break;
              {
              _flick_abort587:
                goto _flick_abort493;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort588);
              flick_iiopxx_decode_end_glob(1243);
              break;
              {
              _flick_abort588:
                goto _flick_abort493;
              }
            }
          }
      }

    else
      {
        int _t82_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1243);
        flick_iiopxx_check_span(4, _flick_abort493);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t82_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t82_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t86_array_iter;
              flick_unsigned32_t _t87_array_iter;
              flick_unsigned32_t _t88_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort534);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _return.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              for (_t86_array_iter = 0; _t86_array_iter < 50; _t86_array_iter++)
                {
                  flick_iiopxx_check_span(1, _flick_abort538);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _return.data[_t86_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort538);
                  flick_cdr_decode_signed32(0, _return.data[_t86_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort538:
                    goto _flick_abort534;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 0);
              flick_iiopxx_check_span(9, _flick_abort534);
              flick_cdr_decode_float64(0, _return.last, CORBA::Double );
              flick_cdr_decode_char8(8, iop.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t87_array_iter = 0; _t87_array_iter < 50; _t87_array_iter++)
                {
                  flick_iiopxx_check_span(1, _flick_abort543);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, iop.data[_t87_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort543);
                  flick_cdr_decode_signed32(0, iop.data[_t87_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort543:
                    goto _flick_abort534;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 0);
              flick_iiopxx_check_span(9, _flick_abort534);
              flick_cdr_decode_float64(0, iop.last, CORBA::Double );
              flick_cdr_decode_char8(8, outp.first, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              for (_t88_array_iter = 0; _t88_array_iter < 50; _t88_array_iter++)
                {
                  flick_iiopxx_check_span(1, _flick_abort548);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, outp.data[_t88_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort548);
                  flick_cdr_decode_signed32(0, outp.data[_t88_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort548:
                    goto _flick_abort534;
                  }
                }
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort534);
              flick_cdr_decode_float64(0, outp.last, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(1243);
              break;
              {
              _flick_abort534:
                goto _flick_abort493;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1243);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort550);
              break;
              {
              _flick_abort550:
                goto _flick_abort493;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort551);
              flick_iiopxx_decode_end_glob(1243);
              break;
              {
              _flick_abort551:
                goto _flick_abort493;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort493);
  }
  return _return;
  {
  _flick_abort493:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort492);
  _flick_abort492:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

struct dCLc arrays::test_dCLc(/* arrays *this, */ const struct dCLc &inp, struct dCLc &iop, dCLc_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  struct dCLc _return;


  memset(&_return, 0, sizeof(struct dCLc ));

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort590);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort590);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort590);
    }




    {
      flick_unsigned32_t _t98_array_iter;
      flick_unsigned32_t _t99_array_iter;

      flick_iiopxx_encode_new_glob(849, _flick_abort590);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'd', flick_char8_t );
      flick_cdr_encode_char8(10, 'C', flick_char8_t );
      flick_cdr_encode_char8(11, 'L', flick_char8_t );
      flick_cdr_encode_char8(12, 'c', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
      flick_cdr_encode_float64(0, inp.first, CORBA::Double );
      flick_iiopxx_encode_end_chunk(8);
      for (_t98_array_iter = 0; _t98_array_iter < 50; _t98_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(8);
          flick_cdr_encode_char8(0, inp.data[_t98_array_iter].elem1, CORBA::Char );
          flick_cdr_encode_signed32(4, inp.data[_t98_array_iter].elem2, CORBA::Long );
          flick_iiopxx_encode_end_chunk(8);
          continue;
        }
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_char8(0, inp.last, CORBA::Char );
      flick_cdr_encode_float64(8, iop.first, CORBA::Double );
      flick_iiopxx_encode_end_chunk(16);
      for (_t99_array_iter = 0; _t99_array_iter < 50; _t99_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(8);
          flick_cdr_encode_char8(0, iop.data[_t99_array_iter].elem1, CORBA::Char );
          flick_cdr_encode_signed32(4, iop.data[_t99_array_iter].elem2, CORBA::Long );
          flick_iiopxx_encode_end_chunk(8);
          continue;
        }
      flick_iiopxx_encode_new_chunk(1);
      flick_cdr_encode_char8(0, iop.last, CORBA::Char );
      flick_iiopxx_encode_end_chunk(1);
      flick_iiopxx_encode_end_glob(849);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort590);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort590);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort590);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort590);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t107_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1249);
        flick_iiopxx_check_span(4, _flick_abort590);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t107_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t107_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t111_array_iter;
              flick_unsigned32_t _t112_array_iter;
              flick_unsigned32_t _t113_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(50 * 8 + (50 * 8 + (50 * 8 + 1)) + 40, _flick_abort668);
              flick_cdr_swap_decode_float64(0, _return.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t111_array_iter = 0; _t111_array_iter < 50; _t111_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_char8(0, _return.data[_t111_array_iter].elem1, CORBA::Char );
                  flick_cdr_swap_decode_signed32(4, _return.data[_t111_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(16);
              flick_cdr_swap_decode_char8(0, _return.last, CORBA::Char );
              flick_cdr_swap_decode_float64(8, iop.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(16);
              for (_t112_array_iter = 0; _t112_array_iter < 50; _t112_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_char8(0, iop.data[_t112_array_iter].elem1, CORBA::Char );
                  flick_cdr_swap_decode_signed32(4, iop.data[_t112_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(16);
              flick_cdr_swap_decode_char8(0, iop.last, CORBA::Char );
              flick_cdr_swap_decode_float64(8, outp.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(16);
              for (_t113_array_iter = 0; _t113_array_iter < 50; _t113_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_char8(0, outp.data[_t113_array_iter].elem1, CORBA::Char );
                  flick_cdr_swap_decode_signed32(4, outp.data[_t113_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, outp.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(1249);
              break;
              {
              _flick_abort668:
                goto _flick_abort590;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1249);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort684);
              break;
              {
              _flick_abort684:
                goto _flick_abort590;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort685);
              flick_iiopxx_decode_end_glob(1249);
              break;
              {
              _flick_abort685:
                goto _flick_abort590;
              }
            }
          }
      }

    else
      {
        int _t100_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1249);
        flick_iiopxx_check_span(4, _flick_abort590);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t100_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t100_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t104_array_iter;
              flick_unsigned32_t _t105_array_iter;
              flick_unsigned32_t _t106_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(50 * 8 + (50 * 8 + (50 * 8 + 1)) + 40, _flick_abort631);
              flick_cdr_decode_float64(0, _return.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              for (_t104_array_iter = 0; _t104_array_iter < 50; _t104_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_char8(0, _return.data[_t104_array_iter].elem1, CORBA::Char );
                  flick_cdr_decode_signed32(4, _return.data[_t104_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(16);
              flick_cdr_decode_char8(0, _return.last, CORBA::Char );
              flick_cdr_decode_float64(8, iop.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(16);
              for (_t105_array_iter = 0; _t105_array_iter < 50; _t105_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_char8(0, iop.data[_t105_array_iter].elem1, CORBA::Char );
                  flick_cdr_decode_signed32(4, iop.data[_t105_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(16);
              flick_cdr_decode_char8(0, iop.last, CORBA::Char );
              flick_cdr_decode_float64(8, outp.first, CORBA::Double );
              flick_iiopxx_decode_end_chunk(16);
              for (_t106_array_iter = 0; _t106_array_iter < 50; _t106_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_char8(0, outp.data[_t106_array_iter].elem1, CORBA::Char );
                  flick_cdr_decode_signed32(4, outp.data[_t106_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, outp.last, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(1249);
              break;
              {
              _flick_abort631:
                goto _flick_abort590;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1249);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort647);
              break;
              {
              _flick_abort647:
                goto _flick_abort590;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort648);
              flick_iiopxx_decode_end_glob(1249);
              break;
              {
              _flick_abort648:
                goto _flick_abort590;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort590);
  }
  return _return;
  {
  _flick_abort590:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort589);
  _flick_abort589:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

struct sCLs arrays::test_sCLs(/* arrays *this, */ const struct sCLs &inp, struct sCLs &iop, sCLs_out outp, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;



  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  struct sCLs _return;


  memset(&_return, 0, sizeof(struct sCLs ));

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
                           ACE_CDR::DEFAULT_BUFSIZE,
                           TAO_ENCAP_BYTE_ORDER,
                           _orb_core->output_cdr_buffer_allocator(),
                           _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR *_in_cdr;
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry();
    TAO_Transport *_transport = 0;
    TAO_Profile *_tp = 0;
    CORBA::ULong _my_request_id = 0;
    ACE_Time_Value *_max_wait_time = 0;
    TAO_Synch_Reply_Dispatcher _rd(_orb_core);



    ACE_Countdown_Time _countdown(_max_wait_time);
    for (;;) {
      _tp = _istub->profile_in_use();
      if (_transport)
        _transport->idle();
      _countdown.update();
      int _result = _conn_reg->connect (_tp, _transport);
      _countdown.update();
      if (_result == 0)
        break;
      if (errno == ETIME)
        {
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort687);
        }
      if (_istub->next_profile_retry() == 0)
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort687);
    }
    _my_request_id = _transport->request_id();
    _countdown.update();
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort687);
    }




    {
      flick_unsigned32_t _t116_array_iter;
      flick_unsigned32_t _t117_array_iter;

      flick_iiopxx_encode_new_glob(828, _flick_abort687);
      flick_iiopxx_encode_new_chunk(22);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 'C', flick_char8_t );
      flick_cdr_encode_char8(11, 'L', flick_char8_t );
      flick_cdr_encode_char8(12, 's', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(20, inp.first, CORBA::Short );
      flick_iiopxx_encode_end_chunk(22);
      for (_t116_array_iter = 0; _t116_array_iter < 50; _t116_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(1);
          flick_cdr_encode_char8(0, inp.data[_t116_array_iter].elem1, CORBA::Char );
          flick_iiopxx_encode_end_chunk(1);
          flick_iiopxx_encode_new_chunk_align(4, 2, 1, 1);
          flick_cdr_encode_signed32(0, inp.data[_t116_array_iter].elem2, CORBA::Long );
          flick_iiopxx_encode_end_chunk(4);
          continue;
        }
      flick_iiopxx_encode_new_chunk(4);
      flick_cdr_encode_signed16(0, inp.last, CORBA::Short );
      flick_cdr_encode_signed16(2, iop.first, CORBA::Short );
      flick_iiopxx_encode_end_chunk(4);
      for (_t117_array_iter = 0; _t117_array_iter < 50; _t117_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(8);
          flick_cdr_encode_char8(0, iop.data[_t117_array_iter].elem1, CORBA::Char );
          flick_cdr_encode_signed32(4, iop.data[_t117_array_iter].elem2, CORBA::Long );
          flick_iiopxx_encode_end_chunk(8);
          continue;
        }
      flick_iiopxx_encode_new_chunk(2);
      flick_cdr_encode_signed16(0, iop.last, CORBA::Short );
      flick_iiopxx_encode_end_chunk(2);
      flick_iiopxx_encode_end_glob(828);
    }




    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;

    flick_iiopxx_client_set_response_expected(1);
    
    if( _transport->bind_reply_dispatcher (_my_request_id, &_rd) == -1 ) {
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort687);
    }
    _countdown.update();
    if( _transport->send_request(_orb_core, _out_cdr,
                                 1, _max_wait_time) == -1 ) {
      _countdown.update();
      _transport->close_connection();
      _transport = 0;
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort687);
    } else {
      _countdown.update();
      _istub->set_valid_profile();
      _stub_state.state = FLICK_STATE_RECEIVE;
      int _reply_error = _transport->wait_for_reply(_max_wait_time);
      if (_reply_error == -1)
        {
          if (errno == ETIME)
            flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort687);
          flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort687);
        }
      _in_cdr = &_rd.reply_cdr();
    }
    flick_iiopxx_client_start_decode();



    if(_in_cdr->do_byte_swap())
      {
        int _t125_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1216);
        flick_iiopxx_check_span(4, _flick_abort687);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t125_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t125_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t129_array_iter;
              flick_unsigned32_t _t130_array_iter;
              flick_unsigned32_t _t131_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort765);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              for (_t129_array_iter = 0; _t129_array_iter < 50; _t129_array_iter++)
                {
                  flick_iiopxx_check_span(1, _flick_abort769);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _return.data[_t129_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 1, 1);
                  flick_iiopxx_check_span(4, _flick_abort769);
                  flick_cdr_swap_decode_signed32(0, _return.data[_t129_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort769:
                    goto _flick_abort765;
                  }
                }
              flick_iiopxx_check_span(50 * 8 + (50 * 8 + 2) + 8, _flick_abort765);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed16(0, _return.last, CORBA::Short );
              flick_cdr_swap_decode_signed16(2, iop.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(4);
              for (_t130_array_iter = 0; _t130_array_iter < 50; _t130_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_char8(0, iop.data[_t130_array_iter].elem1, CORBA::Char );
                  flick_cdr_swap_decode_signed32(4, iop.data[_t130_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed16(0, iop.last, CORBA::Short );
              flick_cdr_swap_decode_signed16(2, outp.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(4);
              for (_t131_array_iter = 0; _t131_array_iter < 50; _t131_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_swap_decode_char8(0, outp.data[_t131_array_iter].elem1, CORBA::Char );
                  flick_cdr_swap_decode_signed32(4, outp.data[_t131_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, outp.last, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(1216);
              break;
              {
              _flick_abort765:
                goto _flick_abort687;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1216);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort781);
              break;
              {
              _flick_abort781:
                goto _flick_abort687;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort782);
              flick_iiopxx_decode_end_glob(1216);
              break;
              {
              _flick_abort782:
                goto _flick_abort687;
              }
            }
          }
      }

    else
      {
        int _t118_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(1216);
        flick_iiopxx_check_span(4, _flick_abort687);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t118_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t118_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t122_array_iter;
              flick_unsigned32_t _t123_array_iter;
              flick_unsigned32_t _t124_array_iter;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort728);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, _return.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              for (_t122_array_iter = 0; _t122_array_iter < 50; _t122_array_iter++)
                {
                  flick_iiopxx_check_span(1, _flick_abort732);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _return.data[_t122_array_iter].elem1, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 1, 1);
                  flick_iiopxx_check_span(4, _flick_abort732);
                  flick_cdr_decode_signed32(0, _return.data[_t122_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  continue;
                  {
                  _flick_abort732:
                    goto _flick_abort728;
                  }
                }
              flick_iiopxx_check_span(50 * 8 + (50 * 8 + 2) + 8, _flick_abort728);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed16(0, _return.last, CORBA::Short );
              flick_cdr_decode_signed16(2, iop.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(4);
              for (_t123_array_iter = 0; _t123_array_iter < 50; _t123_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_char8(0, iop.data[_t123_array_iter].elem1, CORBA::Char );
                  flick_cdr_decode_signed32(4, iop.data[_t123_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed16(0, iop.last, CORBA::Short );
              flick_cdr_decode_signed16(2, outp.first, CORBA::Short );
              flick_iiopxx_decode_end_chunk(4);
              for (_t124_array_iter = 0; _t124_array_iter < 50; _t124_array_iter++)
                {
                  flick_iiopxx_decode_new_chunk(8);
                  flick_cdr_decode_char8(0, outp.data[_t124_array_iter].elem1, CORBA::Char );
                  flick_cdr_decode_signed32(4, outp.data[_t124_array_iter].elem2, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  continue;
                }
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, outp.last, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(1216);
              break;
              {
              _flick_abort728:
                goto _flick_abort687;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(1216);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort744);
              break;
              {
              _flick_abort744:
                goto _flick_abort687;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort745);
              flick_iiopxx_decode_end_glob(1216);
              break;
              {
              _flick_abort745:
                goto _flick_abort687;
              }
            }
          }
      }






    flick_iiopxx_client_end_decode();
    if (_transport)
      _transport->idle_after_reply();

  } else {
    flick_stub_error(FLICK_ERROR_INVALID_TARGET, _flick_abort687);
  }
  return _return;
  {
  _flick_abort687:
    flick_corbaxx_client_error(cdr, iiopxx, _flick_abort686);
  _flick_abort686:
    goto _flick_reaper;
  }

_flick_reaper:
  return _return;

}

