#include "dif2-server.h"

/* This is the runtime type information */
char *flick_interface_parents_ex1[] = {
	"IDL:ex1:1.0",
	0
};

char *flick_interface_parents_ex2[] = {
	"IDL:ex2:1.0",
	"IDL:ex1:1.0",
	0
};

char *flick_interface_parents_ex3[] = {
	"IDL:ex3:1.0",
	"IDL:ex1:1.0",
	0
};

char *flick_interface_parents_ex4[] = {
	"IDL:ex4:1.0",
	"IDL:ex1:1.0",
	"IDL:ex2:1.0",
	"IDL:ex3:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_ex4;
	s.vers_num = _VERS_ex4;

	reg_success = flick_server_register(s, &ex4_server);
	assert(reg_success);


	s.prog_num = _PROG_ex3;
	s.vers_num = _VERS_ex3;

	reg_success = flick_server_register(s, &ex3_server);
	assert(reg_success);


	s.prog_num = _PROG_ex2;
	s.vers_num = _VERS_ex2;

	reg_success = flick_server_register(s, &ex2_server);
	assert(reg_success);


	s.prog_num = _PROG_ex1;
	s.vers_num = _VERS_ex1;

	reg_success = flick_server_register(s, &ex1_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
flick_operation_success_t ex1_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t46_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_check_span(36, _flick_abort2);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t46_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t46_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t47_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t47_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t47_switch_tag)
            {
            case 'o':
              {
                char _t48_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t48_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t48_switch_tag)
                  {
                  case 'p':
                    {
                      char _t49_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t49_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t49_switch_tag)
                        {
                        case '0':
                          {
                            char _t50_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t50_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t50_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    unsigned int _t51_ignore;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t52_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort80);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(16);
                                    flick_xdr_decode_unsigned32(0, _t51_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t51_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t51_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t51_ignore, unsigned int );
                                    _ev = (CORBA_Environment *)(&_t52_storage);
                                    flick_suntcp_decode_end_chunk(16);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    ex1_op0(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort80);
                                      flick_suntcp_encode_new_glob(4, _flick_abort80);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort86);
                                            break;
                                            {
                                            _flick_abort86:
                                              goto _flick_abort80;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort87);
                                            flick_suntcp_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort87:
                                              goto _flick_abort80;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort80:
                                      goto _flick_abort79;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort79:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t53_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort2);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t53_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t53_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    unsigned int _t54_ignore;
                                    CORBA_float _return;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_double _t55_storage;
                                    CORBA_long *_local_l;
                                    CORBA_long _t56_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t57_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort89);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t54_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t54_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t54_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t54_ignore, unsigned int );
                                    _return = 0.000000;
                                    flick_xdr_decode_float32(16, _local_f, CORBA_float );
                                    _local_d = (CORBA_double *)(&_t55_storage);
                                    _local_l = (CORBA_long *)(&_t56_storage);
                                    flick_xdr_decode_signed32(20, *_local_l, CORBA_long );
                                    _ev = (CORBA_Environment *)(&_t57_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex1_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort89);
                                      flick_suntcp_encode_new_glob(20, _flick_abort89);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(16);
                                            flick_xdr_encode_float32(0, _return, CORBA_float );
                                            flick_xdr_encode_float64(4, *_local_d, CORBA_double );
                                            flick_xdr_encode_signed32(12, *_local_l, CORBA_long );
                                            flick_suntcp_encode_end_chunk(16);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(20);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort95);
                                            break;
                                            {
                                            _flick_abort95:
                                              goto _flick_abort89;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort96);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                            {
                                            _flick_abort96:
                                              goto _flick_abort89;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort89:
                                      goto _flick_abort88;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort88:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t58_switch_tag;

                            flick_suntcp_check_span(32, _flick_abort2);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t58_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t58_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    unsigned int _t59_ignore;
                                    CORBA_double _return;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_long _t60_storage;
                                    CORBA_short *_local_s;
                                    CORBA_short _t61_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t62_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort98);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t59_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t59_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t59_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t59_ignore, unsigned int );
                                    _return = 0.000000;
                                    flick_xdr_decode_float64(16, _local_d, CORBA_double );
                                    _local_l = (CORBA_long *)(&_t60_storage);
                                    _local_s = (CORBA_short *)(&_t61_storage);
                                    flick_xdr_decode_signed16(24, *_local_s, CORBA_short );
                                    _ev = (CORBA_Environment *)(&_t62_storage);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex1_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort98);
                                      flick_suntcp_encode_new_glob(20, _flick_abort98);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(16);
                                            flick_xdr_encode_float64(0, _return, CORBA_double );
                                            flick_xdr_encode_signed32(8, *_local_l, CORBA_long );
                                            flick_xdr_encode_signed16(12, *_local_s, CORBA_short );
                                            flick_suntcp_encode_end_chunk(16);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(20);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort104);
                                            break;
                                            {
                                            _flick_abort104:
                                              goto _flick_abort98;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort105);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                            {
                                            _flick_abort105:
                                              goto _flick_abort98;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort98:
                                      goto _flick_abort97;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort97:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t63_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort2);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t63_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t63_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    unsigned int _t64_ignore;
                                    CORBA_long _return;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_short _t65_storage;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_long _t66_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t67_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort107);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t64_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t64_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t64_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t64_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_signed32(16, _local_l, CORBA_long );
                                    _local_s = (CORBA_short *)(&_t65_storage);
                                    _local_ul = (CORBA_unsigned_long *)(&_t66_storage);
                                    flick_xdr_decode_unsigned32(20, *_local_ul, CORBA_unsigned_long );
                                    _ev = (CORBA_Environment *)(&_t67_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex1_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort107);
                                      flick_suntcp_encode_new_glob(16, _flick_abort107);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_signed32(0, _return, CORBA_long );
                                            flick_xdr_encode_signed16(4, *_local_s, CORBA_short );
                                            flick_xdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort113);
                                            break;
                                            {
                                            _flick_abort113:
                                              goto _flick_abort107;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort114);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort114:
                                              goto _flick_abort107;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort107:
                                      goto _flick_abort106;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort106:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t68_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort2);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t68_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t68_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    unsigned int _t69_ignore;
                                    CORBA_short _return;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_long _t70_storage;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_unsigned_short _t71_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t72_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort116);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t69_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t69_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t69_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t69_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_signed16(16, _local_s, CORBA_short );
                                    _local_ul = (CORBA_unsigned_long *)(&_t70_storage);
                                    _local_us = (CORBA_unsigned_short *)(&_t71_storage);
                                    flick_xdr_decode_unsigned16(20, *_local_us, CORBA_unsigned_short );
                                    _ev = (CORBA_Environment *)(&_t72_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex1_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort116);
                                      flick_suntcp_encode_new_glob(16, _flick_abort116);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_signed16(0, _return, CORBA_short );
                                            flick_xdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                                            flick_xdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort122);
                                            break;
                                            {
                                            _flick_abort122:
                                              goto _flick_abort116;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort123);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort123:
                                              goto _flick_abort116;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort116:
                                      goto _flick_abort115;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort115:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t73_switch_tag;

                            flick_suntcp_check_span(32, _flick_abort2);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t73_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t73_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    unsigned int _t74_ignore;
                                    CORBA_unsigned_long _return;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_long _t75_storage;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_char _t76_storage;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t77_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort125);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t74_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t74_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t74_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t74_ignore, unsigned int );
                                    _return = 0;
                                    _local_ul = (CORBA_unsigned_long *)(&_t75_storage);
                                    flick_xdr_decode_unsigned32(16, *_local_ul, CORBA_unsigned_long );
                                    flick_xdr_decode_unsigned16(20, _local_us, CORBA_unsigned_short );
                                    _local_c = (CORBA_char *)(&_t76_storage);
                                    flick_xdr_decode_unsigned8(24, _local_b, CORBA_boolean );
                                    _ev = (CORBA_Environment *)(&_t77_storage);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex1_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort125);
                                      flick_suntcp_encode_new_glob(16, _flick_abort125);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                            flick_xdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                                            flick_xdr_encode_char8(8, *_local_c, CORBA_char );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort131);
                                            break;
                                            {
                                            _flick_abort131:
                                              goto _flick_abort125;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort132);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort132:
                                              goto _flick_abort125;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort125:
                                      goto _flick_abort124;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort124:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t78_switch_tag;

                            flick_suntcp_check_span(24, _flick_abort2);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t78_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t78_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex1 _obj;
                                    unsigned int _t79_ignore;
                                    CORBA_unsigned_short _return;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_unsigned_short _t80_storage;
                                    CORBA_char *_local_c;
                                    CORBA_char _t81_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t82_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort134);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t79_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t79_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t79_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t79_ignore, unsigned int );
                                    _return = 0;
                                    _local_us = (CORBA_unsigned_short *)(&_t80_storage);
                                    _local_c = (CORBA_char *)(&_t81_storage);
                                    flick_xdr_decode_char8(16, *_local_c, CORBA_char );
                                    _ev = (CORBA_Environment *)(&_t82_storage);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex1_op6(_obj, _local_us, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort134);
                                      flick_suntcp_encode_new_glob(16, _flick_abort134);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                            flick_xdr_encode_unsigned16(4, *_local_us, CORBA_unsigned_short );
                                            flick_xdr_encode_char8(8, *_local_c, CORBA_char );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort140);
                                            break;
                                            {
                                            _flick_abort140:
                                              goto _flick_abort134;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort141);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort141:
                                              goto _flick_abort134;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort134:
                                      goto _flick_abort133;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort133:
                                    goto _flick_abort2;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t83_switch_tag;

          flick_suntcp_check_span(44, _flick_abort2);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t83_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t83_switch_tag)
            {
            case '_':
              {
                char _t84_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t84_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t84_switch_tag)
                  {
                  case 'i':
                    {
                      char _t85_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t85_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t85_switch_tag)
                        {
                        case 's':
                          {
                            char _t86_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t86_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t86_switch_tag)
                              {
                              case '_':
                                {
                                  char _t87_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t87_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t87_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t88_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t88_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t88_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t89_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t90_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t91_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort143);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t89_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t89_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t89_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t89_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t90_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(48);
                                                flick_suntcp_decode_new_glob(1 * _t90_temp_string_len);
                                                flick_suntcp_check_span(1 * _t90_temp_string_len, _flick_abort143);
                                                flick_suntcp_decode_new_chunk(1 * _t90_temp_string_len);
                                                if ((_t90_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t90_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort143);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t90_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t90_temp_string_len);
                                                _local_id[_t90_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t90_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t91_storage);
                                                _par = flick_interface_parents_ex1;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort146);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort146);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort152);
                                                        break;
                                                        {
                                                        _flick_abort152:
                                                          goto _flick_abort146;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort153);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort153:
                                                          goto _flick_abort146;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort146:
                                                  auto_flick_free(_local_id);
                                                _flick_abort143:
                                                  goto _flick_abort142;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort142:
                                                goto _flick_abort2;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t ex2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t183_switch_tag;

    flick_suntcp_decode_new_glob(61);
    flick_suntcp_check_span(36, _flick_abort156);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t183_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t183_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t184_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t184_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t184_switch_tag)
            {
            case 'o':
              {
                char _t185_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t185_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t185_switch_tag)
                  {
                  case 'p':
                    {
                      char _t186_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t186_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t186_switch_tag)
                        {
                        case '7':
                          {
                            char _t187_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort156);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t187_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t187_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    unsigned int _t188_ignore;
                                    CORBA_char _return;
                                    CORBA_char _local_c;
                                    CORBA_boolean *_local_b;
                                    CORBA_boolean _t189_storage;
                                    CORBA_octet *_local_o;
                                    CORBA_octet _t190_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t191_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort316);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t188_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t188_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t188_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t188_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_char8(16, _local_c, CORBA_char );
                                    _local_b = (CORBA_boolean *)(&_t189_storage);
                                    _local_o = (CORBA_octet *)(&_t190_storage);
                                    flick_xdr_decode_unsigned8(20, *_local_o, CORBA_octet );
                                    _ev = (CORBA_Environment *)(&_t191_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(61);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex2_op7(_obj, _local_c, _local_b, _local_o, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort316);
                                      flick_suntcp_encode_new_glob(16, _flick_abort316);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_char8(0, _return, CORBA_char );
                                            flick_xdr_encode_unsigned8(4, *_local_b, CORBA_boolean );
                                            flick_xdr_encode_unsigned8(8, *_local_o, CORBA_octet );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort322);
                                            break;
                                            {
                                            _flick_abort322:
                                              goto _flick_abort316;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort323);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort323:
                                              goto _flick_abort316;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort316:
                                      goto _flick_abort315;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort315:
                                    goto _flick_abort156;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                  flick_suntcp_decode_end_glob(61);
                                  break;
                                }
                              }
                            break;
                          }
                        case '8':
                          {
                            char _t192_switch_tag;

                            flick_suntcp_check_span(24, _flick_abort156);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t192_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t192_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    unsigned int _t193_ignore;
                                    CORBA_boolean _return;
                                    CORBA_boolean *_local_b;
                                    CORBA_boolean _t194_storage;
                                    CORBA_octet _local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t195_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort325);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t193_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t193_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t193_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t193_ignore, unsigned int );
                                    _return = 0;
                                    _local_b = (CORBA_boolean *)(&_t194_storage);
                                    flick_xdr_decode_unsigned8(16, _local_o, CORBA_octet );
                                    _ev = (CORBA_Environment *)(&_t195_storage);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(61);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex2_op8(_obj, _local_b, _local_o, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort325);
                                      flick_suntcp_encode_new_glob(12, _flick_abort325);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(8);
                                            flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                            flick_xdr_encode_unsigned8(4, *_local_b, CORBA_boolean );
                                            flick_suntcp_encode_end_chunk(8);
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(12);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort331);
                                            break;
                                            {
                                            _flick_abort331:
                                              goto _flick_abort325;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort332);
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                            {
                                            _flick_abort332:
                                              goto _flick_abort325;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort325:
                                      goto _flick_abort324;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort324:
                                    goto _flick_abort156;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                  flick_suntcp_decode_end_glob(61);
                                  break;
                                }
                              }
                            break;
                          }
                        case '9':
                          {
                            char _t196_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort156);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t196_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t196_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    unsigned int _t197_ignore;
                                    CORBA_octet _return;
                                    CORBA_octet *_local_o;
                                    CORBA_octet _t198_storage;
                                    CORBA_char **_local_s;
                                    CORBA_char *_t199_storage;
                                    CORBA_char *_local_ls;
                                    flick_unsigned32_t _t200_temp_string_len;
                                    CORBA_long *_local_l;
                                    CORBA_long _t202_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t203_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort334);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t197_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t197_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t197_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t197_ignore, unsigned int );
                                    _return = 0;
                                    _local_o = (CORBA_octet *)(&_t198_storage);
                                    flick_xdr_decode_unsigned8(16, *_local_o, CORBA_octet );
                                    _local_s = (CORBA_char **)(&_t199_storage);
                                    flick_xdr_decode_unsigned32(20, _t200_temp_string_len, flick_unsigned32_t );
                                    if (_t200_temp_string_len + 1 > 11)
                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort334);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_check_span(1 * _t200_temp_string_len, _flick_abort334);
                                    flick_suntcp_decode_new_chunk(1 * _t200_temp_string_len);
                                    if ((_t200_temp_string_len + 3) & ~3)
                                      {
                                        flick_xdr_decode_msgptr(0, _local_ls, CORBA_char *);
                                      }
                                    else
                                      {
                                        CORBA_char _t201_storage[11];

                                        _local_ls = (CORBA_char *)_t201_storage;
                                        flick_xdr_decode_bcopy(0, _local_ls, 1 * _t200_temp_string_len);
                                      }
                                    flick_suntcp_decode_end_chunk(1 * _t200_temp_string_len);
                                    _local_ls[_t200_temp_string_len] = 0;
                                    flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_suntcp_check_span(4, _flick_abort334);
                                    _local_l = (CORBA_long *)(&_t202_storage);
                                    flick_xdr_decode_signed32(0, *_local_l, CORBA_long );
                                    _ev = (CORBA_Environment *)(&_t203_storage);
                                    flick_suntcp_decode_end_chunk(4);
                                    flick_suntcp_decode_end_glob(61);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex2_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort334);
                                      flick_suntcp_encode_new_glob(16, _flick_abort334);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t205_temp_string_len;

                                            flick_xdr_stringlen(CORBA_char *, *_local_s, flick_unsigned32_t , _t205_temp_string_len);

                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_unsigned8(0, _return, CORBA_octet );
                                            flick_xdr_encode_unsigned8(4, *_local_o, CORBA_octet );
                                            flick_xdr_encode_unsigned32(8, _t205_temp_string_len, flick_unsigned32_t );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            flick_suntcp_encode_new_glob(1 * _t205_temp_string_len, _flick_abort343);
                                            flick_suntcp_encode_new_chunk(1 * _t205_temp_string_len);
                                            flick_xdr_encode_bcopy(0, *_local_s, 1 * _t205_temp_string_len);
                                            CORBA_flick_free(*_local_s);
                                            *_local_s = (CORBA_char *)0;
                                            flick_suntcp_encode_end_chunk(1 * _t205_temp_string_len);
                                            flick_suntcp_encode_end_glob(1 * _t205_temp_string_len);
                                            flick_suntcp_encode_new_glob(7, _flick_abort343);
                                            flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_xdr_encode_signed32(0, *_local_l, CORBA_long );
                                            flick_suntcp_encode_end_chunk(4);
                                            flick_suntcp_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort343:
                                              goto _flick_abort334;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort346);
                                            break;
                                            {
                                            _flick_abort346:
                                              goto _flick_abort334;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort347);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort347:
                                              goto _flick_abort334;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort334:
                                      goto _flick_abort333;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort333:
                                    goto _flick_abort156;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                  flick_suntcp_decode_end_glob(61);
                                  break;
                                }
                              }
                            break;
                          }
                        case '0':
                          {
                            char _t206_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t206_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t206_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    unsigned int _t207_ignore;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t208_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort349);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(16);
                                    flick_xdr_decode_unsigned32(0, _t207_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t207_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t207_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t207_ignore, unsigned int );
                                    _ev = (CORBA_Environment *)(&_t208_storage);
                                    flick_suntcp_decode_end_chunk(16);
                                    flick_suntcp_decode_end_glob(61);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    ex2_op0(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort349);
                                      flick_suntcp_encode_new_glob(4, _flick_abort349);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort355);
                                            break;
                                            {
                                            _flick_abort355:
                                              goto _flick_abort349;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort356);
                                            flick_suntcp_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort356:
                                              goto _flick_abort349;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort349:
                                      goto _flick_abort348;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort348:
                                    goto _flick_abort156;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                  flick_suntcp_decode_end_glob(61);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t209_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort156);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t209_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t209_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    unsigned int _t210_ignore;
                                    CORBA_float _return;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_double _t211_storage;
                                    CORBA_long *_local_l;
                                    CORBA_long _t212_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t213_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort358);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t210_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t210_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t210_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t210_ignore, unsigned int );
                                    _return = 0.000000;
                                    flick_xdr_decode_float32(16, _local_f, CORBA_float );
                                    _local_d = (CORBA_double *)(&_t211_storage);
                                    _local_l = (CORBA_long *)(&_t212_storage);
                                    flick_xdr_decode_signed32(20, *_local_l, CORBA_long );
                                    _ev = (CORBA_Environment *)(&_t213_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(61);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex2_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort358);
                                      flick_suntcp_encode_new_glob(20, _flick_abort358);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(16);
                                            flick_xdr_encode_float32(0, _return, CORBA_float );
                                            flick_xdr_encode_float64(4, *_local_d, CORBA_double );
                                            flick_xdr_encode_signed32(12, *_local_l, CORBA_long );
                                            flick_suntcp_encode_end_chunk(16);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(20);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort364);
                                            break;
                                            {
                                            _flick_abort364:
                                              goto _flick_abort358;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort365);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                            {
                                            _flick_abort365:
                                              goto _flick_abort358;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort358:
                                      goto _flick_abort357;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort357:
                                    goto _flick_abort156;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                  flick_suntcp_decode_end_glob(61);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t214_switch_tag;

                            flick_suntcp_check_span(32, _flick_abort156);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t214_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t214_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    unsigned int _t215_ignore;
                                    CORBA_double _return;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_long _t216_storage;
                                    CORBA_short *_local_s;
                                    CORBA_short _t217_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t218_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort367);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t215_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t215_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t215_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t215_ignore, unsigned int );
                                    _return = 0.000000;
                                    flick_xdr_decode_float64(16, _local_d, CORBA_double );
                                    _local_l = (CORBA_long *)(&_t216_storage);
                                    _local_s = (CORBA_short *)(&_t217_storage);
                                    flick_xdr_decode_signed16(24, *_local_s, CORBA_short );
                                    _ev = (CORBA_Environment *)(&_t218_storage);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(61);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex2_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort367);
                                      flick_suntcp_encode_new_glob(20, _flick_abort367);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(16);
                                            flick_xdr_encode_float64(0, _return, CORBA_double );
                                            flick_xdr_encode_signed32(8, *_local_l, CORBA_long );
                                            flick_xdr_encode_signed16(12, *_local_s, CORBA_short );
                                            flick_suntcp_encode_end_chunk(16);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(20);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort373);
                                            break;
                                            {
                                            _flick_abort373:
                                              goto _flick_abort367;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort374);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                            {
                                            _flick_abort374:
                                              goto _flick_abort367;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort367:
                                      goto _flick_abort366;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort366:
                                    goto _flick_abort156;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                  flick_suntcp_decode_end_glob(61);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t219_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort156);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t219_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t219_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    unsigned int _t220_ignore;
                                    CORBA_long _return;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_short _t221_storage;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_long _t222_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t223_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort376);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t220_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t220_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t220_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t220_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_signed32(16, _local_l, CORBA_long );
                                    _local_s = (CORBA_short *)(&_t221_storage);
                                    _local_ul = (CORBA_unsigned_long *)(&_t222_storage);
                                    flick_xdr_decode_unsigned32(20, *_local_ul, CORBA_unsigned_long );
                                    _ev = (CORBA_Environment *)(&_t223_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(61);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex2_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort376);
                                      flick_suntcp_encode_new_glob(16, _flick_abort376);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_signed32(0, _return, CORBA_long );
                                            flick_xdr_encode_signed16(4, *_local_s, CORBA_short );
                                            flick_xdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort382);
                                            break;
                                            {
                                            _flick_abort382:
                                              goto _flick_abort376;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort383);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort383:
                                              goto _flick_abort376;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort376:
                                      goto _flick_abort375;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort375:
                                    goto _flick_abort156;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                  flick_suntcp_decode_end_glob(61);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t224_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort156);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t224_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t224_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    unsigned int _t225_ignore;
                                    CORBA_short _return;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_long _t226_storage;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_unsigned_short _t227_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t228_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort385);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t225_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t225_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t225_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t225_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_signed16(16, _local_s, CORBA_short );
                                    _local_ul = (CORBA_unsigned_long *)(&_t226_storage);
                                    _local_us = (CORBA_unsigned_short *)(&_t227_storage);
                                    flick_xdr_decode_unsigned16(20, *_local_us, CORBA_unsigned_short );
                                    _ev = (CORBA_Environment *)(&_t228_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(61);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex2_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort385);
                                      flick_suntcp_encode_new_glob(16, _flick_abort385);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_signed16(0, _return, CORBA_short );
                                            flick_xdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                                            flick_xdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort391);
                                            break;
                                            {
                                            _flick_abort391:
                                              goto _flick_abort385;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort392);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort392:
                                              goto _flick_abort385;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort385:
                                      goto _flick_abort384;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort384:
                                    goto _flick_abort156;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                  flick_suntcp_decode_end_glob(61);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t229_switch_tag;

                            flick_suntcp_check_span(32, _flick_abort156);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t229_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t229_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    unsigned int _t230_ignore;
                                    CORBA_unsigned_long _return;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_long _t231_storage;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_char _t232_storage;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t233_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort394);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t230_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t230_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t230_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t230_ignore, unsigned int );
                                    _return = 0;
                                    _local_ul = (CORBA_unsigned_long *)(&_t231_storage);
                                    flick_xdr_decode_unsigned32(16, *_local_ul, CORBA_unsigned_long );
                                    flick_xdr_decode_unsigned16(20, _local_us, CORBA_unsigned_short );
                                    _local_c = (CORBA_char *)(&_t232_storage);
                                    flick_xdr_decode_unsigned8(24, _local_b, CORBA_boolean );
                                    _ev = (CORBA_Environment *)(&_t233_storage);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(61);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex2_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort394);
                                      flick_suntcp_encode_new_glob(16, _flick_abort394);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                            flick_xdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                                            flick_xdr_encode_char8(8, *_local_c, CORBA_char );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort400);
                                            break;
                                            {
                                            _flick_abort400:
                                              goto _flick_abort394;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort401);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort401:
                                              goto _flick_abort394;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort394:
                                      goto _flick_abort393;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort393:
                                    goto _flick_abort156;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                  flick_suntcp_decode_end_glob(61);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t234_switch_tag;

                            flick_suntcp_check_span(24, _flick_abort156);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t234_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t234_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex2 _obj;
                                    unsigned int _t235_ignore;
                                    CORBA_unsigned_short _return;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_unsigned_short _t236_storage;
                                    CORBA_char *_local_c;
                                    CORBA_char _t237_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t238_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort403);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t235_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t235_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t235_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t235_ignore, unsigned int );
                                    _return = 0;
                                    _local_us = (CORBA_unsigned_short *)(&_t236_storage);
                                    _local_c = (CORBA_char *)(&_t237_storage);
                                    flick_xdr_decode_char8(16, *_local_c, CORBA_char );
                                    _ev = (CORBA_Environment *)(&_t238_storage);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(61);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex2_op6(_obj, _local_us, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort403);
                                      flick_suntcp_encode_new_glob(16, _flick_abort403);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                            flick_xdr_encode_unsigned16(4, *_local_us, CORBA_unsigned_short );
                                            flick_xdr_encode_char8(8, *_local_c, CORBA_char );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort409);
                                            break;
                                            {
                                            _flick_abort409:
                                              goto _flick_abort403;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort410);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort410:
                                              goto _flick_abort403;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort403:
                                      goto _flick_abort402;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort402:
                                    goto _flick_abort156;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                  flick_suntcp_decode_end_glob(61);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                            flick_suntcp_decode_end_glob(61);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                      flick_suntcp_decode_end_glob(61);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                flick_suntcp_decode_end_glob(61);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t239_switch_tag;

          flick_suntcp_check_span(40, _flick_abort156);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t239_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t239_switch_tag)
            {
            case 'o':
              {
                char _t240_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t240_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t240_switch_tag)
                  {
                  case 'p':
                    {
                      char _t241_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t241_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t241_switch_tag)
                        {
                        case '1':
                          {
                            char _t242_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t242_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t242_switch_tag)
                              {
                              case '0':
                                {
                                  char _t243_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t243_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t243_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex2 _obj;
                                          unsigned int _t244_ignore;
                                          CORBA_char *_return;
                                          CORBA_char *_local_s;
                                          flick_unsigned32_t _t245_temp_string_len;
                                          CORBA_char **_local_ls;
                                          CORBA_char *_t246_storage;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t247_storage;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort412);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t244_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t244_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t244_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t244_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t245_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(61);
                                          flick_suntcp_decode_new_glob(1 * _t245_temp_string_len);
                                          flick_suntcp_check_span(1 * _t245_temp_string_len, _flick_abort412);
                                          flick_suntcp_decode_new_chunk(1 * _t245_temp_string_len);
                                          if ((_t245_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_s, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t245_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort412);
                                                _local_s = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_s, 1 * _t245_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t245_temp_string_len);
                                          _local_s[_t245_temp_string_len] = 0;
                                          flick_suntcp_decode_end_glob(1 * _t245_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          _local_ls = (CORBA_char **)(&_t246_storage);
                                          _ev = (CORBA_Environment *)(&_t247_storage);
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex2_op10(_obj, _local_s, _local_ls, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort415);
                                            flick_suntcp_encode_new_glob(8, _flick_abort415);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t250_temp_string_len;
                                                  flick_unsigned32_t _t251_temp_string_len;

                                                  flick_xdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t250_temp_string_len);
                                                  flick_xdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t251_temp_string_len);

                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned32(0, _t250_temp_string_len, flick_unsigned32_t );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_suntcp_encode_new_glob(1 * _t250_temp_string_len, _flick_abort424);
                                                  flick_suntcp_encode_new_chunk(1 * _t250_temp_string_len);
                                                  flick_xdr_encode_bcopy(0, _return, 1 * _t250_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = (CORBA_char *)0;
                                                  flick_suntcp_encode_end_chunk(1 * _t250_temp_string_len);
                                                  flick_suntcp_encode_end_glob(1 * _t250_temp_string_len);
                                                  flick_suntcp_encode_new_glob(20, _flick_abort424);
                                                  flick_suntcp_encode_new_chunk_align(4 + 1 * _t251_temp_string_len, 2, 0, 0);
                                                  flick_xdr_encode_unsigned32(0, _t251_temp_string_len, flick_unsigned32_t );
                                                  if (_t251_temp_string_len + 1 > 11)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort424);
                                                  flick_xdr_encode_bcopy(4, *_local_ls, 1 * _t251_temp_string_len);
                                                  CORBA_flick_free(*_local_ls);
                                                  *_local_ls = (CORBA_char *)0;
                                                  flick_suntcp_encode_end_chunk(4 + 1 * _t251_temp_string_len);
                                                  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                  flick_suntcp_encode_end_chunk(0);
                                                  flick_suntcp_encode_end_glob(20);
                                                  break;
                                                  {
                                                  _flick_abort424:
                                                    goto _flick_abort415;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort429);
                                                  break;
                                                  {
                                                  _flick_abort429:
                                                    goto _flick_abort415;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort430);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort430:
                                                    goto _flick_abort415;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort415:
                                            auto_flick_free(_local_s);
                                          _flick_abort412:
                                            goto _flick_abort411;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort411:
                                          goto _flick_abort156;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                        flick_suntcp_decode_end_glob(61);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '1':
                                {
                                  char _t252_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t252_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t252_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex2 _obj;
                                          unsigned int _t253_ignore;
                                          CORBA_char *_return;
                                          CORBA_char **_local_ls;
                                          CORBA_char *_t254_storage;
                                          flick_unsigned32_t _t255_temp_string_len;
                                          CORBA_long *_local_l;
                                          CORBA_long _t256_storage;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t257_storage;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort432);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t253_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t253_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t253_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t253_ignore, unsigned int );
                                          _return = 0;
                                          _local_ls = (CORBA_char **)(&_t254_storage);
                                          flick_xdr_decode_unsigned32(16, _t255_temp_string_len, flick_unsigned32_t );
                                          if (_t255_temp_string_len + 1 > 11)
                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort432);
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_check_span(1 * _t255_temp_string_len, _flick_abort432);
                                          flick_suntcp_decode_new_chunk(1 * _t255_temp_string_len);
                                          {
                                            CORBA_char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort432);
                                            *_local_ls = _t_alloc_ptr;
                                          }
                                          flick_xdr_decode_bcopy(0, *_local_ls, 1 * _t255_temp_string_len);
                                          flick_suntcp_decode_end_chunk(1 * _t255_temp_string_len);
                                          (*_local_ls)[_t255_temp_string_len] = 0;
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          _local_l = (CORBA_long *)(&_t256_storage);
                                          _ev = (CORBA_Environment *)(&_t257_storage);
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(61);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex2_op11(_obj, _local_ls, _local_l, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort435);
                                            flick_suntcp_encode_new_glob(42, _flick_abort435);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t260_temp_string_len;
                                                  flick_unsigned32_t _t261_temp_string_len;

                                                  flick_xdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t260_temp_string_len);
                                                  flick_xdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t261_temp_string_len);

                                                  flick_suntcp_encode_new_chunk(4 + 1 * _t260_temp_string_len);
                                                  flick_xdr_encode_unsigned32(0, _t260_temp_string_len, flick_unsigned32_t );
                                                  if (_t260_temp_string_len + 1 > 11)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort444);
                                                  flick_xdr_encode_bcopy(4, _return, 1 * _t260_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = (CORBA_char *)0;
                                                  flick_suntcp_encode_end_chunk(4 + 1 * _t260_temp_string_len);
                                                  flick_suntcp_encode_new_chunk_align(4 + 1 * _t261_temp_string_len, 2, 0, 0);
                                                  flick_xdr_encode_unsigned32(0, _t261_temp_string_len, flick_unsigned32_t );
                                                  if (_t261_temp_string_len + 1 > 11)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort444);
                                                  flick_xdr_encode_bcopy(4, *_local_ls, 1 * _t261_temp_string_len);
                                                  CORBA_flick_free(*_local_ls);
                                                  *_local_ls = (CORBA_char *)0;
                                                  flick_suntcp_encode_end_chunk(4 + 1 * _t261_temp_string_len);
                                                  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                  flick_xdr_encode_signed32(0, *_local_l, CORBA_long );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(42);
                                                  break;
                                                  {
                                                  _flick_abort444:
                                                    goto _flick_abort435;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(42);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort449);
                                                  break;
                                                  {
                                                  _flick_abort449:
                                                    goto _flick_abort435;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort450);
                                                  flick_suntcp_encode_end_glob(42);
                                                  break;
                                                  {
                                                  _flick_abort450:
                                                    goto _flick_abort435;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort435:
                                            CORBA_flick_free(*_local_ls);
                                          _flick_abort432:
                                            goto _flick_abort431;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort431:
                                          goto _flick_abort156;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                        flick_suntcp_decode_end_glob(61);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '2':
                                {
                                  char _t262_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t262_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t262_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex2 _obj;
                                          unsigned int _t263_ignore;
                                          CORBA_long _return;
                                          CORBA_long _local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t264_storage;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort452);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t263_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t263_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t263_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t263_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_signed32(16, _local_l, CORBA_long );
                                          _ev = (CORBA_Environment *)(&_t264_storage);
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(61);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex2_op12(_obj, _local_l, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort452);
                                            flick_suntcp_encode_new_glob(8, _flick_abort452);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort458);
                                                  break;
                                                  {
                                                  _flick_abort458:
                                                    goto _flick_abort452;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort459);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort459:
                                                    goto _flick_abort452;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort452:
                                            goto _flick_abort451;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort451:
                                          goto _flick_abort156;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                        flick_suntcp_decode_end_glob(61);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                  flick_suntcp_decode_end_glob(61);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                            flick_suntcp_decode_end_glob(61);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                      flick_suntcp_decode_end_glob(61);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                flick_suntcp_decode_end_glob(61);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t265_switch_tag;

          flick_suntcp_check_span(44, _flick_abort156);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t265_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t265_switch_tag)
            {
            case '_':
              {
                char _t266_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t266_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t266_switch_tag)
                  {
                  case 'i':
                    {
                      char _t267_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t267_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t267_switch_tag)
                        {
                        case 's':
                          {
                            char _t268_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t268_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t268_switch_tag)
                              {
                              case '_':
                                {
                                  char _t269_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t269_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t269_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t270_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t270_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t270_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t271_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t272_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t273_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort461);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t271_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t271_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t271_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t271_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t272_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(61);
                                                flick_suntcp_decode_new_glob(1 * _t272_temp_string_len);
                                                flick_suntcp_check_span(1 * _t272_temp_string_len, _flick_abort461);
                                                flick_suntcp_decode_new_chunk(1 * _t272_temp_string_len);
                                                if ((_t272_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t272_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort461);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t272_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t272_temp_string_len);
                                                _local_id[_t272_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t272_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t273_storage);
                                                _par = flick_interface_parents_ex2;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort464);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort464);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort470);
                                                        break;
                                                        {
                                                        _flick_abort470:
                                                          goto _flick_abort464;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort471);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort471:
                                                          goto _flick_abort464;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort464:
                                                  auto_flick_free(_local_id);
                                                _flick_abort461:
                                                  goto _flick_abort460;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort460:
                                                goto _flick_abort156;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                              flick_suntcp_decode_end_glob(61);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                        flick_suntcp_decode_end_glob(61);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                                  flick_suntcp_decode_end_glob(61);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                            flick_suntcp_decode_end_glob(61);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                      flick_suntcp_decode_end_glob(61);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
                flick_suntcp_decode_end_glob(61);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort156);
          flick_suntcp_decode_end_glob(61);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort156:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort155);
  _flick_abort155:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t ex3_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t480_switch_tag;

    flick_suntcp_decode_new_glob(136);
    flick_suntcp_check_span(36, _flick_abort474);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t480_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t480_switch_tag)
      {
      case (unsigned int) 21:
        {
          char _t481_switch_tag;

          flick_suntcp_check_span(100, _flick_abort474);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t481_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t481_switch_tag)
            {
            case '_':
              {
                char _t482_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t482_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t482_switch_tag)
                  {
                  case 'g':
                    {
                      char _t483_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t483_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t483_switch_tag)
                        {
                        case 'e':
                          {
                            char _t484_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t484_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t484_switch_tag)
                              {
                              case 't':
                                {
                                  char _t485_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t485_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t485_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t486_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t486_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t486_switch_tag)
                                          {
                                          case 'f':
                                            {
                                              char _t487_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t487_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t487_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t488_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t488_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t488_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t489_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t489_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t489_switch_tag)
                                                            {
                                                            case 'a':
                                                              {
                                                                char _t490_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t490_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t490_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t491_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t491_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t491_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t492_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t492_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t492_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t493_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t493_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t493_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t494_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t494_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t494_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t495_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t495_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t495_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t496_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t496_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t496_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t497_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t497_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t497_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t498_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t498_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t498_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t499_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t499_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t499_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t500_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t500_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t500_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t501_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t501_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t501_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex3 _obj;
                                                                                                                                          unsigned int _t502_ignore;
                                                                                                                                          CORBA_float _return;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t503_storage;

                                                                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort615);
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t502_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t502_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t502_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t502_ignore, unsigned int );
                                                                                                                                          _return = 0.000000;
                                                                                                                                          _ev = (CORBA_Environment *)(&_t503_storage);
                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                          _return = ex3__get_float_attribute(_obj, _ev);
                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort615);
                                                                                                                                            flick_suntcp_encode_new_glob(8, _flick_abort615);
                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                            switch (_ev->_major)
                                                                                                                                              {
                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                  flick_xdr_encode_float32(0, _return, CORBA_float );
                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort621);
                                                                                                                                                  break;
                                                                                                                                                  {
                                                                                                                                                  _flick_abort621:
                                                                                                                                                    goto _flick_abort615;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              default:
                                                                                                                                                {
                                                                                                                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort622);
                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                  break;
                                                                                                                                                  {
                                                                                                                                                  _flick_abort622:
                                                                                                                                                    goto _flick_abort615;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                          }
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                          break;
                                                                                                                                          {
                                                                                                                                          _flick_abort615:
                                                                                                                                            goto _flick_abort614;
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                        {
                                                                                                                                        _flick_abort614:
                                                                                                                                          goto _flick_abort474;
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                            flick_suntcp_decode_end_glob(136);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                      flick_suntcp_decode_end_glob(136);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                flick_suntcp_decode_end_glob(136);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                          flick_suntcp_decode_end_glob(136);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                    flick_suntcp_decode_end_glob(136);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t504_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t504_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t504_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t505_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t505_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t505_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t506_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t506_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t506_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t507_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t507_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t507_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t508_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t508_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t508_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t509_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t509_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t509_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t510_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t510_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t510_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t511_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t511_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t511_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t512_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t512_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t512_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t513_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t513_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t513_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t514_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t514_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t514_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t515_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t515_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t515_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t516_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t516_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t516_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t517_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t517_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t517_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t518_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t518_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t518_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex3 _obj;
                                                                                                                                          unsigned int _t519_ignore;
                                                                                                                                          CORBA_short _return;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t520_storage;

                                                                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort624);
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t519_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t519_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t519_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t519_ignore, unsigned int );
                                                                                                                                          _return = 0;
                                                                                                                                          _ev = (CORBA_Environment *)(&_t520_storage);
                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                          _return = ex3__get_short_attribute(_obj, _ev);
                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort624);
                                                                                                                                            flick_suntcp_encode_new_glob(8, _flick_abort624);
                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                            switch (_ev->_major)
                                                                                                                                              {
                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                  flick_xdr_encode_signed16(0, _return, CORBA_short );
                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort630);
                                                                                                                                                  break;
                                                                                                                                                  {
                                                                                                                                                  _flick_abort630:
                                                                                                                                                    goto _flick_abort624;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              default:
                                                                                                                                                {
                                                                                                                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort631);
                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                  break;
                                                                                                                                                  {
                                                                                                                                                  _flick_abort631:
                                                                                                                                                    goto _flick_abort624;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                          }
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                          break;
                                                                                                                                          {
                                                                                                                                          _flick_abort624:
                                                                                                                                            goto _flick_abort623;
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                        {
                                                                                                                                        _flick_abort623:
                                                                                                                                          goto _flick_abort474;
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                            flick_suntcp_decode_end_glob(136);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                      flick_suntcp_decode_end_glob(136);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                flick_suntcp_decode_end_glob(136);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                          flick_suntcp_decode_end_glob(136);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                    flick_suntcp_decode_end_glob(136);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                              flick_suntcp_decode_end_glob(136);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                        flick_suntcp_decode_end_glob(136);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                            flick_suntcp_decode_end_glob(136);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t521_switch_tag;

                      flick_suntcp_check_span(96, _flick_abort474);
                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t521_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t521_switch_tag)
                        {
                        case 'e':
                          {
                            char _t522_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t522_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t522_switch_tag)
                              {
                              case 't':
                                {
                                  char _t523_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t523_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t523_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t524_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t524_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t524_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t525_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t525_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t525_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t526_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t526_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t526_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t527_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t527_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t527_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t528_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t528_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t528_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t529_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t529_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t529_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t530_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t530_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t530_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t531_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t531_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t531_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t532_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t532_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t532_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t533_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t533_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t533_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t534_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t534_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t534_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t535_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t535_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t535_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t536_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t536_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t536_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t537_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t537_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t537_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t538_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t538_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t538_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t539_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t539_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t539_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex3 _obj;
                                                                                                                                          unsigned int _t540_ignore;
                                                                                                                                          CORBA_short _local_short_attribute;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t541_storage;

                                                                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort633);
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(20);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t540_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t540_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t540_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t540_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_signed16(16, _local_short_attribute, CORBA_short );
                                                                                                                                          _ev = (CORBA_Environment *)(&_t541_storage);
                                                                                                                                          flick_suntcp_decode_end_chunk(20);
                                                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                          ex3__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort633);
                                                                                                                                            flick_suntcp_encode_new_glob(4, _flick_abort633);
                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                            switch (_ev->_major)
                                                                                                                                              {
                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_encode_end_glob(4);
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_encode_end_glob(4);
                                                                                                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort639);
                                                                                                                                                  break;
                                                                                                                                                  {
                                                                                                                                                  _flick_abort639:
                                                                                                                                                    goto _flick_abort633;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              default:
                                                                                                                                                {
                                                                                                                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort640);
                                                                                                                                                  flick_suntcp_encode_end_glob(4);
                                                                                                                                                  break;
                                                                                                                                                  {
                                                                                                                                                  _flick_abort640:
                                                                                                                                                    goto _flick_abort633;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                          }
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                          break;
                                                                                                                                          {
                                                                                                                                          _flick_abort633:
                                                                                                                                            goto _flick_abort632;
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                        {
                                                                                                                                        _flick_abort632:
                                                                                                                                          goto _flick_abort474;
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                            flick_suntcp_decode_end_glob(136);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                      flick_suntcp_decode_end_glob(136);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                flick_suntcp_decode_end_glob(136);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                          flick_suntcp_decode_end_glob(136);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                    flick_suntcp_decode_end_glob(136);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                              flick_suntcp_decode_end_glob(136);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                        flick_suntcp_decode_end_glob(136);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                            flick_suntcp_decode_end_glob(136);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                      flick_suntcp_decode_end_glob(136);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                flick_suntcp_decode_end_glob(136);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          char _t542_switch_tag;

          flick_suntcp_check_span(104, _flick_abort474);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t542_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t542_switch_tag)
            {
            case '_':
              {
                char _t543_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t543_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t543_switch_tag)
                  {
                  case 'g':
                    {
                      char _t544_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t544_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t544_switch_tag)
                        {
                        case 'e':
                          {
                            char _t545_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t545_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t545_switch_tag)
                              {
                              case 't':
                                {
                                  char _t546_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t546_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t546_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t547_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t547_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t547_switch_tag)
                                          {
                                          case 'd':
                                            {
                                              char _t548_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t548_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t548_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t549_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t549_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t549_switch_tag)
                                                      {
                                                      case 'u':
                                                        {
                                                          char _t550_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t550_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t550_switch_tag)
                                                            {
                                                            case 'b':
                                                              {
                                                                char _t551_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t551_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t551_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t552_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t552_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t552_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t553_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t553_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t553_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t554_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t554_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t554_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t555_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t555_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t555_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t556_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t556_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t556_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t557_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t557_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t557_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t558_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t558_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t558_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t559_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t559_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t559_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t560_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t560_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t560_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t561_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t561_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t561_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t562_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t562_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t562_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t563_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t563_switch_tag, char );
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch ((char )_t563_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex3 _obj;
                                                                                                                                                unsigned int _t564_ignore;
                                                                                                                                                CORBA_double _return;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_Environment _t565_storage;

                                                                                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort642);
                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                flick_suntcp_decode_new_chunk(16);
                                                                                                                                                flick_xdr_decode_unsigned32(0, _t564_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(4, _t564_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(8, _t564_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(12, _t564_ignore, unsigned int );
                                                                                                                                                _return = 0.000000;
                                                                                                                                                _ev = (CORBA_Environment *)(&_t565_storage);
                                                                                                                                                flick_suntcp_decode_end_chunk(16);
                                                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                                _return = ex3__get_double_attribute(_obj, _ev);
                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort642);
                                                                                                                                                  flick_suntcp_encode_new_glob(12, _flick_abort642);
                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                  switch (_ev->_major)
                                                                                                                                                    {
                                                                                                                                                    case CORBA_NO_EXCEPTION:
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_encode_new_chunk(8);
                                                                                                                                                        flick_xdr_encode_float64(0, _return, CORBA_double );
                                                                                                                                                        flick_suntcp_encode_end_chunk(8);
                                                                                                                                                        flick_suntcp_encode_end_glob(12);
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_encode_end_glob(12);
                                                                                                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort648);
                                                                                                                                                        break;
                                                                                                                                                        {
                                                                                                                                                        _flick_abort648:
                                                                                                                                                          goto _flick_abort642;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    default:
                                                                                                                                                      {
                                                                                                                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort649);
                                                                                                                                                        flick_suntcp_encode_end_glob(12);
                                                                                                                                                        break;
                                                                                                                                                        {
                                                                                                                                                        _flick_abort649:
                                                                                                                                                          goto _flick_abort642;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    }
                                                                                                                                                }
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                                break;
                                                                                                                                                {
                                                                                                                                                _flick_abort642:
                                                                                                                                                  goto _flick_abort641;
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                              {
                                                                                                                                              _flick_abort641:
                                                                                                                                                goto _flick_abort474;
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                            flick_suntcp_decode_end_glob(136);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                      flick_suntcp_decode_end_glob(136);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                flick_suntcp_decode_end_glob(136);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                          flick_suntcp_decode_end_glob(136);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                    flick_suntcp_decode_end_glob(136);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                              flick_suntcp_decode_end_glob(136);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                        flick_suntcp_decode_end_glob(136);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                            flick_suntcp_decode_end_glob(136);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t566_switch_tag;

                      flick_suntcp_check_span(104, _flick_abort474);
                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t566_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t566_switch_tag)
                        {
                        case 'e':
                          {
                            char _t567_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t567_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t567_switch_tag)
                              {
                              case 't':
                                {
                                  char _t568_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t568_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t568_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t569_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t569_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t569_switch_tag)
                                          {
                                          case 'd':
                                            {
                                              char _t570_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t570_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t570_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t571_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t571_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t571_switch_tag)
                                                      {
                                                      case 'u':
                                                        {
                                                          char _t572_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t572_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t572_switch_tag)
                                                            {
                                                            case 'b':
                                                              {
                                                                char _t573_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t573_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t573_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t574_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t574_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t574_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t575_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t575_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t575_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t576_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t576_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t576_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t577_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t577_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t577_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t578_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t578_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t578_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t579_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t579_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t579_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t580_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t580_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t580_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t581_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t581_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t581_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t582_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t582_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t582_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t583_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t583_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t583_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t584_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t584_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t584_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t585_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t585_switch_tag, char );
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch ((char )_t585_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex3 _obj;
                                                                                                                                                unsigned int _t586_ignore;
                                                                                                                                                CORBA_double _local_double_attribute;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_Environment _t587_storage;

                                                                                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort651);
                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                flick_suntcp_decode_new_chunk(24);
                                                                                                                                                flick_xdr_decode_unsigned32(0, _t586_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(4, _t586_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(8, _t586_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(12, _t586_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_float64(16, _local_double_attribute, CORBA_double );
                                                                                                                                                _ev = (CORBA_Environment *)(&_t587_storage);
                                                                                                                                                flick_suntcp_decode_end_chunk(24);
                                                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                                ex3__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort651);
                                                                                                                                                  flick_suntcp_encode_new_glob(4, _flick_abort651);
                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                  switch (_ev->_major)
                                                                                                                                                    {
                                                                                                                                                    case CORBA_NO_EXCEPTION:
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort657);
                                                                                                                                                        break;
                                                                                                                                                        {
                                                                                                                                                        _flick_abort657:
                                                                                                                                                          goto _flick_abort651;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    default:
                                                                                                                                                      {
                                                                                                                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort658);
                                                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                                                        break;
                                                                                                                                                        {
                                                                                                                                                        _flick_abort658:
                                                                                                                                                          goto _flick_abort651;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    }
                                                                                                                                                }
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                                break;
                                                                                                                                                {
                                                                                                                                                _flick_abort651:
                                                                                                                                                  goto _flick_abort650;
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                              {
                                                                                                                                              _flick_abort650:
                                                                                                                                                goto _flick_abort474;
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                            flick_suntcp_decode_end_glob(136);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                      flick_suntcp_decode_end_glob(136);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                flick_suntcp_decode_end_glob(136);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                          flick_suntcp_decode_end_glob(136);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                    flick_suntcp_decode_end_glob(136);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                              flick_suntcp_decode_end_glob(136);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                        flick_suntcp_decode_end_glob(136);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                            flick_suntcp_decode_end_glob(136);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                      flick_suntcp_decode_end_glob(136);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                flick_suntcp_decode_end_glob(136);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          char _t588_switch_tag;

          flick_suntcp_check_span(96, _flick_abort474);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t588_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t588_switch_tag)
            {
            case '_':
              {
                char _t589_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t589_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t589_switch_tag)
                  {
                  case 'g':
                    {
                      char _t590_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t590_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t590_switch_tag)
                        {
                        case 'e':
                          {
                            char _t591_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t591_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t591_switch_tag)
                              {
                              case 't':
                                {
                                  char _t592_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t592_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t592_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t593_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t593_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t593_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t594_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t594_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t594_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t595_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t595_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t595_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t596_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t596_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t596_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t597_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t597_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t597_switch_tag)
                                                                  {
                                                                  case '_':
                                                                    {
                                                                      char _t598_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t598_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t598_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t599_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t599_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t599_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t600_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t600_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t600_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t601_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t601_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t601_switch_tag)
                                                                                          {
                                                                                          case 'r':
                                                                                            {
                                                                                              char _t602_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t602_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t602_switch_tag)
                                                                                                {
                                                                                                case 'i':
                                                                                                  {
                                                                                                    char _t603_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t603_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t603_switch_tag)
                                                                                                      {
                                                                                                      case 'b':
                                                                                                        {
                                                                                                          char _t604_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t604_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t604_switch_tag)
                                                                                                            {
                                                                                                            case 'u':
                                                                                                              {
                                                                                                                char _t605_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t605_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t605_switch_tag)
                                                                                                                  {
                                                                                                                  case 't':
                                                                                                                    {
                                                                                                                      char _t606_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t606_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t606_switch_tag)
                                                                                                                        {
                                                                                                                        case 'e':
                                                                                                                          {
                                                                                                                            char _t607_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t607_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t607_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    ex3 _obj;
                                                                                                                                    unsigned int _t608_ignore;
                                                                                                                                    CORBA_long _return;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    CORBA_Environment _t609_storage;

                                                                                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort660);
                                                                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                                                                    flick_xdr_decode_unsigned32(0, _t608_ignore, unsigned int );
                                                                                                                                    flick_xdr_decode_unsigned32(4, _t608_ignore, unsigned int );
                                                                                                                                    flick_xdr_decode_unsigned32(8, _t608_ignore, unsigned int );
                                                                                                                                    flick_xdr_decode_unsigned32(12, _t608_ignore, unsigned int );
                                                                                                                                    _return = 0;
                                                                                                                                    _ev = (CORBA_Environment *)(&_t609_storage);
                                                                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                                                    flick_suntcp_server_end_decode();
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                    _return = ex3__get_long_attribute(_obj, _ev);
                                                                                                                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                    flick_suntcp_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort660);
                                                                                                                                      flick_suntcp_encode_new_glob(8, _flick_abort660);
                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                      switch (_ev->_major)
                                                                                                                                        {
                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                          {
                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                            flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                            flick_suntcp_encode_end_glob(8);
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                          {
                                                                                                                                            flick_suntcp_encode_end_glob(8);
                                                                                                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort666);
                                                                                                                                            break;
                                                                                                                                            {
                                                                                                                                            _flick_abort666:
                                                                                                                                              goto _flick_abort660;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        default:
                                                                                                                                          {
                                                                                                                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort667);
                                                                                                                                            flick_suntcp_encode_end_glob(8);
                                                                                                                                            break;
                                                                                                                                            {
                                                                                                                                            _flick_abort667:
                                                                                                                                              goto _flick_abort660;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                    }
                                                                                                                                    flick_suntcp_server_end_encode();
                                                                                                                                    break;
                                                                                                                                    {
                                                                                                                                    _flick_abort660:
                                                                                                                                      goto _flick_abort659;
                                                                                                                                    }
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                  {
                                                                                                                                  _flick_abort659:
                                                                                                                                    goto _flick_abort474;
                                                                                                                                  }
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                            flick_suntcp_decode_end_glob(136);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                      flick_suntcp_decode_end_glob(136);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                flick_suntcp_decode_end_glob(136);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                          flick_suntcp_decode_end_glob(136);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                    flick_suntcp_decode_end_glob(136);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                              flick_suntcp_decode_end_glob(136);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                        flick_suntcp_decode_end_glob(136);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                            flick_suntcp_decode_end_glob(136);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                      flick_suntcp_decode_end_glob(136);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                flick_suntcp_decode_end_glob(136);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          char _t610_switch_tag;

          flick_suntcp_check_span(132, _flick_abort474);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t610_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t610_switch_tag)
            {
            case '_':
              {
                char _t611_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t611_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t611_switch_tag)
                  {
                  case 'g':
                    {
                      char _t612_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t612_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t612_switch_tag)
                        {
                        case 'e':
                          {
                            char _t613_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t613_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t613_switch_tag)
                              {
                              case 't':
                                {
                                  char _t614_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t614_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t614_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t615_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t615_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t615_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t616_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t616_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t616_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t617_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t617_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t617_switch_tag)
                                                      {
                                                      case 's':
                                                        {
                                                          char _t618_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t618_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t618_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t619_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t619_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t619_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t620_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t620_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t620_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t621_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t621_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t621_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t622_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t622_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t622_switch_tag)
                                                                                    {
                                                                                    case 'd':
                                                                                      {
                                                                                        char _t623_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t623_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t623_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t624_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t624_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t624_switch_tag)
                                                                                                {
                                                                                                case 'l':
                                                                                                  {
                                                                                                    char _t625_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t625_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t625_switch_tag)
                                                                                                      {
                                                                                                      case 'o':
                                                                                                        {
                                                                                                          char _t626_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t626_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t626_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t627_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t627_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t627_switch_tag)
                                                                                                                  {
                                                                                                                  case 'g':
                                                                                                                    {
                                                                                                                      char _t628_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t628_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t628_switch_tag)
                                                                                                                        {
                                                                                                                        case '_':
                                                                                                                          {
                                                                                                                            char _t629_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t629_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t629_switch_tag)
                                                                                                                              {
                                                                                                                              case 'a':
                                                                                                                                {
                                                                                                                                  char _t630_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t630_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t630_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t631_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t631_switch_tag, char );
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch ((char )_t631_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t632_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t632_switch_tag, char );
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch ((char )_t632_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'r':
                                                                                                                                                  {
                                                                                                                                                    char _t633_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t633_switch_tag, char );
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch ((char )_t633_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'i':
                                                                                                                                                        {
                                                                                                                                                          char _t634_switch_tag;

                                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                                          flick_xdr_decode_char8(0, _t634_switch_tag, char );
                                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                                          switch ((char )_t634_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'b':
                                                                                                                                                              {
                                                                                                                                                                char _t635_switch_tag;

                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_char8(0, _t635_switch_tag, char );
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                switch ((char )_t635_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'u':
                                                                                                                                                                    {
                                                                                                                                                                      char _t636_switch_tag;

                                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                      flick_xdr_decode_char8(0, _t636_switch_tag, char );
                                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                      switch ((char )_t636_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 't':
                                                                                                                                                                          {
                                                                                                                                                                            char _t637_switch_tag;

                                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                            flick_xdr_decode_char8(0, _t637_switch_tag, char );
                                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                            switch ((char )_t637_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 'e':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t638_switch_tag;

                                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                  flick_xdr_decode_char8(0, _t638_switch_tag, char );
                                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                  switch ((char )_t638_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 0:
                                                                                                                                                                                      {
                                                                                                                                                                                        {
                                                                                                                                                                                          ex3 _obj;
                                                                                                                                                                                          unsigned int _t639_ignore;
                                                                                                                                                                                          CORBA_unsigned_long _return;
                                                                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                                                                          CORBA_Environment _t640_storage;

                                                                                                                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort669);
                                                                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                                                                          flick_xdr_decode_unsigned32(0, _t639_ignore, unsigned int );
                                                                                                                                                                                          flick_xdr_decode_unsigned32(4, _t639_ignore, unsigned int );
                                                                                                                                                                                          flick_xdr_decode_unsigned32(8, _t639_ignore, unsigned int );
                                                                                                                                                                                          flick_xdr_decode_unsigned32(12, _t639_ignore, unsigned int );
                                                                                                                                                                                          _return = 0;
                                                                                                                                                                                          _ev = (CORBA_Environment *)(&_t640_storage);
                                                                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                                                                          flick_corba_init_environment();
                                                                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                                                                          _return = ex3__get_unsigned_long_attribute(_obj, _ev);
                                                                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                                                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                                                                          {
                                                                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort669);
                                                                                                                                                                                            flick_suntcp_encode_new_glob(8, _flick_abort669);
                                                                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                            switch (_ev->_major)
                                                                                                                                                                                              {
                                                                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                  flick_xdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                                                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                                                                  break;
                                                                                                                                                                                                }
                                                                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort675);
                                                                                                                                                                                                  break;
                                                                                                                                                                                                  {
                                                                                                                                                                                                  _flick_abort675:
                                                                                                                                                                                                    goto _flick_abort669;
                                                                                                                                                                                                  }
                                                                                                                                                                                                }
                                                                                                                                                                                              default:
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort676);
                                                                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                                                                  break;
                                                                                                                                                                                                  {
                                                                                                                                                                                                  _flick_abort676:
                                                                                                                                                                                                    goto _flick_abort669;
                                                                                                                                                                                                  }
                                                                                                                                                                                                }
                                                                                                                                                                                              }
                                                                                                                                                                                          }
                                                                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                                                                          break;
                                                                                                                                                                                          {
                                                                                                                                                                                          _flick_abort669:
                                                                                                                                                                                            goto _flick_abort668;
                                                                                                                                                                                          }
                                                                                                                                                                                        }
                                                                                                                                                                                        break;
                                                                                                                                                                                        {
                                                                                                                                                                                        _flick_abort668:
                                                                                                                                                                                          goto _flick_abort474;
                                                                                                                                                                                        }
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                            flick_suntcp_decode_end_glob(136);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                      flick_suntcp_decode_end_glob(136);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                                flick_suntcp_decode_end_glob(136);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                          flick_suntcp_decode_end_glob(136);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                                    flick_suntcp_decode_end_glob(136);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                              flick_suntcp_decode_end_glob(136);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                        flick_suntcp_decode_end_glob(136);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                                  flick_suntcp_decode_end_glob(136);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                            flick_suntcp_decode_end_glob(136);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                      flick_suntcp_decode_end_glob(136);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                                flick_suntcp_decode_end_glob(136);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                          flick_suntcp_decode_end_glob(136);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                                    flick_suntcp_decode_end_glob(136);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                              flick_suntcp_decode_end_glob(136);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                        flick_suntcp_decode_end_glob(136);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                            flick_suntcp_decode_end_glob(136);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                      flick_suntcp_decode_end_glob(136);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                flick_suntcp_decode_end_glob(136);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t641_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t641_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t641_switch_tag)
            {
            case 'o':
              {
                char _t642_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t642_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t642_switch_tag)
                  {
                  case 'p':
                    {
                      char _t643_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t643_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t643_switch_tag)
                        {
                        case '0':
                          {
                            char _t644_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t644_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t644_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    unsigned int _t645_ignore;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t646_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort678);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(16);
                                    flick_xdr_decode_unsigned32(0, _t645_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t645_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t645_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t645_ignore, unsigned int );
                                    _ev = (CORBA_Environment *)(&_t646_storage);
                                    flick_suntcp_decode_end_chunk(16);
                                    flick_suntcp_decode_end_glob(136);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    ex3_op0(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort678);
                                      flick_suntcp_encode_new_glob(4, _flick_abort678);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort684);
                                            break;
                                            {
                                            _flick_abort684:
                                              goto _flick_abort678;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort685);
                                            flick_suntcp_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort685:
                                              goto _flick_abort678;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort678:
                                      goto _flick_abort677;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort677:
                                    goto _flick_abort474;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t647_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort474);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t647_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t647_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    unsigned int _t648_ignore;
                                    CORBA_float _return;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_double _t649_storage;
                                    CORBA_long *_local_l;
                                    CORBA_long _t650_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t651_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort687);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t648_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t648_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t648_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t648_ignore, unsigned int );
                                    _return = 0.000000;
                                    flick_xdr_decode_float32(16, _local_f, CORBA_float );
                                    _local_d = (CORBA_double *)(&_t649_storage);
                                    _local_l = (CORBA_long *)(&_t650_storage);
                                    flick_xdr_decode_signed32(20, *_local_l, CORBA_long );
                                    _ev = (CORBA_Environment *)(&_t651_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(136);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex3_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort687);
                                      flick_suntcp_encode_new_glob(20, _flick_abort687);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(16);
                                            flick_xdr_encode_float32(0, _return, CORBA_float );
                                            flick_xdr_encode_float64(4, *_local_d, CORBA_double );
                                            flick_xdr_encode_signed32(12, *_local_l, CORBA_long );
                                            flick_suntcp_encode_end_chunk(16);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(20);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort693);
                                            break;
                                            {
                                            _flick_abort693:
                                              goto _flick_abort687;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort694);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                            {
                                            _flick_abort694:
                                              goto _flick_abort687;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort687:
                                      goto _flick_abort686;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort686:
                                    goto _flick_abort474;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t652_switch_tag;

                            flick_suntcp_check_span(32, _flick_abort474);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t652_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t652_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    unsigned int _t653_ignore;
                                    CORBA_double _return;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_long _t654_storage;
                                    CORBA_short *_local_s;
                                    CORBA_short _t655_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t656_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort696);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t653_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t653_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t653_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t653_ignore, unsigned int );
                                    _return = 0.000000;
                                    flick_xdr_decode_float64(16, _local_d, CORBA_double );
                                    _local_l = (CORBA_long *)(&_t654_storage);
                                    _local_s = (CORBA_short *)(&_t655_storage);
                                    flick_xdr_decode_signed16(24, *_local_s, CORBA_short );
                                    _ev = (CORBA_Environment *)(&_t656_storage);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(136);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex3_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort696);
                                      flick_suntcp_encode_new_glob(20, _flick_abort696);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(16);
                                            flick_xdr_encode_float64(0, _return, CORBA_double );
                                            flick_xdr_encode_signed32(8, *_local_l, CORBA_long );
                                            flick_xdr_encode_signed16(12, *_local_s, CORBA_short );
                                            flick_suntcp_encode_end_chunk(16);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(20);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort702);
                                            break;
                                            {
                                            _flick_abort702:
                                              goto _flick_abort696;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort703);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                            {
                                            _flick_abort703:
                                              goto _flick_abort696;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort696:
                                      goto _flick_abort695;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort695:
                                    goto _flick_abort474;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t657_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort474);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t657_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t657_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    unsigned int _t658_ignore;
                                    CORBA_long _return;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_short _t659_storage;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_long _t660_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t661_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort705);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t658_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t658_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t658_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t658_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_signed32(16, _local_l, CORBA_long );
                                    _local_s = (CORBA_short *)(&_t659_storage);
                                    _local_ul = (CORBA_unsigned_long *)(&_t660_storage);
                                    flick_xdr_decode_unsigned32(20, *_local_ul, CORBA_unsigned_long );
                                    _ev = (CORBA_Environment *)(&_t661_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(136);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex3_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort705);
                                      flick_suntcp_encode_new_glob(16, _flick_abort705);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_signed32(0, _return, CORBA_long );
                                            flick_xdr_encode_signed16(4, *_local_s, CORBA_short );
                                            flick_xdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort711);
                                            break;
                                            {
                                            _flick_abort711:
                                              goto _flick_abort705;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort712);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort712:
                                              goto _flick_abort705;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort705:
                                      goto _flick_abort704;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort704:
                                    goto _flick_abort474;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t662_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort474);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t662_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t662_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    unsigned int _t663_ignore;
                                    CORBA_short _return;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_long _t664_storage;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_unsigned_short _t665_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t666_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort714);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t663_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t663_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t663_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t663_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_signed16(16, _local_s, CORBA_short );
                                    _local_ul = (CORBA_unsigned_long *)(&_t664_storage);
                                    _local_us = (CORBA_unsigned_short *)(&_t665_storage);
                                    flick_xdr_decode_unsigned16(20, *_local_us, CORBA_unsigned_short );
                                    _ev = (CORBA_Environment *)(&_t666_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(136);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex3_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort714);
                                      flick_suntcp_encode_new_glob(16, _flick_abort714);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_signed16(0, _return, CORBA_short );
                                            flick_xdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                                            flick_xdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort720);
                                            break;
                                            {
                                            _flick_abort720:
                                              goto _flick_abort714;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort721);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort721:
                                              goto _flick_abort714;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort714:
                                      goto _flick_abort713;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort713:
                                    goto _flick_abort474;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t667_switch_tag;

                            flick_suntcp_check_span(32, _flick_abort474);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t667_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t667_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    unsigned int _t668_ignore;
                                    CORBA_unsigned_long _return;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_long _t669_storage;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_char _t670_storage;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t671_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort723);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t668_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t668_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t668_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t668_ignore, unsigned int );
                                    _return = 0;
                                    _local_ul = (CORBA_unsigned_long *)(&_t669_storage);
                                    flick_xdr_decode_unsigned32(16, *_local_ul, CORBA_unsigned_long );
                                    flick_xdr_decode_unsigned16(20, _local_us, CORBA_unsigned_short );
                                    _local_c = (CORBA_char *)(&_t670_storage);
                                    flick_xdr_decode_unsigned8(24, _local_b, CORBA_boolean );
                                    _ev = (CORBA_Environment *)(&_t671_storage);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(136);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex3_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort723);
                                      flick_suntcp_encode_new_glob(16, _flick_abort723);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                            flick_xdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                                            flick_xdr_encode_char8(8, *_local_c, CORBA_char );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort729);
                                            break;
                                            {
                                            _flick_abort729:
                                              goto _flick_abort723;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort730);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort730:
                                              goto _flick_abort723;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort723:
                                      goto _flick_abort722;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort722:
                                    goto _flick_abort474;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t672_switch_tag;

                            flick_suntcp_check_span(24, _flick_abort474);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t672_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t672_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex3 _obj;
                                    unsigned int _t673_ignore;
                                    CORBA_unsigned_short _return;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_unsigned_short _t674_storage;
                                    CORBA_char *_local_c;
                                    CORBA_char _t675_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t676_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort732);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t673_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t673_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t673_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t673_ignore, unsigned int );
                                    _return = 0;
                                    _local_us = (CORBA_unsigned_short *)(&_t674_storage);
                                    _local_c = (CORBA_char *)(&_t675_storage);
                                    flick_xdr_decode_char8(16, *_local_c, CORBA_char );
                                    _ev = (CORBA_Environment *)(&_t676_storage);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(136);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex3_op6(_obj, _local_us, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort732);
                                      flick_suntcp_encode_new_glob(16, _flick_abort732);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                            flick_xdr_encode_unsigned16(4, *_local_us, CORBA_unsigned_short );
                                            flick_xdr_encode_char8(8, *_local_c, CORBA_char );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort738);
                                            break;
                                            {
                                            _flick_abort738:
                                              goto _flick_abort732;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort739);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort739:
                                              goto _flick_abort732;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort732:
                                      goto _flick_abort731;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort731:
                                    goto _flick_abort474;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                            flick_suntcp_decode_end_glob(136);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                      flick_suntcp_decode_end_glob(136);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                flick_suntcp_decode_end_glob(136);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t677_switch_tag;

          flick_suntcp_check_span(44, _flick_abort474);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t677_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t677_switch_tag)
            {
            case '_':
              {
                char _t678_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t678_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t678_switch_tag)
                  {
                  case 'i':
                    {
                      char _t679_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t679_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t679_switch_tag)
                        {
                        case 's':
                          {
                            char _t680_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t680_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t680_switch_tag)
                              {
                              case '_':
                                {
                                  char _t681_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t681_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t681_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t682_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t682_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t682_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t683_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t684_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t685_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort741);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t683_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t683_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t683_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t683_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t684_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(136);
                                                flick_suntcp_decode_new_glob(1 * _t684_temp_string_len);
                                                flick_suntcp_check_span(1 * _t684_temp_string_len, _flick_abort741);
                                                flick_suntcp_decode_new_chunk(1 * _t684_temp_string_len);
                                                if ((_t684_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t684_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort741);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t684_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t684_temp_string_len);
                                                _local_id[_t684_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t684_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t685_storage);
                                                _par = flick_interface_parents_ex3;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort744);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort744);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort750);
                                                        break;
                                                        {
                                                        _flick_abort750:
                                                          goto _flick_abort744;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort751);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort751:
                                                          goto _flick_abort744;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort744:
                                                  auto_flick_free(_local_id);
                                                _flick_abort741:
                                                  goto _flick_abort740;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort740:
                                                goto _flick_abort474;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                              flick_suntcp_decode_end_glob(136);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                        flick_suntcp_decode_end_glob(136);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                                  flick_suntcp_decode_end_glob(136);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                            flick_suntcp_decode_end_glob(136);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                      flick_suntcp_decode_end_glob(136);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
                flick_suntcp_decode_end_glob(136);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort474);
          flick_suntcp_decode_end_glob(136);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort474:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort473);
  _flick_abort473:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t ex4_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t1147_switch_tag;

    flick_suntcp_decode_new_glob(144);
    flick_suntcp_check_span(36, _flick_abort754);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t1147_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t1147_switch_tag)
      {
      case (unsigned int) 30:
        {
          char _t1148_switch_tag;

          flick_suntcp_check_span(136, _flick_abort754);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1148_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t1148_switch_tag)
            {
            case '_':
              {
                char _t1149_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1149_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t1149_switch_tag)
                  {
                  case 'g':
                    {
                      char _t1150_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1150_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t1150_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1151_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1151_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1151_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1152_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1152_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t1152_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1153_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1153_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t1153_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t1154_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1154_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1154_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t1155_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1155_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1155_switch_tag)
                                                      {
                                                      case 's':
                                                        {
                                                          char _t1156_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1156_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1156_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t1157_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1157_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1157_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t1158_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1158_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1158_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t1159_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1159_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1159_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t1160_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1160_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1160_switch_tag)
                                                                                    {
                                                                                    case 'd':
                                                                                      {
                                                                                        char _t1161_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1161_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1161_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t1162_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1162_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1162_switch_tag)
                                                                                                {
                                                                                                case 's':
                                                                                                  {
                                                                                                    char _t1163_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1163_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1163_switch_tag)
                                                                                                      {
                                                                                                      case 'h':
                                                                                                        {
                                                                                                          char _t1164_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1164_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1164_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t1165_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1165_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1165_switch_tag)
                                                                                                                  {
                                                                                                                  case 'r':
                                                                                                                    {
                                                                                                                      char _t1166_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1166_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1166_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1167_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1167_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1167_switch_tag)
                                                                                                                              {
                                                                                                                              case '_':
                                                                                                                                {
                                                                                                                                  char _t1168_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1168_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t1168_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'a':
                                                                                                                                      {
                                                                                                                                        char _t1169_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1169_switch_tag, char );
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch ((char )_t1169_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t1170_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1170_switch_tag, char );
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch ((char )_t1170_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t1171_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t1171_switch_tag, char );
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch ((char )_t1171_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'r':
                                                                                                                                                        {
                                                                                                                                                          char _t1172_switch_tag;

                                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                                          flick_xdr_decode_char8(0, _t1172_switch_tag, char );
                                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                                          switch ((char )_t1172_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'i':
                                                                                                                                                              {
                                                                                                                                                                char _t1173_switch_tag;

                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_char8(0, _t1173_switch_tag, char );
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                switch ((char )_t1173_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'b':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1174_switch_tag;

                                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                      flick_xdr_decode_char8(0, _t1174_switch_tag, char );
                                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                      switch ((char )_t1174_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'u':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1175_switch_tag;

                                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                            flick_xdr_decode_char8(0, _t1175_switch_tag, char );
                                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                            switch ((char )_t1175_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 't':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1176_switch_tag;

                                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                  flick_xdr_decode_char8(0, _t1176_switch_tag, char );
                                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                  switch ((char )_t1176_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 'e':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t1177_switch_tag;

                                                                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                        flick_xdr_decode_char8(0, _t1177_switch_tag, char );
                                                                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                        switch ((char )_t1177_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 0:
                                                                                                                                                                                            {
                                                                                                                                                                                              {
                                                                                                                                                                                                ex4 _obj;
                                                                                                                                                                                                unsigned int _t1178_ignore;
                                                                                                                                                                                                CORBA_unsigned_short _return;
                                                                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                                                                CORBA_Environment _t1179_storage;

                                                                                                                                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1069);
                                                                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                                                                flick_suntcp_decode_new_chunk(16);
                                                                                                                                                                                                flick_xdr_decode_unsigned32(0, _t1178_ignore, unsigned int );
                                                                                                                                                                                                flick_xdr_decode_unsigned32(4, _t1178_ignore, unsigned int );
                                                                                                                                                                                                flick_xdr_decode_unsigned32(8, _t1178_ignore, unsigned int );
                                                                                                                                                                                                flick_xdr_decode_unsigned32(12, _t1178_ignore, unsigned int );
                                                                                                                                                                                                _return = 0;
                                                                                                                                                                                                _ev = (CORBA_Environment *)(&_t1179_storage);
                                                                                                                                                                                                flick_suntcp_decode_end_chunk(16);
                                                                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                                                                                _return = ex4__get_unsigned_short_attribute(_obj, _ev);
                                                                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                                                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1069);
                                                                                                                                                                                                  flick_suntcp_encode_new_glob(8, _flick_abort1069);
                                                                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                  switch (_ev->_major)
                                                                                                                                                                                                    {
                                                                                                                                                                                                    case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                        flick_xdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                                                                                                                                                                                        flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(8);
                                                                                                                                                                                                        break;
                                                                                                                                                                                                      }
                                                                                                                                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(8);
                                                                                                                                                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1075);
                                                                                                                                                                                                        break;
                                                                                                                                                                                                        {
                                                                                                                                                                                                        _flick_abort1075:
                                                                                                                                                                                                          goto _flick_abort1069;
                                                                                                                                                                                                        }
                                                                                                                                                                                                      }
                                                                                                                                                                                                    default:
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1076);
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(8);
                                                                                                                                                                                                        break;
                                                                                                                                                                                                        {
                                                                                                                                                                                                        _flick_abort1076:
                                                                                                                                                                                                          goto _flick_abort1069;
                                                                                                                                                                                                        }
                                                                                                                                                                                                      }
                                                                                                                                                                                                    }
                                                                                                                                                                                                }
                                                                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                                                                                break;
                                                                                                                                                                                                {
                                                                                                                                                                                                _flick_abort1069:
                                                                                                                                                                                                  goto _flick_abort1068;
                                                                                                                                                                                                }
                                                                                                                                                                                              }
                                                                                                                                                                                              break;
                                                                                                                                                                                              {
                                                                                                                                                                                              _flick_abort1068:
                                                                                                                                                                                                goto _flick_abort754;
                                                                                                                                                                                              }
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'l':
                                            {
                                              char _t1180_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1180_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1180_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t1181_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1181_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1181_switch_tag)
                                                      {
                                                      case 'm':
                                                        {
                                                          char _t1182_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1182_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1182_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t1183_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1183_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1183_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t1184_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1184_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1184_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t1185_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1185_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1185_switch_tag)
                                                                              {
                                                                              case 'd':
                                                                                {
                                                                                  char _t1186_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1186_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1186_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1187_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1187_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1187_switch_tag)
                                                                                          {
                                                                                          case 's':
                                                                                            {
                                                                                              char _t1188_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1188_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1188_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1189_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1189_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1189_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1190_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1190_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1190_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1191_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1191_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1191_switch_tag)
                                                                                                                  {
                                                                                                                  case 'n':
                                                                                                                    {
                                                                                                                      char _t1192_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1192_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1192_switch_tag)
                                                                                                                        {
                                                                                                                        case 'g':
                                                                                                                          {
                                                                                                                            char _t1193_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1193_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1193_switch_tag)
                                                                                                                              {
                                                                                                                              case '_':
                                                                                                                                {
                                                                                                                                  char _t1194_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1194_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t1194_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'a':
                                                                                                                                      {
                                                                                                                                        char _t1195_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1195_switch_tag, char );
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch ((char )_t1195_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t1196_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1196_switch_tag, char );
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch ((char )_t1196_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t1197_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t1197_switch_tag, char );
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch ((char )_t1197_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'r':
                                                                                                                                                        {
                                                                                                                                                          char _t1198_switch_tag;

                                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                                          flick_xdr_decode_char8(0, _t1198_switch_tag, char );
                                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                                          switch ((char )_t1198_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'i':
                                                                                                                                                              {
                                                                                                                                                                char _t1199_switch_tag;

                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_char8(0, _t1199_switch_tag, char );
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                switch ((char )_t1199_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'b':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1200_switch_tag;

                                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                      flick_xdr_decode_char8(0, _t1200_switch_tag, char );
                                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                      switch ((char )_t1200_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'u':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1201_switch_tag;

                                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                            flick_xdr_decode_char8(0, _t1201_switch_tag, char );
                                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                            switch ((char )_t1201_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 't':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1202_switch_tag;

                                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                  flick_xdr_decode_char8(0, _t1202_switch_tag, char );
                                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                  switch ((char )_t1202_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 'e':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t1203_switch_tag;

                                                                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                        flick_xdr_decode_char8(0, _t1203_switch_tag, char );
                                                                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                        switch ((char )_t1203_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 0:
                                                                                                                                                                                            {
                                                                                                                                                                                              {
                                                                                                                                                                                                ex4 _obj;
                                                                                                                                                                                                unsigned int _t1204_ignore;
                                                                                                                                                                                                CORBA_char *_return;
                                                                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                                                                CORBA_Environment _t1205_storage;

                                                                                                                                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1078);
                                                                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                                                                flick_suntcp_decode_new_chunk(16);
                                                                                                                                                                                                flick_xdr_decode_unsigned32(0, _t1204_ignore, unsigned int );
                                                                                                                                                                                                flick_xdr_decode_unsigned32(4, _t1204_ignore, unsigned int );
                                                                                                                                                                                                flick_xdr_decode_unsigned32(8, _t1204_ignore, unsigned int );
                                                                                                                                                                                                flick_xdr_decode_unsigned32(12, _t1204_ignore, unsigned int );
                                                                                                                                                                                                _return = 0;
                                                                                                                                                                                                _ev = (CORBA_Environment *)(&_t1205_storage);
                                                                                                                                                                                                flick_suntcp_decode_end_chunk(16);
                                                                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                                                                                _return = ex4__get_limited_string_attribute(_obj, _ev);
                                                                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                                                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1078);
                                                                                                                                                                                                  flick_suntcp_encode_new_glob(21, _flick_abort1078);
                                                                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                  switch (_ev->_major)
                                                                                                                                                                                                    {
                                                                                                                                                                                                    case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_unsigned32_t _t1207_temp_string_len;

                                                                                                                                                                                                        flick_xdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1207_temp_string_len);

                                                                                                                                                                                                        flick_suntcp_encode_new_chunk(4 + 1 * _t1207_temp_string_len);
                                                                                                                                                                                                        flick_xdr_encode_unsigned32(0, _t1207_temp_string_len, flick_unsigned32_t );
                                                                                                                                                                                                        if (_t1207_temp_string_len + 1 > 11)
                                                                                                                                                                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1085);
                                                                                                                                                                                                        flick_xdr_encode_bcopy(4, _return, 1 * _t1207_temp_string_len);
                                                                                                                                                                                                        CORBA_flick_free(_return);
                                                                                                                                                                                                        _return = (CORBA_char *)0;
                                                                                                                                                                                                        flick_suntcp_encode_end_chunk(4 + 1 * _t1207_temp_string_len);
                                                                                                                                                                                                        flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                                                                                                                                        flick_suntcp_encode_end_chunk(0);
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(21);
                                                                                                                                                                                                        break;
                                                                                                                                                                                                        {
                                                                                                                                                                                                        _flick_abort1085:
                                                                                                                                                                                                          goto _flick_abort1078;
                                                                                                                                                                                                        }
                                                                                                                                                                                                      }
                                                                                                                                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(21);
                                                                                                                                                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1088);
                                                                                                                                                                                                        break;
                                                                                                                                                                                                        {
                                                                                                                                                                                                        _flick_abort1088:
                                                                                                                                                                                                          goto _flick_abort1078;
                                                                                                                                                                                                        }
                                                                                                                                                                                                      }
                                                                                                                                                                                                    default:
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1089);
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(21);
                                                                                                                                                                                                        break;
                                                                                                                                                                                                        {
                                                                                                                                                                                                        _flick_abort1089:
                                                                                                                                                                                                          goto _flick_abort1078;
                                                                                                                                                                                                        }
                                                                                                                                                                                                      }
                                                                                                                                                                                                    }
                                                                                                                                                                                                }
                                                                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                                                                                break;
                                                                                                                                                                                                {
                                                                                                                                                                                                _flick_abort1078:
                                                                                                                                                                                                  goto _flick_abort1077;
                                                                                                                                                                                                }
                                                                                                                                                                                              }
                                                                                                                                                                                              break;
                                                                                                                                                                                              {
                                                                                                                                                                                              _flick_abort1077:
                                                                                                                                                                                                goto _flick_abort754;
                                                                                                                                                                                              }
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t1208_switch_tag;

                      flick_suntcp_check_span(132, _flick_abort754);
                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1208_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t1208_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1209_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1209_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1209_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1210_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1210_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t1210_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1211_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1211_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t1211_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t1212_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1212_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1212_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t1213_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1213_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1213_switch_tag)
                                                      {
                                                      case 's':
                                                        {
                                                          char _t1214_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1214_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1214_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t1215_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1215_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1215_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t1216_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1216_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1216_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t1217_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1217_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1217_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t1218_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1218_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1218_switch_tag)
                                                                                    {
                                                                                    case 'd':
                                                                                      {
                                                                                        char _t1219_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1219_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1219_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t1220_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1220_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1220_switch_tag)
                                                                                                {
                                                                                                case 's':
                                                                                                  {
                                                                                                    char _t1221_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1221_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1221_switch_tag)
                                                                                                      {
                                                                                                      case 'h':
                                                                                                        {
                                                                                                          char _t1222_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1222_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1222_switch_tag)
                                                                                                            {
                                                                                                            case 'o':
                                                                                                              {
                                                                                                                char _t1223_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1223_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1223_switch_tag)
                                                                                                                  {
                                                                                                                  case 'r':
                                                                                                                    {
                                                                                                                      char _t1224_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1224_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1224_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1225_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1225_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1225_switch_tag)
                                                                                                                              {
                                                                                                                              case '_':
                                                                                                                                {
                                                                                                                                  char _t1226_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1226_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t1226_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'a':
                                                                                                                                      {
                                                                                                                                        char _t1227_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1227_switch_tag, char );
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch ((char )_t1227_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t1228_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1228_switch_tag, char );
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch ((char )_t1228_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 't':
                                                                                                                                                  {
                                                                                                                                                    char _t1229_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t1229_switch_tag, char );
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch ((char )_t1229_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'r':
                                                                                                                                                        {
                                                                                                                                                          char _t1230_switch_tag;

                                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                                          flick_xdr_decode_char8(0, _t1230_switch_tag, char );
                                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                                          switch ((char )_t1230_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'i':
                                                                                                                                                              {
                                                                                                                                                                char _t1231_switch_tag;

                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_char8(0, _t1231_switch_tag, char );
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                switch ((char )_t1231_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'b':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1232_switch_tag;

                                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                      flick_xdr_decode_char8(0, _t1232_switch_tag, char );
                                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                      switch ((char )_t1232_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 'u':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1233_switch_tag;

                                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                            flick_xdr_decode_char8(0, _t1233_switch_tag, char );
                                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                            switch ((char )_t1233_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 't':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1234_switch_tag;

                                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                  flick_xdr_decode_char8(0, _t1234_switch_tag, char );
                                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                  switch ((char )_t1234_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 'e':
                                                                                                                                                                                      {
                                                                                                                                                                                        char _t1235_switch_tag;

                                                                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                        flick_xdr_decode_char8(0, _t1235_switch_tag, char );
                                                                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                        switch ((char )_t1235_switch_tag)
                                                                                                                                                                                          {
                                                                                                                                                                                          case 0:
                                                                                                                                                                                            {
                                                                                                                                                                                              {
                                                                                                                                                                                                ex4 _obj;
                                                                                                                                                                                                unsigned int _t1236_ignore;
                                                                                                                                                                                                CORBA_unsigned_short _local_unsigned_short_attribute;
                                                                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                                                                CORBA_Environment _t1237_storage;

                                                                                                                                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1091);
                                                                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                                                                flick_suntcp_decode_new_chunk(20);
                                                                                                                                                                                                flick_xdr_decode_unsigned32(0, _t1236_ignore, unsigned int );
                                                                                                                                                                                                flick_xdr_decode_unsigned32(4, _t1236_ignore, unsigned int );
                                                                                                                                                                                                flick_xdr_decode_unsigned32(8, _t1236_ignore, unsigned int );
                                                                                                                                                                                                flick_xdr_decode_unsigned32(12, _t1236_ignore, unsigned int );
                                                                                                                                                                                                flick_xdr_decode_unsigned16(16, _local_unsigned_short_attribute, CORBA_unsigned_short );
                                                                                                                                                                                                _ev = (CORBA_Environment *)(&_t1237_storage);
                                                                                                                                                                                                flick_suntcp_decode_end_chunk(20);
                                                                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                                                                                ex4__set_unsigned_short_attribute(_obj, _local_unsigned_short_attribute, _ev);
                                                                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                                                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1091);
                                                                                                                                                                                                  flick_suntcp_encode_new_glob(4, _flick_abort1091);
                                                                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                  switch (_ev->_major)
                                                                                                                                                                                                    {
                                                                                                                                                                                                    case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                                                                                                        break;
                                                                                                                                                                                                      }
                                                                                                                                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                                                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1097);
                                                                                                                                                                                                        break;
                                                                                                                                                                                                        {
                                                                                                                                                                                                        _flick_abort1097:
                                                                                                                                                                                                          goto _flick_abort1091;
                                                                                                                                                                                                        }
                                                                                                                                                                                                      }
                                                                                                                                                                                                    default:
                                                                                                                                                                                                      {
                                                                                                                                                                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1098);
                                                                                                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                                                                                                        break;
                                                                                                                                                                                                        {
                                                                                                                                                                                                        _flick_abort1098:
                                                                                                                                                                                                          goto _flick_abort1091;
                                                                                                                                                                                                        }
                                                                                                                                                                                                      }
                                                                                                                                                                                                    }
                                                                                                                                                                                                }
                                                                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                                                                                break;
                                                                                                                                                                                                {
                                                                                                                                                                                                _flick_abort1091:
                                                                                                                                                                                                  goto _flick_abort1090;
                                                                                                                                                                                                }
                                                                                                                                                                                              }
                                                                                                                                                                                              break;
                                                                                                                                                                                              {
                                                                                                                                                                                              _flick_abort1090:
                                                                                                                                                                                                goto _flick_abort754;
                                                                                                                                                                                              }
                                                                                                                                                                                            }
                                                                                                                                                                                          default:
                                                                                                                                                                                            {
                                                                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                              break;
                                                                                                                                                                                            }
                                                                                                                                                                                          }
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          char _t1238_switch_tag;

          flick_suntcp_check_span(96, _flick_abort754);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1238_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t1238_switch_tag)
            {
            case '_':
              {
                char _t1239_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1239_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t1239_switch_tag)
                  {
                  case 'g':
                    {
                      char _t1240_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1240_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t1240_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1241_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1241_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1241_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1242_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1242_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t1242_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1243_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1243_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t1243_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t1244_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1244_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1244_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t1245_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1245_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1245_switch_tag)
                                                      {
                                                      case 'a':
                                                        {
                                                          char _t1246_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1246_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1246_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t1247_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1247_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1247_switch_tag)
                                                                  {
                                                                  case '_':
                                                                    {
                                                                      char _t1248_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1248_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1248_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t1249_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1249_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1249_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t1250_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1250_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1250_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1251_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1251_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1251_switch_tag)
                                                                                          {
                                                                                          case 'r':
                                                                                            {
                                                                                              char _t1252_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1252_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1252_switch_tag)
                                                                                                {
                                                                                                case 'i':
                                                                                                  {
                                                                                                    char _t1253_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1253_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1253_switch_tag)
                                                                                                      {
                                                                                                      case 'b':
                                                                                                        {
                                                                                                          char _t1254_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1254_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1254_switch_tag)
                                                                                                            {
                                                                                                            case 'u':
                                                                                                              {
                                                                                                                char _t1255_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1255_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1255_switch_tag)
                                                                                                                  {
                                                                                                                  case 't':
                                                                                                                    {
                                                                                                                      char _t1256_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1256_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1256_switch_tag)
                                                                                                                        {
                                                                                                                        case 'e':
                                                                                                                          {
                                                                                                                            char _t1257_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1257_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1257_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    ex4 _obj;
                                                                                                                                    unsigned int _t1258_ignore;
                                                                                                                                    CORBA_char _return;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    CORBA_Environment _t1259_storage;

                                                                                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1100);
                                                                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                                                                    flick_xdr_decode_unsigned32(0, _t1258_ignore, unsigned int );
                                                                                                                                    flick_xdr_decode_unsigned32(4, _t1258_ignore, unsigned int );
                                                                                                                                    flick_xdr_decode_unsigned32(8, _t1258_ignore, unsigned int );
                                                                                                                                    flick_xdr_decode_unsigned32(12, _t1258_ignore, unsigned int );
                                                                                                                                    _return = 0;
                                                                                                                                    _ev = (CORBA_Environment *)(&_t1259_storage);
                                                                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                    flick_suntcp_server_end_decode();
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                    _return = ex4__get_char_attribute(_obj, _ev);
                                                                                                                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                    flick_suntcp_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1100);
                                                                                                                                      flick_suntcp_encode_new_glob(8, _flick_abort1100);
                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                      switch (_ev->_major)
                                                                                                                                        {
                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                          {
                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                            flick_xdr_encode_char8(0, _return, CORBA_char );
                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                            flick_suntcp_encode_end_glob(8);
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                          {
                                                                                                                                            flick_suntcp_encode_end_glob(8);
                                                                                                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1106);
                                                                                                                                            break;
                                                                                                                                            {
                                                                                                                                            _flick_abort1106:
                                                                                                                                              goto _flick_abort1100;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        default:
                                                                                                                                          {
                                                                                                                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1107);
                                                                                                                                            flick_suntcp_encode_end_glob(8);
                                                                                                                                            break;
                                                                                                                                            {
                                                                                                                                            _flick_abort1107:
                                                                                                                                              goto _flick_abort1100;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                    }
                                                                                                                                    flick_suntcp_server_end_encode();
                                                                                                                                    break;
                                                                                                                                    {
                                                                                                                                    _flick_abort1100:
                                                                                                                                      goto _flick_abort1099;
                                                                                                                                    }
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                  {
                                                                                                                                  _flick_abort1099:
                                                                                                                                    goto _flick_abort754;
                                                                                                                                  }
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'l':
                                            {
                                              char _t1260_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1260_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1260_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1261_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1261_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1261_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t1262_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1262_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1262_switch_tag)
                                                            {
                                                            case 'g':
                                                              {
                                                                char _t1263_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1263_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1263_switch_tag)
                                                                  {
                                                                  case '_':
                                                                    {
                                                                      char _t1264_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1264_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1264_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t1265_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1265_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1265_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t1266_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1266_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1266_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1267_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1267_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1267_switch_tag)
                                                                                          {
                                                                                          case 'r':
                                                                                            {
                                                                                              char _t1268_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1268_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1268_switch_tag)
                                                                                                {
                                                                                                case 'i':
                                                                                                  {
                                                                                                    char _t1269_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1269_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1269_switch_tag)
                                                                                                      {
                                                                                                      case 'b':
                                                                                                        {
                                                                                                          char _t1270_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1270_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1270_switch_tag)
                                                                                                            {
                                                                                                            case 'u':
                                                                                                              {
                                                                                                                char _t1271_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1271_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1271_switch_tag)
                                                                                                                  {
                                                                                                                  case 't':
                                                                                                                    {
                                                                                                                      char _t1272_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1272_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1272_switch_tag)
                                                                                                                        {
                                                                                                                        case 'e':
                                                                                                                          {
                                                                                                                            char _t1273_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1273_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1273_switch_tag)
                                                                                                                              {
                                                                                                                              case 0:
                                                                                                                                {
                                                                                                                                  {
                                                                                                                                    ex4 _obj;
                                                                                                                                    unsigned int _t1274_ignore;
                                                                                                                                    CORBA_long _return;
                                                                                                                                    CORBA_Environment *_ev;
                                                                                                                                    CORBA_Environment _t1275_storage;

                                                                                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1109);
                                                                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                    flick_suntcp_decode_new_chunk(16);
                                                                                                                                    flick_xdr_decode_unsigned32(0, _t1274_ignore, unsigned int );
                                                                                                                                    flick_xdr_decode_unsigned32(4, _t1274_ignore, unsigned int );
                                                                                                                                    flick_xdr_decode_unsigned32(8, _t1274_ignore, unsigned int );
                                                                                                                                    flick_xdr_decode_unsigned32(12, _t1274_ignore, unsigned int );
                                                                                                                                    _return = 0;
                                                                                                                                    _ev = (CORBA_Environment *)(&_t1275_storage);
                                                                                                                                    flick_suntcp_decode_end_chunk(16);
                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                    flick_suntcp_server_end_decode();
                                                                                                                                    flick_corba_init_environment();
                                                                                                                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                    _return = ex4__get_long_attribute(_obj, _ev);
                                                                                                                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                    flick_suntcp_server_start_encode();
                                                                                                                                    {
                                                                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1109);
                                                                                                                                      flick_suntcp_encode_new_glob(8, _flick_abort1109);
                                                                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                                                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                                                                      switch (_ev->_major)
                                                                                                                                        {
                                                                                                                                        case CORBA_NO_EXCEPTION:
                                                                                                                                          {
                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                            flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                            flick_suntcp_encode_end_glob(8);
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                          {
                                                                                                                                            flick_suntcp_encode_end_glob(8);
                                                                                                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1115);
                                                                                                                                            break;
                                                                                                                                            {
                                                                                                                                            _flick_abort1115:
                                                                                                                                              goto _flick_abort1109;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        default:
                                                                                                                                          {
                                                                                                                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1116);
                                                                                                                                            flick_suntcp_encode_end_glob(8);
                                                                                                                                            break;
                                                                                                                                            {
                                                                                                                                            _flick_abort1116:
                                                                                                                                              goto _flick_abort1109;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                    }
                                                                                                                                    flick_suntcp_server_end_encode();
                                                                                                                                    break;
                                                                                                                                    {
                                                                                                                                    _flick_abort1109:
                                                                                                                                      goto _flick_abort1108;
                                                                                                                                    }
                                                                                                                                  }
                                                                                                                                  break;
                                                                                                                                  {
                                                                                                                                  _flick_abort1108:
                                                                                                                                    goto _flick_abort754;
                                                                                                                                  }
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          char _t1276_switch_tag;

          flick_suntcp_check_span(108, _flick_abort754);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1276_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t1276_switch_tag)
            {
            case '_':
              {
                char _t1277_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1277_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t1277_switch_tag)
                  {
                  case 'g':
                    {
                      char _t1278_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1278_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t1278_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1279_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1279_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1279_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1280_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1280_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t1280_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1281_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1281_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t1281_switch_tag)
                                          {
                                          case 'b':
                                            {
                                              char _t1282_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1282_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1282_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1283_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1283_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1283_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1284_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1284_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1284_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t1285_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1285_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1285_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1286_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1286_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1286_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t1287_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1287_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1287_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t1288_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1288_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1288_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1289_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1289_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1289_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t1290_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1290_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1290_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1291_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1291_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1291_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1292_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1292_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1292_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1293_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1293_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1293_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1294_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1294_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1294_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t1295_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1295_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1295_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t1296_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1296_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t1296_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1297_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1297_switch_tag, char );
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch ((char )_t1297_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t1298_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1298_switch_tag, char );
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch ((char )_t1298_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      unsigned int _t1299_ignore;
                                                                                                                                                      CORBA_boolean _return;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_Environment _t1300_storage;

                                                                                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1118);
                                                                                                                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                      flick_suntcp_decode_new_chunk(16);
                                                                                                                                                      flick_xdr_decode_unsigned32(0, _t1299_ignore, unsigned int );
                                                                                                                                                      flick_xdr_decode_unsigned32(4, _t1299_ignore, unsigned int );
                                                                                                                                                      flick_xdr_decode_unsigned32(8, _t1299_ignore, unsigned int );
                                                                                                                                                      flick_xdr_decode_unsigned32(12, _t1299_ignore, unsigned int );
                                                                                                                                                      _return = 0;
                                                                                                                                                      _ev = (CORBA_Environment *)(&_t1300_storage);
                                                                                                                                                      flick_suntcp_decode_end_chunk(16);
                                                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                                                      flick_suntcp_server_end_decode();
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                                      _return = ex4__get_boolean_attribute(_obj, _ev);
                                                                                                                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                                      flick_suntcp_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1118);
                                                                                                                                                        flick_suntcp_encode_new_glob(8, _flick_abort1118);
                                                                                                                                                        flick_suntcp_encode_new_chunk(4);
                                                                                                                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                                        flick_suntcp_encode_end_chunk(4);
                                                                                                                                                        switch (_ev->_major)
                                                                                                                                                          {
                                                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                                                            {
                                                                                                                                                              flick_suntcp_encode_new_chunk(4);
                                                                                                                                                              flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                                                                                                                              flick_suntcp_encode_end_chunk(4);
                                                                                                                                                              flick_suntcp_encode_end_glob(8);
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                            {
                                                                                                                                                              flick_suntcp_encode_end_glob(8);
                                                                                                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1124);
                                                                                                                                                              break;
                                                                                                                                                              {
                                                                                                                                                              _flick_abort1124:
                                                                                                                                                                goto _flick_abort1118;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          default:
                                                                                                                                                            {
                                                                                                                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1125);
                                                                                                                                                              flick_suntcp_encode_end_glob(8);
                                                                                                                                                              break;
                                                                                                                                                              {
                                                                                                                                                              _flick_abort1125:
                                                                                                                                                                goto _flick_abort1118;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          }
                                                                                                                                                      }
                                                                                                                                                      flick_suntcp_server_end_encode();
                                                                                                                                                      break;
                                                                                                                                                      {
                                                                                                                                                      _flick_abort1118:
                                                                                                                                                        goto _flick_abort1117;
                                                                                                                                                      }
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                    {
                                                                                                                                                    _flick_abort1117:
                                                                                                                                                      goto _flick_abort754;
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t1301_switch_tag;

                      flick_suntcp_check_span(104, _flick_abort754);
                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1301_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t1301_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1302_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1302_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1302_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1303_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1303_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t1303_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1304_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1304_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t1304_switch_tag)
                                          {
                                          case 'b':
                                            {
                                              char _t1305_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1305_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1305_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1306_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1306_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1306_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1307_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1307_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1307_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t1308_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1308_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1308_switch_tag)
                                                                  {
                                                                  case 'e':
                                                                    {
                                                                      char _t1309_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1309_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1309_switch_tag)
                                                                        {
                                                                        case 'a':
                                                                          {
                                                                            char _t1310_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1310_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1310_switch_tag)
                                                                              {
                                                                              case 'n':
                                                                                {
                                                                                  char _t1311_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1311_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1311_switch_tag)
                                                                                    {
                                                                                    case '_':
                                                                                      {
                                                                                        char _t1312_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1312_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1312_switch_tag)
                                                                                          {
                                                                                          case 'a':
                                                                                            {
                                                                                              char _t1313_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1313_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1313_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1314_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1314_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1314_switch_tag)
                                                                                                      {
                                                                                                      case 't':
                                                                                                        {
                                                                                                          char _t1315_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1315_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1315_switch_tag)
                                                                                                            {
                                                                                                            case 'r':
                                                                                                              {
                                                                                                                char _t1316_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1316_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1316_switch_tag)
                                                                                                                  {
                                                                                                                  case 'i':
                                                                                                                    {
                                                                                                                      char _t1317_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1317_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1317_switch_tag)
                                                                                                                        {
                                                                                                                        case 'b':
                                                                                                                          {
                                                                                                                            char _t1318_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1318_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1318_switch_tag)
                                                                                                                              {
                                                                                                                              case 'u':
                                                                                                                                {
                                                                                                                                  char _t1319_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1319_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t1319_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1320_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1320_switch_tag, char );
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch ((char )_t1320_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 'e':
                                                                                                                                            {
                                                                                                                                              char _t1321_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1321_switch_tag, char );
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch ((char )_t1321_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 0:
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      ex4 _obj;
                                                                                                                                                      unsigned int _t1322_ignore;
                                                                                                                                                      CORBA_boolean _local_boolean_attribute;
                                                                                                                                                      CORBA_Environment *_ev;
                                                                                                                                                      CORBA_Environment _t1323_storage;

                                                                                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1127);
                                                                                                                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                      flick_suntcp_decode_new_chunk(20);
                                                                                                                                                      flick_xdr_decode_unsigned32(0, _t1322_ignore, unsigned int );
                                                                                                                                                      flick_xdr_decode_unsigned32(4, _t1322_ignore, unsigned int );
                                                                                                                                                      flick_xdr_decode_unsigned32(8, _t1322_ignore, unsigned int );
                                                                                                                                                      flick_xdr_decode_unsigned32(12, _t1322_ignore, unsigned int );
                                                                                                                                                      flick_xdr_decode_unsigned8(16, _local_boolean_attribute, CORBA_boolean );
                                                                                                                                                      _ev = (CORBA_Environment *)(&_t1323_storage);
                                                                                                                                                      flick_suntcp_decode_end_chunk(20);
                                                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                                                      flick_suntcp_server_end_decode();
                                                                                                                                                      flick_corba_init_environment();
                                                                                                                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                                      ex4__set_boolean_attribute(_obj, _local_boolean_attribute, _ev);
                                                                                                                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                                      flick_suntcp_server_start_encode();
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1127);
                                                                                                                                                        flick_suntcp_encode_new_glob(4, _flick_abort1127);
                                                                                                                                                        flick_suntcp_encode_new_chunk(4);
                                                                                                                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                                        flick_suntcp_encode_end_chunk(4);
                                                                                                                                                        switch (_ev->_major)
                                                                                                                                                          {
                                                                                                                                                          case CORBA_NO_EXCEPTION:
                                                                                                                                                            {
                                                                                                                                                              flick_suntcp_encode_end_glob(4);
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                            {
                                                                                                                                                              flick_suntcp_encode_end_glob(4);
                                                                                                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1133);
                                                                                                                                                              break;
                                                                                                                                                              {
                                                                                                                                                              _flick_abort1133:
                                                                                                                                                                goto _flick_abort1127;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          default:
                                                                                                                                                            {
                                                                                                                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1134);
                                                                                                                                                              flick_suntcp_encode_end_glob(4);
                                                                                                                                                              break;
                                                                                                                                                              {
                                                                                                                                                              _flick_abort1134:
                                                                                                                                                                goto _flick_abort1127;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          }
                                                                                                                                                      }
                                                                                                                                                      flick_suntcp_server_end_encode();
                                                                                                                                                      break;
                                                                                                                                                      {
                                                                                                                                                      _flick_abort1127:
                                                                                                                                                        goto _flick_abort1126;
                                                                                                                                                      }
                                                                                                                                                    }
                                                                                                                                                    break;
                                                                                                                                                    {
                                                                                                                                                    _flick_abort1126:
                                                                                                                                                      goto _flick_abort754;
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          char _t1324_switch_tag;

          flick_suntcp_check_span(100, _flick_abort754);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1324_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t1324_switch_tag)
            {
            case '_':
              {
                char _t1325_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1325_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t1325_switch_tag)
                  {
                  case 'g':
                    {
                      char _t1326_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1326_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t1326_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1327_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1327_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1327_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1328_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1328_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t1328_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1329_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1329_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t1329_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t1330_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1330_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1330_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t1331_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1331_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1331_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t1332_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1332_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1332_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t1333_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1333_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1333_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t1334_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1334_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1334_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t1335_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1335_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1335_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1336_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1336_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1336_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1337_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1337_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1337_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1338_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1338_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1338_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1339_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1339_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1339_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t1340_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1340_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1340_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t1341_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1341_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1341_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t1342_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1342_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1342_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1343_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1343_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1343_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1344_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1344_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t1344_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex4 _obj;
                                                                                                                                          unsigned int _t1345_ignore;
                                                                                                                                          CORBA_octet _return;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t1346_storage;

                                                                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1136);
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t1345_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t1345_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t1345_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t1345_ignore, unsigned int );
                                                                                                                                          _return = 0;
                                                                                                                                          _ev = (CORBA_Environment *)(&_t1346_storage);
                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                          _return = ex4__get_octet_attribute(_obj, _ev);
                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1136);
                                                                                                                                            flick_suntcp_encode_new_glob(8, _flick_abort1136);
                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                            switch (_ev->_major)
                                                                                                                                              {
                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                  flick_xdr_encode_unsigned8(0, _return, CORBA_octet );
                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1142);
                                                                                                                                                  break;
                                                                                                                                                  {
                                                                                                                                                  _flick_abort1142:
                                                                                                                                                    goto _flick_abort1136;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              default:
                                                                                                                                                {
                                                                                                                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1143);
                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                  break;
                                                                                                                                                  {
                                                                                                                                                  _flick_abort1143:
                                                                                                                                                    goto _flick_abort1136;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                          }
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                          break;
                                                                                                                                          {
                                                                                                                                          _flick_abort1136:
                                                                                                                                            goto _flick_abort1135;
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                        {
                                                                                                                                        _flick_abort1135:
                                                                                                                                          goto _flick_abort754;
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'f':
                                            {
                                              char _t1347_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1347_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1347_switch_tag)
                                                {
                                                case 'l':
                                                  {
                                                    char _t1348_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1348_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1348_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1349_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1349_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1349_switch_tag)
                                                            {
                                                            case 'a':
                                                              {
                                                                char _t1350_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1350_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1350_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t1351_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1351_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1351_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t1352_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1352_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1352_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1353_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1353_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1353_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1354_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1354_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1354_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1355_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1355_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1355_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1356_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1356_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1356_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t1357_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1357_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1357_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t1358_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1358_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1358_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t1359_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1359_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1359_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1360_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1360_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1360_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1361_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1361_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t1361_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex4 _obj;
                                                                                                                                          unsigned int _t1362_ignore;
                                                                                                                                          CORBA_float _return;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t1363_storage;

                                                                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1145);
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t1362_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t1362_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t1362_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t1362_ignore, unsigned int );
                                                                                                                                          _return = 0.000000;
                                                                                                                                          _ev = (CORBA_Environment *)(&_t1363_storage);
                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                          _return = ex4__get_float_attribute(_obj, _ev);
                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1145);
                                                                                                                                            flick_suntcp_encode_new_glob(8, _flick_abort1145);
                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                            switch (_ev->_major)
                                                                                                                                              {
                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                  flick_xdr_encode_float32(0, _return, CORBA_float );
                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1151);
                                                                                                                                                  break;
                                                                                                                                                  {
                                                                                                                                                  _flick_abort1151:
                                                                                                                                                    goto _flick_abort1145;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              default:
                                                                                                                                                {
                                                                                                                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1152);
                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                  break;
                                                                                                                                                  {
                                                                                                                                                  _flick_abort1152:
                                                                                                                                                    goto _flick_abort1145;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                          }
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                          break;
                                                                                                                                          {
                                                                                                                                          _flick_abort1145:
                                                                                                                                            goto _flick_abort1144;
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                        {
                                                                                                                                        _flick_abort1144:
                                                                                                                                          goto _flick_abort754;
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t1364_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1364_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1364_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t1365_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1365_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1365_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1366_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1366_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1366_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t1367_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1367_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1367_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t1368_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1368_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1368_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t1369_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1369_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1369_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1370_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1370_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1370_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1371_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1371_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1371_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1372_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1372_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1372_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1373_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1373_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1373_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t1374_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1374_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1374_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t1375_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1375_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1375_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t1376_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1376_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1376_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1377_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1377_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1377_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1378_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1378_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t1378_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex4 _obj;
                                                                                                                                          unsigned int _t1379_ignore;
                                                                                                                                          CORBA_short _return;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t1380_storage;

                                                                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1154);
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t1379_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t1379_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t1379_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t1379_ignore, unsigned int );
                                                                                                                                          _return = 0;
                                                                                                                                          _ev = (CORBA_Environment *)(&_t1380_storage);
                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                          _return = ex4__get_short_attribute(_obj, _ev);
                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1154);
                                                                                                                                            flick_suntcp_encode_new_glob(8, _flick_abort1154);
                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                            switch (_ev->_major)
                                                                                                                                              {
                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                  flick_xdr_encode_signed16(0, _return, CORBA_short );
                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1160);
                                                                                                                                                  break;
                                                                                                                                                  {
                                                                                                                                                  _flick_abort1160:
                                                                                                                                                    goto _flick_abort1154;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              default:
                                                                                                                                                {
                                                                                                                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1161);
                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                  break;
                                                                                                                                                  {
                                                                                                                                                  _flick_abort1161:
                                                                                                                                                    goto _flick_abort1154;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                          }
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                          break;
                                                                                                                                          {
                                                                                                                                          _flick_abort1154:
                                                                                                                                            goto _flick_abort1153;
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                        {
                                                                                                                                        _flick_abort1153:
                                                                                                                                          goto _flick_abort754;
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t1381_switch_tag;

                      flick_suntcp_check_span(96, _flick_abort754);
                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1381_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t1381_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1382_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1382_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1382_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1383_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1383_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t1383_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1384_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1384_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t1384_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t1385_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1385_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1385_switch_tag)
                                                {
                                                case 'h':
                                                  {
                                                    char _t1386_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1386_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1386_switch_tag)
                                                      {
                                                      case 'o':
                                                        {
                                                          char _t1387_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1387_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1387_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t1388_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1388_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1388_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t1389_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1389_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1389_switch_tag)
                                                                        {
                                                                        case '_':
                                                                          {
                                                                            char _t1390_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1390_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1390_switch_tag)
                                                                              {
                                                                              case 'a':
                                                                                {
                                                                                  char _t1391_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1391_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1391_switch_tag)
                                                                                    {
                                                                                    case 't':
                                                                                      {
                                                                                        char _t1392_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1392_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1392_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1393_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1393_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1393_switch_tag)
                                                                                                {
                                                                                                case 'r':
                                                                                                  {
                                                                                                    char _t1394_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1394_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1394_switch_tag)
                                                                                                      {
                                                                                                      case 'i':
                                                                                                        {
                                                                                                          char _t1395_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1395_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1395_switch_tag)
                                                                                                            {
                                                                                                            case 'b':
                                                                                                              {
                                                                                                                char _t1396_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1396_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1396_switch_tag)
                                                                                                                  {
                                                                                                                  case 'u':
                                                                                                                    {
                                                                                                                      char _t1397_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1397_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1397_switch_tag)
                                                                                                                        {
                                                                                                                        case 't':
                                                                                                                          {
                                                                                                                            char _t1398_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1398_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1398_switch_tag)
                                                                                                                              {
                                                                                                                              case 'e':
                                                                                                                                {
                                                                                                                                  char _t1399_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1399_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t1399_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 0:
                                                                                                                                      {
                                                                                                                                        {
                                                                                                                                          ex4 _obj;
                                                                                                                                          unsigned int _t1400_ignore;
                                                                                                                                          CORBA_short _local_short_attribute;
                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                          CORBA_Environment _t1401_storage;

                                                                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1163);
                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                          flick_suntcp_decode_new_chunk(20);
                                                                                                                                          flick_xdr_decode_unsigned32(0, _t1400_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(4, _t1400_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(8, _t1400_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_unsigned32(12, _t1400_ignore, unsigned int );
                                                                                                                                          flick_xdr_decode_signed16(16, _local_short_attribute, CORBA_short );
                                                                                                                                          _ev = (CORBA_Environment *)(&_t1401_storage);
                                                                                                                                          flick_suntcp_decode_end_chunk(20);
                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                          flick_corba_init_environment();
                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                          ex4__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                          {
                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1163);
                                                                                                                                            flick_suntcp_encode_new_glob(4, _flick_abort1163);
                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                            switch (_ev->_major)
                                                                                                                                              {
                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_encode_end_glob(4);
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_encode_end_glob(4);
                                                                                                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1169);
                                                                                                                                                  break;
                                                                                                                                                  {
                                                                                                                                                  _flick_abort1169:
                                                                                                                                                    goto _flick_abort1163;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              default:
                                                                                                                                                {
                                                                                                                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1170);
                                                                                                                                                  flick_suntcp_encode_end_glob(4);
                                                                                                                                                  break;
                                                                                                                                                  {
                                                                                                                                                  _flick_abort1170:
                                                                                                                                                    goto _flick_abort1163;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                          }
                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                          break;
                                                                                                                                          {
                                                                                                                                          _flick_abort1163:
                                                                                                                                            goto _flick_abort1162;
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                        break;
                                                                                                                                        {
                                                                                                                                        _flick_abort1162:
                                                                                                                                          goto _flick_abort754;
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          char _t1402_switch_tag;

          flick_suntcp_check_span(104, _flick_abort754);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1402_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t1402_switch_tag)
            {
            case '_':
              {
                char _t1403_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1403_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t1403_switch_tag)
                  {
                  case 'g':
                    {
                      char _t1404_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1404_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t1404_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1405_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1405_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1405_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1406_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1406_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t1406_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1407_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1407_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t1407_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t1408_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1408_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1408_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t1409_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1409_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1409_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t1410_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1410_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1410_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t1411_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1411_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1411_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t1412_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1412_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1412_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t1413_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1413_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1413_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1414_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1414_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1414_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1415_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1415_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1415_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1416_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1416_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1416_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1417_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1417_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1417_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1418_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1418_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1418_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1419_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1419_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1419_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1420_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1420_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1420_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1421_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1421_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1421_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1422_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1422_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t1422_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1423_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1423_switch_tag, char );
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch ((char )_t1423_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                unsigned int _t1424_ignore;
                                                                                                                                                CORBA_char *_return;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_Environment _t1425_storage;

                                                                                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1172);
                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                flick_suntcp_decode_new_chunk(16);
                                                                                                                                                flick_xdr_decode_unsigned32(0, _t1424_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(4, _t1424_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(8, _t1424_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(12, _t1424_ignore, unsigned int );
                                                                                                                                                _return = 0;
                                                                                                                                                _ev = (CORBA_Environment *)(&_t1425_storage);
                                                                                                                                                flick_suntcp_decode_end_chunk(16);
                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                                _return = ex4__get_string_attribute(_obj, _ev);
                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1172);
                                                                                                                                                  flick_suntcp_encode_new_glob(8, _flick_abort1172);
                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                  switch (_ev->_major)
                                                                                                                                                    {
                                                                                                                                                    case CORBA_NO_EXCEPTION:
                                                                                                                                                      {
                                                                                                                                                        flick_unsigned32_t _t1427_temp_string_len;

                                                                                                                                                        flick_xdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1427_temp_string_len);

                                                                                                                                                        flick_suntcp_encode_new_chunk(4);
                                                                                                                                                        flick_xdr_encode_unsigned32(0, _t1427_temp_string_len, flick_unsigned32_t );
                                                                                                                                                        flick_suntcp_encode_end_chunk(4);
                                                                                                                                                        flick_suntcp_encode_end_glob(8);
                                                                                                                                                        flick_suntcp_encode_new_glob(1 * _t1427_temp_string_len, _flick_abort1179);
                                                                                                                                                        flick_suntcp_encode_new_chunk(1 * _t1427_temp_string_len);
                                                                                                                                                        flick_xdr_encode_bcopy(0, _return, 1 * _t1427_temp_string_len);
                                                                                                                                                        CORBA_flick_free(_return);
                                                                                                                                                        _return = (CORBA_char *)0;
                                                                                                                                                        flick_suntcp_encode_end_chunk(1 * _t1427_temp_string_len);
                                                                                                                                                        flick_suntcp_encode_end_glob(1 * _t1427_temp_string_len);
                                                                                                                                                        flick_suntcp_encode_new_glob(3, _flick_abort1179);
                                                                                                                                                        flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                                                                                        flick_suntcp_encode_end_chunk(0);
                                                                                                                                                        flick_suntcp_encode_end_glob(3);
                                                                                                                                                        break;
                                                                                                                                                        {
                                                                                                                                                        _flick_abort1179:
                                                                                                                                                          goto _flick_abort1172;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_encode_end_glob(8);
                                                                                                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1182);
                                                                                                                                                        break;
                                                                                                                                                        {
                                                                                                                                                        _flick_abort1182:
                                                                                                                                                          goto _flick_abort1172;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    default:
                                                                                                                                                      {
                                                                                                                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1183);
                                                                                                                                                        flick_suntcp_encode_end_glob(8);
                                                                                                                                                        break;
                                                                                                                                                        {
                                                                                                                                                        _flick_abort1183:
                                                                                                                                                          goto _flick_abort1172;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    }
                                                                                                                                                }
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                                break;
                                                                                                                                                {
                                                                                                                                                _flick_abort1172:
                                                                                                                                                  goto _flick_abort1171;
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                              {
                                                                                                                                              _flick_abort1171:
                                                                                                                                                goto _flick_abort754;
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t1428_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1428_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1428_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1429_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1429_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1429_switch_tag)
                                                      {
                                                      case 'u':
                                                        {
                                                          char _t1430_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1430_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1430_switch_tag)
                                                            {
                                                            case 'b':
                                                              {
                                                                char _t1431_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1431_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1431_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t1432_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1432_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1432_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t1433_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1433_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1433_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1434_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1434_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1434_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1435_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1435_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1435_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1436_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1436_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1436_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1437_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1437_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1437_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1438_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1438_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1438_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1439_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1439_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1439_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1440_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1440_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1440_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1441_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1441_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1441_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1442_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1442_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t1442_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1443_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1443_switch_tag, char );
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch ((char )_t1443_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                unsigned int _t1444_ignore;
                                                                                                                                                CORBA_double _return;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_Environment _t1445_storage;

                                                                                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1185);
                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                flick_suntcp_decode_new_chunk(16);
                                                                                                                                                flick_xdr_decode_unsigned32(0, _t1444_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(4, _t1444_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(8, _t1444_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(12, _t1444_ignore, unsigned int );
                                                                                                                                                _return = 0.000000;
                                                                                                                                                _ev = (CORBA_Environment *)(&_t1445_storage);
                                                                                                                                                flick_suntcp_decode_end_chunk(16);
                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                                _return = ex4__get_double_attribute(_obj, _ev);
                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1185);
                                                                                                                                                  flick_suntcp_encode_new_glob(12, _flick_abort1185);
                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                  switch (_ev->_major)
                                                                                                                                                    {
                                                                                                                                                    case CORBA_NO_EXCEPTION:
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_encode_new_chunk(8);
                                                                                                                                                        flick_xdr_encode_float64(0, _return, CORBA_double );
                                                                                                                                                        flick_suntcp_encode_end_chunk(8);
                                                                                                                                                        flick_suntcp_encode_end_glob(12);
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_encode_end_glob(12);
                                                                                                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1191);
                                                                                                                                                        break;
                                                                                                                                                        {
                                                                                                                                                        _flick_abort1191:
                                                                                                                                                          goto _flick_abort1185;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    default:
                                                                                                                                                      {
                                                                                                                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1192);
                                                                                                                                                        flick_suntcp_encode_end_glob(12);
                                                                                                                                                        break;
                                                                                                                                                        {
                                                                                                                                                        _flick_abort1192:
                                                                                                                                                          goto _flick_abort1185;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    }
                                                                                                                                                }
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                                break;
                                                                                                                                                {
                                                                                                                                                _flick_abort1185:
                                                                                                                                                  goto _flick_abort1184;
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                              {
                                                                                                                                              _flick_abort1184:
                                                                                                                                                goto _flick_abort754;
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t1446_switch_tag;

                      flick_suntcp_check_span(100, _flick_abort754);
                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1446_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t1446_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1447_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1447_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1447_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1448_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1448_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t1448_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1449_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1449_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t1449_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t1450_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1450_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1450_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t1451_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1451_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1451_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t1452_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1452_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1452_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t1453_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1453_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1453_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t1454_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1454_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1454_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t1455_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1455_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1455_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1456_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1456_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1456_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1457_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1457_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1457_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1458_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1458_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1458_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1459_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1459_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1459_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1460_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1460_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1460_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1461_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1461_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1461_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1462_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1462_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1462_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1463_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1463_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1463_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1464_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1464_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t1464_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1465_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1465_switch_tag, char );
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch ((char )_t1465_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                unsigned int _t1466_ignore;
                                                                                                                                                CORBA_char *_local_string_attribute;
                                                                                                                                                flick_unsigned32_t _t1467_temp_string_len;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_Environment _t1468_storage;

                                                                                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1194);
                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                flick_suntcp_decode_new_chunk(20);
                                                                                                                                                flick_xdr_decode_unsigned32(0, _t1466_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(4, _t1466_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(8, _t1466_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(12, _t1466_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(16, _t1467_temp_string_len, flick_unsigned32_t );
                                                                                                                                                flick_suntcp_decode_end_chunk(20);
                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                flick_suntcp_decode_new_glob(1 * _t1467_temp_string_len);
                                                                                                                                                flick_suntcp_check_span(1 * _t1467_temp_string_len, _flick_abort1194);
                                                                                                                                                flick_suntcp_decode_new_chunk(1 * _t1467_temp_string_len);
                                                                                                                                                if ((_t1467_temp_string_len + 3) & ~3)
                                                                                                                                                  {
                                                                                                                                                    flick_xdr_decode_msgptr(0, _local_string_attribute, CORBA_char *);
                                                                                                                                                  }
                                                                                                                                                else
                                                                                                                                                  {
                                                                                                                                                    {
                                                                                                                                                      CORBA_char *_t_alloc_ptr;

                                                                                                                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t1467_temp_string_len + 1) * sizeof(CORBA_char )));
                                                                                                                                                      if (!_t_alloc_ptr)
                                                                                                                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1194);
                                                                                                                                                      _local_string_attribute = _t_alloc_ptr;
                                                                                                                                                    }
                                                                                                                                                    flick_xdr_decode_bcopy(0, _local_string_attribute, 1 * _t1467_temp_string_len);
                                                                                                                                                  }
                                                                                                                                                flick_suntcp_decode_end_chunk(1 * _t1467_temp_string_len);
                                                                                                                                                _local_string_attribute[_t1467_temp_string_len] = 0;
                                                                                                                                                flick_suntcp_decode_end_glob(1 * _t1467_temp_string_len);
                                                                                                                                                flick_suntcp_decode_new_glob(3);
                                                                                                                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                                                                                                                _ev = (CORBA_Environment *)(&_t1468_storage);
                                                                                                                                                flick_suntcp_decode_end_chunk(0);
                                                                                                                                                flick_suntcp_decode_end_glob(3);
                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                                ex4__set_string_attribute(_obj, _local_string_attribute, _ev);
                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1197);
                                                                                                                                                  flick_suntcp_encode_new_glob(4, _flick_abort1197);
                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                  switch (_ev->_major)
                                                                                                                                                    {
                                                                                                                                                    case CORBA_NO_EXCEPTION:
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1203);
                                                                                                                                                        break;
                                                                                                                                                        {
                                                                                                                                                        _flick_abort1203:
                                                                                                                                                          goto _flick_abort1197;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    default:
                                                                                                                                                      {
                                                                                                                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1204);
                                                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                                                        break;
                                                                                                                                                        {
                                                                                                                                                        _flick_abort1204:
                                                                                                                                                          goto _flick_abort1197;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    }
                                                                                                                                                }
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                                break;
                                                                                                                                                {
                                                                                                                                                _flick_abort1197:
                                                                                                                                                  auto_flick_free(_local_string_attribute);
                                                                                                                                                _flick_abort1194:
                                                                                                                                                  goto _flick_abort1193;
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                              {
                                                                                                                                              _flick_abort1193:
                                                                                                                                                goto _flick_abort754;
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t1469_switch_tag;

                                              flick_suntcp_check_span(88, _flick_abort754);
                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1469_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1469_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t1470_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1470_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1470_switch_tag)
                                                      {
                                                      case 'u':
                                                        {
                                                          char _t1471_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1471_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1471_switch_tag)
                                                            {
                                                            case 'b':
                                                              {
                                                                char _t1472_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1472_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1472_switch_tag)
                                                                  {
                                                                  case 'l':
                                                                    {
                                                                      char _t1473_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1473_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1473_switch_tag)
                                                                        {
                                                                        case 'e':
                                                                          {
                                                                            char _t1474_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1474_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1474_switch_tag)
                                                                              {
                                                                              case '_':
                                                                                {
                                                                                  char _t1475_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1475_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1475_switch_tag)
                                                                                    {
                                                                                    case 'a':
                                                                                      {
                                                                                        char _t1476_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1476_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1476_switch_tag)
                                                                                          {
                                                                                          case 't':
                                                                                            {
                                                                                              char _t1477_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1477_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1477_switch_tag)
                                                                                                {
                                                                                                case 't':
                                                                                                  {
                                                                                                    char _t1478_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1478_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1478_switch_tag)
                                                                                                      {
                                                                                                      case 'r':
                                                                                                        {
                                                                                                          char _t1479_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1479_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1479_switch_tag)
                                                                                                            {
                                                                                                            case 'i':
                                                                                                              {
                                                                                                                char _t1480_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1480_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1480_switch_tag)
                                                                                                                  {
                                                                                                                  case 'b':
                                                                                                                    {
                                                                                                                      char _t1481_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1481_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1481_switch_tag)
                                                                                                                        {
                                                                                                                        case 'u':
                                                                                                                          {
                                                                                                                            char _t1482_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1482_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1482_switch_tag)
                                                                                                                              {
                                                                                                                              case 't':
                                                                                                                                {
                                                                                                                                  char _t1483_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1483_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t1483_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 'e':
                                                                                                                                      {
                                                                                                                                        char _t1484_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1484_switch_tag, char );
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch ((char )_t1484_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 0:
                                                                                                                                            {
                                                                                                                                              {
                                                                                                                                                ex4 _obj;
                                                                                                                                                unsigned int _t1485_ignore;
                                                                                                                                                CORBA_double _local_double_attribute;
                                                                                                                                                CORBA_Environment *_ev;
                                                                                                                                                CORBA_Environment _t1486_storage;

                                                                                                                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1206);
                                                                                                                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                flick_suntcp_decode_new_chunk(24);
                                                                                                                                                flick_xdr_decode_unsigned32(0, _t1485_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(4, _t1485_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(8, _t1485_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_unsigned32(12, _t1485_ignore, unsigned int );
                                                                                                                                                flick_xdr_decode_float64(16, _local_double_attribute, CORBA_double );
                                                                                                                                                _ev = (CORBA_Environment *)(&_t1486_storage);
                                                                                                                                                flick_suntcp_decode_end_chunk(24);
                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                flick_suntcp_server_end_decode();
                                                                                                                                                flick_corba_init_environment();
                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                                ex4__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                                                                                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                                flick_suntcp_server_start_encode();
                                                                                                                                                {
                                                                                                                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1206);
                                                                                                                                                  flick_suntcp_encode_new_glob(4, _flick_abort1206);
                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                  switch (_ev->_major)
                                                                                                                                                    {
                                                                                                                                                    case CORBA_NO_EXCEPTION:
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                      {
                                                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1212);
                                                                                                                                                        break;
                                                                                                                                                        {
                                                                                                                                                        _flick_abort1212:
                                                                                                                                                          goto _flick_abort1206;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    default:
                                                                                                                                                      {
                                                                                                                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1213);
                                                                                                                                                        flick_suntcp_encode_end_glob(4);
                                                                                                                                                        break;
                                                                                                                                                        {
                                                                                                                                                        _flick_abort1213:
                                                                                                                                                          goto _flick_abort1206;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    }
                                                                                                                                                }
                                                                                                                                                flick_suntcp_server_end_encode();
                                                                                                                                                break;
                                                                                                                                                {
                                                                                                                                                _flick_abort1206:
                                                                                                                                                  goto _flick_abort1205;
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                              break;
                                                                                                                                              {
                                                                                                                                              _flick_abort1205:
                                                                                                                                                goto _flick_abort754;
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          char _t1487_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1487_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t1487_switch_tag)
            {
            case 'o':
              {
                char _t1488_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1488_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t1488_switch_tag)
                  {
                  case 'p':
                    {
                      char _t1489_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1489_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t1489_switch_tag)
                        {
                        case '7':
                          {
                            char _t1490_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort754);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1490_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1490_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    unsigned int _t1491_ignore;
                                    CORBA_char _return;
                                    CORBA_char _local_c;
                                    CORBA_boolean *_local_b;
                                    CORBA_boolean _t1492_storage;
                                    CORBA_octet *_local_o;
                                    CORBA_octet _t1493_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1494_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1215);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t1491_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t1491_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t1491_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t1491_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_char8(16, _local_c, CORBA_char );
                                    _local_b = (CORBA_boolean *)(&_t1492_storage);
                                    _local_o = (CORBA_octet *)(&_t1493_storage);
                                    flick_xdr_decode_unsigned8(20, *_local_o, CORBA_octet );
                                    _ev = (CORBA_Environment *)(&_t1494_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex4_op7(_obj, _local_c, _local_b, _local_o, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1215);
                                      flick_suntcp_encode_new_glob(16, _flick_abort1215);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_char8(0, _return, CORBA_char );
                                            flick_xdr_encode_unsigned8(4, *_local_b, CORBA_boolean );
                                            flick_xdr_encode_unsigned8(8, *_local_o, CORBA_octet );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1221);
                                            break;
                                            {
                                            _flick_abort1221:
                                              goto _flick_abort1215;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1222);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort1222:
                                              goto _flick_abort1215;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1215:
                                      goto _flick_abort1214;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1214:
                                    goto _flick_abort754;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '8':
                          {
                            char _t1495_switch_tag;

                            flick_suntcp_check_span(24, _flick_abort754);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1495_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1495_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    unsigned int _t1496_ignore;
                                    CORBA_boolean _return;
                                    CORBA_boolean *_local_b;
                                    CORBA_boolean _t1497_storage;
                                    CORBA_octet _local_o;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1498_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1224);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t1496_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t1496_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t1496_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t1496_ignore, unsigned int );
                                    _return = 0;
                                    _local_b = (CORBA_boolean *)(&_t1497_storage);
                                    flick_xdr_decode_unsigned8(16, _local_o, CORBA_octet );
                                    _ev = (CORBA_Environment *)(&_t1498_storage);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex4_op8(_obj, _local_b, _local_o, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1224);
                                      flick_suntcp_encode_new_glob(12, _flick_abort1224);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(8);
                                            flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                            flick_xdr_encode_unsigned8(4, *_local_b, CORBA_boolean );
                                            flick_suntcp_encode_end_chunk(8);
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(12);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1230);
                                            break;
                                            {
                                            _flick_abort1230:
                                              goto _flick_abort1224;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1231);
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                            {
                                            _flick_abort1231:
                                              goto _flick_abort1224;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1224:
                                      goto _flick_abort1223;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1223:
                                    goto _flick_abort754;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '9':
                          {
                            char _t1499_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort754);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1499_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1499_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    unsigned int _t1500_ignore;
                                    CORBA_octet _return;
                                    CORBA_octet *_local_o;
                                    CORBA_octet _t1501_storage;
                                    CORBA_char **_local_s;
                                    CORBA_char *_t1502_storage;
                                    CORBA_char *_local_ls;
                                    flick_unsigned32_t _t1503_temp_string_len;
                                    CORBA_long *_local_l;
                                    CORBA_long _t1505_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1506_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1233);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t1500_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t1500_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t1500_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t1500_ignore, unsigned int );
                                    _return = 0;
                                    _local_o = (CORBA_octet *)(&_t1501_storage);
                                    flick_xdr_decode_unsigned8(16, *_local_o, CORBA_octet );
                                    _local_s = (CORBA_char **)(&_t1502_storage);
                                    flick_xdr_decode_unsigned32(20, _t1503_temp_string_len, flick_unsigned32_t );
                                    if (_t1503_temp_string_len + 1 > 11)
                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1233);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_check_span(1 * _t1503_temp_string_len, _flick_abort1233);
                                    flick_suntcp_decode_new_chunk(1 * _t1503_temp_string_len);
                                    if ((_t1503_temp_string_len + 3) & ~3)
                                      {
                                        flick_xdr_decode_msgptr(0, _local_ls, CORBA_char *);
                                      }
                                    else
                                      {
                                        CORBA_char _t1504_storage[11];

                                        _local_ls = (CORBA_char *)_t1504_storage;
                                        flick_xdr_decode_bcopy(0, _local_ls, 1 * _t1503_temp_string_len);
                                      }
                                    flick_suntcp_decode_end_chunk(1 * _t1503_temp_string_len);
                                    _local_ls[_t1503_temp_string_len] = 0;
                                    flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_suntcp_check_span(4, _flick_abort1233);
                                    _local_l = (CORBA_long *)(&_t1505_storage);
                                    flick_xdr_decode_signed32(0, *_local_l, CORBA_long );
                                    _ev = (CORBA_Environment *)(&_t1506_storage);
                                    flick_suntcp_decode_end_chunk(4);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex4_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1233);
                                      flick_suntcp_encode_new_glob(16, _flick_abort1233);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t1508_temp_string_len;

                                            flick_xdr_stringlen(CORBA_char *, *_local_s, flick_unsigned32_t , _t1508_temp_string_len);

                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_unsigned8(0, _return, CORBA_octet );
                                            flick_xdr_encode_unsigned8(4, *_local_o, CORBA_octet );
                                            flick_xdr_encode_unsigned32(8, _t1508_temp_string_len, flick_unsigned32_t );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            flick_suntcp_encode_new_glob(1 * _t1508_temp_string_len, _flick_abort1242);
                                            flick_suntcp_encode_new_chunk(1 * _t1508_temp_string_len);
                                            flick_xdr_encode_bcopy(0, *_local_s, 1 * _t1508_temp_string_len);
                                            CORBA_flick_free(*_local_s);
                                            *_local_s = (CORBA_char *)0;
                                            flick_suntcp_encode_end_chunk(1 * _t1508_temp_string_len);
                                            flick_suntcp_encode_end_glob(1 * _t1508_temp_string_len);
                                            flick_suntcp_encode_new_glob(7, _flick_abort1242);
                                            flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_xdr_encode_signed32(0, *_local_l, CORBA_long );
                                            flick_suntcp_encode_end_chunk(4);
                                            flick_suntcp_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort1242:
                                              goto _flick_abort1233;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1245);
                                            break;
                                            {
                                            _flick_abort1245:
                                              goto _flick_abort1233;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1246);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort1246:
                                              goto _flick_abort1233;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1233:
                                      goto _flick_abort1232;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1232:
                                    goto _flick_abort754;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '0':
                          {
                            char _t1509_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1509_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1509_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    unsigned int _t1510_ignore;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1511_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1248);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(16);
                                    flick_xdr_decode_unsigned32(0, _t1510_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t1510_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t1510_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t1510_ignore, unsigned int );
                                    _ev = (CORBA_Environment *)(&_t1511_storage);
                                    flick_suntcp_decode_end_chunk(16);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    ex4_op0(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1248);
                                      flick_suntcp_encode_new_glob(4, _flick_abort1248);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(4);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(4);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1254);
                                            break;
                                            {
                                            _flick_abort1254:
                                              goto _flick_abort1248;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1255);
                                            flick_suntcp_encode_end_glob(4);
                                            break;
                                            {
                                            _flick_abort1255:
                                              goto _flick_abort1248;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1248:
                                      goto _flick_abort1247;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1247:
                                    goto _flick_abort754;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '1':
                          {
                            char _t1512_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort754);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1512_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1512_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    unsigned int _t1513_ignore;
                                    CORBA_float _return;
                                    CORBA_float _local_f;
                                    CORBA_double *_local_d;
                                    CORBA_double _t1514_storage;
                                    CORBA_long *_local_l;
                                    CORBA_long _t1515_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1516_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1257);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t1513_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t1513_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t1513_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t1513_ignore, unsigned int );
                                    _return = 0.000000;
                                    flick_xdr_decode_float32(16, _local_f, CORBA_float );
                                    _local_d = (CORBA_double *)(&_t1514_storage);
                                    _local_l = (CORBA_long *)(&_t1515_storage);
                                    flick_xdr_decode_signed32(20, *_local_l, CORBA_long );
                                    _ev = (CORBA_Environment *)(&_t1516_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex4_op1(_obj, _local_f, _local_d, _local_l, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1257);
                                      flick_suntcp_encode_new_glob(20, _flick_abort1257);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(16);
                                            flick_xdr_encode_float32(0, _return, CORBA_float );
                                            flick_xdr_encode_float64(4, *_local_d, CORBA_double );
                                            flick_xdr_encode_signed32(12, *_local_l, CORBA_long );
                                            flick_suntcp_encode_end_chunk(16);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(20);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1263);
                                            break;
                                            {
                                            _flick_abort1263:
                                              goto _flick_abort1257;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1264);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                            {
                                            _flick_abort1264:
                                              goto _flick_abort1257;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1257:
                                      goto _flick_abort1256;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1256:
                                    goto _flick_abort754;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '2':
                          {
                            char _t1517_switch_tag;

                            flick_suntcp_check_span(32, _flick_abort754);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1517_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1517_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    unsigned int _t1518_ignore;
                                    CORBA_double _return;
                                    CORBA_double _local_d;
                                    CORBA_long *_local_l;
                                    CORBA_long _t1519_storage;
                                    CORBA_short *_local_s;
                                    CORBA_short _t1520_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1521_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1266);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t1518_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t1518_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t1518_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t1518_ignore, unsigned int );
                                    _return = 0.000000;
                                    flick_xdr_decode_float64(16, _local_d, CORBA_double );
                                    _local_l = (CORBA_long *)(&_t1519_storage);
                                    _local_s = (CORBA_short *)(&_t1520_storage);
                                    flick_xdr_decode_signed16(24, *_local_s, CORBA_short );
                                    _ev = (CORBA_Environment *)(&_t1521_storage);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex4_op2(_obj, _local_d, _local_l, _local_s, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1266);
                                      flick_suntcp_encode_new_glob(20, _flick_abort1266);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(16);
                                            flick_xdr_encode_float64(0, _return, CORBA_double );
                                            flick_xdr_encode_signed32(8, *_local_l, CORBA_long );
                                            flick_xdr_encode_signed16(12, *_local_s, CORBA_short );
                                            flick_suntcp_encode_end_chunk(16);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(20);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1272);
                                            break;
                                            {
                                            _flick_abort1272:
                                              goto _flick_abort1266;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1273);
                                            flick_suntcp_encode_end_glob(20);
                                            break;
                                            {
                                            _flick_abort1273:
                                              goto _flick_abort1266;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1266:
                                      goto _flick_abort1265;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1265:
                                    goto _flick_abort754;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t1522_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort754);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1522_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1522_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    unsigned int _t1523_ignore;
                                    CORBA_long _return;
                                    CORBA_long _local_l;
                                    CORBA_short *_local_s;
                                    CORBA_short _t1524_storage;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_long _t1525_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1526_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1275);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t1523_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t1523_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t1523_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t1523_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_signed32(16, _local_l, CORBA_long );
                                    _local_s = (CORBA_short *)(&_t1524_storage);
                                    _local_ul = (CORBA_unsigned_long *)(&_t1525_storage);
                                    flick_xdr_decode_unsigned32(20, *_local_ul, CORBA_unsigned_long );
                                    _ev = (CORBA_Environment *)(&_t1526_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex4_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1275);
                                      flick_suntcp_encode_new_glob(16, _flick_abort1275);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_signed32(0, _return, CORBA_long );
                                            flick_xdr_encode_signed16(4, *_local_s, CORBA_short );
                                            flick_xdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1281);
                                            break;
                                            {
                                            _flick_abort1281:
                                              goto _flick_abort1275;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1282);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort1282:
                                              goto _flick_abort1275;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1275:
                                      goto _flick_abort1274;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1274:
                                    goto _flick_abort754;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '4':
                          {
                            char _t1527_switch_tag;

                            flick_suntcp_check_span(28, _flick_abort754);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1527_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1527_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    unsigned int _t1528_ignore;
                                    CORBA_short _return;
                                    CORBA_short _local_s;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_long _t1529_storage;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_unsigned_short _t1530_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1531_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1284);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t1528_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t1528_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t1528_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t1528_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_signed16(16, _local_s, CORBA_short );
                                    _local_ul = (CORBA_unsigned_long *)(&_t1529_storage);
                                    _local_us = (CORBA_unsigned_short *)(&_t1530_storage);
                                    flick_xdr_decode_unsigned16(20, *_local_us, CORBA_unsigned_short );
                                    _ev = (CORBA_Environment *)(&_t1531_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex4_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1284);
                                      flick_suntcp_encode_new_glob(16, _flick_abort1284);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_signed16(0, _return, CORBA_short );
                                            flick_xdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                                            flick_xdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1290);
                                            break;
                                            {
                                            _flick_abort1290:
                                              goto _flick_abort1284;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1291);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort1291:
                                              goto _flick_abort1284;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1284:
                                      goto _flick_abort1283;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1283:
                                    goto _flick_abort754;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '5':
                          {
                            char _t1532_switch_tag;

                            flick_suntcp_check_span(32, _flick_abort754);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1532_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1532_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    unsigned int _t1533_ignore;
                                    CORBA_unsigned_long _return;
                                    CORBA_unsigned_long *_local_ul;
                                    CORBA_unsigned_long _t1534_storage;
                                    CORBA_unsigned_short _local_us;
                                    CORBA_char *_local_c;
                                    CORBA_char _t1535_storage;
                                    CORBA_boolean _local_b;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1536_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1293);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(28);
                                    flick_xdr_decode_unsigned32(0, _t1533_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t1533_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t1533_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t1533_ignore, unsigned int );
                                    _return = 0;
                                    _local_ul = (CORBA_unsigned_long *)(&_t1534_storage);
                                    flick_xdr_decode_unsigned32(16, *_local_ul, CORBA_unsigned_long );
                                    flick_xdr_decode_unsigned16(20, _local_us, CORBA_unsigned_short );
                                    _local_c = (CORBA_char *)(&_t1535_storage);
                                    flick_xdr_decode_unsigned8(24, _local_b, CORBA_boolean );
                                    _ev = (CORBA_Environment *)(&_t1536_storage);
                                    flick_suntcp_decode_end_chunk(28);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex4_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1293);
                                      flick_suntcp_encode_new_glob(16, _flick_abort1293);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                            flick_xdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                                            flick_xdr_encode_char8(8, *_local_c, CORBA_char );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1299);
                                            break;
                                            {
                                            _flick_abort1299:
                                              goto _flick_abort1293;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1300);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort1300:
                                              goto _flick_abort1293;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1293:
                                      goto _flick_abort1292;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1292:
                                    goto _flick_abort754;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        case '6':
                          {
                            char _t1537_switch_tag;

                            flick_suntcp_check_span(24, _flick_abort754);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1537_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1537_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    ex4 _obj;
                                    unsigned int _t1538_ignore;
                                    CORBA_unsigned_short _return;
                                    CORBA_unsigned_short *_local_us;
                                    CORBA_unsigned_short _t1539_storage;
                                    CORBA_char *_local_c;
                                    CORBA_char _t1540_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t1541_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1302);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t1538_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t1538_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t1538_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t1538_ignore, unsigned int );
                                    _return = 0;
                                    _local_us = (CORBA_unsigned_short *)(&_t1539_storage);
                                    _local_c = (CORBA_char *)(&_t1540_storage);
                                    flick_xdr_decode_char8(16, *_local_c, CORBA_char );
                                    _ev = (CORBA_Environment *)(&_t1541_storage);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(144);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = ex4_op6(_obj, _local_us, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1302);
                                      flick_suntcp_encode_new_glob(16, _flick_abort1302);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                            flick_xdr_encode_unsigned16(4, *_local_us, CORBA_unsigned_short );
                                            flick_xdr_encode_char8(8, *_local_c, CORBA_char );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(16);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1308);
                                            break;
                                            {
                                            _flick_abort1308:
                                              goto _flick_abort1302;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1309);
                                            flick_suntcp_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort1309:
                                              goto _flick_abort1302;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1302:
                                      goto _flick_abort1301;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1301:
                                    goto _flick_abort754;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          char _t1542_switch_tag;

          flick_suntcp_check_span(40, _flick_abort754);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1542_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t1542_switch_tag)
            {
            case 'o':
              {
                char _t1543_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1543_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t1543_switch_tag)
                  {
                  case 'p':
                    {
                      char _t1544_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1544_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t1544_switch_tag)
                        {
                        case '1':
                          {
                            char _t1545_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1545_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1545_switch_tag)
                              {
                              case '0':
                                {
                                  char _t1546_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1546_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t1546_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex4 _obj;
                                          unsigned int _t1547_ignore;
                                          CORBA_char *_return;
                                          CORBA_char *_local_s;
                                          flick_unsigned32_t _t1548_temp_string_len;
                                          CORBA_char **_local_ls;
                                          CORBA_char *_t1549_storage;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t1550_storage;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1311);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t1547_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t1547_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t1547_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t1547_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_unsigned32(16, _t1548_temp_string_len, flick_unsigned32_t );
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_suntcp_decode_new_glob(1 * _t1548_temp_string_len);
                                          flick_suntcp_check_span(1 * _t1548_temp_string_len, _flick_abort1311);
                                          flick_suntcp_decode_new_chunk(1 * _t1548_temp_string_len);
                                          if ((_t1548_temp_string_len + 3) & ~3)
                                            {
                                              flick_xdr_decode_msgptr(0, _local_s, CORBA_char *);
                                            }
                                          else
                                            {
                                              {
                                                CORBA_char *_t_alloc_ptr;

                                                _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t1548_temp_string_len + 1) * sizeof(CORBA_char )));
                                                if (!_t_alloc_ptr)
                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1311);
                                                _local_s = _t_alloc_ptr;
                                              }
                                              flick_xdr_decode_bcopy(0, _local_s, 1 * _t1548_temp_string_len);
                                            }
                                          flick_suntcp_decode_end_chunk(1 * _t1548_temp_string_len);
                                          _local_s[_t1548_temp_string_len] = 0;
                                          flick_suntcp_decode_end_glob(1 * _t1548_temp_string_len);
                                          flick_suntcp_decode_new_glob(3);
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          _local_ls = (CORBA_char **)(&_t1549_storage);
                                          _ev = (CORBA_Environment *)(&_t1550_storage);
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(3);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex4_op10(_obj, _local_s, _local_ls, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1314);
                                            flick_suntcp_encode_new_glob(8, _flick_abort1314);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t1553_temp_string_len;
                                                  flick_unsigned32_t _t1554_temp_string_len;

                                                  flick_xdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1553_temp_string_len);
                                                  flick_xdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t1554_temp_string_len);

                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_unsigned32(0, _t1553_temp_string_len, flick_unsigned32_t );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_suntcp_encode_new_glob(1 * _t1553_temp_string_len, _flick_abort1323);
                                                  flick_suntcp_encode_new_chunk(1 * _t1553_temp_string_len);
                                                  flick_xdr_encode_bcopy(0, _return, 1 * _t1553_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = (CORBA_char *)0;
                                                  flick_suntcp_encode_end_chunk(1 * _t1553_temp_string_len);
                                                  flick_suntcp_encode_end_glob(1 * _t1553_temp_string_len);
                                                  flick_suntcp_encode_new_glob(20, _flick_abort1323);
                                                  flick_suntcp_encode_new_chunk_align(4 + 1 * _t1554_temp_string_len, 2, 0, 0);
                                                  flick_xdr_encode_unsigned32(0, _t1554_temp_string_len, flick_unsigned32_t );
                                                  if (_t1554_temp_string_len + 1 > 11)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1323);
                                                  flick_xdr_encode_bcopy(4, *_local_ls, 1 * _t1554_temp_string_len);
                                                  CORBA_flick_free(*_local_ls);
                                                  *_local_ls = (CORBA_char *)0;
                                                  flick_suntcp_encode_end_chunk(4 + 1 * _t1554_temp_string_len);
                                                  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                  flick_suntcp_encode_end_chunk(0);
                                                  flick_suntcp_encode_end_glob(20);
                                                  break;
                                                  {
                                                  _flick_abort1323:
                                                    goto _flick_abort1314;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1328);
                                                  break;
                                                  {
                                                  _flick_abort1328:
                                                    goto _flick_abort1314;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1329);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1329:
                                                    goto _flick_abort1314;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1314:
                                            auto_flick_free(_local_s);
                                          _flick_abort1311:
                                            goto _flick_abort1310;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1310:
                                          goto _flick_abort754;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '1':
                                {
                                  char _t1555_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1555_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t1555_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex4 _obj;
                                          unsigned int _t1556_ignore;
                                          CORBA_char *_return;
                                          CORBA_char **_local_ls;
                                          CORBA_char *_t1557_storage;
                                          flick_unsigned32_t _t1558_temp_string_len;
                                          CORBA_long *_local_l;
                                          CORBA_long _t1559_storage;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t1560_storage;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1331);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t1556_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t1556_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t1556_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t1556_ignore, unsigned int );
                                          _return = 0;
                                          _local_ls = (CORBA_char **)(&_t1557_storage);
                                          flick_xdr_decode_unsigned32(16, _t1558_temp_string_len, flick_unsigned32_t );
                                          if (_t1558_temp_string_len + 1 > 11)
                                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1331);
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_check_span(1 * _t1558_temp_string_len, _flick_abort1331);
                                          flick_suntcp_decode_new_chunk(1 * _t1558_temp_string_len);
                                          {
                                            CORBA_char *_t_alloc_ptr;

                                            _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
                                            if (!_t_alloc_ptr)
                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1331);
                                            *_local_ls = _t_alloc_ptr;
                                          }
                                          flick_xdr_decode_bcopy(0, *_local_ls, 1 * _t1558_temp_string_len);
                                          flick_suntcp_decode_end_chunk(1 * _t1558_temp_string_len);
                                          (*_local_ls)[_t1558_temp_string_len] = 0;
                                          flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                          _local_l = (CORBA_long *)(&_t1559_storage);
                                          _ev = (CORBA_Environment *)(&_t1560_storage);
                                          flick_suntcp_decode_end_chunk(0);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex4_op11(_obj, _local_ls, _local_l, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1334);
                                            flick_suntcp_encode_new_glob(42, _flick_abort1334);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_unsigned32_t _t1563_temp_string_len;
                                                  flick_unsigned32_t _t1564_temp_string_len;

                                                  flick_xdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1563_temp_string_len);
                                                  flick_xdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t1564_temp_string_len);

                                                  flick_suntcp_encode_new_chunk(4 + 1 * _t1563_temp_string_len);
                                                  flick_xdr_encode_unsigned32(0, _t1563_temp_string_len, flick_unsigned32_t );
                                                  if (_t1563_temp_string_len + 1 > 11)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1343);
                                                  flick_xdr_encode_bcopy(4, _return, 1 * _t1563_temp_string_len);
                                                  CORBA_flick_free(_return);
                                                  _return = (CORBA_char *)0;
                                                  flick_suntcp_encode_end_chunk(4 + 1 * _t1563_temp_string_len);
                                                  flick_suntcp_encode_new_chunk_align(4 + 1 * _t1564_temp_string_len, 2, 0, 0);
                                                  flick_xdr_encode_unsigned32(0, _t1564_temp_string_len, flick_unsigned32_t );
                                                  if (_t1564_temp_string_len + 1 > 11)
                                                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1343);
                                                  flick_xdr_encode_bcopy(4, *_local_ls, 1 * _t1564_temp_string_len);
                                                  CORBA_flick_free(*_local_ls);
                                                  *_local_ls = (CORBA_char *)0;
                                                  flick_suntcp_encode_end_chunk(4 + 1 * _t1564_temp_string_len);
                                                  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                  flick_xdr_encode_signed32(0, *_local_l, CORBA_long );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(42);
                                                  break;
                                                  {
                                                  _flick_abort1343:
                                                    goto _flick_abort1334;
                                                  }
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(42);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1348);
                                                  break;
                                                  {
                                                  _flick_abort1348:
                                                    goto _flick_abort1334;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1349);
                                                  flick_suntcp_encode_end_glob(42);
                                                  break;
                                                  {
                                                  _flick_abort1349:
                                                    goto _flick_abort1334;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1334:
                                            CORBA_flick_free(*_local_ls);
                                          _flick_abort1331:
                                            goto _flick_abort1330;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1330:
                                          goto _flick_abort754;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case '2':
                                {
                                  char _t1565_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1565_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t1565_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          ex4 _obj;
                                          unsigned int _t1566_ignore;
                                          CORBA_long _return;
                                          CORBA_long _local_l;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t1567_storage;

                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1351);
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(20);
                                          flick_xdr_decode_unsigned32(0, _t1566_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(4, _t1566_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(8, _t1566_ignore, unsigned int );
                                          flick_xdr_decode_unsigned32(12, _t1566_ignore, unsigned int );
                                          _return = 0;
                                          flick_xdr_decode_signed32(16, _local_l, CORBA_long );
                                          _ev = (CORBA_Environment *)(&_t1567_storage);
                                          flick_suntcp_decode_end_chunk(20);
                                          flick_suntcp_decode_end_glob(144);
                                          flick_suntcp_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex4_op12(_obj, _local_l, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1351);
                                            flick_suntcp_encode_new_glob(8, _flick_abort1351);
                                            flick_suntcp_encode_new_chunk(4);
                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_suntcp_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_suntcp_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1357);
                                                  break;
                                                  {
                                                  _flick_abort1357:
                                                    goto _flick_abort1351;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1358);
                                                  flick_suntcp_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1358:
                                                    goto _flick_abort1351;
                                                  }
                                                }
                                              }
                                          }
                                          flick_suntcp_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1351:
                                            goto _flick_abort1350;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1350:
                                          goto _flick_abort754;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          char _t1568_switch_tag;

          flick_suntcp_check_span(132, _flick_abort754);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1568_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t1568_switch_tag)
            {
            case '_':
              {
                char _t1569_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1569_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t1569_switch_tag)
                  {
                  case 'g':
                    {
                      char _t1570_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1570_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t1570_switch_tag)
                        {
                        case 'e':
                          {
                            char _t1571_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1571_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1571_switch_tag)
                              {
                              case 't':
                                {
                                  char _t1572_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1572_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t1572_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t1573_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1573_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t1573_switch_tag)
                                          {
                                          case 'u':
                                            {
                                              char _t1574_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t1574_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t1574_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t1575_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t1575_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t1575_switch_tag)
                                                      {
                                                      case 's':
                                                        {
                                                          char _t1576_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t1576_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t1576_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t1577_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t1577_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t1577_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t1578_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t1578_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t1578_switch_tag)
                                                                        {
                                                                        case 'n':
                                                                          {
                                                                            char _t1579_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t1579_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t1579_switch_tag)
                                                                              {
                                                                              case 'e':
                                                                                {
                                                                                  char _t1580_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t1580_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t1580_switch_tag)
                                                                                    {
                                                                                    case 'd':
                                                                                      {
                                                                                        char _t1581_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t1581_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t1581_switch_tag)
                                                                                          {
                                                                                          case '_':
                                                                                            {
                                                                                              char _t1582_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t1582_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t1582_switch_tag)
                                                                                                {
                                                                                                case 'l':
                                                                                                  {
                                                                                                    char _t1583_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t1583_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t1583_switch_tag)
                                                                                                      {
                                                                                                      case 'o':
                                                                                                        {
                                                                                                          char _t1584_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t1584_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t1584_switch_tag)
                                                                                                            {
                                                                                                            case 'n':
                                                                                                              {
                                                                                                                char _t1585_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t1585_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t1585_switch_tag)
                                                                                                                  {
                                                                                                                  case 'g':
                                                                                                                    {
                                                                                                                      char _t1586_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t1586_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t1586_switch_tag)
                                                                                                                        {
                                                                                                                        case '_':
                                                                                                                          {
                                                                                                                            char _t1587_switch_tag;

                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                            flick_xdr_decode_char8(0, _t1587_switch_tag, char );
                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                            switch ((char )_t1587_switch_tag)
                                                                                                                              {
                                                                                                                              case 'a':
                                                                                                                                {
                                                                                                                                  char _t1588_switch_tag;

                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                  flick_xdr_decode_char8(0, _t1588_switch_tag, char );
                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                  switch ((char )_t1588_switch_tag)
                                                                                                                                    {
                                                                                                                                    case 't':
                                                                                                                                      {
                                                                                                                                        char _t1589_switch_tag;

                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                        flick_xdr_decode_char8(0, _t1589_switch_tag, char );
                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                        switch ((char )_t1589_switch_tag)
                                                                                                                                          {
                                                                                                                                          case 't':
                                                                                                                                            {
                                                                                                                                              char _t1590_switch_tag;

                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                              flick_xdr_decode_char8(0, _t1590_switch_tag, char );
                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                              switch ((char )_t1590_switch_tag)
                                                                                                                                                {
                                                                                                                                                case 'r':
                                                                                                                                                  {
                                                                                                                                                    char _t1591_switch_tag;

                                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                                    flick_xdr_decode_char8(0, _t1591_switch_tag, char );
                                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                                    switch ((char )_t1591_switch_tag)
                                                                                                                                                      {
                                                                                                                                                      case 'i':
                                                                                                                                                        {
                                                                                                                                                          char _t1592_switch_tag;

                                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                                          flick_xdr_decode_char8(0, _t1592_switch_tag, char );
                                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                                          switch ((char )_t1592_switch_tag)
                                                                                                                                                            {
                                                                                                                                                            case 'b':
                                                                                                                                                              {
                                                                                                                                                                char _t1593_switch_tag;

                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_char8(0, _t1593_switch_tag, char );
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                switch ((char )_t1593_switch_tag)
                                                                                                                                                                  {
                                                                                                                                                                  case 'u':
                                                                                                                                                                    {
                                                                                                                                                                      char _t1594_switch_tag;

                                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                      flick_xdr_decode_char8(0, _t1594_switch_tag, char );
                                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                      switch ((char )_t1594_switch_tag)
                                                                                                                                                                        {
                                                                                                                                                                        case 't':
                                                                                                                                                                          {
                                                                                                                                                                            char _t1595_switch_tag;

                                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                            flick_xdr_decode_char8(0, _t1595_switch_tag, char );
                                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                            switch ((char )_t1595_switch_tag)
                                                                                                                                                                              {
                                                                                                                                                                              case 'e':
                                                                                                                                                                                {
                                                                                                                                                                                  char _t1596_switch_tag;

                                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                                  flick_xdr_decode_char8(0, _t1596_switch_tag, char );
                                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                                  switch ((char )_t1596_switch_tag)
                                                                                                                                                                                    {
                                                                                                                                                                                    case 0:
                                                                                                                                                                                      {
                                                                                                                                                                                        {
                                                                                                                                                                                          ex4 _obj;
                                                                                                                                                                                          unsigned int _t1597_ignore;
                                                                                                                                                                                          CORBA_unsigned_long _return;
                                                                                                                                                                                          CORBA_Environment *_ev;
                                                                                                                                                                                          CORBA_Environment _t1598_storage;

                                                                                                                                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1360);
                                                                                                                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                                                                                          flick_suntcp_decode_new_chunk(16);
                                                                                                                                                                                          flick_xdr_decode_unsigned32(0, _t1597_ignore, unsigned int );
                                                                                                                                                                                          flick_xdr_decode_unsigned32(4, _t1597_ignore, unsigned int );
                                                                                                                                                                                          flick_xdr_decode_unsigned32(8, _t1597_ignore, unsigned int );
                                                                                                                                                                                          flick_xdr_decode_unsigned32(12, _t1597_ignore, unsigned int );
                                                                                                                                                                                          _return = 0;
                                                                                                                                                                                          _ev = (CORBA_Environment *)(&_t1598_storage);
                                                                                                                                                                                          flick_suntcp_decode_end_chunk(16);
                                                                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                          flick_suntcp_server_end_decode();
                                                                                                                                                                                          flick_corba_init_environment();
                                                                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                                                                                          _return = ex4__get_unsigned_long_attribute(_obj, _ev);
                                                                                                                                                                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                                                                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                                                                                          flick_suntcp_server_start_encode();
                                                                                                                                                                                          {
                                                                                                                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1360);
                                                                                                                                                                                            flick_suntcp_encode_new_glob(8, _flick_abort1360);
                                                                                                                                                                                            flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                            flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                                                                            flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                            switch (_ev->_major)
                                                                                                                                                                                              {
                                                                                                                                                                                              case CORBA_NO_EXCEPTION:
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                                                                                                                                  flick_xdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                                                                                                                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                                                                  break;
                                                                                                                                                                                                }
                                                                                                                                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1366);
                                                                                                                                                                                                  break;
                                                                                                                                                                                                  {
                                                                                                                                                                                                  _flick_abort1366:
                                                                                                                                                                                                    goto _flick_abort1360;
                                                                                                                                                                                                  }
                                                                                                                                                                                                }
                                                                                                                                                                                              default:
                                                                                                                                                                                                {
                                                                                                                                                                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1367);
                                                                                                                                                                                                  flick_suntcp_encode_end_glob(8);
                                                                                                                                                                                                  break;
                                                                                                                                                                                                  {
                                                                                                                                                                                                  _flick_abort1367:
                                                                                                                                                                                                    goto _flick_abort1360;
                                                                                                                                                                                                  }
                                                                                                                                                                                                }
                                                                                                                                                                                              }
                                                                                                                                                                                          }
                                                                                                                                                                                          flick_suntcp_server_end_encode();
                                                                                                                                                                                          break;
                                                                                                                                                                                          {
                                                                                                                                                                                          _flick_abort1360:
                                                                                                                                                                                            goto _flick_abort1359;
                                                                                                                                                                                          }
                                                                                                                                                                                        }
                                                                                                                                                                                        break;
                                                                                                                                                                                        {
                                                                                                                                                                                        _flick_abort1359:
                                                                                                                                                                                          goto _flick_abort754;
                                                                                                                                                                                        }
                                                                                                                                                                                      }
                                                                                                                                                                                    default:
                                                                                                                                                                                      {
                                                                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                        break;
                                                                                                                                                                                      }
                                                                                                                                                                                    }
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              default:
                                                                                                                                                                                {
                                                                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                                                                  break;
                                                                                                                                                                                }
                                                                                                                                                                              }
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        default:
                                                                                                                                                                          {
                                                                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                                                                            break;
                                                                                                                                                                          }
                                                                                                                                                                        }
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  default:
                                                                                                                                                                    {
                                                                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                                                                      break;
                                                                                                                                                                    }
                                                                                                                                                                  }
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            default:
                                                                                                                                                              {
                                                                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                                break;
                                                                                                                                                              }
                                                                                                                                                            }
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      default:
                                                                                                                                                        {
                                                                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                                          break;
                                                                                                                                                        }
                                                                                                                                                      }
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                default:
                                                                                                                                                  {
                                                                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                                    break;
                                                                                                                                                  }
                                                                                                                                                }
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          default:
                                                                                                                                            {
                                                                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                              break;
                                                                                                                                            }
                                                                                                                                          }
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    default:
                                                                                                                                      {
                                                                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                        break;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              default:
                                                                                                                                {
                                                                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                  break;
                                                                                                                                }
                                                                                                                              }
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                            flick_suntcp_decode_end_glob(144);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                      flick_suntcp_decode_end_glob(144);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                                flick_suntcp_decode_end_glob(144);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                          flick_suntcp_decode_end_glob(144);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                                    flick_suntcp_decode_end_glob(144);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t1599_switch_tag;

          flick_suntcp_check_span(44, _flick_abort754);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t1599_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t1599_switch_tag)
            {
            case '_':
              {
                char _t1600_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t1600_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t1600_switch_tag)
                  {
                  case 'i':
                    {
                      char _t1601_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t1601_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t1601_switch_tag)
                        {
                        case 's':
                          {
                            char _t1602_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t1602_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t1602_switch_tag)
                              {
                              case '_':
                                {
                                  char _t1603_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t1603_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t1603_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t1604_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t1604_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t1604_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t1605_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t1606_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1607_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1369);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t1605_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t1605_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t1605_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t1605_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t1606_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(144);
                                                flick_suntcp_decode_new_glob(1 * _t1606_temp_string_len);
                                                flick_suntcp_check_span(1 * _t1606_temp_string_len, _flick_abort1369);
                                                flick_suntcp_decode_new_chunk(1 * _t1606_temp_string_len);
                                                if ((_t1606_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t1606_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1369);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t1606_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t1606_temp_string_len);
                                                _local_id[_t1606_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t1606_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t1607_storage);
                                                _par = flick_interface_parents_ex4;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1372);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort1372);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1378);
                                                        break;
                                                        {
                                                        _flick_abort1378:
                                                          goto _flick_abort1372;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1379);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1379:
                                                          goto _flick_abort1372;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1372:
                                                  auto_flick_free(_local_id);
                                                _flick_abort1369:
                                                  goto _flick_abort1368;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1368:
                                                goto _flick_abort754;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                              flick_suntcp_decode_end_glob(144);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                        flick_suntcp_decode_end_glob(144);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                                  flick_suntcp_decode_end_glob(144);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                            flick_suntcp_decode_end_glob(144);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                      flick_suntcp_decode_end_glob(144);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
                flick_suntcp_decode_end_glob(144);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort754);
          flick_suntcp_decode_end_glob(144);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort754:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort753);
  _flick_abort753:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

